#include <map>
#include <string>
//partially extracted from https://github.com/zecoxao/sce_symbols/blob/main/aerolib.csv
namespace aerolib {

    static std::map<std::string, std::string> symbolsMap = {
        {"yQCPXYQA5E0","SceDrfpChkRecvBuf"},
        {"WbJQXfpx-TY","SceDrfpIncrFragNo"},
        {"AiYaoHGTYLM","ScePsmMiniGetDebugOptions"},
        {"3rXsYx0JURc","ScePsmMonoAddInternalCall"},
        {"DNb-Y-33FyE","ScePsmMonoArrayAddrWithSize"},
        {"Ex6oewvPS+o","ScePsmMonoArrayElementSize"},
        {"wzQVKDTRqGA","ScePsmMonoArrayElementType"},
        {"WUKXnNDqQrM","ScePsmMonoArrayLength"},
        {"wOxscP3TysM","ScePsmMonoArraySizeInBytes"},
        {"fTe3RHtIVWM","ScePsmMonoAssemblyGetImage"},
        {"PWV8x6XJZjk","ScePsmMonoAssemblyOpenFull"},
        {"5d0YOfd9Sio","ScePsmMonoClassFromName"},
        {"X+IEfDyFu2Y","ScePsmMonoClassGetMethodFromName"},
        {"HMEQbrlRmL0","ScePsmMonoConfigParse"},
        {"-ny9i-XOgiI","ScePsmMonoDebugInit"},
        {"7zeO0teNgU8","ScePsmMonoDebuggerAgentParseOptions"},
        {"6oVBmLXDVZU","ScePsmMonoDelegateFreeFtnptr"},
        {"rBz1OlRUnKY","ScePsmMonoDelegateToFtnptr"},
        {"yV1vwsw1S3g","ScePsmMonoDisableJitTimeLog"},
        {"+eZsBesRiBM","ScePsmMonoDlFallbackRegister"},
        {"OgzRrdWr8uA","ScePsmMonoDomainAssemblyOpen"},
        {"hQMZAaNGHAs","ScePsmMonoDomainGet"},
        {"rafRG8hKN7I","ScePsmMonoEnableJitTimeLog"},
        {"B4eWCeaW8ec","ScePsmMonoEnvironmentExitcodeGet"},
        {"ZyBRuMgQYvM","ScePsmMonoFree"},
        {"mCQvGf231qg","ScePsmMonoGcOutOfMemory"},
        {"UR0ttTtAHX8","ScePsmMonoGcSetHeapSizeLimit"},
        {"BVdp6O0nF3k","ScePsmMonoGcWbarrierGenericStore"},
        {"Xb2Y38dkh10","ScePsmMonoGetExceptionOutOfMemory"},
        {"Drw-bwULZvA","ScePsmMonoInit"},
        {"yAPWPJ0yP04","ScePsmMonoIoInstallCallbacks"},
        {"1EgNBGG9Iso","ScePsmMonoJitCleanup"},
        {"Z55u+4MdEI0","ScePsmMonoJitExec"},
        {"HS0z4LDx5eI","ScePsmMonoJitExec2"},
        {"17CahsS7jG8","ScePsmMonoJitInit"},
        {"Xgd7m6JY3jU","ScePsmMonoJitInitVersion"},
        {"HhF0bzKlhjM","ScePsmMonoJitParseOptions"},
        {"s2Nu2w6oJNc","ScePsmMonoObjectGetClass"},
        {"eJ5tz2XwLk0","ScePsmMonoPrivilegesFinishInit"},
        {"q-Sd1ZBupYw","ScePsmMonoPrivilegesStartInit"},
        {"sjDWp2xXEHw","ScePsmMonoProfilerLoad"},
        {"qf7OY7ifzzY","ScePsmMonoRaiseException"},
        {"8927Cl0rvug","ScePsmMonoRegisterBundledAssemblies"},
        {"YSSecs7t4N0","ScePsmMonoRuntimeInvoke"},
        {"O4Lg9Y3gYFg","ScePsmMonoRuntimeQuit"},
        {"+ip+qI1bBCg","ScePsmMonoRuntimeResourceLimit"},
        {"6HmGJTn18mI","ScePsmMonoRuntimeResourceSetCallback"},
        {"yBxn29qtJGA","ScePsmMonoRuntimeSetShuttingDown"},
        {"2+A7x-y0wNs","ScePsmMonoSecurityEnableCoreClr"},
        {"Y4UKK0ylUPY","ScePsmMonoSecuritySetCoreClrPlatformCallback"},
        {"4Ri3mo87MrQ","ScePsmMonoSetDirs"},
        {"O4LAoN2b7y4","ScePsmMonoStringChars"},
        {"1WXYJN+b-e0","ScePsmMonoStringFromUtf16"},
        {"83i-0wbUtlM","ScePsmMonoStringLength"},
        {"GtOEkqZ1LDA","ScePsmMonoStringNew"},
        {"6zGifD5IqRo","ScePsmMonoStringNewWrapper"},
        {"VvAMtxBHcZc","ScePsmMonoStringToUtf8"},
        {"wLo6wmyVRMQ","ScePsmMonoTerm"},
        {"f9Ti5qv46fo","ScePsmMonoThreadSetMaxThreads"},
        {"-qdAdV-PiqI","ScePsmMonoThreadSetThreadsExhaustedCallback"},
        {"RT1smDIu+qo","ScePsmMonoThreadSuspendAllOtherThreads"},
        {"aoJ4QZs+ge8","ScePsmMonoThreadpoolSetMaxThreads"},
        {"nkAloVxQaEc","ScePsmMonoThreadsSetShuttingDown"},
        {"1jOK01zGM5I","ScePsmMonoTypeIsValueType"},
        {"c34CuwRZZz8","ScePsmWapiCryptoPolicyCallback"},
        {"G14y+PFH9KE","SdkVersion"},
        {"K6JphzOV+Bc","Seek"},
        {"e-ODUaoHXiY","_sceApplicationGetAppId"},
        {"khMHRfKhXyw","_sceDepthCalcHeteroAdjustParam"},
        {"7jGLOR-C9zQ","_sceDepthDisplayDebugScreen"},
        {"GdgpUNXwRsE","_sceDepthEnableDebugScreen"},
        {"y8JFcLacpm0","_sceDepthHeadCandidateTrackerGetInformation"},
        {"azCmQEmb1-I","_sceDepthHeadCandidateTrackerSetInformation"},
        {"HZ2ih547n5Y","_sceDepthSetCameraFactoryCalibrationData"},
        {"AnQ9uoI3ENY","_sceDepthSetHeteroAdjustParam"},
        {"X5F-dSXoUUw","_sceDepthSetHeteroMode"},
        {"avfGJ94g36Q","_sceFiberAttachContextAndRun"},
        {"ZqhZFuzKT6U","_sceFiberAttachContextAndSwitch"},
        {"0dy4JtMUcMQ","_sceFiberGetThreadFramePointerAddress"},
        {"hVYD7Ou2pCQ","_sceFiberInitializeImpl"},
        {"7+OJIpko9RY","_sceFiberInitializeWithInternalOptionImpl"},
        {"p5EcQeEeJAE","_sceKernelRtldSetApplicationHeapAPI"},
        {"8OnWXlgQlvo","_sceKernelRtldThreadAtexitDecrement"},
        {"Tz4RNUCBbGI","_sceKernelRtldThreadAtexitIncrement"},
        {"pB-yGZ2nQ9o","_sceKernelSetThreadAtexitCount"},
        {"WhCc1w3EhSI","_sceKernelSetThreadAtexitReport"},
        {"rNhWz+lvOMU","_sceKernelSetThreadDtors"},
        {"1f2V6tO1-yg","_sceLibcAtexitMutexInit"},
        {"hIkkDt5bctc","_sceLibcCalloc"},
        {"wjFtVi5JXd8","_sceLibcFinalize"},
        {"OONgpXDsjFI","_sceLibcFree"},
        {"1nZ4Xfnyp38","_sceLibcGetMallocParam"},
        {"UMwpmVfcJpU","_sceLibcInitialize"},
        {"Kr5t-EKudMI","_sceLibcInternal"},
        {"qxFhjZ2MRM8","_sceLibcLockFinalize"},
        {"4BJEqF66ONc","_sceLibcLockInitialize"},
        {"4-GxiotYTWo","_sceLibcMalloc"},
        {"rT4WKQaKGig","_sceLibcMallocFinalize"},
        {"-I4IPggVX7s","_sceLibcMallocInitialize"},
        {"hxk8yqFZG5E","_sceLibcMallocStats"},
        {"yjYQzZ1jF88","_sceLibcMallocStatsFast"},
        {"TwjJAp-K-ts","_sceLibcMallocUsableSize"},
        {"r9nVN6JyD4A","_sceLibcMemalign"},
        {"1HBNVdBWQVk","_sceLibcMspaceLock"},
        {"xLXHyF8De0c","_sceLibcMspaceRealloc"},
        {"KfKBG2h2KdM","_sceLibcMspaceReallocalign"},
        {"NewD1IkVMeU","_sceLibcMspaceUnlock"},
        {"nfoAqy07tpE","_sceLibcOnce"},
        {"UEnAHwUevzs","_sceLibcPosixMemalign"},
        {"SapHB+u0OPE","_sceLibcRealloc"},
        {"GAOJz8z7Qz4","_sceLibcReallocalign"},
        {"hc3Z8MsiIz4","_sceLibcStdThreadStackSizeInit"},
        {"5xBpxt9gWiU","_sceLibcUnwindMutexInit"},
        {"0mqlL6YurX0","_sceModuleParam"},
        {"0gdlCVNNHCI","_sceNpAllocatorExConvertAllocator"},
        {"Zh23aSLeeZo","_sceNpAllocatorExFree"},
        {"a2qdVU8RWb4","_sceNpAllocatorExMalloc"},
        {"kKF3w-XkCWA","_sceNpAllocatorExRealloc"},
        {"Cmd4+m7V00c","_sceNpAllocatorExStrdup"},
        {"EziLjfyTnKI","_sceNpAllocatorExStrndup"},
        {"BztTl7QeYqE","_sceNpAllocatorFree"},
        {"mzlILsFx0cU","_sceNpAllocatorMalloc"},
        {"VWcTu8wKwlQ","_sceNpAllocatorRealloc"},
        {"c8-4aC9opYE","_sceNpAllocatorStrdup"},
        {"vhrCV8DnLGs","_sceNpAllocatorStrdupImpl"},
        {"vqA9bl6WsF0","_sceNpAllocatorStrndup"},
        {"zWEQweG0SfU","_sceNpAllocatorStrndupImpl"},
        {"z5kwfM5InpI","_sceNpFree"},
        {"Nx-5J9GrUcE","_sceNpFreeImpl"},
        {"p1vvpKGRXe4","_sceNpHeapFree"},
        {"TQBi7LVgAgM","_sceNpHeapFreeImpl"},
        {"kwW5qddf+Lo","_sceNpHeapMalloc"},
        {"Zv4xfb90Q14","_sceNpHeapMallocImpl"},
        {"wsfyvM+VbUk","_sceNpHeapRealloc"},
        {"lIRrBaNU-ZI","_sceNpHeapReallocImpl"},
        {"dVvFefd-TiI","_sceNpHeapShowMemoryStat"},
        {"atWcfgasESY","_sceNpHeapStrdup"},
        {"S5272bFXxR8","_sceNpHeapStrdupImpl"},
        {"RzLv+HR5E2A","_sceNpHeapStrndup"},
        {"boohEhnXnIs","_sceNpHeapStrndupImpl"},
        {"pHLjntY0psg","_sceNpIpcCreateMemoryFromKernel"},
        {"UdhQmx64-uM","_sceNpIpcCreateMemoryFromPool"},
        {"hOFQ6y6Lu1k","_sceNpIpcDefaultFreeImpl"},
        {"59Il7nyszck","_sceNpIpcDefaultMallocImpl"},
        {"UwVBVVYBr38","_sceNpIpcDefaultReallocImpl"},
        {"hyuye+88uPo","_sceNpIpcDestroyMemory"},
        {"VY8Xji9cAFA","_sceNpIpcFreeImpl"},
        {"V38nfJwXYhg","_sceNpIpcGetNpMemAllocator"},
        {"VBZtcFn7+aY","_sceNpIpcMallocImpl"},
        {"TyACAxDH3Uw","_sceNpIpcReallocImpl"},
        {"w2+qV1RJgcI","_sceNpMalloc"},
        {"g0dTAJEvNs0","_sceNpMallocImpl"},
        {"fHGhS3uP52k","_sceNpManagerCreateMemoryFromKernel"},
        {"v8+25H9WIX4","_sceNpManagerCreateMemoryFromPool"},
        {"cILPU-wLYWk","_sceNpManagerDefaultFreeImpl"},
        {"wsJi8j+bReE","_sceNpManagerDefaultMallocImpl"},
        {"j+TbPIM9h4w","_sceNpManagerDefaultReallocImpl"},
        {"4uhgVNAqiag","_sceNpManagerDestroyMemory"},
        {"8JX-S2ADen4","_sceNpManagerFreeImpl"},
        {"ukEeOizCkIU","_sceNpManagerGetNpMemAllocator"},
        {"p0TfCdPEcsk","_sceNpManagerMallocImpl"},
        {"PIYEFT1iG0Y","_sceNpManagerReallocImpl"},
        {"uPO717XxK1g","_sceNpMemoryHeapShowMemoryStat"},
        {"UmzxltBpiiY","_sceNpRealloc"},
        {"jzCsUXzxmH0","_sceNpReallocImpl"},
        {"vPP6vKHY8Tg","_sceSdmaNop"},
        {"jnKaHGkrxZ4","_sceUltConditionVariableCreate"},
        {"RVmEia0vXMI","_sceUltConditionVariableOptParamInitialize"},
        {"mmt8Sa6tL6c","_sceUltMutexCreate"},
        {"1+8t9aHLiz8","_sceUltMutexOptParamInitialize"},
        {"9Y5keOvb6ok","_sceUltQueueCreate"},
        {"TFHm6-N6vks","_sceUltQueueDataResourcePoolCreate"},
        {"6gYjd50q0CE","_sceUltQueueDataResourcePoolOptParamInitialize"},
        {"TkASc9I-xX0","_sceUltQueueOptParamInitialize"},
        {"iIfTXvh1hiM","_sceUltReaderWriterLockCreate"},
        {"Gw7yn0CEmv8","_sceUltReaderWriterLockOptParamInitialize"},
        {"h5QlIYj+Ro8","_sceUltSemaphoreCreate"},
        {"NPRRPNKDBN0","_sceUltSemaphoreOptParamInitialize"},
        {"znI3q8S7KQ4","_sceUltUlthreadCreate"},
        {"vIuen2qlRmo","_sceUltUlthreadOptParamInitialize"},
        {"jw9FkZBXo-g","_sceUltUlthreadRuntimeCreate"},
        {"V2u3WLrwh64","_sceUltUlthreadRuntimeOptParamInitialize"},
        {"YiHujOG9vXY","_sceUltWaitingQueueResourcePoolCreate"},
        {"LuLTRt0rfTw","_sceUltWaitingQueueResourcePoolOptParamInitialize"},
        {"KQ34-uHDBto","_sceVideoRecordingQueryParam"},
        {"U9t5kJAWPnA","pthread_atfork"},
        {"zHchY8ft5pk","pthread_attr_destroy"},
        {"Ucsu-OK+els","pthread_attr_get_np"},
        {"-wzZ7dvA7UU","pthread_attr_getaffinity_np"},
        {"VUT1ZSrHT0I","pthread_attr_getdetachstate"},
        {"JNkVVsVDmOk","pthread_attr_getguardsize"},
        {"oLjPqUKhzes","pthread_attr_getinheritsched"},
        {"qlk9pSLsUmM","pthread_attr_getschedparam"},
        {"RtLRV-pBTTY","pthread_attr_getschedpolicy"},
        {"e2G+cdEkOmU","pthread_attr_getscope"},
        {"ApMLfJ527Ag","pthread_attr_getsolosched_np"},
        {"vQm4fDEsWi8","pthread_attr_getstack"},
        {"DxmIMUQ-wXY","pthread_attr_getstackaddr"},
        {"0qOtCR-ZHck","pthread_attr_getstacksize"},
        {"wtkt-teR1so","pthread_attr_init"},
        {"o8pd4juNbgc","pthread_attr_setaffinity_np"},
        {"Q2y5IqSDZGs","pthread_attr_setcreatesuspend_np"},
        {"E+tyo3lp5Lw","pthread_attr_setdetachstate"},
        {"JKyG3SWyA10","pthread_attr_setguardsize"},
        {"7ZlAakEf0Qg","pthread_attr_setinheritsched"},
        {"euKRgm0Vn2M","pthread_attr_setschedparam"},
        {"JarMIy8kKEY","pthread_attr_setschedpolicy"},
        {"xesmlSI-KCI","pthread_attr_setscope"},
        {"2+pVfgiEd7A","pthread_attr_setsolosched_np"},
        {"-SrbXpGR1f0","pthread_attr_setstack"},
        {"suCrEbr0xIQ","pthread_attr_setstackaddr"},
        {"2Q0z6rnBrTE","pthread_attr_setstacksize"},
        {"+Pqub9HZCPo","pthread_barrier_destroy"},
        {"ZsXLFtd2jqQ","pthread_barrier_init"},
        {"WwRRAkhjARM","pthread_barrier_setname_np"},
        {"CawZgCYqXWk","pthread_barrier_wait"},
        {"AsCQCYTbe80","pthread_barrierattr_destroy"},
        {"a5JZMyjFV68","pthread_barrierattr_getpshared"},
        {"4nqCnLJSvck","pthread_barrierattr_init"},
        {"jqrGJJxFhmU","pthread_barrierattr_setpshared"},
        {"0D4-FVvEikw","pthread_cancel"},
        {"RVxb0Ssa5t0","pthread_cleanup_pop"},
        {"4ZeZWcMsAV0","pthread_cleanup_push"},
        {"mkx2fVhNMsg","pthread_cond_broadcast"},
        {"RXXqi4CtF8w","pthread_cond_destroy"},
        {"0TyVk4MSLt0","pthread_cond_init"},
        {"K953PF5u6Pc","pthread_cond_reltimedwait_np"},
        {"EZ8h70dtFLg","pthread_cond_setname_np"},
        {"2MOy+rUfuhQ","pthread_cond_signal"},
        {"CI6Qy73ae10","pthread_cond_signalto_np"},
        {"27bAgiJmOh0","pthread_cond_timedwait"},
        {"Op8TBGY5KHg","pthread_cond_wait"},
        {"dJcuQVn6-Iw","pthread_condattr_destroy"},
        {"cTDYxTUNPhM","pthread_condattr_getclock"},
        {"h0qUqSuOmC8","pthread_condattr_getpshared"},
        {"mKoTx03HRWA","pthread_condattr_init"},
        {"EjllaAqAPZo","pthread_condattr_setclock"},
        {"3BpP850hBT4","pthread_condattr_setpshared"},
        {"OxhIB8LB-PQ","pthread_create"},
        {"Jmi+9w9u0E4","pthread_create_name_np"},
        {"+U1R4WtXvoc","pthread_detach"},
        {"7Xl257M4VNI","pthread_equal"},
        {"FJrT5LuUBAU","pthread_exit"},
        {"td+DYvbbDfk","pthread_get_specificarray_np"},
        {"YkGOXpJEtO8","pthread_get_user_context_np"},
        {"Jb2uGFMr688","pthread_getaffinity_np"},
        {"s+QHU9RLHS4","pthread_getconcurrency"},
        {"nnoxZUHK+SA","pthread_getcpuclockid"},
        {"9HzfhdtESio","pthread_getname_np"},
        {"aO+WS2xWuo4","pthread_getprio"},
        {"FIs3-UQT9sg","pthread_getschedparam"},
        {"0-KXaS70xy4","pthread_getspecific"},
        {"ruZ9hhQ8oUk","pthread_getstack_np"},
        {"3eqs37G74-s","pthread_getthreadid_np"},
        {"h9CcP3J0oVM","pthread_join"},
        {"mqULNdimTn0","pthread_key_create"},
        {"6BpEZuDT7YI","pthread_key_delete"},
        {"yH-uQW3LbX0","pthread_kill"},
        {"D1D6GFIYYGs","pthread_main_np"},
        {"vhcrecqZy-k","pthread_multi_np"},
        {"ltCfaGr2JGE","pthread_mutex_destroy"},
        {"itv-U5mFPso","pthread_mutex_getprioceiling"},
        {"x4vQj3JKKmc","pthread_mutex_getspinloops_np"},
        {"OxEIUqkByy4","pthread_mutex_getyieldloops_np"},
        {"ttHNfU+qDBU","pthread_mutex_init"},
        {"hLoEhSBhi84","pthread_mutex_init_for_mono"},
        {"gKqzW-zWhvY","pthread_mutex_isowned_np"},
        {"7H0iTOciTLo","pthread_mutex_lock"},
        {"nbQ0bXMRlhk","pthread_mutex_reltimedlock_np"},
        {"nTxZBp8YNGc","pthread_mutex_setname_np"},
        {"XS3kGVt4q+4","pthread_mutex_setprioceiling"},
        {"5-ncLMtL5+g","pthread_mutex_setspinloops_np"},
        {"frFuGprJmPc","pthread_mutex_setyieldloops_np"},
        {"Io9+nTKXZtA","pthread_mutex_timedlock"},
        {"K-jXhbt2gn4","pthread_mutex_trylock"},
        {"2Z+PpY6CaJg","pthread_mutex_unlock"},
        {"HF7lK46xzjY","pthread_mutexattr_destroy"},
        {"VvNl5Yy0A6U","pthread_mutexattr_getgen_np"},
        {"U6SNV+RnyLQ","pthread_mutexattr_getkind_np"},
        {"+m8+quqOwhM","pthread_mutexattr_getprioceiling"},
        {"yDaWxUE50s0","pthread_mutexattr_getprotocol"},
        {"PmL-TwKUzXI","pthread_mutexattr_getpshared"},
        {"GZFlI7RhuQo","pthread_mutexattr_gettype"},
        {"dQHWEsJtoE4","pthread_mutexattr_init"},
        {"xsYdh9NsuK0","pthread_mutexattr_setgen_np"},
        {"J9rlRuQ8H5s","pthread_mutexattr_setkind_np"},
        {"ZLvf6lVAc4M","pthread_mutexattr_setprioceiling"},
        {"5txKfcMUAok","pthread_mutexattr_setprotocol"},
        {"EXv3ztGqtDM","pthread_mutexattr_setpshared"},
        {"mDmgMOGVUqg","pthread_mutexattr_settype"},
        {"Z4QosVuAsA0","pthread_once"},
        {"9vyP6Z7bqzc","pthread_rename_np"},
        {"3gY5B0FCkNY","pthread_resume_all_np"},
        {"BYM3L--ojzI","pthread_resume_np"},
        {"QRdE7dBfNks","pthread_resume_user_context_np"},
        {"1471ajPzxh0","pthread_rwlock_destroy"},
        {"ytQULN-nhL4","pthread_rwlock_init"},
        {"iGjsr1WAtI0","pthread_rwlock_rdlock"},
        {"dYv-+If2GPk","pthread_rwlock_reltimedrdlock_np"},
        {"RRnSj8h8VR4","pthread_rwlock_reltimedwrlock_np"},
        {"Uwxgnsi3xeM","pthread_rwlock_setname_np"},
        {"lb8lnYo-o7k","pthread_rwlock_timedrdlock"},
        {"9zklzAl9CGM","pthread_rwlock_timedwrlock"},
        {"SFxTMOfuCkE","pthread_rwlock_tryrdlock"},
        {"XhWHn6P5R7U","pthread_rwlock_trywrlock"},
        {"EgmLo6EWgso","pthread_rwlock_unlock"},
        {"sIlRvQqsN2Y","pthread_rwlock_wrlock"},
        {"qsdmgXjqSgk","pthread_rwlockattr_destroy"},
        {"VqEMuCv-qHY","pthread_rwlockattr_getpshared"},
        {"l+bG5fsYkhg","pthread_rwlockattr_gettype_np"},
        {"xFebsA4YsFI","pthread_rwlockattr_init"},
        {"OuKg+kRDD7U","pthread_rwlockattr_setpshared"},
        {"8NuOHiTr1Vw","pthread_rwlockattr_settype_np"},
        {"EotR8a3ASf4","pthread_self"},
        {"tG+805b1Njk","pthread_set_defaultstacksize_np"},
        {"oxMp8uPqa+U","pthread_set_name_np"},
        {"el9stmu6290","pthread_set_user_context_np"},
        {"5KWrg7-ZqvE","pthread_setaffinity_np"},
        {"lZzFeSxPl08","pthread_setcancelstate"},
        {"2dEhvvjlq30","pthread_setcanceltype"},
        {"fBG1gHx1RlI","pthread_setconcurrency"},
        {"cB4rMoKU4UI","pthread_setname_np"},
        {"a2P9wYGeZvc","pthread_setprio"},
        {"Xs9hdiD7sAA","pthread_setschedparam"},
        {"doewKyDAsB4","pthread_setschedparam_np"},
        {"WrOLvHU0yQM","pthread_setspecific"},
        {"JZKw5+Wrnaw","pthread_sigmask"},
        {"4Q8db4pIRV0","pthread_single_np"},
        {"IJIggoPZExk","pthread_spin_destroy"},
        {"ZMn3clnAGBA","pthread_spin_init"},
        {"pw+70ClLYlY","pthread_spin_lock"},
        {"rCTGkBIHfPY","pthread_spin_trylock"},
        {"LEfMMCT+SlM","pthread_spin_unlock"},
        {"iWAnZ3ger+8","pthread_suspend_all_np"},
        {"4e9dMKt+UYA","pthread_suspend_np"},
        {"cfjAjVTFG6A","pthread_suspend_user_context_np"},
        {"Q9DhUQxNCwI","pthread_switch_add_np"},
        {"neZ60m-+Baw","pthread_switch_delete_np"},
        {"nYBrkGDqxh8","pthread_testcancel"},
        {"PkS44IGrDkM","pthread_timedjoin_np"},
        {"B5GmVDKwpn0","pthread_yield"},
        {"j-iD1Vbj+IE","s_StdThreadStackSize"},
        {"ABrTK2IVS4c","s_fixed_buf"},
        {"h9i7V2WpMUw","s_fixed_count"},
        {"8qnq8TEhqL8","s_sceLibcMallocState"},
        {"WiMuuKGRuaw","s_useStdThreadStackSize"},
        {"hb-v3fgkXTo","sbuf"},
        {"HI4N2S6ZWpE","scalb"},
        {"rjak2Xm+4mE","scalbf"},
        {"7Jp3g-qTgZw","scalbln"},
        {"S6LHwvK4h8c","scalblnf"},
        {"NFxDIuqfmgw","scalblnl"},
        {"KGKBeVcqJjc","scalbn"},
        {"9fs1btfLoUs","scalbnf"},
        {"l3fh3QW0Tss","scalbnl"},
        {"7XEv6NnznWw","scanf"},
        {"-B76wP6IeVA","scanf_s"},
        {"PGxMwm8uS0Y","sceAc3EncCreateEncoder"},
        {"jBntlBiKty8","sceAc3EncDeleteEncoder"},
        {"E79Au3w61PM","sceAc3EncEncode"},
        {"336zdcN++6g","sceAc3EncEncodeAsync"},
        {"0ugwOX1BRjo","sceAc3EncFlush"},
        {"6eEiDgUsIPw","sceAc3EncIsEncoding"},
        {"hemgFpeEQFA","sceAc3EncWaitEncode"},
        {"r7z5YQFZo+U","sceAcmBatchJobNotification"},
        {"tW9W+CAG4FE","sceAcmBatchStartBuffer"},
        {"8fe55ktlNVo","sceAcmBatchStartBuffers"},
        {"RLN3gRlXJLE","sceAcmBatchWait"},
        {"ZIXln2K3XMk","sceAcmContextCreate"},
        {"jBgBjAj02R8","sceAcmContextDestroy"},
        {"u70oWo92SYQ","sceAcm_ConvReverb_SharedInput"},
        {"9nLbWmRDpa8","sceAcm_ConvReverb_SharedIr"},
        {"KovqaFbmtsM","sceAcm_FFT"},
        {"DR-ZCmvVR9Q","sceAcm_IFFT"},
        {"LA4RCNKnFjg","sceAcm_Panner"},
        {"KT-hTp-Ch14","sceAgcAcbAcquireMem"},
        {"ewobAQeMo5k","sceAgcAcbAcquireMemGetSize"},
        {"cduV1f0dcGQ","sceAgcAcbAtomicGds"},
        {"hcIxS8pmXF4","sceAgcAcbAtomicGdsGetSize"},
        {"XKKuA6VkSRc","sceAgcAcbAtomicMem"},
        {"da1Sm8-QDoU","sceAgcAcbAtomicMemGetSize"},
        {"qyM2bxYFPAk","sceAgcAcbCondExec"},
        {"ozKzBP4aki4","sceAgcAcbCondExecGetSize"},
        {"qzMN2XKGA4k","sceAgcAcbCopyData"},
        {"CbQh3DKMSno","sceAgcAcbCopyDataGetSize"},
        {"j3EtxFkSIhQ","sceAgcAcbDispatchIndirect"},
        {"PxKWV2fVAps","sceAgcAcbDispatchIndirectGetSize"},
        {"-RnpfpxIhec","sceAgcAcbDmaData"},
        {"M0ttm8h7SKA","sceAgcAcbDmaDataGetSize"},
        {"cFazmnXpJOE","sceAgcAcbEventWrite"},
        {"Y-5vneiBtzk","sceAgcAcbEventWriteGetSize"},
        {"e1DFTg+Sd8U","sceAgcAcbJump"},
        {"b-oySn+G2tE","sceAgcAcbJumpGetSize"},
        {"q4VuU-QsLOE","sceAgcAcbMemSemaphore"},
        {"6mFxkVqdmbQ","sceAgcAcbPopMarker"},
        {"szG7hz2yEhA","sceAgcAcbPrimeUtcl2"},
        {"eCjKaqeeQ5s","sceAgcAcbPrimeUtcl2GetSize"},
        {"cpCILPya5Zk","sceAgcAcbPushMarker"},
        {"8Kly1JrJUlw","sceAgcAcbPushMarkerSpan"},
        {"F8NLhWvFemI","sceAgcAcbQueueEndOfShaderActionGetSize"},
        {"JrtiDtKeS38","sceAgcAcbResetQueue"},
        {"DwICrVxerkY","sceAgcAcbRewind"},
        {"0ZOG0jc9nRg","sceAgcAcbRewindGetSize"},
        {"ebixW91gpPw","sceAgcAcbSetFlip"},
        {"xAeBOa0A3kk","sceAgcAcbSetMarker"},
        {"pxx-GoOSdw4","sceAgcAcbSetMarkerSpan"},
        {"opR1JeJZCBU","sceAgcAcbSetWorkloadComplete"},
        {"FcgdDM3MB+k","sceAgcAcbSetWorkloadStreamInactive"},
        {"rVOmPz2RBlg","sceAgcAcbSetWorkloadsActive"},
        {"idlaArvdXEs","sceAgcAcbWaitOnAddressGetSize"},
        {"htn36gPnBk4","sceAgcAcbWaitRegMem"},
        {"GPbUp9jXQa8","sceAgcAcbWaitUntilSafeForRendering"},
        {"eZ4+17OQz4Q","sceAgcAcbWriteData"},
        {"W0WEyog0f74","sceAgcAcquireMemSetEngine"},
        {"3ZWa3AoyWZQ","sceAgcAsyncCondExecPatchSetCommandAddress"},
        {"k-JpyR2dYAM","sceAgcAsyncCondExecPatchSetEnd"},
        {"eWaWyFegzgQ","sceAgcAsyncRewindPatchSetRewindState"},
        {"GXBlM-ekzrI","sceAgcBranchPatchSetCompareAddress"},
        {"QmfvaYpsOcI","sceAgcBranchPatchSetElseTarget"},
        {"xb8VgcXQhvI","sceAgcBranchPatchSetThenTarget"},
        {"w1KFAHVqpaU","sceAgcCbBranch"},
        {"uZW-mqsxkrM","sceAgcCbBranchGetSize"},
        {"7toV+elXqNM","sceAgcCbCondWrite"},
        {"FuVbkyKlf+s","sceAgcCbCondWriteGetSize"},
        {"k3GhuSNmBLU","sceAgcCbDispatch"},
        {"Abendgtz+3o","sceAgcCbDispatchGetSize"},
        {"vHX9guneRBY","sceAgcCbMemSemaphore"},
        {"LtTouSCZjHM","sceAgcCbNop"},
        {"t7PlZ9nt5Lc","sceAgcCbNopGetSize"},
        {"hL7C0IRpWZI","sceAgcCbQueueEndOfPipeActionGetSize"},
        {"wr23dPKyWc0","sceAgcCbReleaseMem"},
        {"n2fD4A+pb+g","sceAgcCbSetShRegisterRangeDirect"},
        {"bxGoVxpdSPQ","sceAgcCbSetShRegisterRangeDirectGetSize"},
        {"UZbQjYAwwXM","sceAgcCbSetShRegistersDirect"},
        {"yUBESvCCJ4I","sceAgcCbSetShRegistersDirectGetSize"},
        {"MDLD5Ly94Xk","sceAgcCbSetUcRegisterRangeDirect"},
        {"JOWmDrl+j20","sceAgcCbSetUcRegisterRangeDirectGetSize"},
        {"03RZmELWWzw","sceAgcCbSetUcRegistersDirect"},
        {"TGEZzUWLbrc","sceAgcCbSetUcRegistersDirectGetSize"},
        {"YWTKOju587o","sceAgcCondExecPatchSetCommandAddress"},
        {"ORWsxIbk4TE","sceAgcCondExecPatchSetEnd"},
        {"pdEV7bI6COI","sceAgcCreateInterpolantMapping"},
        {"D9sr1xGUriE","sceAgcCreatePrimState"},
        {"f3dg2CSgRKY","sceAgcCreateShader"},
        {"57labkp+rSQ","sceAgcDcbAcquireMem"},
        {"-vnlTPPXPrw","sceAgcDcbAcquireMemGetSize"},
        {"pH3-dfRpfA0","sceAgcDcbAtomicGds"},
        {"1tB0xkLNjcw","sceAgcDcbAtomicGdsGetSize"},
        {"1-gUn1PI4Sw","sceAgcDcbAtomicMem"},
        {"oz6zQq1JwCE","sceAgcDcbAtomicMemGetSize"},
        {"ms1xVoZ-Vwc","sceAgcDcbBeginOcclusionQueryGetSize"},
        {"PxEFhy0d5v8","sceAgcDcbClearState"},
        {"BIPexNBSGog","sceAgcDcbCondExec"},
        {"ou16V5hh5sg","sceAgcDcbCondExecGetSize"},
        {"HabmgqPwPw0","sceAgcDcbContextStateOp"},
        {"H6vHS5cidSA","sceAgcDcbContextStateOpGetSize"},
        {"1rZSWUv1IRc","sceAgcDcbCopyData"},
        {"b5u0Jzm8TF8","sceAgcDcbCopyDataGetSize"},
        {"CtB+A9-VxO0","sceAgcDcbDispatchIndirect"},
        {"w8HVkEeXPv8","sceAgcDcbDispatchIndirectGetSize"},
        {"WmAc2MEj6Io","sceAgcDcbDmaData"},
        {"2ccJz9LQI+w","sceAgcDcbDmaDataGetSize"},
        {"q88lQ+GP5Yk","sceAgcDcbDrawIndex"},
        {"Yw0jKSqop+E","sceAgcDcbDrawIndexAuto"},
        {"WrdP9Zxx3lQ","sceAgcDcbDrawIndexAutoGetSize"},
        {"6ee9Hd3EWXQ","sceAgcDcbDrawIndexGetSize"},
        {"t1vNu082-jM","sceAgcDcbDrawIndexIndirect"},
        {"mStuvI0zOtc","sceAgcDcbDrawIndexIndirectGetSize"},
        {"ypVBz4uPKcQ","sceAgcDcbDrawIndexIndirectMulti"},
        {"r98I08t+LOg","sceAgcDcbDrawIndexIndirectMultiGetSize"},
        {"Rlx+bykm0r0","sceAgcDcbDrawIndexMultiInstanced"},
        {"mR9j7+SfM34","sceAgcDcbDrawIndexMultiInstancedGetSize"},
        {"B+aG9DUnTKA","sceAgcDcbDrawIndexOffset"},
        {"qMlfB1ZhMDc","sceAgcDcbDrawIndexOffsetGetSize"},
        {"1q1titRBL6o","sceAgcDcbDrawIndirect"},
        {"cxPZ4Wgvdj8","sceAgcDcbDrawIndirectGetSize"},
        {"kUlvghKs-mA","sceAgcDcbDrawIndirectMulti"},
        {"pYoKs3lPy88","sceAgcDcbDrawIndirectMultiGetSize"},
        {"P1CugZ99Uzc","sceAgcDcbEndOcclusionQueryGetSize"},
        {"aJf+j5yntiU","sceAgcDcbEventWrite"},
        {"C4l9fB17t8w","sceAgcDcbEventWriteGetSize"},
        {"vuSXe69VILM","sceAgcDcbGetLodStats"},
        {"rUuVjyR+Rd4","sceAgcDcbGetLodStatsGetSize"},
        {"xSAR0LTcRKM","sceAgcDcbJump"},
        {"VEGu4dixjUg","sceAgcDcbJumpGetSize"},
        {"G0jrLdvEqDw","sceAgcDcbMemSemaphore"},
        {"H7uZqCoNuWk","sceAgcDcbPopMarker"},
        {"jt3pl7EN17o","sceAgcDcbPrimeUtcl2"},
        {"KjPeVduz6jU","sceAgcDcbPrimeUtcl2GetSize"},
        {"+kSrjIVxKFE","sceAgcDcbPushMarker"},
        {"N7M3+N-sBCw","sceAgcDcbPushMarkerSpan"},
        {"zg6u-N6Otxs","sceAgcDcbQueueEndOfShaderActionGetSize"},
        {"TRO721eVt4g","sceAgcDcbResetQueue"},
        {"zfcxg-ewMK8","sceAgcDcbRewind"},
        {"QIXCsbipds0","sceAgcDcbRewindGetSize"},
        {"9S4noWrUI0s","sceAgcDcbSetBaseDispatchIndirectArgsGetSize"},
        {"MMlmJAL7N5w","sceAgcDcbSetBaseDrawIndirectArgsGetSize"},
        {"RmaJwLtc8rY","sceAgcDcbSetBaseIndirectArgs"},
        {"yheJGN-ay+A","sceAgcDcbSetBoolPredicationEnableGetSize"},
        {"73ZZdojLIgs","sceAgcDcbSetCfRegisterDirect"},
        {"BVFg3CWU6Eo","sceAgcDcbSetCfRegisterRangeDirect"},
        {"LHFXRrlTPD8","sceAgcDcbSetCxRegisterDirect"},
        {"1DeUNpRIDDA","sceAgcDcbSetCxRegisterDirectGetSize"},
        {"ZvwO9euwYzc","sceAgcDcbSetCxRegistersIndirect"},
        {"GBCh3zCihoU","sceAgcDcbSetCxRegistersIndirectGetSize"},
        {"YUeqkyT7mEQ","sceAgcDcbSetFlip"},
        {"l4fM9K-Lyks","sceAgcDcbSetIndexBuffer"},
        {"j4emHHndCPY","sceAgcDcbSetIndexBufferGetSize"},
        {"8N2tmT3jmC8","sceAgcDcbSetIndexCount"},
        {"mljzuGDZRQ4","sceAgcDcbSetIndexCountGetSize"},
        {"0o3VDdtA6nM","sceAgcDcbSetIndexIndirectArgs"},
        {"AFIh8SQkYlQ","sceAgcDcbSetIndexIndirectArgsGetSize"},
        {"GIIW2J37e70","sceAgcDcbSetIndexSize"},
        {"ca4KPvp0qLQ","sceAgcDcbSetIndexSizeGetSize"},
        {"QhCbS4X9Rl8","sceAgcDcbSetMarker"},
        {"BYcSvEsINWU","sceAgcDcbSetMarkerSpan"},
        {"tSBxhAPyytQ","sceAgcDcbSetNumInstances"},
        {"6DFuRKT4C9w","sceAgcDcbSetNumInstancesGetSize"},
        {"bbFueFP+J4k","sceAgcDcbSetPredication"},
        {"vLrBL8DQiz8","sceAgcDcbSetPredicationDisableGetSize"},
        {"pFLArOT53+w","sceAgcDcbSetShRegisterDirect"},
        {"QhPDD513V0w","sceAgcDcbSetShRegisterDirectGetSize"},
        {"-HOOCn0JY48","sceAgcDcbSetShRegistersIndirect"},
        {"nNlUtdDDvZ0","sceAgcDcbSetShRegistersIndirectGetSize"},
        {"w4-d0n60hdo","sceAgcDcbSetUcRegisterDirect"},
        {"aP1Ki9G3++4","sceAgcDcbSetUcRegisterDirectGetSize"},
        {"hvUfkUIQcOE","sceAgcDcbSetUcRegistersIndirect"},
        {"UQGTw4xRlcM","sceAgcDcbSetUcRegistersIndirectGetSize"},
        {"hEK26Wdny6s","sceAgcDcbSetWorkloadComplete"},
        {"FneFypEDRgY","sceAgcDcbSetWorkloadStreamInactive"},
        {"LFSPFmGc9Hg","sceAgcDcbSetWorkloadsActive"},
        {"XN+Iuu7XsM8","sceAgcDcbSetZPassPredicationEnableGetSize"},
        {"u2T2DiA5hRI","sceAgcDcbStallCommandBufferParser"},
        {"+u6dKSLWM2o","sceAgcDcbStallCommandBufferParserGetSize"},
        {"43WJ08sSugE","sceAgcDcbWaitOnAddressGetSize"},
        {"VmW0Tdpy420","sceAgcDcbWaitRegMem"},
        {"MWiElSNE8j8","sceAgcDcbWaitUntilSafeForRendering"},
        {"i1jyy49AjXU","sceAgcDcbWriteData"},
        {"p9tI+yTvx68","sceAgcDcbWriteDataGetSize"},
        {"T6xuVw0KUJo","sceAgcDebugRaiseException"},
        {"IxYiarKlXxM","sceAgcDmaDataPatchSetDstAddressOrOffset"},
        {"cdDRpqcFGbU","sceAgcDmaDataPatchSetSrcAddressOrOffsetOrImmediate"},
        {"MetMOQVd8HY","sceAgcDriverAcquireRazorACQ"},
        {"w2rJhmD+dsE","sceAgcDriverAddEqEvent"},
        {"AhGvpITrf4M","sceAgcDriverAgrSubmitDcb"},
        {"+T8Xo6LtFJI","sceAgcDriverAgrSubmitMultiDcbs"},
        {"T8xEHO2Y+XU","sceAgcDriverAllocateToolMemoryForGpuReset"},
        {"zP4ZNlXLBVg","sceAgcDriverCreateQueue"},
        {"1DXIHxWHZAQ","sceAgcDriverCwsrResumeAcq"},
        {"SOAMmdlyaIc","sceAgcDriverCwsrSuspendAcq"},
        {"1BUTwixUG5Y","sceAgcDriverDebugHardwareStatus"},
        {"DL2RXaXOy88","sceAgcDriverDeleteEqEvent"},
        {"XNbrdwCsZ9A","sceAgcDriverDestroyQueue"},
        {"5l3IfCFJxBs","sceAgcDriverFindResourcesPublic"},
        {"4XJkjqVrJrs","sceAgcDriverGetAllocatedToolMemoryForGpuReset"},
        {"F0ZXt5q0ZTA","sceAgcDriverGetDefaultOwner"},
        {"Zw7uUVPulbw","sceAgcDriverGetEqContextId"},
        {"5CdQTZIQPxM","sceAgcDriverGetEqEventType"},
        {"+ADiO6FQvEA","sceAgcDriverGetGpuPrintfWorkArea"},
        {"g68eYcZS7PY","sceAgcDriverGetGpuRefClks"},
        {"r28hEh6cNH0","sceAgcDriverGetHsOffchipParam"},
        {"LepGrgk77sM","sceAgcDriverGetOwnerName"},
        {"Pqxglq1oKec","sceAgcDriverGetPaDebugInterfaceVersion"},
        {"CP-kVAMmWVw","sceAgcDriverGetRegShadowInfo"},
        {"ME1eUot7+Qw","sceAgcDriverGetRegShadowInfoAgr"},
        {"Um-jkyDy9rI","sceAgcDriverGetReservedDmemForAgc"},
        {"NghWEUXp1qM","sceAgcDriverGetResourceBaseAddressAndSizeInBytes"},
        {"M9yBzRKkjPc","sceAgcDriverGetResourceName"},
        {"uJziRsODk1c","sceAgcDriverGetResourceRegistrationMaxNameLength"},
        {"mXn+K9E-wOA","sceAgcDriverGetResourceShaderGuid"},
        {"rI9lNAXPMIw","sceAgcDriverGetResourceType"},
        {"ls4jfY576lw","sceAgcDriverGetResourceUserData"},
        {"2PrsbRYyZi4","sceAgcDriverGetSetFlipPacketSizeInDwords"},
        {"WNyjOWq8-Vk","sceAgcDriverGetSetWorkloadCompletePacketSize"},
        {"k8rLr8nq-hE","sceAgcDriverGetSetWorkloadStreamInactivePacketSize"},
        {"gyVTZWyySpM","sceAgcDriverGetSetWorkloadsActivePacketSize"},
        {"rJUyMrDdxJg","sceAgcDriverGetShaderDebuggingStatus"},
        {"e-YMQ+2tj9M","sceAgcDriverGetTFRing"},
        {"xDPdCurOujQ","sceAgcDriverGetTraceInitiator"},
        {"0MtUJ3BpGhE","sceAgcDriverGetWaitRenderingPacketSizeInDwords"},
        {"t8PLXbBCiRA","sceAgcDriverGetWorkloadStreamInfo"},
        {"u2g5VER9UnM","sceAgcDriverHp3dLockEnd"},
        {"SOo3Lwyglfo","sceAgcDriverHp3dLockStart"},
        {"C2yjkNdzbW4","sceAgcDriverIDHSSubmit"},
        {"F0Y42t-3e18","sceAgcDriverInitResourceRegistration"},
        {"Ddwk4gLT5j0","sceAgcDriverIsCaptureInProgress"},
        {"HMnVBVUyajk","sceAgcDriverIsPaDebug"},
        {"qspAL8bgcBY","sceAgcDriverIsSubmitValidationEnabled"},
        {"K15VxhSJOfc","sceAgcDriverIsSuspendPointInFlight"},
        {"+TN0oRTBxJQ","sceAgcDriverIsTraceInProgress"},
        {"04JRU1Uf8Ms","sceAgcDriverModuleRegistration"},
        {"nR6xhiFsOoc","sceAgcDriverNotifyDefaultStates"},
        {"aCfbPzyjU90","sceAgcDriverPassInfoDownward"},
        {"lYz7vbL4W4A","sceAgcDriverPatchClearState"},
        {"AOLcoIkQDgM","sceAgcDriverQueryResourceRegistrationUserMemoryRequirements"},
        {"U9ueyEhSkF4","sceAgcDriverRegisterDefaultOwner"},
        {"emP3ckeS2uo","sceAgcDriverRegisterGdsResource"},
        {"KtIXf8La96k","sceAgcDriverRegisterGpuResetCallbacks"},
        {"X-Nm5KLREeg","sceAgcDriverRegisterOwner"},
        {"W5z4eZrjEas","sceAgcDriverRegisterResource"},
        {"3AyTaWcF-H8","sceAgcDriverRegisterWorkloadStream"},
        {"SAfhzJPcjuk","sceAgcDriverRequestCaptureStart"},
        {"FOwvmNlFLjM","sceAgcDriverRequestCaptureStop"},
        {"cwbxjPSJ7WQ","sceAgcDriverSetFlip"},
        {"MM4IZSEYytQ","sceAgcDriverSetHsOffchipParam"},
        {"DPcAnsOlTQs","sceAgcDriverSetHsOffchipParamDirect"},
        {"VOMSpd9+vxU","sceAgcDriverSetResourceUserData"},
        {"XlNp7jzGiPo","sceAgcDriverSetTFRing"},
        {"l0Jxfl0DEdo","sceAgcDriverSetTargetRingForDiag"},
        {"8F5j7U-Bq6s","sceAgcDriverSetValidationErrorOutputFrequency"},
        {"i6bfTi13ApA","sceAgcDriverSetWorkloadComplete"},
        {"AU87qNukGi4","sceAgcDriverSetWorkloadStreamInactive"},
        {"UM9b9NunSrE","sceAgcDriverSetWorkloadsActive"},
        {"Vlaj1gwmIFA","sceAgcDriverSetupAsyncGraphics"},
        {"Hj4eWnDektQ","sceAgcDriverSetupRegisterShadow"},
        {"gSRnr79F8tQ","sceAgcDriverSubmitAcb"},
        {"b4fpgH5ZXxQ","sceAgcDriverSubmitCommandBuffer"},
        {"UglJIZjGssM","sceAgcDriverSubmitDcb"},
        {"HF3YllT3mXU","sceAgcDriverSubmitMultiAcbs"},
        {"Fj7r9EHzF38","sceAgcDriverSubmitMultiCommandBuffers"},
        {"xmWi73o1BR0","sceAgcDriverSubmitMultiCommandBuffersDirect"},
        {"6UzEidRZwkg","sceAgcDriverSubmitMultiDcbs"},
        {"lOYHtoUcJD4","sceAgcDriverSubmitToHDRScopesACQ"},
        {"jJyVJyhi5h8","sceAgcDriverSubmitToRazorACQ"},
        {"QcmHLO2n7mk","sceAgcDriverSuspendPointSubmit"},
        {"ZV04pRl7cWU","sceAgcDriverSuspendPointSubmitDirect"},
        {"x3K61sY5m8Q","sceAgcDriverSysEnableSubmitDone45Exception"},
        {"kuE1uTiWfuk","sceAgcDriverSysGetClientNumber"},
        {"EcaEt4nv8No","sceAgcDriverSysGetGfxAppGpuResetStatus"},
        {"ftf-xlfBQpo","sceAgcDriverSysIsGameClosed"},
        {"BbI8si4o-fA","sceAgcDriverSysSubmitFlipHandleProxy"},
        {"UM8rn9hRWrY","sceAgcDriverTmpInitIdhs"},
        {"Xq5WmbwPTnQ","sceAgcDriverTriggerCapture"},
        {"SCoAN5fYlUM","sceAgcDriverUnregisterAllResourcesForOwner"},
        {"DDCQA2fPQj0","sceAgcDriverUnregisterGpuResetCallbacks"},
        {"ZLJk9r2+2Aw","sceAgcDriverUnregisterOwnerAndResources"},
        {"pWLG7WOpVcw","sceAgcDriverUnregisterResource"},
        {"n5ElQVYsU1A","sceAgcDriverUnregisterWorkloadStream"},
        {"VhLnEiTuuWo","sceAgcDriverUserDataGetPacketSize"},
        {"t30LG1ibIJE","sceAgcDriverUserDataImmediateWrite"},
        {"tLTma0k0U3E","sceAgcDriverUserDataImmediateWritePacket"},
        {"-vc-xL+G8u0","sceAgcDriverUserDataWritePacket"},
        {"LEnn-4ARRJM","sceAgcDriverUserDataWritePopMarker"},
        {"+b34-CLWc0s","sceAgcDriverUserDataWritePushMarker"},
        {"zmw2uVSEj94","sceAgcDriverUserDataWriteSetMarker"},
        {"u8BkdHb1+Po","sceAgcDriverWaitUntilSafeForRendering"},
        {"nApJjpKNBl4","sceAgcFuseShaderHalves"},
        {"CQsSq6l6+kA","sceAgcGetDataPacketPayloadAddress"},
        {"s+VGAMDQ0AQ","sceAgcGetDataPacketPayloadRange"},
        {"AAeX-U5-P3M","sceAgcGetDefaultCxStateFlat"},
        {"nQT5kYLv0cg","sceAgcGetFusedShaderSize"},
        {"NKIzURsgV7I","sceAgcGetGsOversubscription"},
        {"Lkf86B98qPc","sceAgcGetPacketSize"},
        {"Wi82ArQtAwg","sceAgcGetRegisterDefaults"},
        {"2JtWUUiYBXs","sceAgcGetRegisterDefaults2"},
        {"wRbq6ZjNop4","sceAgcGetRegisterDefaults2Internal"},
        {"uIwxsqDlHRc","sceAgcGetRegisterDefaultsInternal"},
        {"hFQ9pUxoLQ4","sceAgcGetSemaphoreLabel"},
        {"OXDc0KCnUhs","sceAgcGetStaticBuffer"},
        {"kW3GLb7QfPg","sceAgcInit"},
        {"2BS4EtAaF28","sceAgcJumpPatchSetTarget"},
        {"MqAdbRMdNz4","sceAgcLinkShaders"},
        {"0fWWK5uG9rQ","sceAgcQueueEndOfPipeActionPatchAddress"},
        {"MlEw1feXcjg","sceAgcQueueEndOfPipeActionPatchData"},
        {"J8YCgfKAMQs","sceAgcQueueEndOfPipeActionPatchGcrCntl"},
        {"T9fjQIINoeE","sceAgcQueueEndOfPipeActionPatchType"},
        {"ziVA3whp3p4","sceAgcRewindPatchSetRewindState"},
        {"OYBiWgeGpPo","sceAgcSdmaClose"},
        {"CmlLiND79W8","sceAgcSdmaConstFill"},
        {"7HmaD1MaWQs","sceAgcSdmaCopyLinear"},
        {"DBZMYLxXRYA","sceAgcSdmaCopyTiledBC"},
        {"hBsEOmOR3qQ","sceAgcSdmaCopyTiledGen2"},
        {"oWyZFLUVjcI","sceAgcSdmaCopyWindowBC"},
        {"f4aTpX9UhD0","sceAgcSdmaCopyWindowGen2"},
        {"GOP1R6vumsg","sceAgcSdmaFlush"},
        {"aYySApdZmtE","sceAgcSdmaOpen"},
        {"scA1QSh8cfE","sceAgcSdmaSetTileModesBC"},
        {"OQTgEXyihvA","sceAgcSetAmmSemaphoreMemory"},
        {"d-6uF9sZDIU","sceAgcSetCxRegIndirectPatchAddRegisters"},
        {"vcmNN+AAXnY","sceAgcSetCxRegIndirectPatchSetAddress"},
        {"whb1RL7K4Ss","sceAgcSetCxRegIndirectPatchSetNumRegisters"},
        {"K2mciNVxUCE","sceAgcSetNop"},
        {"w6Dj1VJt5qY","sceAgcSetPacketPredication"},
        {"n8vgpaQg6dA","sceAgcSetRangePredication"},
        {"z2duB-hHQSM","sceAgcSetShRegIndirectPatchAddRegisters"},
        {"Qrj4c+61z4A","sceAgcSetShRegIndirectPatchSetAddress"},
        {"nCUgItdN2ms","sceAgcSetShRegIndirectPatchSetNumRegisters"},
        {"-pjHhph0ZUc","sceAgcSetStaticBuffer"},
        {"-DtvmQ-tgEA","sceAgcSetSubmitMode"},
        {"vRoArM9zaIk","sceAgcSetUcRegIndirectPatchAddRegisters"},
        {"6lNcCp+fxi4","sceAgcSetUcRegIndirectPatchSetAddress"},
        {"fRG-JOH5+sI","sceAgcSetUcRegIndirectPatchSetNumRegisters"},
        {"h9z6+0hEydk","sceAgcSuspendPoint"},
        {"b+fis+WZ3Ig","sceAgcSuspendPointAndCheckStatus"},
        {"SbuY2jN+axQ","sceAgcUpdateInterpolantMapping"},
        {"Y3ymLfZ1384","sceAgcUpdatePrimState"},
        {"3KDcnM3lrcU","sceAgcWaitRegMemPatchAddress"},
        {"n485EBnIWmk","sceAgcWaitRegMemPatchCompareFunction"},
        {"hXAnLgDHCoI","sceAgcWaitRegMemPatchMask"},
        {"7nOoijNPvEU","sceAgcWaitRegMemPatchReference"},
        {"NVDXiUesSbA","sceAjmBatchCancel"},
        {"WfAiBW8Wcek","sceAjmBatchErrorDump"},
        {"nXpC4dnxlI0","sceAjmBatchGetLog"},
        {"MmpF1XsQiHw","sceAjmBatchInitialize"},
        {"uJ3m8INuikg","sceAjmBatchJobClearContext"},
        {"7FZsbyVRM4U","sceAjmBatchJobControl"},
        {"dmDybN--Fn8","sceAjmBatchJobControlBufferRa"},
        {"39WxhR-ePew","sceAjmBatchJobDecode"},
        {"5LLWbpP5xi8","sceAjmBatchJobDecodeSingle"},
        {"SJ3i0DXP8vg","sceAjmBatchJobDecodeSplit"},
        {"SlVIGK1Kl38","sceAjmBatchJobEncode"},
        {"uSrXaxT+oPQ","sceAjmBatchJobGetCodecInfo"},
        {"Esr9db8S1S0","sceAjmBatchJobGetGaplessDecode"},
        {"TBWW4aPfWcA","sceAjmBatchJobGetInfo"},
        {"JkdNCocpu1M","sceAjmBatchJobGetResampleInfo"},
        {"3cAg7xN995U","sceAjmBatchJobGetStatistics"},
        {"ezM2OhNxzck","sceAjmBatchJobInitialize"},
        {"stlghnic3Jc","sceAjmBatchJobInlineBuffer"},
        {"jVCWcthifr8","sceAjmBatchJobRun"},
        {"ElslOCpOIns","sceAjmBatchJobRunBufferRa"},
        {"Z9NVCesiP0Q","sceAjmBatchJobRunSplit"},
        {"7jdAXK+2fMo","sceAjmBatchJobRunSplitBufferRa"},
        {"SkEwpiu3tZg","sceAjmBatchJobSetGaplessDecode"},
        {"81HsnXFbWS4","sceAjmBatchJobSetResampleParameters"},
        {"5ldnD16rYZw","sceAjmBatchJobSetResampleParametersEx"},
        {"5tOfnaClcqM","sceAjmBatchStart"},
        {"fFFkk0xfGWs","sceAjmBatchStartBuffer"},
        {"-qLsfDAywIY","sceAjmBatchWait"},
        {"1t3ixYNXyuc","sceAjmDecAt9ParseConfigData"},
        {"eDFeTyi+G3Y","sceAjmDecMp3ParseFrame"},
        {"MHur6qCsUus","sceAjmFinalize"},
        {"Ct3WeO240lw","sceAjmGetFailedInstance"},
        {"dl+4eHSzUu4","sceAjmInitialize"},
        {"d4SQL+QQLTY","sceAjmInstanceAvailable"},
        {"diXjQNiMu-s","sceAjmInstanceCodecType"},
        {"AxoDrINp4J8","sceAjmInstanceCreate"},
        {"RbLbuKv8zho","sceAjmInstanceDestroy"},
        {"YDFR0dDVGAg","sceAjmInstanceExtend"},
        {"QeaZORfh9GA","sceAjmInstanceGetSize"},
        {"rgLjmfdXocI","sceAjmInstanceSwitch"},
        {"bkRHEYG6lEM","sceAjmMemoryRegister"},
        {"pIpGiaYkHkM","sceAjmMemoryUnregister"},
        {"Q3dyFuwGn64","sceAjmModuleRegister"},
        {"Wi7DtlLV+KI","sceAjmModuleUnregister"},
        {"AxhcqVv5AYU","sceAjmStrError"},
        {"d3lKWPM6odc","sceAmprAmmCommandBufferAllocatePaForPrt"},
        {"EDq5bqCqYpA","sceAmprAmmCommandBufferConstructor"},
        {"pvUFDOHilnE","sceAmprAmmCommandBufferDestructor"},
        {"JEVYGhDc97M","sceAmprAmmCommandBufferMap"},
        {"ZJCgt+aPHAU","sceAmprAmmCommandBufferMapAsPrt"},
        {"8TBE+9XCZbI","sceAmprAmmCommandBufferMapDirect"},
        {"kOfZlhbVAkc","sceAmprAmmCommandBufferMapDirectWithGpuMaskId"},
        {"ojBkmG7+CgE","sceAmprAmmCommandBufferMapWithGpuMaskId"},
        {"rKq9nG+L9Xo","sceAmprAmmCommandBufferModifyMtypeProtect"},
        {"ie-UuLGbYXo","sceAmprAmmCommandBufferModifyMtypeProtectWithGpuMaskId"},
        {"joNORJjCFhg","sceAmprAmmCommandBufferModifyProtect"},
        {"spjcxyNX-KE","sceAmprAmmCommandBufferModifyProtectWithGpuMaskId"},
        {"j2C9no3P4Nw","sceAmprAmmCommandBufferMultiMap"},
        {"Qyz8VbxnaII","sceAmprAmmCommandBufferMultiMapWithGpuMaskId"},
        {"ijvRMHfwwjc","sceAmprAmmCommandBufferRemap"},
        {"0Xo9g4goDXU","sceAmprAmmCommandBufferRemapIntoPrt"},
        {"Fo0Oaoqukg4","sceAmprAmmCommandBufferRemapWithGpuMaskId"},
        {"M-VFI2DJWQA","sceAmprAmmCommandBufferUnmap"},
        {"3A2X6OCHtnA","sceAmprAmmCommandBufferUnmapToPrt"},
        {"KqiWXLgCVe0","sceAmprAmmGetUsageStatsData"},
        {"wkQR9+xTFKY","sceAmprAmmGetVirtualAddressRanges"},
        {"Q07J7XpvhrU","sceAmprAmmGiveDirectMemory"},
        {"2yYv9QWB3hU","sceAmprAmmMeasureAmmCommandSizeAllocatePaForPrt"},
        {"6hbai6KIXkk","sceAmprAmmMeasureAmmCommandSizeMap"},
        {"4SSJ+cn+Pvg","sceAmprAmmMeasureAmmCommandSizeMapAsPrt"},
        {"ZFDZoN9IbVU","sceAmprAmmMeasureAmmCommandSizeMapDirect"},
        {"KUjtdPZJo5I","sceAmprAmmMeasureAmmCommandSizeMapDirectWithGpuMaskId"},
        {"m+fYyX8oFqw","sceAmprAmmMeasureAmmCommandSizeMapWithGpuMaskId"},
        {"Ok2Nxka7qI4","sceAmprAmmMeasureAmmCommandSizeModifyMtypeProtect"},
        {"c5D63Y35GjI","sceAmprAmmMeasureAmmCommandSizeModifyMtypeProtectWithGpuMaskId"},
        {"JPQagYw-y+4","sceAmprAmmMeasureAmmCommandSizeModifyProtect"},
        {"gdSoJ6dvztU","sceAmprAmmMeasureAmmCommandSizeModifyProtectWithGpuMaskId"},
        {"U6PxwrRchl4","sceAmprAmmMeasureAmmCommandSizeMultiMap"},
        {"uGs4yyYTASM","sceAmprAmmMeasureAmmCommandSizeMultiMapWithGpuMaskId"},
        {"8sFq5s8eHnQ","sceAmprAmmMeasureAmmCommandSizeRemap"},
        {"b50TWwRmzu8","sceAmprAmmMeasureAmmCommandSizeRemapWithGpuMaskId"},
        {"Ayg6PIon2wA","sceAmprAmmMeasureAmmCommandSizeUnmap"},
        {"touqMEt6qXQ","sceAmprAmmSetPageTablePoolOccupancyNotificationThreshold"},
        {"lwS-7y3jcBI","sceAmprAmmSubmitCommandBuffer"},
        {"OJf3vCckPAM","sceAmprAmmSubmitCommandBuffer2"},
        {"NnKhlMJtIsI","sceAmprAmmSubmitCommandBuffer3"},
        {"HXymib4T8gc","sceAmprAmmWaitCommandBufferCompletion"},
        {"a8uLzYY--tM","sceAmprAprCommandBufferConstructor"},
        {"Qs1xtplKo0U","sceAmprAprCommandBufferDestructor"},
        {"Eul7AGEpjLo","sceAmprAprCommandBufferMapBegin"},
        {"bFEs0Gs6D2A","sceAmprAprCommandBufferMapDirectBegin"},
        {"X169CE6G3Y4","sceAmprAprCommandBufferMapEnd"},
        {"mQ16-QdKv7k","sceAmprAprCommandBufferReadFile"},
        {"mZSbNJVJpV8","sceAmprAprCommandBufferReadFileGather"},
        {"BVmR1H8l+XI","sceAmprAprCommandBufferReadFileGatherScatter"},
        {"Jg-AgkdJHkk","sceAmprAprCommandBufferReadFileScatter"},
        {"YPxkUDhgoNI","sceAmprAprCommandBufferResetGatherScatterState"},
        {"ULvXMDz56po","sceAmprCommandBufferClearBuffer"},
        {"4UkZbYKVF7c","sceAmprCommandBufferConstructMarker"},
        {"GmOguNIsuKk","sceAmprCommandBufferConstructNop"},
        {"8aI7R7WaOlc","sceAmprCommandBufferConstructor"},
        {"GuchCTefuZw","sceAmprCommandBufferDestructor"},
        {"RPCAhx-aabE","sceAmprCommandBufferGetBufferBaseAddress"},
        {"GnxKOHEawhk","sceAmprCommandBufferGetCurrentOffset"},
        {"gzndltBEzWc","sceAmprCommandBufferGetNumCommands"},
        {"tZDDEo2tE5k","sceAmprCommandBufferGetSize"},
        {"VEDMaQmJZng","sceAmprCommandBufferGetType"},
        {"tNn5WBkta60","sceAmprCommandBufferNop"},
        {"pFQ9UHpO52s","sceAmprCommandBufferNopWithData"},
        {"mv0O8Zg0woU","sceAmprCommandBufferPopMarker"},
        {"dXPaz65HNmk","sceAmprCommandBufferPushMarker"},
        {"f12ObAMEi9A","sceAmprCommandBufferPushMarkerWithColor"},
        {"baQO9ez2gL4","sceAmprCommandBufferReset"},
        {"N-FSPA4S3nI","sceAmprCommandBufferSetBuffer"},
        {"4quckD2y7Pg","sceAmprCommandBufferSetMarker"},
        {"sWbST0oQKsc","sceAmprCommandBufferSetMarkerWithColor"},
        {"V7GQTEeUfhw","sceAmprCommandBufferWaitOnAddress"},
        {"DLfoNxTFNVk","sceAmprCommandBufferWaitOnAddress_04_00"},
        {"FrCNL9TQ8ms","sceAmprCommandBufferWaitOnCounter"},
        {"cQb8Zr8Q0Y0","sceAmprCommandBufferWaitOnCounter_04_00"},
        {"gSF5OsXdfIg","sceAmprCommandBufferWriteAddressFromCounterOnCompletion"},
        {"ZLWtNUP6R5E","sceAmprCommandBufferWriteAddressFromCounterPairOnCompletion"},
        {"enZm-6GjWqw","sceAmprCommandBufferWriteAddressFromCounterPair_04_00"},
        {"t4ExS+SwLjs","sceAmprCommandBufferWriteAddressFromCounter_04_00"},
        {"FI2JD0jAHCs","sceAmprCommandBufferWriteAddressFromTimeCounterOnCompletion"},
        {"bt3LHR9xjK4","sceAmprCommandBufferWriteAddressFromTimeCounter_04_00"},
        {"sJXyWHjP-F8","sceAmprCommandBufferWriteAddressOnCompletion"},
        {"j0+3uJMxYJY","sceAmprCommandBufferWriteAddress_04_00"},
        {"3wn42MWTzTs","sceAmprCommandBufferWriteCounterOnCompletion"},
        {"jK+yuYCI7MA","sceAmprCommandBufferWriteCounter_04_00"},
        {"o67gODLFpls","sceAmprCommandBufferWriteKernelEventQueueOnCompletion"},
        {"H896Pt-yB4I","sceAmprCommandBufferWriteKernelEventQueue_04_00"},
        {"kdFImtTD0hc","sceAmprMeasureCommandSizeMapBegin"},
        {"qvbdJc7bG+s","sceAmprMeasureCommandSizeMapDirectBegin"},
        {"iwTNhyaemnw","sceAmprMeasureCommandSizeMapEnd"},
        {"NNIZ-FMyz3M","sceAmprMeasureCommandSizeNop"},
        {"Xp85BP3+BBI","sceAmprMeasureCommandSizeNopWithData"},
        {"pbnNnahE8vk","sceAmprMeasureCommandSizePopMarker"},
        {"0RdLmAh7WVo","sceAmprMeasureCommandSizePushMarker"},
        {"3OfeY4pzDV0","sceAmprMeasureCommandSizePushMarkerWithColor"},
        {"vWU-odnS+fU","sceAmprMeasureCommandSizeReadFile"},
        {"qesF88X4DRg","sceAmprMeasureCommandSizeReadFileGather"},
        {"DXmgc5op8Yw","sceAmprMeasureCommandSizeReadFileGatherScatter"},
        {"7nXGDGMXSqo","sceAmprMeasureCommandSizeReadFileScatter"},
        {"rddQYXM0CjM","sceAmprMeasureCommandSizeResetGatherScatterState"},
        {"VGkEj4d6-Kg","sceAmprMeasureCommandSizeSetMarker"},
        {"tmfr97+ED5I","sceAmprMeasureCommandSizeSetMarkerWithColor"},
        {"jIlc4p5dSD0","sceAmprMeasureCommandSizeWaitOnAddress"},
        {"0BMj1hgG+kE","sceAmprMeasureCommandSizeWaitOnAddress_04_00"},
        {"6jLL5BIZ88U","sceAmprMeasureCommandSizeWaitOnCounter"},
        {"ClnsFLLLcss","sceAmprMeasureCommandSizeWaitOnCounter_04_00"},
        {"32AcaTaBPSY","sceAmprMeasureCommandSizeWriteAddressFromCounterOnCompletion"},
        {"vxC58+DRk-U","sceAmprMeasureCommandSizeWriteAddressFromCounterPairOnCompletion"},
        {"2Hw8gjMdwSY","sceAmprMeasureCommandSizeWriteAddressFromCounterPair_04_00"},
        {"JYd9g9L+TmE","sceAmprMeasureCommandSizeWriteAddressFromCounter_04_00"},
        {"x7SQEXfeovg","sceAmprMeasureCommandSizeWriteAddressFromTimeCounterOnCompletion"},
        {"gAtc79UTt5E","sceAmprMeasureCommandSizeWriteAddressFromTimeCounter_04_00"},
        {"C+IEj+BsAFM","sceAmprMeasureCommandSizeWriteAddressOnCompletion"},
        {"4fgtGfXDrFc","sceAmprMeasureCommandSizeWriteAddress_04_00"},
        {"4muPEJ-x5N8","sceAmprMeasureCommandSizeWriteCounterOnCompletion"},
        {"I-Qm+MEso5c","sceAmprMeasureCommandSizeWriteCounter_04_00"},
        {"Zi3dBUjgyXI","sceAmprMeasureCommandSizeWriteKernelEventQueueOnCompletion"},
        {"sSAUCCU1dv4","sceAmprMeasureCommandSizeWriteKernelEventQueue_04_00"},
        {"tf25gBJ+feI","sceAppCheckerAbort"},
        {"pAyBQ1E8ooA","sceAppCheckerExecute"},
        {"3TWaWroGGGk","sceAppCheckerExecuteEx"},
        {"ZiATpP9gEkA","sceAppContentAddcontDelete"},
        {"7gxh+5QubhY","sceAppContentAddcontEnqueueDownload"},
        {"kJmjt81mXKQ","sceAppContentAddcontEnqueueDownloadByEntitlemetId"},
        {"TVM-aYIsG9k","sceAppContentAddcontEnqueueDownloadSp"},
        {"VANhIWcqYak","sceAppContentAddcontMount"},
        {"efX3lrPwdKA","sceAppContentAddcontMountByEntitlemetId"},
        {"D3H+cjfzzFY","sceAppContentAddcontShrink"},
        {"3rHWaV-1KC4","sceAppContentAddcontUnmount"},
        {"99b82IKXpH4","sceAppContentAppParamGetInt"},
        {"+OlXCu8qxUk","sceAppContentAppParamGetString"},
        {"gpGZDB4ZlrI","sceAppContentDownload0Expand"},
        {"S5eMvWnbbXg","sceAppContentDownload0Shrink"},
        {"B5gVeVurdUA","sceAppContentDownload1Expand"},
        {"kUeYucqnb7o","sceAppContentDownload1Shrink"},
        {"CN7EbEV7MFU","sceAppContentDownloadDataFormat"},
        {"Gl6w5i0JokY","sceAppContentDownloadDataGetAvailableSpaceKb"},
        {"5bvvbUSiFs4","sceAppContentGetAddcontDownloadProgress"},
        {"m47juOmH0VE","sceAppContentGetAddcontInfo"},
        {"z9hgjLd1SGA","sceAppContentGetAddcontInfoByEntitlementId"},
        {"xnd8BJzAxmk","sceAppContentGetAddcontInfoList"},
        {"3wUaDTGmjcQ","sceAppContentGetAddcontInfoListByIroTag"},
        {"TCqT7kPuGx0","sceAppContentGetDownloadedStoreCountry"},
        {"XTWR0UXvcgs","sceAppContentGetEntitlementKey"},
        {"xmhnAoxN3Wk","sceAppContentGetPftFlag"},
        {"74-1x3lyZK8","sceAppContentGetRegion"},
        {"R9lA82OraNs","sceAppContentInitialize"},
        {"bVtF7v2uqT0","sceAppContentRequestPatchInstall"},
        {"9Gq5rOkWzNU","sceAppContentSmallSharedDataFormat"},
        {"xhb-r8etmAA","sceAppContentSmallSharedDataGetAvailableSpaceKb"},
        {"QuApZnMo9MM","sceAppContentSmallSharedDataMount"},
        {"EqMtBHWu-5M","sceAppContentSmallSharedDataUnmount"},
        {"a5N7lAG0y2Q","sceAppContentTemporaryDataFormat"},
        {"SaKib2Ug0yI","sceAppContentTemporaryDataGetAvailableSpaceKb"},
        {"7bOLX66Iz-U","sceAppContentTemporaryDataMount"},
        {"buYbeLOGWmA","sceAppContentTemporaryDataMount2"},
        {"bcolXMmp6qQ","sceAppContentTemporaryDataUnmount"},
        {"7f1RT+wOQ-U","sceAppInstUtilAppAllowDownloadInstall"},
        {"PpVBSdRazkc","sceAppInstUtilAppCancelGetAllAppSize"},
        {"hK2Bd39pBDs","sceAppInstUtilAppCancelGetAppOtherSize"},
        {"C+vcBYRcSt8","sceAppInstUtilAppCancelMoveApps"},
        {"lr4DyEbLGBA","sceAppInstUtilAppCancelUnInstall"},
        {"946ueKyw75w","sceAppInstUtilAppCancelableUnInstall"},
        {"bq6if4HJaow","sceAppInstUtilAppCancelableUnInstallByUser"},
        {"aX1RlxvYl4A","sceAppInstUtilAppConvertAppDiscToDownload"},
        {"x81--PzmGug","sceAppInstUtilAppConvertAppDownloadToDisc"},
        {"B60nJD7SUE0","sceAppInstUtilAppDestroyMetadata"},
        {"ssSRZ-3Dh5w","sceAppInstUtilAppDestroyPkg"},
        {"kUT4RpxclMQ","sceAppInstUtilAppExists"},
        {"2KNEDy+8OLg","sceAppInstUtilAppGetAddcontInfo"},
        {"I7DtdmOU3rw","sceAppInstUtilAppGetAddcontInfoByContentId"},
        {"aiaG4xXjMCM","sceAppInstUtilAppGetAddcontList"},
        {"8hxesRi3xUE","sceAppInstUtilAppGetAddcontListAll"},
        {"rrH0wWxGdLQ","sceAppInstUtilAppGetAddcontListTotalSize"},
        {"zek4fVO9RPw","sceAppInstUtilAppGetAddcontNum"},
        {"uxYGQe+Cpl8","sceAppInstUtilAppGetAllAppSize"},
        {"9KXSwPg4PlM","sceAppInstUtilAppGetAppInstallStatus"},
        {"-nsIdJK+0Io","sceAppInstUtilAppGetAppInstallStatusByAppInfo"},
        {"1y6BZW9sKjQ","sceAppInstUtilAppGetAppOtherSize"},
        {"j4xqWctK0UQ","sceAppInstUtilAppGetCompilationDiscInfo"},
        {"M7qwhVoqyko","sceAppInstUtilAppGetCustomThemeInfo"},
        {"lftdXgkTxmQ","sceAppInstUtilAppGetInsertedDiscMasterDataId"},
        {"KnhTdl8Arjw","sceAppInstUtilAppGetInsertedDiscTitleId"},
        {"hJifaKzQUxE","sceAppInstUtilAppGetInsertedDiscTitleIdList"},
        {"EaD-N1hrcMc","sceAppInstUtilAppGetInstallAddcontFromDiscStatus"},
        {"8AFfaImRNvM","sceAppInstUtilAppGetIrremovableAppList"},
        {"qz4egqkqF5Y","sceAppInstUtilAppGetMoveErrorAppList"},
        {"2emCE6-7fOA","sceAppInstUtilAppGetNoRelatedAddcontTitleList"},
        {"X41cYKFlQv8","sceAppInstUtilAppGetSize"},
        {"j7cPZ0+LO50","sceAppInstUtilAppGetStoreCompilationDiscInfo"},
        {"+scQA5stvjs","sceAppInstUtilAppInstallAll"},
        {"bb-zDo8J0Fo","sceAppInstUtilAppInstallCloudGame"},
        {"gLeVhOUfwKc","sceAppInstUtilAppInstallContentPush"},
        {"7xvsKSy+09o","sceAppInstUtilAppInstallGetLinkState"},
        {"shEE8O17TMI","sceAppInstUtilAppInstallMediaPlayer"},
        {"bpLyMf0oVwQ","sceAppInstUtilAppInstallPkg"},
        {"87tCXR9gXkg","sceAppInstUtilAppInstallPs4CloudGame"},
        {"mFWjsTgMf2c","sceAppInstUtilAppInstallPsNowIcon"},
        {"wHNEWUkYzso","sceAppInstUtilAppInstallRequestAddcontFromDisc"},
        {"BwhDEizgtpo","sceAppInstUtilAppInstallRequestCompilationDiscApp"},
        {"06AROOK-zaY","sceAppInstUtilAppInstallSharePlayLink"},
        {"ZwXxYEUQQX0","sceAppInstUtilAppInstallSharePlayLinkByUser"},
        {"Wudg3Xe3heE","sceAppInstUtilAppInstallTitleDir"},
        {"zUgEW9fMnxs","sceAppInstUtilAppIsInInstalling"},
        {"CjM2EuBIMV0","sceAppInstUtilAppIsInUpdating"},
        {"joyu2ZxJvZY","sceAppInstUtilAppPrepareOverwritePkg"},
        {"LLYe0XHcjJI","sceAppInstUtilAppProhibitDownloadInstall"},
        {"fD1RuR3+DdE","sceAppInstUtilAppRecoverApp"},
        {"eeaW8UsTXwA","sceAppInstUtilAppRequestMoveApps"},
        {"WYIG6fhLh0E","sceAppInstUtilAppSetRemasterInstallType"},
        {"-rJY6WDua3s","sceAppInstUtilAppSetSavedataUploadStatus"},
        {"ZiDrp+vWE2I","sceAppInstUtilAppStoreCompilationDiscInfo"},
        {"Sx4TTyrQccE","sceAppInstUtilAppUnInstall"},
        {"TmbPSQNxdW0","sceAppInstUtilAppUnInstall2"},
        {"UNREoPNQFas","sceAppInstUtilAppUnInstallAddcont"},
        {"WCzf02AY1FY","sceAppInstUtilAppUnInstallByUser"},
        {"Tp13AgaoLcw","sceAppInstUtilAppUnInstallForMultiInstall"},
        {"O-Q3I-ZthsY","sceAppInstUtilAppUnInstallForRemote"},
        {"kUayHU5rWDo","sceAppInstUtilAppUnInstallPat"},
        {"WUXkX70ly+8","sceAppInstUtilAppUnInstallTheme"},
        {"8SXJpzhlCJg","sceAppInstUtilAppUnInstallTypes"},
        {"-7o1DYzaSuU","sceAppInstUtilAppUpdateStartTime"},
        {"i0TT5qPqCYo","sceAppInstUtilCancelDataDiscCopy"},
        {"bwdom8N0GSM","sceAppInstUtilCheckAppSystemVer"},
        {"vV8MnMpofkE","sceAppInstUtilDeleteExternalPs5All"},
        {"LNNcOPldstA","sceAppInstUtilGetAddcontInfoList2"},
        {"MuOn+V0DYcI","sceAppInstUtilGetAddcontInfoList3"},
        {"WZ3eQ1DV7l0","sceAppInstUtilGetAddcontInstalledStatus"},
        {"MOa8W2eTAAw","sceAppInstUtilGetAddons"},
        {"Mj-2b4AI7FA","sceAppInstUtilGetAppEmptySlot"},
        {"W7jH8oC9B1c","sceAppInstUtilGetAppMoveProgressInfo"},
        {"vHUJgCmE8is","sceAppInstUtilGetAppSlotInfoList"},
        {"5GFncAhZHc4","sceAppInstUtilGetConfigList"},
        {"YvMUP69I69E","sceAppInstUtilGetContentSize"},
        {"JLalnDvk6B4","sceAppInstUtilGetContentSize2"},
        {"yYmiiGW0jfk","sceAppInstUtilGetDataDiscCopyProgress"},
        {"9QNb5TtkWhQ","sceAppInstUtilGetExternalPs5AllSize"},
        {"+s7Q-UbHJWI","sceAppInstUtilGetInsertedDiscRoleType"},
        {"XesihwAcYKE","sceAppInstUtilGetInsertedDiscTotal"},
        {"NPnv7qm0Bv8","sceAppInstUtilGetInstallProgress"},
        {"lfmhZbzP4AY","sceAppInstUtilGetInstallProgressInfo"},
        {"UAGrjSrAF1Y","sceAppInstUtilGetInstallProgressInfoForMultiDisc"},
        {"1wsyLPfjnmg","sceAppInstUtilGetInstallStatus"},
        {"8Nq3pmu0zuE","sceAppInstUtilGetMainAppTitleId"},
        {"Pip4E4FFnl4","sceAppInstUtilGetMainAppTitleIdForSP"},
        {"12PV4AVsJCM","sceAppInstUtilGetParentalControlLevel"},
        {"o3QWhMp98nA","sceAppInstUtilGetPatchInstallStatus"},
        {"PFfR4JFlCAM","sceAppInstUtilGetPrimaryAppSlot"},
        {"KQXyNTCycW0","sceAppInstUtilGetRestoreState"},
        {"JtBV3RSzmlo","sceAppInstUtilGetSubAppTitleId"},
        {"lu1qC5eP52A","sceAppInstUtilGetSubAppTitleIdForSP"},
        {"fAG-kjDm-io","sceAppInstUtilGetTitleIdFromPkg"},
        {"540lotO7oHE","sceAppInstUtilInitialize"},
        {"wzDVSHoU54o","sceAppInstUtilInstall"},
        {"tDtjgaXYmuo","sceAppInstUtilInstallByPackage"},
        {"CO+HiTmB0-4","sceAppInstUtilInstallPatch"},
        {"Sh8SrJn6PkU","sceAppInstUtilJson"},
        {"5GRg11q-4Po","sceAppInstUtilMountBdEmu"},
        {"1npa3LfEfq0","sceAppInstUtilPauseInstall"},
        {"VG7lK9I4bJw","sceAppInstUtilRegisterDownload"},
        {"+e96RoSI62w","sceAppInstUtilRequestDataDiscCopy"},
        {"+XPO-y2Kmt8","sceAppInstUtilRequestInstallDiscGame"},
        {"fJXozPJvPeA","sceAppInstUtilRestoreDataSource"},
        {"rt8sKepvhKI","sceAppInstUtilResumeInstall"},
        {"ETa2mo9ojss","sceAppInstUtilSetPrimaryAppSlot"},
        {"k4yvkV8yVWU","sceAppInstUtilStartInstall"},
        {"vk7MRoekMtc","sceAppInstUtilSwitchConfig"},
        {"kLLazhNh6d4","sceAppInstUtilTerminate"},
        {"kjokc80XDo0","sceAppInstUtilUnmountBdEmu"},
        {"alZfRdr2RP8","sceAppMessagingClearEventFlag"},
        {"jKgAUl6cLy0","sceAppMessagingReceiveMsg"},
        {"+zuv20FsXrA","sceAppMessagingSendMsg"},
        {"HIwEvx4kf6o","sceAppMessagingSendMsgToShellCore"},
        {"5ygy1IPUh5c","sceAppMessagingSendMsgToShellUI"},
        {"hdoMbMFIDdE","sceAppMessagingSetEventFlag"},
        {"iKNXKsUtOjY","sceAppMessagingTryGetEventFlag"},
        {"ZVRXXqj1n80","sceAppMessagingTryReceiveMsg"},
        {"mzppT1RdIj0","sceApplicationAddProcess2"},
        {"g-rkXpulHMc","sceApplicationBeginSclkChange"},
        {"aV5WzZ1JxbY","sceApplicationBlockingKill"},
        {"FvuQlkBE3Ng","sceApplicationBlockingKill2"},
        {"y55QWr8yzrY","sceApplicationBlockingKill3"},
        {"+7qLP7HjL+4","sceApplicationContinue"},
        {"z5e9ck9iUDc","sceApplicationCrashSyscore"},
        {"zcvf3sc8O-U","sceApplicationCrashSystemProcess"},
        {"rUm5+ODGAUQ","sceApplicationDebugSpawnAndSetAllFocus"},
        {"FNfdkVuQIh0","sceApplicationDebugSpawnCommonDialog"},
        {"595JFF0TQeo","sceApplicationDebugSpawnDaemon"},
        {"AZ2TuCjJ4J8","sceApplicationDeclareShellCore"},
        {"tI+vyqSJZRY","sceApplicationEndSclkChange"},
        {"b6KysZfpTwE","sceApplicationExitSpawn"},
        {"0Ygl1mtSLhg","sceApplicationExitSpawn2"},
        {"SfPuQO4vW9M","sceApplicationFinalize"},
        {"kMaBFIQNsSI","sceApplicationGetAppInfoByAppId"},
        {"rFCJnwsHUYA","sceApplicationGetAppPackageInfoForCoredump"},
        {"wkO4Gn84wrs","sceApplicationGetCanvasHandle"},
        {"P5b86RAAMx4","sceApplicationGetCanvasHandleByApplicationLocalPid"},
        {"vS-g6oXTuW8","sceApplicationGetCanvasHandleByPid"},
        {"hlrJvAkqZxM","sceApplicationGetCompiledSdkVersionByAppId"},
        {"9+8RiLTZ57g","sceApplicationGetCoreFileName"},
        {"f+HdRtISAvw","sceApplicationGetCoredumpDirAndFileName"},
        {"sVGtoUBVB7E","sceApplicationGetCoredumpDirPath"},
        {"DfD47ZODK8Y","sceApplicationGetCoredumpState"},
        {"IQMhNqP7Ulw","sceApplicationGetCpuUsage"},
        {"pOEPVuZSH5g","sceApplicationGetCpuUsage2"},
        {"iW2KVLVygdM","sceApplicationGetDbgExecutablePath"},
        {"cRGdsEkmjTU","sceApplicationGetMode"},
        {"GdIm4Jm2mm8","sceApplicationGetProcs"},
        {"yvbO67OvrFc","sceApplicationGetShellCoreAppId"},
        {"36MDnaC1OHI","sceApplicationGetStateForDebugger"},
        {"XFYItOxS6r0","sceApplicationInitialize"},
        {"9PCBPZcDU7Q","sceApplicationInitializeForShellCore"},
        {"K3+kZCE6lOo","sceApplicationIsCrashReportBeingProcessed"},
        {"UWQ3JZbb5bM","sceApplicationIsPrimaryProcess"},
        {"os4QwIWwOJw","sceApplicationIsResumable"},
        {"8aPSCSE8msA","sceApplicationIsSuspendable"},
        {"t6NwIzt2IE8","sceApplicationKickCoredump"},
        {"zrxj3h66ScY","sceApplicationKickCoredump2"},
        {"eAU7XCnlXMk","sceApplicationKill"},
        {"BVfIVVqL1DA","sceApplicationLocalProcessKill"},
        {"OITH4TZEdRY","sceApplicationLocalProcessKill2"},
        {"AumF38kir6s","sceApplicationLocalProcessResume"},
        {"slkr1eWM1o8","sceApplicationLocalProcessSuspend"},
        {"W+VrzBY+LBA","sceApplicationNotifyCoredumpRequestEnd"},
        {"+dLapxrRdJM","sceApplicationNotifyCoredumpRequestProgress"},
        {"rH8hY8WuDvg","sceApplicationNotifyPhase"},
        {"f6zbafRlX3s","sceApplicationNotifyVshMainOnStandby"},
        {"dqwCM7RWifY","sceApplicationNotifyVshReady"},
        {"kSqKbSK1s2c","sceApplicationOnAllResourceReleased"},
        {"IgqBZdkIvqM","sceApplicationRaiseException"},
        {"++DyHhMUeQA","sceApplicationRaiseExceptionToLocalPid"},
        {"fQZV+2VLPWI","sceApplicationRaiseExceptionToPid"},
        {"i8x4exnuJ8o","sceApplicationRequestToChangeRenderingMode"},
        {"Kh-3sEIzTyM","sceApplicationRestore"},
        {"Fv+LV+3CjIE","sceApplicationResume"},
        {"KYBFFsmh0a0","sceApplicationSave"},
        {"5DIzIUbaYkc","sceApplicationSendDebugSpawnResult2"},
        {"GPC-wPiKvKk","sceApplicationSendResultOfDebuggerKillRequest"},
        {"n2oTCajh0fE","sceApplicationSendResultOfDebuggerResumeRequest"},
        {"aDloR-BDH7k","sceApplicationSendResultOfDebuggerSuspendRequest"},
        {"DReLgJ4LPj8","sceApplicationSendResultOfDebuggerTitleIdLaunchRequest"},
        {"S5pL+zLvJPI","sceApplicationSetApplicationFocus"},
        {"qTHiabfEukw","sceApplicationSetCanvasHandle"},
        {"bn3xT3DX1o8","sceApplicationSetControllerFocus"},
        {"8X5O9jV-bFs","sceApplicationSetControllerFocusPermissionToSubProcess"},
        {"K62IGGSMrME","sceApplicationSetMemoryPstate"},
        {"MW+T6ZCK7wo","sceApplicationSignalShellCoreHeartBeat"},
        {"znS+s4RFPNk","sceApplicationSpawn2"},
        {"glVu-RQwkic","sceApplicationSpawnAndSetAllFocus"},
        {"SGdtwfblKXg","sceApplicationSpawnCommonDialog"},
        {"6TEl6BobGj8","sceApplicationSpawnDaemon"},
        {"C9ElcezDvIE","sceApplicationSuspend"},
        {"2Skcwb8RW2w","sceApplicationSuspendSystemForDebugger"},
        {"Oj6EZyXtQkk","sceApplicationSwitchToBaseMode"},
        {"60RuiO+Dep4","sceApplicationSwitchToNeoMode"},
        {"BIqhORVcFnI","sceApplicationSwitchToNeoMode2"},
        {"F0VSNgqS1+g","sceApplicationSystemReboot"},
        {"kP9AaRQ4bs0","sceApplicationSystemShutdown2"},
        {"g8rs9gM3qAQ","sceApplicationSystemSuspend"},
        {"ksIBN+9hdXw","sceApplicationSystemSuspend2"},
        {"nfI5R0ENsAg","sceApplictionGetStateForDebugger"},
        {"ZE8DFcSverk","sceAt9EncClearContext"},
        {"gujP4afE9dQ","sceAt9EncCreateEncoder"},
        {"WBgTbIYvODM","sceAt9EncEncode"},
        {"jOnUkmU6pyQ","sceAt9EncFlush"},
        {"1iDLkHJ4gbA","sceAt9EncQueryMemSize"},
        {"pZlOm1aF3aA","sceAudio3dAudioOutClose"},
        {"ucEsi62soTo","sceAudio3dAudioOutOpen"},
        {"7NYEzJ9SJbM","sceAudio3dAudioOutOutput"},
        {"HbxYY27lK6E","sceAudio3dAudioOutOutputs"},
        {"9tEwE0GV0qo","sceAudio3dBedWrite"},
        {"xH4Q9UILL3o","sceAudio3dBedWrite2"},
        {"lvWMW6vEqFU","sceAudio3dCreateSpeakerArray"},
        {"8hm6YdoQgwg","sceAudio3dDeleteSpeakerArray"},
        {"Im+jOoa5WAI","sceAudio3dGetDefaultOpenParameters"},
        {"kEqqyDkmgdI","sceAudio3dGetSpeakerArrayMemorySize"},
        {"-R1DukFq7Dk","sceAudio3dGetSpeakerArrayMixCoefficients"},
        {"-Re+pCWvwjQ","sceAudio3dGetSpeakerArrayMixCoefficients2"},
        {"UmCvjSmuZIw","sceAudio3dInitialize"},
        {"jO2tec4dJ2M","sceAudio3dObjectReserve"},
        {"4uyHN9q4ZeU","sceAudio3dObjectSetAttributes"},
        {"1HXxo-+1qCw","sceAudio3dObjectUnreserve"},
        {"lw0qrdSjZt8","sceAudio3dPortAdvance"},
        {"OyVqOeVNtSk","sceAudio3dPortClose"},
        {"UHFOgVNz0kk","sceAudio3dPortCreate"},
        {"Mw9mRQtWepY","sceAudio3dPortDestroy"},
        {"ZOGrxWLgQzE","sceAudio3dPortFlush"},
        {"uJ0VhGcxCTQ","sceAudio3dPortFreeState"},
        {"9ZA23Ia46Po","sceAudio3dPortGetAttributesSupported"},
        {"QqgTQQdzEMY","sceAudio3dPortGetBufferLevel"},
        {"SEggctIeTcI","sceAudio3dPortGetList"},
        {"flPcUaXVXcw","sceAudio3dPortGetParameters"},
        {"YaaDbDwKpFM","sceAudio3dPortGetQueueLevel"},
        {"CKHlRW2E9dA","sceAudio3dPortGetState"},
        {"iRX6GJs9tvE","sceAudio3dPortGetStatus"},
        {"XeDDK0xJWQA","sceAudio3dPortOpen"},
        {"VEVhZ9qd4ZY","sceAudio3dPortPush"},
        {"-pzYDZozm+M","sceAudio3dPortQueryDebug"},
        {"Yq9bfUQ0uJg","sceAudio3dPortSetAttribute"},
        {"QfNXBrKZeI0","sceAudio3dReportRegisterHandler"},
        {"psv2gbihC1A","sceAudio3dReportUnregisterHandler"},
        {"yEYXcbAGK14","sceAudio3dSetGpuRenderer"},
        {"Aacl5qkRU6U","sceAudio3dStrError"},
        {"WW1TS2iz5yc","sceAudio3dTerminate"},
        {"tKumjQSzhys","sceAudioDeviceControlGet"},
        {"5ChfcHOf3SM","sceAudioDeviceControlSet"},
        {"3YQ1qY5ePUk","sceAudioInAsyncOpen"},
        {"IQtWgnrw6v8","sceAudioInChangeAppModuleState"},
        {"Jh6WbHhnI68","sceAudioInClose"},
        {"8mtcsG-Qp5E","sceAudioInCountPorts"},
        {"5qRVfxOmbno","sceAudioInDeviceHqOpen"},
        {"gUNabrUkZNg","sceAudioInDeviceIdHqOpen"},
        {"X-AQLtdxQOo","sceAudioInDeviceIdOpen"},
        {"VoX9InuwwTg","sceAudioInDeviceOpen"},
        {"48-miagyJ2I","sceAudioInDeviceOpenEx"},
        {"kFKJ3MVcDuo","sceAudioInExtClose"},
        {"mhAfefP9m2g","sceAudioInExtCtrl"},
        {"KpBKoHKVKEc","sceAudioInExtInput"},
        {"YZ+3seW7CyY","sceAudioInExtOpen"},
        {"FVGWf8JaHOE","sceAudioInExtSetAecMode"},
        {"S-rDUfQk9sg","sceAudioInGetGain"},
        {"NJam1-F7lNY","sceAudioInGetHandleStatusInfo"},
        {"3shKmTrTw6c","sceAudioInGetRerouteCount"},
        {"BohEAQ7DlUE","sceAudioInGetSilentState"},
        {"nya-R5gDYhM","sceAudioInHqOpen"},
        {"CTh72m+IYbU","sceAudioInHqOpenEx"},
        {"SxQprgjttKE","sceAudioInInit"},
        {"LozEOU8+anM","sceAudioInInput"},
        {"rmgXsZ-2Tyk","sceAudioInInputs"},
        {"6QP1MzdFWhs","sceAudioInIsSharedDevice"},
        {"5NE8Sjc7VC8","sceAudioInOpen"},
        {"+DY07NwJb0s","sceAudioInOpenEx"},
        {"vYFsze1SqU8","sceAudioInSetAllMute"},
        {"vyh-T6sMqnw","sceAudioInSetCompressorPreGain"},
        {"YeBSNVAELe4","sceAudioInSetConnections"},
        {"thLNHvkWSeg","sceAudioInSetConnectionsForUser"},
        {"rcgv2ciDrtc","sceAudioInSetDevConnection"},
        {"iN3KqF-8R-w","sceAudioInSetFocusForUser"},
        {"5iAhhCI-A1A","sceAudioInSetMicLevel"},
        {"VAzfxqDwbQ0","sceAudioInSetMode"},
        {"CwBFvAlOv7k","sceAudioInSetMode2"},
        {"6jUfpgzO2J0","sceAudioInSetNoiseGateThreshold"},
        {"tQpOPpYwv7o","sceAudioInSetPortConnections"},
        {"NUWqWguYcNQ","sceAudioInSetPortStatuses"},
        {"U0ivfdKFZbA","sceAudioInSetSparkParam"},
        {"hWMCAPpqzDo","sceAudioInSetSparkSideTone"},
        {"nqXpw3MaN50","sceAudioInSetUsbGain"},
        {"arJp991xk5k","sceAudioInSetUserMute"},
        {"DVTn+iMSpBM","sceAudioInVmicCreate"},
        {"3ULZGIl+Acc","sceAudioInVmicDestroy"},
        {"VAyyCip8dVk","sceAudioInVmicSetMute"},
        {"4kHw99LUG3A","sceAudioInVmicWrite"},
        {"VeiZKFxdh8k","sceAudioLatencyEstimationAddData"},
        {"Z1w28FnOa9o","sceAudioLatencyEstimationGetDelayTime"},
        {"V++vjESqpWU","sceAudioLatencyEstimationInitialize"},
        {"yR3k0vfjKII","sceAudioLatencyEstimationRelease"},
        {"OF394ni0C-c","sceAudioOut2ArbitrationInitialize"},
        {"PE2zHMqLSHs","sceAudioOut2ContextAdvance"},
        {"DxGyV8dtOR8","sceAudioOut2ContextBedWrite"},
        {"0x6o1VVAYSY","sceAudioOut2ContextCreate"},
        {"on6ZH7Abo10","sceAudioOut2ContextDestroy"},
        {"R7d0F1g2qsU","sceAudioOut2ContextGetQueueLevel"},
        {"aII9h5nli9U","sceAudioOut2ContextPush"},
        {"pDmme7Bgm6E","sceAudioOut2ContextQueryMemory"},
        {"t5YrizufpQc","sceAudioOut2ContextResetParam"},
        {"4dq2rblWlg0","sceAudioOut2ContextSetAttributes"},
        {"xzVZA1oYXo4","sceAudioOut2DebugStateCtrl"},
        {"vzvznsnpjKM","sceAudioOut2DisableChat"},
        {"oiOi7vgPfAY","sceAudioOut2EnableChat"},
        {"1hdjgLpYoY0","sceAudioOut2GetAmbisonicsEncodeCoefficients"},
        {"29hgt4+HPYs","sceAudioOut2GetIpcHandle"},
        {"28QqMnuuJ9Y","sceAudioOut2GetSpeakerArrayAmbisonicsCoefficients"},
        {"4BlZurolOAo","sceAudioOut2GetSpeakerArrayCoefficients"},
        {"G1YOKDJYX2Y","sceAudioOut2GetSpeakerArrayMemorySize"},
        {"DImz2Ft9E2g","sceAudioOut2GetSpeakerInfo"},
        {"bkBN+CMLwRc","sceAudioOut2GetSystemState"},
        {"eZqcAgGe1ng","sceAudioOut2GetSystemStateEx"},
        {"g2tViFIohHE","sceAudioOut2Initialize"},
        {"3livsiq3ji4","sceAudioOut2InitializeEx"},
        {"aa2y9JoZwDc","sceAudioOut2LoContextAdvance"},
        {"ECcNKhS8wvg","sceAudioOut2LoContextCreate"},
        {"eSuD0DPJpvE","sceAudioOut2LoContextDestroy"},
        {"Q8DZkKQ-SYc","sceAudioOut2LoContextGetQueueLevel"},
        {"Hq2VRfX3OOk","sceAudioOut2LoContextPush"},
        {"ui6EuBxIaMM","sceAudioOut2LoContextQueryMemory"},
        {"NZu1Z2k14DM","sceAudioOut2LoContextSetAttributes"},
        {"9kkkQp8Xz1Y","sceAudioOut2LoInit"},
        {"wgaUyb3bh0o","sceAudioOut2LoPortCreate"},
        {"9bpjp8T0nRg","sceAudioOut2LoPortDestroy"},
        {"xaZ3K60Wwz0","sceAudioOut2LoPortGetState"},
        {"yiOhxHhSzC0","sceAudioOut2LoPortSetAttributes"},
        {"QuAWXdMHi88","sceAudioOut2LoTerminate"},
        {"VZidxi2cYh0","sceAudioOut2MasteringGetState"},
        {"XHl38ZNknbs","sceAudioOut2MasteringInit"},
        {"7ukE-Yrzqog","sceAudioOut2MasteringInitEx"},
        {"v8iOE+j8a5o","sceAudioOut2MasteringSetParam"},
        {"2bbBBOkH4CY","sceAudioOut2MasteringTerm"},
        {"+YKXDq904dc","sceAudioOut2MbusInit"},
        {"JK2wamZPzwM","sceAudioOut2PortCreate"},
        {"9-fQVDsnM94","sceAudioOut2PortCreateEx"},
        {"cd+Rtw+D1x8","sceAudioOut2PortDestroy"},
        {"gatEUKG+Ea4","sceAudioOut2PortGetState"},
        {"Bph+nEAV4WY","sceAudioOut2PortRegister"},
        {"8XTArSPyWHk","sceAudioOut2PortSetAttributes"},
        {"16Ob5ACgOYk","sceAudioOut2PortUnregister"},
        {"kWBaf0WOZBI","sceAudioOut2ReportRegisterHandler"},
        {"Ir13Y5FbeeA","sceAudioOut2ReportUnregisterHandler"},
        {"TViD1EZXkNI","sceAudioOut2Set3DLatency"},
        {"b1HWDUC8zaE","sceAudioOut2SetSystemDebugState"},
        {"+k91hoTuoA8","sceAudioOut2SpeakerArrayCreate"},
        {"erCWQR5eKiQ","sceAudioOut2SpeakerArrayDestroy"},
        {"Yg0OOTI0oPM","sceAudioOut2Terminate"},
        {"xywYcRB7nbQ","sceAudioOut2UserCreate"},
        {"ZUo8cAh5uyc","sceAudioOut2UserCreateEx"},
        {"IaZXJ9M79uo","sceAudioOut2UserDestroy"},
        {"iE8trxPKnAg","sceAudioOut2UserGetSupportedAttributes"},
        {"Iz9X7ISldhs","sceAudioOutA3dControl"},
        {"9RVIoocOVAo","sceAudioOutA3dExit"},
        {"n7KgxE8rOuE","sceAudioOutA3dInit"},
        {"cJrYXu-MqFk","sceAudioOutArbitrationInitialize"},
        {"WprqEZQd8e0","sceAudioOutAssignHRTF"},
        {"WBAO6-n0-4M","sceAudioOutAttachToApplicationByPid"},
        {"O3FM2WXIJaI","sceAudioOutChangeAppModuleState"},
        {"s1--uE9mBFw","sceAudioOutClose"},
        {"C9JwMHZ8Xkk","sceAudioOutConfigureOutputModeEx"},
        {"ol4LbeTG8mc","sceAudioOutDetachFromApplicationByPid"},
        {"cx2dYFbzIAg","sceAudioOutDeviceIdOpen"},
        {"1YO1ZDQXErs","sceAudioOutEnable3DAudioForUser"},
        {"0TfjSulCV2A","sceAudioOutExClose"},
        {"VcE+gXSwFXI","sceAudioOutExConfigureOutput"},
        {"r1V9IFEE+Ts","sceAudioOutExConfigureOutputMode"},
        {"TRbUbU6biKg","sceAudioOutExGetLastOutputTime"},
        {"PhnNN0UEV6Y","sceAudioOutExGetMonitorInfo"},
        {"HkXJ7FFaQK8","sceAudioOutExGetOutputInfo"},
        {"wZakRQsWGos","sceAudioOutExGetSystemInfo"},
        {"6X6dp+07h4U","sceAudioOutExOpen"},
        {"xjjhT5uw08o","sceAudioOutExPtClose"},
        {"DsST7TNsyfo","sceAudioOutExPtGetLastOutputTime"},
        {"4UlW3CSuCa4","sceAudioOutExPtOpen"},
        {"Xcj8VTtnZw0","sceAudioOutExSystemInfoIsSupportedAudioOutExMode"},
        {"I3Fwcmkg5Po","sceAudioOutGetFocusEnablePid"},
        {"Y3lXfCFEWFY","sceAudioOutGetHandleStatusInfo"},
        {"-00OAutAw+c","sceAudioOutGetInfo"},
        {"RqmKxBqB8B4","sceAudioOutGetInfoOpenNum"},
        {"Ptlts326pds","sceAudioOutGetLastOutputTime"},
        {"GrQ9s4IrNaQ","sceAudioOutGetPortState"},
        {"c7mVozxJkPU","sceAudioOutGetSimulatedBusUsableStatusByBusType"},
        {"pWmS7LajYlo","sceAudioOutGetSimulatedHandleStatusInfo"},
        {"oPLghhAWgMM","sceAudioOutGetSimulatedHandleStatusInfo2"},
        {"5+r7JYHpkXg","sceAudioOutGetSparkVss"},
        {"5ox1t2dfriw","sceAudioOutGetSystemInfoEx"},
        {"R5hemoKKID8","sceAudioOutGetSystemState"},
        {"JfEPXVxhFqA","sceAudioOutInit"},
        {"n16Kdoxnvl0","sceAudioOutInitIpmiGetSession"},
        {"r+qKw+ueD+Q","sceAudioOutMasteringGetState"},
        {"xX4RLegarbg","sceAudioOutMasteringInit"},
        {"4055yaUg3EY","sceAudioOutMasteringSetParam"},
        {"RVWtUgoif5o","sceAudioOutMasteringTerm"},
        {"-LXhcGARw3k","sceAudioOutMbusInit"},
        {"ekNvsT22rsY","sceAudioOutOpen"},
        {"qLpSK75lXI4","sceAudioOutOpenEx"},
        {"QOQtbeDqsT4","sceAudioOutOutput"},
        {"w3PdaSTSwGE","sceAudioOutOutputs"},
        {"MapHTgeogbk","sceAudioOutPtClose"},
        {"YZaq+UKbriQ","sceAudioOutPtGetLastOutputTime"},
        {"xyT8IUCL3CI","sceAudioOutPtOpen"},
        {"iSybA782aFw","sceAudioOutPtOpenEx"},
        {"xOZLTgIzN-M","sceAudioOutSetAllMute"},
        {"2iP1vI69aLE","sceAudioOutSetCaesarVolume"},
        {"o4OLQQqqA90","sceAudioOutSetConnections"},
        {"QHq2ylFOZ0k","sceAudioOutSetConnectionsForUser"},
        {"r9KGqGpwTpg","sceAudioOutSetDevConnection"},
        {"08MKi2E-RcE","sceAudioOutSetHeadphoneOutMode"},
        {"18IVGrIQDU4","sceAudioOutSetJediJackVolume"},
        {"JDzKvHLMXOI","sceAudioOutSetJediJackVolume2"},
        {"h0o+D4YYr1k","sceAudioOutSetJediSpkVolume"},
        {"jZJnaQWvQO0","sceAudioOutSetJediSpkVolume2"},
        {"KI9cl22to7E","sceAudioOutSetMainOutput"},
        {"wVwPU50pS1c","sceAudioOutSetMixLevelPadSpk"},
        {"eeRsbeGYe20","sceAudioOutSetMorpheusParam"},
        {"IZrItPnflBM","sceAudioOutSetMorpheusWorkingMode"},
        {"GTP5C2Wvrhs","sceAudioOutSetPadJackVolume"},
        {"8By20nPynEo","sceAudioOutSetPadSpkVolume"},
        {"Gy0ReOgXW00","sceAudioOutSetPortConnections"},
        {"oRBFflIrCg0","sceAudioOutSetPortStatuses"},
        {"ae-IVPMSWjU","sceAudioOutSetRecMode"},
        {"d3WL2uPE1eE","sceAudioOutSetSparkParam"},
        {"7UsdDOEvjlk","sceAudioOutSetSystemDebugState"},
        {"X7Cfsiujm8Y","sceAudioOutSetUsbVolume"},
        {"b+uAV89IlxE","sceAudioOutSetVolume"},
        {"rho9DH-0ehs","sceAudioOutSetVolumeDown"},
        {"Mt7JB3lOyJk","sceAudioOutSparkControlSetEqCoef"},
        {"I91P0HAPpjw","sceAudioOutStartAuxBroadcast"},
        {"uo+eoPzdQ-s","sceAudioOutStartSharePlay"},
        {"AImiaYFrKdc","sceAudioOutStopAuxBroadcast"},
        {"teCyKKZPjME","sceAudioOutStopSharePlay"},
        {"95bdtHdNUic","sceAudioOutSuspendResume"},
        {"pKY2S4K-6Mg","sceAudioOutSysClose"},
        {"ktdp5iauPQc","sceAudioOutSysConfigureOutput"},
        {"oRJZnXxok-M","sceAudioOutSysConfigureOutputMode"},
        {"Tf9-yOJwF-A","sceAudioOutSysGetHdmiMonitorInfo"},
        {"G7xphg9tZlg","sceAudioOutSysGetMonitorInfo"},
        {"38tFulGgeWI","sceAudioOutSysGetOutputInfo"},
        {"y2-hP-KoTMI","sceAudioOutSysGetSystemInfo"},
        {"YV+bnMvMfYg","sceAudioOutSysHdmiMonitorInfoIsSupportedAudioOutMode"},
        {"MGkAS4ncQ90","sceAudioOutSysOpen"},
        {"JEHhANREcLs","sceAudioOutSystemControlGet"},
        {"9CHWVv6r3Dg","sceAudioOutSystemControlSet"},
        {"tL2AEPejVQE","sceAudioPropagationPathGetNumPoints"},
        {"b-dYXrjSNZU","sceAudioPropagationPortalCreate"},
        {"ZQXE-xS6MTE","sceAudioPropagationPortalDestroy"},
        {"WXMhENV2NcA","sceAudioPropagationPortalSetAttributes"},
        {"gCmQm6dvMxw","sceAudioPropagationReportApi"},
        {"BbOT4vBwAjs","sceAudioPropagationResetAttributes"},
        {"8bI5h8req30","sceAudioPropagationRoomCreate"},
        {"S0JwP2AFTTE","sceAudioPropagationRoomDestroy"},
        {"PBcrVpEqUVY","sceAudioPropagationSourceCalculateAudioPaths"},
        {"d84otraxt2s","sceAudioPropagationSourceCreate"},
        {"wkseM3LWPuc","sceAudioPropagationSourceDestroy"},
        {"eEeKqFeNI3o","sceAudioPropagationSourceGetAudioPath"},
        {"G+QLTfyLMYk","sceAudioPropagationSourceGetAudioPathCount"},
        {"aKJZx7wCma8","sceAudioPropagationSourceGetRays"},
        {"3aEY9tPXGKc","sceAudioPropagationSourceQueryInfo"},
        {"hhz9pITnC8k","sceAudioPropagationSourceRender"},
        {"-wsUTr31yeg","sceAudioPropagationSourceSetAttributes"},
        {"tKSmk2JsMAA","sceAudioPropagationSourceSetAudioPath"},
        {"5vzOS2pHMFc","sceAudioPropagationSourceSetAudioPaths"},
        {"aNEqtSHdUSo","sceAudioPropagationSystemCreate"},
        {"x5VPqg5iyAk","sceAudioPropagationSystemDestroy"},
        {"ht-QXT3zGxo","sceAudioPropagationSystemGetRays"},
        {"B2KI2AachWE","sceAudioPropagationSystemLock"},
        {"GrA9ke1QT+E","sceAudioPropagationSystemQueryInfo"},
        {"7xyAxrusLko","sceAudioPropagationSystemQueryMemory"},
        {"CPLV6G-eXmk","sceAudioPropagationSystemRegisterMaterial"},
        {"kIdb+iQUzCs","sceAudioPropagationSystemSetAttributes"},
        {"VlBT16890mA","sceAudioPropagationSystemSetRays"},
        {"XKCN4gpeYsM","sceAudioPropagationSystemUnregisterMaterial"},
        {"I4oxnvdvQmk","sceAudioSystemSystemResume"},
        {"0E2eyiIG7wM","sceAudioSystemSystemSuspend"},
        {"WQhzwyaq4i8","sceAudiodReportLoudness"},
        {"zs1b1Y6IBdI","sceAudiodReportMasteringGetParams"},
        {"l-cZLdtVXds","sceAudiodReportMasteringSetParams"},
        {"oTBVBlVW9PU","sceAudiodReportMasteringStates"},
        {"Db6G2wnBgp0","sceAudiodReportOutput"},
        {"N-t6bvimom4","sceAudiodReportRegisterHandler"},
        {"0v4UVCO4AXs","sceAudiodReportSetEnableFlag"},
        {"6vGNjK1X5iU","sceAudiodReportUnregisterHandler"},
        {"6Vf9WTLDoss","sceAudiodecClearContext"},
        {"3pBbmM8ZyN4","sceAudiodecClearContextEx"},
        {"hAS5WH6hxrE","sceAudiodecCpuClearContext"},
        {"lSVTiWV5wLc","sceAudiodecCpuDecode"},
        {"hdFsxo3MFu8","sceAudiodecCpuInitDecoder"},
        {"CnY1NGmdi7I","sceAudiodecCpuInternalClearContext"},
        {"-0jDlM2hG5k","sceAudiodecCpuInternalDecode"},
        {"KkhdeVCyo6Y","sceAudiodecCpuInternalInitDecoder"},
        {"R8v5kdZ55mY","sceAudiodecCpuInternalQueryMemSize"},
        {"ktD2w3D4G2U","sceAudiodecCpuQueryMemSize"},
        {"O3f1sLMWRvs","sceAudiodecCreateDecoder"},
        {"F31VqfrQ80A","sceAudiodecCreateDecoderEx"},
        {"KHXHMDLkILw","sceAudiodecDecode"},
        {"+eFOGH-2A8M","sceAudiodecDecode2"},
        {"hxPWcZh4OZM","sceAudiodecDecode2Ex"},
        {"S4per83VASY","sceAudiodecDecode2WithPriority"},
        {"3oL6ZnWIW80","sceAudiodecDecode2WithPriorityEx"},
        {"Bsmr2r9f5Vg","sceAudiodecDecodeEx"},
        {"VUMO2kAbo7w","sceAudiodecDecodeWithPriority"},
        {"vbDE8iuKPKY","sceAudiodecDecodeWithPriorityEx"},
        {"Tp+ZEy69mLk","sceAudiodecDeleteDecoder"},
        {"VZroxfK-OjE","sceAudiodecDeleteDecoderEx"},
        {"pJf1t3SkkWw","sceAudiodecGetContext"},
        {"VjhsmxpcezI","sceAudiodecInitLibrary"},
        {"EsSbFnoWxVc","sceAudiodecInitialize"},
        {"wPZSJibBFsw","sceAudiodecRegisterCodec"},
        {"h5jSB2QIDV0","sceAudiodecTermLibrary"},
        {"-Y0Yv5Y+h-M","sceAudiodecTerminate"},
        {"8mrBeLW0Zk0","sceAutoMounterClientGetUsbDeviceInfo"},
        {"YReND3Ewgj0","sceAutoMounterClientGetUsbDeviceList"},
        {"jgpc-w4H7FU","sceAutoMounterClientInit"},
        {"bGtl04R9oiY","sceAutoMounterClientRegisterCallback"},
        {"iEXIEzTjNtI","sceAutoMounterClientTerm"},
        {"ik0kGUB7Ukw","sceAutoMounterClientUnregisterCallback"},
        {"i99STC4x3Xc","sceAvControlChangeOutputLayout"},
        {"bTE6q+IwNKU","sceAvControlChangeOutputMode"},
        {"e0T1d7YylFA","sceAvControlChangeOutputModeForDiag"},
        {"159vuk+beoc","sceAvControlChangeProcessAttribute"},
        {"3gVX6ejR1hM","sceAvControlChangeScanInMode"},
        {"E8HrmeBTXLA","sceAvControlGetCurrentDeviceId"},
        {"kECUSNedk3o","sceAvControlGetCurrentOutputMode"},
        {"2E73lXML2Kk","sceAvControlGetCurrentOutputModeWithSync"},
        {"v0dVsqUmQaw","sceAvControlGetDetailHdcpStatus"},
        {"3JTfX4nYjrc","sceAvControlGetDeviceInfo"},
        {"eKy0c9bg0VU","sceAvControlGetHdcpStatus"},
        {"GpuFjTMZsis","sceAvControlGetMonitorInfo"},
        {"n6F49ESSgEU","sceAvControlGetNativeMonitorInfo"},
        {"NJHE0mnO0NA","sceAvControlGetPuStatus"},
        {"LfxJWd0yncY","sceAvControlGetPuType"},
        {"s9knR+WWOyI","sceAvControlInit"},
        {"JphQB95YwSo","sceAvControlIsAudioOutModeSupportedByMonitorInfo"},
        {"3jnRsjnzIjI","sceAvControlIsColorimetryHdr"},
        {"fnqFpsRrsg4","sceAvControlIsDeepColorSupportedByMonitorInfo"},
        {"Hrs7gsCRlk0","sceAvControlIsDeviceConnected"},
        {"5wP7bivaX7c","sceAvControlIsHdrSupportedByMonitorInfo"},
        {"C81K5tny9CE","sceAvControlIsModeGen1Vr"},
        {"rVK3QqurCkg","sceAvControlIsModeSystemDefault"},
        {"X9W9plO1GdQ","sceAvControlIsSuspendedProcessOutputModeAvailable"},
        {"KTkFIXpUuCg","sceAvControlIsVideoOutModeSupportedByMonitorInfo"},
        {"wKojqISnuVU","sceAvControlSet2dVrMode"},
        {"vnQjcL0T0W4","sceAvControlSetAudioMuteForShutdown"},
        {"LBQPxo5oQJ8","sceAvControlSetAvOutputMode"},
        {"UgHqkAUw1Ac","sceAvControlSetColorEffect"},
        {"ActTHWrmwbo","sceAvControlSetDefaultAudioOutMode"},
        {"WsGR1gzifpE","sceAvControlSetDefaultVideoOutMode"},
        {"zOnK2Venb2M","sceAvControlSetDispclk"},
        {"9262lxP0SpM","sceAvControlSetGamutMetadata"},
        {"IL9p2+BM-9c","sceAvControlSetHdcpEncryption"},
        {"yOIO-WByGdE","sceAvControlSetHdcpStatus"},
        {"m+4tDzhqnRo","sceAvControlSetHdmiGamutMetadata"},
        {"-rxaMSaCC6c","sceAvControlSetHdrMetadata"},
        {"kygzx9Bkhbg","sceAvControlSetVideoOutSource"},
        {"C2agGcmq83w","sceAvControlSimulateProcessOutputModeArbitration"},
        {"KMcEa+rHsIo","sceAvPlayerAddSource"},
        {"x8uvuFOPZhU","sceAvPlayerAddSourceEx"},
        {"buMCiJftcfw","sceAvPlayerChangeStream"},
        {"NkJwDzKmIlw","sceAvPlayerClose"},
        {"wwM99gjFf1Y","sceAvPlayerCurrentTime"},
        {"BOVKAzRmuTQ","sceAvPlayerDisableStream"},
        {"ODJK2sn9w4A","sceAvPlayerEnableStream"},
        {"Wnp1OVcrZgk","sceAvPlayerGetAudioData"},
        {"d8FcbzfAdQw","sceAvPlayerGetStreamInfo"},
        {"ctTAcF5DiKQ","sceAvPlayerGetStreamInfoEx"},
        {"o3+RWnHViSg","sceAvPlayerGetVideoData"},
        {"JdksQu8pNdQ","sceAvPlayerGetVideoDataEx"},
        {"aS66RI0gGgo","sceAvPlayerInit"},
        {"o9eWRkSL+M4","sceAvPlayerInitEx"},
        {"UbQoYawOsfY","sceAvPlayerIsActive"},
        {"XC9wM+xULz8","sceAvPlayerJumpToTime"},
        {"9y5v+fGN4Wk","sceAvPlayerPause"},
        {"HD1YKVU26-M","sceAvPlayerPostInit"},
        {"agig-iDRrTE","sceAvPlayerPrintf"},
        {"w5moABNwnRY","sceAvPlayerResume"},
        {"k-q+xOxdc3E","sceAvPlayerSetAvSyncMode"},
        {"N6Oy-EjduiY","sceAvPlayerSetAvailableBandwidth"},
        {"eBTreZ84JFY","sceAvPlayerSetLogCallback"},
        {"OVths0xGfho","sceAvPlayerSetLooping"},
        {"av8Z++94rs0","sceAvPlayerSetTrickSpeed"},
        {"ET4Gr-Uu07s","sceAvPlayerStart"},
        {"NxSdL9t-KXk","sceAvPlayerStartEx"},
        {"ZC17w3vB5Lo","sceAvPlayerStop"},
        {"hdTyRzCXQeQ","sceAvPlayerStreamCount"},
        {"yN7Jhuv8g24","sceAvPlayerVprintf"},
        {"t+O8mxM6oSg","sceAvSettingAddCallbacks"},
        {"us4sbukgU+w","sceAvSettingAddCallbacksForLnc"},
        {"x14XFcPNLJU","sceAvSettingAddCallbacksForSocialScreen"},
        {"PoeH5eI+ozw","sceAvSettingCallbackFuncsInit"},
        {"DeucnsfJpqo","sceAvSettingCallbackFuncsInitForLnc"},
        {"aP6KEe871Ow","sceAvSettingCallbackFuncsInitForLnc_"},
        {"pSh4a1XK8eA","sceAvSettingCallbackFuncsInit_"},
        {"Ow348nbrI1I","sceAvSettingChangeOutputMode"},
        {"w7ICzzcAJCU","sceAvSettingChangeOutputMode2"},
        {"ZfMHgVDYzzY","sceAvSettingChangeOutputMode3"},
        {"gE40jgJgPsk","sceAvSettingChangeOutputModeForDiag"},
        {"EejsJSul9nA","sceAvSettingChangeProcessAttribute"},
        {"aKw9uBmZjpw","sceAvSettingCheckCallback"},
        {"85v1KZeMTgU","sceAvSettingCloseLoopbackBuffers"},
        {"5yga+o4TVqk","sceAvSettingControlHdcpEncryption"},
        {"oE4a8uIaXxI","sceAvSettingDebugAddCallbacks"},
        {"1DXOQcuiH8o","sceAvSettingDebugClearDiagCommand"},
        {"KfRNHvUILRQ","sceAvSettingDebugGetDetailedHdcpStatus"},
        {"ME0ImfgjmL0","sceAvSettingDebugSetDiagState"},
        {"2X0ruzkCtrA","sceAvSettingDebugSetHdmiMonitorInfo"},
        {"++DO8Y1JaYU","sceAvSettingDebugSetProcessAttribute"},
        {"dm0L3LVgQ+M","sceAvSettingDriverChangeConnectionStatus"},
        {"XEGAcOsiVfQ","sceAvSettingDriverUpdateStatus"},
        {"cejlyvC7+N8","sceAvSettingEnterAudioMuteForShutdown"},
        {"qnI61-kCm1E","sceAvSettingGetCurrentDeviceInfo_"},
        {"1-O9j5vS8QU","sceAvSettingGetCurrentHdmiDeviceId"},
        {"PagHtqiYnQg","sceAvSettingGetCurrentOutputMode"},
        {"j-b-RFZ3gjw","sceAvSettingGetCurrentOutputMode2_"},
        {"ZmPBwBD2tIY","sceAvSettingGetCurrentOutputMode_"},
        {"vfzFZDaFuKU","sceAvSettingGetDetailedHdcpStatus"},
        {"vh3aQ+JUpSU","sceAvSettingGetDeviceInfo"},
        {"AoBZzDiZwng","sceAvSettingGetHdcpStatus"},
        {"lxo162czs6I","sceAvSettingGetHdmiConnectDisconnectNum"},
        {"5ICXeCXAnDQ","sceAvSettingGetHdmiKsvList"},
        {"-Mui67TZd4s","sceAvSettingGetHdmiMonitorInfo"},
        {"fgHOZo7gPyA","sceAvSettingGetHdmiRawEdid"},
        {"rjICp0cpHJM","sceAvSettingGetLoopbackBuffer"},
        {"6i0wQ7VpTSg","sceAvSettingGetMorpheusPuStatus"},
        {"b40XbKKKDhQ","sceAvSettingGetNativeHdmiMonitorInfo"},
        {"kJ0Nhf2At8Y","sceAvSettingGetRawHdmiMonitorInfo"},
        {"EIZdWTT7Zdw","sceAvSettingInit"},
        {"l3dw8imUbLM","sceAvSettingIsSupportedAudioOutModeByHdmiMonitorInfo"},
        {"WQVNCJkcmXc","sceAvSettingIsSupportedHdcpVersionByHdmiMonitorInfo"},
        {"Ej9YiEmOWVE","sceAvSettingIsSupportedVideoOutModeByHdmiMonitorInfo"},
        {"twiNZBeuppA","sceAvSettingIsSuspendedProcessOutputModeAvailable"},
        {"GUna2W6TBG4","sceAvSettingIsSuspendedProcessOutputModeAvailable2"},
        {"Pjwx-8rnLT8","sceAvSettingIsVrSupportedByHdmiMonitorInfo2"},
        {"hdISXjL-bwY","sceAvSettingNotifyAudioOutMode"},
        {"0WVJD1NnpIU","sceAvSettingNotifyDeviceEvent"},
        {"RtwM77LoIrc","sceAvSettingNotifyProcessPostResume"},
        {"Ft5agD1+fA0","sceAvSettingNotifyProcessPostSuspend"},
        {"T6LrBljciS0","sceAvSettingNotifyProcessResume"},
        {"Ko8fB-6YDp8","sceAvSettingNotifyProcessSuspend"},
        {"02ozaKssy98","sceAvSettingNotifyResponseForSocialScreen"},
        {"Fyw2Fkasc+4","sceAvSettingNotifyUmdEvent"},
        {"2cJVU9KC3zY","sceAvSettingNotifyVideoOutMode"},
        {"Pxx1uH51g-E","sceAvSettingOpenLoopbackBuffers"},
        {"dnM9JfgxHbk","sceAvSettingRemoveCallbacks"},
        {"I37rBumJ9X4","sceAvSettingRemoveProcessOutputMode"},
        {"OEsO-6FT+04","sceAvSettingSet2dVrMode"},
        {"o7btxEpLl-0","sceAvSettingSetAudioOutModeAny"},
        {"r1f9mCImJCk","sceAvSettingSetAudioOutModeAny_"},
        {"0hVwNAR5hz8","sceAvSettingSetAudioOutModeInvalid"},
        {"l1PGm+V7-TU","sceAvSettingSetAudioOutModeInvalid_"},
        {"fscoS+Gh3Sw","sceAvSettingSetAvOutputMode"},
        {"YdgAk0w9rGY","sceAvSettingSetDispclk"},
        {"A-BYlKx72vw","sceAvSettingSetDisplayBlackLevel"},
        {"QGL+VQEX8lo","sceAvSettingSetHdcpMode"},
        {"+1rqC1b3Jw0","sceAvSettingSetHdcpStatus"},
        {"RFaqh8vAtb8","sceAvSettingSetHdmiGamutMetadata_"},
        {"6s-tDu1w580","sceAvSettingSetProcessAttribute"},
        {"geoQ77m8Trc","sceAvSettingSetVideoOutModeAny"},
        {"t-BDxreA7sU","sceAvSettingSetVideoOutModeAny_"},
        {"FSjfP0-ST3I","sceAvSettingSetVideoOutModeInvalid"},
        {"8RTK3rcM5aU","sceAvSettingSetVideoOutModeInvalid_"},
        {"x-U4mJWRcNI","sceAvSettingSetVideoOutSource"},
        {"a4sYJjuBVbg","sceAvSettingSetVideoOutputColorEffect"},
        {"o0+89h9H3xA","sceAvSettingSetVrMode"},
        {"SKq7NiL8fA8","sceAvSettingSimulateProcessOutputModeArbitration_"},
        {"Xb2ez5SqR38","sceAvSettingTerm"},
        {"PSHaxUsfYg8","sceAvSettingWaitCallback"},
        {"DZvLrOrRi14","sceBackupRestoreUtilBackupData"},
        {"FXLlx5oqwh0","sceBackupRestoreUtilCancelBackupData"},
        {"UdknvgT-snI","sceBackupRestoreUtilCancelGetRequiredSize"},
        {"mDQcxeSGoIM","sceBackupRestoreUtilCancelGetTitles"},
        {"2otu3ItEh4k","sceBackupRestoreUtilCancelRestoreData"},
        {"VZ+GFPa1Zyw","sceBackupRestoreUtilDeleteBackupData"},
        {"CGDS6leRS1k","sceBackupRestoreUtilGetBackupDataInfo"},
        {"epS6UX1mzZg","sceBackupRestoreUtilGetBackupParam"},
        {"xNDi9AbcCWg","sceBackupRestoreUtilGetBackupProgress"},
        {"NlNECoHFua0","sceBackupRestoreUtilGetRequiredSize"},
        {"Y4+czTsKo-g","sceBackupRestoreUtilGetRestoreProgress"},
        {"i5dYsnXsWoA","sceBackupRestoreUtilGetTitles"},
        {"o4kUYkJG61w","sceBackupRestoreUtilInitialize"},
        {"XYZ3JHRb7iU","sceBackupRestoreUtilPrepareBackup"},
        {"xftR500Mk5s","sceBackupRestoreUtilRestoreData"},
        {"DmTq6Y8jYqY","sceBackupRestoreUtilTerminate"},
        {"jjf1gXgilqg","sceBdSchedCancelBackgroundCopyRequest"},
        {"BmuZaiyqkkI","sceBdSchedCancelPrioritizedBackgroundCopyRequest"},
        {"Nh8pdKLdMJY","sceBdSchedConfigure"},
        {"ykUZXoqozJc","sceBdSchedConfigure2"},
        {"gThJrbt1Ojw","sceBdSchedDeconfigure"},
        {"1H-+W4Y2Erg","sceBdSchedGetBackgroundCopyRequest"},
        {"A+rpKNvFumU","sceBdSchedGetExtentMap"},
        {"FgkKjJr06g0","sceBdSchedGetPrioritizedBackgroundCopyRequest"},
        {"LkTU+9lx+Bg","sceBdSchedGetState"},
        {"aXujNR3MorI","sceBdSchedSetBackgroundCopyRequest"},
        {"JHIz24zeqF0","sceBdSchedSetDiscIdentity"},
        {"K00pOnB6Fwc","sceBdSchedSetPrioritizedBackgroundCopyRequest"},
        {"Xk2hz9HAdYQ","sceBdSchedStartGame"},
        {"nPlr4B+qS4A","sceBdSchedStartRipping"},
        {"keKRlaxeK9g","sceBdSchedStopScheduling"},
        {"cDPbXydvmc8","sceBgftServiceDownloadFindActivePatchTask"},
        {"GXm6bV3ivGM","sceBgftServiceDownloadFindActivePupTask"},
        {"Nv5oO486pSE","sceBgftServiceDownloadFindTaskByContentId"},
        {"vSjGf4cBpmU","sceBgftServiceDownloadGetProgress"},
        {"32eFln4+jzc","sceBgftServiceDownloadPauseTask"},
        {"neETvp+lxow","sceBgftServiceDownloadPauseTaskAll"},
        {"ShnEkrw8E8Y","sceBgftServiceDownloadQueryTask"},
        {"V7mv23wwswQ","sceBgftServiceDownloadRegisterTask"},
        {"NRAwSG4sMSQ","sceBgftServiceDownloadRegisterTaskByStorage"},
        {"zaG6EZmCuxM","sceBgftServiceDownloadResumeTask"},
        {"jQoaqzHYacc","sceBgftServiceDownloadResumeTaskAll"},
        {"9pyartiGi-o","sceBgftServiceDownloadStartTask"},
        {"Q7qj97IDGtU","sceBgftServiceDownloadStartTaskAll"},
        {"KY6RXUXi6ZQ","sceBgftServiceDownloadStopTask"},
        {"9pOesIjMaSk","sceBgftServiceDownloadStopTaskAll"},
        {"WQbIW7cm-Bc","sceBgftServiceInit"},
        {"8yiDK9rMKtc","sceBgftServiceIntAbortNotificationEvent"},
        {"bCD2orE1y84","sceBgftServiceIntDebugDownloadCorruptPkg"},
        {"bSCbtBzQnEA","sceBgftServiceIntDebugDownloadRegisterPkg"},
        {"yaRL7i-Vkng","sceBgftServiceIntDebugDownloadRequest"},
        {"ttZRFSBzDPQ","sceBgftServiceIntDebugPlayGoClearSetFreeZone"},
        {"y9c6Qx9HKFA","sceBgftServiceIntDebugPlayGoGetPlayGoStatusString"},
        {"D9ZcN1WT7lE","sceBgftServiceIntDebugPlayGoIsPaused"},
        {"OFhg9OV+--M","sceBgftServiceIntDebugPlayGoIsSetFreeZone"},
        {"eZlNO3YnlNE","sceBgftServiceIntDebugPlayGoResume"},
        {"yVg07UrVewU","sceBgftServiceIntDebugPlayGoRevertToFullState"},
        {"3cCvc6gRJdA","sceBgftServiceIntDebugPlayGoRevertToInitialState"},
        {"WLQGuoVmdMQ","sceBgftServiceIntDebugPlayGoRevertToSnapshot"},
        {"ZC6fht48-Qc","sceBgftServiceIntDebugPlayGoSetFreeZone"},
        {"Rau9rXhtDUg","sceBgftServiceIntDebugPlayGoSnapshotByTitleId"},
        {"Z6PXTf8fyxI","sceBgftServiceIntDebugPlayGoSuspend"},
        {"-lPT15AV1Ko","sceBgftServiceIntDownloadCheckPatchUpdateState"},
        {"q-kGyQJyDoI","sceBgftServiceIntDownloadClearStats"},
        {"Nbn8bzYVDuk","sceBgftServiceIntDownloadDebugDeleteBgftEnvFile"},
        {"YG5OENZ6-Do","sceBgftServiceIntDownloadDebugDownloadBgftEnvFile"},
        {"r3f8P85Jo2Q","sceBgftServiceIntDownloadDebugGetBgftEnvInfoString"},
        {"HntZzPkuaTo","sceBgftServiceIntDownloadDebugGetStat"},
        {"vnHLgood2LA","sceBgftServiceIntDownloadFindActiveGameAndGameAcTask"},
        {"FwpK7+QxBlg","sceBgftServiceIntDownloadFindActiveTask"},
        {"Lap11plzUDE","sceBgftServiceIntDownloadGetApplicationDataSize"},
        {"uNzuMI2Smqg","sceBgftServiceIntDownloadGetExtUsbUserStorageSize"},
        {"610iwJKrGGo","sceBgftServiceIntDownloadGetGameAndGameAcProgress"},
        {"8raHXYfv3Js","sceBgftServiceIntDownloadGetPatchGoProgress"},
        {"UZoHTWgeI9I","sceBgftServiceIntDownloadGetPatchProgress"},
        {"bTXRAZZgkQk","sceBgftServiceIntDownloadGetPlayGoProgress"},
        {"5txx+w0HYOs","sceBgftServiceIntDownloadGetProgress"},
        {"uDwHwwoT6rg","sceBgftServiceIntDownloadGetTaskInfo"},
        {"r-S1cObIqLw","sceBgftServiceIntDownloadGetUserStorageSize"},
        {"vGMYQNn0X3s","sceBgftServiceIntDownloadHideTask"},
        {"byUP0khjgLA","sceBgftServiceIntDownloadPauseTask"},
        {"mv-JN8Ghvlc","sceBgftServiceIntDownloadPauseTaskAll"},
        {"vVk1SOjVN48","sceBgftServiceIntDownloadQueryTask"},
        {"ftzOPSVbDqE","sceBgftServiceIntDownloadQueryTaskSection"},
        {"VVFyO8944DI","sceBgftServiceIntDownloadRegisterTask"},
        {"7FzEsuBrBhg","sceBgftServiceIntDownloadRegisterTaskByStorage"},
        {"nd+0DEOC68A","sceBgftServiceIntDownloadRegisterTaskByStorageEx"},
        {"aHDYXbIWey4","sceBgftServiceIntDownloadRegisterTaskStore"},
        {"AfDLbTnIsYc","sceBgftServiceIntDownloadReregisterTaskPatch"},
        {"PrRtLDapA08","sceBgftServiceIntDownloadRestartTask"},
        {"q+pTE+YnGkg","sceBgftServiceIntDownloadResumeTask"},
        {"ekdhK-W0tHo","sceBgftServiceIntDownloadResumeTaskAll"},
        {"GoGd21YYfCw","sceBgftServiceIntDownloadSetHighPriority"},
        {"DArcuPFT7SU","sceBgftServiceIntDownloadSetResumeState"},
        {"ruS-boGA0zs","sceBgftServiceIntDownloadSetStartState"},
        {"HRDHLMA9Y7s","sceBgftServiceIntDownloadStartTask"},
        {"97UTMR7Tb5s","sceBgftServiceIntDownloadStartTaskAll"},
        {"nosV+8v+A9o","sceBgftServiceIntDownloadStopTask"},
        {"Yv0IsOYIZiA","sceBgftServiceIntDownloadStopTaskAll"},
        {"6irU4d1Gl3c","sceBgftServiceIntDownloadUnregisterTask"},
        {"BYmJ-iMswng","sceBgftServiceIntDownloadUnregisterTaskAll"},
        {"eKQjzNBZIyU","sceBgftServiceIntExtUsbCheckActiveDownloadTasks"},
        {"vJhYrkgTYWY","sceBgftServiceIntGetNotificationEvent"},
        {"YTQMY0RdykU","sceBgftServiceIntGetNotificationParam"},
        {"Nzr1l05aG2k","sceBgftServiceIntGetTaskInfoValueInt"},
        {"b3SquMkPlQc","sceBgftServiceIntGetTaskInfoValueString"},
        {"XfuJkCbToVA","sceBgftServiceIntGetTaskInfoValueStringIndex"},
        {"BZ0olR8Da0g","sceBgftServiceIntInit"},
        {"v++knRdEXjU","sceBgftServiceIntPatchGoGetProgress"},
        {"QIz+d0g1wUg","sceBgftServiceIntPatchGoGetState"},
        {"H7rjk3Sc1xI","sceBgftServiceIntPlayGoCheckDiscIniChunksInstall"},
        {"-6dHxuyIr7A","sceBgftServiceIntPlayGoFindTaskId"},
        {"GVLppS4bkFc","sceBgftServiceIntPlayGoGetApplicationIniChunkSize"},
        {"wLzJUeJqDxQ","sceBgftServiceIntPlayGoGetDiscIniChunksInstallProgress"},
        {"DnHNoMdjX6s","sceBgftServiceIntPlayGoGetDownloadTaskId"},
        {"X7DvbKq4Mds","sceBgftServiceIntPlayGoIsPaused"},
        {"+zhBPmxiRGE","sceBgftServiceIntPlayGoResume"},
        {"nRCHIYfyAMA","sceBgftServiceIntPlayGoStartDataDiscInstall"},
        {"iRdnTgpbVOM","sceBgftServiceIntSetBandwidthPriority"},
        {"6V1vy4M8Yb4","sceBgftServiceIntSetTaskVisible"},
        {"ODC4-mOiwl0","sceBgftServiceIntTerm"},
        {"ZGx1vjA0Jwc","sceBgftServiceIntUploadGetAvailableTaskCount"},
        {"8l9+nBL1Ps0","sceBgftServiceIntUploadGetProgress"},
        {"dEvJ2GWePUs","sceBgftServiceIntUploadGetTaskInfo"},
        {"ZmIeGweZvDU","sceBgftServiceIntUploadHideTask"},
        {"Tow5SoK0MRg","sceBgftServiceIntUploadQueryTask"},
        {"mtzPnlIuyRI","sceBgftServiceIntUploadQueryTaskSection"},
        {"lWFb4eL7Igk","sceBgftServiceIntUploadRegisterTask"},
        {"ZlLJEi8RMBs","sceBgftServiceIntUploadRestartTask"},
        {"d4EwWAQgJlk","sceBgftServiceIntUploadSetHighPriority"},
        {"xfqpXSahYAE","sceBgftServiceIntUploadSetStartState"},
        {"HMv4KFyL5os","sceBgftServiceIntUploadSetUploadError"},
        {"DxgcfMpudms","sceBgftServiceIntUploadStartTask"},
        {"GjZepmfthqc","sceBgftServiceIntUploadStartTaskAll"},
        {"wEI22DiMH6U","sceBgftServiceIntUploadStopTask"},
        {"ePQRjogCEOk","sceBgftServiceIntUploadStopTaskAll"},
        {"vNMe+-hRAFU","sceBgftServiceIntUploadUnregisterTask"},
        {"YwFH1M34TWM","sceBgftServiceIntUploadUnregisterTaskAll"},
        {"ECCXnWcVm7Y","sceBgftServiceSyncCall"},
        {"8P9BlyDO4xE","sceBgftServiceTerm"},
        {"L5jHxZ-J630","sceBluetoothHidDebugGetVersion"},
        {"wZtLdyq2dKg","sceBluetoothHidDisconnectDevice"},
        {"YWT1GrcWuQs","sceBluetoothHidGetDeviceInfo"},
        {"eGVPAJ+M5A8","sceBluetoothHidGetDeviceName"},
        {"+JQyH57+l4k","sceBluetoothHidGetFeatureReport"},
        {"hAgb6kz3UcU","sceBluetoothHidGetInputReport"},
        {"XhoOjXnv+QQ","sceBluetoothHidGetReportDescriptor"},
        {"tul3-GzejQc","sceBluetoothHidInit"},
        {"ud-L5OvD5bA","sceBluetoothHidInterruptOutput"},
        {"HNbQyWI-BtU","sceBluetoothHidParamInitialize"},
        {"4Ypfo9RIwfM","sceBluetoothHidRegisterCallback"},
        {"4FUZ+c52d2k","sceBluetoothHidRegisterDevice"},
        {"1bG5j0mzOF0","sceBluetoothHidSetFeatureReport"},
        {"Ih3xsOhFi8A","sceBluetoothHidSetOutputReport"},
        {"o+5KjZ3r4O4","sceBluetoothHidThreadParamInitialize"},
        {"upEB3XUvH8o","sceBluetoothHidUnregisterCallback"},
        {"u+lIalCYOho","sceBluetoothHidUnregisterDevice"},
        {"EwdhSaFjU7A","sceBufferAlloc"},
        {"dFuIkGWGshc","sceBufferDup"},
        {"DHItaFqEQkU","sceBufferFree"},
        {"G2OOzViPX7I","sceBufferInit"},
        {"rB8XP9T6Dsk","sceBufferRealloc"},
        {"uBRW3tEoWWM","sceCamera2Close"},
        {"186Jz869gsc","sceCamera2Finalize"},
        {"JtD7ZG45rdw","sceCamera2GetAttribute"},
        {"FZkD-E6MNTQ","sceCamera2GetAutoExposureGain"},
        {"U8oNsRef+jI","sceCamera2GetAutoWhiteBalance"},
        {"emZBXv7cuAI","sceCamera2GetCalibrationData"},
        {"mLRzKdIDwiU","sceCamera2GetConfig"},
        {"1-IJHxzRJGw","sceCamera2GetContrast"},
        {"c9XZGDF1OcM","sceCamera2GetExposureGain"},
        {"kVWBITsSB3o","sceCamera2GetFieldOfView"},
        {"YlFCMjbyzh8","sceCamera2GetFrameData"},
        {"gJqqsinextg","sceCamera2GetGamma"},
        {"T8jy0JWa210","sceCamera2GetHue"},
        {"DAycoVmY3Mw","sceCamera2GetSaturation"},
        {"vPi3gSzw79M","sceCamera2GetSharpness"},
        {"n+R7PGJa6MI","sceCamera2GetWhiteBalance"},
        {"PFRl8SmSW+4","sceCamera2Initialize"},
        {"2v21-m4gljU","sceCamera2IsAttached"},
        {"lQ7rWWlOArI","sceCamera2IsValidFrameData"},
        {"dmLUJh3bVTc","sceCamera2Open"},
        {"Qk6kEJ0RJlM","sceCamera2SetAttribute"},
        {"vx9MQYicBVQ","sceCamera2SetAutoExposureGain"},
        {"vS20kteXHdw","sceCamera2SetAutoWhiteBalance"},
        {"O5x-G9Rqwx4","sceCamera2SetConfig"},
        {"66IVWcdNHyI","sceCamera2SetContrast"},
        {"8MEjogxPrv0","sceCamera2SetExposureGain"},
        {"pfiqU2f6PQY","sceCamera2SetGamma"},
        {"gB+OkFvkSXE","sceCamera2SetHue"},
        {"TzkL-nUWfaQ","sceCamera2SetSaturation"},
        {"2zCd8XDOe-Y","sceCamera2SetSharpness"},
        {"ubD+FitjqhA","sceCamera2SetVideoSync"},
        {"AfIDd+2ycTs","sceCamera2SetWhiteBalance"},
        {"eGkcUia48ts","sceCamera2Start"},
        {"TZWR3p6XxXk","sceCamera2Stop"},
        {"QhjrPkRPUZQ","sceCameraAccGetData"},
        {"UFonL7xopFM","sceCameraAudioClose"},
        {"fkZE7Hup2ro","sceCameraAudioGetData"},
        {"hftC5A1C8OQ","sceCameraAudioGetData2"},
        {"DhqqFiBU+6g","sceCameraAudioOpen"},
        {"wyU98EXAYxU","sceCameraAudioReset"},
        {"Y0pCDajzkVQ","sceCameraChangeAppModuleState"},
        {"OMS9LlcrvBo","sceCameraClose"},
        {"ztqH5qNTpTk","sceCameraCloseByHandle"},
        {"nBH6i2s4Glc","sceCameraDeviceOpen"},
        {"0btIPD5hg5A","sceCameraGetAttribute"},
        {"oEi6vM-3E2c","sceCameraGetAutoExposureGain"},
        {"qTPRMh4eY60","sceCameraGetAutoWhiteBalance"},
        {"hHA1frlMxYE","sceCameraGetCalibData"},
        {"4IGO2LPD3h8","sceCameraGetCalibDataForEve"},
        {"5Oie5RArfWs","sceCameraGetCalibDataFromDevice"},
        {"H-7tWq8gfKs","sceCameraGetCalibDataFromDeviceForEve"},
        {"RHYJ7GKOSMg","sceCameraGetCalibrationData"},
        {"ZaqmGEtYuL0","sceCameraGetConfig"},
        {"2dBOiluwiMw","sceCameraGetConnectedDeviceAndDriverMode"},
        {"a5xFueMZIMs","sceCameraGetContrast"},
        {"tslCukqFE+E","sceCameraGetDefectivePixelCancellation"},
        {"DSOLCrc3Kh8","sceCameraGetDeviceConfig"},
        {"n+rFeP1XXyM","sceCameraGetDeviceConfigWithoutHandle"},
        {"jTJCdyv9GLU","sceCameraGetDeviceID"},
        {"-H3UwGQvNZI","sceCameraGetDeviceIDWithoutOpen"},
        {"WZpxnSAM-ds","sceCameraGetDeviceInfo"},
        {"ObIste7hqdk","sceCameraGetExposureGain"},
        {"mxgMmR+1Kr0","sceCameraGetFrameData"},
        {"WVox2rwGuSc","sceCameraGetGamma"},
        {"zrIUDKZx0iE","sceCameraGetHue"},
        {"XqYRHc4aw3w","sceCameraGetLensCorrection"},
        {"B260o9pSzM8","sceCameraGetMmapConnectedCount"},
        {"ULxbwqiYYuU","sceCameraGetProductInfo"},
        {"olojYZKYiYs","sceCameraGetRegister"},
        {"hawKak+Auw4","sceCameraGetRegistryInfo"},
        {"RTDOsWWqdME","sceCameraGetSaturation"},
        {"c6Fp9M1EXXc","sceCameraGetSharpness"},
        {"IAz2HgZQWzE","sceCameraGetVrCaptureInfo"},
        {"HX5524E5tMY","sceCameraGetWhiteBalance"},
        {"0wnf2a60FqI","sceCameraInitializeRegistryCalibData"},
        {"p6n3Npi3YY4","sceCameraIsAttached"},
        {"wQfd7kfRZvo","sceCameraIsConfigChangeDone"},
        {"68S3GKWhY6o","sceCameraIsConnectedForSystem"},
        {"U3BVwQl2R5Q","sceCameraIsValidFrameData"},
        {"BHn83xrF92E","sceCameraOpen"},
        {"eTywOSWsEiI","sceCameraOpenByModuleId"},
        {"py8p6kZcHmA","sceCameraRemoveAppModuleFocus"},
        {"j5isFVIlZLk","sceCameraSetAppModuleFocus"},
        {"doPlf33ab-U","sceCameraSetAttribute"},
        {"96F7zp1Xo+k","sceCameraSetAttributeInternal"},
        {"yfSdswDaElo","sceCameraSetAutoExposureGain"},
        {"zIKL4kZleuc","sceCameraSetAutoWhiteBalance"},
        {"LEMk5cTHKEA","sceCameraSetCalibData"},
        {"Jkz3xxMeyIM","sceCameraSetCalibDataForEve"},
        {"VQ+5kAqsE2Q","sceCameraSetConfig"},
        {"9+SNhbctk64","sceCameraSetConfigInternal"},
        {"3i5MEzrC1pg","sceCameraSetContrast"},
        {"vejouEusC7g","sceCameraSetDebugStop"},
        {"jMv40y2A23g","sceCameraSetDefectivePixelCancellation"},
        {"vER3cIMBHqI","sceCameraSetDefectivePixelCancellationInternal"},
        {"wgBMXJJA6K4","sceCameraSetExposureGain"},
        {"jeTpU0MqKU0","sceCameraSetForceActivate"},
        {"lhEIsHzB8r4","sceCameraSetGamma"},
        {"QI8GVJUy2ZY","sceCameraSetHue"},
        {"K7W7H4ZRwbc","sceCameraSetLensCorrection"},
        {"eHa3vhGu2rQ","sceCameraSetLensCorrectionInternal"},
        {"lS0tM6n+Q5E","sceCameraSetProcessFocus"},
        {"NVITuK83Z7o","sceCameraSetProcessFocusByHandle"},
        {"8MjO05qk5hA","sceCameraSetRegister"},
        {"bSKEi2PzzXI","sceCameraSetSaturation"},
        {"P-7MVfzvpsM","sceCameraSetSharpness"},
        {"3VJOpzKoIeM","sceCameraSetTrackerMode"},
        {"nnR7KAIDPv8","sceCameraSetUacModeInternal"},
        {"wpeyFwJ+UEI","sceCameraSetVideoSync"},
        {"8WtmqmE4edw","sceCameraSetVideoSyncInternal"},
        {"k3zPIcgFNv0","sceCameraSetWhiteBalance"},
        {"9EpRYMy7rHU","sceCameraStart"},
        {"cLxF1QtHch0","sceCameraStartByHandle"},
        {"2G2C0nmd++M","sceCameraStop"},
        {"+X1Kgnn3bzg","sceCameraStopByHandle"},
        {"hPVradh5wpo","sceCameraWaitForEveReady"},
        {"v9XTZHXoJyQ","sceCameraWaitForLukeReady"},
        {"jEwvkt8gDBQ","sceCesBig5ToUcs2"},
        {"GDYFXk0f-uI","sceCesBig5ToUtf16"},
        {"7o8g-r6yVZk","sceCesBig5ToUtf16be"},
        {"9sSpOBHnrjM","sceCesBig5ToUtf16le"},
        {"GSKko1I75XQ","sceCesBig5ToUtf32"},
        {"izT0rbXh7oA","sceCesBig5ToUtf32be"},
        {"-FIshKbdFRU","sceCesBig5ToUtf32le"},
        {"S6G1p1bQBQo","sceCesBig5ToUtf8"},
        {"ulXqWMAxwRs","sceCesEucCnToUcs2"},
        {"MQkFqdChuic","sceCesEucCnToUtf16"},
        {"nPjJRaPCnL4","sceCesEucCnToUtf16be"},
        {"9vvSCbbEOow","sceCesEucCnToUtf16le"},
        {"dVd8O+Ol-GE","sceCesEucCnToUtf32"},
        {"oXbddL+50eM","sceCesEucCnToUtf32be"},
        {"Z2s5dgbCIgg","sceCesEucCnToUtf32le"},
        {"AMNjai0JfVU","sceCesEucCnToUtf8"},
        {"q1X3ShQEW00","sceCesEucCnUcsProfileSetSbcs"},
        {"pJ1jG+C1oRM","sceCesEucJpToUcs2"},
        {"3BsxDbWqTBQ","sceCesEucJpToUtf16"},
        {"kQ-rPCg6ZWU","sceCesEucJpToUtf16be"},
        {"oirFwvQr1Yc","sceCesEucJpToUtf16le"},
        {"cbTjX08xkIE","sceCesEucJpToUtf32"},
        {"5G2Swzlv4dU","sceCesEucJpToUtf32be"},
        {"RBX1d-+nzpE","sceCesEucJpToUtf32le"},
        {"zPdlo9OiO0g","sceCesEucJpToUtf8"},
        {"Sh6Ue8RM0BY","sceCesEucJpUcsProfileSetSbcs"},
        {"eScteZ9-xUc","sceCesEucKrToUcs2"},
        {"PfJQBFuXEBs","sceCesEucKrToUtf16"},
        {"loCKwHzog0s","sceCesEucKrToUtf16be"},
        {"hWNh5HhvkO0","sceCesEucKrToUtf16le"},
        {"8KMULEIpDx8","sceCesEucKrToUtf32"},
        {"MBjBkaF-9IE","sceCesEucKrToUtf32be"},
        {"nBTHhrsp88o","sceCesEucKrToUtf32le"},
        {"Y0Jl+IRTPCE","sceCesEucKrToUtf8"},
        {"Fy96WkLemI0","sceCesEucKrUcsProfileSetSbcs"},
        {"SDSatFdf8ug","sceCesGbToUcs2"},
        {"CQt+pVKwL-0","sceCesGbToUtf16"},
        {"+8oodhFUuas","sceCesGbToUtf16be"},
        {"idrr8+P+8UU","sceCesGbToUtf16le"},
        {"kUVkdSpBkVM","sceCesGbToUtf32"},
        {"tVYTVNDLSl4","sceCesGbToUtf32be"},
        {"8lkg9dlBDtw","sceCesGbToUtf32le"},
        {"r+J44kwe3nA","sceCesGbToUtf8"},
        {"821E7f26Dy0","sceCesGbUcsProfileSet4ByteCharRange"},
        {"pWneteSVJeI","sceCesGbUcsProfileSetSbcs"},
        {"RGuaevtZkjc","sceCesGbUcsProfileSetUdaMapping"},
        {"HPvwGbCjCMA","sceCesIso2022JpUcsProfileSetSbcs"},
        {"a-DukhK9o9Q","sceCesIso2022StrGetUcs2Len"},
        {"GkuFL+S22uc","sceCesIso2022StrGetUtf16Len"},
        {"Y+Cj0GwkL8w","sceCesIso2022StrGetUtf32Len"},
        {"ClGNc0cii6I","sceCesIso2022StrGetUtf8Len"},
        {"eH8bMmzO02w","sceCesIso2022StrToUcs2Str"},
        {"vjuXE9+Pj-c","sceCesIso2022StrToUtf16Str"},
        {"GIwVmm8Rgvc","sceCesIso2022StrToUtf32Str"},
        {"iJlvTqyPypU","sceCesIso2022StrToUtf8Str"},
        {"2RykCI-4Kts","sceCesIso2022UcsContextInit"},
        {"QWGdqfZlfhU","sceCesIso2022UcsContextInitCopy"},
        {"hQeUMTVgPHU","sceCesJisGetLevel"},
        {"yS0Iib8DE+U","sceCesJisX0208ToSJisCode"},
        {"z7vL5ivaWso","sceCesJisX0213ToSJisCode"},
        {"0TMX8PPpS0I","sceCesJiscsToUcs"},
        {"9yf4dKVx9Nw","sceCesMbcToUcs2"},
        {"yRC0ADN9ssU","sceCesMbcToUtf16"},
        {"fz9IVnkE9u8","sceCesMbcToUtf16be"},
        {"bZC-mkEEBmI","sceCesMbcToUtf16le"},
        {"AJP3sETFdTI","sceCesMbcToUtf32"},
        {"ow6b-WuYPJQ","sceCesMbcToUtf32be"},
        {"fUJC7P8E1fM","sceCesMbcToUtf32le"},
        {"aqjnE9fG-OM","sceCesMbcToUtf8"},
        {"WAIqT36MwJU","sceCesMbcsStrGetUcs2Len"},
        {"KkcyBpHeV6Q","sceCesMbcsStrGetUtf16Len"},
        {"RtJ7a7UemgQ","sceCesMbcsStrGetUtf32Len"},
        {"r7Sr1i7KLus","sceCesMbcsStrGetUtf8Len"},
        {"q9ONK5ZpMVQ","sceCesMbcsStrToUcs2Str"},
        {"RO-MRURI76g","sceCesMbcsStrToUtf16Str"},
        {"hxFXyDfqukU","sceCesMbcsStrToUtf32Str"},
        {"yGKn6vdYInc","sceCesMbcsStrToUtf8Str"},
        {"538bRGc6Zo8","sceCesMbcsUcsContextInit"},
        {"FpCZBcq2c7Y","sceCesMbcsUcsContextInitCopy"},
        {"w7EWjn-P2xY","sceCesMbcsUcsSetMbcsReplacementCharCode"},
        {"sJXQ9YzIJiU","sceCesMbcsUcsSetMbcsReplacementCharUCode"},
        {"giw4lfOQJk0","sceCesRefersUcsProfileAscii"},
        {"C6-MvMXmvLc","sceCesRefersUcsProfileAsciiWithKatakana"},
        {"sRuiwiiCnQg","sceCesRefersUcsProfileBs4730"},
        {"qYu6y1E0Qbg","sceCesRefersUcsProfileCp1250"},
        {"99HNmYMUJZQ","sceCesRefersUcsProfileCp1251"},
        {"LPzYZ+FR0BI","sceCesRefersUcsProfileCp1252"},
        {"H0zRqu+IAsw","sceCesRefersUcsProfileCp1253"},
        {"jfTBAvEcfpE","sceCesRefersUcsProfileCp1254"},
        {"qFA5cSGCjEo","sceCesRefersUcsProfileCp1255"},
        {"WMm7geoOfRo","sceCesRefersUcsProfileCp1256"},
        {"P+RwmMQvqvA","sceCesRefersUcsProfileCp1257"},
        {"NXRdaSk0GlI","sceCesRefersUcsProfileCp1258"},
        {"kvU1aLZ+1oc","sceCesRefersUcsProfileCp437"},
        {"E29VzZty03U","sceCesRefersUcsProfileCp737"},
        {"qT707tJvsQ8","sceCesRefersUcsProfileCp775"},
        {"fE0f-EOIImg","sceCesRefersUcsProfileCp850"},
        {"NTPazlahrDs","sceCesRefersUcsProfileCp852"},
        {"YLinP6egkAw","sceCesRefersUcsProfileCp855"},
        {"8vdyXEwToi0","sceCesRefersUcsProfileCp857"},
        {"vvjtS0L3f6g","sceCesRefersUcsProfileCp858"},
        {"qoCSp8m0Ybo","sceCesRefersUcsProfileCp860"},
        {"QMfpxQG9Tto","sceCesRefersUcsProfileCp861"},
        {"MYj6qtpieto","sceCesRefersUcsProfileCp862"},
        {"fIUVbmM-DDE","sceCesRefersUcsProfileCp863"},
        {"zpPQkEySyxM","sceCesRefersUcsProfileCp864"},
        {"dGQfEXqep7Q","sceCesRefersUcsProfileCp865"},
        {"9vDQuBQPGrk","sceCesRefersUcsProfileCp866"},
        {"R7Vl+eA3OiY","sceCesRefersUcsProfileCp869"},
        {"fDPDfnw6Z1g","sceCesRefersUcsProfileCp874"},
        {"OQPdKUpXO+U","sceCesRefersUcsProfileGbT1988"},
        {"Rz3BPMKO8aw","sceCesRefersUcsProfileGbT1988Tilde0x7e"},
        {"FW8H7tqgdbM","sceCesRefersUcsProfileIso8859_1"},
        {"YqNKLjnR1sI","sceCesRefersUcsProfileIso8859_10"},
        {"WCfhxDeLGEs","sceCesRefersUcsProfileIso8859_11"},
        {"55U6ZRnK8+A","sceCesRefersUcsProfileIso8859_13"},
        {"R1QjB5b1l-4","sceCesRefersUcsProfileIso8859_14"},
        {"NLW0QcvJY-E","sceCesRefersUcsProfileIso8859_15"},
        {"UODyg3r3Uf8","sceCesRefersUcsProfileIso8859_16"},
        {"cCuAnD2NrwU","sceCesRefersUcsProfileIso8859_2"},
        {"qAKct8DTeBU","sceCesRefersUcsProfileIso8859_3"},
        {"7BFSgwCJBYI","sceCesRefersUcsProfileIso8859_4"},
        {"S8667Ll-PjE","sceCesRefersUcsProfileIso8859_5"},
        {"7UyNPNS3nUQ","sceCesRefersUcsProfileIso8859_6"},
        {"kwEeiXCFuLg","sceCesRefersUcsProfileIso8859_7"},
        {"Uqq9dvyF6nE","sceCesRefersUcsProfileIso8859_8"},
        {"0c-HdcCIu3k","sceCesRefersUcsProfileIso8859_9"},
        {"YEfU5l4UYtQ","sceCesRefersUcsProfileJisX0201"},
        {"aq9XWp-0Cvg","sceCesRefersUcsProfileJisX0201Katakana"},
        {"nJVgJWVviE4","sceCesRefersUcsProfileJisX0201Roman"},
        {"8FuvovbHui4","sceCesRefersUcsProfileJisX0201RomanTilde0x7e"},
        {"EHW+8T2LfP4","sceCesRefersUcsProfileJisX0201Tilde0x7e"},
        {"-GQkEcaeblI","sceCesRefersUcsProfileKoi8R"},
        {"6oIHlaJhz8w","sceCesRefersUcsProfileKoi8U"},
        {"kBjUiQc9P1w","sceCesRefersUcsProfileKsX1003"},
        {"yR0qKU-abqY","sceCesRefersUcsProfileKsX1003Tilde0x7e"},
        {"Od2NaV700Ek","sceCesSJisCodeToJisX0208"},
        {"wMZIIoyhuHY","sceCesSJisCodeToJisX0213"},
        {"bUNHcd7Ia0U","sceCesSJisGetCode"},
        {"Pm1Yrupb4UI","sceCesSJisPutCode"},
        {"LtaP8denrAU","sceCesSJisToUcs2"},
        {"N2O4kbSD1s4","sceCesSJisToUtf16"},
        {"dRDquzClL+M","sceCesSJisToUtf16be"},
        {"2cFJrJ+hxUQ","sceCesSJisToUtf16le"},
        {"5g6-RbnXrbE","sceCesSJisToUtf32"},
        {"CuhaOAhwLHE","sceCesSJisToUtf32be"},
        {"cNY-Qkk1CfA","sceCesSJisToUtf32le"},
        {"1n4BAyQEoAc","sceCesSJisToUtf8"},
        {"bswRLErFzy4","sceCesSJisUcsProfileSetSbcs"},
        {"0kywPUxOxgE","sceCesSbcToUcs2"},
        {"qLc40W8P7ZA","sceCesSbcToUtf16"},
        {"ZvTqRnxTV9c","sceCesSbcToUtf16be"},
        {"9Cmcy0FRlOs","sceCesSbcToUtf16le"},
        {"r-TogOMFNc8","sceCesSbcToUtf32"},
        {"8TAXvaMXV4w","sceCesSbcToUtf32be"},
        {"mLXQ6KRFdu4","sceCesSbcToUtf32le"},
        {"xTd54EEL1Ao","sceCesSbcToUtf8"},
        {"kkxVQKwPyNE","sceCesUcs2StrGetIso2022Len"},
        {"kz9bGYFvopY","sceCesUcs2StrGetMbcsLen"},
        {"aZ5n2rbrF3M","sceCesUcs2StrToIso2022Str"},
        {"OfNANruoaxs","sceCesUcs2StrToMbcsStr"},
        {"UfWqjplpGC8","sceCesUcs2ToBig5"},
        {"raCPuJElyf8","sceCesUcs2ToEucCn"},
        {"7EmaZ+NX7rg","sceCesUcs2ToEucJp"},
        {"G-7VqR7pzeA","sceCesUcs2ToEucKr"},
        {"IM8g1QaDCLA","sceCesUcs2ToGb"},
        {"hi75DVfII3Y","sceCesUcs2ToMbc"},
        {"dbHh2xxKlEs","sceCesUcs2ToSJis"},
        {"676j8sJONxM","sceCesUcs2ToSbc"},
        {"-wX0puxJChY","sceCesUcs2ToUhc"},
        {"Lota-iiR+8M","sceCesUcsProfileInitBig5Cp950"},
        {"mSG2okSQ7lI","sceCesUcsProfileInitEucCnGb2312"},
        {"5ePaXQKhi2k","sceCesUcsProfileInitEucJis2004"},
        {"N3dPQZbNQPI","sceCesUcsProfileInitEucJpCp51932"},
        {"oH6EMqs-jUM","sceCesUcsProfileInitEucJpX0208"},
        {"QIcDUVSdXw0","sceCesUcsProfileInitEucJpX0208Ss2"},
        {"DnG4HGO0QZo","sceCesUcsProfileInitEucJpX0208Ss2Ss3"},
        {"uAiUQEGDoNM","sceCesUcsProfileInitEucKr"},
        {"6oPKxZwNhWo","sceCesUcsProfileInitGb18030_2000"},
        {"UUXDikzOtWg","sceCesUcsProfileInitGb18030_2005"},
        {"rcAqicKKOmw","sceCesUcsProfileInitGbkCp936"},
        {"4MJA9iZyYQs","sceCesUcsProfileInitIso2022JpCp50221"},
        {"osoNc2UwjJA","sceCesUcsProfileInitIso2022JpCp50222"},
        {"soXFgC22q8c","sceCesUcsProfileInitIso2022JpRfc1468"},
        {"ZiDCxUUGbec","sceCesUcsProfileInitSJis1997Cp932"},
        {"5USjtgtV6Cg","sceCesUcsProfileInitSJis1997X0208"},
        {"fIxLs+X4zBo","sceCesUcsProfileInitSJis2004X0213"},
        {"kWjWUyOGZQs","sceCesUcsProfileInitUhc"},
        {"FFAsBnL6r28","sceCesUcsToJiscs"},
        {"73o7T9GCiNU","sceCesUhcToUcs2"},
        {"-AYJga7O56c","sceCesUhcToUtf16"},
        {"uIJu0mEGQ60","sceCesUhcToUtf16be"},
        {"cZhAWU7WEVw","sceCesUhcToUtf16le"},
        {"X37PZSA8a34","sceCesUhcToUtf32"},
        {"zH9I3DE6iBE","sceCesUhcToUtf32be"},
        {"YGdliBvwjzo","sceCesUhcToUtf32le"},
        {"SbleT0oxFw0","sceCesUhcToUtf8"},
        {"+OavZyS-eMI","sceCesUhcUcsProfileSetSbcs"},
        {"zmzMriMPMag","sceCesUtf16StrGetIso2022Len"},
        {"7B668XL7yag","sceCesUtf16StrGetMbcsLen"},
        {"fkE41yBXT58","sceCesUtf16StrToIso2022Str"},
        {"cckSZEW4+oQ","sceCesUtf16StrToMbcsStr"},
        {"ooSMrbrkkiE","sceCesUtf16ToBig5"},
        {"bLGofENX+6M","sceCesUtf16ToEucCn"},
        {"LIH2mH9tzro","sceCesUtf16ToEucJp"},
        {"rGBBgGamo5c","sceCesUtf16ToEucKr"},
        {"6roaZqVbD2o","sceCesUtf16ToGb"},
        {"6EG6Zzcmrbg","sceCesUtf16ToMbc"},
        {"G40-Idmfb-8","sceCesUtf16ToSJis"},
        {"b70pscdNZiE","sceCesUtf16ToSbc"},
        {"gd1AB3xDVgQ","sceCesUtf16ToUhc"},
        {"c1SCTsycK7k","sceCesUtf16beToBig5"},
        {"wevBAVcbcII","sceCesUtf16beToEucCn"},
        {"jWKXzwE1M+8","sceCesUtf16beToEucJp"},
        {"2oVMzn0Q23A","sceCesUtf16beToEucKr"},
        {"dYtbUAmNLBc","sceCesUtf16beToGb"},
        {"NGjHS-+WpA4","sceCesUtf16beToMbc"},
        {"kSoGcqsgEh0","sceCesUtf16beToSJis"},
        {"CIlQhaz-UNw","sceCesUtf16beToSbc"},
        {"KmnzivWo2xk","sceCesUtf16beToUhc"},
        {"X1PsAOE5YU8","sceCesUtf16leToBig5"},
        {"OM8mhVVwEzU","sceCesUtf16leToEucCn"},
        {"sbyLJgK1M8Y","sceCesUtf16leToEucJp"},
        {"eCQoGkpAfA0","sceCesUtf16leToEucKr"},
        {"KqgeUD6DFjM","sceCesUtf16leToGb"},
        {"V+P9rsOiLmM","sceCesUtf16leToMbc"},
        {"48ujxTli9ao","sceCesUtf16leToSJis"},
        {"JgTz1+RkB9M","sceCesUtf16leToSbc"},
        {"8rGA7ASyk8Y","sceCesUtf16leToUhc"},
        {"dBDFTSSa7gI","sceCesUtf32StrGetIso2022Len"},
        {"uaxFW+LGzGY","sceCesUtf32StrGetMbcsLen"},
        {"JpAP8BoYAmQ","sceCesUtf32StrToIso2022Str"},
        {"hd4Ta6XIFCE","sceCesUtf32StrToMbcsStr"},
        {"2HeYOG2bEcU","sceCesUtf32ToBig5"},
        {"hcNLW1OyfTc","sceCesUtf32ToEucCn"},
        {"ZKhzRGuFjeM","sceCesUtf32ToEucJp"},
        {"LMZ77TNeslg","sceCesUtf32ToEucKr"},
        {"5c5XIIUOnw8","sceCesUtf32ToGb"},
        {"zO7NlO2unTI","sceCesUtf32ToMbc"},
        {"MVfGFf5tBf4","sceCesUtf32ToSJis"},
        {"QWV5S0xkefw","sceCesUtf32ToSbc"},
        {"WL2PIOhJfQs","sceCesUtf32ToUhc"},
        {"CcYWiRcCY38","sceCesUtf32beToBig5"},
        {"HNX6U3ERdRI","sceCesUtf32beToEucCn"},
        {"JETZShs6kqM","sceCesUtf32beToEucJp"},
        {"tSODkniGpoE","sceCesUtf32beToEucKr"},
        {"z6kAEifN7go","sceCesUtf32beToGb"},
        {"LDzoVPBgzc0","sceCesUtf32beToMbc"},
        {"UvMSpJJz80s","sceCesUtf32beToSJis"},
        {"TWstzqFWGyo","sceCesUtf32beToSbc"},
        {"u1LTy5HZ1Z0","sceCesUtf32beToUhc"},
        {"3zM9I43piGc","sceCesUtf32leToBig5"},
        {"zl51JMf2kGo","sceCesUtf32leToEucCn"},
        {"mndOlYOGP7w","sceCesUtf32leToEucJp"},
        {"rcAUV2nlB-Y","sceCesUtf32leToEucKr"},
        {"d0r1sw3mTqM","sceCesUtf32leToGb"},
        {"W+QrDTbhLkg","sceCesUtf32leToMbc"},
        {"4Ty+Pa7lZXY","sceCesUtf32leToSJis"},
        {"OKX5-OHw1rE","sceCesUtf32leToSbc"},
        {"VZwjC-5cUKg","sceCesUtf32leToUhc"},
        {"K1pNyl3xEzo","sceCesUtf8StrGetIso2022Len"},
        {"IljzwFmlBKg","sceCesUtf8StrGetMbcsLen"},
        {"6HzMb6bZM6k","sceCesUtf8StrToIso2022Str"},
        {"RZ8ra69Qkxw","sceCesUtf8StrToMbcsStr"},
        {"WaixXFWUcAY","sceCesUtf8ToBig5"},
        {"+2GFBvON4Sk","sceCesUtf8ToEucCn"},
        {"D-7hSd3Ziqg","sceCesUtf8ToEucJp"},
        {"dMaMqNmzAeg","sceCesUtf8ToEucKr"},
        {"aQSyyT89490","sceCesUtf8ToGb"},
        {"EamBMojFPls","sceCesUtf8ToMbc"},
        {"M7xXaEUT0AM","sceCesUtf8ToSJis"},
        {"3Q1gOWWarcw","sceCesUtf8ToSbc"},
        {"HPw11phYb4g","sceCesUtf8ToUhc"},
        {"NqTjmoN0lj8","sceClAudiodecCreateDecoder"},
        {"IgMVFBKHGFE","sceClAudiodecDecode"},
        {"5cmnYvTeG20","sceClAudiodecDeleteDecoder"},
        {"lLbv0f9D-uw","sceClAudiodecInitLibrary"},
        {"kp30-C563l8","sceClAudiodecTermLibrary"},
        {"5quyauWOGX0","sceClHttpAbortRequest"},
        {"5TcrMOuwXMk","sceClHttpAddRequestHeader"},
        {"fZPHZX6PirY","sceClHttpCreateConnectionWithURL"},
        {"wzHToVdMoLA","sceClHttpCreateEpoll"},
        {"d62tjPSg5AU","sceClHttpCreateRequestWithURL"},
        {"wk7T5gAoQQE","sceClHttpCreateTemplate"},
        {"Wz4c0yBD-tA","sceClHttpDeleteConnection"},
        {"kLwDVk6wcO0","sceClHttpDeleteRequest"},
        {"HXdJuV30E8Q","sceClHttpDeleteTemplate"},
        {"ypMMye20xkM","sceClHttpDestroyEpoll"},
        {"L1YptcRdnA8","sceClHttpGetMemoryPoolStats"},
        {"94AHNBOWx-E","sceClHttpInit"},
        {"ON9Y68DGNYo","sceClHttpReadData"},
        {"KC25794vwOY","sceClHttpSendRequest"},
        {"215BW2R73RU","sceClHttpSetAutoRedirect"},
        {"vBG-4D6uycE","sceClHttpSetEpoll"},
        {"8prUGP8pi9M","sceClHttpSetNonblock"},
        {"fiDNFolmOCs","sceClHttpSetRedirectCallback"},
        {"1kRQGmYoDxY","sceClHttpTerm"},
        {"Cr+tY-r0NvM","sceClHttpUnsetEpoll"},
        {"5S1dAxkmQFM","sceClHttpWaitRequest"},
        {"Ctx+O9CztCk","sceClHttpsSetSslCallback"},
        {"bY8uAdN04as","sceClKernelCreateEventFlag"},
        {"vrM9+g-DQVY","sceClKernelDeleteEventFlag"},
        {"31nGh-2voAg","sceClKernelMapNamedFlexibleMemory"},
        {"5YPCjqIgMbg","sceClKernelMunmap"},
        {"u7iltoiu9bo","sceClKernelNanosleep"},
        {"1wYJBiKygKY","sceClKernelReleaseFlexibleMemory"},
        {"Wzjq+VE4JoE","sceClKernelSetEventFlag"},
        {"b-UJqPgkCLU","sceClKernelUsleep"},
        {"yYPYU5GS1to","sceClKernelWaitEventFlag"},
        {"2yqVLC4dqVA","sceClNetInit"},
        {"NyHpSM1kzEg","sceClNetPoolCreate"},
        {"CKt5reDfhaU","sceClNetPoolDestroy"},
        {"f0BUVmHz2CE","sceClNetTerm"},
        {"-qYw1YiPsQI","sceClPthreadAttrDestroy"},
        {"G5zDncG5huc","sceClPthreadAttrInit"},
        {"jihale46s9E","sceClPthreadAttrSetdetachstate"},
        {"8NzBD4MiQH4","sceClPthreadAttrSetinheritsched"},
        {"dAKboxlYfH8","sceClPthreadAttrSetschedparam"},
        {"fKP7yxb6BHA","sceClPthreadAttrSetstacksize"},
        {"oeb8Q84qU24","sceClPthreadCondDestroy"},
        {"pG5ytCcsbF8","sceClPthreadCondInit"},
        {"6nmAQrIEG24","sceClPthreadCondSignal"},
        {"XneHuxdjRAk","sceClPthreadCondWait"},
        {"E9XIciu-5lg","sceClPthreadCondattrDestroy"},
        {"ZS5AoprCTt0","sceClPthreadCondattrInit"},
        {"Y7doyvjejkw","sceClPthreadCreate"},
        {"fsGY64WLzOQ","sceClPthreadDetach"},
        {"mhWeZyEHlKQ","sceClPthreadExit"},
        {"TMEevWRaXyw","sceClPthreadJoin"},
        {"gOQx5OZhArI","sceClPthreadMutexDestroy"},
        {"500KORghSZM","sceClPthreadMutexInit"},
        {"LaHzixM8byk","sceClPthreadMutexLock"},
        {"SYrtUA+ICMA","sceClPthreadMutexUnlock"},
        {"hHzO8LLVE44","sceClPthreadMutexattrDestroy"},
        {"impLvKHbKQs","sceClPthreadMutexattrInit"},
        {"zJkby7Eh+nE","sceClPthreadMutexattrSetprioceiling"},
        {"Oa8TdN+xZWg","sceClPthreadMutexattrSetprotocol"},
        {"9gwCE5fggiM","sceClPthreadMutexattrSettype"},
        {"KJMibJu1wr8","sceClPthreadSetprio"},
        {"5Z+2fhutd+c","sceClSendSystemNotification"},
        {"zrQI7NxivBQ","sceClSslGetSerialNumber"},
        {"2woRp-7hcWs","sceClSslInit"},
        {"Gke7hJc-Pm0","sceClSslTerm"},
        {"rGCLqREfQlM","sceCloudClientCancelRequestGame"},
        {"mhlESqdehQY","sceCloudClientReset"},
        {"XDLVe8Wq47E","sceCloudClientSetAuthCodes"},
        {"tRVJLbW7c00","sceCloudClientTestConnection"},
        {"uoUpLGNkygk","sceCommonDialogInitialize"},
        {"BQ3tey0JmQM","sceCommonDialogIsUsed"},
        {"8pWltDG7h6A","sceCompanionHttpdAddHeader"},
        {"B-QBMeFdNgY","sceCompanionHttpdGet2ndScreenStatus"},
        {"Vku4big+IYM","sceCompanionHttpdGetEvent"},
        {"0SySxcuVNG0","sceCompanionHttpdGetUserId"},
        {"ykNpWs3ktLY","sceCompanionHttpdInitialize"},
        {"OA6FbORefbo","sceCompanionHttpdInitialize2"},
        {"r-2-a0c7Kfc","sceCompanionHttpdOptParamInitialize"},
        {"fHNmij7kAUM","sceCompanionHttpdRegisterRequestBodyReceptionCallback"},
        {"OaWw+IVEdbI","sceCompanionHttpdRegisterRequestCallback"},
        {"-0c9TCTwnGs","sceCompanionHttpdRegisterRequestCallback2"},
        {"h3OvVxzX4qM","sceCompanionHttpdSetBody"},
        {"w7oz0AWHpT4","sceCompanionHttpdSetStatus"},
        {"k7F0FcDM-Xc","sceCompanionHttpdStart"},
        {"0SCgzfVQHpo","sceCompanionHttpdStop"},
        {"+-du9tWgE9s","sceCompanionHttpdTerminate"},
        {"ZSHiUfYK+QI","sceCompanionHttpdUnregisterRequestBodyReceptionCallback"},
        {"xweOi2QT-BE","sceCompanionHttpdUnregisterRequestCallback"},
        {"cE5Msy11WhU","sceCompanionUtilGetEvent"},
        {"MaVrz79mT5o","sceCompanionUtilGetRemoteOskEvent"},
        {"xb1xlIhf0QY","sceCompanionUtilInitialize"},
        {"IPN-FRSrafk","sceCompanionUtilOptParamInitialize"},
        {"H1fYQd5lFAI","sceCompanionUtilTerminate"},
        {"G4Q8KNkb5XE","sceCompositorAllocateIndex"},
        {"9M7HkbwUs-E","sceCompositorCheckCrash"},
        {"6bz4VVSSFyg","sceCompositorCommandGpuPerfBegin"},
        {"fH2IStnGK4M","sceCompositorCommandGpuPerfEnd"},
        {"meXSAmyPBUE","sceCompositorCreateIndirectRenderTarget"},
        {"wCqghwW7vQw","sceCompositorDeleteIndirectRenderTarget"},
        {"qZNF03+ghLI","sceCompositorFlush"},
        {"9bnaeOBBD1Q","sceCompositorFlushWithRepeat"},
        {"ayhAQXdGNqU","sceCompositorGetAnotherProcessSystemAddress"},
        {"8bAq9t5kF9k","sceCompositorGetAnotherProcessSystemSize"},
        {"s-6xbR71jQI","sceCompositorGetAnotherProcessVideoAddress"},
        {"gbjddWAc6-o","sceCompositorGetAnotherProcessVideoSize"},
        {"N7PrM+lPMW0","sceCompositorGetCanvasHandle"},
        {"9vHGtqLkmTQ","sceCompositorGetClientList"},
        {"MjH7MOV6LVk","sceCompositorGetDmemOffset"},
        {"fcDt18r-ibY","sceCompositorGetDummyAddress"},
        {"F9gmz-sU-Z4","sceCompositorGetDummySize"},
        {"2xhRHbvhwfU","sceCompositorGetRemainedCommandNum"},
        {"twGXom56jw0","sceCompositorGetRenderTargetResolution"},
        {"T6CVkdCDO7o","sceCompositorGetSystemAddress"},
        {"N6ID0KNnzY8","sceCompositorGetSystemSize"},
        {"bxt+muwit0w","sceCompositorGetVideoAddress"},
        {"FTQCTDU0b4g","sceCompositorGetVideoSize"},
        {"f9X0imA90fI","sceCompositorHandleProcessEvents"},
        {"xIkcEpdMxrw","sceCompositorInit"},
        {"IUlpGnuoR1c","sceCompositorInitWithProcessOrder"},
        {"-wIAG588mvg","sceCompositorInsertThreadTraceMarker"},
        {"q+Qw1ESxCj8","sceCompositorIsDebugCaptureEnabled"},
        {"RSEX1eS1tCI","sceCompositorIsReady4K"},
        {"GgOrwi+9vcA","sceCompositorLockCommandBuffer"},
        {"4PTzGjEmkXI","sceCompositorMakeCanvasHandle"},
        {"mKEAx7QnPeg","sceCompositorMapAnotherProcess"},
        {"yq0Uhq9JwJo","sceCompositorMemoryPoolDecommit"},
        {"U9Wy5uJh0RA","sceCompositorPrivacyMaskPushArea"},
        {"y5IJdPxdBrE","sceCompositorQuit"},
        {"1OXbuWLRxqI","sceCompositorReleaseCommandBuffer"},
        {"ZwsBB3s8qMk","sceCompositorReleaseIndex"},
        {"9zmcX1uKDGg","sceCompositorReleaseLocalStall"},
        {"7NxubT1-VV4","sceCompositorReserveCommandBuffer"},
        {"1PX0NFNL1BQ","sceCompositorResetZoomCommand"},
        {"ourM2nlXyXw","sceCompositorSetAgcCompositeCanvasCommand"},
        {"OWU6H65+LLk","sceCompositorSetAgcContextCommand"},
        {"gVoOE32ATg0","sceCompositorSetCompositeCanvasCommandInC"},
        {"OSqOny+kPrA","sceCompositorSetCursorImageAddress"},
        {"dHK+qu5D2HM","sceCompositorSetDebugPositionCommand"},
        {"m4cofzsxUWY","sceCompositorSetEndOfFrameCommand"},
        {"5fbNa7tkGoI","sceCompositorSetEventCommand"},
        {"4C8BBKCcM6A","sceCompositorSetFilterType"},
        {"1oTrw-ivVpA","sceCompositorSetFlipCommand"},
        {"T4Rd8lv7SaU","sceCompositorSetFlipCommand2"},
        {"n2XkxixrY2k","sceCompositorSetGameSufaceControlCommand"},
        {"DhtKelVAIaA","sceCompositorSetGnmContextCommand"},
        {"-zpfGY1n49E","sceCompositorSetIndirectCanvasCommand"},
        {"M6wp6+JUSRI","sceCompositorSetIndirectCompositionCommand"},
        {"kZ7Xre07w70","sceCompositorSetIndirectRenderTargetConfigCommand"},
        {"9sdvKfLR+mY","sceCompositorSetInvisibleCanvasCommand"},
        {"dIA+v-Lh1+o","sceCompositorSetKeepDisplayBufferCommand"},
        {"yW5gfrDFAoc","sceCompositorSetLocalStallCommand"},
        {"kn5tI0VFTVY","sceCompositorSetMemoryCommand"},
        {"H4EXZ9L3p2M","sceCompositorSetMorpheusState"},
        {"YzI2BOoDw+I","sceCompositorSetPatchCommand"},
        {"3Q85e5cS3e0","sceCompositorSetPostEventCommand"},
        {"fEQcEYs1yuU","sceCompositorSetRepeatCommand"},
        {"eLU8pDi9KN0","sceCompositorSetResolutionCommand"},
        {"WKAIMotTzDs","sceCompositorSetScalingLayoutInfo"},
        {"5Z0YF3QKlhk","sceCompositorSetSeparateContextCommand"},
        {"dN3ooEQkn90","sceCompositorSetSystemConfigWithMask"},
        {"r0QtEP0p4Gs","sceCompositorSetVideoOutMode"},
        {"aHuBE2C3JC4","sceCompositorSetVirtualCanvasAgcContextCommand"},
        {"t8pR4ug-os0","sceCompositorSetVirtualCanvasCommandFooter"},
        {"n4Hk3OLW89E","sceCompositorSetVirtualCanvasPatchCommand"},
        {"XZc+RQCv5ik","sceCompositorSetVrMode"},
        {"aroIog+umzo","sceCompositorSetZoomCommand"},
        {"WkdkfQun1gc","sceCompositorSystemConfig"},
        {"R00q9P3BKAc","sceCompositorWaitEndOfRendering"},
        {"0wFl-CwJ37Y","sceCompositorWaitEvent"},
        {"deKovf3qViA","sceCompositorWaitPostEvent"},
        {"4yWqjTZtvs4","sceCompsoitorGetGpuClock"},
        {"EcTHemmz6n4","sceCompsoitorGetProcessRenderingTime"},
        {"rIH7UTXfho4","sceCompsoitorGetRenderingTime"},
        {"hvfrzWFz2aE","sceContentBinderEnd"},
        {"IElCGP1gobk","sceContentBinderGetNumOfDifference"},
        {"V5NUMrn5cEQ","sceContentBinderInitialize"},
        {"W4kZjfF08xU","sceContentBinderIsUpdated"},
        {"tzgPpLnmFbc","sceContentBinderReset"},
        {"gYr9dLq8Y10","sceContentBinderSearchDifference"},
        {"mlBEgk9o0SE","sceContentBinderStart"},
        {"XYm1wQQEDc0","sceContentBinderTerminate"},
        {"pXJh3aVk8Ks","sceContentDeleteById"},
        {"qC3QW+AltHs","sceContentDeleteByPath"},
        {"zoxb0wEChEM","sceContentDeleteInitialize"},
        {"5XLSih32qHA","sceContentDeleteTerminate"},
        {"efqHe7wPRbs","sceContentExportCancel"},
        {"tb3cZTCl8Ps","sceContentExportFinish"},
        {"AOWqIYsgVHs","sceContentExportFromData"},
        {"uZTQHI50WpY","sceContentExportFromDataWithThumbnail"},
        {"OWCJUmrWH1g","sceContentExportFromFile"},
        {"bU89EJ+j9f0","sceContentExportFromFileWithContentIdList"},
        {"mbakKLPSO4o","sceContentExportFromFileWithThumbnail"},
        {"HK-7ir0qAkg","sceContentExportFromFileWithTitleIdList"},
        {"eRJv4xU7pGU","sceContentExportGetProgress"},
        {"FzEWeYnAFlI","sceContentExportInit"},
        {"0GnN4QCgIfs","sceContentExportInit2"},
        {"FCygF4Ec4so","sceContentExportStart"},
        {"+KDWny9Y-6k","sceContentExportTerm"},
        {"sVN0cBKC-4s","sceContentExportValidateContents"},
        {"-YbpaF0XS-I","sceContentSearchCloseMetadata"},
        {"jGHBPci4dzU","sceContentSearchGetApplicationLastUpdateId"},
        {"PD5bnBTsv6Y","sceContentSearchGetContentLastUpdateId"},
        {"EbNufIY0Zvc","sceContentSearchGetMetadataFieldInfo"},
        {"ruNe-FgCzO8","sceContentSearchGetMetadataValue"},
        {"FRT4EYtZU1Y","sceContentSearchGetMyApplicationIndex"},
        {"BU0x8ye5-dI","sceContentSearchGetNumOfApplication"},
        {"o-RBPV0qr8c","sceContentSearchGetNumOfContent"},
        {"i2ZMZKwZpWs","sceContentSearchGetTotalContentSize"},
        {"dPj4ZtRcIWk","sceContentSearchInit"},
        {"G13HF1z-e4o","sceContentSearchOpenMetadata"},
        {"bjAlYWwRTJA","sceContentSearchOpenMetadataByContentId"},
        {"m-S3-C-USvs","sceContentSearchSearchApplication"},
        {"TEW3IKxYfXc","sceContentSearchSearchContent"},
        {"1xSZodB2geA","sceContentSearchTerm"},
        {"QjGCaJbRib4","sceConvertKeycodeGetCharacter"},
        {"S-Gni2KIJRY","sceConvertKeycodeGetCharacterFromKeyboardData"},
        {"mUuUOWI-C+0","sceConvertKeycodeGetImeKeyboardType"},
        {"vIsoJsLvvlM","sceConvertKeycodeGetVirtualKeycode"},
        {"+YX0z-GUSNw","sceCoredumpAttachMemoryRegion"},
        {"MEJ7tc7ThwM","sceCoredumpAttachMemoryRegionAsUserFile"},
        {"5nc2gdLNsok","sceCoredumpAttachUserFile"},
        {"DoKHmUw1yiQ","sceCoredumpAttachUserMemoryFile"},
        {"gzLt9Qrauk0","sceCoredumpConfigDumpMode"},
        {"1Pw5n31Ayxc","sceCoredumpDebugForceCoredumpOnAppClose"},
        {"dei8oUx6DbU","sceCoredumpDebugTextOut"},
        {"G420P25pN5Y","sceCoredumpDebugTriggerCoredump"},
        {"kK0DUW1Ukgc","sceCoredumpGetStopInfoCpu"},
        {"nsyWCTsI3MY","sceCoredumpGetStopInfoGpu"},
        {"ShChva57wIM","sceCoredumpGetThreadContextInfo"},
        {"qCDIxJL+IN8","sceCoredumpInternalGetThreadContextInfo"},
        {"8zLSfEfW5AU","sceCoredumpRegisterCoredumpHandler"},
        {"Uxqkdta7wEg","sceCoredumpSetUserDataType"},
        {"fFkhOgztiCA","sceCoredumpUnregisterCoredumpHandler"},
        {"Dbbkj6YHWdo","sceCoredumpWriteUserData"},
        {"RCtiLzPYAgA","sceCtrlpGetAvailPlayBufferNum"},
        {"PSrsDjizhM0","sceCtrlpGetMode"},
        {"k1PTjHF0qoA","sceCtrlpGetRecData"},
        {"Z9E-FekUJ2w","sceCtrlpInit"},
        {"NfZz19Zp+Xc","sceCtrlpPlayStart"},
        {"fqdGZ7GImpo","sceCtrlpPlayStop"},
        {"Sw5F9MFh-WA","sceCtrlpRecStart"},
        {"jQfM7t-YTxs","sceCtrlpRecStop"},
        {"m9dGPgf55j8","sceCtrlpRegisterEventCB"},
        {"MEW-500sD1I","sceCtrlpSetPlayData"},
        {"n0BEVlnSNcY","sceCustomMusicAudioOutFinalize"},
        {"GZ2fZbzgixo","sceCustomMusicAudioOutGetAllMusicVolume"},
        {"vT2xmTf1RHU","sceCustomMusicAudioOutGetMuted"},
        {"yZZX3eafqV4","sceCustomMusicAudioOutGetVolume"},
        {"cIvB0ao1MVA","sceCustomMusicAudioOutSetAllMusicVolume"},
        {"qeUNRM8Wl6w","sceCustomMusicCoreBgmClose"},
        {"dJzkNeDFeAM","sceCustomMusicCoreBgmOpen"},
        {"7S6OwXEoTmk","sceCustomMusicCoreBgmOpen2"},
        {"PvJ9H9YgUME","sceCustomMusicCoreBgmOutput"},
        {"zjxjqNfga3Y","sceCustomMusicCoreBgmSetAudioVolume"},
        {"LGTKL9VT2DM","sceCustomMusicCoreBgmStart"},
        {"LDZkMcW3+fg","sceCustomMusicCoreBgmStop"},
        {"VBYw7bb1gEk","sceCustomMusicCoreGetBgmAuthorityStatus"},
        {"8jlixeK+pgk","sceCustomMusicCoreGetHdcpStatus"},
        {"7okrKugZRI4","sceCustomMusicCoreGetSystemAudioVolume"},
        {"khSBh3xjSvU","sceCustomMusicCorePostEvent"},
        {"pUNYBQhD1oQ","sceCustomMusicCoreSendEvent"},
        {"IQmLAxP+i94","sceCustomMusicCoreSendMulticastEvent"},
        {"w7tvvHZZzug","sceCustomMusicCoreSendSpMessage"},
        {"Y83n-gwogPo","sceCustomMusicCoreSetSystemAudioVolume"},
        {"ImGu0XisCrg","sceCustomMusicCoreStartOperation"},
        {"+h5AoR4cUgc","sceCustomMusicCoreStartOperation2"},
        {"9Vf5HAjr5Ek","sceCustomMusicCoreStopOperation"},
        {"KKaarkWGxWI","sceCustomMusicSelect"},
        {"MYTk6pjtuaI","sceCustomMusicServiceInitialize"},
        {"tsLdzS-kuMw","sceCustomMusicServiceSendRequest"},
        {"9CO85fjUYH8","sceCustomMusicServiceTerminate"},
        {"5rrJOgmGgPY","sceDataTransferAbortFgTransfer"},
        {"5SVxCVcDW7g","sceDataTransferAbortRequest"},
        {"OfRb3huEPX8","sceDataTransferAbortSearchPS4"},
        {"343Lpcj48O8","sceDataTransferCheckBgTransferRunning"},
        {"JGZ2CS3Rh4w","sceDataTransferGetFgTransferProgress"},
        {"0YMD9fqNphk","sceDataTransferGetPrepareFgTransferProgress"},
        {"98g6a1l5dUA","sceDataTransferHostAbort"},
        {"+bD5Mw5pm4A","sceDataTransferHostLaunch"},
        {"cTI4cXxkZxs","sceDataTransferHostNotifyEasySignInReady"},
        {"AmVcTjMPw4M","sceDataTransferInitialize"},
        {"vPHIPjHJjyo","sceDataTransferRequestGetAppInfoPS4"},
        {"OU2YuBjf2i8","sceDataTransferRequestGetSavedataInfoPS4"},
        {"xLryCIDKa0c","sceDataTransferRequestGetUsersPS4"},
        {"yTEaoBaswOU","sceDataTransferRequestLaunchPS4"},
        {"9H8w8cym7eg","sceDataTransferRequestPrepareFgTransfer"},
        {"RnQP8brvnJc","sceDataTransferRequestRebootAuthPS4"},
        {"fZzDm3bsMDo","sceDataTransferRequestSearchPS4"},
        {"wLNtZytqFAQ","sceDataTransferRequestStartFgTransfer"},
        {"udns7ikzOnE","sceDataTransferRequestTransferTimePS4"},
        {"zqxvJ1GjxAA","sceDataTransferTargetAbortBindSavedata"},
        {"QCaXux9w7vo","sceDataTransferTargetAbortDeactivate"},
        {"zyFrOtG-5Jg","sceDataTransferTargetAbortEth0"},
        {"0egweZdzJ4s","sceDataTransferTargetAbortGetDeviceInfo"},
        {"cQRxdwTPJU8","sceDataTransferTargetAbortGetDeviceInfoApplication"},
        {"9Z-PeHV7oSg","sceDataTransferTargetAbortGetTitles"},
        {"xvMc8QuNzpo","sceDataTransferTargetAbortGetUsers"},
        {"xbsHap7BnBw","sceDataTransferTargetAbortLaunch"},
        {"JKbDB4m5qyA","sceDataTransferTargetAbortPrepareTransfer"},
        {"GuPIeil94Pc","sceDataTransferTargetAbortPwrReq"},
        {"iqYJfriYQk0","sceDataTransferTargetAbortReboot"},
        {"SZoXIVonWXE","sceDataTransferTargetAbortSendSsoNew2Old"},
        {"bHhivemWybw","sceDataTransferTargetAbortSendSsoOld2New"},
        {"iJqgX+Ecq98","sceDataTransferTargetAbortTransfer"},
        {"W31HMY23RKg","sceDataTransferTargetAbortTransferSpeed"},
        {"kdJg4Mb8TRY","sceDataTransferTargetEventIsAuthReady"},
        {"f0LIQinm+9E","sceDataTransferTargetEventIsIPv6Ready"},
        {"f6IUA95JW20","sceDataTransferTargetEventIsPwrReqReady"},
        {"OsoVbh4-SN0","sceDataTransferTargetGetFailedUsers"},
        {"KVaiKJwBWxA","sceDataTransferTargetGetRebootData"},
        {"WNHbacTXPrw","sceDataTransferTargetGetTransferProgress"},
        {"S7OVJvESBGc","sceDataTransferTargetRequestAbortSearch"},
        {"g9QtTkNAjjQ","sceDataTransferTargetRequestActivate"},
        {"vxnQI1naSHA","sceDataTransferTargetRequestAuth"},
        {"EhE73s4u2Yg","sceDataTransferTargetRequestBindSavedata"},
        {"Jmky7t3yAoo","sceDataTransferTargetRequestComplete"},
        {"nTH0jYHpwTk","sceDataTransferTargetRequestCreateRebootData"},
        {"j6LAEE-1npg","sceDataTransferTargetRequestDeactivate"},
        {"QQzfcRrIGFw","sceDataTransferTargetRequestEndTransfer"},
        {"vTbQUay9w+k","sceDataTransferTargetRequestGetDeviceInfo"},
        {"OTA3SrTEtog","sceDataTransferTargetRequestGetDeviceInfoApplication"},
        {"SHAUfEIWSOM","sceDataTransferTargetRequestGetTitles"},
        {"PpbaIOEJ-Qw","sceDataTransferTargetRequestGetUsers"},
        {"APuq-SZJRo8","sceDataTransferTargetRequestLaunch"},
        {"1d8i5kbJJ0w","sceDataTransferTargetRequestPrepareTransfer"},
        {"NgbGlUcx6ug","sceDataTransferTargetRequestPrepareTransferProgress"},
        {"lSaNxHqgrRs","sceDataTransferTargetRequestPwrReq"},
        {"wPtNaLuyLKk","sceDataTransferTargetRequestReboot"},
        {"-JHVe5UMUfM","sceDataTransferTargetRequestSearch"},
        {"lxFUVuXU8-s","sceDataTransferTargetRequestSendSsoNew2Old"},
        {"-0T5Aq0Xews","sceDataTransferTargetRequestSendSsoOld2New"},
        {"1HvBtxJhxuQ","sceDataTransferTargetRequestStartTransfer"},
        {"Foo+QaGFJTQ","sceDataTransferTargetRequestTransferSpeed"},
        {"3H5sVXHQbs0","sceDataTransferTerminate"},
        {"SxSEAtl-vow","sceDbgAddExternalTriggerEvent"},
        {"Bm6hsUC8Yos","sceDbgAddGpuExceptionEvent"},
        {"HNRCEumA2V8","sceDbgAmprAmmGetErrors"},
        {"FvI50-3hoSo","sceDbgAmprAmmGetNumberOfErrors"},
        {"ddYgzamMD2U","sceDbgAmprAprGetErrors"},
        {"4F7uYHxulZ4","sceDbgAmprAprGetNumberOfErrors"},
        {"5sBISBR0ooA","sceDbgAssertionHandler"},
        {"GDX5XhnWKrw","sceDbgBacktraceSelf"},
        {"Q-m9mL4Yznw","sceDbgClearHardwareBreakPoint"},
        {"Fhc+DypKzcU","sceDbgDeleteExternalTriggerEvent"},
        {"iXBaRtD8K50","sceDbgDeleteGpuExceptionEvent"},
        {"WBQJDbBxH3E","sceDbgEnableExtraHeapDebugInfo"},
        {"uhJ+bSomPoE","sceDbgGetCpuGpuFrequencySetting"},
        {"He3luzgOL-w","sceDbgGetDebugSuspendCount"},
        {"ta-oGegHdTQ","sceDbgGetExecutablePath"},
        {"G4c6av2TDtc","sceDbgGetModuleInfo"},
        {"PvIP303tQx4","sceDbgGetModuleList"},
        {"jaYypweDbyA","sceDbgGetReleaseCheckMode"},
        {"B4c4qfm3m2c","sceDbgGetSystemSwVersion"},
        {"G8LF2Xk6sJ0","sceDbgInstallExceptionHandler"},
        {"2udlQni6qgQ","sceDbgInstallExceptionHandlerAltStack"},
        {"v9ERBDafV60","sceDbgIsDebuggerAttached"},
        {"FU9dBtKaM90","sceDbgKeyboardClose"},
        {"61ykjnH3AR4","sceDbgKeyboardGetKey2Char"},
        {"bRuUeIPXFDM","sceDbgKeyboardInit"},
        {"TESmX5D-i54","sceDbgKeyboardOpen"},
        {"vKbf07G7KPE","sceDbgKeyboardRead"},
        {"HJMS5pu4dvY","sceDbgKeyboardReadState"},
        {"To9mmGL+3G8","sceDbgLoggingHandler"},
        {"4OqKr5iYCqI","sceDbgMapperVirtualQuery"},
        {"uEqMfMITvEI","sceDbgPlayGoRequestNextChunk"},
        {"vU+FqrH+pEY","sceDbgPlayGoSnapshot"},
        {"uyAWfkQyuls","sceDbgRemoveExceptionHandler"},
        {"v6OElL4DxCo","sceDbgRequireSystemSwVersion"},
        {"CXoCR22n86Q","sceDbgSetBreakOnErrorState"},
        {"BxQv1DSUaeY","sceDbgSetBreakOnWarningState"},
        {"CwoJ0zJMylg","sceDbgSetExceptionHandlerAltStack"},
        {"kwELJE1qN0o","sceDbgSetHardwareBreakPoint"},
        {"OaQI1HqFAtk","sceDbgSetMinimumLogLevel"},
        {"1Qy1jn47QWA","sceDbgUserChannelPrint"},
        {"5huYgqy73xo","sceDbgUserChannelPrintf"},
        {"MltFJdH0xRM","sceDbgUserChannelVPrintf"},
        {"ie2v2DfofTs","sceDbgVLoggingHandler"},
        {"v+CRSpiQyVM","sceDbgVideoOutAddOutputModeVr60Privilege"},
        {"0eZpG16I-Ps","sceDbgVideoOutAddProcessAttribute"},
        {"gI9jbGyrJZo","sceDbgVideoOutRemoveProcessAttribute"},
        {"3T08s8+BBT4","sceDebugAcquireAndUpdateDebugRegister"},
        {"RkNs5WxpMzg","sceDebugAttachProcess"},
        {"jkV8zFTpxIk","sceDebugCancelCoredump"},
        {"FF2LpsJxclY","sceDebugClearStepThread"},
        {"IeXW4fnPkyw","sceDebugCreatePerfScratchDataArea"},
        {"WIkuITeINl8","sceDebugCreatePerfScratchExecutableArea"},
        {"a8xfs-qh9WA","sceDebugCreateScratchDataArea"},
        {"juaxHn6Boy8","sceDebugCreateScratchDataAreaForPrx"},
        {"FS33uqKkEJA","sceDebugCreateScratchExecutableArea"},
        {"2VMtYW1k054","sceDebugCreateScratchExecutableAreaForPrx"},
        {"QZaLNZ58fUE","sceDebugDestroyPerfScratchDataArea"},
        {"G4tFfSDPtXU","sceDebugDestroyPerfScratchExecutableArea"},
        {"Q29NWnvK6OI","sceDebugDestroyScratchDataArea"},
        {"0Swj6A9svdo","sceDebugDestroyScratchExecutableArea"},
        {"rB1RFXt+i-Y","sceDebugDetachProcess"},
        {"qSPximdlUuY","sceDebugGetApplicationIdByTitleId"},
        {"RD3shWR4Vok","sceDebugGetApplicationInfo"},
        {"tdpqr1lzbOw","sceDebugGetApplicationList"},
        {"hfYwLMweFS4","sceDebugGetCrashInfoDetailForCoredump"},
        {"vcBDDGi8xl0","sceDebugGetCrashInfoForCoredump"},
        {"XUIWT5yKPuc","sceDebugGetDLLoadFlag"},
        {"5SmjWNahyeo","sceDebugGetDataListOfUltQueue"},
        {"hLSyGuNQ0yo","sceDebugGetDebugRegisterStatusMap"},
        {"njVl0vsj1Co","sceDebugGetEventList"},
        {"x8mJ9x9-beY","sceDebugGetEventListForEQueueFd"},
        {"ZNrq7K50qKI","sceDebugGetEventSubscriptionList"},
        {"J20mpxC9gDA","sceDebugGetEventSubscriptionListForEQueueFd"},
        {"ZvSXUtAtj2M","sceDebugGetFiberInfo"},
        {"-QuLOgrBhew","sceDebugGetFileInfo"},
        {"+QMFuN0mi5o","sceDebugGetFileInfoForCoredump"},
        {"a7MagzVs4cI","sceDebugGetFileList"},
        {"Jv9NQNlhK+k","sceDebugGetFileListForCoredump"},
        {"xexuBx9rGvg","sceDebugGetGpuInfoArea"},
        {"TWvPsc6MkmA","sceDebugGetJobManagerInfo"},
        {"wigNLIF1CtE","sceDebugGetJobManagerSequenceInfo"},
        {"lP6QEEoBVqE","sceDebugGetJobManagerSequenceList"},
        {"+cSD1hGmg+0","sceDebugGetModuleInfo"},
        {"HaI8g79+OOA","sceDebugGetModuleList"},
        {"18ylu1q-Us8","sceDebugGetModuleMetaData"},
        {"y+o5ZkkHMik","sceDebugGetMonoVMInfo"},
        {"dvp-mPrfQfk","sceDebugGetMonoVMList"},
        {"WjKbVlARycE","sceDebugGetProcessCoredumpHandlerEventBlob"},
        {"+q-vrfWR3Dw","sceDebugGetProcessCoredumpHandlerEventInfo"},
        {"z02CN9uBlVE","sceDebugGetProcessCoredumpHandlerResult"},
        {"Zi+rAm6czUg","sceDebugGetProcessEventCntlFlag"},
        {"kaqTf5y2P0E","sceDebugGetProcessInfo"},
        {"OUYYl+QEzZc","sceDebugGetProcessList"},
        {"KC23EegtMiY","sceDebugGetProcessPropertyForCoredump"},
        {"ZO8MOyrVom4","sceDebugGetProcessResourceStatCount"},
        {"VDaygNXQnho","sceDebugGetProcessResourceStatData"},
        {"z+lnWWgaXlI","sceDebugGetProcessTime"},
        {"TmzFll8mofs","sceDebugGetProcessTimeCounter"},
        {"+z2ejY-8WLw","sceDebugGetSyncExclusiveWaiterList"},
        {"uqwYatrm6s8","sceDebugGetSyncObjectData"},
        {"7VxUuGJJD5M","sceDebugGetSyncObjectList"},
        {"5tAHSWQfomw","sceDebugGetSyncWaiterList"},
        {"SqPs2qGVqcQ","sceDebugGetSyncWaiterListForEQueueFd"},
        {"Pdj54NJ5P+4","sceDebugGetSystemStatusBlob"},
        {"oM5qJ4oZVZU","sceDebugGetSystemStatusCount"},
        {"6RdLdsNW3dY","sceDebugGetThreadInfo"},
        {"d8VkdhIzhoI","sceDebugGetThreadInfoByIdent"},
        {"MilSVS0uHvA","sceDebugGetThreadList"},
        {"L0CXby6mmKg","sceDebugGetThreadListAsIdent"},
        {"NhaQPBB7F3k","sceDebugGetUlObjectList"},
        {"pdbdz2ccLfo","sceDebugGetUltCondvarInfo"},
        {"22C8vFKX2u4","sceDebugGetUltInfo"},
        {"5J9k6e9d9DA","sceDebugGetUltListOfUltRuntime"},
        {"FcVRhZfdD6M","sceDebugGetUltMutexInfo"},
        {"LXYJ384Fq2E","sceDebugGetUltQueueDataResourcePoolInfo"},
        {"25PEYXEnaJ0","sceDebugGetUltQueueInfo"},
        {"cPtUwd8Dtgk","sceDebugGetUltRuntimeInfo"},
        {"evqHA+pYo+c","sceDebugGetUltRwlockInfo"},
        {"KaOJiDrykP8","sceDebugGetUltSemaphoreInfo"},
        {"-Ruc8RY6MSo","sceDebugGetUltWaitingQueueResourcePoolInfo"},
        {"9fAPih-AeJo","sceDebugGetVirtualMemoryDetailInfoForCoredump"},
        {"h-JkOgS7Ljg","sceDebugGetVirtualMemoryInfo"},
        {"L9bnN8gtIRA","sceDebugGetVirtualMemoryInfoForCoredump"},
        {"TMXA-Mek+oc","sceDebugGetWaitingListOfUltCondvar"},
        {"DeqX7jLWt1A","sceDebugGetWaitingListOfUltMutex"},
        {"jr+uI0s+r0c","sceDebugGetWaitingListOfUltQueue"},
        {"t9cqEi3l2i8","sceDebugGetWaitingListOfUltRwlock"},
        {"kB3Njn2JIxg","sceDebugGetWaitingListOfUltSemaphore"},
        {"p-NcyN-4t34","sceDebugGetWorkerThreadListOfUltRuntime"},
        {"6+bfgq18W84","sceDebugInit"},
        {"FAqD7n94bYY","sceDebugInitForCoredump"},
        {"SP-7qOzwl7U","sceDebugInitForTest"},
        {"KEOtPPGr59w","sceDebugIpmiGetBlockTimeInfoList"},
        {"qNbjzkre+NE","sceDebugIpmiGetBlockedIpcInfo"},
        {"yYiv7rqRorw","sceDebugIpmiGetChannelInfo"},
        {"4slehMAh00w","sceDebugIpmiGetChannelKidList"},
        {"XuJAJecAwbM","sceDebugIpmiGetChannelWaitingThreadList"},
        {"jQx7y+e2+Ww","sceDebugIpmiGetClientInfo"},
        {"QN-BpZYsomU","sceDebugIpmiGetClientKidList"},
        {"pb20o9PCWxE","sceDebugIpmiGetClientKidListByDump"},
        {"N6lOuDxmAiU","sceDebugIpmiGetClientKidListByServerKid"},
        {"3Ckj9wlRA7c","sceDebugIpmiGetConnectRequestInfoList"},
        {"8lWNf9MWnHw","sceDebugIpmiGetConnectionInfoList"},
        {"wEaYn3s7qns","sceDebugIpmiGetConnectionWaitingThreadListByClientKid"},
        {"qxVqb-SUAko","sceDebugIpmiGetConnectionWaitingThreadListBySessionKid"},
        {"7-R7QqM35s0","sceDebugIpmiGetDump"},
        {"z0rTBoG5zX8","sceDebugIpmiGetEncryptedInfoAllForCoredump"},
        {"WerRlm8NBuE","sceDebugIpmiGetKidInfoListForCoredump"},
        {"VU9AJf1AaH4","sceDebugIpmiGetServerDispatchInfo"},
        {"61SRHOc+Zl4","sceDebugIpmiGetServerInfo"},
        {"m6paE6+CiTA","sceDebugIpmiGetServerKidList"},
        {"YMncbReoIU4","sceDebugIpmiGetServerKidListByDump"},
        {"Nr273YqaAvo","sceDebugIpmiGetServerWaitingThreadList"},
        {"mAPVf1I2+is","sceDebugIpmiGetSessionInfo"},
        {"ycUmaLtD3Mo","sceDebugIpmiGetSessionKidList"},
        {"zMetPkNDkYU","sceDebugIpmiGetSessionKidListByServerKid"},
        {"W849NdAuFHQ","sceDebugIpmiGetTidListByDump"},
        {"jKGq8JG6K1Q","sceDebugKillApplication"},
        {"H-WaabqfU-I","sceDebugKillProcess"},
        {"HxGTYmj3LJ8","sceDebugNoStopChildProcesses"},
        {"HGDKKtTRpog","sceDebugNoStopOnDLLoad"},
        {"2ezc3rKyIqM","sceDebugProcessSpawn"},
        {"HB57CbhjcLw","sceDebugReadEvent"},
        {"yBZdGSpnkHU","sceDebugReadEventForTest"},
        {"QoMN8tdi8K0","sceDebugReadProcessMemory"},
        {"3bYJjwtsUQc","sceDebugReadProcessMemoryForSDBGP"},
        {"tSEVQ2wu6Q8","sceDebugReadProcessRegister"},
        {"JZOeaOI8rU8","sceDebugReadProcessRegisterForSDBGP"},
        {"3gB9EbKwJyQ","sceDebugReadProcessResourceStatData"},
        {"ARowrgmuN94","sceDebugReadThreadRegister"},
        {"EFPddKZhjgw","sceDebugReadThreadRegisterForSDBGP"},
        {"JIm0mxpJAdM","sceDebugReleaseDebugRegister"},
        {"8XiF7OmlpcM","sceDebugResumeApplication"},
        {"LDUnJvas7aA","sceDebugResumeProcess"},
        {"qDIcu3MnDOk","sceDebugResumeThread"},
        {"--I4Ml0ADxQ","sceDebugSetProcessEventCntlFlag"},
        {"tRdLlsyNo9g","sceDebugSetStepThread"},
        {"yqIOrJbpTu4","sceDebugSpawnApplication"},
        {"5n-wRxhsTXU","sceDebugStopChildProcesses"},
        {"fiVAYOf2PZE","sceDebugStopOnDLLoad"},
        {"nITiXSwEc6w","sceDebugSuspendApplication"},
        {"nzqN4RdflwM","sceDebugSuspendProcess"},
        {"iAMvRxEvs5o","sceDebugSuspendThread"},
        {"EY8cOKuR7Bc","sceDebugTriggerCoredump"},
        {"+zffgsy7hRw","sceDebugTriggerCoredumpForSystem"},
        {"3xy2vPK0o6c","sceDebugTriggerVrCaptureDump"},
        {"QTpgnwUVRWw","sceDebugWriteProcessMemory"},
        {"qXMciKkR0H0","sceDebugWriteProcessRegister"},
        {"tHeVbJMcEv8","sceDebugWriteThreadRegister"},
        {"3nQRdDyLMzE","sceDeci4hClose"},
        {"g7kM+dtQB0o","sceDeci4hCreateHostProcess"},
        {"BQqV4AR38B8","sceDeci4hCreateHostProcessAndWait"},
        {"lr96Z2yBPtk","sceDeci4hDrfpCalcEntlistSize"},
        {"eFANmS4bwPE","sceDeci4hDrfpChkGetConf"},
        {"4z-nQO02eGQ","sceDeci4hDrfpChkInValidDeciHead"},
        {"lPsGHkAb0yM","sceDeci4hDrfpChkInValidUlpHead"},
        {"NpktddOeWoM","sceDeci4hDrfpChstat"},
        {"ziiOdlGJLMY","sceDeci4hDrfpChstat_chmod_fuse"},
        {"MvNSFlPuexQ","sceDeci4hDrfpChstat_chmod_fuse_fullpath"},
        {"GR3YJwi7gs8","sceDeci4hDrfpChstat_utimens_fuse"},
        {"LJgDPypWO8Y","sceDeci4hDrfpChstat_utimens_fuse_fullpath"},
        {"Nvzn9mIoIUw","sceDeci4hDrfpClose"},
        {"LnFf5ShUn3E","sceDeci4hDrfpClose_fuse"},
        {"4D9Dog+o+cg","sceDeci4hDrfpClosedir"},
        {"oAylnoYJyHw","sceDeci4hDrfpClosedir_fuse"},
        {"Nzg8TGr4tpQ","sceDeci4hDrfpCreate"},
        {"eGKUkd0H3wY","sceDeci4hDrfpCreate_fuse"},
        {"EUgC8BO6EfE","sceDeci4hDrfpCreate_fuse_fullpath"},
        {"s6sTWrzxZzY","sceDeci4hDrfpEventHandler"},
        {"Wl3sypoj-fA","sceDeci4hDrfpFchstat"},
        {"4JhGC2hqQ48","sceDeci4hDrfpFchstat_fuse"},
        {"Y3T-sxogDg0","sceDeci4hDrfpFstat"},
        {"Fz3C6fePEb4","sceDeci4hDrfpFstat_fuse"},
        {"h7KKNBlZJYs","sceDeci4hDrfpFstat_fuse_fullpath"},
        {"GoLUMUdvoi0","sceDeci4hDrfpFtruncate"},
        {"-+DMIKu3GMs","sceDeci4hDrfpFtruncate_fuse"},
        {"E63t2ZgWfpU","sceDeci4hDrfpFtruncate_fuse_fullpath"},
        {"fCYZ8Ta2DJc","sceDeci4hDrfpGetMsgBuf"},
        {"PwdjZ112xLU","sceDeci4hDrfpGetOption"},
        {"2sk-Mt8xEsA","sceDeci4hDrfpInitMountDoneEvf"},
        {"bFN5mIvW-mA","sceDeci4hDrfpMkdir"},
        {"ivI59nvu564","sceDeci4hDrfpMkdir_fuse"},
        {"L3PcEQaDVkA","sceDeci4hDrfpMkdir_fuse_fullpath"},
        {"aFmh3B6C5Fs","sceDeci4hDrfpMountDone"},
        {"M7A+l4pYZYE","sceDeci4hDrfpOpen"},
        {"sUzSOBtTR0o","sceDeci4hDrfpOpen_fuse"},
        {"php5E0sv9F0","sceDeci4hDrfpOpen_fuse_fullpath"},
        {"VrYn7rkjRYU","sceDeci4hDrfpOpendir"},
        {"1APtZS06W-I","sceDeci4hDrfpOpendir_fuse"},
        {"BkimQeX118I","sceDeci4hDrfpOpendir_fuse_fullpath"},
        {"fDEn1hyPYjc","sceDeci4hDrfpRead"},
        {"d8roQ6sbk8E","sceDeci4hDrfpRead_fuse"},
        {"eI1SOK89t7I","sceDeci4hDrfpReaddir"},
        {"068fJfjBVZw","sceDeci4hDrfpReaddir_fuse"},
        {"fANJTSP-ncA","sceDeci4hDrfpReaddir_fuse_fullpath"},
        {"WmzLsYNgA9E","sceDeci4hDrfpRecv"},
        {"TGRaXM8tHdo","sceDeci4hDrfpReleaseBuffer"},
        {"LVYGEGM0tCs","sceDeci4hDrfpRemove"},
        {"R8LZytuJe2Y","sceDeci4hDrfpRemove_fuse"},
        {"rB2mYuU-igs","sceDeci4hDrfpRemove_fuse_fullpath"},
        {"CxwJc7yMKgg","sceDeci4hDrfpRename"},
        {"aZD2KLJ80D0","sceDeci4hDrfpRename_fuse"},
        {"pCXxVMdoF2w","sceDeci4hDrfpRename_fuse_fullpath"},
        {"WHfJAqAkTK4","sceDeci4hDrfpReserveBuffer"},
        {"WCvMD6FtxcY","sceDeci4hDrfpRmdir"},
        {"JG+FmOG9jbQ","sceDeci4hDrfpRmdir_fuse"},
        {"twT9SclEjBI","sceDeci4hDrfpRmdir_fuse_fullpath"},
        {"3o6cZedja9M","sceDeci4hDrfpSearchTbl"},
        {"obWv-QrE1Gw","sceDeci4hDrfpSend"},
        {"yD5dVtX3I2s","sceDeci4hDrfpSetOption"},
        {"8qL9O-t6RdE","sceDeci4hDrfpStat"},
        {"llKD7L4jVTw","sceDeci4hDrfpStat_fuse"},
        {"jYBiA3W7x30","sceDeci4hDrfpStat_fuse_fullpath"},
        {"jNcpGLqj6Qg","sceDeci4hDrfpTruncate"},
        {"sa9t1NLDwME","sceDeci4hDrfpTruncate_fuse"},
        {"-zKhyRjPW5s","sceDeci4hDrfpTruncate_fuse_fullpath"},
        {"bmUeCG2cyMc","sceDeci4hDrfpWaitMountDone"},
        {"VDVES0T5iHI","sceDeci4hDrfpWaitRes"},
        {"moVosqIdo8U","sceDeci4hDrfpWrite"},
        {"CE-JCVY9rzw","sceDeci4hDrfpWrite_fuse"},
        {"IGwoR-bZ-aQ","sceDeci4hGetStatus"},
        {"q2eqZBGasE0","sceDeci4hOpen"},
        {"5zcQehpL1Mc","sceDeci4hRead"},
        {"swrsxmobY1c","sceDeci4hWrite"},
        {"gYg5m+zII9w","sceDeci5Close"},
        {"nS4i1N-HEws","sceDeci5CreateHostProcess"},
        {"Ez2iQHniESc","sceDeci5CreateHostProcessAndWait"},
        {"v-VB0EguQWg","sceDeci5GetStatus"},
        {"sLfxYROuNZU","sceDeci5Open"},
        {"8T8VUmTIKE0","sceDeci5Read"},
        {"5IVqeThOi2s","sceDeci5Write"},
        {"ssOcL1iqcTE","sceDepth2GetImage"},
        {"WpgesOm4xX8","sceDepth2Initialize"},
        {"JG-Dc43R4pM","sceDepth2QueryMemory"},
        {"RUtAryHv2fI","sceDepth2SaveInternalBuffers"},
        {"xszTt3hOPcA","sceDepth2SetCameraFactoryCalibrationData"},
        {"o7OQzFuXJ28","sceDepth2SetCommand"},
        {"WIlLwVKWows","sceDepth2SetRoi"},
        {"UUQSk5-w9gU","sceDepth2Submit"},
        {"ot9Mw6ofb74","sceDepth2Terminate"},
        {"2gMXO8S2qik","sceDepth2WaitAndExecutePostProcess"},
        {"1eDFI2b1+R4","sceDepthCalculateRectificationInformation"},
        {"tKb1NGqDL3o","sceDepthDisableHeteroMode"},
        {"z5ST9CIgHa0","sceDepthEnableExtendedMode"},
        {"ApiBWk+XhTM","sceDepthEnableHeteroMode"},
        {"LGls0LhQSGY","sceDepthEnableHeteroModeAndGenerateInformation"},
        {"n1jfUfgvIUw","sceDepthGetCalibrationData"},
        {"m2CDzALH31Q","sceDepthGetImage"},
        {"L70Lnrm4gz4","sceDepthGetRectificationInformation"},
        {"b1e8oPrUnY4","sceDepthGetSrParameter"},
        {"ORiU0t9ZnwE","sceDepthHandCandidateTrackerGetResult"},
        {"PXbVNuUqELQ","sceDepthHasCalibrationData"},
        {"lAh2teRHzLU","sceDepthHeadCandidateDetectorGetResults"},
        {"DI3yZlrLLxM","sceDepthHeadCandidateTrackerGetResult"},
        {"9pbTND42x74","sceDepthHeadCandidateTrackerSetValidationInformation"},
        {"Paa9dgHnHpQ","sceDepthInitialize"},
        {"5AuWFbVvqTU","sceDepthLoadCalibrationData"},
        {"5MwxIk3-gLo","sceDepthQueryMemory"},
        {"ChiY6gHrMK4","sceDepthSaveInternalBuffers"},
        {"oPhjCYX1Oeg","sceDepthSetCalibrationData"},
        {"7+v3uWRHgQ4","sceDepthSetCommands"},
        {"7bSiBI8KqBw","sceDepthSetPostFilterParameter"},
        {"VZJhL9rau08","sceDepthSetPreFilterParameter"},
        {"WXXsPHkag14","sceDepthSetRectificationInformation"},
        {"3mjsu608hoU","sceDepthSetRoi"},
        {"8nUMQUGz3Vs","sceDepthSetRoiset"},
        {"hO0sxQP5n0Q","sceDepthSetSrParameter"},
        {"zE2ws3Iyrqc","sceDepthSetSrTnrParameter"},
        {"jLx5qd4qyjk","sceDepthSubmit"},
        {"l+dKhCxtRHc","sceDepthTerminate"},
        {"q0NXsQTzAI0","sceDepthUpdate"},
        {"DdomLktL5+M","sceDepthValidateCurrentCalibrationData"},
        {"cnnOMW6dyPI","sceDepthWaitAndExecutePostProcess"},
        {"aH2nrQ3Xh5Q","sceDevUsbAcceptHostStream"},
        {"1DQdJnkcvCc","sceDevUsbAddCPKevent"},
        {"JDWOb4UaFYc","sceDevUsbAddHostKevent"},
        {"CBvvoNSsWVU","sceDevUsbAddHostRawKevent"},
        {"t-9Ij2BOB34","sceDevUsbAddHostStreamKevent"},
        {"GYocVtgXJbg","sceDevUsbCloseHostStream"},
        {"rccmWjglnzI","sceDevUsbDeleteCPKevent"},
        {"wHY2UG30T4c","sceDevUsbDeleteHostKevent"},
        {"4SlBjZmGWfg","sceDevUsbDeleteHostRawKevent"},
        {"y31G8GvPBWc","sceDevUsbDeleteHostStreamKevent"},
        {"HpLCF06Oa0w","sceDevUsbInit"},
        {"3vxmiyPKb90","sceDevUsbInitCP"},
        {"QIBJY7pQ-Yw","sceDevUsbInitHost"},
        {"yVXOAcXkzoo","sceDevUsbIsHostConnected"},
        {"lR66ktNCCG4","sceDevUsbReadCP"},
        {"svZJHZRDQm4","sceDevUsbReadHost"},
        {"Fm2AwUzfhIs","sceDevUsbReadHostRaw"},
        {"fAnox5k5Jfs","sceDevUsbResume"},
        {"frUCbxuuRpE","sceDevUsbSuspend"},
        {"ewBC-T131kk","sceDevUsbTerm"},
        {"lbtcpd5KoQ4","sceDevUsbTermCP"},
        {"Neqr3RjImvE","sceDevUsbTermHost"},
        {"mzYQPZd-O4c","sceDevUsbWriteCP"},
        {"FEIR6uKyeeE","sceDevUsbWriteHost"},
        {"YW74P8vB69g","sceDevUsbWriteHostRaw"},
        {"9ddRUOV8Q5A","sceDeviceServiceGetEventState"},
        {"oFon+A5v1z8","sceDeviceServiceGetGeneration"},
        {"84fDxStrG44","sceDeviceServiceInitialize"},
        {"UNMEa+5lrUA","sceDeviceServiceQueryDeviceInfo_"},
        {"Uq8uW74rVpU","sceDeviceServiceTerminate"},
        {"3xULm-emJqE","sceDiscIdGet"},
        {"JxM80qv+BxU","sceDiscIdGet2"},
        {"rsrNnCwuy4w","sceDiscMapBitmapInfoServerStart"},
        {"W0NXxBnfZpA","sceDiscMapBitmapInfoServerStop"},
        {"fl1eoDnwQ4s","sceDiscMapGetPackageSize"},
        {"lbQKqsERhtE","sceDiscMapIsRequestOnHDD"},
        {"hYqnvZqn6XA","sceDseehxConvert"},
        {"f3w+k7lAQKg","sceDseehxExtInit"},
        {"Ob34lg2OTG0","sceDseehxFlush"},
        {"Sfr8N-9Sdhw","sceDseehxInit"},
        {"iA5fgZroSXQ","sceDtcpIpActivateAsync"},
        {"w8gdCsz9E5g","sceDtcpIpAddHeader"},
        {"QXd85nHKgTc","sceDtcpIpByteSeekAsync"},
        {"45gE-Md7pGc","sceDtcpIpCancelActivate"},
        {"fpMtgjbfR28","sceDtcpIpCheckActivationAsync"},
        {"wB7VXMN6d7Y","sceDtcpIpCloseContentAsync"},
        {"7YmdciXqdyw","sceDtcpIpGetErrorCode"},
        {"YUMJ3Foe2ds","sceDtcpIpGetHttpStatusCode"},
        {"-8ArXjBU6qg","sceDtcpIpInit"},
        {"vtBruB+RWUw","sceDtcpIpInitAuthAsync"},
        {"47jR75uXOFs","sceDtcpIpOpenContentAsync"},
        {"+2bYveDZRzU","sceDtcpIpPollAsync"},
        {"MYEO5Y7ItYk","sceDtcpIpPoolAsync"},
        {"SZSvjyBqJ3A","sceDtcpIpReadAsync"},
        {"-BReK8o1vzQ","sceDtcpIpRemoveHeader"},
        {"D0cPLPTMMsM","sceDtcpIpStartAuthAsync"},
        {"4bT02EA5CF0","sceDtcpIpStartSeq"},
        {"nZZ-9S5sscs","sceDtcpIpStopAuthAsync"},
        {"icx5rQ00bpY","sceDtcpIpStopSeq"},
        {"2i0OGsRbIUA","sceDtcpIpTerm"},
        {"dUHO5qR+hkw","sceDtcpIpTermAuthAsync"},
        {"wBWjyBqYees","sceDtcpIpTimeSeekAsync"},
        {"pSUTufzQ4og","sceDtcpIpWaitAsync"},
        {"vjjqXVUcU8w","sceDtsEncCreateEncoder"},
        {"Dd9-iAuMyis","sceDtsEncDeleteEncoder"},
        {"jm5stx2t4Ao","sceDtsEncEncode"},
        {"jx5qjwQWSRU","sceDtsEncEncodeAsync"},
        {"76NVW6T2AUg","sceDtsEncFlush"},
        {"Ctd9i+9hFu4","sceDtsEncIsEncoding"},
        {"ZAFfvaw5eNA","sceDtsEncWaitEncode"},
        {"rWapdQmQQRQ","sceEditMp4Abort"},
        {"fXODRwVnRe4","sceEditMp4Edit"},
        {"W5iJUafU8r4","sceEditMp4GetStatus"},
        {"TzoWJFBjBW8","sceEditMp4Initialize"},
        {"WVBXdDlF1TE","sceEditMp4InitializeParam"},
        {"g8urym+l4UU","sceEditMp4QueryMemSize"},
        {"74PbyKbRv-I","sceEditMp4SetFinishCallback"},
        {"F0Sos4cB8Zg","sceEditMp4Terminate"},
        {"P9v+xD9gBQU","sceEditMp4Unite"},
        {"ekXHb1kDBl0","sceErrorDialogClose"},
        {"t2FvHRXzgqk","sceErrorDialogGetStatus"},
        {"I88KChlynSs","sceErrorDialogInitialize"},
        {"M2ZF-ClLhgY","sceErrorDialogOpen"},
        {"jrpnVQfJYgQ","sceErrorDialogOpenDetail"},
        {"wktCiyWoDTI","sceErrorDialogOpenWithReport"},
        {"9XAxK2PMwk8","sceErrorDialogTerminate"},
        {"WWiGuh9XfgQ","sceErrorDialogUpdateStatus"},
        {"jV6nu+8j1BU","sceEsvmEngineDestroyMediaKeySystemAccess"},
        {"E7LV-Vm+w0s","sceEsvmEngineMediaKeySessionClose"},
        {"TTi1wXli58Q","sceEsvmEngineMediaKeySessionGenerateRequest"},
        {"b8YwdPYpAq4","sceEsvmEngineMediaKeySessionGetExpiration"},
        {"uZrg74SvVvk","sceEsvmEngineMediaKeySessionGetKeyStatuses"},
        {"9Yv7222knIM","sceEsvmEngineMediaKeySessionGetSessionId"},
        {"BFEwbDCkoNM","sceEsvmEngineMediaKeySessionLoad"},
        {"Z49nv-Xs1A0","sceEsvmEngineMediaKeySessionRemove"},
        {"RgminlbfK8E","sceEsvmEngineMediaKeySessionSetEventHandler"},
        {"7mNuSDZQNNo","sceEsvmEngineMediaKeySessionUpdate"},
        {"pvuuD5bRjf0","sceEsvmEngineMediaKeySystemAccessCreateMediaKeys"},
        {"A+gXFduc9gM","sceEsvmEngineMediaKeySystemAccessDestroyMediaKeys"},
        {"3MdvN660P4w","sceEsvmEngineMediaKeySystemAccessGetConfiguration"},
        {"LqBKASoabtM","sceEsvmEngineMediaKeySystemAccessSetCdmStorageConfig"},
        {"1EoMsKB-clM","sceEsvmEngineMediaKeysCreateSession"},
        {"q527znq3hOE","sceEsvmEngineMediaKeysDestroySession"},
        {"94TcQVqP4Fw","sceEsvmEngineMediaKeysSetEventHandler"},
        {"HnWRDz8K3l4","sceEsvmEngineMediaKeysSetServerCertificate"},
        {"hJLHJLp47qc","sceEsvmEngineRequestMediaKeySystemAccess"},
        {"EMiyK-GRjA8","sceFaceAgeGetWorkingMemorySize"},
        {"R0lsCgrINWo","sceFaceAgeRangeEstimate"},
        {"mrF0OjeuOgw","sceFaceAgeRangeIntegrate"},
        {"V1f-bRIanh4","sceFaceAllParts"},
        {"Go4qB43MgX8","sceFaceAllPartsGetWorkingMemorySize"},
        {"ibYWv3khTDw","sceFaceAttribute"},
        {"FTnplTtBnw8","sceFaceAttributeGetWorkingMemorySize"},
        {"lHTcSjAnKdI","sceFaceDetection"},
        {"mz0+WE5XkSc","sceFaceDetectionEx"},
        {"ZyC0HzaV6VU","sceFaceDetectionGetDefaultParam"},
        {"DYdXC4Ixa4s","sceFaceDetectionGetWorkingMemorySize"},
        {"j7lvkiMu1Sg","sceFaceDetectionLocal"},
        {"rfnPKQVKc4A","sceFaceEstimatePoseRegion"},
        {"AsxmyXFDsiM","sceFaceIdentifyExGetFeature"},
        {"kZ5Cc0KqzdI","sceFaceIdentifyExGetWorkingMemorySize"},
        {"+0E0dyw8phY","sceFaceIdentifyExSimilarity"},
        {"AfI6pPRlI34","sceFaceIdentifyGetFeature"},
        {"jCSXa2n1cXI","sceFaceIdentifyGetWorkingMemorySize"},
        {"iQuWNdsul1U","sceFaceIdentifyLiteGetFeature"},
        {"pk4p3CEJflE","sceFaceIdentifyLiteGetWorkingMemorySize"},
        {"+sAja0b9rZU","sceFaceIdentifyLiteSimilarity"},
        {"37DR-ZKbsv8","sceFaceIdentifySimilarity"},
        {"rZYoZcqqJdo","sceFaceParts"},
        {"BBM2NN4R+Xs","sceFacePartsEx"},
        {"uiyG1M9D8-4","sceFacePartsGetWorkingMemorySize"},
        {"WzOBQR6MNWA","sceFacePartsResultCheck"},
        {"4eUBMHs41k0","sceFaceShapeFit"},
        {"BsmV0JLSdpg","sceFaceShapeGetWorkingMemorySize"},
        {"47S+J03eask","sceFaceShapeTrack"},
        {"XuqmYJfdEzI","sceFaceTrackerAddUserFeature"},
        {"kgoY4sueNqU","sceFaceTrackerFinalize"},
        {"N9K6D-eO6UI","sceFaceTrackerGetDefaultConfig"},
        {"IV-ddS1D+U0","sceFaceTrackerGetResult"},
        {"GJQTuIKPCLM","sceFaceTrackerGetTrackIdByUserId"},
        {"Ls+C7--QDuo","sceFaceTrackerGetUserFeature"},
        {"wG6+Pqh1prQ","sceFaceTrackerGetUserIdByTrackId"},
        {"zN4908PoI3k","sceFaceTrackerGetWorkingMemorySize"},
        {"SknJO3Bt+-o","sceFaceTrackerInitialize"},
        {"glkVxMoEu-E","sceFaceTrackerRegisterFixUserIdCallback"},
        {"knPtjtHAlek","sceFaceTrackerRegisterLostTargetCallback"},
        {"85RI6pMiI6c","sceFaceTrackerRegisterRecoveryFromLostTargetCallback"},
        {"amMmIL1kj-k","sceFaceTrackerRegisterStartTrackingCallback"},
        {"YPqj8Ky3WDY","sceFaceTrackerRegisterStopTrackingCallback"},
        {"VsVD7+SYlNc","sceFaceTrackerRegisterUser"},
        {"i0DbE5x06fw","sceFaceTrackerReset"},
        {"vnp7yntvlPY","sceFaceTrackerSearchTarget"},
        {"bAKsVCOJMu8","sceFaceTrackerStartTracking"},
        {"Tb-iOd+G2Zs","sceFaceTrackerStopTracking"},
        {"CAIoDnCFX70","sceFaceTrackerUnregisterUser"},
        {"ZHWeGLW4X34","sceFaceTrackerUpdate"},
        {"JeNX5F-NzQU","sceFiberFinalize"},
        {"uq2Y5BFz0PE","sceFiberGetInfo"},
        {"p+zLIOg27zU","sceFiberGetSelf"},
        {"asjUJJ+aa8s","sceFiberOptParamInitialize"},
        {"JzyT91ucGDc","sceFiberRename"},
        {"B0ZX2hx9DMw","sceFiberReturnToThread"},
        {"a0LLrZWac0M","sceFiberRun"},
        {"Lcqty+QNWFc","sceFiberStartContextSizeCheck"},
        {"Kj4nXMpnM8Y","sceFiberStopContextSizeCheck"},
        {"PFT2S-tJ7Uk","sceFiberSwitch"},
        {"GxAF6y9l98M","sceFiosArchiveGetDecompressorThreadCount"},
        {"ERmiOK9VT0g","sceFiosArchiveGetMountBufferSize"},
        {"UUriaXy7G90","sceFiosArchiveGetMountBufferSizeSync"},
        {"pIU8u6VsLM8","sceFiosArchiveMount"},
        {"xutLbQdqyb4","sceFiosArchiveMountSync"},
        {"VKQ8pi4466g","sceFiosArchiveMountWithOrder"},
        {"GEAzhWJM1mY","sceFiosArchiveMountWithOrderSync"},
        {"Dfwp-U1OfRI","sceFiosArchiveSetDecompressorThreadCount"},
        {"YfTBBU5nONQ","sceFiosArchiveUnmount"},
        {"yy6C7k7FPZY","sceFiosArchiveUnmountSync"},
        {"bGwp1S4bcIY","sceFiosCacheContainsFile"},
        {"xMC5Psx4v9k","sceFiosCacheContainsFileRange"},
        {"7CXAnIwFY3U","sceFiosCacheContainsFileRangeSync"},
        {"H6wju6uvjmA","sceFiosCacheContainsFileSync"},
        {"8e4TgQd155k","sceFiosCacheFlushFileRangeSync"},
        {"R4YQI0YpbB0","sceFiosCacheFlushFileSync"},
        {"NRe2Dtymlmk","sceFiosCacheFlushSync"},
        {"iGpuaBFQroQ","sceFiosCachePrefetchFH"},
        {"uT4EBfl284o","sceFiosCachePrefetchFHRange"},
        {"tm3Hb4s0et8","sceFiosCachePrefetchFHRangeSync"},
        {"zIx-FcuPXVM","sceFiosCachePrefetchFHSync"},
        {"T8upMyvUPz0","sceFiosCachePrefetchFile"},
        {"FYGZ0F5ZglA","sceFiosCachePrefetchFileRange"},
        {"ZzE6WN+QBbE","sceFiosCachePrefetchFileRangeSync"},
        {"bC0WTypscWg","sceFiosCachePrefetchFileSync"},
        {"-q4M5WX0Jrs","sceFiosCancelAllOps"},
        {"wb8H3F+T6Ew","sceFiosClearTimeStamps"},
        {"aKxpgAMSJ04","sceFiosCloseAllFiles"},
        {"oT68xenFqSY","sceFiosDHClose"},
        {"0-p4O8FINmU","sceFiosDHCloseSync"},
        {"K7SHCEr+PkQ","sceFiosDHGetPath"},
        {"uCkgJOrYUL4","sceFiosDHOpen"},
        {"GGqucL9F+YI","sceFiosDHOpenSync"},
        {"kG+A6NNwDow","sceFiosDHRead"},
        {"odjOGg8harg","sceFiosDHReadSync"},
        {"PIw2ZEh6JyI","sceFiosDLLInitialize"},
        {"kPvgi8x497Q","sceFiosDLLTerminate"},
        {"axVqO-tslwo","sceFiosDateFromComponents"},
        {"tQ6zNr0O6GA","sceFiosDateGetCurrent"},
        {"Rm+hiwvSnxw","sceFiosDateToComponents"},
        {"+mfO27a-bEY","sceFiosDeallocatePassthruFH"},
        {"FyuoXPzv780","sceFiosDebugDumpDH"},
        {"fJTrPsXNsBY","sceFiosDebugDumpDate"},
        {"8BLW2WiSIuI","sceFiosDebugDumpError"},
        {"Sj5lbc4Y0mI","sceFiosDebugDumpFH"},
        {"4-yhZ7aj3VE","sceFiosDebugDumpOp"},
        {"mhj9gAxCEqM","sceFiosDebugSetProfileCallback"},
        {"tRVmIlyGUSA","sceFiosDebugSetTraceMask"},
        {"KVvM-cdU614","sceFiosDebugStatisticsPrint"},
        {"gwtkXCmgiUk","sceFiosDebugStatisticsReset"},
        {"nomcox0J32k","sceFiosDelete"},
        {"KsVTc04kN9k","sceFiosDeleteSync"},
        {"-ULUBK21QgE","sceFiosDirectoryCreate"},
        {"nWuza0ZdfqA","sceFiosDirectoryCreateSync"},
        {"C5J+ANTy0qI","sceFiosDirectoryCreateWithMode"},
        {"U6Qhv-QWXTc","sceFiosDirectoryCreateWithModeSync"},
        {"rTjM9QpSyOM","sceFiosDirectoryDelete"},
        {"n5TUlwdhGSA","sceFiosDirectoryDeleteSync"},
        {"vtHd00f0O50","sceFiosDirectoryExists"},
        {"OOuvHKTu4Oc","sceFiosDirectoryExistsSync"},
        {"LHqFYb+U52E","sceFiosExists"},
        {"2ZaHWy3IhKQ","sceFiosExistsSync"},
        {"5sYNBNK+W3g","sceFiosFHClose"},
        {"AOujSGqU+ms","sceFiosFHCloseSync"},
        {"lP9bRJMj0GU","sceFiosFHGetOpenParams"},
        {"Mif6IzBa0hc","sceFiosFHGetPath"},
        {"FdjoqFQOlt0","sceFiosFHGetSize"},
        {"er6TkQFUvp0","sceFiosFHOpen"},
        {"b44anV2D7K0","sceFiosFHOpenSync"},
        {"jjzbvzquenM","sceFiosFHOpenWithMode"},
        {"w13Ojm7ON9o","sceFiosFHOpenWithModeSync"},
        {"rR8wq7YFRZs","sceFiosFHPread"},
        {"2m9+Opco-hk","sceFiosFHPreadSync"},
        {"pl4pWsecyrY","sceFiosFHPreadv"},
        {"OHl4kz+OCws","sceFiosFHPreadvSync"},
        {"PbxGVfOvUQY","sceFiosFHPwrite"},
        {"gMcfOtHW6zk","sceFiosFHPwriteSync"},
        {"3UPU8hbpaW0","sceFiosFHPwritev"},
        {"J6Ujb3RviBA","sceFiosFHPwritevSync"},
        {"cg-VoPqZYss","sceFiosFHRead"},
        {"Bn2ZF4ZjeuQ","sceFiosFHReadSync"},
        {"Socc-lFocbc","sceFiosFHReadv"},
        {"ltWdd+agvD0","sceFiosFHReadvSync"},
        {"xReSebwKApA","sceFiosFHSeek"},
        {"--2iRpRn5Bw","sceFiosFHStat"},
        {"xP45eIntEis","sceFiosFHStatSync"},
        {"dQnI6o2OEC8","sceFiosFHSync"},
        {"EzzSJz6yuMc","sceFiosFHSyncSync"},
        {"MrRFrdgpsx8","sceFiosFHTell"},
        {"8dzXU5GxsjI","sceFiosFHToFileno"},
        {"0--XhDM7E-Q","sceFiosFHTruncate"},
        {"tWS4uYFTU0M","sceFiosFHTruncateSync"},
        {"urUHkGGweA4","sceFiosFHWrite"},
        {"Kl-TbrDU9YM","sceFiosFHWriteSync"},
        {"2PKMNZuXcPQ","sceFiosFHWritev"},
        {"t4vLDMxzzf0","sceFiosFHWritevSync"},
        {"VQ8e5t8vtYg","sceFiosFileDelete"},
        {"bDupEgbQ6Fk","sceFiosFileDeleteSync"},
        {"OY8v8WDzn3s","sceFiosFileExists"},
        {"NwOHMRM2Ppw","sceFiosFileExistsSync"},
        {"6jTNxzXckKU","sceFiosFileGetSize"},
        {"zF8-CRvRXnM","sceFiosFileGetSizeSync"},
        {"YlKCkfJL+Y8","sceFiosFileRead"},
        {"kVMxSiYD6tc","sceFiosFileReadSync"},
        {"9oCCIMp7zLo","sceFiosFileTruncate"},
        {"gRA2pp3a1-k","sceFiosFileTruncateSync"},
        {"q8CfetImdIY","sceFiosFileWrite"},
        {"wj-U+mMbyAM","sceFiosFileWriteSync"},
        {"oRgsgfJY3Mc","sceFiosFilenoToFH"},
        {"lHKLprulT24","sceFiosGetAllDHs"},
        {"4Kgi9D47mC8","sceFiosGetAllFHs"},
        {"VdN2hNRay+E","sceFiosGetAllOps"},
        {"+AGLl-l-WVE","sceFiosGetDefaultOpAttr"},
        {"xiTqbFc7w+w","sceFiosGetGlobalDefaultOpAttr"},
        {"Lxgze5-E3uQ","sceFiosGetSuspendCount"},
        {"fZjp7AUc+DY","sceFiosGetThreadDefaultOpAttr"},
        {"lgITuBsRo2o","sceFiosIOFilterAdd"},
        {"lAikj8EfcJg","sceFiosIOFilterCache"},
        {"gHxxOQxKW3E","sceFiosIOFilterGetInfo"},
        {"OIGbkgGOu6E","sceFiosIOFilterPsarcDearchiver"},
        {"ahIXyuwF0-o","sceFiosIOFilterRemove"},
        {"wAKZ-det+yo","sceFiosInitialize"},
        {"YkayyuR6HvI","sceFiosIsIdle"},
        {"aKWnlLIobGA","sceFiosIsInitialized"},
        {"F7whoytBofE","sceFiosIsSuspended"},
        {"8IGjwtnvYwI","sceFiosIsValidHandle"},
        {"FA7dUleeGik","sceFiosOpCancel"},
        {"5cyEcilO-J0","sceFiosOpDelete"},
        {"+FRvKknUj1I","sceFiosOpGetActualCount"},
        {"U44GbnRZ0NA","sceFiosOpGetAttr"},
        {"52bk-Ucb5s0","sceFiosOpGetBuffer"},
        {"X+7rIfY97Ps","sceFiosOpGetError"},
        {"J9ujmUpwWAc","sceFiosOpGetOffset"},
        {"4fZAv0vbycQ","sceFiosOpGetPath"},
        {"51jH2C+it2s","sceFiosOpGetRequestCount"},
        {"+8vcurPhbEY","sceFiosOpIsCancelled"},
        {"bfgo2Otmqz0","sceFiosOpIsDone"},
        {"DX1JP95j3Gg","sceFiosOpReschedule"},
        {"csVTpsP0RLk","sceFiosOpRescheduleWithPriority"},
        {"bHFaiUhZCrQ","sceFiosOpSetBuffer"},
        {"2wvqS7Odb6M","sceFiosOpSyncWait"},
        {"nP-LabYxHbk","sceFiosOpSyncWaitForIO"},
        {"SnoQQWnGK9I","sceFiosOpWait"},
        {"ZSsFitZ4Kpk","sceFiosOpWaitUntil"},
        {"TXABsmiiqto","sceFiosOverlayAdd"},
        {"lFVNuWYTTFs","sceFiosOverlayGetInfo"},
        {"qcZZ8FqdT8c","sceFiosOverlayGetList"},
        {"qD5Su6YGVWM","sceFiosOverlayModify"},
        {"MuMnDaXBTm0","sceFiosOverlayRemove"},
        {"8inAOixHSQw","sceFiosOverlayResolveSync"},
        {"M8m6+Xnz9Ds","sceFiosPathNormalize"},
        {"VoXRcLMOH7w","sceFiosPathcmp"},
        {"zePYFs8UtNw","sceFiosPathncmp"},
        {"DCfnYVX6xBo","sceFiosPrintTimeStamps"},
        {"z0zd9JqbxYs","sceFiosPrintf"},
        {"uYx2ZEq998s","sceFiosRename"},
        {"G-39lsdSgXo","sceFiosRenameSync"},
        {"hqP0nzTTxdo","sceFiosResolve"},
        {"oiK6kLAtAIE","sceFiosResolveSync"},
        {"vKL406KPJRs","sceFiosResume"},
        {"92xCv12VJIA","sceFiosSaveTimeStamp"},
        {"2JtEQrjeUR4","sceFiosSetGlobalDefaultOpAttr"},
        {"4Ml2G-TSCho","sceFiosSetThreadDefaultOpAttr"},
        {"ZPm4ROwjxi4","sceFiosShutdownAndCancelOps"},
        {"QKsI9N7K1zE","sceFiosStat"},
        {"jayvY07C5dk","sceFiosStatSync"},
        {"UVj7kM-SZzY","sceFiosStatisticsGet"},
        {"1jvS0UqbY3E","sceFiosStatisticsPrint"},
        {"cCobQFZjwP0","sceFiosStatisticsReset"},
        {"tMYHEVj4j+o","sceFiosSuspend"},
        {"3HAgZPl1v+4","sceFiosTerminate"},
        {"NUkBGOZARi4","sceFiosTimeGetCurrent"},
        {"F1dCP7qkqok","sceFiosTimeIntervalFromNanoseconds"},
        {"vZNIcB3n+bg","sceFiosTimeIntervalToNanoseconds"},
        {"m96WzIHunT8","sceFiosTraceTimestamp"},
        {"l4OVTpJCyQI","sceFiosUpdateParameters"},
        {"FOEUXzOE0ow","sceFiosVprintf"},
        {"CUKn5pX-NVY","sceFontAttachDeviceCacheBuffer"},
        {"3OdRkSjOcog","sceFontBindRenderer"},
        {"6DFUkCwQLa8","sceFontCharacterGetBidiLevel"},
        {"coCrV6IWplE","sceFontCharacterGetSyllableStringState"},
        {"zN3+nuA0SFQ","sceFontCharacterGetTextFontCode"},
        {"mxgmMj-Mq-o","sceFontCharacterGetTextOrder"},
        {"-P6X35Rq2-E","sceFontCharacterLooksFormatCharacters"},
        {"SaRlqtqaCew","sceFontCharacterLooksWhiteSpace"},
        {"6Gqlv5KdTbU","sceFontCharacterRefersTextBack"},
        {"BkjBP+YC19w","sceFontCharacterRefersTextNext"},
        {"lVSR5ftvNag","sceFontCharactersRefersTextCodes"},
        {"I9R5VC6eZWo","sceFontClearDeviceCache"},
        {"vzHs3C8lWJk","sceFontCloseFont"},
        {"MpKSBaYKluo","sceFontControl"},
        {"WBNBaj9XiJU","sceFontCreateGraphicsDevice"},
        {"4So0MC3oBIM","sceFontCreateGraphicsService"},
        {"NlO5Qlhjkng","sceFontCreateGraphicsServiceWithEdition"},
        {"nWrfPI4Okmg","sceFontCreateLibrary"},
        {"n590hj5Oe-k","sceFontCreateLibraryWithEdition"},
        {"u5fZd3KZcs0","sceFontCreateRenderer"},
        {"WaSFJoRWXaI","sceFontCreateRendererWithEdition"},
        {"MO24vDhmS4E","sceFontCreateString"},
        {"cYrMGk1wrMA","sceFontCreateWords"},
        {"7rogx92EEyc","sceFontCreateWritingLine"},
        {"8h-SOB-asgk","sceFontDefineAttribute"},
        {"LHDoRWVFGqk","sceFontDeleteGlyph"},
        {"5QG71IjgOpQ","sceFontDestroyGraphicsDevice"},
        {"zZQD3EwJo3c","sceFontDestroyGraphicsService"},
        {"FXP359ygujs","sceFontDestroyLibrary"},
        {"exAxkyVLt0s","sceFontDestroyRenderer"},
        {"SSCaczu2aMQ","sceFontDestroyString"},
        {"hWE4AwNixqY","sceFontDestroyWords"},
        {"PEjv7CVDRYs","sceFontDestroyWritingLine"},
        {"UuY-OJF+f0k","sceFontDettachDeviceCacheBuffer"},
        {"e60aorDdpB8","sceFontFtInitAliases"},
        {"BxcmiMc3UaA","sceFontFtSetAliasFont"},
        {"MEWjebIzDEI","sceFontFtSetAliasPath"},
        {"ZcQL0iSjvFw","sceFontFtSupportBdf"},
        {"LADHEyFTxRQ","sceFontFtSupportCid"},
        {"+jqQjsancTs","sceFontFtSupportFontFormats"},
        {"oakL15-mBtc","sceFontFtSupportOpenType"},
        {"dcQeaDr8UJc","sceFontFtSupportOpenTypeOtf"},
        {"2KXS-HkZT3c","sceFontFtSupportOpenTypeTtf"},
        {"H0mJnhKwV-s","sceFontFtSupportPcf"},
        {"S2mw3sYplAI","sceFontFtSupportPfr"},
        {"+ehNXJPUyhk","sceFontFtSupportSystemFonts"},
        {"4BAhDLdrzUI","sceFontFtSupportTrueType"},
        {"Utlzbdf+g9o","sceFontFtSupportTrueTypeGx"},
        {"nAfQ6qaL1fU","sceFontFtSupportType1"},
        {"X9+pzrGtBus","sceFontFtSupportType42"},
        {"w0hI3xsK-hc","sceFontFtSupportWinFonts"},
        {"w5sfH9r8ZJ4","sceFontFtTermAliases"},
        {"C-4Qw5Srlyw","sceFontGenerateCharGlyph"},
        {"5kx49CAlO-M","sceFontGetAttribute"},
        {"OINC0X9HGBY","sceFontGetCharGlyphCode"},
        {"L97d+3OgMlE","sceFontGetCharGlyphMetrics"},
        {"PyB-b1aYveg","sceFontGetCharVariationGlyphCode"},
        {"ynSqYL8VpoA","sceFontGetEffectSlant"},
        {"d7dDgRY+Bzw","sceFontGetEffectWeight"},
        {"ZB8xRemRRG8","sceFontGetFontGlyphsCount"},
        {"4X14YSK4Ldk","sceFontGetFontGlyphsOutlineProfile"},
        {"eb9S3zNlV5o","sceFontGetFontMetrics"},
        {"tiIlroGki+g","sceFontGetFontResolution"},
        {"3hVv3SNoL6E","sceFontGetFontStyleInformation"},
        {"gVQpMBuB7fE","sceFontGetGlyphExpandBufferState"},
        {"imxVx8lm+KM","sceFontGetHorizontalLayout"},
        {"sDuhHGNhHvE","sceFontGetKerning"},
        {"LzmHDnlcwfQ","sceFontGetLibrary"},
        {"BozJej5T6fs","sceFontGetPixelResolution"},
        {"IQtleGLL5pQ","sceFontGetRenderCharGlyphMetrics"},
        {"Gqa5Pp7y4MU","sceFontGetRenderEffectSlant"},
        {"woOjHrkjIYg","sceFontGetRenderEffectWeight"},
        {"EY38A01lq2k","sceFontGetRenderScalePixel"},
        {"FEafYUcxEGo","sceFontGetRenderScalePoint"},
        {"ryPlnDDI3rU","sceFontGetRenderScaledKerning"},
        {"8REoLjNGCpM","sceFontGetResolutionDpi"},
        {"CkVmLoCNN-8","sceFontGetScalePixel"},
        {"GoF2bhB7LYk","sceFontGetScalePoint"},
        {"IrXeG0Lc6nA","sceFontGetScriptLanguage"},
        {"7-miUT6pNQw","sceFontGetTypographicDesign"},
        {"3BrWWFU+4ts","sceFontGetVerticalLayout"},
        {"8-zmgsxkBek","sceFontGlyphDefineAttribute"},
        {"oO33Uex4Ui0","sceFontGlyphGetAttribute"},
        {"PXlA0M8ax40","sceFontGlyphGetGlyphForm"},
        {"XUfSWpLhrUw","sceFontGlyphGetMetricsForm"},
        {"WgR3W2vkdoU","sceFontGlyphGetOutlineVertexes"},
        {"lNnUqa1zA-M","sceFontGlyphGetScalePixel"},
        {"ntrc3bEWlvQ","sceFontGlyphRefersMetrics"},
        {"9kTbF59TjLs","sceFontGlyphRefersMetricsHorizontal"},
        {"nJavPEdMDvM","sceFontGlyphRefersMetricsHorizontalAdvance"},
        {"JCnVgZgcucs","sceFontGlyphRefersMetricsHorizontalX"},
        {"R1T4i+DOhNY","sceFontGlyphRefersOutline"},
        {"RmkXfBcZnrM","sceFontGlyphRenderImage"},
        {"r4KEihtwxGs","sceFontGlyphRenderImageHorizontal"},
        {"n22d-HIdmMg","sceFontGlyphRenderImageVertical"},
        {"T-Sd0h4xGxw","sceFontGraphicsAdjustFillRadialGradient"},
        {"YrU5j4ZL07Q","sceFontGraphicsAdjustGradientSpread"},
        {"PwZEP8ZBK2Y","sceFontGraphicsAgcDrawupFillTextureImage"},
        {"z-m061OoEqQ","sceFontGraphicsAgcDrawupFillTexturePattern"},
        {"qEGeDXvL3fc","sceFontGraphicsAgcSurfaceInit"},
        {"APTXePHIjLM","sceFontGraphicsAppendGradientSegment"},
        {"RL2cAQgyXR8","sceFontGraphicsBeginFrame"},
        {"lLCJHnERWYo","sceFontGraphicsCanvasClearPreprocess"},
        {"d1fpR0I6emc","sceFontGraphicsCanvasGetPreprocess"},
        {"B+q4oWOyfho","sceFontGraphicsCanvasRenewal"},
        {"HoPNIMLMmW8","sceFontGraphicsCanvasSetSurfaceFill"},
        {"b5AQKU2CI2c","sceFontGraphicsCanvasSetSurfaceFillWithLayout"},
        {"k7Nt6gITEdY","sceFontGraphicsCanvasSetSurfaceFillWithMapping"},
        {"-keIqW70YlY","sceFontGraphicsCanvasStartDrawing"},
        {"rNlxdAXX08o","sceFontGraphicsDefineIndexedVertexesGlyph"},
        {"CUCOiOT5fOM","sceFontGraphicsDesignStartDrawing"},
        {"fga6Ugd-VPo","sceFontGraphicsDrawRectangleShape"},
        {"NQ5nJf7eKeE","sceFontGraphicsDrawRegionShape"},
        {"MUsfdluf54o","sceFontGraphicsDrawVertexesGlyph"},
        {"dUmIK6QjT7E","sceFontGraphicsDrawingCancel"},
        {"X2Vl3yU19Zw","sceFontGraphicsDrawingFinish"},
        {"UmKHZkpJOYE","sceFontGraphicsDrawupFillFlatColor"},
        {"VcpxjbyEpuk","sceFontGraphicsDrawupFillLinearGradient"},
        {"X9k7yrb3l1A","sceFontGraphicsDrawupFillRadialGradient"},
        {"CfkpBe2CqBQ","sceFontGraphicsDrawupFillTextureImageObject"},
        {"FL0unhGcFvI","sceFontGraphicsDrawupFillTexturePatternObject"},
        {"DOmdOwV3Aqw","sceFontGraphicsEndFrame"},
        {"zdYdKRQC3rw","sceFontGraphicsExchangeResource"},
        {"UkMUIoj-e9s","sceFontGraphicsFillMethodInit"},
        {"DJURdcnVUqo","sceFontGraphicsFillPlotInit"},
        {"eQac6ftmBQQ","sceFontGraphicsFillPlotSetLayout"},
        {"PEYQJa+MWnk","sceFontGraphicsFillPlotSetMapping"},
        {"21g4m4kYF6g","sceFontGraphicsFillRatesInit"},
        {"pJzji5FvdxU","sceFontGraphicsFillRatesSetFillEffect"},
        {"scaro-xEuUM","sceFontGraphicsFillRatesSetLayout"},
        {"W66Kqtt0xU0","sceFontGraphicsFillRatesSetMapping"},
        {"mRzJ8r-qths","sceFontGraphicsFindIndexedVertexesGlyph"},
        {"FzpLsBQEegQ","sceFontGraphicsGetDeviceUsage"},
        {"-n5a6V0wWPU","sceFontGraphicsGetDrawingFrameHandle"},
        {"0Mi1-0poJsc","sceFontGraphicsGetIndexedVertexesGlyph"},
        {"DRQs7hqyGr4","sceFontGraphicsGetVertexesGlyphMetrics"},
        {"l9+8m2X7wOE","sceFontGraphicsGetVertexesGlyphScale"},
        {"sZqK7D-U8W8","sceFontGraphicsProcessRenderSequence"},
        {"hhPQ7S35zT4","sceFontGraphicsProcessSetSyncPolicy"},
        {"1qM6pEHHOLk","sceFontGraphicsProcessWaitAllSequences"},
        {"OnuHco+scT8","sceFontGraphicsProcessWaitSequence"},
        {"W80hs0g5d+E","sceFontGraphicsRegionInit"},
        {"S48+njg9p-o","sceFontGraphicsRegionInitCircular"},
        {"wcOQ8Fz73+M","sceFontGraphicsRegionInitRoundish"},
        {"YBaw2Yyfd5E","sceFontGraphicsRelease"},
        {"qkySrQ4FGe0","sceFontGraphicsRenderResource"},
        {"fJL2LwqLK4c","sceFontGraphicsReportError"},
        {"6zxuBlsGF0I","sceFontGraphicsSequenceGetAgcCommandsForJump"},
        {"CeSI7C4ihjo","sceFontGraphicsSequenceGetAgcCommandsForSubmit"},
        {"qzNjJYKVli0","sceFontGraphicsSetFramePolicy"},
        {"Vp4uzTQpD0U","sceFontGraphicsSetVertexesGlyphScale"},
        {"9iRbHCtcx-o","sceFontGraphicsSetupClipping"},
        {"KZ3qPyz5Opc","sceFontGraphicsSetupColorRates"},
        {"LqclbpVzRvM","sceFontGraphicsSetupFillMethod"},
        {"Wl4FiI4qKY0","sceFontGraphicsSetupFillRates"},
        {"WC7s95TccVo","sceFontGraphicsSetupGlyphFill"},
        {"zC6I4ty37NA","sceFontGraphicsSetupGlyphFillPlot"},
        {"drZUF0XKTEI","sceFontGraphicsSetupHandleDefault"},
        {"MEAmHMynQXE","sceFontGraphicsSetupLocation"},
        {"XRUOmQhnYO4","sceFontGraphicsSetupPositioning"},
        {"98XGr2Bkklg","sceFontGraphicsSetupRotation"},
        {"Nj-ZUVOVAvc","sceFontGraphicsSetupScaling"},
        {"p0avT2ggev0","sceFontGraphicsSetupShapeFill"},
        {"0C5aKg9KghY","sceFontGraphicsSetupShapeFillPlot"},
        {"R6Z7jRxaoxo","sceFontGraphicsSetupSlantShift"},
        {"4pA3qqAcYco","sceFontGraphicsStructureCanvas"},
        {"cpjgdlMYdOM","sceFontGraphicsStructureCanvasSequence"},
        {"774Mee21wKk","sceFontGraphicsStructureDesign"},
        {"Hp3NIFhUXvQ","sceFontGraphicsStructureDesignResource"},
        {"bhmZlml6NBs","sceFontGraphicsStructureSurfaceTexture"},
        {"5I080Bw0KjM","sceFontGraphicsStructureVertexesGlyph"},
        {"xAIJ9uRYGrw","sceFontGraphicsSurfaceSetTargetView"},
        {"P3G4jIsxkZg","sceFontGraphicsTextureGetSurface"},
        {"GsU8nt6ujXU","sceFontGraphicsTextureMakeFillTexture"},
        {"HUARhdXiTD0","sceFontGraphicsTextureMakeFillTextureImage"},
        {"6slrIYa3HhQ","sceFontGraphicsTextureRefersSurface"},
        {"A8ZQAl+7Dec","sceFontGraphicsUndefineIndexedVertexesGlyph"},
        {"l4XJEowv580","sceFontGraphicsUndefineIndexedVertexesGlyphAll"},
        {"Pbdz8KYEvzk","sceFontGraphicsUndefineIndexedVertexesGlyphs"},
        {"5sAWgysOBfE","sceFontGraphicsUpdateClipping"},
        {"W4e8obm+w6o","sceFontGraphicsUpdateColorRates"},
        {"EgIn3QBajPs","sceFontGraphicsUpdateFillMethod"},
        {"MnUYAs2jVuU","sceFontGraphicsUpdateFillRates"},
        {"R-oVDMusYbc","sceFontGraphicsUpdateGlyphFill"},
        {"b9R+HQuHSMI","sceFontGraphicsUpdateGlyphFillPlot"},
        {"IN4P5pJADQY","sceFontGraphicsUpdateLocation"},
        {"U+LLXdr2DxM","sceFontGraphicsUpdatePositioning"},
        {"yStTYSeb4NM","sceFontGraphicsUpdateRotation"},
        {"eDxmMoxE5xU","sceFontGraphicsUpdateScaling"},
        {"Ax6LQJJq6HQ","sceFontGraphicsUpdateShapeFill"},
        {"I5Rf2rXvBKQ","sceFontGraphicsUpdateShapeFillPlot"},
        {"FIs6NUONxeQ","sceFontGraphicsUpdateSlantShift"},
        {"whrS4oksXc4","sceFontMemoryInit"},
        {"h6hIgxXEiEc","sceFontMemoryTerm"},
        {"RvXyHMUiLhE","sceFontOpenFontFile"},
        {"JzCH3SCFnAU","sceFontOpenFontInstance"},
        {"KXUpebrFk1U","sceFontOpenFontMemory"},
        {"cKYtVmeSTcw","sceFontOpenFontSet"},
        {"wQ9IitfPED0","sceFontOutlineVertexesInterfaceInit"},
        {"Z2cdsqJH+5k","sceFontRebindRenderer"},
        {"3G4zhgKuxE8","sceFontRenderCharGlyphImage"},
        {"kAenWy1Zw5o","sceFontRenderCharGlyphImageHorizontal"},
        {"i6UNdSig1uE","sceFontRenderCharGlyphImageVertical"},
        {"gdUCnU0gHdI","sceFontRenderSurfaceInit"},
        {"vRxf4d0ulPs","sceFontRenderSurfaceSetScissor"},
        {"0hr-w30SjiI","sceFontRenderSurfaceSetStyleFrame"},
        {"amcmrY62BD4","sceFontRendererGetOutlineBufferSize"},
        {"ai6AfGrBs4o","sceFontRendererResetOutlineBuffer"},
        {"ydF+WuH0fAk","sceFontRendererSetOutlineBufferPolicy"},
        {"ojW+VKl4Ehs","sceFontSelectGlyphsFt"},
        {"XKfh4naaANE","sceFontSelectGraphicsAgc"},
        {"oM+XCzVG3oM","sceFontSelectLibraryFt"},
        {"Xx974EW-QFY","sceFontSelectRendererFt"},
        {"TMtqoFQjjbA","sceFontSetEffectSlant"},
        {"v0phZwa4R5o","sceFontSetEffectWeight"},
        {"kihFGYJee7o","sceFontSetFontsOpenMode"},
        {"Vj-F8HBqi00","sceFontSetGraphicsErrorCallback"},
        {"I1acwR7Qp8E","sceFontSetResolutionDpi"},
        {"N1EBMeGhf7E","sceFontSetScalePixel"},
        {"sw65+7wXCKE","sceFontSetScalePoint"},
        {"PxSR9UfJ+SQ","sceFontSetScriptLanguage"},
        {"SnsZua35ngs","sceFontSetTypographicDesign"},
        {"lz9y9UFO2UU","sceFontSetupRenderEffectSlant"},
        {"XIGorvLusDQ","sceFontSetupRenderEffectWeight"},
        {"6vGCkkQJOcI","sceFontSetupRenderScalePixel"},
        {"nMZid4oDfi4","sceFontSetupRenderScalePoint"},
        {"ObkDGDBsVtw","sceFontStringGetTerminateCode"},
        {"+B-xlbiWDJ4","sceFontStringGetTerminateOrder"},
        {"o1vIEHeb6tw","sceFontStringGetWritingForm"},
        {"hq5LffQjz-s","sceFontStringRefersRenderCharacters"},
        {"Avv7OApgCJk","sceFontStringRefersTextCharacters"},
        {"lOfduYnjgbo","sceFontStyleFrameGetEffectSlant"},
        {"HIUdjR-+Wl8","sceFontStyleFrameGetEffectWeight"},
        {"VSw18Aqzl0U","sceFontStyleFrameGetResolutionDpi"},
        {"2QfqfeLblbg","sceFontStyleFrameGetScalePixel"},
        {"7x2xKiiB7MA","sceFontStyleFrameGetScalePoint"},
        {"la2AOWnHEAc","sceFontStyleFrameInit"},
        {"394sckksiCU","sceFontStyleFrameSetEffectSlant"},
        {"faw77-pEBmU","sceFontStyleFrameSetEffectWeight"},
        {"dB4-3Wdwls8","sceFontStyleFrameSetResolutionDpi"},
        {"da4rQ4-+p-4","sceFontStyleFrameSetScalePixel"},
        {"O997laxY-Ys","sceFontStyleFrameSetScalePoint"},
        {"dUmABkAnVgk","sceFontStyleFrameUnsetEffectSlant"},
        {"hwsuXgmKdaw","sceFontStyleFrameUnsetEffectWeight"},
        {"bePC0L0vQWY","sceFontStyleFrameUnsetScale"},
        {"mz2iTY0MK4A","sceFontSupportExternalFonts"},
        {"71w5DzObuZI","sceFontSupportGlyphs"},
        {"SsRbbCiWoGw","sceFontSupportSystemFonts"},
        {"IPoYwwlMx-g","sceFontTextCodesStepBack"},
        {"olSmXY+XP1E","sceFontTextCodesStepNext"},
        {"oaJ1BpN2FQk","sceFontTextSourceInit"},
        {"VRFd3diReec","sceFontTextSourceRewind"},
        {"eCRMCSk96NU","sceFontTextSourceSetDefaultFont"},
        {"OqQKX0h5COw","sceFontTextSourceSetWritingForm"},
        {"1QjhKxrsOB8","sceFontUnbindRenderer"},
        {"H-FNq8isKE0","sceFontWordsFindWordCharacters"},
        {"fljdejMcG1c","sceFontWritingGetRenderMetrics"},
        {"fD5rqhEXKYQ","sceFontWritingInit"},
        {"1+DgKL0haWQ","sceFontWritingLineClear"},
        {"JQKWIsS9joE","sceFontWritingLineGetOrderingSpace"},
        {"nlU2VnfpqTM","sceFontWritingLineGetRenderMetrics"},
        {"+FYcYefsVX0","sceFontWritingLineRefersRenderStep"},
        {"wyKFUOWdu3Q","sceFontWritingLineWritesOrder"},
        {"W-2WOXEHGck","sceFontWritingRefersRenderStep"},
        {"f4Onl7efPEY","sceFontWritingRefersRenderStepCharacter"},
        {"BbCZjJizU4A","sceFontWritingSetMaskInvisible"},
        {"dl0qd+E20ng","sceFrontPanelDisplayInitialize"},
        {"8KjtCpKz0GQ","sceFrontPanelDisplaySetOutputMode"},
        {"jgAyn4OgfSI","sceFrontPanelDisplayStickReadState"},
        {"vffCFgX7T3M","sceFsBfsCheckCleanFlag"},
        {"8fSxAYQGBbE","sceFsBindApplication"},
        {"QI72hdEHB90","sceFsBindPackages"},
        {"OvTzQTvO2eA","sceFsCheckFormat"},
        {"QnVUfOkyRDw","sceFsCheckSingleUser"},
        {"GTqfUUQLKa0","sceFsCreateExfatPartition"},
        {"oZf2EW1xS70","sceFsCreatePfsSaveDataImage"},
        {"fU5fcZt5QEg","sceFsCreatePfsTrophyDataImage"},
        {"A1tqSIQvZhs","sceFsCreatePprPfsTrophyDataImage"},
        {"1b2I4GGnkw4","sceFsDeviceAlignedPread"},
        {"l6aA787njwE","sceFsDeviceAlignedPwrite"},
        {"WfyPFjoj30k","sceFsDevpfsA53IocGetBuildMetadataStatus"},
        {"31YoCS9Clds","sceFsDevpfsCancelWaitEvent"},
        {"TUpiRsYKtCo","sceFsDevpfsCreateForVSH"},
        {"nclPS1DQcE8","sceFsDevpfsDeleteForVSH"},
        {"P1yolimtkbU","sceFsDevpfsDeregisterEvent"},
        {"KFZg2gzePls","sceFsDevpfsEventComplete"},
        {"toRrPoaJkAk","sceFsDevpfsEventResponseComplete"},
        {"thFvRaPMBeg","sceFsDevpfsFetchMetaEntry"},
        {"93X4S1mT3y0","sceFsDevpfsFsck"},
        {"4fKzISZFxaE","sceFsDevpfsInitFetchMetaEntryCtx"},
        {"cIR3BZ1uUQc","sceFsDevpfsMountForFSMP"},
        {"Jwyzasrp8kg","sceFsDevpfsRegisterEvent"},
        {"HYFgF7xrf8M","sceFsDevpfsWaitEvent"},
        {"jzVKlW6HHmU","sceFsDrfsRegisterSocket"},
        {"fs3u2NwzKL4","sceFsDrfsResumeSocket"},
        {"iLxIuu5Xs2A","sceFsErriCtl"},
        {"-1whCDzGK1E","sceFsErriGetState"},
        {"QP4WA9hEAtM","sceFsExfatMkfsExternalHdd"},
        {"79EsKMqL-jQ","sceFsExfatfsMkfs"},
        {"sMSsHlwlg74","sceFsExtUSBSchedDestroy"},
        {"kIGZ7Erl4GQ","sceFsExtUSBSchedInsert"},
        {"XqVrFxjoXKo","sceFsExtUSBSchedInsertForHDD"},
        {"gxvn6JGDhBw","sceFsExternalStorageDeconfigure"},
        {"n-0NbCX8yFc","sceFsExternalStorageGetRawDevice"},
        {"h4i3gkTA9EU","sceFsExternalStorageInitialize"},
        {"y9cCHa8L64A","sceFsExternalStorageVerifyMetadata"},
        {"kK6psDxUQmI","sceFsGetAttribute"},
        {"tcUPZOxXdiE","sceFsGetClusterStatistics"},
        {"oOq3dgLo2N8","sceFsGetDeviceSectorsize"},
        {"kU+kKr5B-Ik","sceFsGetFsMetadata"},
        {"jQgukUzE180","sceFsGetFsMetadataWithProgress"},
        {"8aT8Um9YvLE","sceFsGetSmrInfo"},
        {"vqxvSBNXwkA","sceFsGschedCtl"},
        {"W0VIYdCm9lY","sceFsISSchedConfigCurrentThread"},
        {"a6HOJ0hpGiY","sceFsISSchedConfigDescriptor"},
        {"g5XaIbYcJw0","sceFsISSchedConfigThread"},
        {"C6A8S-Hio2M","sceFsISSchedMapStat"},
        {"xqtJm0VrtY8","sceFsISSchedResultToPriority"},
        {"fZFnCKpGxv0","sceFsISSchedResultToSlot"},
        {"OtDp-kpea2Q","sceFsISSchedStatCurrentThread"},
        {"GufC+PBbxxA","sceFsISSchedStatDescriptor"},
        {"wJ-RDAi-Owc","sceFsISSchedStatThread"},
        {"TL-B6uOba1A","sceFsISSchedUnmapStat"},
        {"ccVvHF4wZME","sceFsInitCreatePfsSaveDataOpt"},
        {"5RQCvNleU3I","sceFsInitCreatePfsTrophyDataOpt"},
        {"AoSlid9sAJE","sceFsInitMountDownloadDataOpt"},
        {"9MJD0zGyRgA","sceFsInitMountGamePkgOpt"},
        {"xSy6mntarUQ","sceFsInitMountLwfsCompatOpt"},
        {"tfqGvR6HbC4","sceFsInitMountLwfsOpt"},
        {"xiBhgxFf7d8","sceFsInitMountPprPkgOpt"},
        {"+mPswO7rxKs","sceFsInitMountSaveDataOpt"},
        {"NoxZswTJHP0","sceFsInitMountTrophyDataOpt"},
        {"Qnu2x6d29lo","sceFsInitUmountDownloadDataOpt"},
        {"Gp+41FTXklM","sceFsInitUmountGamePkgOpt"},
        {"pS-OPJQtq5s","sceFsInitUmountLwfsCompatOpt"},
        {"rw35hzXVZgU","sceFsInitUmountLwfsOpt"},
        {"nhLGA3dYkpk","sceFsInitUmountPprPkgOpt"},
        {"udWWfVZ5cPg","sceFsInitUmountSaveDataOpt"},
        {"bA31MLNLtWQ","sceFsInitUmountTrophyDataOpt"},
        {"e71SZnZyD8Y","sceFsInitWorkspaceFileMetadataParam"},
        {"K7JXQQsJTS8","sceFsLvdAttach"},
        {"fzgTb4rmF8o","sceFsLvdAttach2"},
        {"WqhrteSfDVI","sceFsLvdAttachPartiallyCryptedDownloadData"},
        {"hKiCcL4h8SQ","sceFsLvdAttachSingleDefaultImage"},
        {"pUQnXa5Mp9E","sceFsLvdAttachSingleImage"},
        {"uXPlVNPQipM","sceFsLvdDetach"},
        {"-BdMRUAeZRo","sceFsLvdDisableLayer"},
        {"hQpmBwrgD4w","sceFsLvdEnableLayer"},
        {"mJF-VraqPGw","sceFsLvdSetDiscIdentity"},
        {"eyPajExpoOc","sceFsLvdWaitResumed"},
        {"3Zr8O3Bnqco","sceFsMlfsMount"},
        {"5jsZ5DrpJYc","sceFsMlfsMountWithFlags"},
        {"hxMhmz8IDCI","sceFsMlfsUmount"},
        {"bb5sduKHOTQ","sceFsMountDownloadData"},
        {"FtGP5aXKFQU","sceFsMountGamePkg"},
        {"rmh6gdjzO-4","sceFsMountLwfs"},
        {"9Hr89GfRrfA","sceFsMountLwfsCompat"},
        {"pq8SV3vBKGE","sceFsMountPartiallyCryptedDownloadData"},
        {"MiUxeleLYUc","sceFsMountPprPkg"},
        {"c7YjLnWxw-4","sceFsMountSaveData"},
        {"k0Kog-TlHYg","sceFsMountTrophyData"},
        {"DDKghiBPZNg","sceFsNsfsAddOverlayToNamespace"},
        {"XBppavaJGS0","sceFsNsfsMountWithFlags"},
        {"IOscbdNr5dM","sceFsNsfsSetGlobalExclude"},
        {"Wp1GIhLA9uA","sceFsNsfsUmount"},
        {"F3Cug8WEm8k","sceFsPartitionTrim"},
        {"xwB67z-O5-o","sceFsReserveCluster"},
        {"SFz5prdeR54","sceFsSetAttribute"},
        {"Kh-t1fmxMnE","sceFsSetClusterCacheSize"},
        {"ofMR3p9i+Pg","sceFsSetFileReservedTotal"},
        {"AGLEZbbzOLo","sceFsSetSystemReserveSize"},
        {"An7fJiCJu2s","sceFsSetWorkspaceFileHash"},
        {"js06qcwSqnE","sceFsSmrTrim"},
        {"JrGlxeyhY4A","sceFsSmrTrimAll"},
        {"u1h3TO-d9qI","sceFsSmrTrimPath"},
        {"2o2cjfuEOGo","sceFsStatWorkspace"},
        {"Wq2qTfZyJpo","sceFsSysStorageGetStatus"},
        {"474Gw2f9zYw","sceFsTransactionCancel"},
        {"MKw651XOeSY","sceFsTransactionSaveDataInitMountOpt"},
        {"SfVLUyA1FAY","sceFsTransactionSaveDataMount"},
        {"F+IvO6vqpbA","sceFsTransactionStart"},
        {"CMA9M3cwctY","sceFsTrophyImageError"},
        {"DBswy44k1lU","sceFsUfsAllocateAdditionalContents"},
        {"Gr4HfdAqjc4","sceFsUfsAllocateAligned"},
        {"82k2MzTAs3U","sceFsUfsAllocateDownloadData"},
        {"DLpCCyufz2s","sceFsUfsAllocateGameImage"},
        {"382VXUjp0XU","sceFsUfsAllocatePatchImage"},
        {"5iyXoE5JDCg","sceFsUfsAllocateSaveData"},
        {"Mw3phfO0pLI","sceFsUfsAllocateTrophyData"},
        {"fz18fmDwFBM","sceFsUfsCheckCleanFlag"},
        {"edmMguP-f2g","sceFsUfsCheckFixedCylinderGroupSize"},
        {"-5kyhgJ8jtA","sceFsUfsCollectTelemetry"},
        {"926stjXB08w","sceFsUfsCollectTelemetry2"},
        {"AtyWhIJC6rU","sceFsUfsDirectWrite"},
        {"Z2rDN0N0pYc","sceFsUfsEstimateZoneCapacityForUser"},
        {"5BiLoju9NSo","sceFsUfsExtendFile"},
        {"CY8CHAy3TGk","sceFsUfsFsck"},
        {"BICyNlVbb44","sceFsUfsFsckWithMM"},
        {"7HQ4c0Hz+2Q","sceFsUfsGetExtentMap"},
        {"CnSKoVauJt0","sceFsUfsGrowLwfs"},
        {"L+ZvTPUDP+U","sceFsUfsGrowfs"},
        {"7rekIUh97Jc","sceFsUfsHideBlocksFromUser"},
        {"2ozvSM6L3vU","sceFsUfsInitalizeSparseFile"},
        {"GGNBNEFp9Z0","sceFsUfsLargewriteFsck"},
        {"xfy2uloQTls","sceFsUfsLargewriteFsckWithMM"},
        {"LzrlqPj88rM","sceFsUfsMkLwfs"},
        {"38oSSWu98Lk","sceFsUfsMkfs"},
        {"ewN9DUWH07g","sceFsUfsMkfsForExternalHDD"},
        {"Vc8lIZRBjHw","sceFsUfsMkfsForSystem"},
        {"K9EXdD9bqzM","sceFsUfsMkfsWithFixedCylinderGroupSize"},
        {"+eHwb+y5f1w","sceFsUfsReallocateSparseFile"},
        {"lJuu35VxkFY","sceFsUfsRecryptBlocks"},
        {"fGnw2K4fNlQ","sceFsUfsRecryptGetState"},
        {"1H-LQ4r7-F8","sceFsUfsRecryptIsUnfinished"},
        {"JhDPrErJnCw","sceFsUfsRecryptSyncMetadata"},
        {"FKSu6oEy0iE","sceFsUfsSeekHoleInFile"},
        {"+KLe+1qx374","sceFsUfsStopOperation"},
        {"rTu7zaYoryI","sceFsUmountDownloadData"},
        {"UQTSykySQ40","sceFsUmountGamePkg"},
        {"WLi0ClUXIVk","sceFsUmountLwfs"},
        {"u7xu+K8TGbA","sceFsUmountLwfsCompat"},
        {"Ck7qGp2MjI4","sceFsUmountSaveData"},
        {"yXefJHaH0Kc","sceFsUmountTrophyData"},
        {"m36Os8IDTOs","sceFsUmountWorkspace"},
        {"Nzs7G5rtqmA","sceFsUnbindApplication"},
        {"1Uj1C5XQkAA","sceFsUnbindPackages"},
        {"wQW9FiqIg2I","sceFsWsCreate"},
        {"E0dDLsjKKwY","sceFsWsDelete"},
        {"UMm6gapfQN4","sceFsWsFetchFileMetadata"},
        {"SWK-+lhUK7s","sceFsWsFsck"},
        {"ayluYmzbAGc","sceFsWsGetStatus"},
        {"Yh74PZYZi9o","sceFsWsMount"},
        {"fmEzJ4OY5nM","sceFsWsUmount"},
        {"2pEUrnXGxys","sceG2PDialogClose"},
        {"vpA-xXvhfeY","sceG2PDialogGetResult"},
        {"Wi6pRLPS8cc","sceG2PDialogGetStatus"},
        {"SWRH9B4oil8","sceG2PDialogInitialize"},
        {"biwS5HG-DBY","sceG2PDialogOpen"},
        {"jdhjw0pRmyQ","sceG2PDialogTerminate"},
        {"tkRwnzG4Tus","sceG2PDialogUpdateStatus"},
        {"3vyRmRU3CL8","sceGameCustomDataDialogClose"},
        {"sJptZwvs1is","sceGameCustomDataDialogGetResult"},
        {"TWi-wZVp5Pc","sceGameCustomDataDialogGetResultA"},
        {"tcm8nRXZwNU","sceGameCustomDataDialogGetStatus"},
        {"xtbb-2f703A","sceGameCustomDataDialogInitialize"},
        {"5TvttyRuU84","sceGameCustomDataDialogOpen"},
        {"QHFJB2F0p3k","sceGameCustomDataDialogOpenA"},
        {"HwEtHFCpU5U","sceGameCustomDataDialogTerminate"},
        {"PkdLsRA4ON0","sceGameCustomDataDialogUpdateStatus"},
        {"NqkTzemliC0","sceGameLiveStreamingApplySocialFeedbackMessageFilter"},
        {"PC4jq87+YQI","sceGameLiveStreamingCheckCallback"},
        {"FcHBfHjFXkA","sceGameLiveStreamingClearPresetSocialFeedbackCommands"},
        {"lZ2Sd0uEvpo","sceGameLiveStreamingClearSocialFeedbackMessages"},
        {"6c2zGtThFww","sceGameLiveStreamingClearSpoilerTag"},
        {"dWM80AX39o4","sceGameLiveStreamingEnableLiveStreaming"},
        {"wBOQWjbWMfU","sceGameLiveStreamingEnableSocialFeedback"},
        {"aRSQNqbats4","sceGameLiveStreamingGetCurrentBroadcastScreenLayout"},
        {"CoPMx369EqM","sceGameLiveStreamingGetCurrentStatus"},
        {"lK8dLBNp9OE","sceGameLiveStreamingGetCurrentStatus2"},
        {"OIIm19xu+NM","sceGameLiveStreamingGetProgramInfo"},
        {"PMx7N4WqNdo","sceGameLiveStreamingGetSocialFeedbackMessages"},
        {"yeQKjHETi40","sceGameLiveStreamingGetSocialFeedbackMessagesCount"},
        {"kvYEw2lBndk","sceGameLiveStreamingInitialize"},
        {"ysWfX5PPbfc","sceGameLiveStreamingLaunchLiveViewer"},
        {"cvRCb7DTAig","sceGameLiveStreamingLaunchLiveViewerA"},
        {"K0QxEbD7q+c","sceGameLiveStreamingPermitLiveStreaming"},
        {"-EHnU68gExU","sceGameLiveStreamingPermitServerSideRecording"},
        {"hggKhPySVgI","sceGameLiveStreamingPostSocialMessage"},
        {"nFP8qT9YXbo","sceGameLiveStreamingRegisterCallback"},
        {"b5RaMD2J0So","sceGameLiveStreamingScreenCloseSeparateMode"},
        {"hBdd8n6kuvE","sceGameLiveStreamingScreenConfigureSeparateMode"},
        {"uhCmn81s-mU","sceGameLiveStreamingScreenInitialize"},
        {"fo5B8RUaBxQ","sceGameLiveStreamingScreenInitializeSeparateModeParameter"},
        {"iorzW0pKOiA","sceGameLiveStreamingScreenOpenSeparateMode"},
        {"gDSvt78H3Oo","sceGameLiveStreamingScreenSetMode"},
        {"HE93dr-5rx4","sceGameLiveStreamingScreenTerminate"},
        {"3PSiwAzFISE","sceGameLiveStreamingSetCameraFrameSetting"},
        {"TwuUzTKKeek","sceGameLiveStreamingSetDefaultServiceProviderPermission"},
        {"Gw6S4oqlY7E","sceGameLiveStreamingSetGuardAreas"},
        {"QmQYwQ7OTJI","sceGameLiveStreamingSetInvitationSessionId"},
        {"Sb5bAXyUt5c","sceGameLiveStreamingSetLinkCommentPreset"},
        {"q-kxuaF7URU","sceGameLiveStreamingSetMaxBitrate"},
        {"hUY-mSOyGL0","sceGameLiveStreamingSetMetadata"},
        {"ycodiP2I0xo","sceGameLiveStreamingSetPresetSocialFeedbackCommands"},
        {"x6deXUpQbBo","sceGameLiveStreamingSetPresetSocialFeedbackCommandsDescription"},
        {"mCoz3k3zPmA","sceGameLiveStreamingSetServiceProviderPermission"},
        {"ZuX+zzz2DkA","sceGameLiveStreamingSetSpoilerTag"},
        {"MLvYI86FFAo","sceGameLiveStreamingSetStandbyScreenResource"},
        {"caqgDl+V9qA","sceGameLiveStreamingStartDebugBroadcast"},
        {"y0KkAydy9xE","sceGameLiveStreamingStartGenerateStandbyScreenResource"},
        {"Y1WxX7dPMCw","sceGameLiveStreamingStartSocialFeedbackMessageFiltering"},
        {"0i8Lrllxwow","sceGameLiveStreamingStopDebugBroadcast"},
        {"D7dg5QJ4FlE","sceGameLiveStreamingStopGenerateStandbyScreenResource"},
        {"bYuGUBuIsaY","sceGameLiveStreamingStopSocialFeedbackMessageFiltering"},
        {"9yK6Fk8mKOQ","sceGameLiveStreamingTerminate"},
        {"5XHaH3kL+bA","sceGameLiveStreamingUnregisterCallback"},
        {"6MTe9GADvZs","sceGameRightGetLogoPngImage"},
        {"pVK4++v04ac","sceGameRightGetLogoPngImageSizeInBytes"},
        {"9ks8OZX2tYs","sceGameRightGetString"},
        {"-nIt6B72SLA","sceGameRightGetStringSizeInBytes"},
        {"1NQwUyfrF6E","sceGameRightGetVersion"},
        {"d1CNGEOaK28","sceGameUpdateAbortRequest"},
        {"LYVV9z8+owM","sceGameUpdateCheck"},
        {"UvcvKaFvupA","sceGameUpdateCreateRequest"},
        {"bcCyjHN5sn0","sceGameUpdateDeleteRequest"},
        {"0g0+Oq9xcI0","sceGameUpdateGetAddcontLatestVersion"},
        {"YJtKLttI9fM","sceGameUpdateInitialize"},
        {"NSH-C-OmoNI","sceGameUpdateTerminate"},
        {"KakUxik9aqE","sceGicGetValue"},
        {"b0xyllnVY-I","sceGnmAddEqEvent"},
        {"b08AgtPlHPg","sceGnmAreSubmitsAllowed"},
        {"ihxrbsoSKWc","sceGnmBeginWorkload"},
        {"ffrNQOshows","sceGnmComputeWaitOnAddress"},
        {"EJapNl2+pgU","sceGnmComputeWaitSemaphore"},
        {"5udAm+6boVg","sceGnmCreateWorkloadStream"},
        {"qpGITzPE+Zc","sceGnmDebugHardwareStatus"},
        {"dqPBvjFVpTA","sceGnmDebugModuleReset"},
        {"RNPAItiMLIg","sceGnmDebugReset"},
        {"jwCEzr7uEP4","sceGnmDebuggerGetAddressWatch"},
        {"PNf0G7gvFHQ","sceGnmDebuggerHaltWavefront"},
        {"nO-tMnaxJiE","sceGnmDebuggerReadGds"},
        {"t0HIQWnvK9E","sceGnmDebuggerReadSqIndirectRegister"},
        {"HsLtF4jKe48","sceGnmDebuggerResumeWavefront"},
        {"JRKSSV0YzwA","sceGnmDebuggerResumeWavefrontCreation"},
        {"jpTMyYB8UBI","sceGnmDebuggerSetAddressWatch"},
        {"MJG69Q7ti+s","sceGnmDebuggerWriteGds"},
        {"PaFw9w6f808","sceGnmDebuggerWriteSqIndirectRegister"},
        {"PVT+fuoS9gU","sceGnmDeleteEqEvent"},
        {"UtObDRQiGbs","sceGnmDestroyWorkloadStream"},
        {"bX5IbRvECXk","sceGnmDingDong"},
        {"byXlqupd8cE","sceGnmDingDongForWorkload"},
        {"HHo1BAljZO8","sceGnmDisableMipStatsReport"},
        {"0BzLGljcwBo","sceGnmDispatchDirect"},
        {"Z43vKp5k7r0","sceGnmDispatchIndirect"},
        {"wED4ZXCFJT0","sceGnmDispatchIndirectOnMec"},
        {"nF6bFRUBRAU","sceGnmDispatchInitDefaultHardwareState"},
        {"HlTPoZ-oY7Y","sceGnmDrawIndex"},
        {"GGsn7jMTxw4","sceGnmDrawIndexAuto"},
        {"ED9-Fjr8Ta4","sceGnmDrawIndexIndirect"},
        {"thbPcG7E7qk","sceGnmDrawIndexIndirectCountMulti"},
        {"5q95ravnueg","sceGnmDrawIndexIndirectMulti"},
        {"jHdPvIzlpKc","sceGnmDrawIndexMultiInstanced"},
        {"oYM+YzfCm2Y","sceGnmDrawIndexOffset"},
        {"4v+otIIdjqg","sceGnmDrawIndirect"},
        {"cUCo8OvArrw","sceGnmDrawIndirectCountMulti"},
        {"f5QQLp9rzGk","sceGnmDrawIndirectMulti"},
        {"Idffwf3yh8s","sceGnmDrawInitDefaultHardwareState"},
        {"QhnyReteJ1M","sceGnmDrawInitDefaultHardwareState175"},
        {"0H2vBYbTLHI","sceGnmDrawInitDefaultHardwareState200"},
        {"yb2cRhagD1I","sceGnmDrawInitDefaultHardwareState350"},
        {"8lH54sfjfmU","sceGnmDrawInitToDefaultContextState"},
        {"im2ZuItabu4","sceGnmDrawInitToDefaultContextState400"},
        {"pF1HQjbmQJ0","sceGnmDrawInitToDefaultContextStateInternalCommand"},
        {"jajhf-Gi3AI","sceGnmDrawInitToDefaultContextStateInternalSize"},
        {"stDSYW2SBVM","sceGnmDrawOpaqueAuto"},
        {"TLV4mswiZ4A","sceGnmDriverCaptureInProgress"},
        {"ODEeJ1GfDtE","sceGnmDriverInternalRetrieveGnmInterface"},
        {"4LSXsEKPTsE","sceGnmDriverInternalRetrieveGnmInterfaceForGpuDebugger"},
        {"MpncRjHNYRE","sceGnmDriverInternalRetrieveGnmInterfaceForGpuException"},
        {"EwjWGcIOgeM","sceGnmDriverInternalRetrieveGnmInterfaceForHDRScopes"},
        {"3EXdrVC7WFk","sceGnmDriverInternalRetrieveGnmInterfaceForReplay"},
        {"P9iKqxAGeck","sceGnmDriverInternalRetrieveGnmInterfaceForResourceRegistration"},
        {"t-vIc5cTEzg","sceGnmDriverInternalRetrieveGnmInterfaceForValidation"},
        {"BvvO8Up88Zc","sceGnmDriverInternalVirtualQuery"},
        {"R6z1xM3pW-w","sceGnmDriverTraceInProgress"},
        {"d88anrgNoKY","sceGnmDriverTriggerCapture"},
        {"Fa3x75OOLRA","sceGnmEndWorkload"},
        {"vbcR4Ken6AA","sceGnmFindResources"},
        {"4Mv9OXypBG8","sceGnmFindResourcesPublic"},
        {"iBt3Oe00Kvc","sceGnmFlushGarlic"},
        {"GviyYfFQIkc","sceGnmGetCoredumpAddress"},
        {"meiO-5ZCVIE","sceGnmGetCoredumpMode"},
        {"O-7nHKgcNSQ","sceGnmGetCoredumpProtectionFaultTimestamp"},
        {"bSJFzejYrJI","sceGnmGetDbgGcHandle"},
        {"pd4C7da6sEg","sceGnmGetDebugTimestamp"},
        {"UoYY0DWMC0U","sceGnmGetEqEventType"},
        {"H7-fgvEutM0","sceGnmGetEqTimeStamp"},
        {"oL4hGI1PMpw","sceGnmGetGpuBlockStatus"},
        {"Fwvh++m9IQI","sceGnmGetGpuCoreClockFrequency"},
        {"tZCSL5ulnB4","sceGnmGetGpuInfoStatus"},
        {"iFirFzgYsvw","sceGnmGetLastWaitedAddress"},
        {"KnldROUkWJY","sceGnmGetNumTcaUnits"},
        {"FFVZcCu3zWU","sceGnmGetOffChipTessellationBufferSize"},
        {"QJjPjlmPAL0","sceGnmGetOwnerName"},
        {"dewXw5roLs0","sceGnmGetPhysicalCounterFromVirtualized"},
        {"yAQNPON4Tko","sceGnmGetPhysicalCounterFromVirtualizedInternal"},
        {"fzJdEihTFV4","sceGnmGetProtectionFaultTimeStamp"},
        {"4PKnYXOhcx4","sceGnmGetResourceBaseAddressAndSizeInBytes"},
        {"O0S96YnD04U","sceGnmGetResourceName"},
        {"eLQbNsKeTkU","sceGnmGetResourceRegistrationBuffers"},
        {"UBv7FkVfzcQ","sceGnmGetResourceShaderGuid"},
        {"bdqdvIkLPIU","sceGnmGetResourceType"},
        {"UoBuWAhKk7U","sceGnmGetResourceUserData"},
        {"nEyFbYUloIM","sceGnmGetShaderProgramBaseAddress"},
        {"k7iGTvDQPLQ","sceGnmGetShaderStatus"},
        {"ln33zjBrfjk","sceGnmGetTheTessellationFactorRingBufferBaseAddress"},
        {"QLdG7G-PBZo","sceGnmGpuPaDebugEnter"},
        {"tVEdZe3wlbY","sceGnmGpuPaDebugLeave"},
        {"dNyuci0PUD0","sceGnmInitialize"},
        {"NfvOrNzy6sk","sceGnmInsertDingDongMarker"},
        {"7qZVNgEu+SY","sceGnmInsertPopMarker"},
        {"aPIZJTXC+cU","sceGnmInsertPushColorMarker"},
        {"W1Etj-jlW7Y","sceGnmInsertPushMarker"},
        {"aj3L-iaFmyk","sceGnmInsertSetColorMarker"},
        {"jiItzS6+22g","sceGnmInsertSetMarker"},
        {"URDgJcXhQOs","sceGnmInsertThreadTraceMarker"},
        {"1qXLHIpROPE","sceGnmInsertWaitFlipDone"},
        {"HRyNHoAjb6E","sceGnmIsCoredumpValid"},
        {"jg33rEKLfVs","sceGnmIsUserPaEnabled"},
        {"26PM5Mzl8zc","sceGnmLogicalCuIndexToPhysicalCuIndex"},
        {"RU74kek-N0c","sceGnmLogicalCuMaskToPhysicalCuMask"},
        {"Kl0Z3LH07QI","sceGnmLogicalTcaUnitToPhysical"},
        {"29oKvKXzEZo","sceGnmMapComputeQueue"},
        {"A+uGq+3KFtQ","sceGnmMapComputeQueueWithPriority"},
        {"+N+wrSYBLIw","sceGnmPaDisableFlipCallbacks"},
        {"8WDA9RiXLaw","sceGnmPaEnableFlipCallbacks"},
        {"tNuT48mApTc","sceGnmPaHeartbeat"},
        {"6IMbpR7nTzA","sceGnmQueryResourceRegistrationUserMemoryRequirements"},
        {"+rJnw2e9O+0","sceGnmRaiseUserExceptionEvent"},
        {"9Mv61HaMhfA","sceGnmRegisterGdsResource"},
        {"t7-VbMosbR4","sceGnmRegisterGnmLiveCallbackConfig"},
        {"ZFqKFl23aMc","sceGnmRegisterOwner"},
        {"j6mSQs3UgaY","sceGnmRegisterOwnerForSystem"},
        {"nvEwfYAImTs","sceGnmRegisterResource"},
        {"gObODli-OH8","sceGnmRequestFlipAndSubmitDone"},
        {"6YRHhh5mHCs","sceGnmRequestFlipAndSubmitDoneForWorkload"},
        {"f85orjx7qts","sceGnmRequestMipStatsReportAndReset"},
        {"MYRtYhojKdA","sceGnmResetVgtControl"},
        {"hS0MKPRdNr0","sceGnmSdmaClose"},
        {"31G6PB2oRYQ","sceGnmSdmaConstFill"},
        {"Lg2isla2XeQ","sceGnmSdmaCopyLinear"},
        {"-Se2FY+UTsI","sceGnmSdmaCopyTiled"},
        {"OlFgKnBsALE","sceGnmSdmaCopyWindow"},
        {"LQQN0SwQv8c","sceGnmSdmaFlush"},
        {"suUlSjWr7CE","sceGnmSdmaGetMinCmdSize"},
        {"5AtqyMgO7fM","sceGnmSdmaOpen"},
        {"KXltnCwEJHQ","sceGnmSetCsShader"},
        {"Kx-h-nWQJ8A","sceGnmSetCsShaderWithModifier"},
        {"X9Omw9dwv5M","sceGnmSetEmbeddedPsShader"},
        {"+AFvOEXrKJk","sceGnmSetEmbeddedVsShader"},
        {"FUHG8sQ3R58","sceGnmSetEsShader"},
        {"jtkqXpAOY6w","sceGnmSetGsRingSizes"},
        {"UJwNuMBcUAk","sceGnmSetGsShader"},
        {"VJNjFtqiF5w","sceGnmSetHsShader"},
        {"vckdzbQ46SI","sceGnmSetLsShader"},
        {"bQVd5YzCal0","sceGnmSetPsShader"},
        {"5uFKckiJYRM","sceGnmSetPsShader350"},
        {"q-qhDxP67Hg","sceGnmSetResourceRegistrationUserMemory"},
        {"K3BKBBYKUSE","sceGnmSetResourceUserData"},
        {"0O3xxFaiObw","sceGnmSetSpiEnableSqCounters"},
        {"lN7Gk-p9u78","sceGnmSetSpiEnableSqCountersForUnitInstance"},
        {"cFCp0NX8wf0","sceGnmSetVgtControl"},
        {"gAhCn6UiU4Y","sceGnmSetVsShader"},
        {"y+iI2lkX+qI","sceGnmSetWaveLimitMultiplier"},
        {"XiyzNZ9J4nQ","sceGnmSetWaveLimitMultipliers"},
        {"+xuDhxlWRPg","sceGnmSetupMipStatsReport"},
        {"kkn+iy-mhyg","sceGnmSpmEndSpm"},
        {"aqhuK2Mj4X4","sceGnmSpmInit"},
        {"KHpZ9hJo1c0","sceGnmSpmInit2"},
        {"QEsMC+M3yjE","sceGnmSpmSetDelay"},
        {"hljMAxTLNF0","sceGnmSpmSetMuxRam"},
        {"bioGsp74SLM","sceGnmSpmSetMuxRam2"},
        {"cMWWYeqQQlM","sceGnmSpmSetSelectCounter"},
        {"-zJi8Vb4Du4","sceGnmSpmSetSpmSelects"},
        {"xTsOqp-1bE4","sceGnmSpmSetSpmSelects2"},
        {"AmmYLcJGTl0","sceGnmSpmStartSpm"},
        {"UHDiSFDxNao","sceGnmSqttFini"},
        {"a3tLC56vwug","sceGnmSqttFinishTrace"},
        {"L-owl1dSKKg","sceGnmSqttGetBcInfo"},
        {"LQtzqghKQm4","sceGnmSqttGetGpuClocks"},
        {"wYN5mmv6Ya8","sceGnmSqttGetHiWater"},
        {"9X4SkENMS0M","sceGnmSqttGetStatus"},
        {"lbMccQM2iqc","sceGnmSqttGetTraceCounter"},
        {"DYAC6JUeZvM","sceGnmSqttGetTraceWptr"},
        {"pS2tjBxzJr4","sceGnmSqttGetWrapCounts"},
        {"rXV8az6X+fM","sceGnmSqttGetWrapCounts2"},
        {"ARS+TNLopyk","sceGnmSqttGetWritebackLabels"},
        {"X6yCBYPP7HA","sceGnmSqttInit"},
        {"2IJhUyK8moE","sceGnmSqttSelectMode"},
        {"QA5h6Gh3r60","sceGnmSqttSelectTarget"},
        {"F5XJY1XHa3Y","sceGnmSqttSelectTokens"},
        {"wJtaTpNZfH4","sceGnmSqttSetCuPerfMask"},
        {"kY4dsQh+SH4","sceGnmSqttSetDceEventWrite"},
        {"7XRH1CIfNpI","sceGnmSqttSetHiWater"},
        {"05YzC2r3hHo","sceGnmSqttSetTraceBuffer2"},
        {"ASUric-2EnI","sceGnmSqttSetTraceBuffers"},
        {"gPxYzPp2wlo","sceGnmSqttSetUserData"},
        {"d-YcZX7SIQA","sceGnmSqttSetUserdataTimer"},
        {"ru8cb4he6O8","sceGnmSqttStartTrace"},
        {"gVuGo1nBnG8","sceGnmSqttStopTrace"},
        {"OpyolX6RwS0","sceGnmSqttSwitchTraceBuffer"},
        {"dl5u5eGBgNk","sceGnmSqttSwitchTraceBuffer2"},
        {"QLzOwOF0t+A","sceGnmSqttWaitForEvent"},
        {"xbxNatawohc","sceGnmSubmitAndFlipCommandBuffers"},
        {"Ga6r7H6Y0RI","sceGnmSubmitAndFlipCommandBuffersForWorkload"},
        {"zwY0YV91TTI","sceGnmSubmitCommandBuffers"},
        {"jRcI8VcgTz4","sceGnmSubmitCommandBuffersForWorkload"},
        {"yvZ73uQUqrk","sceGnmSubmitDone"},
        {"bsvV-oFZSiM","sceGnmSysClose"},
        {"H+bqFwVYz6M","sceGnmSysEnableSubmitDone45Exception"},
        {"9l2uOATqogs","sceGnmSysGetClientNumber"},
        {"hwzBUHtAZeE","sceGnmSysIsGameClosed"},
        {"DgEvomXMtAM","sceGnmSysOpen"},
        {"aR6uq1j7M7I","sceGnmSysResetOttvLibrary"},
        {"0ikQsDP-+lg","sceGnmSysSubmitCommandBuffersWithPid"},
        {"ZtaxGGmtQ80","sceGnmSysSubmitFlipHandleProxy"},
        {"ArSg-TGinhk","sceGnmUnmapComputeQueue"},
        {"yhFCnaz5daw","sceGnmUnregisterAllResourcesForOwner"},
        {"fhKwCVVj9nk","sceGnmUnregisterOwnerAndResources"},
        {"k8EXkhIP+lM","sceGnmUnregisterResource"},
        {"nLM2i2+65hA","sceGnmUpdateGsShader"},
        {"GNlx+y7xPdE","sceGnmUpdateHsShader"},
        {"4MgRw-bVNQU","sceGnmUpdatePsShader"},
        {"mLVL7N7BVBg","sceGnmUpdatePsShader350"},
        {"V31V01UiScY","sceGnmUpdateVsShader"},
        {"AXh4kwbspSs","sceGnmValidateAndSubmitCommandBuffers"},
        {"iCO804ZgzdA","sceGnmValidateCommandBuffers"},
        {"SXw4dZEkgpA","sceGnmValidateDisableDiagnostics"},
        {"BgM3t3LvcNk","sceGnmValidateDisableDiagnostics2"},
        {"qGP74T5OWJc","sceGnmValidateDispatchCommandBuffers"},
        {"hsZPf1lON7E","sceGnmValidateDrawCommandBuffers"},
        {"RX7XCNSaL6I","sceGnmValidateGetDiagnosticInfo"},
        {"5SHGNwLXBV4","sceGnmValidateGetDiagnostics"},
        {"HzMN7ANqYEc","sceGnmValidateGetVersion"},
        {"rTIV11nMQuM","sceGnmValidateOnSubmitEnabled"},
        {"MBMa6EFu4Ko","sceGnmValidateResetState"},
        {"vtCXhxDeosw","sceGnmValidateSubmitAndFlipCommandBuffers"},
        {"Q7t4VEYLafI","sceGnmValidationRegisterMemoryCheckCallback"},
        {"HKGLeuWrAvs","sceGpuExceptionAddDebuggerHandler"},
        {"5DlWM6aGVeI","sceGpuExceptionAddRazorHandler"},
        {"bKPwK6nfqdA","sceGpuExceptionGetStatus"},
        {"6UcLOHdkVjo","sceGpuExceptionRemoveDebuggerHandler"},
        {"Xx+NgwGbYk4","sceGpuExceptionRemoveRazorHandler"},
        {"ubB+tVwd4-U","sceGpuTraceCancel"},
        {"IQl1M8Gynsw","sceGpuTraceParametersInit"},
        {"GLFNgsekcJU","sceGpuTraceParametersSetDuration"},
        {"TehfTHUiaag","sceGpuTraceParametersSetGroup"},
        {"QDMpdglDPoo","sceGpuTraceParametersSetMemorySize"},
        {"WpNcYUoJe74","sceGpuTraceStart"},
        {"rxXvAxEbq8I","sceGpuTraceStop"},
        {"9qpBjpMYpnw","sceHandDetection"},
        {"lsog-msx-Qk","sceHandDetectionGetDefaultParam"},
        {"9UVGP8KVB2U","sceHandDetectionGetWorkingMemorySize"},
        {"HnLtsMPtlvI","sceHandDetectionLocal"},
        {"Zwj3yUNv-O4","sceHandDetectionLocalGetDefaultParam"},
        {"FwR3P7Qi5Q0","sceHandTrackerEraseResult"},
        {"N1PhQhZsKdE","sceHandTrackerGetDataMemorySize"},
        {"diQSBvLG+1w","sceHandTrackerGetDefaultParam"},
        {"GZ6b3AIskOk","sceHandTrackerGetDepthRoi"},
        {"IkjZOyRXN4A","sceHandTrackerInitialize"},
        {"KNBfNGQEiwE","sceHandTrackerSetDepthInfo"},
        {"ZrhgX9VzkFQ","sceHandTrackerSetFaceInfo"},
        {"aSJafUjZCqc","sceHandTrackerUpdate"},
        {"845enllqZOA","sceHeadTrackerFinalize"},
        {"zNnPUDTRrMw","sceHeadTrackerGetNumberOfRunningInstance"},
        {"N-wvaQnlXb0","sceHeadTrackerInitialize"},
        {"22nfK8hJRj0","sceHeadTrackerQueryWorkingMemory"},
        {"uogRLNVSArA","sceHeadTrackerSearchCandidate"},
        {"Vft6N0EvQsw","sceHeadTrackerStart"},
        {"TaXlTcqvxNI","sceHeadTrackerStop"},
        {"P04ZezDSgk0","sceHeadTrackerUpdate"},
        {"W39EKJrf790","sceHeadTrackerUpdateDebug"},
        {"ONyH3TlLDx0","sceHidControlConnectHandle"},
        {"aVvm-afVQlo","sceHidControlConnectPort"},
        {"V3x+8S9k1vc","sceHidControlDisconnectDevice"},
        {"AVtf1JiYnQI","sceHidControlDisconnectHandle"},
        {"nYX3q3hser8","sceHidControlDisconnectPort"},
        {"smqnBlj5tfk","sceHidControlGetAuthInformation"},
        {"akmC1nXbrLE","sceHidControlGetBatteryState"},
        {"Gtfab+eP6GM","sceHidControlGetDeviceId"},
        {"u2GrRj85Riw","sceHidControlGetDeviceInfo"},
        {"EfvzrKzujQE","sceHidControlGetDeviceName"},
        {"AURXo5jFRu0","sceHidControlGetJediExtensionUnitInfo"},
        {"Yu1iUgPHM+w","sceHidControlGetJediState"},
        {"Pc92TjYbXpc","sceHidControlGetSparkState"},
        {"-Ix48F8rGYI","sceHidControlGetVersionInfo"},
        {"Y1WkAv+vINM","sceHidControlInit"},
        {"JcPje9m3yyc","sceHidControlSetApplicationFocus"},
        {"IVjtw0AuSBE","sceHidControlSetHandleState"},
        {"hS1-bPYxKC4","sceHidControlSetJediAudioOutPath"},
        {"+Xne3E9M-E8","sceHidControlSetJediVolumeGain"},
        {"vY-muZt5ojc","sceHidControlSetProcessFocus"},
        {"0ypWH4DpK9E","sceHidControlSetRevokeList"},
        {"niYrNjsCULE","sceHidControlSetRevokeList2"},
        {"6wfdbeqaQco","sceHidControlSetUserColor"},
        {"oPhtjySuHa8","sceHmd2Close"},
        {"DIU1sFRRaiE","sceHmd2GazeGetCalibrationData"},
        {"LCQzi5ILGrY","sceHmd2GazeGetCalibrationDataMaxSize"},
        {"lAoFUedcfqA","sceHmd2GazeGetResult"},
        {"retc+-uRMhk","sceHmd2GazeGetResultForFoveatedRendering"},
        {"bIi4YUfSRys","sceHmd2GetDeviceInformation"},
        {"4BlE4IPXP0Q","sceHmd2GetDeviceInformationByHandle"},
        {"E+b+c1Idyew","sceHmd2GetFieldOfView"},
        {"gF8+lvc7GuQ","sceHmd2GetFieldOfViewWithoutHandle"},
        {"c812oYs7Vsc","sceHmd2Initialize"},
        {"f3kPeoTZnIE","sceHmd2Open"},
        {"Ocf081WpBpA","sceHmd2ReprojectionBeginFrame"},
        {"rjAd4nCY4DM","sceHmd2ReprojectionClearUserEventEnd"},
        {"z0+0gXUJWs8","sceHmd2ReprojectionClearUserEventStart"},
        {"asilo8VNGvg","sceHmd2ReprojectionDisableMirroring"},
        {"wj1kOyNF4vM","sceHmd2ReprojectionDisableVrMode"},
        {"Qx7SkcgAzok","sceHmd2ReprojectionEnableMirroring"},
        {"VVvFh51o20s","sceHmd2ReprojectionEnableVrMode"},
        {"Acyg4vTdGm0","sceHmd2ReprojectionGetCurrentOutput"},
        {"wEO+gMHs9NU","sceHmd2ReprojectionGetMirroringDisplayBufferSizeAlign"},
        {"Pb1d+j-bBSc","sceHmd2ReprojectionGetMirroringWorkMemorySizeAlign"},
        {"SVEG+1D7qHA","sceHmd2ReprojectionGetPredictedDisplayTime"},
        {"8GkaY2B7opM","sceHmd2ReprojectionGetStatus"},
        {"C0rPwER-yxg","sceHmd2ReprojectionInitialize"},
        {"U-CnbmeyYaA","sceHmd2ReprojectionQueryBufferSizeAlign"},
        {"-C2nkoEYOnU","sceHmd2ReprojectionQueryDisplayBufferSizeAlign"},
        {"uv0Ae+jCeWY","sceHmd2ReprojectionSetAllowPositionalReprojection"},
        {"+seEJVlljr0","sceHmd2ReprojectionSetMirroringOption"},
        {"xMo9ENEu2E0","sceHmd2ReprojectionSetParam"},
        {"QxBJF-G2v5k","sceHmd2ReprojectionSetParamWithBuffer"},
        {"hA9LshbSkzw","sceHmd2ReprojectionSetRenderConfig"},
        {"FkQX7rjFomk","sceHmd2ReprojectionSetTiming"},
        {"64ERZWVFBTE","sceHmd2ReprojectionSetUserEventEnd"},
        {"DIwqTkcZiJo","sceHmd2ReprojectionSetUserEventStart"},
        {"4Q11W4M2h5Q","sceHmd2ReprojectionTerminate"},
        {"Al4qjNREVQQ","sceHmd2SetVibration"},
        {"QU2M1pPNbaY","sceHmd2Terminate"},
        {"6biw1XHTSqQ","sceHmdClose"},
        {"gEokC+OGI8g","sceHmdDistortionGet2dVrCommand"},
        {"ER2ar8yUmbk","sceHmdDistortionGetCompoundEyeCorrectionCommand"},
        {"HT8qWOTOGmo","sceHmdDistortionGetCorrectionCommand"},
        {"Vkkhy8RFIuk","sceHmdDistortionGetWideNearCorrectionCommand"},
        {"1cS7W5J-v3k","sceHmdDistortionGetWorkMemoryAlign"},
        {"36xDKk+Hw7o","sceHmdDistortionGetWorkMemorySize"},
        {"ao8NZ+FRYJE","sceHmdDistortionInitialize"},
        {"8A4T5ahi790","sceHmdDistortionSetOutputMinColor"},
        {"bjYjvRCluuw","sceHmdFillDistortionBuffer"},
        {"BWY-qKM5hxE","sceHmdGet2DEyeOffset"},
        {"liKOlmonGMo","sceHmdGet2dDistortionMap"},
        {"za4xJfzCBcM","sceHmdGet2dVrCommand"},
        {"Yx+CuF11D3Q","sceHmdGetAssyError"},
        {"thDt9upZlp8","sceHmdGetDeviceInformation"},
        {"1pxQfif1rkE","sceHmdGetDeviceInformationByHandle"},
        {"grCYks4m8Jw","sceHmdGetDistortionCorrectionCommand"},
        {"jWKiCTjC-us","sceHmdGetDistortionCorrectionCommand2d"},
        {"WyPdBHkHO7o","sceHmdGetDistortionCorrectionCommandApprox"},
        {"Uu4VU1bY2Eo","sceHmdGetDistortionMap"},
        {"mP2ZcYmDg-o","sceHmdGetDistortionParams"},
        {"8Ick-e6cDVY","sceHmdGetDistortionWorkMemoryAlign"},
        {"SLvuzd81niM","sceHmdGetDistortionWorkMemoryAlignFor2d"},
        {"D5JfdpJKvXk","sceHmdGetDistortionWorkMemorySize"},
        {"LJGdHRE3ui0","sceHmdGetDistortionWorkMemorySizeFor2d"},
        {"PyDpx1eHD8Y","sceHmdGetEyeStatus"},
        {"NPQwYFqi0bs","sceHmdGetFieldOfView"},
        {"Wj4zVVejNOE","sceHmdGetFieldOfView2d"},
        {"g42bgpVPZXw","sceHmdGetFieldOfViewApprox"},
        {"rU3HK9Q0r8o","sceHmdGetInertialSensorData"},
        {"6vWY0aegNnk","sceHmdGetViewStatus"},
        {"goi5ASvH-V8","sceHmdGetWideNearDistortionCorrectionCommand"},
        {"K4KnH0QkT2c","sceHmdInitialize"},
        {"s-J66ar9g50","sceHmdInitialize315"},
        {"riPQfAdebHk","sceHmdInternal3dAudioClose"},
        {"wHnZU1qtiqw","sceHmdInternal3dAudioOpen"},
        {"NuEjeN8WCBA","sceHmdInternal3dAudioSendData"},
        {"QasPTUPWVZE","sceHmdInternalAnotherScreenClose"},
        {"Wr5KVtyVDG0","sceHmdInternalAnotherScreenGetAudioStatus"},
        {"whRxl6Hhrzg","sceHmdInternalAnotherScreenGetFadeState"},
        {"w8BEUsIYn8w","sceHmdInternalAnotherScreenGetVideoStatus"},
        {"0cQDAbkOt2A","sceHmdInternalAnotherScreenOpen"},
        {"Asczi8gw1NM","sceHmdInternalAnotherScreenSendAudio"},
        {"6+v7m1vwE+0","sceHmdInternalAnotherScreenSendVideo"},
        {"E0BLvy57IiQ","sceHmdInternalAnotherScreenSetFadeAndSwitch"},
        {"UTqrWB+1+SU","sceHmdInternalBindDeviceWithUserId"},
        {"ego1YdqNGpI","sceHmdInternalCheckDeviceModelMk3"},
        {"WR7XsLdjcqQ","sceHmdInternalCheckS3dPassModeAvailable"},
        {"eMI1Hq+NEwY","sceHmdInternalCrashReportCancel"},
        {"dI3StPLQlMM","sceHmdInternalCrashReportClose"},
        {"lqPT-Bf1s4I","sceHmdInternalCrashReportOpen"},
        {"QxhJs6zHUmU","sceHmdInternalCrashReportReadData"},
        {"A2jWOLPzHHE","sceHmdInternalCrashReportReadDataSize"},
        {"E9scVxt0DNg","sceHmdInternalCreateSharedMemory"},
        {"6RclvsKxr3I","sceHmdInternalDfuCheckAfterPvt"},
        {"cE99PJR6b8w","sceHmdInternalDfuCheckPartialUpdateAvailable"},
        {"SuE90Qscg0s","sceHmdInternalDfuClose"},
        {"5f-6lp7L5cY","sceHmdInternalDfuGetStatus"},
        {"dv2RqD7ZBd4","sceHmdInternalDfuOpen"},
        {"pN0HjRU86Jo","sceHmdInternalDfuReset"},
        {"mdc++HCXSsQ","sceHmdInternalDfuSend"},
        {"gjyqnphjGZE","sceHmdInternalDfuSendSize"},
        {"bl4MkWNLxKs","sceHmdInternalDfuSetMode"},
        {"a1LmvXhZ6TM","sceHmdInternalDfuStart"},
        {"+UzzSnc0z9A","sceHmdInternalEventInitialize"},
        {"uQc9P8Hrr6U","sceHmdInternalGetBrightness"},
        {"nK1g+MwMV10","sceHmdInternalGetCrashDumpInfo"},
        {"L5WZgOTw41Y","sceHmdInternalGetDebugMode"},
        {"3w8SkMfCHY0","sceHmdInternalGetDebugSocialScreenMode"},
        {"1Xmb76MHXug","sceHmdInternalGetDebugTextMode"},
        {"S0ITgPRkfUg","sceHmdInternalGetDefaultLedData"},
        {"mxjolbeBa78","sceHmdInternalGetDemoMode"},
        {"RFIi20Wp9j0","sceHmdInternalGetDeviceInformation"},
        {"P04LQJQZ43Y","sceHmdInternalGetDeviceInformationByHandle"},
        {"PPCqsD8B5uM","sceHmdInternalGetDeviceStatus"},
        {"-u82z1UhOq4","sceHmdInternalGetEyeStatus"},
        {"iINSFzCIaB8","sceHmdInternalGetHmuOpticalParam"},
        {"Csuvq2MMXHU","sceHmdInternalGetHmuPowerStatusForDebug"},
        {"UhFPniZvm8U","sceHmdInternalGetHmuSerialNumber"},
        {"9exeDpk7JU8","sceHmdInternalGetIPD"},
        {"yNtYRsxZ6-A","sceHmdInternalGetIpdSettingEnableForSystemService"},
        {"3jcyx7XOm7A","sceHmdInternalGetPUSerialNumber"},
        {"+PDyXnclP5w","sceHmdInternalGetPUVersion"},
        {"EKn+IFVsz0M","sceHmdInternalGetPuBuildNumber"},
        {"AxQ6HtktYfQ","sceHmdInternalGetPuPositionParam"},
        {"ynKv9QCSbto","sceHmdInternalGetPuRevision"},
        {"67q17ERGBuw","sceHmdInternalGetRequiredPUPVersion"},
        {"aQDrTFzGkg8","sceHmdInternalGetSensorCalibrationData"},
        {"uGyN1CkvwYU","sceHmdInternalGetStatusReport"},
        {"p9lSvZujLuo","sceHmdInternalGetTv4kCapability"},
        {"-Z+-9u98m9o","sceHmdInternalGetVirtualDisplayDepth"},
        {"df+b0FQnnVQ","sceHmdInternalGetVirtualDisplayHeight"},
        {"i6yROd9ygJs","sceHmdInternalGetVirtualDisplaySize"},
        {"Aajiktl6JXU","sceHmdInternalGetVr2dData"},
        {"GwFVF2KkIT4","sceHmdInternalIsCommonDlgMiniAppVr2d"},
        {"LWQpWHOSUvk","sceHmdInternalIsCommonDlgVr2d"},
        {"YiIVBPLxmfE","sceHmdInternalIsGameVr2d"},
        {"LMlWs+oKHTg","sceHmdInternalIsMiniAppVr2d"},
        {"nBv4CKUGX0Y","sceHmdInternalMapSharedMemory"},
        {"4hTD8I3CyAk","sceHmdInternalMirroringModeSetAspect"},
        {"EJwPtSSZykY","sceHmdInternalMirroringModeSetAspectDebug"},
        {"r7f7M5q3snU","sceHmdInternalMmapGetCount"},
        {"gCjTEtEsOOw","sceHmdInternalMmapGetModeId"},
        {"HAr740Mt9Hs","sceHmdInternalMmapGetSensorCalibrationData"},
        {"1PNiQR-7L6k","sceHmdInternalMmapIsConnect"},
        {"9-jaAXUNG-A","sceHmdInternalPushVr2dData"},
        {"1gkbLH5+kxU","sceHmdInternalRegisterEventCallback"},
        {"6kHBllapJas","sceHmdInternalResetInertialSensor"},
        {"k1W6RPkd0mc","sceHmdInternalResetLedForVrTracker"},
        {"dp1wu22jSGc","sceHmdInternalResetLedForVsh"},
        {"d2TeoKeqM5U","sceHmdInternalSeparateModeClose"},
        {"WxsnAsjPF7Q","sceHmdInternalSeparateModeGetAudioStatus"},
        {"eOOeG9SpEuc","sceHmdInternalSeparateModeGetVideoStatus"},
        {"gA4Xnn+NSGk","sceHmdInternalSeparateModeOpen"},
        {"stQ7AsondmE","sceHmdInternalSeparateModeSendAudio"},
        {"jfnS-OoDayM","sceHmdInternalSeparateModeSendVideo"},
        {"roHN4ml+tB8","sceHmdInternalSetBrightness"},
        {"0z2qLqedQH0","sceHmdInternalSetCrashReportCommand"},
        {"xhx5rVZEpnw","sceHmdInternalSetDebugGpo"},
        {"e7laRxRGCHc","sceHmdInternalSetDebugMode"},
        {"CRyJ7Q-ap3g","sceHmdInternalSetDebugSocialScreenMode"},
        {"dG4XPW4juU4","sceHmdInternalSetDebugTextMode"},
        {"rAXmGoO-VmE","sceHmdInternalSetDefaultLedData"},
        {"lu9I7jnUvWQ","sceHmdInternalSetDemoMode"},
        {"hyATMTuQSoQ","sceHmdInternalSetDeviceConnection"},
        {"c4mSi64bXUw","sceHmdInternalSetForcedCrash"},
        {"U9kPT4g1mFE","sceHmdInternalSetHmuPowerControl"},
        {"dX-MVpXIPwQ","sceHmdInternalSetHmuPowerControlForDebug"},
        {"4KIjvAf8PCA","sceHmdInternalSetIPD"},
        {"HzrIn-Voa5o","sceHmdInternalSetIPDSettingEnableForSystemService"},
        {"NbxTfUKO184","sceHmdInternalSetIpdSettingEnableForSystemService"},
        {"NnRKjf+hxW4","sceHmdInternalSetLedOn"},
        {"4AP0X9qGhqw","sceHmdInternalSetM2LedBrightness"},
        {"Mzzz2HPWM+8","sceHmdInternalSetM2LedOn"},
        {"LkBkse9Pit0","sceHmdInternalSetPortConnection"},
        {"v243mvYg0Y0","sceHmdInternalSetPortStatus"},
        {"EwXvkZpo9Go","sceHmdInternalSetS3dPassMode"},
        {"g3DKNOy1tYw","sceHmdInternalSetSidetone"},
        {"mjMsl838XM8","sceHmdInternalSetUserType"},
        {"9z8Lc64NF1c","sceHmdInternalSetVRMode"},
        {"8IS0KLkDNQY","sceHmdInternalSetVirtualDisplayDepth"},
        {"afhK5KcJOJY","sceHmdInternalSetVirtualDisplayHeight"},
        {"+zPvzIiB+BU","sceHmdInternalSetVirtualDisplaySize"},
        {"s5EqYh5kbwM","sceHmdInternalSocialScreenGetFadeState"},
        {"a1LMFZtK9b0","sceHmdInternalSocialScreenSetFadeAndSwitch"},
        {"-6FjKlMA+Yc","sceHmdInternalSocialScreenSetOutput"},
        {"d2g5Ij7EUzo","sceHmdOpen"},
        {"NTIbBpSH9ik","sceHmdReprojectionAddDisplayBuffer"},
        {"94+Ggm38KCg","sceHmdReprojectionClearUserEventEnd"},
        {"mdyFbaJj66M","sceHmdReprojectionClearUserEventStart"},
        {"MdV0akauNow","sceHmdReprojectionDebugGetLastInfo"},
        {"ymiwVjPB5+k","sceHmdReprojectionDebugGetLastInfoMultilayer"},
        {"ZrV5YIqD09I","sceHmdReprojectionFinalize"},
        {"utHD2Ab-Ixo","sceHmdReprojectionFinalizeCapture"},
        {"OuygGEWkins","sceHmdReprojectionInitialize"},
        {"BTrQnC6fcAk","sceHmdReprojectionInitializeCapture"},
        {"TkcANcGM0s8","sceHmdReprojectionQueryGarlicBuffAlign"},
        {"z0KtN1vqF2E","sceHmdReprojectionQueryGarlicBuffSize"},
        {"IWybWbR-xvA","sceHmdReprojectionQueryOnionBuffAlign"},
        {"kLUAkN6a1e8","sceHmdReprojectionQueryOnionBuffSize"},
        {"6CRWGc-evO4","sceHmdReprojectionSetCallback"},
        {"E+dPfjeQLHI","sceHmdReprojectionSetDisplayBuffers"},
        {"LjdLRysHU6Y","sceHmdReprojectionSetOutputMinColor"},
        {"knyIhlkpLgE","sceHmdReprojectionSetUserEventEnd"},
        {"7as0CjXW1B8","sceHmdReprojectionSetUserEventStart"},
        {"3iONR2EXyKA","sceHmdReprojectionSetUserEventToFinish"},
        {"ro1JFV7JR+E","sceHmdReprojectionSetUserEventToStart"},
        {"dntZTJ7meIU","sceHmdReprojectionStart"},
        {"q3e8+nEguyE","sceHmdReprojectionStart2dVr"},
        {"RrvyU1pjb9A","sceHmdReprojectionStartCapture"},
        {"wbYAWZcJiNo","sceHmdReprojectionStartCompoundEye"},
        {"XZ5QUzb4ae0","sceHmdReprojectionStartLiveCapture"},
        {"8gH1aLgty5I","sceHmdReprojectionStartMultilayer"},
        {"gqAG7JYeE7A","sceHmdReprojectionStartMultilayer2"},
        {"3JyuejcNhC0","sceHmdReprojectionStartWideNear"},
        {"mKa8scOc4-k","sceHmdReprojectionStartWideNearWithOverlay"},
        {"kcldQ7zLYQQ","sceHmdReprojectionStartWithOverlay"},
        {"vzMEkwBQciM","sceHmdReprojectionStop"},
        {"F7Sndm5teWw","sceHmdReprojectionStopCapture"},
        {"PAa6cUL5bR4","sceHmdReprojectionStopLiveCapture"},
        {"0wnZViigP9o","sceHmdReprojectionUnsetCallback"},
        {"iGNNpDDjcwo","sceHmdReprojectionUnsetDisplayBuffers"},
        {"nmHzU4Gh0xs","sceHmdSetupDialogClose"},
        {"6lVRHMV5LY0","sceHmdSetupDialogGetResult"},
        {"J9eBpW1udl4","sceHmdSetupDialogGetStatus"},
        {"NB1Y2kA2jCY","sceHmdSetupDialogInitialize"},
        {"NNgiV4T+akU","sceHmdSetupDialogOpen"},
        {"+z4OJmFreZc","sceHmdSetupDialogTerminate"},
        {"Ud7j3+RDIBg","sceHmdSetupDialogUpdateStatus"},
        {"z-RMILqP6tE","sceHmdTerminate"},
        {"IZ-qjhRqvjk","sceHttp2AbortRequest"},
        {"flPxnowtvWY","sceHttp2AddCookie"},
        {"nrPfOE8TQu0","sceHttp2AddRequestHeader"},
        {"WeuDjj5m4YU","sceHttp2AuthCacheFlush"},
        {"JlFGR4v50Kw","sceHttp2CookieExport"},
        {"5VlQSzXW-SQ","sceHttp2CookieFlush"},
        {"B5ibZI5UlzU","sceHttp2CookieImport"},
        {"N4UfjvWJsMw","sceHttp2CreateCookieBox"},
        {"mmyOCxQMVYQ","sceHttp2CreateRequestWithURL"},
        {"+wCt7fCijgk","sceHttp2CreateTemplate"},
        {"O9ync3F-JVI","sceHttp2DeleteCookieBox"},
        {"c8D9qIjo8EY","sceHttp2DeleteRequest"},
        {"pDom5-078DA","sceHttp2DeleteTemplate"},
        {"-rdXUi2XW90","sceHttp2GetAllResponseHeaders"},
        {"CjxqMyx2-pU","sceHttp2GetAllTrailingHeaders"},
        {"m-OL13q8AI8","sceHttp2GetAuthEnabled"},
        {"od5QCZhZSfw","sceHttp2GetAutoRedirect"},
        {"GQFGj0rYX+A","sceHttp2GetCookie"},
        {"IX23slKvtQI","sceHttp2GetCookieBox"},
        {"eij7UzkUqK8","sceHttp2GetCookieStats"},
        {"otUQuZa-mv0","sceHttp2GetMemoryPoolStats"},
        {"o0DBQpFE13o","sceHttp2GetResponseContentLength"},
        {"9XYJwCf3lEA","sceHttp2GetStatusCode"},
        {"3JCe3lCbQ8A","sceHttp2Init"},
        {"QygCNNmbGss","sceHttp2ReadData"},
        {"bGN-6zbo7ms","sceHttp2ReadDataAsync"},
        {"klwUy2Wg+q8","sceHttp2RedirectCacheFlush"},
        {"jHdP0CS4ZlA","sceHttp2RemoveRequestHeader"},
        {"rbqZig38AT8","sceHttp2SendRequest"},
        {"A+NVAFu4eCg","sceHttp2SendRequestAsync"},
        {"jjFahkBPCYs","sceHttp2SetAuthEnabled"},
        {"Wwj6HbB2mOo","sceHttp2SetAuthInfoCallback"},
        {"b9AvoIaOuHI","sceHttp2SetAutoRedirect"},
        {"-HIO4VT87v8","sceHttp2SetConnectTimeOut"},
        {"n8hMLe31OPA","sceHttp2SetConnectionWaitTimeOut"},
        {"jrVHsKCXA0g","sceHttp2SetCookieBox"},
        {"mPKVhQqh2Es","sceHttp2SetCookieMaxNum"},
        {"o7+WXe4WadE","sceHttp2SetCookieMaxNumPerDomain"},
        {"6a0N6GPD7RM","sceHttp2SetCookieMaxSize"},
        {"zdtXKn9X7no","sceHttp2SetCookieRecvCallback"},
        {"McYmUpQ3-DY","sceHttp2SetCookieSendCallback"},
        {"uRosf8GQbHQ","sceHttp2SetInflateGZIPEnabled"},
        {"09tk+kIA1Ns","sceHttp2SetMinSslVersion"},
        {"UL4Fviw+IAM","sceHttp2SetPreSendCallback"},
        {"izvHhqgDt44","sceHttp2SetRecvTimeOut"},
        {"BJgi0CH7al4","sceHttp2SetRedirectCallback"},
        {"FSAFOzi0FpM","sceHttp2SetRequestContentLength"},
        {"bEegosRhgM0","sceHttp2SetRequestNoContentLength"},
        {"Gcjh+CisAZM","sceHttp2SetResolveRetry"},
        {"ACjtE27aErY","sceHttp2SetResolveTimeOut"},
        {"XPtW45xiLHk","sceHttp2SetSendTimeOut"},
        {"YrWX+DhPHQY","sceHttp2SetSslCallback"},
        {"VYMxTcBqSE0","sceHttp2SetTimeOut"},
        {"B37SruheQ5Y","sceHttp2SslDisableOption"},
        {"EWcwMpbr5F8","sceHttp2SslEnableOption"},
        {"YiBUtz-pGkc","sceHttp2Term"},
        {"MOp-AUhdfi8","sceHttp2WaitAsync"},
        {"v2hFBiyS13w","sceHttp2WebSocketClose"},
        {"BlZ8niq3nHU","sceHttp2WebSocketCloseAsync"},
        {"-0wUiGX74GQ","sceHttp2WebSocketCreateRequest"},
        {"D1IAo-CNswA","sceHttp2WebSocketSendDataMessage"},
        {"ksn0O9Iilb0","sceHttp2WebSocketSendDataMessageAsync"},
        {"jSHMX1oSE+E","sceHttp2WebSocketSendTextMessage"},
        {"WYszaHaIkWs","sceHttp2WebSocketSendTextMessageAsync"},
        {"YfaXPnc8PJE","sceHttp2WebSocketSetPingInterval"},
        {"-MU9L6S3Fj4","sceHttp2WebSocketSetPingTimeout"},
        {"hvG6GfBMXg8","sceHttpAbortRequest"},
        {"JKl06ZIAl6A","sceHttpAbortRequestForce"},
        {"sWQiqKvYTVA","sceHttpAbortWaitRequest"},
        {"mNan6QSnpeY","sceHttpAddCookie"},
        {"JM58a21mtrQ","sceHttpAddQuery"},
        {"EY28T2bkN7k","sceHttpAddRequestHeader"},
        {"lGAjftanhFs","sceHttpAddRequestHeaderRaw"},
        {"Y1DCjN-s2BA","sceHttpAuthCacheExport"},
        {"zzB0StvRab4","sceHttpAuthCacheFlush"},
        {"wF0KcxK20BE","sceHttpAuthCacheImport"},
        {"NjhuM7DQT08","sceHttpCacheClear"},
        {"BHrUtjVRivQ","sceHttpCacheClearAll"},
        {"IXdwKopqJHo","sceHttpCacheCompleteRequest"},
        {"ridDhAPwj4c","sceHttpCacheCreateRequest"},
        {"8ztpPAczQLs","sceHttpCacheCreateRequestWithTag"},
        {"c8pxB0Z4QNY","sceHttpCacheDeleteRequest"},
        {"cZp79Bc6ovs","sceHttpCacheInit"},
        {"xExAZRNEpEM","sceHttpCacheReadData"},
        {"A7n9nNg7NBg","sceHttpCacheRedirectedConnectionEnabled"},
        {"GpptAvO+vGI","sceHttpCacheRetrieve"},
        {"TPKIWtZkFU0","sceHttpCacheRetrieveWithMemoryPool"},
        {"7rwsM14lA0Y","sceHttpCacheRevalidate"},
        {"+8M7+xoeeaE","sceHttpCacheRevalidateWithMemoryPool"},
        {"3+a6oBBT2rs","sceHttpCacheSetCacheSharing"},
        {"7UnZ7b3kkvM","sceHttpCacheSetData"},
        {"yg6hx58UNqc","sceHttpCacheSetQuota"},
        {"moPKPd0A5FA","sceHttpCacheSetResponseHeader"},
        {"R9VdZjbxQi8","sceHttpCacheSystemClearAll"},
        {"LfOVpdFit+Q","sceHttpCacheSystemInit"},
        {"0gRbLi4WKVg","sceHttpCacheSystemSendStatistics"},
        {"kbFr-IcUqH4","sceHttpCacheSystemShutdown"},
        {"J25sxFmD+1w","sceHttpCacheSystemTerm"},
        {"UU-WJhJQWxQ","sceHttpCacheTerm"},
        {"nOkViL17ZOo","sceHttpCookieExport"},
        {"seCvUt91WHY","sceHttpCookieFlush"},
        {"pFnXDxo3aog","sceHttpCookieImport"},
        {"Kiwv9r4IZCc","sceHttpCreateConnection"},
        {"qgxDBjorUxs","sceHttpCreateConnectionWithURL"},
        {"6381dWF+xsQ","sceHttpCreateEpoll"},
        {"tsGVru3hCe8","sceHttpCreateRequest"},
        {"rGNm+FjIXKk","sceHttpCreateRequest2"},
        {"Aeu5wVKkF9w","sceHttpCreateRequestWithURL"},
        {"Cnp77podkCU","sceHttpCreateRequestWithURL2"},
        {"0gYjPTR-6cY","sceHttpCreateTemplate"},
        {"Lffcxao-QMM","sceHttpDbgEnableProfile"},
        {"6gyx-I0Oob4","sceHttpDbgGetConnectionStat"},
        {"fzzBpJjm9Kw","sceHttpDbgGetRequestStat"},
        {"VmqSnjZ5mE4","sceHttpDbgSetPrintf"},
        {"KJtUHtp6y0U","sceHttpDbgShowConnectionStat"},
        {"oEuPssSYskA","sceHttpDbgShowMemoryPoolStat"},
        {"L2gM3qptqHs","sceHttpDbgShowRequestStat"},
        {"pxBsD-X9eH0","sceHttpDbgShowStat"},
        {"P6A3ytpsiYc","sceHttpDeleteConnection"},
        {"qe7oZ+v4PWA","sceHttpDeleteRequest"},
        {"4I8vEpuEhZ8","sceHttpDeleteTemplate"},
        {"wYhXVfS2Et4","sceHttpDestroyEpoll"},
        {"1rpZqxdMRwQ","sceHttpGetAcceptEncodingGZIPEnabled"},
        {"aCYPMSUIaP8","sceHttpGetAllResponseHeaders"},
        {"9m8EcOGzcIQ","sceHttpGetAuthEnabled"},
        {"mmLexUbtnfY","sceHttpGetAutoRedirect"},
        {"L-DwVoHXLtU","sceHttpGetConnectionStat"},
        {"+G+UsJpeXPc","sceHttpGetCookie"},
        {"iSZjWw1TGiA","sceHttpGetCookieEnabled"},
        {"xkymWiGdMiI","sceHttpGetCookieStats"},
        {"7j9VcwnrZo4","sceHttpGetEpoll"},
        {"IQOP6McWJcY","sceHttpGetEpollId"},
        {"0onIrKx9NIE","sceHttpGetLastErrno"},
        {"16sMmVuOvgU","sceHttpGetMemoryPoolStats"},
        {"Wq4RNB3snSQ","sceHttpGetNonblock"},
        {"hkcfqAl+82w","sceHttpGetRegisteredCtxIds"},
        {"yuO2H2Uvnos","sceHttpGetResponseContentLength"},
        {"0a2TBNfE3BU","sceHttpGetStatusCode"},
        {"A9cVMUtEp4Y","sceHttpInit"},
        {"hPTXo3bICzI","sceHttpParseResponseHeader"},
        {"Qq8SfuJJJqE","sceHttpParseStatusLine"},
        {"P5pdoykPYTk","sceHttpReadData"},
        {"u05NnI+P+KY","sceHttpRedirectCacheFlush"},
        {"zNGh-zoQTD0","sceHttpRemoveRequestHeader"},
        {"4fgkfVeVsGU","sceHttpRequestGetAllHeaders"},
        {"1e2BNwI-XzE","sceHttpSendRequest"},
        {"HRX1iyDoKR8","sceHttpSetAcceptEncodingGZIPEnabled"},
        {"qFg2SuyTJJY","sceHttpSetAuthEnabled"},
        {"jf4TB2nUO40","sceHttpSetAuthInfoCallback"},
        {"T-mGo9f3Pu4","sceHttpSetAutoRedirect"},
        {"PDxS48xGQLs","sceHttpSetChunkedTransferEnabled"},
        {"0S9tTH0uqTU","sceHttpSetConnectTimeOut"},
        {"XNUoD2B9a6A","sceHttpSetCookieEnabled"},
        {"pM--+kIeW-8","sceHttpSetCookieMaxNum"},
        {"Kp6juCJUJGQ","sceHttpSetCookieMaxNumPerDomain"},
        {"7Y4364GBras","sceHttpSetCookieMaxSize"},
        {"Kh6bS2HQKbo","sceHttpSetCookieRecvCallback"},
        {"GnVDzYfy-KI","sceHttpSetCookieSendCallback"},
        {"pHc3bxUzivU","sceHttpSetCookieTotalMaxSize"},
        {"8kzIXsRy1bY","sceHttpSetDefaultAcceptEncodingGZIPEnabled"},
        {"22buO-UufJY","sceHttpSetDelayBuildRequestEnabled"},
        {"-xm7kZQNpHI","sceHttpSetEpoll"},
        {"LG1YW1Uhkgo","sceHttpSetEpollId"},
        {"pk0AuomQM1o","sceHttpSetHttp09Enabled"},
        {"i9mhafzkEi8","sceHttpSetInflateGZIPEnabled"},
        {"s2-NPIvz+iA","sceHttpSetNonblock"},
        {"gZ9TpeFQ7Gk","sceHttpSetPolicyOption"},
        {"2NeZnMEP3-0","sceHttpSetPriorityOption"},
        {"i+quCZCL+D8","sceHttpSetProxy"},
        {"mMcB2XIDoV4","sceHttpSetRecvBlockSize"},
        {"yigr4V0-HTM","sceHttpSetRecvTimeOut"},
        {"h9wmFZX4i-4","sceHttpSetRedirectCallback"},
        {"PTiFIUxCpJc","sceHttpSetRequestContentLength"},
        {"vO4B-42ef-k","sceHttpSetRequestStatusCallback"},
        {"K1d1LqZRQHQ","sceHttpSetResolveRetry"},
        {"Tc-hAYDKtQc","sceHttpSetResolveTimeOut"},
        {"a4VsZ4oqn68","sceHttpSetResponseHeaderMaxSize"},
        {"xegFfZKBVlw","sceHttpSetSendTimeOut"},
        {"POJ0azHZX3w","sceHttpSetSocketCreationCallback"},
        {"Ik-KpLTlf7Q","sceHttpTerm"},
        {"V-noPEjSB8c","sceHttpTryGetNonblock"},
        {"fmOs6MzCRqk","sceHttpTrySetNonblock"},
        {"59tL1AQBb8U","sceHttpUnsetEpoll"},
        {"5LZA+KPISVA","sceHttpUriBuild"},
        {"CR-l-yI-o7o","sceHttpUriCopy"},
        {"YuOW3dDAKYc","sceHttpUriEscape"},
        {"3lgQ5Qk42ok","sceHttpUriMerge"},
        {"IWalAn-guFs","sceHttpUriParse"},
        {"mUU363n4yc0","sceHttpUriSweepPath"},
        {"thTS+57zoLM","sceHttpUriUnescape"},
        {"qISjDHrxONc","sceHttpWaitRequest"},
        {"mSQCxzWTwVI","sceHttpsDisableOption"},
        {"zJYi5br6ZiQ","sceHttpsDisableOptionPrivate"},
        {"f42K37mm5RM","sceHttpsEnableOption"},
        {"I4+4hKttt1w","sceHttpsEnableOptionPrivate"},
        {"7WcNoAI9Zcw","sceHttpsFreeCaList"},
        {"gcUjwU3fa0M","sceHttpsGetCaList"},
        {"JBN6N-EY+3M","sceHttpsGetSslError"},
        {"DK+GoXCNT04","sceHttpsLoadCert"},
        {"jUjp+yqMNdQ","sceHttpsSetMinSslVersion"},
        {"htyBOoWeS58","sceHttpsSetSslCallback"},
        {"U5ExQGyyx9s","sceHttpsSetSslVersion"},
        {"zXqcE0fizz0","sceHttpsUnloadCert"},
        {"FksZ-ychRZQ","sceHubAppUtilDeeplinkToLiveDetailView"},
        {"n3G2GtFdwEw","sceHubAppUtilDeeplinkToPSSubscriptions"},
        {"qOmoaiKx7OY","sceHubAppUtilGetInstallationStatus"},
        {"RANPtoAYeAA","sceIduGetEnv"},
        {"cdxE2NbkV9g","sceIduInit"},
        {"ZYW6lkVPGBM","sceIduInstallPkg"},
        {"-loJgo7j+qc","sceIduIsAppInstalled"},
        {"uiDKKpAQzO0","sceIduIsRifInstalled"},
        {"9v8qoOWDC48","sceIduIsStaffMode"},
        {"3ET+1J4apB0","sceIduReboot"},
        {"tmOiNISgk2I","sceIduTerm"},
        {"1mvb3+vi3E4","sceIduUtilClearAllSchedules"},
        {"r-lmfDcFyRE","sceIduUtilDeleteSaveData"},
        {"Don67tr+Dkc","sceIduUtilDisablePriorityDownloads"},
        {"EqjVAyTOkKc","sceIduUtilDownloadInstallPkg"},
        {"0F2Qr9w0EJo","sceIduUtilEnablePriorityDownloads"},
        {"U1kpHo3s3po","sceIduUtilGetAppVersion"},
        {"i1ILma56NDA","sceIduUtilGetBgftProgress"},
        {"H3ZiJiKmfHA","sceIduUtilGetCompilationDiscInfo"},
        {"0E4tuBjmqog","sceIduUtilGetCompilationDiscTitleInfo"},
        {"xR0ySWXoAb4","sceIduUtilGetDiscInfo"},
        {"WotfHuA97u4","sceIduUtilGetDiskSpaceStats"},
        {"ivIJMuISCPo","sceIduUtilGetDownloadInstallProgress"},
        {"zYN+RSpoAgo","sceIduUtilGetDownloadState"},
        {"I5OmtvOve6E","sceIduUtilGetEnvironment"},
        {"-R8FJ+5QbaU","sceIduUtilGetInstalledApp"},
        {"oRMSMUoDGu8","sceIduUtilGetInstalledAppWithOffset"},
        {"dLsPzF5r6WA","sceIduUtilGetMasterVersion"},
        {"8MqXmG2IbM8","sceIduUtilGetNumInstalledApps"},
        {"uJTTb-x3Kks","sceIduUtilGetNumSchedules"},
        {"kyxGUg-7TOA","sceIduUtilGetOpenPsId"},
        {"giLljWP5pPk","sceIduUtilGetSchedule"},
        {"3PIU3PKoJPU","sceIduUtilGetSettingBin"},
        {"NPrfVdMDoWI","sceIduUtilGetSettingInt"},
        {"dhUdyTVC3Zw","sceIduUtilGetSettingStr"},
        {"lXturndR3Og","sceIduUtilHideOverlay"},
        {"NWAFbl1tF0E","sceIduUtilInitialize"},
        {"bh6ZKnM6V+E","sceIduUtilIsAppInstalled"},
        {"3104QzuFx3w","sceIduUtilIsDiscCompilationDisc"},
        {"IGThmAe0IFc","sceIduUtilIsDiscInserted"},
        {"IKWgVjEKH+g","sceIduUtilIsInitialised"},
        {"+v5V+l5LDK0","sceIduUtilIsRifInstalled"},
        {"gZTQm1FBFSw","sceIduUtilIsStaffMode"},
        {"iHN-+NnVfn8","sceIduUtilLaunchTitle"},
        {"jyVEy5nIzwc","sceIduUtilLaunchTitleV2"},
        {"xgCo-trtSlA","sceIduUtilPauseAllDownloads"},
        {"HgXd0wLL-UA","sceIduUtilReboot"},
        {"Xhib3X98rNE","sceIduUtilRegisterFlag"},
        {"KLm8fHOrzGs","sceIduUtilRegisterOverlayMsg"},
        {"sH23RdP9ngQ","sceIduUtilResumeAllDownloads"},
        {"DgZmOeBXM+c","sceIduUtilSetMoveMode"},
        {"rVghiu7iE9o","sceIduUtilSetPupVersion"},
        {"q3m8gBZYTcI","sceIduUtilSetSchedule"},
        {"VktOEpV48Zg","sceIduUtilSetSettingBin"},
        {"kqkr5AY93fY","sceIduUtilSetSettingInt"},
        {"IMecW2MacSY","sceIduUtilSetSettingStr"},
        {"qF9j5SGAiUk","sceIduUtilSetSysLanguage"},
        {"gtWxylhD504","sceIduUtilShowOverlay"},
        {"RspeWYDJCJs","sceIduUtilSystemVersion"},
        {"SOx9LJtZNWw","sceIduUtilTerminate"},
        {"nWqxZ43uS4U","sceIduUtilUninstallApp"},
        {"g32w6rnsV-0","sceIduUtilUpdateSelf"},
        {"xbqCEIzvg3E","sceImeBackendAllConfirm"},
        {"f22czPppTCQ","sceImeBackendAllDeleteConvertString"},
        {"x-mbDkDf0Fk","sceImeBackendBackspaceCharacter"},
        {"BfYmnUyy0ew","sceImeBackendClose"},
        {"GB70BZwBCjI","sceImeBackendConvertBackward"},
        {"3pxqefzM4mQ","sceImeBackendConvertCancel"},
        {"DxihSZ+xwsM","sceImeBackendConvertForward"},
        {"mJlVV44ycU0","sceImeBackendDeleteCharacter"},
        {"MTHPbVoNR0A","sceImeBackendEnterCharacter"},
        {"Z2S47QoVtYg","sceImeBackendForTestFunction"},
        {"SrHBQhBty6Y","sceImeBackendGetCandidateList"},
        {"S+NgTvWVJLA","sceImeBackendGetCandidateListSize"},
        {"ZBlJme+Kcgg","sceImeBackendGetCandidateSelect"},
        {"Xva83fZZ7D4","sceImeBackendGetCaretIndex"},
        {"n0FeJgonoxQ","sceImeBackendGetConfirmString"},
        {"-2B4DKWlSTY","sceImeBackendGetConvertMode"},
        {"co7QF5zVjnY","sceImeBackendGetConvertString"},
        {"w99gsSH-nWA","sceImeBackendGetStatus"},
        {"EYkbvZMNLvs","sceImeBackendGetString"},
        {"YzJnVHf+Jwo","sceImeBackendModeCaretNext"},
        {"R+sqyC483ns","sceImeBackendModeCaretPrevious"},
        {"5yb0O2TsYvw","sceImeBackendOpen"},
        {"9GIB91cj1wc","sceImeBackendParamInit"},
        {"5KKsXg7EXi8","sceImeBackendPartConfirm"},
        {"8BNxNGzXcIc","sceImeBackendReset"},
        {"HbAX1cSb+hw","sceImeBackendSetConvertMode"},
        {"4YClXOfFOdk","sceImeBackendTemporalConfirm"},
        {"Lf3DeGWC6xg","sceImeCheckFilterText"},
        {"zHuMUGb-AQI","sceImeCheckRemoteEventParam"},
        {"OTb0Mg+1i1k","sceImeCheckUpdateTextInfo"},
        {"TmVP8LzcFcY","sceImeClose"},
        {"Ho5NVQzpKHo","sceImeConfigGet"},
        {"P5dPeiLwm-M","sceImeConfigSet"},
        {"tKLmVIUkpyM","sceImeConfirmCandidate"},
        {"oBmw4xrmfKs","sceImeDialogAbort"},
        {"UFcyYDf+e88","sceImeDialogForTestFunction"},
        {"bX4H+sxPI-o","sceImeDialogForceClose"},
        {"fy6ntM25pEc","sceImeDialogGetCurrentStarState"},
        {"8jqzzPioYl8","sceImeDialogGetPanelPositionAndForm"},
        {"wqsJvRXwl58","sceImeDialogGetPanelSize"},
        {"CRD+jSErEJQ","sceImeDialogGetPanelSizeExtended"},
        {"x01jxu+vxlc","sceImeDialogGetResult"},
        {"IADmD4tScBY","sceImeDialogGetStatus"},
        {"NUeBrN7hzf0","sceImeDialogInit"},
        {"KR6QDasuKco","sceImeDialogInitInternal"},
        {"oe92cnJQ9HE","sceImeDialogInitInternal2"},
        {"IoKIpNf9EK0","sceImeDialogInitInternal3"},
        {"-2WqB87KKGg","sceImeDialogSetPanelPosition"},
        {"gyTyVn+bXMw","sceImeDialogTerm"},
        {"NYDsL9a0oEo","sceImeDicAddWord"},
        {"l01GKoyiQrY","sceImeDicDeleteLearnDics"},
        {"E2OcGgi-FPY","sceImeDicDeleteUserDics"},
        {"JAiMBkOTYKI","sceImeDicDeleteWord"},
        {"JoPdCUXOzMU","sceImeDicGetWords"},
        {"FuEl46uHDyo","sceImeDicReplaceWord"},
        {"E+f1n8e8DAw","sceImeDisableController"},
        {"evjOsE18yuI","sceImeFilterText"},
        {"wVkehxutK-U","sceImeForTestFunction"},
        {"T6FYjZXG93o","sceImeGetPanelPositionAndForm"},
        {"ziPDcIjO0Vk","sceImeGetPanelSize"},
        {"PMVehSlfZ94","sceImeKeyboardClose"},
        {"VkqLPArfFdc","sceImeKeyboardGetInfo"},
        {"dKadqZFgKKQ","sceImeKeyboardGetResourceId"},
        {"eaFXjfJv3xs","sceImeKeyboardOpen"},
        {"oYkJlMK51SA","sceImeKeyboardOpenInternal"},
        {"ua+13Hk9kKs","sceImeKeyboardSetMode"},
        {"3Hx2Uw9xnv8","sceImeKeyboardUpdate"},
        {"RPydv-Jr1bc","sceImeOpen"},
        {"16UI54cWRQk","sceImeOpenInternal"},
        {"WmYDzdC4EHI","sceImeParamInit"},
        {"TQaogSaqkEk","sceImeSetCandidateIndex"},
        {"WLxUN2WMim8","sceImeSetCaret"},
        {"ieCNrVrzKd4","sceImeSetText"},
        {"TXYHFRuL8UY","sceImeSetTextGeometry"},
        {"-4GCfYdNF1s","sceImeUpdate"},
        {"oOwl47ouxoM","sceImeVshClearPreedit"},
        {"gtoTsGM9vEY","sceImeVshClose"},
        {"wTKF4mUlSew","sceImeVshConfirmPreedit"},
        {"rM-1hkuOhh0","sceImeVshDisableController"},
        {"42xMaQ+GLeQ","sceImeVshGetPanelPositionAndForm"},
        {"ZmmV6iukhyo","sceImeVshInformConfirmdString"},
        {"EQBusz6Uhp8","sceImeVshInformConfirmdString2"},
        {"LBicRa-hj3A","sceImeVshOpen"},
        {"-IAOwd2nO7g","sceImeVshSendTextInfo"},
        {"qDagOjvJdNk","sceImeVshSetCaretGeometry"},
        {"tNOlmxee-Nk","sceImeVshSetCaretIndexInPreedit"},
        {"rASXozKkQ9g","sceImeVshSetPanelPosition"},
        {"idvMaIu5H+k","sceImeVshSetParam"},
        {"ga5GOgThbjo","sceImeVshSetPreeditGeometry"},
        {"RuSca8rS6yA","sceImeVshSetSelectGeometry"},
        {"J7COZrgSFRA","sceImeVshSetSelectionText"},
        {"WqAayyok5p0","sceImeVshUpdate"},
        {"O7Fdd+Oc-qQ","sceImeVshUpdateContext"},
        {"fwcPR7+7Rks","sceImeVshUpdateContext2"},
        {"WWtCL5lzi7Y","sceInvitationDialogClose"},
        {"8XKR6wa64iQ","sceInvitationDialogGetResult"},
        {"WuuUhuKOxwQ","sceInvitationDialogGetResultA"},
        {"EiF92YDNHRA","sceInvitationDialogGetStatus"},
        {"XvA5KS56wcs","sceInvitationDialogInitialize"},
        {"0zU0G+wiVLA","sceInvitationDialogOpen"},
        {"sAxbHhAWMXM","sceInvitationDialogOpenA"},
        {"B6HVJtDYxEE","sceInvitationDialogTerminate"},
        {"9+g9iOq+7kg","sceInvitationDialogUpdateStatus"},
        {"0RFK6ZS8I9E","sceIpmiMgrGetIpcBlockerPid"},
        {"0osoVuiIg38","sceIpmiMgrGetIpcBlockerPidByAppId"},
        {"k+LGes6TQQI","sceIpmiMgrPauseDump"},
        {"2R+Q+mF1eog","sceIpmiMgrRaiseExceptionToPid"},
        {"L4j7nnv2fVU","sceIpmiMgrStartDump"},
        {"JPh3Zgg0Zwc","sceJpegDecCreate"},
        {"1kzQRoWEgSA","sceJpegDecDecode"},
        {"919MhccOiII","sceJpegDecDecodeWithInputControl"},
        {"Hwh11+m5KoI","sceJpegDecDelete"},
        {"LSinoSQH790","sceJpegDecParseHeader"},
        {"uNAUmANZMEw","sceJpegDecQueryMemorySize"},
        {"K+rocojkr-I","sceJpegEncCreate"},
        {"j1LyMdaM+C0","sceJpegEncDelete"},
        {"QbrU0cUghEM","sceJpegEncEncode"},
        {"o6ZgXfFdWXQ","sceJpegEncQueryMemorySize"},
        {"KpCv0rernZQ","sceKernelAddACInfo"},
        {"bBfz7kMF2Ho","sceKernelAddAmprEvent"},
        {"vuae5JPNt9A","sceKernelAddAmprSystemEvent"},
        {"NhL5qID2iho","sceKernelAddCpumodeEvent"},
        {"cG3t15OK4Ow","sceKernelAddFileEvent"},
        {"YJ7JscWubcU","sceKernelAddGpuExceptionEvent"},
        {"R74tt43xP6k","sceKernelAddHRTimerEvent"},
        {"5-rYyD+-vHQ","sceKernelAddProcessToCanvasMap"},
        {"VHCS3rCd0PM","sceKernelAddReadEvent"},
        {"uqJlNd9XIrA","sceKernelAddResource"},
        {"57ZK+ODEXWY","sceKernelAddTimerEvent"},
        {"4R6-OvI2cEA","sceKernelAddUserEvent"},
        {"WDszmSbWuDk","sceKernelAddUserEventEdge"},
        {"R-tyYMpYaxY","sceKernelAddWriteEvent"},
        {"fR521KIGgb8","sceKernelAioCancelRequest"},
        {"3Lca1XBrQdY","sceKernelAioCancelRequests"},
        {"5TgME6AYty4","sceKernelAioDeleteRequest"},
        {"Ft3EtsZzAoY","sceKernelAioDeleteRequests"},
        {"vYU8P9Td2Zo","sceKernelAioInitializeImpl"},
        {"nu4a0-arQis","sceKernelAioInitializeParam"},
        {"2pOuoWoCxdk","sceKernelAioPollRequest"},
        {"o7O4z3jwKzo","sceKernelAioPollRequests"},
        {"9WK-vhNXimw","sceKernelAioSetParam"},
        {"HgX7+AORI58","sceKernelAioSubmitReadCommands"},
        {"lXT0m3P-vs4","sceKernelAioSubmitReadCommandsMultiple"},
        {"XQ8C8y+de+E","sceKernelAioSubmitWriteCommands"},
        {"xT3Cpz0yh6Y","sceKernelAioSubmitWriteCommandsMultiple"},
        {"KOF-oJbQVvc","sceKernelAioWaitRequest"},
        {"lgK+oIWkJyA","sceKernelAioWaitRequests"},
        {"rTXw65xmLIA","sceKernelAllocateDirectMemory"},
        {"YikqzdTOmxY","sceKernelAllocateDirectMemory2"},
        {"fNoviuIwykc","sceKernelAllocateDirectMemoryForApp"},
        {"ll8I9K4RtUM","sceKernelAllocateDirectMemoryForMiniApp"},
        {"B+vc2AO2Zrc","sceKernelAllocateMainDirectMemory"},
        {"45Yurf7lZmU","sceKernelAllocateToolMemory"},
        {"g6fhW-+NuuU","sceKernelAllocateTraceDirectMemory"},
        {"x-v44qRnzVA","sceKernelAprCtrl"},
        {"WvEu7yl3Ivg","sceKernelAprGetFileSize"},
        {"ApkYaHb8Sek","sceKernelAprGetFileStat"},
        {"WT-5NKy42fw","sceKernelAprResolveFilepathsToIds"},
        {"gEpBkcwxUjw","sceKernelAprResolveFilepathsToIdsAndFileSizes"},
        {"QzB4O+bJQyA","sceKernelAprResolveFilepathsToIdsAndFileSizesForEach"},
        {"eYAh2vlCY-U","sceKernelAprResolveFilepathsToIdsForEach"},
        {"i3HWvW35jao","sceKernelAprResolveFilepathsWithPrefixToIds"},
        {"w5fcCG+t31g","sceKernelAprResolveFilepathsWithPrefixToIdsAndFileSizes"},
        {"C+Khtbbx2g8","sceKernelAprResolveFilepathsWithPrefixToIdsAndFileSizesForEach"},
        {"VB-BtuIW8Xc","sceKernelAprResolveFilepathsWithPrefixToIdsForEach"},
        {"eE4Szl8sil8","sceKernelAprSubmitCommandBuffer"},
        {"qvMUCyyaCSI","sceKernelAprSubmitCommandBufferAndGetId"},
        {"ASoW5WE-UPo","sceKernelAprSubmitCommandBufferAndGetResult"},
        {"0ers1N4C9CY","sceKernelAprSubmitCommandBufferAndGetResult_TEST"},
        {"Omr9X+YmT7I","sceKernelAprSubmitCommandBuffer_TEST"},
        {"rqwFKI4PAiM","sceKernelAprWaitCommandBuffer"},
        {"C0f7TJcbfac","sceKernelAvailableDirectMemorySize"},
        {"aNz11fnnzi4","sceKernelAvailableFlexibleMemorySize"},
        {"YkwlupG-S4E","sceKernelAvailableToolMemorySize"},
        {"xRwvvcfZfHM","sceKernelBacktraceSelf"},
        {"2SKEx6bSq-4","sceKernelBatchMap"},
        {"kBJzF8x4SyE","sceKernelBatchMap2"},
        {"H69MYqpNjCc","sceKernelBeginAppMount"},
        {"HRDq-RDIGmI","sceKernelBeginAppMount2"},
        {"ahy8NSXrSbs","sceKernelCallIndirectBuffer"},
        {"MCdZ06CSUOc","sceKernelCallIndirectBuffer2"},
        {"x+JkNr3eoxs","sceKernelCallIndirectBuffer3"},
        {"UXpJplwPqd4","sceKernelCancelAIO"},
        {"PZku4ZrXJqg","sceKernelCancelEventFlag"},
        {"4DM06U2BNEY","sceKernelCancelSema"},
        {"JSNgID8Bupk","sceKernelCheckDipsw"},
        {"uWyW3v98sU4","sceKernelCheckReachability"},
        {"hwVSPCmp5tM","sceKernelCheckedReleaseDirectMemory"},
        {"fgIsQ10xYVA","sceKernelChmod"},
        {"N9SrpMINuLw","sceKernelClearBootReqNotifyCount"},
        {"7uhBFWRAS60","sceKernelClearEventFlag"},
        {"EgJqC+9VmvM","sceKernelClearGameDirectMemory"},
        {"mkgXxsoxWHg","sceKernelClearVirtualRangeName"},
        {"wRYVA5Zolso","sceKernelClockGetres"},
        {"QBi7HCK03hw","sceKernelClockGettime"},
        {"UK2Tl2DWUns","sceKernelClose"},
        {"J5RqzZ7nMVc","sceKernelCloseEport"},
        {"s9-RaxukuzQ","sceKernelCloseEventFlag"},
        {"HBkUky2PZPA","sceKernelCloseSema"},
        {"n1-v6FgU7MQ","sceKernelConfiguredFlexibleMemorySize"},
        {"0NTHN1NKONI","sceKernelConvertLocaltimeToUtc"},
        {"-o5uEDpN+oY","sceKernelConvertUtcToLocaltime"},
        {"BVafm-M0GNw","sceKernelCreateBudget"},
        {"KF25CDxFn48","sceKernelCreateEport"},
        {"D0OdFMjp46I","sceKernelCreateEqueue"},
        {"BpFoboUJoZU","sceKernelCreateEventFlag"},
        {"s4tJF+n0mZ0","sceKernelCreateSblock"},
        {"188x57JYp0g","sceKernelCreateSema"},
        {"FMvo0UFMf-o","sceKernelDebugAcquireAndUpdateDebugRegister"},
        {"XECwgo2nbek","sceKernelDebugGetAppStatus"},
        {"CgfvQDFAtYU","sceKernelDebugGetPauseCount"},
        {"QipjH+VV2CU","sceKernelDebugGetPrivateLogText"},
        {"aJmqgwgzjLs","sceKernelDebugGetSchedLockMode"},
        {"P9M5RftRHFE","sceKernelDebugGetSdkLogText"},
        {"+iVwFsjXaFQ","sceKernelDebugGpuPaDebugIsInProgress"},
        {"2tJsBnPiylo","sceKernelDebugInjectProcessEvent"},
        {"9JYNqN6jAKI","sceKernelDebugOutText"},
        {"WB0zfyMfYjk","sceKernelDebugPackageCorrupted"},
        {"OMDRKKAZ8I4","sceKernelDebugRaiseException"},
        {"zE-wXIZjLoM","sceKernelDebugRaiseExceptionOnReleaseMode"},
        {"DKWTYfo-jMY","sceKernelDebugRaiseExceptionWithContext"},
        {"HbRSpVkdVF0","sceKernelDebugRaiseExceptionWithInfo"},
        {"8rHK-6bbvqM","sceKernelDebugReleaseDebugContext"},
        {"S-AQZoElaRM","sceKernelDebugSpawn"},
        {"ImXI9qdLfc0","sceKernelDeleteACInfo"},
        {"SnncAgC-UTY","sceKernelDeleteAIO"},
        {"bMmid3pfyjo","sceKernelDeleteAmprEvent"},
        {"Ij+ryuEClXQ","sceKernelDeleteAmprSystemEvent"},
        {"vs+KPSoE7AM","sceKernelDeleteBudget"},
        {"OwjivtyfODU","sceKernelDeleteCpumodeEvent"},
        {"HhGAQ+ffliw","sceKernelDeleteEport"},
        {"jpFjmgAC5AE","sceKernelDeleteEqueue"},
        {"8mql9OcQnd4","sceKernelDeleteEventFlag"},
        {"UmXngHKB6is","sceKernelDeleteFileEvent"},
        {"8skggWXlSqM","sceKernelDeleteGpuExceptionEvent"},
        {"J+LF6LwObXU","sceKernelDeleteHRTimerEvent"},
        {"iSGc7kcf8X4","sceKernelDeleteProcessFromCanvasMap"},
        {"JxJ4tfgKlXA","sceKernelDeleteReadEvent"},
        {"cVI2hzWXFZU","sceKernelDeleteSavedApp"},
        {"+Mtt2MKltuQ","sceKernelDeleteSblock"},
        {"R1Jvn8bSCW8","sceKernelDeleteSema"},
        {"YWQFUyXIVdU","sceKernelDeleteTimerEvent"},
        {"LJDwdSNTnDg","sceKernelDeleteUserEvent"},
        {"cBGTk8S92XM","sceKernelDeleteWriteEvent"},
        {"BHouLQzh0X0","sceKernelDirectMemoryQuery"},
        {"ZB9HZnouJrc","sceKernelDirectMemoryQueryForId"},
        {"LwG8g3niqwA","sceKernelDlsym"},
        {"usHTMoFoBTM","sceKernelEnableDmemAliasing"},
        {"v4V7yvdU9zo","sceKernelEnableDmemAliasing2"},
        {"vhlQXKkQFe0","sceKernelEnablePthreadObjectCheck"},
        {"mdtW4Mnp4ZM","sceKernelEndAppMount"},
        {"CYIzY6OXyAs","sceKernelEndAppMount2"},
        {"lsc8IlEjXhI","sceKernelEnterSblock"},
        {"D4yla3vx4tY","sceKernelError"},
        {"13WccQjpYtM","sceKernelEventLogClose"},
        {"c7noapHDHWU","sceKernelEventLogInit"},
        {"GDzBPefugvU","sceKernelEventLogOpen"},
        {"H6bIN2qvlxY","sceKernelEventLogPread"},
        {"L6WLBSYfL6k","sceKernelEventLogRead"},
        {"TmkVz5YgHg8","sceKernelEventLogWrite"},
        {"Ac86z8q7T8A","sceKernelExitSblock"},
        {"mRfyqqkg8w8","sceKernelExpectedHddFormat"},
        {"UtszJWHrDcA","sceKernelFchmod"},
        {"SoZkxZkCHaw","sceKernelFcntl"},
        {"30Rh4ixbKy4","sceKernelFdatasync"},
        {"YDg-SQj66AQ","sceKernelFlock"},
        {"kBwCPsYX-m4","sceKernelFstat"},
        {"fTx66l5iWIA","sceKernelFsync"},
        {"VW3TVZiM4-E","sceKernelFtruncate"},
        {"NLq2b1jOaN0","sceKernelFutimes"},
        {"UJCnhvq5YBs","sceKernelGetACInfoAllForCoredump"},
        {"DPp0DoWStVs","sceKernelGetAIOData"},
        {"YeU23Szo3BM","sceKernelGetAllowedSdkVersionOnSystem"},
        {"+xy9ORMbd8U","sceKernelGetAppCategoryType"},
        {"G-MYv5erXaU","sceKernelGetAppInfo"},
        {"zsMzX135ofU","sceKernelGetAppInfoByAppId"},
        {"WYCNbP+Q9kc","sceKernelGetAppState"},
        {"1UOnecNlNW0","sceKernelGetAslrStatus"},
        {"CL9DIlKFCnA","sceKernelGetAutoUpdateVersion"},
        {"QtLhuYZf9jg","sceKernelGetBackupRestoreMode"},
        {"CQ1bzp1ba0k","sceKernelGetBackupRestoreModeOfNextBoot"},
        {"wSxRrFKzKXk","sceKernelGetBasicProductShape"},
        {"tFD04DtJY+g","sceKernelGetBetaUpdateTestForRcmgr"},
        {"n0FvTzIPodM","sceKernelGetBioUsageAll"},
        {"oYr9L7WSCww","sceKernelGetBootReqNotifyCount"},
        {"OX9wtyjVAJY","sceKernelGetBudget"},
        {"Oi7Mkc2qiew","sceKernelGetBuildNumber"},
        {"ikkTGg4Cshw","sceKernelGetCallRecord"},
        {"tVCSUib8C4Y","sceKernelGetChildApp"},
        {"WB66evu8bsU","sceKernelGetCompiledSdkVersion"},
        {"jgYD8N1DILg","sceKernelGetCompiledSdkVersionByPath"},
        {"8BrtU9maWG4","sceKernelGetCompiledSdkVersionByPid"},
        {"EHrIzxIpb+c","sceKernelGetCoredumpAppInfo"},
        {"iUohlUDiGac","sceKernelGetCpuFrequency"},
        {"qiL4fFObAxM","sceKernelGetCpuTemperature"},
        {"ssmH9nMYO4o","sceKernelGetCpuUsage"},
        {"ToISj0q68Qg","sceKernelGetCpuUsageAll"},
        {"VS45LnNqyCo","sceKernelGetCpuUsageProc"},
        {"QbdkmhQQfIM","sceKernelGetCpuUsageProc2"},
        {"XkEs5rH1bSk","sceKernelGetCpuUsageThread"},
        {"VOx8NGmHXTs","sceKernelGetCpumode"},
        {"F9LZ1EbJnfo","sceKernelGetCpumodeGame"},
        {"g0VTBxfJyu0","sceKernelGetCurrentCpu"},
        {"7siOfIbbg8I","sceKernelGetCurrentFanDuty"},
        {"i-H8tE6wTqI","sceKernelGetDataTransferMode"},
        {"JVYt1hlHSvo","sceKernelGetDebugMenuMiniModeForRcmgr"},
        {"qYwuXe0hTHs","sceKernelGetDebugMenuModeForPsmForRcmgr"},
        {"opMiSfTJyJo","sceKernelGetDebugMenuModeForRcmgr"},
        {"IdQuLJhnPAQ","sceKernelGetDefaultToolMemorySize"},
        {"pO96TwzOm5E","sceKernelGetDirectMemorySize"},
        {"BC+OG5m9+bw","sceKernelGetDirectMemoryType"},
        {"w7U3s-k8gLM","sceKernelGetEmergencyErrorLog"},
        {"kwGyyjohI50","sceKernelGetEventData"},
        {"Uu-iDFC9aUc","sceKernelGetEventError"},
        {"Q0qr9AyqJSk","sceKernelGetEventFflags"},
        {"23CPPI1tyBY","sceKernelGetEventFilter"},
        {"mJ7aghmgvfc","sceKernelGetEventId"},
        {"vz+pg2zdopI","sceKernelGetEventUserData"},
        {"wJABa1X4+ec","sceKernelGetExecutableModuleHandle"},
        {"OA7xpGDL8sY","sceKernelGetExtLibcHandle"},
        {"cVC4JXxpb-s","sceKernelGetFakeFinalizeMenuForRcmgr"},
        {"v0L5z77rkJ4","sceKernelGetFirstImageAddr"},
        {"LJVcP+0wRIk","sceKernelGetFlagedUpdaterForRcmgr"},
        {"we5t5V4Fc70","sceKernelGetForceUpdateModeForRcmgr"},
        {"JGfTMBOdUJo","sceKernelGetFsSandboxRandomWord"},
        {"4oXYe9Xmk0Q","sceKernelGetGPI"},
        {"6sy3Y9QjOJw","sceKernelGetGPO"},
        {"ZTJiZPZvNk4","sceKernelGetHwFeatureInfoForDecid"},
        {"JC7I7J1bllQ","sceKernelGetHwModelName"},
        {"PgGve9EvhPE","sceKernelGetHwSerialNumber"},
        {"lZG-WlKxRqQ","sceKernelGetIdPs"},
        {"2YsHtbvCrgs","sceKernelGetIdTableCurrentCount"},
        {"Ww2Gpga45Zc","sceKernelGetIoreq"},
        {"ePRSOZsroIQ","sceKernelGetIpcPath"},
        {"lIw5lVusKXQ","sceKernelGetKnobs"},
        {"QyrxcdBrb0M","sceKernelGetKqueueFromEqueue"},
        {"AmJ0mn2l4lM","sceKernelGetLibkernelTextLocation"},
        {"0vTn5IDMU9A","sceKernelGetMainSocId"},
        {"9urVLs6ovQk","sceKernelGetMemoryPstate"},
        {"kUpgrXIrz7Q","sceKernelGetModuleInfo"},
        {"QgsKEUfkqMA","sceKernelGetModuleInfo2"},
        {"RpQJJVKTiFM","sceKernelGetModuleInfoForUnwind"},
        {"f7KBOafysXo","sceKernelGetModuleInfoFromAddr"},
        {"HZO7xOos4xc","sceKernelGetModuleInfoInternal"},
        {"IuxnUuXk6Bg","sceKernelGetModuleList"},
        {"ZzzC3ZGVAkc","sceKernelGetModuleList2"},
        {"u+mlUkWpU3Y","sceKernelGetModuleListInternal"},
        {"DLORcroUqbc","sceKernelGetOpenPsId"},
        {"ul57hvm6mBc","sceKernelGetOpenPsIdForSystem"},
        {"tZ2yplY8MBY","sceKernelGetPageTableStats"},
        {"NSw6bEcrtWo","sceKernelGetPagingStatsOfAllObjects"},
        {"7hsMq4oz0Sc","sceKernelGetPagingStatsOfAllThreads"},
        {"T8ZlojCdON0","sceKernelGetParentApp"},
        {"Zzxstsom9-w","sceKernelGetPhysPageSize"},
        {"BDGc8ohuveU","sceKernelGetPrefixVersion"},
        {"959qrazPIrg","sceKernelGetProcParam"},
        {"Ai+CmAO2w54","sceKernelGetProcessAbiType"},
        {"fUJRLEbJOuQ","sceKernelGetProcessName"},
        {"4J2sUJmuHZQ","sceKernelGetProcessTime"},
        {"fgxnMeTNUtY","sceKernelGetProcessTimeCounter"},
        {"BNowx2l588E","sceKernelGetProcessTimeCounterFrequency"},
        {"+g+UP8Pyfmo","sceKernelGetProcessType"},
        {"4P1e01mbenA","sceKernelGetProcessTypeOfBudget"},
        {"pyAyDVpDOhw","sceKernelGetProductCode"},
        {"tlLu+KqzgDY","sceKernelGetProductStr"},
        {"aML18Z0J0t0","sceKernelGetProsperoSystemSwVersion"},
        {"L0v2Go5jOuM","sceKernelGetPrtAperture"},
        {"e+OCXNBQRAA","sceKernelGetPs4SystemSwVersion"},
        {"C2ltEJILIGE","sceKernelGetPsmIntdevModeForRcmgr"},
        {"ZotSeVujZaU","sceKernelGetPsnAccessTraceLogForRcmgr"},
        {"58GfHBfwpOY","sceKernelGetQafExpirationTimeNotafterForRcmgr"},
        {"QZ3WWIhtNbE","sceKernelGetQafExpirationTimeNotbeforeForRcmgr"},
        {"H0hj8V6fJwk","sceKernelGetQafGenerationForRcmgr"},
        {"qJnZcaDrZvI","sceKernelGetQafNameForRcmgr"},
        {"9thKyBzyAR4","sceKernelGetRenderingMode"},
        {"Q30w46WtYQw","sceKernelGetResidentCount"},
        {"a7DM+5cDkAg","sceKernelGetResidentFmemCount"},
        {"85QMKsnns2o","sceKernelGetResource"},
        {"S2-4Sh3qnm8","sceKernelGetResourceLimit"},
        {"TQxbrxPdIxU","sceKernelGetResourceOne"},
        {"bmQaivctXo4","sceKernelGetSafemode"},
        {"bt0POEUZddE","sceKernelGetSanitizerMallocReplace"},
        {"py6L8jiVAN8","sceKernelGetSanitizerMallocReplaceExternal"},
        {"F4Kib3Mb0wI","sceKernelGetSanitizerNewReplace"},
        {"bnZxYgAFeA0","sceKernelGetSanitizerNewReplaceExternal"},
        {"tSFK-c43YAI","sceKernelGetSocClock"},
        {"CA5jcDb2vYI","sceKernelGetSocPowerConsumption"},
        {"zzKyvoELf4I","sceKernelGetSocSensorTemperature"},
        {"3KIbxxVQv84","sceKernelGetSpecialIForRcmgr"},
        {"ou2GyAJwJ+Q","sceKernelGetSubsysId"},
        {"2I5eSIxm4Ng","sceKernelGetSubsysSubId"},
        {"mpbGISNJ6go","sceKernelGetSystemExVersion"},
        {"fFMg-cBHBBY","sceKernelGetSystemLevelDebuggerModeForRcmgr"},
        {"3EDFoWECKOg","sceKernelGetSystemSwBeta"},
        {"Mv1zUObHvXI","sceKernelGetSystemSwVersion"},
        {"4vkZwDJbMx0","sceKernelGetThreadName"},
        {"Od0uMJZoVWg","sceKernelGetTraceMemoryStats"},
        {"1j3S3n-tTW4","sceKernelGetTscFrequency"},
        {"GrdiysPCp+M","sceKernelGetUniversalMode"},
        {"rTNYCkfforg","sceKernelGetUpdVersion"},
        {"ToKKfC8tKIk","sceKernelGetUtokenDataExecutionForRcmgr"},
        {"8PGQdZFioFQ","sceKernelGetUtokenExpirationTimeNotafterForRcmgr"},
        {"Htwoe5tvNYg","sceKernelGetUtokenExpirationTimeNotbeforeForRcmgr"},
        {"MaCKSOQDtyU","sceKernelGetUtokenFakeSharefactoryForRcmgr"},
        {"0yVJNcMqyXk","sceKernelGetUtokenFlagedUpdaterForRcmgr"},
        {"+XuZD9HV0p4","sceKernelGetUtokenNpEnvSwitchingForRcmgr"},
        {"VbrTamW6dJs","sceKernelGetUtokenSaveDataRepairForRcmgr"},
        {"0NyJTCJWuuk","sceKernelGetUtokenStoreModeForRcmgr"},
        {"b0cryxaTM4k","sceKernelGetUtokenUseSoftwagnerForAcmgr"},
        {"Vo1qeT4JY6I","sceKernelGetUtokenUseSoftwagnerForRcmgr"},
        {"T1t68JwPqME","sceKernelGetUtokenWeakenedPortRestrictionForRcmgr"},
        {"otfCdjLjGrQ","sceKernelGetVddVid"},
        {"heiOpxS1Zio","sceKernelGetVrCaptureSize"},
        {"j2AIqSqJP0w","sceKernelGetdents"},
        {"taRWhTJFTgE","sceKernelGetdirentries"},
        {"ejekcaNQNq0","sceKernelGettimeofday"},
        {"kOcnerypnQA","sceKernelGettimezone"},
        {"H59T7YvKI5M","sceKernelGiveDirectMemoryToMapper"},
        {"rNRtm1uioyY","sceKernelHasNeoMode"},
        {"3B8820wLyCk","sceKernelHwGetBdDriveInfo"},
        {"l-zbaxNzruE","sceKernelHwHasOpticalOut"},
        {"+ofrEv1aAU0","sceKernelHwHasWlanBt"},
        {"1wxFFk3xIhA","sceKernelIccControlBDPowerState"},
        {"ZqxPUMisNkY","sceKernelIccControlUSBPowerState"},
        {"zLEuSU+hl-w","sceKernelIccGetBDPowerState"},
        {"kDfWvHZH3eM","sceKernelIccGetBootTimestamp"},
        {"1NlbNxWzn7U","sceKernelIccGetCPMode"},
        {"U0NKl-rjhYA","sceKernelIccGetCountTime"},
        {"Z7NoR9m5SVo","sceKernelIccGetCpuInfoBit"},
        {"8TqMzIggthc","sceKernelIccGetErrLog"},
        {"C+i9gJY4A1I","sceKernelIccGetHwInfo"},
        {"tCQzG0iC8zw","sceKernelIccGetPowerNumberOfBootShutdown"},
        {"PA6ZwQM5tNQ","sceKernelIccGetPowerOperatingTime"},
        {"wXmx+vN8puE","sceKernelIccGetPowerUpCause"},
        {"L21PBFwqIiM","sceKernelIccGetSysEventLog"},
        {"zEmi6zvei2k","sceKernelIccGetThermalAlert"},
        {"NtOA+0RApBg","sceKernelIccGetUSBPowerState"},
        {"qWoGe2XqwVw","sceKernelIccIndicatorBootDone"},
        {"gQXxz1IoL5U","sceKernelIccIndicatorShutdown"},
        {"98LV9dS2Fvw","sceKernelIccIndicatorStandby"},
        {"7Q-U-8yN1Hk","sceKernelIccIndicatorStandbyBoot"},
        {"Eye1lgCj9yo","sceKernelIccIndicatorStandbyShutdown"},
        {"wNeGsNes5ck","sceKernelIccNotifyBootStatus"},
        {"xXj0rnNUYIk","sceKernelIccNvsFlush"},
        {"0gkGdPk8dXw","sceKernelIccReadPowerBootMessage"},
        {"iBQ2omlTuls","sceKernelIccSetBuzzer"},
        {"hc0GFWwSrR4","sceKernelIccSetCPMode"},
        {"RP9ImTNDfP8","sceKernelIccSetCpuInfoBit"},
        {"o4NI2wpFhbI","sceKernelIccSetDownloadMode"},
        {"W2u-cvNkvOY","sceKernelInitializeDipsw"},
        {"WkwEd3N7w0Y","sceKernelInstallExceptionHandler"},
        {"L7aj7caj8+s","sceKernelInternalGetKmemStatistics"},
        {"n2nyhRL5uUg","sceKernelInternalGetMapStatistics"},
        {"rb8JKArrzc0","sceKernelInternalHeapPrintBacktraceWithModuleInfo"},
        {"xAKAe6kFk90","sceKernelInternalMapDirectMemory"},
        {"0ttVHjPWLsE","sceKernelInternalMapNamedDirectMemory"},
        {"rjEuM0nb8xg","sceKernelInternalMemoryGetAvailableSize"},
        {"-YTW+qXc3CQ","sceKernelInternalMemoryGetModuleSegmentInfo"},
        {"1vCEy8EP+gc","sceKernelInternalResumeDirectMemoryRelease"},
        {"3+E-5EFZxDo","sceKernelInternalSuspendDirectMemoryRelease"},
        {"jh+8XiK4LeE","sceKernelIsAddressSanitizerEnabled"},
        {"oU4h4oBe2l0","sceKernelIsAllowedToSelectDvdRegion"},
        {"PKg59uLpHNI","sceKernelIsAssistMode"},
        {"cbn9Di01j0k","sceKernelIsAuthenticNeo"},
        {"8aCOCGoRkUI","sceKernelIsCEX"},
        {"K0ZTCJ-wFrM","sceKernelIsDebuggerAttached"},
        {"QNjGUdj1HPM","sceKernelIsDevKit"},
        {"UtO0OHMCgmI","sceKernelIsDevelopmentMode"},
        {"Q+SDBl-5rmk","sceKernelIsDisableRazor"},
        {"B1K98ubk6V8","sceKernelIsExperimentalBeta"},
        {"ts25M0mp2uY","sceKernelIsGenuineCEX"},
        {"lFf3UU811v4","sceKernelIsGenuineDevKit"},
        {"H54cSDvjryI","sceKernelIsGenuineKratosCex"},
        {"u3h77G+tFVc","sceKernelIsGenuineN"},
        {"S4XWKGFp+bc","sceKernelIsGenuineTestKit"},
        {"xeu-pV8wkKs","sceKernelIsInSandbox"},
        {"miPa6vSAqos","sceKernelIsKratos"},
        {"mC57yegC040","sceKernelIsM2DeviceAttached"},
        {"Jp76d0USJeM","sceKernelIsMainOnStanbyMode"},
        {"vZser6ysSbM","sceKernelIsMainOnStandbyMode"},
        {"21+rb7xOlJk","sceKernelIsModuleLoaded"},
        {"WslcK1FQcGI","sceKernelIsNeoMode"},
        {"mpxAdqW7dKY","sceKernelIsProspero"},
        {"Yrwoq3bti3c","sceKernelIsPs4Process"},
        {"yDBwVAolDgg","sceKernelIsStack"},
        {"1CVP7E-WFKk","sceKernelIsTestKit"},
        {"MR221Mwo0Pc","sceKernelJitCreateAliasOfSharedMemory"},
        {"avvJ3J0H0EY","sceKernelJitCreateSharedMemory"},
        {"9yxlvURJU6U","sceKernelJitGetSharedMemoryInfo"},
        {"YKT49TOLQWs","sceKernelJitMapSharedMemory"},
        {"m5zDvD-LLjo","sceKernelKernelHeapUsage"},
        {"wzvqT4UqKX8","sceKernelLoadStartModule"},
        {"Gg3+yWL6DWU","sceKernelLoadStartModuleForSysmodule"},
        {"Y1nEpkCieOY","sceKernelLoadStartModuleInternalForMono"},
        {"oib76F-12fk","sceKernelLseek"},
        {"LFbwY8r50o8","sceKernelLwfsAllocateBlock"},
        {"s2PjRq4By9U","sceKernelLwfsLseek"},
        {"T4osaR3EDkI","sceKernelLwfsSetAttribute"},
        {"kHOS+St2y7M","sceKernelLwfsTrimBlock"},
        {"FNigDX9ue0g","sceKernelLwfsWrite"},
        {"L-Q3LEjIbgA","sceKernelMapDirectMemory"},
        {"BQQniolj9tQ","sceKernelMapDirectMemory2"},
        {"IWIBBdTHit4","sceKernelMapFlexibleMemory"},
        {"NcaWUxfMNIQ","sceKernelMapNamedDirectMemory"},
        {"mL8NDH86iQI","sceKernelMapNamedFlexibleMemory"},
        {"kc+LEEIYakc","sceKernelMapNamedSystemFlexibleMemory"},
        {"8cAlCzoOiic","sceKernelMapSanitizerShadowMemory"},
        {"d0vezuPZxtg","sceKernelMapToolMemory"},
        {"DpDnfM6StzA","sceKernelMapTraceMemory"},
        {"1yXS+iqB3wQ","sceKernelMapperGetParam"},
        {"CEbYeyYuiPQ","sceKernelMapperGetUsageStatsData"},
        {"V-DUYmkNleQ","sceKernelMapperSetPageTablePoolOccupancyNotificationThreshold"},
        {"YN878uKRBbE","sceKernelMemoryPoolBatch"},
        {"Vzl66WmfLvk","sceKernelMemoryPoolCommit"},
        {"LXo1tpFqJGs","sceKernelMemoryPoolDecommit"},
        {"qCSfqDILlns","sceKernelMemoryPoolExpand"},
        {"bvD+95Q6asU","sceKernelMemoryPoolGetBlockStats"},
        {"e1GIcX4AlY4","sceKernelMemoryPoolMove"},
        {"pU-QydtGcGY","sceKernelMemoryPoolReserve"},
        {"1-LFLmRFxxM","sceKernelMkdir"},
        {"3k6kx-zOOSQ","sceKernelMlock"},
        {"EfqmKkirJF0","sceKernelMlockall"},
        {"PGhQHd-dzv8","sceKernelMmap"},
        {"vSMAm3cxYTY","sceKernelMprotect"},
        {"DkNebxmJyVI","sceKernelMsync"},
        {"9bfdLIyuwCY","sceKernelMtypeprotect"},
        {"xQIIfJ860sk","sceKernelMunlock"},
        {"lvD71jP2Mnk","sceKernelMunlockall"},
        {"cQke9UuBQOk","sceKernelMunmap"},
        {"QvsZxomvUHs","sceKernelNanosleep"},
        {"KB7Vc2+5S54","sceKernelNormalizePath"},
        {"v3LXmnWVWXk","sceKernelNotifyAppEvent"},
        {"2z1Tkrqh8jE","sceKernelNotifyAppStateChanged"},
        {"hjErHT1CwJM","sceKernelNotifySystemSuspendResumeProgress"},
        {"da6-yq0GbLg","sceKernelNotifySystemSuspendStart"},
        {"1G3lF1Gg1k8","sceKernelOpen"},
        {"wibWed78GyY","sceKernelOpenEport"},
        {"1vDaenmJtyA","sceKernelOpenEventFlag"},
        {"fTKdKh-J61s","sceKernelOpenInternal"},
        {"MwhHNKdBXq8","sceKernelOpenSema"},
        {"9lvj5DjHZiA","sceKernelPollEventFlag"},
        {"12wOHk8ywb0","sceKernelPollSema"},
        {"+r3rMFwItV4","sceKernelPread"},
        {"yTj62I7kw4s","sceKernelPreadv"},
        {"9VJUCJrxBJQ","sceKernelPrepareDirectMemorySwap"},
        {"-ajib2lKj-c","sceKernelPrepareToResumeProcess"},
        {"5ifAYsFspMM","sceKernelPrepareToSuspendProcess"},
        {"Wl2o5hOVZdw","sceKernelPrintBacktraceWithModuleInfo"},
        {"k1jIkFHa9OU","sceKernelProtectDirectMemory"},
        {"cBp0Ad-24LA","sceKernelProtectDirectMemoryForPID"},
        {"nKWi-N2HBV4","sceKernelPwrite"},
        {"mBd4AfLP+u8","sceKernelPwritev"},
        {"WFcfL2lzido","sceKernelQueryMemoryProtection"},
        {"8qHfcUe-Nbo","sceKernelQueryToolMemory"},
        {"+8GCeq43o7c","sceKernelQueryTraceMemory"},
        {"il03nluKfMk","sceKernelRaiseException"},
        {"p2suRCR4KqE","sceKernelRandomizedPath"},
        {"LxIacrWiJ3w","sceKernelRdup"},
        {"Cg4srZ6TKbU","sceKernelRead"},
        {"ScfnaxnQXn4","sceKernelReadDipswData"},
        {"-2IRUCO--PM","sceKernelReadTsc"},
        {"QqxBetgJH+g","sceKernelReadv"},
        {"bXxVDD3VuWc","sceKernelReboot"},
        {"MBuItvba6z8","sceKernelReleaseDirectMemory"},
        {"teiItL2boFw","sceKernelReleaseFlexibleMemory"},
        {"gO98NioN5FM","sceKernelReleaseToolMemory"},
        {"Alqa9RE0Y5k","sceKernelReleaseTraceDirectMemory"},
        {"Qhv5ARAoOEc","sceKernelRemoveExceptionHandler"},
        {"52NcYU9+lEo","sceKernelRename"},
        {"M0z6Dr6TNnM","sceKernelReportUnpatchedFunctionCall"},
        {"VjWR6g9qL2k","sceKernelReserve2mbPage"},
        {"4zUh1kGuaiw","sceKernelReserveSystemDirectMemory"},
        {"7oxv3PPCumo","sceKernelReserveVirtualRange"},
        {"Bc0S7C2y0Ng","sceKernelRestoreApp"},
        {"PS5hxxGEVB8","sceKernelResumeDirectMemoryRelease"},
        {"iZ5it+3LGQM","sceKernelResumeProcess"},
        {"naInUjYt3so","sceKernelRmdir"},
        {"Kf10sqhOoRY","sceKernelRtldControl"},
        {"ASVb7Y-pR4Y","sceKernelSandboxPath"},
        {"uq1imV74tBs","sceKernelSaveApp"},
        {"zl7hupSO0C0","sceKernelSendNotificationRequest"},
        {"CkomU+GYCQ8","sceKernelSetAppInfo"},
        {"QU57kCwF81U","sceKernelSetAppState"},
        {"9xRIkqnNibE","sceKernelSetBackupRestoreMode"},
        {"V0ey5Vz5F7k","sceKernelSetBaseModeClock"},
        {"WS7uPTZ0WCs","sceKernelSetBesteffort"},
        {"c8J3uxxQTl4","sceKernelSetBootReqNotify"},
        {"nzuKTmqQFXY","sceKernelSetBudget"},
        {"P6dUEXUHXjo","sceKernelSetCallRecord"},
        {"FeBOnMEm0SY","sceKernelSetCompressionAttribute"},
        {"9LBcV3rS10Q","sceKernelSetCoredumpAppInfo"},
        {"KCwXUKT269I","sceKernelSetCpumodeGame"},
        {"+rSNKzU+aNQ","sceKernelSetDataTransferMode"},
        {"HBsPvq47HNA","sceKernelSetDipsw"},
        {"OfrPlrwzl4U","sceKernelSetDirectMemoryType"},
        {"DOcz37jR7dk","sceKernelSetEmergencyErrorLog"},
        {"IOnSvHzqu6A","sceKernelSetEventFlag"},
        {"VjBtg5Btl94","sceKernelSetFsstParam"},
        {"rzEsC81gurc","sceKernelSetGPI"},
        {"ca7v6Cxulzs","sceKernelSetGPO"},
        {"ej7DGZDhuAk","sceKernelSetGameDirectMemoryLimit"},
        {"4nAp4pZgV1A","sceKernelSetGpuCu"},
        {"Ee3LPFXEvA0","sceKernelSetIoreq"},
        {"kyifJypWYrM","sceKernelSetKnobs"},
        {"A1zOC17L80g","sceKernelSetMemoryPstate"},
        {"EA4bmgm02o8","sceKernelSetNeoModeClock"},
        {"JlybWYbzKcY","sceKernelSetPackageInfo"},
        {"BDLSyH7y6Mo","sceKernelSetPhysFmemLimit"},
        {"8UVYwy0F2Hk","sceKernelSetProcessName"},
        {"-W4xI5aVI8w","sceKernelSetProcessProperty"},
        {"U5HG6wD4smU","sceKernelSetProcessPropertyString"},
        {"BohYr-F7-is","sceKernelSetPrtAperture"},
        {"As-JdqyUuMs","sceKernelSetSafemode"},
        {"2mH42a-kAiQ","sceKernelSetSafemodeDirect"},
        {"ihf-xuMiekk","sceKernelSetSuspendState"},
        {"cxdklXtQcqA","sceKernelSetTimezoneInfo"},
        {"EvwmfJ-sQEQ","sceKernelSetUpdatemode"},
        {"DGMG3JshrZU","sceKernelSetVirtualRangeName"},
        {"R7Xj-th93gs","sceKernelSetVmContainer"},
        {"ChCOChPU-YM","sceKernelSettimeofday"},
        {"XQ1A9VPIigU","sceKernelSflashGetWritePrio"},
        {"X79uU+sZkdQ","sceKernelSflashSetWritePrio"},
        {"4czppHBiriw","sceKernelSignalSema"},
        {"-ZR+hG7aDHw","sceKernelSleep"},
        {"8KDMful7g1Y","sceKernelSlvNotifyError"},
        {"qIjSKZfWk5I","sceKernelSpawn"},
        {"eV9wAD2riIA","sceKernelStat"},
        {"QKd0qM58Qes","sceKernelStopUnloadModule"},
        {"KidC5apWSEo","sceKernelStreamWriteActivate"},
        {"M3ER4aQZimk","sceKernelStreamWriteCreate"},
        {"wPDgF0XIIqQ","sceKernelStreamWriteDeactivate"},
        {"xfm7bGiCIPg","sceKernelStreamWriteDelete"},
        {"RZWbY4WHAwA","sceKernelStreamWriteRead"},
        {"DB+dOgEwWOs","sceKernelStreamWriteStat"},
        {"RsiyvBXx3Bs","sceKernelStreamWriteWrite"},
        {"BeCdfnNLrA8","sceKernelSubmitAIO"},
        {"C8wi8QOUQQk","sceKernelSuspendDirectMemoryRelease"},
        {"NvRYDns8Ydc","sceKernelSuspendProcess"},
        {"yeW8YJ4T7K4","sceKernelSuspendSystem"},
        {"KK6B72YC-js","sceKernelSwitchToBaseMode"},
        {"Op5E4tzSoiU","sceKernelSwitchToNativeMode"},
        {"+DVcq4YF6Xg","sceKernelSwitchToNeoMode"},
        {"uvT2iYBBnkY","sceKernelSync"},
        {"VinlCA8Vkg8","sceKernelTerminateProcess"},
        {"hUN72ocX6gM","sceKernelTerminateSysCore"},
        {"1yca4VvfcNA","sceKernelTitleWorkaroundIsEnabled"},
        {"GST42pfUfMc","sceKernelTitleWorkdaroundIsEnabled"},
        {"eESTogkCMPE","sceKernelTraceMemoryTypeProtect"},
        {"is-XQhYPRaQ","sceKernelTriggerEport"},
        {"F6e0kwo4cnk","sceKernelTriggerUserEvent"},
        {"WlyEA-sLDf0","sceKernelTruncate"},
        {"AUXVxWeJU-A","sceKernelUnlink"},
        {"OF8D1S5kgMw","sceKernelUnsetDipsw"},
        {"1jfXLRVzisc","sceKernelUsleep"},
        {"0Cq8ipKr9n0","sceKernelUtimes"},
        {"Xjoosiw+XPI","sceKernelUuidCreate"},
        {"rVjRvHJ0X6c","sceKernelVirtualQuery"},
        {"f77qlxIbqu0","sceKernelVirtualQueryAll"},
        {"Dmj7m0jmEXQ","sceKernelWaitAIO"},
        {"Hvl1+ARWoss","sceKernelWaitAIOs"},
        {"3GqBPApWgPY","sceKernelWaitCommandBufferCompletion"},
        {"fzyMKs9kim0","sceKernelWaitEqueue"},
        {"JTvBflhYazQ","sceKernelWaitEventFlag"},
        {"Zxa0VhQVTsk","sceKernelWaitSema"},
        {"4wSze92BhLI","sceKernelWrite"},
        {"853R8RXtPMY","sceKernelWriteDipswData"},
        {"ry+I3fgrkfE","sceKernelWriteEventQueueOnCompletionCommand"},
        {"3ZOA8Pf6Jho","sceKernelWriteMapCommand"},
        {"5b3ZqlxJ+WE","sceKernelWriteMapCommand2"},
        {"3M8jROcYzjs","sceKernelWriteMapDirectCommand"},
        {"tNaDjIbVOwc","sceKernelWriteMapDirectWithGpuMaskIdCommand"},
        {"G-NhAZUNlwc","sceKernelWriteMapWithGpuMaskIdCommand"},
        {"hrEIwWDKm-w","sceKernelWriteModifyMtypeProtectCommand"},
        {"rm5-jOxSZzQ","sceKernelWriteModifyMtypeProtectWithGpuMaskIdCommand"},
        {"B4xIPqeRONI","sceKernelWriteModifyProtectCommand"},
        {"2zLw9GwrtyI","sceKernelWriteModifyProtectWithGpuMaskIdCommand"},
        {"sJrF-d2uL0Y","sceKernelWriteMultiMapCommand"},
        {"HYzkJb41fcE","sceKernelWriteMultiMapWithGpuMaskIdCommand"},
        {"VZPXaaxp9xc","sceKernelWriteRemapCommand"},
        {"RPAHEYSOt1s","sceKernelWriteRemapIntoPrtCommand"},
        {"G5tFhAqrCTg","sceKernelWriteRemapWithGpuMaskIdCommand"},
        {"I111PPn2g18","sceKernelWriteSdkEventLog"},
        {"2RBVSWjzL74","sceKernelWriteSdkEventLogV"},
        {"TyzsoH-vx8o","sceKernelWriteUnmapCommand"},
        {"vnKYv2NuO5U","sceKernelWriteUnmapToPrtCommand"},
        {"6xV3u1IX9hY","sceKernelWriteWaitOnAddressCommand"},
        {"M9PNUN4QjQA","sceKernelWriteWaitOnCounterCommand"},
        {"5Qrm9WvdQQ4","sceKernelWriteWriteAddressCommand"},
        {"SIRdgEH3wA4","sceKernelWriteWriteCounterCommand"},
        {"kAt6VDbHmro","sceKernelWritev"},
        {"omkB3RQAzoI","sceKernelXenterSblock"},
        {"sNHr6sLUsRE","sceKernelXexitSblock"},
        {"BtJ3gH33xss","sceKernelYieldCpumode"},
        {"0LWei+c7RNc","sceKeyboardClose"},
        {"cKyUWdEKBME","sceKeyboardConnectPort"},
        {"qkHOAYtCFxg","sceKeyboardDebugGetDeviceId"},
        {"0lAFLqZonXI","sceKeyboardDeviceOpen"},
        {"DhTavziiZ80","sceKeyboardDisconnectDevice"},
        {"Hdm6rO0xlnw","sceKeyboardDisconnectPort"},
        {"XNArvUsT18s","sceKeyboardGetConnection"},
        {"84mvEJFMYK4","sceKeyboardGetDeviceInfo"},
        {"se0KYvZSzg8","sceKeyboardGetHandle"},
        {"yO9JwdRhtSA","sceKeyboardGetKey2Char"},
        {"wadT3QBCGY0","sceKeyboardInit"},
        {"6zKouhabgjM","sceKeyboardMbusInit"},
        {"HJ+KnEHcaxI","sceKeyboardOpen"},
        {"feMFMNgm+o0","sceKeyboardPadEmulateClose"},
        {"mFR2QN8HNVU","sceKeyboardPadEmulateOpen"},
        {"xybbGMCr738","sceKeyboardRead"},
        {"6HpE68bzX6M","sceKeyboardReadState"},
        {"jqRcNtZmLuE","sceKeyboardSetProcessFocus"},
        {"K1A7IJp5xYc","sceKeyboardSetProcessPrivilege"},
        {"GpWMCMxa1aA","sceLibSecureAddCipher"},
        {"+dVBPC74ZhM","sceLibSecureAddHash"},
        {"hMYgMP-Vuno","sceLibSecureCryptographyDecrypt"},
        {"RsiCFJMIGHw","sceLibSecureCryptographyDeleteContext"},
        {"aEoi0u2FOiQ","sceLibSecureCryptographyEncrypt"},
        {"-BH+f7FpecY","sceLibSecureCryptographyGenerateKey"},
        {"TtV6Hg4hWo4","sceLibSecureCryptographyGetBlockSize"},
        {"pT4ViD0o-bM","sceLibSecureCryptographyGetContextSize"},
        {"XnVFbq-Qc9I","sceLibSecureCryptographyGetKeySize"},
        {"XKDzFiGAvhU","sceLibSecureCryptographyMessagePadding"},
        {"NpcegFLFQpg","sceLibSecureCryptographyMessagePaddingSize"},
        {"nMFArZfMy7U","sceLibSecureCryptographyMessageUnpadding"},
        {"90y6o3vONeQ","sceLibSecureCryptographyResetContext"},
        {"hyfPWjJB8pI","sceLibSecureCryptographySetContext"},
        {"t4lnn4rB+U0","sceLibSecureDestroy"},
        {"pGllkf3ECvw","sceLibSecureHashAddMessage"},
        {"lyPvxnyBgdY","sceLibSecureHashDeleteContext"},
        {"A7EKlm22zoE","sceLibSecureHashGetBlockSize"},
        {"Z2O+ajwrumo","sceLibSecureHashGetContextSize"},
        {"i4z2NMo9T3A","sceLibSecureHashGetDigest"},
        {"YGvqDPyza18","sceLibSecureHashGetDigestSize"},
        {"8k5ENIb5s7g","sceLibSecureHashHmac"},
        {"hzFlLcA1s-M","sceLibSecureHashMessage"},
        {"GnG9xqIIEWk","sceLibSecureHashResetContext"},
        {"tpQBXFxLy+8","sceLibSecureHashSetContext"},
        {"fIqNvkKIUPQ","sceLibSecureInit"},
        {"djUtq62Eadc","sceLibSecureRandom"},
        {"dpMK+i43hbU","sceLibSecureRemoveCipher"},
        {"P5slpXsXy04","sceLibSecureRemoveHash"},
        {"sMko2YZqDNQ","sceLibcBacktraceGetBufferSize"},
        {"MTnuKt7HiN0","sceLibcBacktraceSelf"},
        {"aqqpmI7-1j0","sceLibcDebugOut"},
        {"7QA+NMGjKK4","sceLibcFopenWithFD"},
        {"Gx6XB3Cf5KY","sceLibcFopenWithFH"},
        {"EkENuw5cosY","sceLibcGetFD"},
        {"ZVPYiIh8mkQ","sceLibcGetFH"},
        {"Sj3fKG7MwMk","sceLibcHeapGetAddressRanges"},
        {"NWtTN10cJzE","sceLibcHeapGetTraceInfo"},
        {"HFtbbWvBO+U","sceLibcHeapMutexCalloc"},
        {"jJKMkpqQr7I","sceLibcHeapMutexFree"},
        {"4iOzclpv1M0","sceLibcHeapSetAddressRangeCallback"},
        {"M6qiY0nhk54","sceLibcHeapSetTraceMarker"},
        {"RlhJVAYLSqU","sceLibcHeapUnsetTraceMarker"},
        {"EHsF2i9FXPM","sceLibcInternalBacktraceForGame"},
        {"al3JzFI9MQ0","sceLibcInternalHeapErrorReportForGame"},
        {"YrL-1y6vfyo","sceLibcInternalMemoryGetWakeAddr"},
        {"h8jq9ee4h5c","sceLibcInternalMemoryMutexEnable"},
        {"LXqt47GvaRA","sceLibcInternalSetMallocCallback"},
        {"ljkqMcC4-mk","sceLibcMspaceAlignedAlloc"},
        {"LYo3GhIlB38","sceLibcMspaceCalloc"},
        {"syTFGqfBLQE","sceLibcMspaceCheckMemoryBounds"},
        {"-hn1tcVHq5Q","sceLibcMspaceCreate"},
        {"pi90NsG3zPA","sceLibcMspaceCreateForMonoMutex"},
        {"W6SiVSiCDtI","sceLibcMspaceDestroy"},
        {"Vla-Z+eXlxo","sceLibcMspaceFree"},
        {"raRgiuQfvWk","sceLibcMspaceGetAddressRanges"},
        {"gvqHvbjlHzA","sceLibcMspaceGetFooterValue"},
        {"pzUa7KEoydw","sceLibcMspaceIsHeapEmpty"},
        {"OJjm-QOIHlI","sceLibcMspaceMalloc"},
        {"mfHdJTIvhuo","sceLibcMspaceMallocStats"},
        {"k04jLXu3+Ic","sceLibcMspaceMallocStatsFast"},
        {"fEoW6BJsPt4","sceLibcMspaceMallocUsableSize"},
        {"iF1iQHzxBJU","sceLibcMspaceMemalign"},
        {"qWESlyXMI3E","sceLibcMspacePosixMemalign"},
        {"gigoVHZvVPE","sceLibcMspaceRealloc"},
        {"p6lrRW8-MLY","sceLibcMspaceReallocalign"},
        {"loR8ypxf43E","sceLibcMspaceReportMemoryBlocks"},
        {"+CbwGRMnlfU","sceLibcMspaceSetMallocCallback"},
        {"HmgKoOWpUc8","sceLibcOnce"},
        {"-lZdT34nAAE","sceLibcPafMspaceCalloc"},
        {"Pcq7UoYAcFE","sceLibcPafMspaceCheckMemoryBounds"},
        {"6hdfGRKHefs","sceLibcPafMspaceCreate"},
        {"qB5nGjWa-bk","sceLibcPafMspaceDestroy"},
        {"9mMuuhXMwqQ","sceLibcPafMspaceFree"},
        {"kv4kgdjswN0","sceLibcPafMspaceGetFooterValue"},
        {"htdTOnMxDbQ","sceLibcPafMspaceIsHeapEmpty"},
        {"QuZzFJD5Hrw","sceLibcPafMspaceMalloc"},
        {"mO8NB8whKy8","sceLibcPafMspaceMallocStats"},
        {"OmG3YPCBLJs","sceLibcPafMspaceMallocStatsFast"},
        {"6JcY5RDA4jY","sceLibcPafMspaceMallocUsableSize"},
        {"PKJcFUfhKtw","sceLibcPafMspaceMemalign"},
        {"7hOUKGcT6jM","sceLibcPafMspacePosixMemalign"},
        {"u32UXVridxQ","sceLibcPafMspaceRealloc"},
        {"4SvlEtd0j40","sceLibcPafMspaceReallocalign"},
        {"0FnzR6qum90","sceLibcPafMspaceReportMemoryBlocks"},
        {"AUYdq63RG3U","sceLibcPafMspaceTrim"},
        {"rJFDhypHYaY","sceLibreSslGetMemoryPoolStats"},
        {"DWzAHSX9KW8","sceLibreSslInit"},
        {"jri3LyXhEGw","sceLibreSslInitEx"},
        {"xoRfQxAhHjk","sceLibreSslInitEx2"},
        {"n2fSRzuTEY4","sceLibreSslTerm"},
        {"V350H0h35IU","sceLncUtilAcquireCpuBudgetOfExtraAudioDevices"},
        {"GmKMHwvxLlo","sceLncUtilAcquireCpuBudgetOfImeForBigApp"},
        {"mC3BKJFlbNI","sceLncUtilAcquireCpuBudgetOfInGameStore"},
        {"4dWfNKOT1sg","sceLncUtilActivateCdlg"},
        {"j72lst7BFuc","sceLncUtilAddLocalProcess"},
        {"u1JVDP28ycg","sceLncUtilBlockAppSuspend"},
        {"MxXZ-poqGNs","sceLncUtilBlockingGetEventForDaemon"},
        {"93MnzhkAAgk","sceLncUtilContinueApp"},
        {"uaqZvga3Fkg","sceLncUtilCrashSyscore"},
        {"4oofFQudfx0","sceLncUtilDeactivateCdlg"},
        {"GHUqRrCB2hM","sceLncUtilDeclareReadyForSuspend"},
        {"GkcNZBoiDcs","sceLncUtilDisableSuspendNotification"},
        {"AGnsy1zV34o","sceLncUtilEnableSuspendNotification"},
        {"UukL0EXLQls","sceLncUtilFinishSpecialResume"},
        {"vquYrvImjPg","sceLncUtilForceKillApp"},
        {"NS-XWAN9uoc","sceLncUtilForceKillLocalProcess"},
        {"i-esdF3Kz-g","sceLncUtilGetApp0DirPath"},
        {"vbMEQcz6O8g","sceLncUtilGetAppCategory"},
        {"LtGMfy0pCj4","sceLncUtilGetAppCategoryType"},
        {"rPDLpn5xox8","sceLncUtilGetAppFocusedAppId"},
        {"i+1kluDITlQ","sceLncUtilGetAppFocusedAppStatus"},
        {"MVF+elex8Sw","sceLncUtilGetAppId"},
        {"dz-OCLvhVMs","sceLncUtilGetAppIdListOfBigApp"},
        {"Wu+zDz8VIFk","sceLncUtilGetAppIdOfBigApp"},
        {"ppWFdoDMMSs","sceLncUtilGetAppIdOfMiniApp"},
        {"SoQULIDd9V4","sceLncUtilGetAppIdOfRunningBigApp"},
        {"oYQC9Quj6No","sceLncUtilGetAppLaunchedUser"},
        {"DxRki7T2E44","sceLncUtilGetAppStatus"},
        {"pMK2RT0cyus","sceLncUtilGetAppStatusList"},
        {"cyO5ShJxdnE","sceLncUtilGetAppStatusListForShellUIReboot"},
        {"g0wTG9KImzI","sceLncUtilGetAppTitleId"},
        {"1AQf7o8gpHc","sceLncUtilGetAppType"},
        {"7yXjWLWJFHU","sceLncUtilGetCdlgExec"},
        {"W2WHDUt6O9A","sceLncUtilGetCdlgStatus"},
        {"XjGem6+kn7U","sceLncUtilGetCdlgType"},
        {"CgVdl9Sp1G0","sceLncUtilGetCoredumpState"},
        {"deCYc7iaC5Q","sceLncUtilGetDbgExecutablePath"},
        {"yUh0BIPbhVo","sceLncUtilGetEventForDaemon"},
        {"ZucoOmNsb7w","sceLncUtilGetEventForShellUI"},
        {"ojmvNKQZNUw","sceLncUtilGetGpuCrashFullDumpAppStatus"},
        {"wGobSSrBM4s","sceLncUtilGetLocalProcessStatusList"},
        {"HRXjUojlG70","sceLncUtilGetParentSocket"},
        {"kOd75qDlxBM","sceLncUtilGetResultKillApp"},
        {"LZs6hfPMnso","sceLncUtilGetResultLaunchAppByTitleId"},
        {"-Fbhc5T-vIA","sceLncUtilGetVideoFinalizeState"},
        {"f-Q8Nd33FBc","sceLncUtilInitialize"},
        {"PyNH7p4LVw8","sceLncUtilIsActiveCdlg"},
        {"IGrJsPNL6n4","sceLncUtilIsAppLaunched"},
        {"teGoPWnEgd4","sceLncUtilIsAppSuspended"},
        {"34kvdye-B3o","sceLncUtilIsCdlgActivated"},
        {"iUsONHVCDbQ","sceLncUtilIsCpuBudgetOfExtraAudioDevicesAvailable"},
        {"7pvtcnbjvTk","sceLncUtilIsDiscPlayerForeground"},
        {"UpYNlATxBKk","sceLncUtilIsHostBoot"},
        {"i4tm7MB0ZK0","sceLncUtilIsPs2Emu"},
        {"Ry4u8KxkVY4","sceLncUtilIsShellUiFgAndGameBgCpuMode"},
        {"VCwNSNy3NR0","sceLncUtilIsSpeculativeLaunch"},
        {"gNn+EZtm1i0","sceLncUtilKickCoredumpOnlyProcMem"},
        {"SZ2uH5Abws8","sceLncUtilKillApp"},
        {"RBlEzB--JeA","sceLncUtilKillAppWithReason"},
        {"IhlLdSAX+Jk","sceLncUtilKillLocalProcess"},
        {"+nRJUD-7qCk","sceLncUtilLaunchApp"},
        {"LoxW4s4iDtI","sceLncUtilLaunchByName2"},
        {"wwpRNgW81Cs","sceLncUtilLoadExec"},
        {"+8LJld9LIt4","sceLncUtilNotifyCoredumpRequestEnd"},
        {"HKZmLmGfkd4","sceLncUtilNotifyCoredumpRequestProgress"},
        {"-3moAnxKYkc","sceLncUtilNotifyVshReady"},
        {"P563r-eGAh4","sceLncUtilRaiseException"},
        {"CJ45DLRQOD8","sceLncUtilRaiseExceptionLocalProcess"},
        {"Qn5JIRI6ZNU","sceLncUtilRegisterCdlgSharedMemoryName"},
        {"V25-9U+YauY","sceLncUtilRegisterDaemon"},
        {"awS+eYVuXJA","sceLncUtilRegisterShellUI"},
        {"QvUYLdPhylQ","sceLncUtilReleaseCpuBudgetOfExtraAudioDevices"},
        {"1PQhPdyNCj8","sceLncUtilReleaseCpuBudgetOfImeForBigApp"},
        {"QsLhZ+8WvSM","sceLncUtilReleaseCpuBudgetOfInGameStore"},
        {"lD-k3hDhlqA","sceLncUtilResumeApp"},
        {"XaC9s-Nr2u4","sceLncUtilResumeLocalProcess"},
        {"v7DYuX0G5TQ","sceLncUtilSetAppFocus"},
        {"3mHuKF7fsd8","sceLncUtilSetCdlgExec"},
        {"X8gYbyLG1wk","sceLncUtilSetControllerFocus"},
        {"NJYAQeP3z7c","sceLncUtilSetControllerFocusPermission"},
        {"62VJcoJnzdA","sceLncUtilSetRemotePlayServiceFlag"},
        {"3+64z-ckBS8","sceLncUtilStartKillApp"},
        {"r07vD4SP2sc","sceLncUtilStartLaunchAppByTitleId"},
        {"Y8onQYjuvOU","sceLncUtilSuspendApp"},
        {"8vYXkdXmh-Q","sceLncUtilSuspendBackgroundApp"},
        {"rd+-SzL202E","sceLncUtilSuspendLocalProcess"},
        {"od3yXUJvLPY","sceLncUtilSystemReboot"},
        {"+Zv+OWIytek","sceLncUtilSystemShutdown"},
        {"Kt1k5aBzrcE","sceLncUtilSystemSuspend"},
        {"cCod+B3EdhI","sceLncUtilTerminate"},
        {"msW-hp1U0zo","sceLncUtilTryBlockAppSuspend"},
        {"iRZduYIV1hs","sceLncUtilUnblockAppSuspend"},
        {"aVRNp1nOOKY","sceLncUtilUnregisterCdlgSharedMemoryName"},
        {"BnMaW5wfnlQ","sceLncUtilUnregisterDaemon"},
        {"cqui4JUJtbY","sceLncUtilUnregisterShellUI"},
        {"F0XIzrG5yvw","sceLoginDialogClose"},
        {"Btkx21f1M8k","sceLoginDialogGetResult"},
        {"HAiWUEwEfGo","sceLoginDialogGetStatus"},
        {"qP-EvQRl2Hc","sceLoginDialogInitialize"},
        {"S56ra1+Tymg","sceLoginDialogOpen"},
        {"vMQJRUKsf3U","sceLoginDialogTerminate"},
        {"2rc+egSfb5A","sceLoginDialogUpdateStatus"},
        {"gdVNTX4s0XE","sceLoginMgrServerCheckSafetyNoticeShown"},
        {"qOlxBR2lpG0","sceLoginMgrServerCheckTutorialShown"},
        {"m0xKuqISvWY","sceLoginMgrServerClearMorpheusRequiredUserId"},
        {"VLB2F2owln0","sceLoginMgrServerConvertToUserId"},
        {"AT6NySjQ2gY","sceLoginMgrServerCreateUser"},
        {"REIRIXzv-H0","sceLoginMgrServerDestroyUser"},
        {"wZ2eXClFUaE","sceLoginMgrServerDialogGetAppId"},
        {"6+tPBogghdI","sceLoginMgrServerDialogGetOpenParam"},
        {"JkygqqJPGdw","sceLoginMgrServerDialogNotifyCloseFinished"},
        {"ci5qfgD5F58","sceLoginMgrServerDialogNotifyOpenFinished"},
        {"YMxfNRx4DR4","sceLoginMgrServerDialogSetResult"},
        {"K+WAuNzvn3g","sceLoginMgrServerGetLogoutInfo"},
        {"XpuZT1pS47A","sceLoginMgrServerGetMorpheusRequiredUserId"},
        {"7qkaKBAshAk","sceLoginMgrServerGetMoveAssignmentModeForIDU"},
        {"z4VKVtL7JbU","sceLoginMgrServerGetSharePlayAllowPadOperation"},
        {"4J3Z9DzaMzs","sceLoginMgrServerInitialize"},
        {"Xo9MQFVHpAQ","sceLoginMgrServerInitializeSharePlayAllowPadOperation"},
        {"mwCjW5FlkG4","sceLoginMgrServerIsRequestedCdlgClose"},
        {"P1su7LBMSUw","sceLoginMgrServerLoginServiceGetRequestParam"},
        {"bE03GJF7Bfc","sceLoginMgrServerLoginServiceNotifyRequestFinished"},
        {"dxpQVn+xVYE","sceLoginMgrServerNotifyEasySignInFinished"},
        {"GF+GkOCVVLg","sceLoginMgrServerNotifyEasySignInUserCode"},
        {"F+xsDVy+gqw","sceLoginMgrServerNotifyHmdConnectInfo"},
        {"ozddwj2QrKI","sceLoginMgrServerNotifySafetyNoticeShown"},
        {"LffcWEebPwg","sceLoginMgrServerNotifyShellUIState"},
        {"gmoxsDewVKI","sceLoginMgrServerNotifyTutorialShown"},
        {"Jha8yMoMzrg","sceLoginMgrServerSetLoginFlag"},
        {"DnC0qZ9h+Ms","sceLoginMgrServerSetMorpheusAssignEnabledFlag"},
        {"wkIxHrwZ3+M","sceLoginMgrServerSetMorpheusRequiredUserId"},
        {"KxitkrVcrSg","sceLoginMgrServerSetSharePlayMode"},
        {"-+h1C78SdyU","sceLoginMgrServerSetUserStatus"},
        {"NtHCBzSqxgo","sceLoginMgrServerTerminate"},
        {"NQY2wMTV0ms","sceLoginMgrServerUpdateUserIdRalatedToPadUniqueId"},
        {"T9-NuSHAvcQ","sceLoginServiceInitialize"},
        {"S1Uxf-lgJ-c","sceLoginServiceRequestDevices"},
        {"aR8+Hvghm0E","sceLoginServiceTerminate"},
        {"uPqxvaoLkbM","sceM4aacEncClearContext"},
        {"rukSIqiQ-CQ","sceM4aacEncClearContextEx"},
        {"U2iepfgrDMg","sceM4aacEncCreateEncoder"},
        {"sHd+Oo1+vGI","sceM4aacEncCreateEncoderEx"},
        {"z394AzuRItE","sceM4aacEncDeleteEncoder"},
        {"5JywDY5LQK0","sceM4aacEncDeleteEncoderEx"},
        {"Fqn-wkJCOes","sceM4aacEncEncode"},
        {"0lxRS-x+kFI","sceM4aacEncEncodeEx"},
        {"GXQ2KV8thlc","sceM4aacEncEncodeWithPriority"},
        {"+dwA2Fv+uXk","sceM4aacEncEncodeWithPriorityEx"},
        {"+MdgHI0TYOw","sceM4aacEncFlush"},
        {"LlCP8+zNfPo","sceM4aacEncFlushEx"},
        {"1LChgwRxJs0","sceM4aacEncFlushWithPriority"},
        {"vjjJqCmTcVo","sceM4aacEncFlushWithPriorityEx"},
        {"S0mnCPikRiA","sceM4aacEncGetContext"},
        {"cFUQRjzKDvI","sceM4aacEncInitialize"},
        {"9nTsENYMulM","sceM4aacEncTerminate"},
        {"dl1xO-QP3C8","sceMatAgcRegisterOwner"},
        {"YIFDiAInu7Y","sceMatAgcRegisterResource"},
        {"qdLo7hti5rc","sceMatAgcUnregisterAllResourcesForOwner"},
        {"JyFq+FZ6ujw","sceMatAgcUnregisterOwnerAndResources"},
        {"n-zwIVhJMTY","sceMatAgcUnregisterResource"},
        {"QrzsrnqGy9g","sceMatAlloc"},
        {"uNPUU9tAUw4","sceMatAllocPhysicalMemory"},
        {"I8sUe4XPSvU","sceMatAllocPoolMemory"},
        {"b-BtawOVCmQ","sceMatBatchMap"},
        {"9W19mAu8Bzc","sceMatFree"},
        {"NHjHSABXkLo","sceMatFreePoolMemory"},
        {"yO6vE0Y9eiY","sceMatFreeRange"},
        {"5Zlr3joORIE","sceMatInitialize"},
        {"3yTx5JA+cgg","sceMatMapDirectMemory"},
        {"HE8VNl2+1Fw","sceMatMemoryPoolBatch"},
        {"tIBrrdbjJBA","sceMatMemoryPoolCommit"},
        {"N9YwXumgOfo","sceMatMemoryPoolDecommit"},
        {"Cnn3HtdAFOU","sceMatMemoryPoolExpand"},
        {"C++Y3xup+O0","sceMatMemoryPoolMove"},
        {"+v5r0-k24j0","sceMatMemoryPoolReserve"},
        {"3AI9N7clwCs","sceMatMprotect"},
        {"1HWnwXRCrdI","sceMatMspaceCreate"},
        {"PXtTCOohxj0","sceMatMspaceDestroy"},
        {"hVvUitUwrFs","sceMatMtypeprotect"},
        {"6gOfuHe419U","sceMatNewFrame"},
        {"quIxw751PLs","sceMatPopMarker"},
        {"kd0VbEN5bIY","sceMatPushMarker"},
        {"rDtFuWpxAgM","sceMatPushMarkerStatic"},
        {"xr1gIsJ-9Ns","sceMatRealloc"},
        {"RWNATmy2cug","sceMatReallocBegin"},
        {"XC2CuQMB9js","sceMatReallocEnd"},
        {"tH+nf8PVkP8","sceMatReallocPoolMemory"},
        {"CEcz6AdSUpw","sceMatRegisterGroup"},
        {"ptoJYu3CkyQ","sceMatRegisterOwner"},
        {"uAxS1aVr6OY","sceMatRegisterResource"},
        {"71P0F8eJfPk","sceMatRegisterResourceType"},
        {"LIVclwLLnyM","sceMatReleasePhysicalMemory"},
        {"vYS-YC+Cdkg","sceMatReserveVirtualRange"},
        {"srnAu7m5VKk","sceMatResizeCommsBuffer"},
        {"NDbQMSkpoXg","sceMatSetPrtAperture"},
        {"k6QfiQvAEJc","sceMatSetThreadInfo"},
        {"9m6mmioPTOo","sceMatSetUserCallstackCapture"},
        {"xDzWWofyEtA","sceMatTagAllocation"},
        {"cY6ZpCec3Oo","sceMatTagPool"},
        {"0v6+W4ulXJ0","sceMatTagVirtualMemory"},
        {"0kgbiCpmb1M","sceMatUninitialize"},
        {"O19gIiIute4","sceMatUnmapMemory"},
        {"gEBIkRrqDBA","sceMatUnregisterAllResourcesForOwner"},
        {"lqHsrpuW4MI","sceMatUnregisterOwnerAndResources"},
        {"1TVH3eVt1Mg","sceMatUnregisterResource"},
        {"spov0bD6PpM","sceMatUpdateModuleList"},
        {"Z5-0uTMnWnE","sceMatWriteBookmark"},
        {"eINK6ismSX0","sceMbusAcquireControl"},
        {"BIQaOpcytRc","sceMbusAcquireControlList"},
        {"uryBfUoKlVg","sceMbusAcquireControlWithState"},
        {"eTpWp430DA4","sceMbusAcquireControlWithState2"},
        {"3ic-p1mwH1I","sceMbusAcquireControlWithStateFlag"},
        {"M16uOyvsNr0","sceMbusAddAudioOutHandleAttribute"},
        {"ZiBFdjUIV3A","sceMbusAddHandle"},
        {"WW1zKfNo6HI","sceMbusAddHandleByDeviceId"},
        {"CwDVsGO6U3Q","sceMbusAddHandleByUserId"},
        {"vDx7zD34kQg","sceMbusAddHandleByVidPid"},
        {"wHacm9eagys","sceMbusAddHandleWithModuleId"},
        {"YhDksFtpQso","sceMbusAttachToApplicationByPid"},
        {"Cpo6sQmnZgU","sceMbusBindDeviceWithUserId"},
        {"7JNcL38ez2s","sceMbusChangeAppModuleState"},
        {"LFYbwOGhCys","sceMbusCheckDriverCallback"},
        {"m-oV1ryNAqA","sceMbusCheckEvent"},
        {"48qKr9oyIbQ","sceMbusConvertToLocalDeviceId"},
        {"wxmyc+71ijI","sceMbusConvertToLocalDeviceId2"},
        {"9z3E9CCNNEM","sceMbusConvertToMbusDeviceId"},
        {"L3-IGzPiZHI","sceMbusDebugAcquireControl"},
        {"79VtWg0CMd0","sceMbusDebugAcquireControlList"},
        {"Rz00FuIBcIk","sceMbusDebugAcquireControlWithState"},
        {"vYb+RkDnJBw","sceMbusDebugAcquireControlWithState2"},
        {"QWVJAvJhcoE","sceMbusDebugAcquireControlWithStateFlag"},
        {"ENIHay-pf9k","sceMbusDebugAddProcess"},
        {"f3S7UzMOqpc","sceMbusDebugCheckProcessResume"},
        {"Iu899MfLTlE","sceMbusDebugDecodeApplicationStartupInfo"},
        {"doh35AZf7Zk","sceMbusDebugDisableBgmForShellUi"},
        {"TUuFEPFuHzk","sceMbusDebugEncodeApplicationStartupInfo"},
        {"FW8GJjej89g","sceMbusDebugGetApplicationStartupInfo"},
        {"iidMRmA0MEo","sceMbusDebugGetControlStatus"},
        {"lrH9rFkouoY","sceMbusDebugGetDeviceInfo"},
        {"1TpZWrOOCw0","sceMbusDebugGetInternalInfo"},
        {"5ixbljAMYeg","sceMbusDebugGetPriorityInfo"},
        {"AXXEjyZq2mE","sceMbusDebugReenableBgmForShellUi"},
        {"IFRxwVZPcYw","sceMbusDebugReleaseControl"},
        {"n0lBsnSyAUs","sceMbusDebugRemoveCameraAppModuleFocus"},
        {"yppUV49ur84","sceMbusDebugResumeApplication"},
        {"0vAuFLtXp10","sceMbusDebugSetAppModuleFocus"},
        {"EUmWuIWWTvg","sceMbusDebugSetApplicationFocusByAppId"},
        {"uFUnPAXlyuw","sceMbusDebugSetCameraAppModuleFocus"},
        {"sMW2cWXt-yk","sceMbusDebugSetControllerFocusByAppId"},
        {"po33migRv1I","sceMbusDebugSetOtherProcessExcludedAction"},
        {"FA-B27CW4RQ","sceMbusDebugSetPriority"},
        {"wpMHmauFaok","sceMbusDebugStartApplication"},
        {"ie4A5lHoO8U","sceMbusDebugStartApplication2"},
        {"8A7Zj+CRIoY","sceMbusDebugStartApplicationNull"},
        {"D2MCGrGvCYY","sceMbusDebugSuspendApplication"},
        {"niEWK3zCAGQ","sceMbusDebugTerminateApplication"},
        {"bFh3fZapfPY","sceMbusDebugTerminateProcess"},
        {"t2r-vTvYlTo","sceMbusDetachFromApplicationByPid"},
        {"fG0IjY5r484","sceMbusDisableBgmForShellUi"},
        {"KcZzE5h0OBA","sceMbusDisableChat"},
        {"WNxCIjZdcTo","sceMbusDisconnectDevice"},
        {"tJ9kX6guf3I","sceMbusDumpAppInfo"},
        {"MtBchJFDxdU","sceMbusDumpDeviceInfo"},
        {"fZ3rCadtmXo","sceMbusDumpHandleStatusInfo"},
        {"KdvFp7l2qhA","sceMbusDumpHandleStatusInfoAll"},
        {"3UJTdJgcQzA","sceMbusDumpModuleStateInfo"},
        {"YQdBMeXFvso","sceMbusDumpModuleStateInfoAll"},
        {"nNxUUYCpZkw","sceMbusDumpPlayerInfo"},
        {"28Gu3wb-d1o","sceMbusDumpPortHandleInfo"},
        {"Qk18Owuq1Yg","sceMbusDumpProcMediaInfo"},
        {"ZMskokGFzRk","sceMbusDumpProcMediaInfoAll"},
        {"kdL5Xm-z3zw","sceMbusDumpUserMediaInfo"},
        {"ESiS-L7svdc","sceMbusEnableChat"},
        {"jR6okvzdkvI","sceMbusEnterAudioOutAutoAttenuation"},
        {"pM6IH8xwjQ4","sceMbusEventBusStatusChangeSubscribe"},
        {"sB-c6VjBmOs","sceMbusEventBusStatusChangeUnsubscribe"},
        {"ZDaoItgoNF0","sceMbusEventCallbackFuncsInit"},
        {"HgPSJ1kcnHM","sceMbusEventCallbackFuncsInit_"},
        {"0LkfqnKtPQg","sceMbusEventCreate"},
        {"c08SEHicDNU","sceMbusEventCreate_"},
        {"AcARz3iay1I","sceMbusEventDestroy"},
        {"puHrnP8V-dY","sceMbusEventReceive"},
        {"GssDGmm3rGM","sceMbusGetControlStatus"},
        {"Czjo1Se8pEw","sceMbusGetDeviceDescription"},
        {"yTC1T2lLJwY","sceMbusGetDeviceInfo"},
        {"wqz7049QaFY","sceMbusGetDeviceInfoByBusId"},
        {"jpq8GaJ3ER0","sceMbusGetDeviceInfoByBusId_"},
        {"6BEmysiBFRM","sceMbusGetDeviceInfoByCondition"},
        {"UWh5t-hCbzQ","sceMbusGetDeviceInfoByConditionForDeviceService"},
        {"KRL-S9qBqXw","sceMbusGetDeviceInfoByCondition_"},
        {"RsKVKhSWt28","sceMbusGetDeviceInfo_"},
        {"hIix-HlsHmU","sceMbusGetSimulatedBusUsableStatusByBusType"},
        {"b28tsShnGuQ","sceMbusGetSimulatedHandleStatusInfo"},
        {"nkMkM8NEEnI","sceMbusGetSimulatedHandleStatusInfo2"},
        {"hIAyLXI4V8g","sceMbusGetSparkState"},
        {"pOTLKv4IdPc","sceMbusGetUsersDeviceInfo"},
        {"wRPXMGtkOq0","sceMbusInit"},
        {"QN0bWxhaUFk","sceMbusIsBgmProhibited"},
        {"qDP21JPNjTs","sceMbusIsUsingDevice"},
        {"Eb6RFqAKzVY","sceMbusLeaveAudioOutAutoAttenuation"},
        {"Lz5AYtGxIFI","sceMbusNotifyBtDisconnection"},
        {"i1D0nTVcCgk","sceMbusNotifyDriverEvent"},
        {"UBOvPwgs85s","sceMbusReenableBgmForShellUi"},
        {"1UyDc79Q4B4","sceMbusRegisterDriver"},
        {"n8+7l03wVdE","sceMbusReleaseControl"},
        {"aq2yxF3xO1c","sceMbusRemoveAudioOutHandleAttribute"},
        {"MtpIAcDR9sA","sceMbusRemoveCameraAppModuleFocus"},
        {"+la07V7EES0","sceMbusRemoveHandle"},
        {"LbHgD9w6uAE","sceMbusRemoveProxy"},
        {"GcdIHVyl-aw","sceMbusResolveByDeviceId"},
        {"Ryaa0CMieNs","sceMbusResolveByHandle"},
        {"mGMQ9igs1LM","sceMbusResolveByPlayerId"},
        {"hUAjs1MUwGY","sceMbusResolveByUserId"},
        {"iG8aKd0W0oc","sceMbusSetAppModuleFocus"},
        {"wpm6Yq7c4YE","sceMbusSetAutoLoginMode"},
        {"a-hXdI7w8Dg","sceMbusSetCameraAppModuleFocus"},
        {"8RjBhxgP+28","sceMbusSetDeviceFunctionState"},
        {"S0wLwmc9bc8","sceMbusSetDuckingSetting"},
        {"mP31WHwSVjQ","sceMbusSetProxy"},
        {"J5u88cqU7OU","sceMbusSetRoutingMode"},
        {"Lrelj2uF1Lc","sceMbusSetScratchData"},
        {"Sq1DqijPveA","sceMbusSetScratchDataUpdatedEventMask"},
        {"ebnG6EV5OcI","sceMbusSetSocialScreenAudioMode"},
        {"jQ2n+Kj8H3c","sceMbusSetTestFlag"},
        {"Mk8fJasEEA4","sceMbusSetThreadParam"},
        {"38YQch0p-Xo","sceMbusSetUsbPowerBlackList"},
        {"pv9qYGyI3+U","sceMbusSetUserMuteStatus"},
        {"DOFWwhLN09E","sceMbusSetVolumeDown"},
        {"87efDBqDEao","sceMbusStartAudioOutAuxBroadcast"},
        {"MHp1WISR7bE","sceMbusStartAudioOutSharePlay"},
        {"G4ubH1mUgdQ","sceMbusStopAudioOutAuxBroadcast"},
        {"Mr3c8XddszE","sceMbusStopAudioOutSharePlay"},
        {"hykD8qmO6XA","sceMbusTerm"},
        {"OUrM7JZcRSg","sceMbusUnregisterDriver"},
        {"84H-GMsBU6M","sceMbusUserLogin"},
        {"VKZKhUg0vyU","sceMbusUserLogout"},
        {"cAnT0Rw-IwU","sceMouseClose"},
        {"Ymyy1HSSJLQ","sceMouseConnectPort"},
        {"BRXOoXQtb+k","sceMouseDebugGetDeviceId"},
        {"WiGKINCZWkc","sceMouseDeviceOpen"},
        {"eDQTFHbgeTU","sceMouseDisconnectDevice"},
        {"jJP1vYMEPd4","sceMouseDisconnectPort"},
        {"UBO+tFHvcyE","sceMouseExtensionGetCursor"},
        {"doRbAW89lZE","sceMouseExtensionRead"},
        {"CvUnq1gsWMg","sceMouseExtensionReadState"},
        {"GE+ZU2Y9pEs","sceMouseExtensionScalePosition"},
        {"T4BHUjH773k","sceMouseExtensionSetConfig"},
        {"2KVa2-HqIRs","sceMouseExtensionSetCursor"},
        {"QA9Qupz3Zjw","sceMouseGetDeviceInfo"},
        {"P+9UQOe1F2g","sceMouseGetHandle"},
        {"Qs0wWulgl7U","sceMouseInit"},
        {"1FeceR5YhAo","sceMouseMbusInit"},
        {"RaqxZIf6DvE","sceMouseOpen"},
        {"x8qnXqh-tiM","sceMouseRead"},
        {"crkFfp-cmFo","sceMouseSetHandType"},
        {"ghLUU2Z5Lcg","sceMouseSetPointerSpeed"},
        {"-EneZpqt2T0","sceMouseSetProcessFocus"},
        {"6aANndpS0Wo","sceMouseSetProcessPrivilege"},
        {"XX6wlxpHyeo","sceMoveClose"},
        {"t-xwlN+36QQ","sceMoveGetBluetoothAddress"},
        {"gByWl2lZ3Eg","sceMoveGetCalibrationInfo"},
        {"0RX-rifku4w","sceMoveGetDeviceId"},
        {"GWXTyxs4QbE","sceMoveGetDeviceInfo"},
        {"y5h7f8H1Jnk","sceMoveGetExtensionPortInfo"},
        {"j1ITE-EoJmE","sceMoveInit"},
        {"L5bFyq-r86A","sceMoveIsReproductionModel"},
        {"OqD2LjbJsAA","sceMoveIsValidHandle"},
        {"HzC60MfjJxU","sceMoveOpen"},
        {"ttU+JOhShl4","sceMoveReadStateLatest"},
        {"f2bcpK6kJfg","sceMoveReadStateRecent"},
        {"1DhxSh2IIUI","sceMoveReadStateRecentForTracker"},
        {"zuxWAg3HAac","sceMoveResetLightSphere"},
        {"ofW2sJkl7gY","sceMoveSetCalibrationMode"},
        {"DdkOIlDT5vs","sceMoveSetExtensionPortOutput"},
        {"T8KYHPs1JE8","sceMoveSetLightSphere"},
        {"S7h1031-wWw","sceMoveSetLightSphereForTracker"},
        {"IFQwtT2CeY0","sceMoveSetVibration"},
        {"tsZi60H4ypY","sceMoveTerm"},
        {"IpEZSWzuMGg","sceMoveTrackerCalibrateReset"},
        {"YJYjBoMFRXY","sceMoveTrackerCalibrateYaw"},
        {"BjsreFAfJzo","sceMoveTrackerCameraUpdate"},
        {"GdMXy2ocZ48","sceMoveTrackerCaptureInit"},
        {"Hyg37zqntzY","sceMoveTrackerCaptureTerm"},
        {"-Y8hlMgBsr4","sceMoveTrackerControllersUpdate"},
        {"YV2CtE7qX8M","sceMoveTrackerGetState"},
        {"16efS+mFGGc","sceMoveTrackerGetVersion"},
        {"gg1d4KsyVVs","sceMoveTrackerGetWorkingMemorySize"},
        {"F4w2atwG428","sceMoveTrackerInit"},
        {"Vmog0fe2m+E","sceMoveTrackerPlayGetImages"},
        {"CZecZG5-Rfc","sceMoveTrackerPlayGetStates"},
        {"xGwa20Nmb2w","sceMoveTrackerPlayStart"},
        {"F1XWLxplruo","sceMoveTrackerPlayStep"},
        {"1PQY6npY6cE","sceMoveTrackerRecordSave"},
        {"zwC-pVt1RY4","sceMoveTrackerRecordStart"},
        {"7ZGS7F0Nl4E","sceMoveTrackerRecordStop"},
        {"3tiBWhkHH3A","sceMoveTrackerTerm"},
        {"2HC+lay1ILU","sceMoveWriteCalibrationInfo"},
        {"HTrcDKlFKuM","sceMsgDialogClose"},
        {"Lr8ovHH9l6A","sceMsgDialogGetResult"},
        {"CWVW78Qc3fI","sceMsgDialogGetStatus"},
        {"lDqxaY1UbEo","sceMsgDialogInitialize"},
        {"b06Hh0DPEaE","sceMsgDialogOpen"},
        {"Gc5k1qcK4fs","sceMsgDialogProgressBarInc"},
        {"6H-71OdrpXM","sceMsgDialogProgressBarSetMsg"},
        {"wTpfglkmv34","sceMsgDialogProgressBarSetValue"},
        {"ePw-kqZmelo","sceMsgDialogTerminate"},
        {"6fIC3XKt2k0","sceMsgDialogUpdateStatus"},
        {"aBn53jPCbCE","sceMusicCoreServerCheckCoreStatus"},
        {"JIvML6YBykI","sceMusicCoreServerForceKillCurrentCore"},
        {"N54dyckyj2Q","sceMusicCoreServerGetCoreInfo"},
        {"h4dd7oKiTQc","sceMusicCoreServerGetEvent"},
        {"YwRKlxs6pjA","sceMusicCoreServerGetLastLaunchUser"},
        {"FBCE8LMRNAQ","sceMusicCoreServerGetPlayStartCondition"},
        {"DZAoScKrRVs","sceMusicCoreServerGetPlayStatus"},
        {"Tu-288s8YYg","sceMusicCoreServerGetPlayStatus_vsh"},
        {"IR0rE-hHJro","sceMusicCoreServerGetSpTrackInfo"},
        {"uNqLv8MBdwg","sceMusicCoreServerGetSpWakeupAuthorityList"},
        {"IklPwMoko10","sceMusicCoreServerGetStatusOfTracks"},
        {"7o4tmcD7foY","sceMusicCoreServerGetTitleId"},
        {"nKLCGmI-oEw","sceMusicCoreServerGetTrackInfo"},
        {"mGbAN4KaRfA","sceMusicCoreServerGetUserData"},
        {"X5FCp6scKms","sceMusicCoreServerInitialize"},
        {"g1SU88IfEO4","sceMusicCoreServerKillCurrentCore"},
        {"sKsup0uBn2U","sceMusicCoreServerLaunchSpCore"},
        {"FNAESqqy9cc","sceMusicCoreServerLaunchUsbMusicCore"},
        {"oIhptz7DiRY","sceMusicCoreServerPlayControl"},
        {"q5VWW64fkh4","sceMusicCoreServerPlaySpUri"},
        {"g4Qh85u8pE8","sceMusicCoreServerRegistEventCallback"},
        {"plrvkKV-6B4","sceMusicCoreServerSelectCore"},
        {"-Xv5Bno0jTU","sceMusicCoreServerSetAudioMute"},
        {"HSR5o9hELHs","sceMusicCoreServerSetAudioVolume"},
        {"OVaGBwQZ378","sceMusicCoreServerSetAutoPlay"},
        {"iofRyXv0wqI","sceMusicCoreServerSetLaunchUser"},
        {"FaJvCKzvS+o","sceMusicCoreServerSetPlaylist"},
        {"SsTZ4to2D2A","sceMusicCoreServerSetRepeatMode"},
        {"3lpLQXJv9fE","sceMusicCoreServerSetShuffle"},
        {"3gOaQJeTWZM","sceMusicCoreServerSetSpWakeupAuthorityList"},
        {"+M1lGFTMSzA","sceMusicCoreServerSetTitleId"},
        {"f6EQsnV4i8E","sceMusicCoreServerSetTrack"},
        {"TPVebHEFB2s","sceMusicCoreServerSetTrackList"},
        {"5n5i6p18f+Q","sceMusicCoreServerTerminate"},
        {"EEkGXyPcT6E","sceMusicCoreServerTriggerEvent"},
        {"Rz5fOEsYd7A","sceMusicCoreServerTriggerEventSync"},
        {"Q+CMOdoSuf0","sceMusicCoreServerTryLoadCore"},
        {"MrUOZGxjKw8","sceMusicCoreServerUnregistEventCallback"},
        {"Ao7fKckorGE","sceMusicCoreServerUpdateSpWakeupAuthorityList"},
        {"26q33kxcGYs","sceMusicFwGetCurrentTime"},
        {"SG4rhheZSpw","sceMusicFwGetLoop"},
        {"PgjXRsgiZRU","sceMusicFwGetMuted"},
        {"4cn1ichfHIE","sceMusicFwGetNetworkState"},
        {"xPfDuZPWMLM","sceMusicFwGetVolume"},
        {"BCn4rUfwb1E","sceMusicFwIsEnded"},
        {"Tzz6VPST4kY","sceMusicFwIsPlaying"},
        {"GfDUIXu2zes","sceMusicFwIsStopped"},
        {"sc1fkfZ4fyM","sceMusicFwRemoveSrc"},
        {"FaXwNYQABhI","sceMusicFwSendMessageAsynchronously"},
        {"zA7Ortm3zGA","sceMusicFwSendMessageSynchronously"},
        {"IDwNl7rxOQg","sceMusicFwSetCurrentTime"},
        {"BYFjoQE6RpE","sceMusicFwSetLoop"},
        {"2PZfeVc3T98","sceMusicFwSetShuffle"},
        {"h6oJjSrmwdk","sceMusicFwSetVolume"},
        {"NmPRRG5HVj4","sceMusicFwSkipNext"},
        {"ANOe9iuJbWQ","sceMusicFwSkipPrevious"},
        {"AbiIaBA50I0","sceMusicPlayerServiceBeginTransaction"},
        {"mW3EHwAVHPA","sceMusicPlayerServiceCreateTrackList"},
        {"7SOVShNUDXo","sceMusicPlayerServiceEndTransaction"},
        {"3KChwrxsVPg","sceMusicPlayerServiceGetAudioVolume"},
        {"CNsRsR5a+qc","sceMusicPlayerServiceGetCurrentPlayStatus"},
        {"TVe6T-UKcoc","sceMusicPlayerServiceGetPlayStatusExtension"},
        {"1+KpQYgv1zk","sceMusicPlayerServiceGetPlaybackResults"},
        {"wHKiDjNLQwI","sceMusicPlayerServiceGetTrackInfo"},
        {"qYbmAxRGuq8","sceMusicPlayerServiceGetTrackListVersion"},
        {"WypjBw-l+pE","sceMusicPlayerServiceInitialize"},
        {"xT55MQDY9lg","sceMusicPlayerServiceInitialize2"},
        {"sY8beqtqGv0","sceMusicPlayerServiceInitialize3"},
        {"R1SLegxzCGU","sceMusicPlayerServiceInsertTrackEntry"},
        {"M76dl-GnCs8","sceMusicPlayerServiceNextTrack"},
        {"fIii6-0Adxc","sceMusicPlayerServicePause"},
        {"KblnYfZ5AGM","sceMusicPlayerServicePlay"},
        {"kMb+qpZTQ18","sceMusicPlayerServicePlayStartByTime"},
        {"NuJT-nmTqrI","sceMusicPlayerServicePreviousTrack"},
        {"Py0XtCoi5IU","sceMusicPlayerServiceReceiveEvent"},
        {"-JE2KLnsg9I","sceMusicPlayerServiceRemoveAllData"},
        {"QEIJRZErmxQ","sceMusicPlayerServiceRemoveTrackEntry"},
        {"EF1lpApBn4s","sceMusicPlayerServiceRemoveTrackList"},
        {"5LhFvqzrcug","sceMusicPlayerServiceSeek"},
        {"tMgpmzMA4Zc","sceMusicPlayerServiceSetAudioVolume"},
        {"+uCwAp6KYtQ","sceMusicPlayerServiceSetRepeatMode"},
        {"DMvAm4HFKg0","sceMusicPlayerServiceSetShuffle"},
        {"4cuKd4S83xw","sceMusicPlayerServiceSetTrackList"},
        {"iawJpYIQM7s","sceMusicPlayerServiceSetTrackList2"},
        {"JlbWOi1Webo","sceMusicPlayerServiceSetUsbStorageDeviceInfo"},
        {"7Ayp3diNYnk","sceMusicPlayerServiceStop"},
        {"uZXjTVsS-hU","sceMusicPlayerServiceTerminate"},
        {"DLXiDjC1D1A","sceMusicPlayerServiceUnpause"},
        {"BVDkopEoLMk","sceNKWebInitialize"},
        {"fJALl2F0A3I","sceNKWebTerminate"},
        {"PIWqhn9oSxc","sceNetAccept"},
        {"BTUvkWzrP68","sceNetAddrConfig6GetInfo"},
        {"3qG7UJy2Fq8","sceNetAddrConfig6Start"},
        {"P+0ePpDfUAQ","sceNetAddrConfig6Stop"},
        {"PcdLABhYga4","sceNetAllocateAllRouteInfo"},
        {"WxRwwM9qdHo","sceNetApctlCheckCallback"},
        {"NuanhoyflKA","sceNetApctlClearEvent"},
        {"ziVGnouCLtg","sceNetApctlGetInfo"},
        {"ONmSYoJQgIE","sceNetApctlGetResult"},
        {"dN5iXR8igXM","sceNetApctlGetState"},
        {"H4-K+LKFpfc","sceNetApctlInit"},
        {"fNssIo-DTx4","sceNetApctlRegisterCallback"},
        {"kvytIh2V46s","sceNetApctlRestart"},
        {"SkGKtXQoaCI","sceNetApctlStart"},
        {"9v+V7a-Du3Y","sceNetApctlStartConf"},
        {"tSYd7MXN0yQ","sceNetApctlStartWithRetry"},
        {"eBrt8TPOlUI","sceNetApctlStop"},
        {"dEmGYmXkQv0","sceNetApctlTerm"},
        {"68voDu2wGDE","sceNetApctlUnregisterCallback"},
        {"xHq87H78dho","sceNetBandwidthControlGetDataTraffic"},
        {"c8IRpl4L74I","sceNetBandwidthControlGetDefaultParam"},
        {"b9Ft65tqvLk","sceNetBandwidthControlGetIfParam"},
        {"PDkapOwggRw","sceNetBandwidthControlGetPolicy"},
        {"P4zZXE7bpsA","sceNetBandwidthControlSetDefaultParam"},
        {"g4DKkzV2qC4","sceNetBandwidthControlSetIfParam"},
        {"7Z1hhsEmkQU","sceNetBandwidthControlSetPolicy"},
        {"bErx49PgxyY","sceNetBind"},
        {"XtClSOC1xcU","sceNetBweCheckCallbackIpcInt"},
        {"YALqoY4aeY0","sceNetBweClearEventIpcInt"},
        {"ouyROWhGUbM","sceNetBweFinishInternetConnectionTestIpcInt"},
        {"G4vltQ0Vs+0","sceNetBweGetInfoIpcInt"},
        {"GqETL5+INhU","sceNetBweRegisterCallbackIpcInt"},
        {"mEUt-phGd5E","sceNetBweSetInternetConnectionTestResultIpcInt"},
        {"pQLJV5SEAqk","sceNetBweStartInternetConnectionTestBandwidthTestIpcInt"},
        {"c+aYh130SV0","sceNetBweStartInternetConnectionTestIpcInt"},
        {"0lViPaTB-R8","sceNetBweUnregisterCallbackIpcInt"},
        {"eyLyLJrdEOU","sceNetClearDnsCache"},
        {"Ea2NaVMQNO8","sceNetConfigAddArp"},
        {"0g0qIuPN3ZQ","sceNetConfigAddArpWithInterface"},
        {"ge7g15Sqhks","sceNetConfigAddIfaddr"},
        {"FDHr4Iz7dQU","sceNetConfigAddMRoute"},
        {"Cyjl1yzi1qY","sceNetConfigAddRoute"},
        {"Bu+L5r1lKRg","sceNetConfigAddRoute6"},
        {"wIGold7Lro0","sceNetConfigAddRouteWithInterface"},
        {"MzA1YrRE6rA","sceNetConfigCleanUpAllInterfaces"},
        {"HJt+4x-CnY0","sceNetConfigDelArp"},
        {"xTcttXJ3Utg","sceNetConfigDelArpWithInterface"},
        {"RuVwHEW6dM4","sceNetConfigDelDefaultRoute"},
        {"UMlVCy7RX1s","sceNetConfigDelDefaultRoute6"},
        {"c7A0diG7AIU","sceNetConfigDelDefaultRouteDev"},
        {"0239JNsI6PE","sceNetConfigDelIfaddr"},
        {"hvCXMwd45oc","sceNetConfigDelIfaddr6"},
        {"5Yl1uuh5i-A","sceNetConfigDelMRoute"},
        {"QO7+2E3cD-U","sceNetConfigDelRoute"},
        {"4wDGvfhmkmk","sceNetConfigDelRoute6"},
        {"3WzWV86AJ3w","sceNetConfigDownInterface"},
        {"mOUkgTaSkJU","sceNetConfigEtherGetLinkMode"},
        {"pF3Vy1iZ5bs","sceNetConfigEtherPostPlugInOutEvent"},
        {"QltDK6wWqF0","sceNetConfigEtherSetLinkMode"},
        {"18KNgSvYx+Y","sceNetConfigFlushRoute"},
        {"lFJb+BlPK1c","sceNetConfigGetDefaultRoute"},
        {"mCLdiNIKtW0","sceNetConfigGetDefaultRoute6"},
        {"ejwa0hWWhDs","sceNetConfigGetIfaddr"},
        {"FU6NK4RHQVE","sceNetConfigGetIfaddr6"},
        {"vbZLomImmEE","sceNetConfigRoutingShowRoutingConfig"},
        {"a6sS6iSE0IA","sceNetConfigRoutingShowtCtlVar"},
        {"eszLdtIMfQE","sceNetConfigRoutingStart"},
        {"toi8xxcSfJ0","sceNetConfigRoutingStop"},
        {"EAl7xvi7nXg","sceNetConfigSetDefaultRoute"},
        {"4zLOHbt3UFk","sceNetConfigSetDefaultRoute6"},
        {"cKvcNpw4q7o","sceNetConfigSetDefaultRouteDev"},
        {"yaVAdLDxUj0","sceNetConfigSetDefaultScope"},
        {"0sesmAYH3Lk","sceNetConfigSetIfFlags"},
        {"uNTluLfYgS8","sceNetConfigSetIfLinkLocalAddr6"},
        {"8Kh+1eidI3c","sceNetConfigSetIfaddr"},
        {"QJbV3vfBQ8Q","sceNetConfigSetIfaddr6"},
        {"POrSEl8zySw","sceNetConfigSetIfaddr6WithFlags"},
        {"s31rYkpIMMQ","sceNetConfigSetIfmtu"},
        {"tvdzQkm+UaY","sceNetConfigUnsetIfFlags"},
        {"oGEBX0eXGFs","sceNetConfigUpInterface"},
        {"6HNbayHPL7c","sceNetConfigUpInterfaceWithFlags"},
        {"6A6EweB3Dto","sceNetConfigWlanAdhocClearWakeOnWlan"},
        {"ZLdJyQJUMkM","sceNetConfigWlanAdhocCreate"},
        {"Yr3UeApLWTY","sceNetConfigWlanAdhocGetWakeOnWlanInfo"},
        {"Xma8yHmV+TQ","sceNetConfigWlanAdhocJoin"},
        {"K4o48GTNbSc","sceNetConfigWlanAdhocLeave"},
        {"ZvKgNrrLCCQ","sceNetConfigWlanAdhocPspEmuClearWakeOnWlan"},
        {"1j4DZ5dXbeQ","sceNetConfigWlanAdhocPspEmuGetWakeOnWlanInfo"},
        {"C-+JPjaEhdA","sceNetConfigWlanAdhocPspEmuSetWakeOnWlan"},
        {"7xYdUWg1WdY","sceNetConfigWlanAdhocScanJoin"},
        {"Q7ee2Uav5f8","sceNetConfigWlanAdhocSetExtInfoElement"},
        {"xaOTiuxIQNY","sceNetConfigWlanAdhocSetWakeOnWlan"},
        {"QlRJWya+dtE","sceNetConfigWlanApStart"},
        {"6uYcvVjH7Ms","sceNetConfigWlanApStop"},
        {"MDbg-oAj8Aw","sceNetConfigWlanBackgroundScanQuery"},
        {"cMA8f6jI6s0","sceNetConfigWlanBackgroundScanStart"},
        {"3T5aIe-7L84","sceNetConfigWlanBackgroundScanStop"},
        {"+3KMyS93TOs","sceNetConfigWlanDiagGetDeviceInfo"},
        {"9oiOWQ5FMws","sceNetConfigWlanDiagSetAntenna"},
        {"fHr45B97n0U","sceNetConfigWlanDiagSetTxFixedRate"},
        {"PNDDxnqqtk4","sceNetConfigWlanGetDeviceConfig"},
        {"Pkx0lwWVzmQ","sceNetConfigWlanInfraGetRssiInfo"},
        {"IkBCxG+o4Nk","sceNetConfigWlanInfraLeave"},
        {"273-I-zD8+8","sceNetConfigWlanInfraScanJoin"},
        {"-Mi5hNiWC4c","sceNetConfigWlanScan"},
        {"U1q6DrPbY6k","sceNetConfigWlanSetDeviceConfig"},
        {"OXXX4mUk3uk","sceNetConnect"},
        {"lDTIbqNs0ps","sceNetControl"},
        {"R-4a9Yh4tG8","sceNetCtlApAppInitWpaKey"},
        {"5oLJoOVBbGU","sceNetCtlApAppInitWpaKeyForQa"},
        {"YtTwZ3pa4aQ","sceNetCtlApAppStartWithRetry"},
        {"sgWeDrEt24U","sceNetCtlApAppStartWithRetryPid"},
        {"19Ec7WkMFfQ","sceNetCtlApCheckCallback"},
        {"meFMaDpdsVI","sceNetCtlApClearEvent"},
        {"NQJ7AZW3ipk","sceNetCtlApCpStart"},
        {"ke27GvSMU+s","sceNetCtlApCpStop"},
        {"3QtqTA0uMmU","sceNetCtlApDialogClose"},
        {"ZaEVF6WqBP8","sceNetCtlApDialogGetResult"},
        {"eBWS-HorSWY","sceNetCtlApDialogGetStatus"},
        {"py8-vzIY-RY","sceNetCtlApDialogInitialize"},
        {"SKJQwgudGFg","sceNetCtlApDialogOpen"},
        {"5X+QFaVtiKg","sceNetCtlApDialogTerminate"},
        {"ys1JAOGzNG0","sceNetCtlApDialogUpdateStatus"},
        {"hfkLVdXmfnU","sceNetCtlApGetConnectInfo"},
        {"LXADzTIzM9I","sceNetCtlApGetInfo"},
        {"4jkLJc954+Q","sceNetCtlApGetResult"},
        {"AKZOzsb9whc","sceNetCtlApGetState"},
        {"FdN+edNRtiw","sceNetCtlApInit"},
        {"pmjobSVHuY0","sceNetCtlApRegisterCallback"},
        {"amqSGH8l--s","sceNetCtlApRestart"},
        {"DufQZgH5ISc","sceNetCtlApRpCheckCallback"},
        {"qhZbOi+2qLY","sceNetCtlApRpClearEvent"},
        {"VQl16Q+qXeY","sceNetCtlApRpGetInfo"},
        {"3pxwYqHzGcw","sceNetCtlApRpGetResult"},
        {"LEn8FGztKWc","sceNetCtlApRpGetState"},
        {"ofGsK+xoAaM","sceNetCtlApRpRegisterCallback"},
        {"mjFgpqNavHg","sceNetCtlApRpStart"},
        {"HMvaHoZWsn8","sceNetCtlApRpStartConf"},
        {"9Dxg7XSlr2s","sceNetCtlApRpStartWithRetry"},
        {"6uvAl4RlEyk","sceNetCtlApRpStop"},
        {"8eyH37Ns8tk","sceNetCtlApRpUnregisterCallback"},
        {"r-pOyN6AhsM","sceNetCtlApStop"},
        {"cv5Y2efOTeg","sceNetCtlApTerm"},
        {"NpTcFtaQ-0E","sceNetCtlApUnregisterCallback"},
        {"iQw3iQPhvUQ","sceNetCtlCheckCallback"},
        {"UF6H6+kjyQs","sceNetCtlCheckCallbackForLibIpcInt"},
        {"u5oqtlIP+Fw","sceNetCtlCheckCallbackForNpToolkit"},
        {"vv6g8zoanL4","sceNetCtlClearEventForLibIpcInt"},
        {"saYB0b2ZWtI","sceNetCtlClearEventForNpToolkit"},
        {"8OJ86vFucfo","sceNetCtlClearEventIpcInt"},
        {"HCD46HVTyQg","sceNetCtlConnectConfIpcInt"},
        {"ID+Gq3Ddzbg","sceNetCtlConnectIpcInt"},
        {"aPpic8K75YA","sceNetCtlConnectWithRetryIpcInt"},
        {"9y4IcsJdTCc","sceNetCtlDisableBandwidthManagementIpcInt"},
        {"qOefcpoSs0k","sceNetCtlDisconnectIpcInt"},
        {"x9bSmRSE+hc","sceNetCtlEnableBandwidthManagementIpcInt"},
        {"eCUIlA2t5CE","sceNetCtlGetBandwidthInfoIpcInt"},
        {"15JUzFaWTkY","sceNetCtlGetConnectionElapsedTimeIpcInt"},
        {"2EfjPXVPk3s","sceNetCtlGetEtherLinkMode"},
        {"teuK4QnJTGg","sceNetCtlGetIfStat"},
        {"obuxdTiwkF8","sceNetCtlGetInfo"},
        {"xstcTqAhTys","sceNetCtlGetInfoIpcInt"},
        {"Jy1EO5GdlcM","sceNetCtlGetInfoV6"},
        {"arAQRFlwqaA","sceNetCtlGetInfoV6IpcInt"},
        {"JO4yuTuMoKI","sceNetCtlGetNatInfo"},
        {"x+cnsAxKSHo","sceNetCtlGetNatInfoIpcInt"},
        {"hhTsdv99azU","sceNetCtlGetNetEvConfigInfoIpcInt"},
        {"0cBgduPRR+M","sceNetCtlGetResult"},
        {"NEtnusbZyAs","sceNetCtlGetResultIpcInt"},
        {"H5yARg37U5g","sceNetCtlGetResultV6"},
        {"vdsTa93atXY","sceNetCtlGetResultV6IpcInt"},
        {"wP0Ab2maR1Y","sceNetCtlGetScanInfoBssidForSsidListScanIpcInt"},
        {"Wn-+887Lt2s","sceNetCtlGetScanInfoBssidIpcInt"},
        {"FEdkOG1VbQo","sceNetCtlGetScanInfoByBssidIpcInt"},
        {"irV8voIAHDw","sceNetCtlGetScanInfoForSsidListScanIpcInt"},
        {"L97eAHI0xxs","sceNetCtlGetScanInfoForSsidScanIpcInt"},
        {"uBPlr0lbuiI","sceNetCtlGetState"},
        {"JXlI9EZVjf4","sceNetCtlGetState2IpcInt"},
        {"gvnJPMkSoAY","sceNetCtlGetStateIpcInt"},
        {"+lxqIKeU9UY","sceNetCtlGetStateV6"},
        {"O8Fk4w5MWss","sceNetCtlGetStateV6IpcInt"},
        {"BXW9b3R1Nw4","sceNetCtlGetWifiType"},
        {"gky0+oaNM4k","sceNetCtlInit"},
        {"YtAnCkTR0K4","sceNetCtlIsBandwidthManagementEnabledIpcInt"},
        {"UJ+Z7Q+4ck0","sceNetCtlRegisterCallback"},
        {"WRvDk2syatE","sceNetCtlRegisterCallbackForLibIpcInt"},
        {"wIsKy+TfeLs","sceNetCtlRegisterCallbackForNpToolkit"},
        {"rqkh2kXvLSw","sceNetCtlRegisterCallbackIpcInt"},
        {"1NE9OWdBIww","sceNetCtlRegisterCallbackV6"},
        {"ipqlpcIqRsQ","sceNetCtlRegisterCallbackV6IpcInt"},
        {"reIsHryCDx4","sceNetCtlScanIpcInt"},
        {"LJYiiIS4HB0","sceNetCtlSetErrorNotificationEnabledIpcInt"},
        {"DjuqqqV08Nk","sceNetCtlSetStunWithPaddingFlagIpcInt"},
        {"Z4wwCFiBELQ","sceNetCtlTerm"},
        {"Rqm2OnZMCz0","sceNetCtlUnregisterCallback"},
        {"urWaUWkEGZg","sceNetCtlUnregisterCallbackForLibIpcInt"},
        {"2oUqKR5odGc","sceNetCtlUnregisterCallbackForNpToolkit"},
        {"by9cbB7JGJE","sceNetCtlUnregisterCallbackIpcInt"},
        {"hIUVeUNxAwc","sceNetCtlUnregisterCallbackV6"},
        {"Hjxpy28aID8","sceNetCtlUnregisterCallbackV6IpcInt"},
        {"1HSvkN9oxO4","sceNetCtlUnsetStunWithPaddingFlagIpcInt"},
        {"26VqvOFbxYo","sceNetDbgInit"},
        {"KhQxhlEslo0","sceNetDhcpGetAutoipInfo"},
        {"ix4LWXd12F0","sceNetDhcpGetInfo"},
        {"DrZuCQDnm3w","sceNetDhcpGetInfoEx"},
        {"Wzv6dngR-DQ","sceNetDhcpStart"},
        {"6AN7OlSMWk0","sceNetDhcpStop"},
        {"Q6T-zIblNqk","sceNetDhcpdStart"},
        {"xwWm8jzrpeM","sceNetDhcpdStop"},
        {"+ezgWao0wo8","sceNetDumpAbort"},
        {"bghgkeLKq1Q","sceNetDumpCreate"},
        {"xZ54Il-u1vs","sceNetDumpDestroy"},
        {"YWTpt45PxbI","sceNetDumpRead"},
        {"TwjkDIPdZ1Q","sceNetDuplicateIpStart"},
        {"QCbvCx9HL30","sceNetDuplicateIpStop"},
        {"JK1oZe4UysY","sceNetEmulationGet"},
        {"pfn3Fha1ydc","sceNetEmulationSet"},
        {"w21YgGGNtBk","sceNetEpollAbort"},
        {"ZVw46bsasAk","sceNetEpollControl"},
        {"SF47kB2MNTo","sceNetEpollCreate"},
        {"Inp1lfL+Jdw","sceNetEpollDestroy"},
        {"drjIbDbA7UQ","sceNetEpollWait"},
        {"HQOwnfMGipQ","sceNetErrnoLoc"},
        {"v6M4txecCuo","sceNetEtherNtostr"},
        {"b-bFZvNV59I","sceNetEtherStrton"},
        {"cWGGXoeZUzA","sceNetEventCallbackCreate"},
        {"jzP0MoZpYnI","sceNetEventCallbackDestroy"},
        {"tB3BB8AsrjU","sceNetEventCallbackGetError"},
        {"5isaotjMWlA","sceNetEventCallbackWaitCB"},
        {"2ee14ktE1lw","sceNetFreeAllRouteInfo"},
        {"q8j9OSdnN1Y","sceNetGetArpInfo"},
        {"wmoIm94hqik","sceNetGetDns6Info"},
        {"nCL0NyZsd5A","sceNetGetDnsInfo"},
        {"HoV-GJyx7YY","sceNetGetIfList"},
        {"ahiOMqoYYMc","sceNetGetIfListOnce"},
        {"0MT2l3uIX7c","sceNetGetIfName"},
        {"5lrSEHdqyos","sceNetGetIfnameNumList"},
        {"UjkVLnP+n0M","sceNetGetInterfaceStats"},
        {"6Oc0bLsIYe0","sceNetGetMacAddress"},
        {"rMyh97BU5pY","sceNetGetMemoryPoolStats"},
        {"+S-2-jlpaBo","sceNetGetNameToIndex"},
        {"G3O2j9f5z00","sceNetGetRandom"},
        {"6Nx1hIQL9h8","sceNetGetRouteInfo"},
        {"hLuXdjHnhiI","sceNetGetSockInfo"},
        {"Cidi9Y65mP8","sceNetGetSockInfo6"},
        {"GA5ZDaLtUBE","sceNetGetStatisticsInfo"},
        {"9mIcUExH34w","sceNetGetStatisticsInfoInternal"},
        {"p2vxsE2U3RQ","sceNetGetSystemTime"},
        {"TCkRD0DWNLg","sceNetGetpeername"},
        {"hoOAofhhRvE","sceNetGetsockname"},
        {"xphrZusl78E","sceNetGetsockopt"},
        {"9T2pDF2Ryqg","sceNetHtonl"},
        {"3CHi1K1wsCQ","sceNetHtonll"},
        {"iWQWrwiSt8A","sceNetHtons"},
        {"9vA2aW+CHuA","sceNetInetNtop"},
        {"Eh+Vqkrrc00","sceNetInetNtopWithScopeId"},
        {"8Kcp5d-q1Uo","sceNetInetPton"},
        {"Xn2TA2QhxHc","sceNetInetPtonEx"},
        {"b+LixqREH6A","sceNetInetPtonWithScopeId"},
        {"cYW1ISGlOmo","sceNetInfoDumpStart"},
        {"XfV-XBCuhDo","sceNetInfoDumpStop"},
        {"Nlev7Lg8k3A","sceNetInit"},
        {"6MojQ8uFHEI","sceNetInitParam"},
        {"ghqRRVQxqKo","sceNetIoctl"},
        {"kOj1HiAGE54","sceNetListen"},
        {"HKIa-WH0AZ4","sceNetMemoryAllocate"},
        {"221fvqVs+sQ","sceNetMemoryFree"},
        {"pQGpHYopAIY","sceNetNtohl"},
        {"tOrRi-v3AOM","sceNetNtohll"},
        {"Rbvt+5Y2iEw","sceNetNtohs"},
        {"dgJBaeJnGpo","sceNetPoolCreate"},
        {"K7RlrTkI-mw","sceNetPoolDestroy"},
        {"QGOqGPnk5a4","sceNetPppoeStart"},
        {"FIV95WE1EuE","sceNetPppoeStop"},
        {"9wO9XrMsNhc","sceNetRecv"},
        {"304ooNZxWDY","sceNetRecvfrom"},
        {"wvuUDv0jrMI","sceNetRecvmsg"},
        {"AzqoBha7js4","sceNetResolverAbort"},
        {"JQk8ck8vnPY","sceNetResolverConnect"},
        {"bonnMiDoOZg","sceNetResolverConnectAbort"},
        {"V5q6gvEJpw4","sceNetResolverConnectCreate"},
        {"QFPjG6rqeZg","sceNetResolverConnectDestroy"},
        {"C4UgDHHPvdw","sceNetResolverCreate"},
        {"kJlYH5uMAWI","sceNetResolverDestroy"},
        {"J5i3hiLJMPk","sceNetResolverGetError"},
        {"Apb4YDxKsRI","sceNetResolverStartAton"},
        {"zvzWA5IZMsg","sceNetResolverStartAton6"},
        {"Nd91WaWmG2w","sceNetResolverStartNtoa"},
        {"zl35YNs9jnI","sceNetResolverStartNtoa6"},
        {"RCCY01Xd+58","sceNetResolverStartNtoaMultipleRecords"},
        {"sT4nBQKUPqM","sceNetResolverStartNtoaMultipleRecordsEx"},
        {"beRjXBn-z+o","sceNetSend"},
        {"2eKbgcboJso","sceNetSendmsg"},
        {"gvD1greCu0A","sceNetSendto"},
        {"15Ywg-ZsSl0","sceNetSetDns6Info"},
        {"E3oH1qsdqCA","sceNetSetDns6InfoToKernel"},
        {"B-M6KjO8-+w","sceNetSetDnsInfo"},
        {"8s+T0bJeyLQ","sceNetSetDnsInfoToKernel"},
        {"2mKX2Spso7I","sceNetSetsockopt"},
        {"k1V1djYpk7k","sceNetShowIfconfig"},
        {"j6pkkO2zJtg","sceNetShowIfconfigForBuffer"},
        {"E8dTcvQw3hg","sceNetShowIfconfigWithMemory"},
        {"WxislcDAW5I","sceNetShowNetstat"},
        {"rX30iWQqqzg","sceNetShowNetstatEx"},
        {"vjwKTGa21f0","sceNetShowNetstatExForBuffer"},
        {"mqoB+LN0pW8","sceNetShowNetstatForBuffer"},
        {"H5WHYRfDkR0","sceNetShowNetstatWithMemory"},
        {"tk0p0JmiBkM","sceNetShowPolicy"},
        {"dbrSNEuZfXI","sceNetShowPolicyWithMemory"},
        {"cEMX1VcPpQ8","sceNetShowRoute"},
        {"fCa7-ihdRdc","sceNetShowRoute6"},
        {"nTJqXsbSS1I","sceNetShowRoute6ForBuffer"},
        {"TCZyE2YI1uM","sceNetShowRoute6WithMemory"},
        {"n-IAZb7QB1Y","sceNetShowRouteForBuffer"},
        {"0-XSSp1kEFM","sceNetShowRouteWithMemory"},
        {"TSM6whtekok","sceNetShutdown"},
        {"Q4qBuN-c0ZM","sceNetSocket"},
        {"zJGf8xjFnQE","sceNetSocketAbort"},
        {"45ggEzakPJQ","sceNetSocketClose"},
        {"rhhKDT2zXiU","sceNetSocketInternal"},
        {"6AJE2jKg-c0","sceNetSyncCreate"},
        {"atGfzCaXMak","sceNetSyncDestroy"},
        {"sAleh-BoxLA","sceNetSyncGet"},
        {"Z-8Jda650Vk","sceNetSyncSignal"},
        {"NP5gxDeYhIM","sceNetSyncWait"},
        {"3zRdT3O2Kxo","sceNetSysctl"},
        {"cTGkc6-TBlI","sceNetTerm"},
        {"j-Op3ibRJaQ","sceNetThreadCreate"},
        {"KirVfZbqniw","sceNetThreadExit"},
        {"pRbEzaV30qI","sceNetThreadJoin"},
        {"bjrzRLFali0","sceNetUsleep"},
        {"3pCNbVM11UA","sceNgs2CalcWaveformBlock"},
        {"6qN1zaEZuN0","sceNgs2CustomRackGetModuleInfo"},
        {"Kg1MA5j7KFk","sceNgs2FftInit"},
        {"D8eCqBxSojA","sceNgs2FftProcess"},
        {"-YNfTO6KOMY","sceNgs2FftQuerySize"},
        {"eF8yRCC6W64","sceNgs2GeomApply"},
        {"1WsleK-MTkE","sceNgs2GeomCalcListener"},
        {"7Lcfo8SmpsU","sceNgs2GeomResetListenerParam"},
        {"0lbbayqDNoE","sceNgs2GeomResetSourceParam"},
        {"ekGJmmoc8j4","sceNgs2GetWaveformFrameInfo"},
        {"BcoPfWfpvVI","sceNgs2JobSchedulerResetOption"},
        {"EEemGEQCjO8","sceNgs2ModuleArrayEnumItems"},
        {"TaoNtmMKkXQ","sceNgs2ModuleEnumConfigs"},
        {"ve6bZi+1sYQ","sceNgs2ModuleQueueEnumItems"},
        {"gbMKV+8Enuo","sceNgs2PanGetVolumeMatrix"},
        {"xa8oL9dmXkM","sceNgs2PanInit"},
        {"hyVLT2VlOYk","sceNgs2ParseWaveformData"},
        {"iprCTXPVWMI","sceNgs2ParseWaveformFile"},
        {"t9T0QM17Kvo","sceNgs2ParseWaveformUser"},
        {"cLV4aiT9JpA","sceNgs2RackCreate"},
        {"U546k6orxQo","sceNgs2RackCreateWithAllocator"},
        {"lCqD7oycmIM","sceNgs2RackDestroy"},
        {"M4LYATRhRUE","sceNgs2RackGetInfo"},
        {"Mn4XNDg03XY","sceNgs2RackGetUserData"},
        {"MwmHz8pAdAo","sceNgs2RackGetVoiceHandle"},
        {"MzTa7VLjogY","sceNgs2RackLock"},
        {"0eFLVCfWVds","sceNgs2RackQueryBufferSize"},
        {"TZqb8E-j3dY","sceNgs2RackQueryInfo"},
        {"MI2VmBx2RbM","sceNgs2RackRunCommands"},
        {"JNTMIaBIbV4","sceNgs2RackSetUserData"},
        {"++YZ7P9e87U","sceNgs2RackUnlock"},
        {"uBIN24Tv2MI","sceNgs2ReportRegisterHandler"},
        {"nPzb7Ly-VjE","sceNgs2ReportUnregisterHandler"},
        {"sU2St3agdjg","sceNgs2StreamCreate"},
        {"I+RLwaauggA","sceNgs2StreamCreateWithAllocator"},
        {"bfoMXnTRtwE","sceNgs2StreamDestroy"},
        {"dxulc33msHM","sceNgs2StreamQueryBufferSize"},
        {"rfw6ufRsmow","sceNgs2StreamQueryInfo"},
        {"q+2W8YdK0F8","sceNgs2StreamResetOption"},
        {"qQHCi9pjDps","sceNgs2StreamRunCommands"},
        {"koBbCMvOKWw","sceNgs2SystemCreate"},
        {"mPYgU4oYpuY","sceNgs2SystemCreateWithAllocator"},
        {"u-WrYDaJA3k","sceNgs2SystemDestroy"},
        {"vubFP0T6MP0","sceNgs2SystemEnumHandles"},
        {"U-+7HsswcIs","sceNgs2SystemEnumRackHandles"},
        {"vU7TQ62pItw","sceNgs2SystemGetInfo"},
        {"4lFaRxd-aLs","sceNgs2SystemGetUserData"},
        {"gThZqM5PYlQ","sceNgs2SystemLock"},
        {"pgFAiLR5qT4","sceNgs2SystemQueryBufferSize"},
        {"3oIK7y7O4k0","sceNgs2SystemQueryInfo"},
        {"i0VnXM-C9fc","sceNgs2SystemRender"},
        {"AQkj7C0f3PY","sceNgs2SystemResetOption"},
        {"gXiormHoZZ4","sceNgs2SystemRunCommands"},
        {"l4Q2dWEH6UM","sceNgs2SystemSetGrainSamples"},
        {"Wdlx0ZFTV9s","sceNgs2SystemSetLoudThreshold"},
        {"-tbc2SxQD60","sceNgs2SystemSetSampleRate"},
        {"GZB2v0XnG0k","sceNgs2SystemSetUserData"},
        {"JXRC5n0RQls","sceNgs2SystemUnlock"},
        {"uu94irFOGpA","sceNgs2VoiceControl"},
        {"jjBVvPN9964","sceNgs2VoiceGetMatrixInfo"},
        {"W-Z8wWMBnhk","sceNgs2VoiceGetOwner"},
        {"WCayTgob7-o","sceNgs2VoiceGetPortInfo"},
        {"-TOuuAQ-buE","sceNgs2VoiceGetState"},
        {"rEh728kXk3w","sceNgs2VoiceGetStateFlags"},
        {"9eic4AmjGVI","sceNgs2VoiceQueryInfo"},
        {"AbYvTOZ8Pts","sceNgs2VoiceRunCommands"},
        {"jSWBvOPfSOk","sceNotificationSend"},
        {"OzKvTvg3ZYU","sceNpAbortRequest"},
        {"MWPOkqzYss0","sceNpAllocateKernelMemoryNoAlignment"},
        {"gMlY6eewr-c","sceNpAllocateKernelMemoryWithAlignment"},
        {"Y797Sw9-jqY","sceNpAppInfoIntAbortRequest"},
        {"UUhI+IUMrcE","sceNpAppInfoIntCheckAvailability"},
        {"ASonnwltwEk","sceNpAppInfoIntCheckAvailabilityA"},
        {"jXx0+2Wd1q8","sceNpAppInfoIntCheckAvailabilityAll"},
        {"f1OwQ7jdqn0","sceNpAppInfoIntCheckAvailabilityAllA"},
        {"1mfDBl40Dms","sceNpAppInfoIntCheckServiceAvailability"},
        {"XAmDowAQhFs","sceNpAppInfoIntCheckServiceAvailabilityA"},
        {"BaihFa8LBw0","sceNpAppInfoIntCheckServiceAvailabilityAll"},
        {"JcqdKidhuK0","sceNpAppInfoIntCheckServiceAvailabilityAllA"},
        {"cXpyESo49ko","sceNpAppInfoIntCreateRequest"},
        {"pRgpBtHx8P4","sceNpAppInfoIntDestroyRequest"},
        {"s9+zoKE8cBA","sceNpAppInfoIntFinalize"},
        {"l6Dl+2zlua0","sceNpAppInfoIntInitialize"},
        {"OHCO6MMFvdQ","sceNpAppLaunchLink2IntAbortRequest"},
        {"B6IXdHGBL-g","sceNpAppLaunchLink2IntCreateRequest"},
        {"0H0JBpVp03o","sceNpAppLaunchLink2IntDestroyRequest"},
        {"FWonlDV6d5k","sceNpAppLaunchLink2IntFinalize"},
        {"PdYx470F6B8","sceNpAppLaunchLink2IntGetCompatibleTitleIdList"},
        {"tesM6ViaX6M","sceNpAppLaunchLink2IntGetCompatibleTitleIdNum"},
        {"DK6xpBP1gxw","sceNpAppLaunchLink2IntInitialize"},
        {"AQV4A8YFx44","sceNpAppLaunchLinkIntAbortRequest"},
        {"9YhwG4DhwtU","sceNpAppLaunchLinkIntCreateRequest"},
        {"-8Wn4YKZLMM","sceNpAppLaunchLinkIntDestroyRequest"},
        {"TnQqJsyek5o","sceNpAppLaunchLinkIntFinalize"},
        {"GB7Fhk5SUaA","sceNpAppLaunchLinkIntGetCompatibleTitleIdList"},
        {"X4elOoiAtB4","sceNpAppLaunchLinkIntGetCompatibleTitleIdNum"},
        {"1F4yweQoqgg","sceNpAppLaunchLinkIntInitialize"},
        {"od0pFsDoez0","sceNpAppLauncherInitialize"},
        {"GbayQ7DO8jA","sceNpAppLauncherLaunchApp"},
        {"sy3PioM8TPE","sceNpAppLauncherTerminate"},
        {"jGF+MaB4b-M","sceNpArchInit"},
        {"UskWpVWxSvg","sceNpArchTerm"},
        {"JrXA7baBMPQ","sceNpAsmAbort"},
        {"0cn2c-bk8wA","sceNpAsmClientAbortRequest"},
        {"coT6qsU5t9M","sceNpAsmClientClearNpTitleToken"},
        {"zHxRg0AUZm8","sceNpAsmClientClearNpTitleTokenA"},
        {"gp+tZXUbH9Y","sceNpAsmClientCreateRequest"},
        {"tOJ-WGFDt-Y","sceNpAsmClientCreateRequest2"},
        {"GPRRxFM01r4","sceNpAsmClientCreateResourceContext"},
        {"Auqk+H3qGuo","sceNpAsmClientCreateResourceContext2"},
        {"1wMn3X94WME","sceNpAsmClientDeleteRequest"},
        {"KA2AITpVTCg","sceNpAsmClientDeleteResourceContext"},
        {"4gi0acCfJL4","sceNpAsmClientDeleteResourceContext2"},
        {"yWcto7E39+k","sceNpAsmClientGetAppId"},
        {"Q7fnpdkjBp0","sceNpAsmClientGetCacheControlMaxAge"},
        {"vf+lYeOXdI8","sceNpAsmClientGetGameNpTitleInfo"},
        {"YQ7-z4zFWok","sceNpAsmClientGetGameNpTitleToken"},
        {"6bvqnBIINiY","sceNpAsmClientGetGameTitleBanInfo"},
        {"OtUqYAzW0GM","sceNpAsmClientGetNpComInfo"},
        {"cOLn5A3ZoqU","sceNpAsmClientGetNpComInfo2"},
        {"P6fkTotWFEg","sceNpAsmClientGetNpComInfo2A"},
        {"fX+iM4sZIl0","sceNpAsmClientGetNpComInfo2WithHmac"},
        {"uObO1I15Se0","sceNpAsmClientGetNpComInfo3"},
        {"u+iH3rRyPEE","sceNpAsmClientGetNpComInfo4"},
        {"nuPl4uVXYMM","sceNpAsmClientGetNpTitleId"},
        {"HtpGVrVLOlA","sceNpAsmClientGetNpTitleToken"},
        {"2GbOPwcNJd0","sceNpAsmClientGetNpTitleToken2"},
        {"cugDQBHux8k","sceNpAsmClientGetNpTitleTokenA"},
        {"rT4NWysyX+g","sceNpAsmClientGetRelatedGameNpTitleIds"},
        {"scCBvfXGeRM","sceNpAsmClientGetRelatedGameNpTitleIdsA"},
        {"TtHBV0mH8kY","sceNpAsmClientGetRelatedGameNpTitleIdsResult"},
        {"O42ZlBvIPMM","sceNpAsmClientGetServiceBaseUrl"},
        {"iRvaaSfHBc8","sceNpAsmClientGetServiceBaseUrlA"},
        {"nxpboyvJGf4","sceNpAsmClientGetServiceBaseUrlWithNpTitleId"},
        {"wXpm75McNZo","sceNpAsmClientGetServiceBaseUrlWithNpTitleIdA"},
        {"TiC81-OKjpg","sceNpAsmClientGetServiceIdInfo"},
        {"3rlqy6XxrmI","sceNpAsmClientGetServiceIdInfoA"},
        {"wZy5M6lzip0","sceNpAsmClientInitialize"},
        {"9o4inFK-oWc","sceNpAsmClientSetNpTitleId"},
        {"cu1LlJo+5EY","sceNpAsmClientTerminate"},
        {"YDDHD6RP4HQ","sceNpAsmCreateConnection"},
        {"hIFFMeoLhcY","sceNpAsmCreateRequest"},
        {"UxOJvGmy3mA","sceNpAsmDeleteConnection"},
        {"RfokKHMuOsE","sceNpAsmDeleteRequest"},
        {"ulPuWk7bYCU","sceNpAsmGenerateNpTitleToken"},
        {"0bCpZmASTm4","sceNpAsmGenerateNpTitleToken2"},
        {"dSlkmPVTcvk","sceNpAsmGetNpCommInfo"},
        {"IDXFgpkpDsU","sceNpAsmGetNpCommInfo2"},
        {"Dkpw9X-HSVA","sceNpAsmGetRelatedGameNpTitleIds"},
        {"kc-O9XKFRIE","sceNpAsmGetServiceBaseUrl"},
        {"1Xe+XZ1oI28","sceNpAsmGetServiceIdInfo"},
        {"j2dSNi+SJro","sceNpAsmInitialize"},
        {"Dt2rEe-d5c0","sceNpAsmTerminate"},
        {"+9+kKMY9YIw","sceNpAtomicCas32"},
        {"Yohe0MMDfj0","sceNpAtomicDec32"},
        {"pfJgSA4jO3M","sceNpAtomicInc32"},
        {"cE7wIsqXdZ8","sceNpAuthAbortRequest"},
        {"N+mr7GjTvr8","sceNpAuthCreateAsyncRequest"},
        {"6bwFkosYRQg","sceNpAuthCreateRequest"},
        {"H8wG9Bk-nPc","sceNpAuthDeleteRequest"},
        {"KxGkOrQJTqY","sceNpAuthGetAuthorizationCode"},
        {"qAUXQ9GdWp8","sceNpAuthGetAuthorizationCodeA"},
        {"KI4dHLlTNl0","sceNpAuthGetAuthorizationCodeV3"},
        {"uaB-LoJqHis","sceNpAuthGetIdToken"},
        {"CocbHVIKPE8","sceNpAuthGetIdTokenA"},
        {"RdsFVsgSpZY","sceNpAuthGetIdTokenV3"},
        {"gjSyfzSsDcE","sceNpAuthPollAsync"},
        {"PM3IZCw-7m0","sceNpAuthSetTimeout"},
        {"SK-S7daqJSE","sceNpAuthWaitAsync"},
        {"kvdMF48mB3Y","sceNpBandwidthTestAbort"},
        {"DWWW02MbKdk","sceNpBandwidthTestDownloadOnlyInitStart"},
        {"BYIZGKm6bO4","sceNpBandwidthTestGetStatus"},
        {"jktww3yJXnc","sceNpBandwidthTestInitStart"},
        {"hqzi1IHdQQQ","sceNpBandwidthTestInitStartDownload"},
        {"mA0zsbqm+kA","sceNpBandwidthTestInitStartUpload"},
        {"pLr1fEQS1z8","sceNpBandwidthTestShutdown"},
        {"PSptxtJVbv4","sceNpBandwidthTestShutdownInt"},
        {"tyArYWj+1QE","sceNpBandwidthTestShutdownWithDetailedInfo"},
        {"oXOyqxO8dX8","sceNpBandwidthTestUploadOnlyInitStart"},
        {"l67qBmMmKP4","sceNpBase64Decoder"},
        {"pu39pU8UgCo","sceNpBase64Encoder"},
        {"a5IfPlpchXI","sceNpBase64GetDecodeSize"},
        {"moGcgMNTHvQ","sceNpBase64UrlDecoder"},
        {"IeNj+OcWgU8","sceNpBase64UrlEncoder"},
        {"7BjZKcN+oZ4","sceNpBase64UrlGetDecodeSize"},
        {"9+m5nRdJ-wQ","sceNpCalloutInitCtx"},
        {"fClnlkZmA6k","sceNpCalloutStartOnCtx"},
        {"lpr66Gby8dQ","sceNpCalloutStartOnCtx64"},
        {"in19gH7G040","sceNpCalloutStopOnCtx"},
        {"AqJ4xkWsV+I","sceNpCalloutTermCtx"},
        {"kb2thTuS8t8","sceNpCancelEventFlag"},
        {"3Zl8BePTh9Y","sceNpCheckCallback"},
        {"JELHf4xPufo","sceNpCheckCallbackForLib"},
        {"2rsFmlGWleQ","sceNpCheckNpAvailability"},
        {"8Z2Jc5GvGDI","sceNpCheckNpAvailabilityA"},
        {"KfGZg2y73oM","sceNpCheckNpReachability"},
        {"r6MyYJkryz8","sceNpCheckPlus"},
        {"O80NrhUOPGY","sceNpCheckPremium"},
        {"9pLoHoPMxeg","sceNpClearEventFlag"},
        {"+nmn+Z0nWDo","sceNpCloseEventFlag"},
        {"8hPzfjZzV88","sceNpCloseSema"},
        {"i8UmXTSq7N4","sceNpCmpNpId"},
        {"TcwEFnakiSc","sceNpCmpNpIdInOrder"},
        {"dj+O5aD2a0Q","sceNpCmpOnlineId"},
        {"NU3ckGHMFXo","sceNpCommerceDialogClose"},
        {"r42bWcQbtZY","sceNpCommerceDialogGetResult"},
        {"CCbC+lqqvF0","sceNpCommerceDialogGetStatus"},
        {"0aR2aWmQal4","sceNpCommerceDialogInitialize"},
        {"9ZiLXAGG5rg","sceNpCommerceDialogInitializeInternal"},
        {"DfSCDRA3EjY","sceNpCommerceDialogOpen"},
        {"IXmfUaze9So","sceNpCommerceDialogOpen2"},
        {"m-I92Ab50W8","sceNpCommerceDialogTerminate"},
        {"LR5cwFMMCVE","sceNpCommerceDialogUpdateStatus"},
        {"dsqCVsNM0Zg","sceNpCommerceHidePsStoreIcon"},
        {"uKTDW8hk-ts","sceNpCommerceSetPsStoreIconLayout"},
        {"DHmwsa6S8Tc","sceNpCommerceShowPsStoreIcon"},
        {"1a+iY5YUJcI","sceNpCondDestroy"},
        {"q2tsVO3lM4A","sceNpCondInit"},
        {"uMJFOA62mVU","sceNpCondSignal"},
        {"bsjWg59A7aE","sceNpCondSignalAll"},
        {"bAHIOyNnx5Y","sceNpCondSignalTo"},
        {"ss2xO9IJxKQ","sceNpCondTimedwait"},
        {"fZShld2PQ7w","sceNpCondWait"},
        {"eiqMCt9UshI","sceNpCreateAsyncRequest"},
        {"6jFWpAfqAcc","sceNpCreateEventFlag"},
        {"GpLQDNKICac","sceNpCreateRequest"},
        {"LHZtCT2W1Pw","sceNpCreateSema"},
        {"fhJ5uKzcn0w","sceNpCreateThread"},
        {"90pmGqDK4BI","sceNpDbgAssignDebugId"},
        {"Etq15-l9yko","sceNpDbgDumpBinary"},
        {"ZaKa5x61hGA","sceNpDbgDumpText"},
        {"a+VaiTJSKDI","sceNpDbgStrHex"},
        {"sjnIeFCuTD0","sceNpDeleteEventFlag"},
        {"S7QTn72PrDw","sceNpDeleteRequest"},
        {"xPrF2nGPBXQ","sceNpDeleteSema"},
        {"HFcQl9TMcFQ","sceNpEntitlementAccessAbortRequest"},
        {"Z0eQj8m7XA8","sceNpEntitlementAccessDeleteRequest"},
        {"IQtb-TaIjSM","sceNpEntitlementAccessGenerateTransactionId"},
        {"xddD23+8TfQ","sceNpEntitlementAccessGetAddcontEntitlementInfo"},
        {"3Cy40mvJFyE","sceNpEntitlementAccessGetAddcontEntitlementInfoIndividual"},
        {"TFyU+KFBv54","sceNpEntitlementAccessGetAddcontEntitlementInfoList"},
        {"5LiMEPuW0DQ","sceNpEntitlementAccessGetEntitlementKey"},
        {"y7JD1gfwyfA","sceNpEntitlementAccessGetGameTrialsFlag"},
        {"lPDO62PpJIA","sceNpEntitlementAccessGetSkuFlag"},
        {"jO8DM8oyego","sceNpEntitlementAccessInitialize"},
        {"41q4BQrLOyM","sceNpEntitlementAccessPollConsumableEntitlementInfo"},
        {"69u+XqsoNd0","sceNpEntitlementAccessPollConsumeEntitlement"},
        {"ShGBFuoSSsQ","sceNpEntitlementAccessPollServiceEntitlementInfo"},
        {"aFv8qms6XTM","sceNpEntitlementAccessPollServiceEntitlementInfoList"},
        {"M4XlLFnzQaQ","sceNpEntitlementAccessPollUnifiedEntitlementInfo"},
        {"nAEqawEZG5s","sceNpEntitlementAccessPollUnifiedEntitlementInfoList"},
        {"RU6hHrrzpfc","sceNpEntitlementAccessRequestConsumableEntitlementInfo"},
        {"1c2E1ghXt90","sceNpEntitlementAccessRequestConsumeEntitlement"},
        {"Aqae0TjLvQU","sceNpEntitlementAccessRequestConsumeServiceEntitlement"},
        {"eOxGbG3sPb0","sceNpEntitlementAccessRequestConsumeUnifiedEntitlement"},
        {"M8icY9OwkKs","sceNpEntitlementAccessRequestServiceEntitlementInfo"},
        {"brbRxzr7qyI","sceNpEntitlementAccessRequestServiceEntitlementInfoList"},
        {"jautSRs4OdQ","sceNpEntitlementAccessRequestUnifiedEntitlementInfo"},
        {"uCZf2L27th8","sceNpEntitlementAccessRequestUnifiedEntitlementInfoList"},
        {"toOJe5IsGwg","sceNpEulaDialogCheckVersion"},
        {"Utd-6hXTsFQ","sceNpEulaDialogCheckVersionAbort"},
        {"aQZPV4OQRGo","sceNpEulaDialogClose"},
        {"5fq+oTNFedg","sceNpEulaDialogGetResult"},
        {"kTsZrONvKNc","sceNpEulaDialogGetStatus"},
        {"KXsx2C05JqA","sceNpEulaDialogInitialize"},
        {"BV1OcAHhXnA","sceNpEulaDialogOpen"},
        {"f8NjlGw6TgQ","sceNpEulaDialogTerminate"},
        {"BonkDE5m1Ss","sceNpEulaDialogUpdateStatus"},
        {"OQTweRLgFr8","sceNpEventGetCurrentNetworkTick"},
        {"VWOc5KnleQ0","sceNpFreeImpl"},
        {"vjwlDmsGtME","sceNpFreeKernelMemory"},
        {"+Y1acHGomGQ","sceNpFriendListDialogClose"},
        {"Z4JJhXCnIvY","sceNpFriendListDialogGetResult"},
        {"hK0CCljzJmY","sceNpFriendListDialogGetResultA"},
        {"8BVP56JIZuA","sceNpFriendListDialogGetStatus"},
        {"2L-W-ZYn2Qo","sceNpFriendListDialogInitialize"},
        {"zUM-RG5Hmyc","sceNpFriendListDialogOpen"},
        {"vN9sTP63WT8","sceNpFriendListDialogOpenA"},
        {"ECEzk+K9L2k","sceNpFriendListDialogTerminate"},
        {"frwz3eyuA6w","sceNpFriendListDialogUpdateStatus"},
        {"rPl0INNc-M8","sceNpGameIntentGetPropertyValueString"},
        {"KNggmcdqc2Q","sceNpGameIntentGetUdsNpComId"},
        {"m87BHxt-H60","sceNpGameIntentInitialize"},
        {"DAR+Nuv4E7M","sceNpGameIntentLaunchApp"},
        {"d-YDTQrxDJA","sceNpGameIntentLaunchApp2"},
        {"opFs796vTHg","sceNpGameIntentNotifyAppLaunched"},
        {"jEIXUAr9XE8","sceNpGameIntentReceiveIntent"},
        {"0HBYxYAjmf0","sceNpGameIntentTerminate"},
        {"+4DegjBqV1g","sceNpGetAccountAge"},
        {"Ghz9iWDUtC4","sceNpGetAccountCountry"},
        {"JT+t00a3TxA","sceNpGetAccountCountryA"},
        {"8VBTeRf1ZwI","sceNpGetAccountDateOfBirth"},
        {"q3M7XzBKC3s","sceNpGetAccountDateOfBirthA"},
        {"a8R9-75u4iM","sceNpGetAccountId"},
        {"rbknaUjpqWo","sceNpGetAccountIdA"},
        {"KZ1Mj9yEGYc","sceNpGetAccountLanguage"},
        {"3Tcz5bNCfZQ","sceNpGetAccountLanguage2"},
        {"TPMbgIxvog0","sceNpGetAccountLanguageA"},
        {"IPb1hd1wAGc","sceNpGetGamePresenceStatus"},
        {"oPO9U42YpgI","sceNpGetGamePresenceStatusA"},
        {"QmDEFikd3VA","sceNpGetNavSdkVersion"},
        {"p-o74CnoNzY","sceNpGetNpId"},
        {"e-ZuhGEoeC4","sceNpGetNpReachabilityState"},
        {"XDncXQIJUSk","sceNpGetOnlineId"},
        {"ilwLM4zOmu4","sceNpGetParentalControlInfo"},
        {"m9L3O6yst-U","sceNpGetParentalControlInfoA"},
        {"sXVQUIGmk2U","sceNpGetPlatformType"},
        {"Z3mnqcGmf8E","sceNpGetProcessId"},
        {"pJlGhXEt5CU","sceNpGetRandom"},
        {"Pglk7zFj0DI","sceNpGetSdkVersion"},
        {"ljqnF0hmLjo","sceNpGetSdkVersionUInt"},
        {"eQH7nWPcAgc","sceNpGetState"},
        {"PVVsRmMkO1g","sceNpGetSystemClockUsec"},
        {"VgYczPGB5ss","sceNpGetUserIdByAccountId"},
        {"F6E4ycq9Dbg","sceNpGetUserIdByOnlineId"},
        {"-gN6uE+zWng","sceNpGlobalHeapGetAllocator"},
        {"VUHUasztbUY","sceNpGlobalHeapGetAllocatorEx"},
        {"P4YpPziLBd4","sceNpGlobalHeapGetAllocatorExPtr"},
        {"DI5n4aOdxmk","sceNpGlobalHeapGetAllocatorPtr"},
        {"Tr0u0p-T+x8","sceNpGlobalHeapInit"},
        {"hyrDIxugcKw","sceNpGlobalHeapTerm"},
        {"v2pxETU7EMk","sceNpGriefReportAbortTransaction"},
        {"7D-evFZkLUk","sceNpGriefReportCdAbortRequest"},
        {"3L99HU+j-MA","sceNpGriefReportCdBaseDataInit"},
        {"cRQApILFOrQ","sceNpGriefReportCdCreateRequest"},
        {"aF5D30uVRVk","sceNpGriefReportCdDeleteRequest"},
        {"MwcHR8xIR2w","sceNpGriefReportCdInit"},
        {"tcSNPbqj3pk","sceNpGriefReportCdPost"},
        {"+nfHWFq9rhA","sceNpGriefReportCdTerm"},
        {"AGGtsVQ78ZE","sceNpGriefReportCreateClient"},
        {"oVsBjmw2Rl4","sceNpGriefReportCreateRequest"},
        {"0GflMZhj7sU","sceNpGriefReportCreateTransaction"},
        {"VOqOyDAi098","sceNpGriefReportDeleteClient"},
        {"FSrzrDEkthc","sceNpGriefReportDeleteRequest"},
        {"KnCfheGONas","sceNpGriefReportDeleteTicketData"},
        {"iPwFJCIZK14","sceNpGriefReportDeleteTransaction"},
        {"xubw0SjW4Y0","sceNpGriefReportGetTicket"},
        {"luqF4m0EjWA","sceNpGriefReportInit"},
        {"fzRDRAPXuWc","sceNpGriefReportIsInit"},
        {"fI-5QkiZRAQ","sceNpGriefReportPost"},
        {"znFHu15HXEM","sceNpGriefReportReadGroupMessageFile"},
        {"Y7L7nUSz4+A","sceNpGriefReportReadJsonFile"},
        {"H336BO4+kP4","sceNpGriefReportReadLfpsCommentFile"},
        {"QaTuZTNPygQ","sceNpGriefReportReadReportItem"},
        {"k6YqjzQohfg","sceNpGriefReportReadTextChatFile"},
        {"KQBnRItYXM8","sceNpGriefReportTerm"},
        {"gZpb1ztmYdY","sceNpGriefReportWriteActivityAttachFile"},
        {"DZQSHdxdMb8","sceNpGriefReportWriteGroupMessageFile"},
        {"hJku67PUGS0","sceNpGriefReportWriteJsonFile"},
        {"wSGXKvag-Jg","sceNpGriefReportWriteReportItem"},
        {"RoxM-Cpzm9s","sceNpGriefReportWriteReportItem2"},
        {"2aizWWQBSoY","sceNpGriefReportWriteTemporaryFile"},
        {"nb+os+yvPY8","sceNpGriefReportWriteTextChatFile"},
        {"Oad3rvY-NJQ","sceNpHasSignedUp"},
        {"wVdn78HKc30","sceNpHeapDestroy"},
        {"JHGxU93dbQg","sceNpHeapFreeImpl"},
        {"lvek8w7yqyE","sceNpHeapGetAllocator"},
        {"2jdHoPpS+W0","sceNpHeapGetStat"},
        {"B+yGIX1+BTI","sceNpHeapInit"},
        {"KzDPh7twuDg","sceNpHeapMallocImpl"},
        {"hr8l7-YieYI","sceNpHeapReallocImpl"},
        {"evz0-93ucJc","sceNpHeapShowStat"},
        {"Hvpr+otU4bo","sceNpHexToInt"},
        {"fJuQuipzW10","sceNpIdMapperAbortRequest"},
        {"alNLle2vACg","sceNpIdMapperAccountIdToNpId"},
        {"TV3KKXZLUj4","sceNpIdMapperAccountIdToOnlineId"},
        {"lCAYAK4kfkc","sceNpIdMapperCreateRequest"},
        {"Z8nyVQCGCVo","sceNpIdMapperDeleteRequest"},
        {"21FMz6O4B2E","sceNpIdMapperNpIdToAccountId"},
        {"zEZvGyjEhuk","sceNpIdMapperOnlineIdToAccountId"},
        {"BdykpTwq2bs","sceNpInGameMessageAbortHandle"},
        {"lp7vzwISXMg","sceNpInGameMessageCheckCallback"},
        {"s4UEa5iBJdc","sceNpInGameMessageCreateHandle"},
        {"+anuSx2avHQ","sceNpInGameMessageDeleteHandle"},
        {"Ubv+fP58W1U","sceNpInGameMessageGetMemoryPoolStatistics"},
        {"GFhVUpRmbHE","sceNpInGameMessageInitialize"},
        {"Vh1bhUG6mSs","sceNpInGameMessagePrepare"},
        {"IkL62FMpIpo","sceNpInGameMessagePrepareA"},
        {"ON7Sf5XEMmI","sceNpInGameMessageSendData"},
        {"PQDFxcnqxtw","sceNpInGameMessageSendDataA"},
        {"bMG3cVmUmuk","sceNpInGameMessageTerminate"},
        {"5y0wMPQkaeU","sceNpInt32ToStr"},
        {"HoPC33siDD4","sceNpInt64ToStr"},
        {"GsWjzRU7AWA","sceNpIntCheckPlus"},
        {"H6xqSNWg0wM","sceNpIntGetAppType"},
        {"SdNiYQWjU6E","sceNpIntGetGamePresenceStatus"},
        {"H0n1QHWdVwQ","sceNpIntGetNpTitleId"},
        {"LtYqw9M23hw","sceNpIntGetNpTitleIdSecret"},
        {"G6qytFoBJ-w","sceNpIntGetPlatformType"},
        {"fY4XQoA20i8","sceNpIntIsOnlineIdString"},
        {"hkeX9iuCwlI","sceNpIntIsValidOnlineId"},
        {"fkUIszBPm4g","sceNpIntRegisterCheckCallback"},
        {"bZ2mBvP79d8","sceNpIntRegisterGamePresenceCallback"},
        {"X6emt+LbSEI","sceNpIntSetPlatformType"},
        {"TWPY1x1Atys","sceNpIntToHex"},
        {"kgDwlmy78k0","sceNpIpc2ClientInit"},
        {"CI2p6Viee9w","sceNpIpc2ClientTerm"},
        {"95UOysgEA1k","sceNpIpcAbortRequest"},
        {"CCIWdE3I4lA","sceNpIpcBeginRequest"},
        {"b2OFdqV0AeA","sceNpIpcCancelCallback"},
        {"1JGVbR1IEBk","sceNpIpcCheckCallback"},
        {"22oeZeA0CdU","sceNpIpcClientInit"},
        {"5TYmu2tN5o4","sceNpIpcClientInitInternal"},
        {"Se5eY7Xs5nk","sceNpIpcClientTerm"},
        {"WkUlp2cRBGg","sceNpIpcClientTermInternal"},
        {"E8b8E4weT70","sceNpIpcClientTest1"},
        {"aaqUkzGjvM4","sceNpIpcClientTest2"},
        {"cF88qFhsp-Y","sceNpIpcCreateRequest"},
        {"1VBuIy9foww","sceNpIpcDeleteRequest"},
        {"UpkfE2SNofE","sceNpIpcEndRequest"},
        {"y5xmS-Dbl6U","sceNpIpcGetEvent"},
        {"XEQnUXQ6MOw","sceNpIpcIsInit"},
        {"s8ejD-SADXQ","sceNpIpcRegisterCallback"},
        {"p1cutHGo-JE","sceNpIpcStartReceiveEvent"},
        {"Xa3DExzD5do","sceNpIpcStopReceiveEvent"},
        {"O8PXKj+4L8Y","sceNpIpcUnregisterCallback"},
        {"Kf7ZT3OOekI","sceNpIpcWaitRequest"},
        {"sxHajJOslN0","sceNpIsCEX"},
        {"RqXSv8zF1A0","sceNpIsDevelopmentMode"},
        {"Ybu6AxV6S0o","sceNpIsPlusMember"},
        {"EjMsfO3GCIA","sceNpJoinThread"},
        {"vJGDnNh4I0g","sceNpJsonParse"},
        {"T61vWaA+d9Q","sceNpJsonParse2"},
        {"XTi+x-uTX9o","sceNpJsonParse2Init"},
        {"RgfCYkjW7As","sceNpJsonParseBuf"},
        {"SnAdybtBK3o","sceNpJsonParseBufInit"},
        {"p5ZkSMRR7AU","sceNpJsonParseEx"},
        {"nhgjiwPUIzI","sceNpJsonParseExInit"},
        {"teVnFAL6GNY","sceNpJsonParseInit"},
        {"eYz4v5Uek9U","sceNpLookupAbortRequest"},
        {"JA4+sS39GMs","sceNpLookupCreateAsyncRequest"},
        {"iQr9UxPHUFs","sceNpLookupCreateRequest"},
        {"8533Q+LU7EQ","sceNpLookupCreateTitleCtx"},
        {"vT9xhqPO6+0","sceNpLookupCreateTitleCtxA"},
        {"wLaxchvEEnk","sceNpLookupDeleteRequest"},
        {"mtqDK9zkoIE","sceNpLookupDeleteTitleCtx"},
        {"1O96muPzhgU","sceNpLookupNetAbortRequest"},
        {"N0iF180VjGk","sceNpLookupNetCensorComment"},
        {"UI5t6Rx6s5I","sceNpLookupNetConvertJidToNpId"},
        {"ieROYX4vspk","sceNpLookupNetConvertNpIdToJid"},
        {"KUIRsku7EPk","sceNpLookupNetCreateRequest"},
        {"8DPEdJh9RkE","sceNpLookupNetCreateTitleCtx"},
        {"HL-venrRcnQ","sceNpLookupNetDeleteRequest"},
        {"dxpUx7z9StY","sceNpLookupNetDeleteTitleCtx"},
        {"zVZE+fAhgFY","sceNpLookupNetInit"},
        {"DiUk6-mq--0","sceNpLookupNetInitWithFunctionPointer"},
        {"cpnwZeVIq8E","sceNpLookupNetInitWithMemoryPool"},
        {"ZXlTj9RRCFo","sceNpLookupNetIsInit"},
        {"2nEVmFiV6OI","sceNpLookupNetNpId"},
        {"jJH2P7KA4XU","sceNpLookupNetSanitizeComment"},
        {"NWtf77WCXJs","sceNpLookupNetSetTimeout"},
        {"Dbd5BY0QjG0","sceNpLookupNetTerm"},
        {"T6tnM1Uti4g","sceNpLookupNpId"},
        {"V4EVrruHuy8","sceNpLookupPollAsync"},
        {"0MV72WO7V34","sceNpLookupSetTimeout"},
        {"YX9dAus6baE","sceNpLookupWaitAsync"},
        {"zNb6IxegrCE","sceNpLwCondDestroy"},
        {"++eqYdzB8Go","sceNpLwCondInit"},
        {"Xkn6VoN-wuQ","sceNpLwCondSignal"},
        {"FJ4DCt8VzVE","sceNpLwCondSignalAll"},
        {"Bwi+EP8VQ+g","sceNpLwCondSignalTo"},
        {"ExeLuE3EQCQ","sceNpLwCondWait"},
        {"4zxevggtYrQ","sceNpLwMutexDestroy"},
        {"1CiXI-MyEKs","sceNpLwMutexInit"},
        {"18j+qk6dRwk","sceNpLwMutexLock"},
        {"hp0kVgu5Fxw","sceNpLwMutexTryLock"},
        {"CQG2oyx1-nM","sceNpLwMutexUnlock"},
        {"A2OPwu2Xo-c","sceNpMallocImpl"},
        {"AUuzKQIwhXY","sceNpManagerIntAbortRequest"},
        {"HLQfohD2YuE","sceNpManagerIntAccountId2UserId"},
        {"J0MUxuo9H9c","sceNpManagerIntAddActiveSigninStateCallback"},
        {"wIX4m0mLfqA","sceNpManagerIntAddOnlineIdChangeCallback"},
        {"E6rzFwsDFwE","sceNpManagerIntAddPlusMemberTypeCallback"},
        {"S9xDus0Cums","sceNpManagerIntAddSigninStateCallback"},
        {"m2PkI8YCJWc","sceNpManagerIntAddUserStateCallback"},
        {"1aifBDr9oqc","sceNpManagerIntAuthGetAuthorizationCode"},
        {"fMWCG0Tqofg","sceNpManagerIntAuthGetIdToken"},
        {"f6hCBlMb-6Q","sceNpManagerIntBind"},
        {"Nx+FM+bz0ZQ","sceNpManagerIntBindByJson"},
        {"uyo-bsZsxII","sceNpManagerIntBindByJsonUserInfo"},
        {"vup0rbTEOPU","sceNpManagerIntBindCompleted"},
        {"eJDUHQBBwZM","sceNpManagerIntBindGetWebAppToken"},
        {"97RAfJch+qE","sceNpManagerIntBindOfflineAccountId"},
        {"Xg7dJekKeHM","sceNpManagerIntCheckGameNpAvailability"},
        {"isNn0YyU83c","sceNpManagerIntCheckGameNpAvailabilityA"},
        {"WtsuDMvVw-I","sceNpManagerIntCheckGameNpAvailabilityWithPid"},
        {"m4JiU8k2PyI","sceNpManagerIntCheckNpAvailability"},
        {"d+lmTLvsaRs","sceNpManagerIntCheckNpAvailabilityByPid"},
        {"Dvk+xqAqXco","sceNpManagerIntCheckNpState"},
        {"U30AU92fWdU","sceNpManagerIntCheckNpStateA"},
        {"fK5zqN0v5Qg","sceNpManagerIntCheckPlus"},
        {"mQU19DRkeyI","sceNpManagerIntCheckSignin"},
        {"meuwG2Ym0Pk","sceNpManagerIntCheckTitlePatch"},
        {"9fK1V0QGyL4","sceNpManagerIntCheckTitleSystemUpdate"},
        {"r7d8eEp5vJE","sceNpManagerIntClearGameAccessToken"},
        {"5ZoFb+9L7LY","sceNpManagerIntClearOnlineIdChangeFlag"},
        {"3mR3QJFzrg4","sceNpManagerIntClearParentalControlInfo"},
        {"yX8qSFmkiyc","sceNpManagerIntClearParentalControlInfoSubAccount"},
        {"bpF7OjR81T4","sceNpManagerIntClearPlusMemberType"},
        {"6TTRm8KRqbw","sceNpManagerIntClearTicket"},
        {"QZpXoz9wjbE","sceNpManagerIntClearUsedFlag"},
        {"miJIPnB2cfI","sceNpManagerIntClearVshAccessToken"},
        {"Wc3aCwYB5Go","sceNpManagerIntClearVshToken"},
        {"D2l3rQK-VzQ","sceNpManagerIntClearVshTokenA"},
        {"IxqaB0MHl0s","sceNpManagerIntCreateAuthenticationTicket"},
        {"6n8NT1pHW9g","sceNpManagerIntCreateLoginContext"},
        {"CdQg39qlfgY","sceNpManagerIntCreateLoginRequest"},
        {"xZk+QcivrFE","sceNpManagerIntCreateRequest"},
        {"YpDwgqoKMaE","sceNpManagerIntDeclareSystemProcess"},
        {"EgmlHG93Tpw","sceNpManagerIntDeleteLoginContext"},
        {"HneC+SpeLwc","sceNpManagerIntDeleteRequest"},
        {"tea1EXJiSB8","sceNpManagerIntGetAccessTokenViaImplicitFlow"},
        {"+RVCwHtA5kU","sceNpManagerIntGetAccountAge"},
        {"7+uKCMe4SLk","sceNpManagerIntGetAccountCountry"},
        {"fjJ4xXM+3Tw","sceNpManagerIntGetAccountCountryA"},
        {"mUcn35JWAvI","sceNpManagerIntGetAccountCountrySdk"},
        {"dnyvPTam4Gc","sceNpManagerIntGetAccountDateOfBirth"},
        {"CConkVwc7Dc","sceNpManagerIntGetAccountDateOfBirthA"},
        {"3TbxIy0VEiU","sceNpManagerIntGetAccountDateOfBirthSdk"},
        {"XS-eY7KRqjQ","sceNpManagerIntGetAccountId"},
        {"1H07-M8fGec","sceNpManagerIntGetAccountIdSdk"},
        {"C6xstRBFOio","sceNpManagerIntGetAccountLanguage"},
        {"e6rTjFmcQjY","sceNpManagerIntGetAccountLanguageA"},
        {"HvNrMhlWBSk","sceNpManagerIntGetAccountNpEnv"},
        {"9lz4fkS+eEk","sceNpManagerIntGetAccountType"},
        {"UAA2-ZTmgJc","sceNpManagerIntGetActiveSigninState"},
        {"HkUgFhrpAD4","sceNpManagerIntGetAuthServerErrorFlag"},
        {"BoD6du5+wxo","sceNpManagerIntGetAuthorizationCode"},
        {"1DMXuE0CbGQ","sceNpManagerIntGetAuthorizationCodeA"},
        {"xPvV6oMKOWY","sceNpManagerIntGetAuthorizationCodeWithPsnoUri"},
        {"2VmnxS1aZG0","sceNpManagerIntGetAuthorizationCodeWithRedirectUri"},
        {"TXzpCgPmXEQ","sceNpManagerIntGetClientCredentialAccessToken"},
        {"A3m-y8VVgqM","sceNpManagerIntGetCommunicationRestrictionStatus"},
        {"iTXe6EWAHek","sceNpManagerIntGetGameAccessToken"},
        {"pJqrYc7v9Y4","sceNpManagerIntGetGameAuthorizationCode"},
        {"RhjnQ70obPw","sceNpManagerIntGetGameTicket"},
        {"lY3vdIUZsG4","sceNpManagerIntGetGameTicketWithPid"},
        {"OcnSddPkQns","sceNpManagerIntGetGameTitleBanInfo"},
        {"btKQfNe1jBY","sceNpManagerIntGetGameTitleToken"},
        {"O7ivIf9AIFI","sceNpManagerIntGetGameTitleTokenA"},
        {"vfHBP2-WXcM","sceNpManagerIntGetGameVshToken"},
        {"pLjQLOflIUU","sceNpManagerIntGetGameVshTokenWithPid"},
        {"es6OiIxGiL0","sceNpManagerIntGetIssuerId"},
        {"jCJEWuExbZg","sceNpManagerIntGetLastAccountLanguage"},
        {"Oad+nopFTTA","sceNpManagerIntGetMAccountId"},
        {"BTRVfOx7K1c","sceNpManagerIntGetNpEnv"},
        {"azEmYv5NqWo","sceNpManagerIntGetNpId"},
        {"gFB0RmKjyaI","sceNpManagerIntGetNpIdByOnlineId"},
        {"9xcazelb3Ks","sceNpManagerIntGetNpIdInternal"},
        {"41CVMRinjWU","sceNpManagerIntGetNpIdSdk"},
        {"70Swvw7h6ck","sceNpManagerIntGetOfflineAccountId"},
        {"40GlkRTqRH0","sceNpManagerIntGetOnlineId"},
        {"QnO8zMmKcGE","sceNpManagerIntGetOnlineIdByAccountId"},
        {"lYkDUwyzr0s","sceNpManagerIntGetOnlineIdChangeFlag"},
        {"jkQKWQTOu8g","sceNpManagerIntGetOnlineIdInternal"},
        {"sTtvF4QVhjg","sceNpManagerIntGetOnlineIdSdk"},
        {"FqtDOHUuDNw","sceNpManagerIntGetParentalControlFlag"},
        {"NS1sEhoj-B0","sceNpManagerIntGetParentalControlInfo"},
        {"ggj9Qm4XDrU","sceNpManagerIntGetParentalControlInfoA"},
        {"X52vXnVvtpE","sceNpManagerIntGetParentalControlInfoNB"},
        {"vrre3KW6OPg","sceNpManagerIntGetPlusMemberType"},
        {"XRFchqddEVU","sceNpManagerIntGetPlusMemberTypeNB"},
        {"iDlso2ZrQfA","sceNpManagerIntGetServerError"},
        {"6miba-pcQt8","sceNpManagerIntGetSigninState"},
        {"hnOWouVmZMY","sceNpManagerIntGetSigninTelemetryInfo"},
        {"jce1Jhbmj7Q","sceNpManagerIntGetTemporarySsoToken"},
        {"uVAfWmv+cc8","sceNpManagerIntGetTicket"},
        {"43B0lauksLY","sceNpManagerIntGetTicketA"},
        {"vfmUxlocdUY","sceNpManagerIntGetTicketNB"},
        {"xY607JqjoPk","sceNpManagerIntGetTitleToken"},
        {"HsHttp1Ktm0","sceNpManagerIntGetTitleTokenWithCheck"},
        {"OZTedKNUeFU","sceNpManagerIntGetUserIdByAccountId"},
        {"uxLmJ141PmA","sceNpManagerIntGetUserIdByMAccountId"},
        {"MDczH3SxE9Q","sceNpManagerIntGetUserIdByNpId"},
        {"Nhxy2NmQhbs","sceNpManagerIntGetUserIdByOfflineAccountId"},
        {"uSLgWz8ohak","sceNpManagerIntGetUserIdByOnlineId"},
        {"H33CwgKf4Rs","sceNpManagerIntGetUserIdByOnlineIdSdk"},
        {"l5SkPv2i+f8","sceNpManagerIntGetUserInfo"},
        {"PL10NiZ0XNA","sceNpManagerIntGetUserList"},
        {"etZ84Rf3Urw","sceNpManagerIntGetUserNum"},
        {"dCvPEYm3gHk","sceNpManagerIntGetUserState"},
        {"mBTFixSxTzQ","sceNpManagerIntGetVshAccessToken"},
        {"+waQfICfHaw","sceNpManagerIntGetVshAccessTokenWithCheck"},
        {"3f0ejg9vcE8","sceNpManagerIntGetVshClientId"},
        {"mKGqVK1SwFk","sceNpManagerIntGetVshToken"},
        {"0yDdrIgqpjE","sceNpManagerIntGetVshTokenA"},
        {"yrME3knbt8U","sceNpManagerIntGetVshTokenNB"},
        {"WNmE+qXnYtg","sceNpManagerIntGetWebAppToken"},
        {"mA34DPndHuk","sceNpManagerIntGetWebAppTokenByRequest"},
        {"p0dBN8P6oQk","sceNpManagerIntGetWebAuthorizationCode"},
        {"1XsGBdpfDsU","sceNpManagerIntInit"},
        {"SubkMx98zRY","sceNpManagerIntInitInternal"},
        {"koU-Duc1F-0","sceNpManagerIntIsServerMaintenanceError"},
        {"ossvuXednsc","sceNpManagerIntIsSubAccount"},
        {"o8qKkphzJr0","sceNpManagerIntIsSubAccountByUserId"},
        {"FEYGFUlSCVQ","sceNpManagerIntIsSystem"},
        {"atgHp5dQi5k","sceNpManagerIntIsTemporarySignout"},
        {"jwOjEhWD6E4","sceNpManagerIntIsUnregisteredClientError"},
        {"aU5QaUCW-Ik","sceNpManagerIntLoginAddJsonInfo"},
        {"KQYLX4tVLe4","sceNpManagerIntLoginAuthenticate"},
        {"bzf8a7LxtCQ","sceNpManagerIntLoginBind"},
        {"XRpM9tQecCU","sceNpManagerIntLoginCheckSignin"},
        {"xR8S67myUos","sceNpManagerIntLoginCreateAuthenticationTicket"},
        {"xAdGRA3ucDg","sceNpManagerIntLoginGet2svInfo"},
        {"-P0LG2EUFBE","sceNpManagerIntLoginGetAccessToken"},
        {"38cfkczfN08","sceNpManagerIntLoginGetAccessTokenViaImplicitFlow"},
        {"dvkqP9KUMfk","sceNpManagerIntLoginGetAccountId"},
        {"sEZaB9KQ10k","sceNpManagerIntLoginGetAuthenticateResponse"},
        {"Y+hLqeLseRk","sceNpManagerIntLoginGetAuthorizationCode"},
        {"EXeJ80p01gs","sceNpManagerIntLoginGetDeviceCodeInfo"},
        {"yqsFy9yg2rU","sceNpManagerIntLoginGetEmail"},
        {"wXfHhmzUjK4","sceNpManagerIntLoginGetOnlineId"},
        {"yWMBHiRdEbk","sceNpManagerIntLoginGetUserId"},
        {"BdzbUHOEoO4","sceNpManagerIntLoginGetWebAccessToken"},
        {"mgTL+L1bGqU","sceNpManagerIntLoginGetWebAccessTokenByClientId"},
        {"uaCfG0TAPmg","sceNpManagerIntLoginParseJsonUserInfo"},
        {"yHl0pPA3rPQ","sceNpManagerIntLoginResetSsoToken"},
        {"0cLPZO1Voe8","sceNpManagerIntLoginRevalidatePassword"},
        {"hmVLIi3pQDE","sceNpManagerIntLoginSetAccountInfo"},
        {"X-WHexCbxcI","sceNpManagerIntLoginSetSsoToken"},
        {"YC3k6Hcy9+E","sceNpManagerIntLoginSetUserId"},
        {"rCnvauevHHc","sceNpManagerIntLoginSignin"},
        {"qmZHHehEDog","sceNpManagerIntLoginValidateCredential"},
        {"zXukItkUuko","sceNpManagerIntLoginValidateKratosAuthCode"},
        {"ujtFwWJnv+E","sceNpManagerIntLoginVerifyDeviceCode"},
        {"d8ZF6RxS4gg","sceNpManagerIntMAccountId2UserId"},
        {"OxI6k0G6RlU","sceNpManagerIntNotifyPlusFeature"},
        {"gVW1ZB-uUj4","sceNpManagerIntNpId2UserId"},
        {"XEPf4yyKUyk","sceNpManagerIntOnlineId2NpId"},
        {"wHY17vvA+mA","sceNpManagerIntOnlineId2UserId"},
        {"aBcwP392v0E","sceNpManagerIntParseIdToken"},
        {"Qk5ehOXWs4g","sceNpManagerIntParseJsonUserInfo"},
        {"d0IkWV+u25g","sceNpManagerIntPfAuth"},
        {"WJV0RYOEc-E","sceNpManagerIntPsnCoreInternalTest"},
        {"SuBDgQswXgo","sceNpManagerIntRemoveActiveSigninStateCallback"},
        {"5nayeu8VK5Y","sceNpManagerIntRemoveOnlineIdChangeCallback"},
        {"PafRf+sxnwA","sceNpManagerIntRemovePlusMemberTypeCallback"},
        {"zh2KsQZlAN4","sceNpManagerIntRemoveSigninStateCallback"},
        {"V6jvzQi5EQc","sceNpManagerIntRemoveUserStateCallback"},
        {"k4M1w5Xstck","sceNpManagerIntRevalidatePassword"},
        {"OjoP+2xDY5c","sceNpManagerIntRevalidatePasswordOld"},
        {"96pmXKJwUWY","sceNpManagerIntSetCheckPlusResult"},
        {"ik86e1xLpoo","sceNpManagerIntSetCommerceDialogPlusResult"},
        {"C77VnsdaKKI","sceNpManagerIntSetPlusMemberTypeNB"},
        {"MTzWc9nxOy4","sceNpManagerIntSetRequestHeader"},
        {"PZhz+vjp2CM","sceNpManagerIntSetTimeout"},
        {"7uqf3hPw8Yw","sceNpManagerIntSignin"},
        {"6G6BrngbzRg","sceNpManagerIntSigninByJson"},
        {"z-I94rQUMRY","sceNpManagerIntSigninByJsonUserInfo"},
        {"64D6V-ADQe0","sceNpManagerIntSignout"},
        {"HyrG1GT4JxI","sceNpManagerIntStartSystemMode"},
        {"+IagDajB6AQ","sceNpManagerIntSubmitUserCode"},
        {"wUT4cOK0bj0","sceNpManagerIntTemporarySignout"},
        {"prZNuK3iTi8","sceNpManagerIntTerm"},
        {"H51PINVcMM8","sceNpManagerIntTermInternal"},
        {"uZnL4QZxzkI","sceNpManagerIntUnbind"},
        {"IG6ZoGSDaMk","sceNpManagerIntUnbindOfflineAccountId"},
        {"cOKT8SyGb2g","sceNpManagerIntUpdateBcAccessToken"},
        {"dTvQe2clcNw","sceNpManagerIntUpdateVshAccessToken"},
        {"3FtD6y5Rk5Q","sceNpManagerIntUpdateVshToken"},
        {"8kM+eFzoBas","sceNpManagerIntUpdateVshTokenA"},
        {"ljBQTMlrdfU","sceNpManagerIntUserSignin"},
        {"hwuMsTWU4Kg","sceNpManagerIntUserSignout"},
        {"jMRcqynQVRI","sceNpManagerIntValidateCredential"},
        {"qAoMArbG384","sceNpManagerIntValidateQrCodeSession"},
        {"6AcoqeEhs6E","sceNpManagerIntWebLoginRequired"},
        {"LGEIdgILQek","sceNpManagerPrxStartVsh"},
        {"9P8qV9WtgKA","sceNpManagerPrxStopVsh"},
        {"QqoW686wrAM","sceNpManagerStartVsh"},
        {"rGccgf7LjyA","sceNpManagerStopVsh"},
        {"iUjiTIiYnZk","sceNpManagerUtilConvertJidToNpId"},
        {"hIGX-h1cgvA","sceNpManagerUtilConvertNpIdToJid"},
        {"YeJzOqHApiU","sceNpManagerUtilConvertOldAuthServerError"},
        {"gT9LZ+qEG-M","sceNpManagerUtilDebugDumpByte"},
        {"gFSmD8eAI-4","sceNpManagerUtilGetVshEapScopeList"},
        {"Lsvo3HZpVVI","sceNpManagerUtilGetVshScopeList"},
        {"6txNWOo9HqI","sceNpManagerUtilSystemMessage"},
        {"EuM4L2UOzSQ","sceNpManagerUtilSystemMessageWithUserId"},
        {"pFzhpCMlJXQ","sceNpMatching2AbortContextStart"},
        {"7vjNQ6Z1op0","sceNpMatching2ContextStart"},
        {"-f6M4caNe8k","sceNpMatching2ContextStop"},
        {"YfmpW719rMo","sceNpMatching2CreateContext"},
        {"ajvzc8e2upo","sceNpMatching2CreateContextA"},
        {"6xlf9+pa0GY","sceNpMatching2CreateContextInternal"},
        {"zCWZmXXN600","sceNpMatching2CreateJoinRoom"},
        {"V6KSpKv9XJE","sceNpMatching2CreateJoinRoomA"},
        {"Nz-ZE7ur32I","sceNpMatching2DestroyContext"},
        {"wyvlEgZ-55w","sceNpMatching2GetLobbyInfoList"},
        {"1JtbJ0kxm3E","sceNpMatching2GetLobbyMemberDataInternal"},
        {"1Z4Xxumgm+Y","sceNpMatching2GetLobbyMemberDataInternalList"},
        {"gpSAvdheZ0Q","sceNpMatching2GetMemoryInfo"},
        {"26vWrPAWJfM","sceNpMatching2GetRoomDataExternalList"},
        {"Jraxifmoet4","sceNpMatching2GetRoomDataInternal"},
        {"nddl5xnQQEY","sceNpMatching2GetRoomJoinedSlotMaskLocal"},
        {"dMQ+xGvTdqM","sceNpMatching2GetRoomMemberDataExternalList"},
        {"5lhvOqheFBA","sceNpMatching2GetRoomMemberDataInternal"},
        {"KC+GnHzrK2o","sceNpMatching2GetRoomMemberIdListLocal"},
        {"vbtWT3lZBOM","sceNpMatching2GetRoomPasswordLocal"},
        {"LhCPctIICxQ","sceNpMatching2GetServerId"},
        {"cgQhq3E0eGo","sceNpMatching2GetSignalingOptParamLocal"},
        {"8btynvj0KNA","sceNpMatching2GetSslMemoryInfo"},
        {"qeF-q5KDtAc","sceNpMatching2GetUserInfoList"},
        {"GyI2f9yDUXM","sceNpMatching2GetUserInfoListA"},
        {"lagjVl+bHFI","sceNpMatching2GetWorldIdArrayForAllServers"},
        {"rJNPJqDCpiI","sceNpMatching2GetWorldInfoList"},
        {"NCP3bLGPt+o","sceNpMatching2GrantRoomOwner"},
        {"10t3e5+JPnU","sceNpMatching2Initialize"},
        {"n5JmImxTiZU","sceNpMatching2JoinLobby"},
        {"CSIMDsVjs-g","sceNpMatching2JoinRoom"},
        {"gQ6cUriNpgs","sceNpMatching2JoinRoomA"},
        {"AUVfU6byg3c","sceNpMatching2KickoutRoomMember"},
        {"BBbJ92uUdCg","sceNpMatching2LeaveLobby"},
        {"BD6kfx442Do","sceNpMatching2LeaveRoom"},
        {"fQQfP87I7hs","sceNpMatching2RegisterContextCallback"},
        {"4Nj7u5B5yCA","sceNpMatching2RegisterLobbyEventCallback"},
        {"DnPUsBAe8oI","sceNpMatching2RegisterLobbyMessageCallback"},
        {"KT082n6I75E","sceNpMatching2RegisterManualUdpSignalingCallback"},
        {"p+2EnxmaAMM","sceNpMatching2RegisterRoomEventCallback"},
        {"uBESzz4CQws","sceNpMatching2RegisterRoomMessageCallback"},
        {"0UMeWRGnZKA","sceNpMatching2RegisterSignalingCallback"},
        {"VqZX7POg2Mk","sceNpMatching2SearchRoom"},
        {"K+KtxhPsMZ4","sceNpMatching2SendLobbyChatMessage"},
        {"opDpl74pi2E","sceNpMatching2SendRoomChatMessage"},
        {"Iw2h0Jrrb5U","sceNpMatching2SendRoomMessage"},
        {"+8e7wXLmjds","sceNpMatching2SetDefaultRequestOptParam"},
        {"nHZpTF30wto","sceNpMatching2SetExtraInitParam"},
        {"ir2CzSs9K-g","sceNpMatching2SetLobbyMemberDataInternal"},
        {"q7GK98-nYSE","sceNpMatching2SetRoomDataExternal"},
        {"S9D8JSYIrjE","sceNpMatching2SetRoomDataInternal"},
        {"jMxxNNLh6ms","sceNpMatching2SetRoomDataInternalExt"},
        {"HoqTrkS9c5Q","sceNpMatching2SetRoomMemberDataInternal"},
        {"ES3UMUWWj9U","sceNpMatching2SetSignalingOptParam"},
        {"meEjIdbjAA0","sceNpMatching2SetUserInfo"},
        {"eDxEHb9f7B8","sceNpMatching2SignalingAbortConnection"},
        {"GNSN5849fjU","sceNpMatching2SignalingCancelPeerNetInfo"},
        {"LKRatXLV85k","sceNpMatching2SignalingEnableManualUdpMode"},
        {"UcYuZkNhHI8","sceNpMatching2SignalingEstablishConnection"},
        {"twVupeaYYrk","sceNpMatching2SignalingGetConnectionInfo"},
        {"nNeC3F8-g+4","sceNpMatching2SignalingGetConnectionInfoA"},
        {"tHD5FPFXtu4","sceNpMatching2SignalingGetConnectionStatus"},
        {"380EWm2DrVg","sceNpMatching2SignalingGetLocalNetInfo"},
        {"8CqniKDzjvg","sceNpMatching2SignalingGetPeerNetInfo"},
        {"CTy4PBhpWDw","sceNpMatching2SignalingGetPeerNetInfoResult"},
        {"wUmwXZHaX1w","sceNpMatching2SignalingGetPingInfo"},
        {"WkvclTMjNdI","sceNpMatching2SignalingGetPort"},
        {"wupHEf8WOhM","sceNpMatching2SignalingSetPort"},
        {"Mqp3lJ+sjy4","sceNpMatching2Terminate"},
        {"dfXSH2Tsjkw","sceNpMemoryHeapDestroy"},
        {"FaMNvjMA6to","sceNpMemoryHeapGetAllocator"},
        {"xHAiSVEEjSI","sceNpMemoryHeapGetAllocatorEx"},
        {"kZizwrFvWZY","sceNpMemoryHeapInit"},
        {"lQ11BpMM4LU","sceNpMutexDestroy"},
        {"uEwag-0YZPc","sceNpMutexInit"},
        {"r9Bet+s6fKc","sceNpMutexLock"},
        {"DuslmoqQ+nk","sceNpMutexTryLock"},
        {"oZyb9ktuCpA","sceNpMutexUnlock"},
        {"Gaxrp3EWY-M","sceNpNotifyPlusFeature"},
        {"P6piso307SE","sceNpNotifyPremiumFeature"},
        {"5DkyduAF2rs","sceNpOpenEventFlag"},
        {"-blITIdtUd0","sceNpOpenSema"},
        {"ZoXUrTiwKNw","sceNpPanic"},
        {"3e4k2mzLkmc","sceNpPartyCheckCallback"},
        {"nOZRy-slBoA","sceNpPartyCreate"},
        {"XQSUbbnpPBA","sceNpPartyCreateA"},
        {"DRA3ay-1DFQ","sceNpPartyGetId"},
        {"F1P+-wpxQow","sceNpPartyGetMemberInfo"},
        {"v2RYVGrJDkM","sceNpPartyGetMemberInfoA"},
        {"4gOMfNYzllw","sceNpPartyGetMemberSessionInfo"},
        {"EKi1jx59SP4","sceNpPartyGetMemberVoiceInfo"},
        {"T2UOKf00ZN0","sceNpPartyGetMembers"},
        {"TaNw7W25QJw","sceNpPartyGetMembersA"},
        {"aEzKdJzATZ0","sceNpPartyGetState"},
        {"o7grRhiGHYI","sceNpPartyGetStateAsUser"},
        {"EjyAI+QNgFw","sceNpPartyGetStateAsUserA"},
        {"-lc6XZnQXvM","sceNpPartyGetVoiceChatPriority"},
        {"lhYCTQmBkds","sceNpPartyInitialize"},
        {"RXNCDw2GDEg","sceNpPartyJoin"},
        {"J8jAi-tfJHc","sceNpPartyLeave"},
        {"kA88gbv71ao","sceNpPartyRegisterHandler"},
        {"+v4fVHMwFWc","sceNpPartyRegisterHandlerA"},
        {"zo4G5WWYpKg","sceNpPartyRegisterPrivateHandler"},
        {"U6VdUe-PNAY","sceNpPartySendBinaryMessage"},
        {"nazKyHygHhY","sceNpPartySetVoiceChatPriority"},
        {"-MFiL7hEnPE","sceNpPartyShowInvitationList"},
        {"yARHEYLajs0","sceNpPartyShowInvitationListA"},
        {"oLYkibiHqRA","sceNpPartyTerminate"},
        {"zQ7gIvt11Pc","sceNpPartyUnregisterPrivateHandler"},
        {"uqcPJLWL08M","sceNpPollAsync"},
        {"9YmBJ8KF9eI","sceNpPollEventFlag"},
        {"xmF0yIF4iXc","sceNpPollSema"},
        {"wkwjz0Xdo2A","sceNpProfileDialogClose"},
        {"8rhLl1-0W-o","sceNpProfileDialogGetResult"},
        {"3BqoiFOjSsk","sceNpProfileDialogGetStatus"},
        {"Lg+NCE6pTwQ","sceNpProfileDialogInitialize"},
        {"uj9Cz7Tk0cc","sceNpProfileDialogOpen"},
        {"nrQRlLKzdwE","sceNpProfileDialogOpenA"},
        {"0Sp9vJcB1-w","sceNpProfileDialogTerminate"},
        {"haVZE9FgKqE","sceNpProfileDialogUpdateStatus"},
        {"D5s1+ptdJUk","sceNpPush2CreatePushContext"},
        {"QGN2n4c8na4","sceNpPush2CreateUserContext"},
        {"Yt7c7g1U7Go","sceNpPush2DeletePushContext"},
        {"HnV+y1xVP2c","sceNpPush2DeleteUserContext"},
        {"sDqpKnwnAJQ","sceNpPush2Init"},
        {"i1lhp0Wlu+k","sceNpPush2IsInit"},
        {"KnOXRM1i6KM","sceNpPush2OptionalCheckCallback"},
        {"QB7c2b7odds","sceNpPush2PollUserPresenceOfflineEvent"},
        {"CsIrEmYADDo","sceNpPush2RegisterDataType"},
        {"4ic6Lb+mlfA","sceNpPush2RegisterExtendedDataFilter"},
        {"U4xTZLttCHM","sceNpPush2RegisterNotificationCallback"},
        {"OdRcux-QXm8","sceNpPush2RegisterNotificationExCallback"},
        {"KiXYNfe7r9o","sceNpPush2SendPushStatisticsDataSystemTelemetry"},
        {"+rPzLhUKj1Y","sceNpPush2SetGlobalMutex"},
        {"Y1EmilNpj3Y","sceNpPush2SetNpCommunicationId"},
        {"KjAjcg3W7F8","sceNpPush2Term"},
        {"i9NM4gcpZhk","sceNpPush2TriggerEmptyUserEvent"},
        {"rwM99K5fzIk","sceNpPush2UnregisterDataType"},
        {"LpfRp+-sitI","sceNpPush2UnregisterExtendedDataFilter"},
        {"cgGFEUYjEQ0","sceNpPush2UnregisterNotificationCallback"},
        {"2q3IIivs72Q","sceNpPush2UnregisterNotificationExCallback"},
        {"tkNfuSDEgYg","sceNpPush2UnsetNpCommunicationId"},
        {"c3T1XEYr9MI","sceNpPush2WaitCallback"},
        {"kdrdY-BEJMw","sceNpPushCheckCallback"},
        {"DkN+WBclFps","sceNpPushInit"},
        {"1S2urF24zNQ","sceNpPushIntBeginInactive"},
        {"XyvQv2qjUng","sceNpPushIntEndInactive"},
        {"B7bQNq1KPQQ","sceNpPushIntGetBindUserState"},
        {"O-2TTjhWw10","sceNpPushIntGetConnectionState"},
        {"Lg5mNqy1zdQ","sceNpPushIntRegisterNotificationPacketCallback"},
        {"RSnzCRbqwDU","sceNpPushIntUnregisterNotificationPacketCallback"},
        {"U9hX5ssnYZ4","sceNpPushRegisterExtendedDataFilter"},
        {"rPbVwkzWWJg","sceNpPushRegisterInContextNotificationtCallback"},
        {"dkUqvOiUfxY","sceNpPushRegisterNotificationCallback"},
        {"l3dG7h4TlLg","sceNpPushRegisterNotificationExCallback"},
        {"rjatoAGW+Fo","sceNpPushSetNpCommunicationId"},
        {"a7ipJQTfQwo","sceNpPushStartNotification"},
        {"uhSJXVMYQWc","sceNpPushStartNotificationA"},
        {"d695X978Bgw","sceNpPushStopNotification"},
        {"Xa1igyHioag","sceNpPushStopNotificationA"},
        {"qo5mH49gnDA","sceNpPushTerm"},
        {"VxjXt8G-9Ns","sceNpPushUnregisterExtendedDataFilter"},
        {"6MuJ-vnDk6A","sceNpPushUnregisterNotificationCallback"},
        {"j1YsEXl5ta4","sceNpPushUnsetNpCommunicationId"},
        {"e5wi2n-IgTk","sceNpReallocImpl"},
        {"uFJpaKNBAj4","sceNpRegisterGamePresenceCallback"},
        {"KswxLxk4c1Y","sceNpRegisterGamePresenceCallbackA"},
        {"hw5KNqAAels","sceNpRegisterNpReachabilityStateCallback"},
        {"GImICnh+boA","sceNpRegisterPlusEventCallback"},
        {"+yqjab2fUJA","sceNpRegisterPremiumEventCallback"},
        {"VfRSmPmj8Q8","sceNpRegisterStateCallback"},
        {"qQJfO8HAiaY","sceNpRegisterStateCallbackA"},
        {"0c7HbXRKUt4","sceNpRegisterStateCallbackForToolkit"},
        {"9AiIY8rXo9w","sceNpRemotePlaySessionSignalingAbortConnection"},
        {"OrZuJTph3mc","sceNpRemotePlaySessionSignalingCreateJoinSession"},
        {"3e9SYGqEUnw","sceNpRemotePlaySessionSignalingEstablishConnection"},
        {"ISNsr2lrhbU","sceNpRemotePlaySessionSignalingGetConnectionStatus"},
        {"hNyqm2JeBP0","sceNpRemotePlaySessionSignalingGetCustomProperty"},
        {"HL11bLUWN4g","sceNpRemotePlaySessionSignalingGetLocalNetInfo"},
        {"AtXJ8HI53HQ","sceNpRemotePlaySessionSignalingGetMemoryInfo"},
        {"XIZ0O84wH-Y","sceNpRemotePlaySessionSignalingInitialize"},
        {"+9snhlBsYqs","sceNpRemotePlaySessionSignalingJoinSession"},
        {"TjFMhY-LSnQ","sceNpRemotePlaySessionSignalingLeaveSession"},
        {"-aUZb3qdsnU","sceNpRemotePlaySessionSignalingManualUdpCreateJoinSession"},
        {"3p7Wjk2mKeg","sceNpRemotePlaySessionSignalingManualUdpJoinSession"},
        {"4hOXCEnHlHQ","sceNpRemotePlaySessionSignalingSetCustomProperty"},
        {"z1SpoQyfYqk","sceNpRemotePlaySessionSignalingTerminate"},
        {"VMjIo2Z-aW0","sceNpRtcConvertToPosixTime"},
        {"W0YWLVDndx0","sceNpRtcFormatRFC3339"},
        {"LtkeQwMIEWY","sceNpRtcParseRFC3339"},
        {"1i7kmKbX6hk","sceNpScoreAbortRequest"},
        {"2b3TI0mDYiI","sceNpScoreCensorComment"},
        {"4eOvDyN-aZc","sceNpScoreCensorCommentAsync"},
        {"dTXC+YcePtM","sceNpScoreChangeModeForOtherSaveDataOwners"},
        {"KnNA1TEgtBI","sceNpScoreCreateNpTitleCtx"},
        {"GWnWQNXZH5M","sceNpScoreCreateNpTitleCtxA"},
        {"gW8qyjYrUbk","sceNpScoreCreateRequest"},
        {"qW9M0bQ-Zx0","sceNpScoreCreateTitleCtx"},
        {"G0pE+RNCwfk","sceNpScoreDeleteNpTitleCtx"},
        {"dK8-SgYf6r4","sceNpScoreDeleteRequest"},
        {"LoVMVrijVOk","sceNpScoreGetBoardInfo"},
        {"Q0Avi9kebsY","sceNpScoreGetBoardInfoAsync"},
        {"8kuIzUw6utQ","sceNpScoreGetFriendsRanking"},
        {"gMbOn+-6eXA","sceNpScoreGetFriendsRankingA"},
        {"6-G9OxL5DKg","sceNpScoreGetFriendsRankingAAsync"},
        {"7SuMUlN7Q6I","sceNpScoreGetFriendsRankingAsync"},
        {"AgcxgceaH8k","sceNpScoreGetFriendsRankingForCrossSave"},
        {"m6F7sE1HQZU","sceNpScoreGetFriendsRankingForCrossSaveAsync"},
        {"zKoVok6FFEI","sceNpScoreGetGameData"},
        {"JjOFRVPdQWc","sceNpScoreGetGameDataAsync"},
        {"Lmtc9GljeUA","sceNpScoreGetGameDataByAccountId"},
        {"PP9jx8s0574","sceNpScoreGetGameDataByAccountIdAsync"},
        {"K9tlODTQx3c","sceNpScoreGetRankingByAccountId"},
        {"dRszNNyGWkw","sceNpScoreGetRankingByAccountIdAsync"},
        {"3Ybj4E1qNtY","sceNpScoreGetRankingByAccountIdForCrossSave"},
        {"Kc+3QK84AKM","sceNpScoreGetRankingByAccountIdForCrossSaveAsync"},
        {"wJPWycVGzrs","sceNpScoreGetRankingByAccountIdPcId"},
        {"bFVjDgxFapc","sceNpScoreGetRankingByAccountIdPcIdAsync"},
        {"oXjVieH6ZGQ","sceNpScoreGetRankingByAccountIdPcIdForCrossSave"},
        {"nXaF1Bxb-Nw","sceNpScoreGetRankingByAccountIdPcIdForCrossSaveAsync"},
        {"9mZEgoiEq6Y","sceNpScoreGetRankingByNpId"},
        {"Rd27dqUFZV8","sceNpScoreGetRankingByNpIdAsync"},
        {"ETS-uM-vH9Q","sceNpScoreGetRankingByNpIdPcId"},
        {"FsouSN0ykN8","sceNpScoreGetRankingByNpIdPcIdAsync"},
        {"KBHxDjyk-jA","sceNpScoreGetRankingByRange"},
        {"MA9vSt7JImY","sceNpScoreGetRankingByRangeA"},
        {"y5ja7WI05rs","sceNpScoreGetRankingByRangeAAsync"},
        {"rShmqXHwoQE","sceNpScoreGetRankingByRangeAsync"},
        {"nRoYV2yeUuw","sceNpScoreGetRankingByRangeForCrossSave"},
        {"AZ4eAlGDy-Q","sceNpScoreGetRankingByRangeForCrossSaveAsync"},
        {"m1DfNRstkSQ","sceNpScorePollAsync"},
        {"bcoVwcBjQ9E","sceNpScoreRecordGameData"},
        {"1gL5PwYzrrw","sceNpScoreRecordGameDataAsync"},
        {"zT0XBtgtOSI","sceNpScoreRecordScore"},
        {"ANJssPz3mY0","sceNpScoreRecordScoreAsync"},
        {"r4oAo9in0TA","sceNpScoreSanitizeComment"},
        {"3UVqGJeDf30","sceNpScoreSanitizeCommentAsync"},
        {"bygbKdHmjn4","sceNpScoreSetPlayerCharacterId"},
        {"yxK68584JAU","sceNpScoreSetThreadParam"},
        {"S3xZj35v8Z8","sceNpScoreSetTimeout"},
        {"fqk8SC63p1U","sceNpScoreWaitAsync"},
        {"0lZHbA-HRD0","sceNpServerErrorJsonGetErrorCode"},
        {"cRabutqUG7c","sceNpServerErrorJsonMultiGetErrorCode"},
        {"WSQxnAVLKgw","sceNpServerErrorJsonParse"},
        {"UbStlMKTBeU","sceNpServerErrorJsonParseInit"},
        {"hbe+DdooIi4","sceNpServerErrorJsonParseMultiInit"},
        {"Kq+ftR9LHlE","sceNpServiceChecker2IntAbortRequest"},
        {"si-TLaBGtdw","sceNpServiceChecker2IntCheckServiceFlagArray"},
        {"IG1Kd+k6U3s","sceNpServiceChecker2IntCreateRequest"},
        {"hBsBswrAiGM","sceNpServiceChecker2IntDestroyRequest"},
        {"cvZrmlSlwn8","sceNpServiceChecker2IntFinalize"},
        {"aUgLCb3pSOo","sceNpServiceChecker2IntGetServiceAvailability"},
        {"Yp2yK5YXb78","sceNpServiceChecker2IntGetServiceAvailabilityA"},
        {"05cqQH+ZKTk","sceNpServiceChecker2IntGetServiceFlagArray"},
        {"-Afi-JoRZ-U","sceNpServiceChecker2IntInitialize"},
        {"ukBq62OPAYA","sceNpServiceChecker2IntIsSetServiceType"},
        {"waeEzwwYfZY","sceNpServiceCheckerIntAbortRequest"},
        {"YLXt-vGw4Kg","sceNpServiceCheckerIntCreateRequest"},
        {"85ZWdzWYgas","sceNpServiceCheckerIntDestroyRequest"},
        {"LSQ3xApEoxY","sceNpServiceCheckerIntFinalize"},
        {"wIX00Brskoc","sceNpServiceCheckerIntGetAvailability"},
        {"MjOFdwXYRKY","sceNpServiceCheckerIntGetAvailabilityList"},
        {"rT9Yk55JGho","sceNpServiceCheckerIntInitialize"},
        {"az7fl9snOqw","sceNpServiceCheckerIntIsCached"},
        {"JHOtNtQ-jmw","sceNpServiceClientInit"},
        {"Hhmu86aYI1E","sceNpServiceClientTerm"},
        {"EfgH5jBjqpM","sceNpSessionServiceGetJoinedPartySession"},
        {"tEGD9ugK0w8","sceNpSessionServiceGetRunningGamePlayerSession"},
        {"f2jyE0mDY5k","sceNpSessionServiceSendPlayerSessionInvitations"},
        {"r4XacqHvkn4","sceNpSessionSignalingActivateSession"},
        {"9r7dM3puxMk","sceNpSessionSignalingActivateUser"},
        {"GtuZGmN-tKw","sceNpSessionSignalingCreateContext"},
        {"aBuX0PX-T7I","sceNpSessionSignalingCreateContext2"},
        {"UEJmRQ6PkSo","sceNpSessionSignalingCreateJoinActivate"},
        {"cQkBH-pXhF0","sceNpSessionSignalingDeactivate"},
        {"Z9Q9LzQDXf0","sceNpSessionSignalingDestroyContext"},
        {"RcGZnakPiOk","sceNpSessionSignalingGetConnectionFromNetAddress"},
        {"hbNcE4fnBDs","sceNpSessionSignalingGetConnectionFromNetAddress2"},
        {"dJJ0UPrrsok","sceNpSessionSignalingGetConnectionFromPeerAddress"},
        {"DicBhsm2iR4","sceNpSessionSignalingGetConnectionFromPeerAddress2"},
        {"yJw2m6UWDYU","sceNpSessionSignalingGetConnectionInfo"},
        {"+Q++Q49a9z8","sceNpSessionSignalingGetConnectionStatistics"},
        {"n1fn2KFeLDA","sceNpSessionSignalingGetConnectionStatus"},
        {"D8OtBevb2j8","sceNpSessionSignalingGetCustomProperty"},
        {"AGLBmvVgdZ8","sceNpSessionSignalingGetGroupFromPeerAddress"},
        {"UGcXquhVYrY","sceNpSessionSignalingGetGroupFromSessionId"},
        {"WtOs6cUbrx8","sceNpSessionSignalingGetGroupInfo"},
        {"OTilStjd9L8","sceNpSessionSignalingGetLocalNetInfo"},
        {"lbXTXRG5nyM","sceNpSessionSignalingGetMemoryInfo"},
        {"ysmw6J-P8Ak","sceNpSessionSignalingInitialize"},
        {"tLx8lvzU-ic","sceNpSessionSignalingInitializeWithPort"},
        {"ovguGShbM6M","sceNpSessionSignalingJoinActivate"},
        {"wufj+gE6dw8","sceNpSessionSignalingManualUdpAbortConnection"},
        {"8viux6iPtf8","sceNpSessionSignalingManualUdpCreateJoin"},
        {"s+gRU6gfdLM","sceNpSessionSignalingManualUdpEstablishConnection"},
        {"45PKa3aJnSw","sceNpSessionSignalingManualUdpJoin"},
        {"r8mVMwlafF8","sceNpSessionSignalingRequestPrepare"},
        {"L9ZtPS92fDE","sceNpSessionSignalingSetCustomProperty"},
        {"CqJuNXo5yiM","sceNpSessionSignalingTerminate"},
        {"41gDrpv1pTw","sceNpSetAdditionalScope"},
        {"A2CQ3kgSopQ","sceNpSetContentRestriction"},
        {"29ftOGIrUCo","sceNpSetEventFlag"},
        {"KO+11cgC7N0","sceNpSetGamePresenceOnline"},
        {"C0gNCiRIi4U","sceNpSetGamePresenceOnlineA"},
        {"Ec63y59l9tw","sceNpSetNpTitleId"},
        {"TJqSgUEzexM","sceNpSetNpTitleIdVsh"},
        {"m9JzZSoDVFY","sceNpSetPlatformType"},
        {"-QglDeRr8D8","sceNpSetTimeout"},
        {"-W28+9p1CKI","sceNpSignalSema"},
        {"0UvTFeomAUM","sceNpSignalingActivateConnection"},
        {"ZPLavCKqAB0","sceNpSignalingActivateConnectionA"},
        {"X1G4kkN2R-8","sceNpSignalingCancelPeerNetInfo"},
        {"5yYjEdd4t8Y","sceNpSignalingCreateContext"},
        {"dDLNFdY8dws","sceNpSignalingCreateContextA"},
        {"6UEembipgrM","sceNpSignalingDeactivateConnection"},
        {"hx+LIg-1koI","sceNpSignalingDeleteContext"},
        {"GQ0hqmzj0F4","sceNpSignalingGetConnectionFromNpId"},
        {"CkPxQjSm018","sceNpSignalingGetConnectionFromPeerAddress"},
        {"B7cT9aVby7A","sceNpSignalingGetConnectionFromPeerAddressA"},
        {"AN3h0EBSX7A","sceNpSignalingGetConnectionInfo"},
        {"rcylknsUDwg","sceNpSignalingGetConnectionInfoA"},
        {"C6ZNCDTj00Y","sceNpSignalingGetConnectionStatistics"},
        {"bD-JizUb3JM","sceNpSignalingGetConnectionStatus"},
        {"npU5V56id34","sceNpSignalingGetContextOption"},
        {"U8AQMlOFBc8","sceNpSignalingGetLocalNetInfo"},
        {"tOpqyDyMje4","sceNpSignalingGetMemoryInfo"},
        {"zFgFHId7vAE","sceNpSignalingGetPeerNetInfo"},
        {"Shr7bZq8QHY","sceNpSignalingGetPeerNetInfoA"},
        {"2HajCEGgG4s","sceNpSignalingGetPeerNetInfoResult"},
        {"3KOuC4RmZZU","sceNpSignalingInitialize"},
        {"IHRDvZodPYY","sceNpSignalingSetContextOption"},
        {"NPhw0UXaNrk","sceNpSignalingTerminate"},
        {"b4qaXPzMJxo","sceNpSignalingTerminateConnection"},
        {"L9K4mZErvfg","sceNpSnsDailymotionDialogClose"},
        {"nXXkrz-HSAQ","sceNpSnsDailymotionDialogGetResult"},
        {"p2viSd4-PTk","sceNpSnsDailymotionDialogGetStatus"},
        {"WLwUxYj3jAc","sceNpSnsDailymotionDialogInitialize"},
        {"O2t1Dm4eMig","sceNpSnsDailymotionDialogOpen"},
        {"4E+7+mWiRuA","sceNpSnsDailymotionDialogTerminate"},
        {"QiHftM+R3s8","sceNpSnsDailymotionDialogUpdateStatus"},
        {"-LJbF9b-Who","sceNpSnsFacebookAbortRequest"},
        {"OoTjfxl8-wI","sceNpSnsFacebookCreateRequest"},
        {"pTvAKV1iQkE","sceNpSnsFacebookDeleteRequest"},
        {"YSUOhyK9Jd4","sceNpSnsFacebookDialogClose"},
        {"AifdcI1aKas","sceNpSnsFacebookDialogGetResult"},
        {"Rc0uh3lIoXQ","sceNpSnsFacebookDialogGetStatus"},
        {"tdQArULbNQk","sceNpSnsFacebookDialogInitialize"},
        {"Hi3onqHSN6M","sceNpSnsFacebookDialogOpen"},
        {"cdqOFyupRS4","sceNpSnsFacebookDialogTerminate"},
        {"fjV7C8H0Y8k","sceNpSnsFacebookDialogUpdateStatus"},
        {"VtyS8XLBqNE","sceNpSnsFacebookGetAccessToken"},
        {"uPj-CXHNEFE","sceNpSnsIntAbortRequest"},
        {"mcxYlyKZQr0","sceNpSnsIntCheckServiceAvailability"},
        {"T+F4GKuY3oE","sceNpSnsIntCreateRequest"},
        {"qLqzbBxATrU","sceNpSnsIntDeleteRequest"},
        {"5zCW8dx4mKk","sceNpSnsIntFbGetGameAccessToken"},
        {"uINq9QxFYqU","sceNpSnsIntFbGetGameAccessTokenAllowed"},
        {"e6K3LE8qXsc","sceNpSnsIntFbGetSystemAccessToken"},
        {"PDD7gmqbnKE","sceNpSnsIntFbGetTitleInfo"},
        {"QW7NonbfeFk","sceNpSnsIntLinkedStatus"},
        {"6pajOezHAMI","sceNpSnsIntPostOpenGraph"},
        {"zSR6kEWpr0c","sceNpSnsIntTest"},
        {"Wp+C91igTkE","sceNpSnsIntTwGetSystemAccessToken"},
        {"fz-00XG-VNU","sceNpSnsIntUnlink"},
        {"0xrhvJ8QANU","sceNpSnsIntYtGetAccessToken"},
        {"luAVKwTECVQ","sceNpSnsIntYtGetTitleAccessToken"},
        {"Q+mSQ2U6wWY","sceNpSnsIntYtRefreshMasterToken"},
        {"k-sppToVlnc","sceNpSnsTwitchAbortRequest"},
        {"02nPI+P0g8o","sceNpSnsTwitchCreateRequest"},
        {"MmLPD+9OwFI","sceNpSnsTwitchDeleteRequest"},
        {"0QrO6Gq0V4M","sceNpSnsTwitchDialogClose"},
        {"6G9VLWCmQN4","sceNpSnsTwitchDialogGetResult"},
        {"fbEVqbjliY4","sceNpSnsTwitchDialogGetStatus"},
        {"n9-Va1Nirj4","sceNpSnsTwitchDialogInitialize"},
        {"djaTaDYB-wQ","sceNpSnsTwitchDialogOpen"},
        {"75i2K6Oitrk","sceNpSnsTwitchDialogTerminate"},
        {"uad7k07h1HM","sceNpSnsTwitchDialogUpdateStatus"},
        {"WHLVam6hZZ4","sceNpSnsTwitchGetAccessToken"},
        {"jXUeCRu7DLE","sceNpSnsYouTubeAbortRequest"},
        {"3o3XDEydBjM","sceNpSnsYouTubeCreateRequest"},
        {"mGfyLTvE+LI","sceNpSnsYouTubeDeleteRequest"},
        {"4H0h0tPjIk0","sceNpSnsYouTubeDialogClose"},
        {"XvhwS43SKN8","sceNpSnsYouTubeDialogGetResult"},
        {"sieAbhcD2Bw","sceNpSnsYouTubeDialogGetStatus"},
        {"HnIuDIXu7Ko","sceNpSnsYouTubeDialogInitialize"},
        {"mjxFUp94LL4","sceNpSnsYouTubeDialogOpen"},
        {"AtCnBMTgdoo","sceNpSnsYouTubeDialogTerminate"},
        {"klUhQY5QH70","sceNpSnsYouTubeDialogUpdateStatus"},
        {"1ElwHkpLvmw","sceNpSnsYouTubeGetAccessToken"},
        {"IqaPZ1ZMC+c","sceNpStartApp"},
        {"pXI1y1rz4+w","sceNpStartVsh"},
        {"HJosRn4GUxs","sceNpStopApp"},
        {"mpoF71ABciY","sceNpStopVsh"},
        {"i5TP5NLmkoQ","sceNpStrBuildHex"},
        {"DUHzVPNlugg","sceNpStrParseHex"},
        {"fElyBSn-l24","sceNpStrToInt32"},
        {"CwqYdG4TrjA","sceNpStrToInt64"},
        {"uj86YxCYid0","sceNpStrToUInt32"},
        {"Ted2YU9lv94","sceNpStrToUInt64"},
        {"ivnnssCwjGI","sceNpStrcpyToBuf"},
        {"h1SWCcBdImo","sceNpStrnParseHex"},
        {"PHrpHMSU8Cs","sceNpStrncpyToBuf"},
        {"U15Y7wzfgOA","sceNpTcsIntDownloadData"},
        {"I9aiD3P3IiI","sceNpTcsIntUploadDataToNewSlotAbort"},
        {"ZUXxKPpGQ1s","sceNpTcsIntUploadDataToNewSlotBegin"},
        {"yvaNTRiKXmo","sceNpThreadGetId"},
        {"rei4kjOSiyc","sceNpTitleMetadataIntAbortRequest"},
        {"A1XQslLAA-Y","sceNpTitleMetadataIntCreateRequest"},
        {"tynva-9jrtI","sceNpTitleMetadataIntDeleteRequest"},
        {"-McDhX8tnWE","sceNpTitleMetadataIntGetInfo"},
        {"LXHkrCV453o","sceNpTitleMetadataIntGetNpTitleId"},
        {"fYapWA9xVmA","sceNpTrophy2AbortHandle"},
        {"Bagshr7OQ6Q","sceNpTrophy2CreateContext"},
        {"Gz1rmUZpROM","sceNpTrophy2CreateHandle"},
        {"sysY2FHYff4","sceNpTrophy2DestroyContext"},
        {"d8P11CI40KE","sceNpTrophy2DestroyHandle"},
        {"2QgUy+xJqS0","sceNpTrophy2GetGameIcon"},
        {"4IzqhhUQ3nk","sceNpTrophy2GetGameInfo"},
        {"6IjXJUy6ZnA","sceNpTrophy2GetGroupIcon"},
        {"DoZWauG8mu0","sceNpTrophy2GetGroupInfo"},
        {"+PDSI6WgPRc","sceNpTrophy2GetGroupInfoArray"},
        {"BsE-m8JxIOg","sceNpTrophy2GetRewardIcon"},
        {"-9LLVU0uvs8","sceNpTrophy2GetTrophyIcon"},
        {"EwNylPdWUTM","sceNpTrophy2GetTrophyInfo"},
        {"y3zHpdZO6ME","sceNpTrophy2GetTrophyInfoArray"},
        {"bIDov3wBu5Q","sceNpTrophy2RegisterContext"},
        {"sUXGfNMalIo","sceNpTrophy2RegisterUnlockCallback"},
        {"EHQEDVXZ0TI","sceNpTrophy2ShowTrophyList"},
        {"PCFtlcOHfW4","sceNpTrophy2SystemAbortHandle"},
        {"i2kbAbi3ozo","sceNpTrophy2SystemBuildGroupIconUri"},
        {"3ZWtClII0ME","sceNpTrophy2SystemBuildRewardIconUri"},
        {"v7IHQF5Lnqc","sceNpTrophy2SystemBuildTrophyIconUri"},
        {"1HrxhQoPEBs","sceNpTrophy2SystemCheckCallback"},
        {"pGFdISTgS6k","sceNpTrophy2SystemCheckNetSyncTitles"},
        {"fYaW4Ynxyzs","sceNpTrophy2SystemCreateContext"},
        {"H2TzUB5dpJw","sceNpTrophy2SystemCreateHandle"},
        {"Im235TKzFr4","sceNpTrophy2SystemDebugLockTrophy"},
        {"5VBAeTtoF0s","sceNpTrophy2SystemDebugUnlockTrophy"},
        {"7fMQZVzPqdc","sceNpTrophy2SystemDestroyContext"},
        {"AaFh1H8YTPY","sceNpTrophy2SystemGetTrophyDetails"},
        {"zsUmqFv3Lwk","sceNpTrophy2SystemGetTrophyGroupConf"},
        {"j3FpjemL6Zg","sceNpTrophy2SystemGetTrophySetArray"},
        {"7mrTdxGkB3U","sceNpTrophy2SystemGetTrophyTitleConf"},
        {"p4dYJFInGjQ","sceNpTrophy2SystemGetTrophyTitleDetails"},
        {"z7p4mxbkli0","sceNpTrophy2SystemGetTrpIconByUri"},
        {"7xSkVM0yhV0","sceNpTrophy2SystemIsServerAvailable"},
        {"fgtXCeaburA","sceNpTrophy2SystemRegisterTitleSyncedCallback"},
        {"L76Gd3hKuoU","sceNpTrophy2SystemRegisterTitleUpdateCallback"},
        {"Kbkk1pQWhN4","sceNpTrophy2SystemRemoveAll"},
        {"BnHnDvv6yAA","sceNpTrophy2SystemRemoveTitleData"},
        {"1muH18WXIQQ","sceNpTrophy2SystemRemoveUserData"},
        {"wVqxM58sIKs","sceNpTrophy2UnregisterUnlockCallback"},
        {"aTnHs7W-9Uk","sceNpTrophyAbortHandle"},
        {"cqGkYAN-gRw","sceNpTrophyCaptureScreenshot"},
        {"lhE4XS9OJXs","sceNpTrophyConfigGetTrophyDetails"},
        {"qJ3IvrOoXg0","sceNpTrophyConfigGetTrophyFlagArray"},
        {"zDjF2G+6tI0","sceNpTrophyConfigGetTrophyGroupArray"},
        {"7Kh86vJqtxw","sceNpTrophyConfigGetTrophyGroupDetails"},
        {"ndLeNWExeZE","sceNpTrophyConfigGetTrophySetInfo"},
        {"6EOfS5SDgoo","sceNpTrophyConfigGetTrophySetInfoInGroup"},
        {"MW5ygoZqEBs","sceNpTrophyConfigGetTrophySetVersion"},
        {"3tWKpNKn5+I","sceNpTrophyConfigGetTrophyTitleDetails"},
        {"iqYfxC12sak","sceNpTrophyConfigHasGroupFeature"},
        {"XbkjbobZlCY","sceNpTrophyCreateContext"},
        {"q7U6tEAQf7c","sceNpTrophyCreateHandle"},
        {"E1Wrwd07Lr8","sceNpTrophyDestroyContext"},
        {"GNcF4oidY0Y","sceNpTrophyDestroyHandle"},
        {"HLwz1fRIycA","sceNpTrophyGetGameIcon"},
        {"YYP3f2W09og","sceNpTrophyGetGameInfo"},
        {"w4uMPmErD4I","sceNpTrophyGetGroupIcon"},
        {"wTUwGfspKic","sceNpTrophyGetGroupInfo"},
        {"eBL+l6HG9xk","sceNpTrophyGetTrophyIcon"},
        {"qqUVGDgQBm0","sceNpTrophyGetTrophyInfo"},
        {"LHuSmO3SLd8","sceNpTrophyGetTrophyUnlockState"},
        {"Ht6MNTl-je4","sceNpTrophyGroupArrayGetNum"},
        {"u9plkqa2e0k","sceNpTrophyIntAbortHandle"},
        {"pE5yhroy9m0","sceNpTrophyIntCheckNetSyncTitles"},
        {"edPIOFpEAvU","sceNpTrophyIntCreateHandle"},
        {"DSh3EXpqAQ4","sceNpTrophyIntDestroyHandle"},
        {"sng98qULzPA","sceNpTrophyIntGetLocalTrophySummary"},
        {"t3CQzag7-zs","sceNpTrophyIntGetProgress"},
        {"jF-mCgGuvbQ","sceNpTrophyIntGetRunningTitle"},
        {"PeAyBjC5kp8","sceNpTrophyIntGetRunningTitles"},
        {"PEo09Dkqv0o","sceNpTrophyIntGetTrpIconByUri"},
        {"kF9zjnlAzIA","sceNpTrophyIntNetSyncTitle"},
        {"UXiyfabxFNQ","sceNpTrophyIntNetSyncTitles"},
        {"AzDHKrrOxss","sceNpTrophyNetIsServerAvailable"},
        {"hvdThnVvwdY","sceNpTrophyNumInfoGetTotal"},
        {"TJCAxto9SEU","sceNpTrophyRegisterContext"},
        {"ITUmvpBPaG0","sceNpTrophySetInfoGetTrophyFlagArray"},
        {"BSoSgiMVHnY","sceNpTrophySetInfoGetTrophyNum"},
        {"d9jpdPz5f-8","sceNpTrophyShowTrophyList"},
        {"JzJdh-JLtu0","sceNpTrophySystemAbortHandle"},
        {"z8RCP536GOM","sceNpTrophySystemBuildGroupIconUri"},
        {"Rd2FBOQE094","sceNpTrophySystemBuildNetTrophyIconUri"},
        {"Q182x0rT75I","sceNpTrophySystemBuildTitleIconUri"},
        {"lGnm5Kg-zpA","sceNpTrophySystemBuildTrophyIconUri"},
        {"JvSjnwiki2A","sceNpTrophySystemCheckCallback"},
        {"-svXEpYit6c","sceNpTrophySystemCheckNetSync"},
        {"20wAMbXP-u0","sceNpTrophySystemCheckNetSyncTitles"},
        {"sKGFFY59ksY","sceNpTrophySystemCheckRecoveryRequired"},
        {"JMSapEtDH9Q","sceNpTrophySystemCloseStorage"},
        {"dk27olS4CEE","sceNpTrophySystemCreateContext"},
        {"cBzXEdzVzvs","sceNpTrophySystemCreateHandle"},
        {"8aLlLHKP+No","sceNpTrophySystemDbgCtl"},
        {"NobVwD8qcQY","sceNpTrophySystemDebugLockTrophy"},
        {"yXJlgXljItk","sceNpTrophySystemDebugUnlockTrophy"},
        {"U0TOSinfuvw","sceNpTrophySystemDestroyContext"},
        {"-LC9hudmD+Y","sceNpTrophySystemDestroyHandle"},
        {"q6eAMucXIEM","sceNpTrophySystemDestroyTrophyConfig"},
        {"WdCUUJLQodM","sceNpTrophySystemGetDbgParam"},
        {"4QYFwC7tn4U","sceNpTrophySystemGetDbgParamInt"},
        {"OcllHFFcQkI","sceNpTrophySystemGetGroupIcon"},
        {"tQ3tXfVZreU","sceNpTrophySystemGetLocalTrophySummary"},
        {"g0dxBNTspC0","sceNpTrophySystemGetNextTitleFileEntryStatus"},
        {"sJSDnJRJHhI","sceNpTrophySystemGetProgress"},
        {"X47s4AamPGg","sceNpTrophySystemGetTitleFileStatus"},
        {"7WPj4KCF3D8","sceNpTrophySystemGetTitleIcon"},
        {"pzL+aAk0tQA","sceNpTrophySystemGetTitleSyncStatus"},
        {"Ro4sI9xgYl4","sceNpTrophySystemGetTrophyConfig"},
        {"7+OR1TU5QOA","sceNpTrophySystemGetTrophyData"},
        {"aXhvf2OmbiE","sceNpTrophySystemGetTrophyGroupData"},
        {"Rkt0bVyaa4Y","sceNpTrophySystemGetTrophyIcon"},
        {"nXr5Rho8Bqk","sceNpTrophySystemGetTrophyTitleData"},
        {"eV1rtLr+eys","sceNpTrophySystemGetTrophyTitleIds"},
        {"N-hQe7tI61U","sceNpTrophySystemGetTrpGroupIcon"},
        {"uKPHIxkRT6w","sceNpTrophySystemGetTrpTitleIcon"},
        {"PE5l8BPZrRY","sceNpTrophySystemGetTrpTrophyConfig"},
        {"Ku-fUYDmlPc","sceNpTrophySystemGetTrpTrophyIcon"},
        {"SsGLKTfWfm0","sceNpTrophySystemGetUserFileInfo"},
        {"XqLLsvl48kA","sceNpTrophySystemGetUserFileStatus"},
        {"-qjm2fFE64M","sceNpTrophySystemIsServerAvailable"},
        {"50BvYYzPTsY","sceNpTrophySystemNetSyncTitle"},
        {"yDJ-r-8f4S4","sceNpTrophySystemNetSyncTitles"},
        {"mWtsnHY8JZg","sceNpTrophySystemOpenStorage"},
        {"tAxnXpzDgFw","sceNpTrophySystemPerformRecovery"},
        {"MXKJaV1ITyw","sceNpTrophySystemRegisterTitleSyncedCallback"},
        {"Ia71U49hehw","sceNpTrophySystemRegisterTitleUpdateCallback"},
        {"tV18n8OcheI","sceNpTrophySystemRemoveAll"},
        {"kV4DP0OTMNo","sceNpTrophySystemRemoveTitleData"},
        {"lZSZoN8BstI","sceNpTrophySystemRemoveUserData"},
        {"nytN-3-pdvI","sceNpTrophySystemSetDbgParam"},
        {"JsRnDKRzvRw","sceNpTrophySystemSetDbgParamInt"},
        {"liPpytPUPMA","sceNpTrophySystemUnregisterTitleSyncedCallback"},
        {"xBkBINKo6gw","sceNpTrophySystemUnregisterTitleUpdateCallback"},
        {"3it5yM0Teo0","sceNpTrophySystemWrapDebugLockTrophy"},
        {"Y5R5Ogfbk68","sceNpTrophySystemWrapDebugUnlockTrophy"},
        {"2rV7Y4IhWkc","sceNpTrophySystemWrapGetGroupDetails"},
        {"gJD0VSnMfW0","sceNpTrophySystemWrapGetPlayedTrophyTitles"},
        {"ySh2GsVQTzs","sceNpTrophySystemWrapGetTitleDetails"},
        {"ftaF5aJl7k0","sceNpTrophySystemWrapGetTrophyDetailsArray"},
        {"xMmIU5R9IHY","sceNpTrophySystemWrapGetTrophyTitleIdsByNpTitleId"},
        {"DJy2VDiX8j0","sceNpTrophySystemWrapRemoveAll"},
        {"HT1udTT8fB8","sceNpTrophySystemWrapRemoveTitleData"},
        {"sNbxxwNdlHY","sceNpTrophySystemWrapRemoveUserData"},
        {"28xmRUFao68","sceNpTrophyUnlockTrophy"},
        {"sRVb2Cf0GHg","sceNpTssCreateNpTitleCtx"},
        {"lBtrk+7lk14","sceNpTssCreateNpTitleCtxA"},
        {"-SUR+UoLS6c","sceNpTssGetData"},
        {"DS2yu3Sjj1o","sceNpTssGetDataAsync"},
        {"lL+Z3zCKNTs","sceNpTssGetSmallStorage"},
        {"f2Pe4LGS2II","sceNpTssGetSmallStorageAsync"},
        {"IVSbAEOxJ6I","sceNpTssGetStorage"},
        {"k5NZIzggbuk","sceNpTssGetStorageAsync"},
        {"2eq1bMwgZYo","sceNpTusAbortRequest"},
        {"cRVmNrJDbG8","sceNpTusAddAndGetVariable"},
        {"wPFah4-5Xec","sceNpTusAddAndGetVariableA"},
        {"2dB427dT3Iw","sceNpTusAddAndGetVariableAAsync"},
        {"Nt1runsPVJc","sceNpTusAddAndGetVariableAVUser"},
        {"GjlEgLCh4DY","sceNpTusAddAndGetVariableAVUserAsync"},
        {"Q2UmHdK04c8","sceNpTusAddAndGetVariableAsync"},
        {"EPeq43CQKxY","sceNpTusAddAndGetVariableForCrossSave"},
        {"mXZi1D2xwZE","sceNpTusAddAndGetVariableForCrossSaveAsync"},
        {"4VLlu7EIjzk","sceNpTusAddAndGetVariableForCrossSaveVUser"},
        {"6Lu9geO5TiA","sceNpTusAddAndGetVariableForCrossSaveVUserAsync"},
        {"ukr6FBSrkJw","sceNpTusAddAndGetVariableVUser"},
        {"lliK9T6ylJg","sceNpTusAddAndGetVariableVUserAsync"},
        {"wjNhItL2wzg","sceNpTusChangeModeForOtherSaveDataOwners"},
        {"BIkMmUfNKWM","sceNpTusCreateNpTitleCtx"},
        {"1n-dGukBgnY","sceNpTusCreateNpTitleCtxA"},
        {"3bh2aBvvmvM","sceNpTusCreateRequest"},
        {"hhy8+oecGac","sceNpTusCreateTitleCtx"},
        {"0DT5bP6YzBo","sceNpTusDeleteMultiSlotData"},
        {"iXzUOM9sXU0","sceNpTusDeleteMultiSlotDataA"},
        {"6-+Yqc-NppQ","sceNpTusDeleteMultiSlotDataAAsync"},
        {"OCozl1ZtxRY","sceNpTusDeleteMultiSlotDataAsync"},
        {"xutwCvsydkk","sceNpTusDeleteMultiSlotDataVUser"},
        {"zDeH4tr+0cQ","sceNpTusDeleteMultiSlotDataVUserAsync"},
        {"mYhbiRtkE1Y","sceNpTusDeleteMultiSlotVariable"},
        {"pwnE9Oa1uF8","sceNpTusDeleteMultiSlotVariableA"},
        {"NQIw7tzo0Ow","sceNpTusDeleteMultiSlotVariableAAsync"},
        {"0nDVqcYECoM","sceNpTusDeleteMultiSlotVariableAsync"},
        {"o02Mtf8G6V0","sceNpTusDeleteMultiSlotVariableVUser"},
        {"WCzd3cxhubo","sceNpTusDeleteMultiSlotVariableVUserAsync"},
        {"H3uq7x0sZOI","sceNpTusDeleteNpTitleCtx"},
        {"CcIH40dYS88","sceNpTusDeleteRequest"},
        {"XOzszO4ONWU","sceNpTusGetData"},
        {"yWEHUFkY1qI","sceNpTusGetDataA"},
        {"xzG8mG9YlKY","sceNpTusGetDataAAsync"},
        {"iaH+Sxlw32k","sceNpTusGetDataAVUser"},
        {"uoFvgzwawAY","sceNpTusGetDataAVUserAsync"},
        {"uHtKS5V1T5k","sceNpTusGetDataAsync"},
        {"1TE3OvH61qo","sceNpTusGetDataForCrossSave"},
        {"CFPx3eyaT34","sceNpTusGetDataForCrossSaveAsync"},
        {"-LxFGYCJwww","sceNpTusGetDataForCrossSaveVUser"},
        {"B7rBR0CoYLI","sceNpTusGetDataForCrossSaveVUserAsync"},
        {"GQHCksS7aLs","sceNpTusGetDataVUser"},
        {"5R6kI-8f+Hk","sceNpTusGetDataVUserAsync"},
        {"DXigwIBTjWE","sceNpTusGetFriendsDataStatus"},
        {"yixh7HDKWfk","sceNpTusGetFriendsDataStatusA"},
        {"OheijxY5RYE","sceNpTusGetFriendsDataStatusAAsync"},
        {"LUwvy0MOSqw","sceNpTusGetFriendsDataStatusAsync"},
        {"TDoqRD+CE+M","sceNpTusGetFriendsDataStatusForCrossSave"},
        {"68B6XDgSANk","sceNpTusGetFriendsDataStatusForCrossSaveAsync"},
        {"cy+pAALkHp8","sceNpTusGetFriendsVariable"},
        {"C8TY-UnQoXg","sceNpTusGetFriendsVariableA"},
        {"wrImtTqUSGM","sceNpTusGetFriendsVariableAAsync"},
        {"YFYWOwYI6DY","sceNpTusGetFriendsVariableAsync"},
        {"mD6s8HtMdpk","sceNpTusGetFriendsVariableForCrossSave"},
        {"FabW3QpY3gQ","sceNpTusGetFriendsVariableForCrossSaveAsync"},
        {"pgcNwFHoOL4","sceNpTusGetMultiSlotDataStatus"},
        {"833Y2TnyonE","sceNpTusGetMultiSlotDataStatusA"},
        {"7uLPqiNvNLc","sceNpTusGetMultiSlotDataStatusAAsync"},
        {"azmjx3jBAZA","sceNpTusGetMultiSlotDataStatusAVUser"},
        {"668Ij9MYKEU","sceNpTusGetMultiSlotDataStatusAVUserAsync"},
        {"Qyek420uZmM","sceNpTusGetMultiSlotDataStatusAsync"},
        {"DgpRToHWN40","sceNpTusGetMultiSlotDataStatusForCrossSave"},
        {"LQ6CoHcp+ug","sceNpTusGetMultiSlotDataStatusForCrossSaveAsync"},
        {"KBfBmtxCdmI","sceNpTusGetMultiSlotDataStatusForCrossSaveVUser"},
        {"4UF2uu2eDCo","sceNpTusGetMultiSlotDataStatusForCrossSaveVUserAsync"},
        {"NGCeFUl5ckM","sceNpTusGetMultiSlotDataStatusVUser"},
        {"bHWFSg6jvXc","sceNpTusGetMultiSlotDataStatusVUserAsync"},
        {"F+eQlfcka98","sceNpTusGetMultiSlotVariable"},
        {"GDXlRTxgd+M","sceNpTusGetMultiSlotVariableA"},
        {"2BnPSY1Oxd8","sceNpTusGetMultiSlotVariableAAsync"},
        {"AsziNQ9X2uk","sceNpTusGetMultiSlotVariableAVUser"},
        {"y-DJK+d+leg","sceNpTusGetMultiSlotVariableAVUserAsync"},
        {"bcPB2rnhQqo","sceNpTusGetMultiSlotVariableAsync"},
        {"m9XZnxw9AmE","sceNpTusGetMultiSlotVariableForCrossSave"},
        {"DFlBYT+Lm2I","sceNpTusGetMultiSlotVariableForCrossSaveAsync"},
        {"wTuuw4-6HI8","sceNpTusGetMultiSlotVariableForCrossSaveVUser"},
        {"DPcu0qWsd7Q","sceNpTusGetMultiSlotVariableForCrossSaveVUserAsync"},
        {"uFxVYJEkcmc","sceNpTusGetMultiSlotVariableVUser"},
        {"qp-rTrq1klk","sceNpTusGetMultiSlotVariableVUserAsync"},
        {"NvHjFkx2rnU","sceNpTusGetMultiUserDataStatus"},
        {"lxNDPDnWfMc","sceNpTusGetMultiUserDataStatusA"},
        {"kt+k6jegYZ8","sceNpTusGetMultiUserDataStatusAAsync"},
        {"fJU2TZId210","sceNpTusGetMultiUserDataStatusAVUser"},
        {"WBh3zfrjS38","sceNpTusGetMultiUserDataStatusAVUserAsync"},
        {"0zkr0T+NYvI","sceNpTusGetMultiUserDataStatusAsync"},
        {"cVeBif6zdZ4","sceNpTusGetMultiUserDataStatusForCrossSave"},
        {"lq0Anwhj0wY","sceNpTusGetMultiUserDataStatusForCrossSaveAsync"},
        {"w-c7U0MW2KY","sceNpTusGetMultiUserDataStatusForCrossSaveVUser"},
        {"H6sQJ99usfE","sceNpTusGetMultiUserDataStatusForCrossSaveVUserAsync"},
        {"xwJIlK0bHgA","sceNpTusGetMultiUserDataStatusVUser"},
        {"I5dlIKkHNkQ","sceNpTusGetMultiUserDataStatusVUserAsync"},
        {"6G9+4eIb+cY","sceNpTusGetMultiUserVariable"},
        {"Gjixv5hqRVY","sceNpTusGetMultiUserVariableA"},
        {"eGunerNP9n0","sceNpTusGetMultiUserVariableAAsync"},
        {"fVvocpq4mG4","sceNpTusGetMultiUserVariableAVUser"},
        {"V8ZA3hHrAbw","sceNpTusGetMultiUserVariableAVUserAsync"},
        {"YRje5yEXS0U","sceNpTusGetMultiUserVariableAsync"},
        {"Q5uQeScvTPE","sceNpTusGetMultiUserVariableForCrossSave"},
        {"oZ8DMeTU-50","sceNpTusGetMultiUserVariableForCrossSaveAsync"},
        {"Djuj2+1VNL0","sceNpTusGetMultiUserVariableForCrossSaveVUser"},
        {"82RP7itI-zI","sceNpTusGetMultiUserVariableForCrossSaveVUserAsync"},
        {"zB0vaHTzA6g","sceNpTusGetMultiUserVariableVUser"},
        {"xZXQuNSTC6o","sceNpTusGetMultiUserVariableVUserAsync"},
        {"t7b6dmpQNiI","sceNpTusPollAsync"},
        {"4NrufkNCkiE","sceNpTusSetData"},
        {"VzxN3tOouj8","sceNpTusSetDataA"},
        {"4u58d6g6uwU","sceNpTusSetDataAAsync"},
        {"kbWqOt3QjKU","sceNpTusSetDataAVUser"},
        {"Fmx4tapJGzo","sceNpTusSetDataAVUserAsync"},
        {"G68xdfQuiyU","sceNpTusSetDataAsync"},
        {"+RhzSuuXwxo","sceNpTusSetDataVUser"},
        {"E4BCVfx-YfM","sceNpTusSetDataVUserAsync"},
        {"c6aYoa47YgI","sceNpTusSetMultiSlotVariable"},
        {"cf-WMA0jYCc","sceNpTusSetMultiSlotVariableA"},
        {"ypMObSwfcns","sceNpTusSetMultiSlotVariableAAsync"},
        {"5J9GGMludxY","sceNpTusSetMultiSlotVariableAsync"},
        {"1Cz0hTJFyh4","sceNpTusSetMultiSlotVariableVUser"},
        {"CJAxTxQdwHM","sceNpTusSetMultiSlotVariableVUserAsync"},
        {"6GKDdRCFx8c","sceNpTusSetThreadParam"},
        {"KMlHj+tgfdQ","sceNpTusSetTimeout"},
        {"ukC55HsotJ4","sceNpTusTryAndSetVariable"},
        {"0up4MP1wNtc","sceNpTusTryAndSetVariableA"},
        {"bGTjTkHPHTE","sceNpTusTryAndSetVariableAAsync"},
        {"oGIcxlUabSA","sceNpTusTryAndSetVariableAVUser"},
        {"uf77muc5Bog","sceNpTusTryAndSetVariableAVUserAsync"},
        {"xQfR51i4kck","sceNpTusTryAndSetVariableAsync"},
        {"MGvSJEHwyL8","sceNpTusTryAndSetVariableForCrossSave"},
        {"JKGYZ2F1yT8","sceNpTusTryAndSetVariableForCrossSaveAsync"},
        {"fcCwKpi4CbU","sceNpTusTryAndSetVariableForCrossSaveVUser"},
        {"CjVIpztpTNc","sceNpTusTryAndSetVariableForCrossSaveVUserAsync"},
        {"ZbitD262GhY","sceNpTusTryAndSetVariableVUser"},
        {"trZ6QGW6jHs","sceNpTusTryAndSetVariableVUserAsync"},
        {"hYPJFWzFPjA","sceNpTusWaitAsync"},
        {"rRN89jBArEM","sceNpUInt32ToStr"},
        {"QjNUYQbGoHA","sceNpUInt64ToStr"},
        {"jZCqWFgMehE","sceNpUniversalDataSystemAbortHandle"},
        {"5zBnau1uIEo","sceNpUniversalDataSystemCreateContext"},
        {"p+GcLqwpL9M","sceNpUniversalDataSystemCreateEvent"},
        {"Hm7qubT3b70","sceNpUniversalDataSystemCreateEventPropertyArray"},
        {"s6W4Zl4Slgk","sceNpUniversalDataSystemCreateEventPropertyObject"},
        {"hT0IAEvN+M0","sceNpUniversalDataSystemCreateHandle"},
        {"EW5OKnsWysM","sceNpUniversalDataSystemCreateRecordArray"},
        {"128J-E6cX8Q","sceNpUniversalDataSystemCreateRecordData"},
        {"2t7q3K27iFA","sceNpUniversalDataSystemCreateRecordObject"},
        {"wB7IWzGp2v0","sceNpUniversalDataSystemDestroyContext"},
        {"wG+84pnNIuo","sceNpUniversalDataSystemDestroyEvent"},
        {"W-0xwY0ZMjw","sceNpUniversalDataSystemDestroyEventPropertyArray"},
        {"kKUH0Viib3c","sceNpUniversalDataSystemDestroyEventPropertyObject"},
        {"AUIHb7jUX3I","sceNpUniversalDataSystemDestroyHandle"},
        {"FOkcUM1F9nY","sceNpUniversalDataSystemDestroyRecordArray"},
        {"b8vNEwV8cX0","sceNpUniversalDataSystemDestroyRecordData"},
        {"PMR8LWo7apw","sceNpUniversalDataSystemDestroyRecordObject"},
        {"+s14jq-KGYw","sceNpUniversalDataSystemEventEstimateSize"},
        {"rdi9BAfDLq8","sceNpUniversalDataSystemEventPropertyArraySetArray"},
        {"IEdUCV9j2Cw","sceNpUniversalDataSystemEventPropertyArraySetBinary"},
        {"0+l4QSWCM4E","sceNpUniversalDataSystemEventPropertyArraySetBool"},
        {"JmgwKm96Lq4","sceNpUniversalDataSystemEventPropertyArraySetFloat32"},
        {"sbSYZLR5AiE","sceNpUniversalDataSystemEventPropertyArraySetFloat64"},
        {"BypQuF113-k","sceNpUniversalDataSystemEventPropertyArraySetInt32"},
        {"viVXAwmmYrY","sceNpUniversalDataSystemEventPropertyArraySetInt64"},
        {"XY14n3jNIpE","sceNpUniversalDataSystemEventPropertyArraySetObject"},
        {"4llLk7YJRTE","sceNpUniversalDataSystemEventPropertyArraySetString"},
        {"yMi0xAOpmXM","sceNpUniversalDataSystemEventPropertyArraySetUInt32"},
        {"Qo9qR7v5zO4","sceNpUniversalDataSystemEventPropertyArraySetUInt64"},
        {"Wxbg5x3pTXA","sceNpUniversalDataSystemEventPropertyObjectSetArray"},
        {"wAcxBDLHj1M","sceNpUniversalDataSystemEventPropertyObjectSetBinary"},
        {"Fidd8vWgyVE","sceNpUniversalDataSystemEventPropertyObjectSetBool"},
        {"lbPlT4+QVcE","sceNpUniversalDataSystemEventPropertyObjectSetFloat32"},
        {"4Fu8tHW+u-k","sceNpUniversalDataSystemEventPropertyObjectSetFloat64"},
        {"YE4dbtbz6OE","sceNpUniversalDataSystemEventPropertyObjectSetInt32"},
        {"56QLTqx911s","sceNpUniversalDataSystemEventPropertyObjectSetInt64"},
        {"74ASEqxSnkM","sceNpUniversalDataSystemEventPropertyObjectSetObject"},
        {"MfDb+4Nln64","sceNpUniversalDataSystemEventPropertyObjectSetString"},
        {"AzD4irAcKE4","sceNpUniversalDataSystemEventPropertyObjectSetUInt32"},
        {"xvsP5Yz6FmY","sceNpUniversalDataSystemEventPropertyObjectSetUInt64"},
        {"vj6CQGWtEBg","sceNpUniversalDataSystemEventToString"},
        {"su7jW3VDDb4","sceNpUniversalDataSystemGetMemoryStat"},
        {"KmN62tT4U8A","sceNpUniversalDataSystemGetStorageStat"},
        {"sjaobBgqeB4","sceNpUniversalDataSystemInitialize"},
        {"aX1JKpdidtI","sceNpUniversalDataSystemIntAbortHandle"},
        {"ySN+Pa+NUGI","sceNpUniversalDataSystemIntCheckNetSyncTitles"},
        {"oNCDI-j9iTI","sceNpUniversalDataSystemIntCreateContext"},
        {"Iq-iZyQ4BVQ","sceNpUniversalDataSystemIntCreateHandle"},
        {"FTyUH7H+cr4","sceNpUniversalDataSystemIntCreateRecordArray"},
        {"R78nGE2Drzw","sceNpUniversalDataSystemIntCreateRecordData"},
        {"g5qmS3CoA3I","sceNpUniversalDataSystemIntCreateRecordObject"},
        {"WT5hOLhCPUg","sceNpUniversalDataSystemIntDeleteAllData"},
        {"zlsr9mUGhro","sceNpUniversalDataSystemIntDeleteAllRecord"},
        {"2LKUTf2HNEk","sceNpUniversalDataSystemIntDeleteUserDataWithServerData"},
        {"q+GZ0W9lx9A","sceNpUniversalDataSystemIntDestroyContext"},
        {"OEvLeDCM0iw","sceNpUniversalDataSystemIntDestroyHandle"},
        {"aivUIZ6BMvI","sceNpUniversalDataSystemIntDestroyRecordArray"},
        {"gi3sjE2HpSQ","sceNpUniversalDataSystemIntDestroyRecordData"},
        {"7MlFRuRpW+4","sceNpUniversalDataSystemIntDestroyRecordObject"},
        {"5DcuNJ7D+Cs","sceNpUniversalDataSystemIntGetMemoryStat"},
        {"Dm8WJjI6Pks","sceNpUniversalDataSystemIntInitialize"},
        {"l0-MeBL0BNI","sceNpUniversalDataSystemIntNetSyncTitles"},
        {"mntAmz0tjfc","sceNpUniversalDataSystemIntPostRecord"},
        {"-7jGuQtigu4","sceNpUniversalDataSystemIntPostRecordData"},
        {"UPPh+Ge66IY","sceNpUniversalDataSystemIntRecordArraySetArray"},
        {"ij5A1fmeLvY","sceNpUniversalDataSystemIntRecordArraySetBinary"},
        {"GBoDF37nd-E","sceNpUniversalDataSystemIntRecordArraySetBool"},
        {"iRxtEP5Etyc","sceNpUniversalDataSystemIntRecordArraySetFloat32"},
        {"yCCsRYlv+5w","sceNpUniversalDataSystemIntRecordArraySetFloat64"},
        {"48+pt04Ko4A","sceNpUniversalDataSystemIntRecordArraySetInt32"},
        {"QrgCXx1MY1w","sceNpUniversalDataSystemIntRecordArraySetInt64"},
        {"gk3onhMfgXY","sceNpUniversalDataSystemIntRecordArraySetObject"},
        {"YzEwgtVeW7o","sceNpUniversalDataSystemIntRecordArraySetString"},
        {"J4lWCVwUKtU","sceNpUniversalDataSystemIntRecordArraySetUInt32"},
        {"vBgcE5-2Cig","sceNpUniversalDataSystemIntRecordArraySetUInt64"},
        {"fKPRO-TRxhA","sceNpUniversalDataSystemIntRecordDataEstimateSize"},
        {"92xc-Oij6do","sceNpUniversalDataSystemIntRecordObjectSetArray"},
        {"yhQZNxbdHNg","sceNpUniversalDataSystemIntRecordObjectSetBinary"},
        {"20qqWmDFSYc","sceNpUniversalDataSystemIntRecordObjectSetBool"},
        {"mugwZhMj2pE","sceNpUniversalDataSystemIntRecordObjectSetFloat32"},
        {"KrVpaPTkwyE","sceNpUniversalDataSystemIntRecordObjectSetFloat64"},
        {"W7hjXKsdJ4I","sceNpUniversalDataSystemIntRecordObjectSetInt32"},
        {"M9z1YhPCH98","sceNpUniversalDataSystemIntRecordObjectSetInt64"},
        {"2W53snqCbnA","sceNpUniversalDataSystemIntRecordObjectSetObject"},
        {"af74HUu4EWk","sceNpUniversalDataSystemIntRecordObjectSetString"},
        {"TIhyl0S4i7g","sceNpUniversalDataSystemIntRecordObjectSetUInt32"},
        {"bIij1fNCQOg","sceNpUniversalDataSystemIntRecordObjectSetUInt64"},
        {"75lTZ9hOy2w","sceNpUniversalDataSystemIntTerminate"},
        {"CzkKf7ahIyU","sceNpUniversalDataSystemPostEvent"},
        {"t3IfO2xuW6o","sceNpUniversalDataSystemPostRecord"},
        {"VZ8lAeAnaDQ","sceNpUniversalDataSystemPostRecordData"},
        {"tpFJ8LIKvPw","sceNpUniversalDataSystemRegisterContext"},
        {"47UAEuQl+iI","sceNpUniversalDataSystemTerminate"},
        {"aJZyCcHxzu4","sceNpUnregisterGamePresenceCallbackA"},
        {"cRILAEvn+9M","sceNpUnregisterNpReachabilityStateCallback"},
        {"xViqJdDgKl0","sceNpUnregisterPlusEventCallback"},
        {"-Rjp3-YViXc","sceNpUnregisterPremiumEventCallback"},
        {"mjjTXh+NHWY","sceNpUnregisterStateCallback"},
        {"M3wFXbYQtAA","sceNpUnregisterStateCallbackA"},
        {"YIvqqvJyjEc","sceNpUnregisterStateCallbackForToolkit"},
        {"Gh74vNl06sg","sceNpUserGetUserIdList"},
        {"N3tAHlBnowE","sceNpUtilBuildTitleId"},
        {"4mEAk-UKVNw","sceNpUtilCanonicalizeNpIdForPs4"},
        {"N3FB4r8JoRE","sceNpUtilCanonicalizeNpIdForPsp2"},
        {"xPRHNaD3kTc","sceNpUtilCmpAccountId"},
        {"owm52JoZ8uc","sceNpUtilGetDateSetAuto"},
        {"1Gfhi+tZ9IE","sceNpUtilGetDbgCommerce"},
        {"kBON3bAtfGs","sceNpUtilGetEnv"},
        {"MUj0IV6XFGs","sceNpUtilGetFakeDisplayNameMode"},
        {"O86rgZ2azfg","sceNpUtilGetFakeRateLimit"},
        {"FrxliFYAO8Y","sceNpUtilGetIgnoreNpTitleId"},
        {"GRvK1ZE+FEQ","sceNpUtilGetNpDebug"},
        {"OFiFmfsADas","sceNpUtilGetNpLanguageCode"},
        {"X9CqyP164Hc","sceNpUtilGetNpLanguageCode2"},
        {"Fxux7Ob+Ynk","sceNpUtilGetNpLanguageCode2Str"},
        {"RfiA17kV+xs","sceNpUtilGetNpLanguageCodeStr"},
        {"OA8f3KF9JsM","sceNpUtilGetNpTestPatch"},
        {"KCk4OGu8+sc","sceNpUtilGetNthChar"},
        {"fB5hE65pzbU","sceNpUtilGetShareTitleCheck"},
        {"SXUNKr9Zkv0","sceNpUtilGetSystemLanguage"},
        {"AjzLvR0g5Zs","sceNpUtilGetTrcNotify"},
        {"pmHBFJyju9E","sceNpUtilGetWebApi2FakeRateLimit"},
        {"ZRxKp9vjcNc","sceNpUtilGetWebApi2FakeRateLimitTarget"},
        {"4CqfNm3pisU","sceNpUtilGetWebTraceSetting"},
        {"ajoqGz0D9Dw","sceNpUtilHttpUrlEncode"},
        {"458yjI+OECI","sceNpUtilJidToNpId"},
        {"EftEB4kmkSg","sceNpUtilJsonEscape"},
        {"vj04qzp7uKY","sceNpUtilJsonGetOneChar"},
        {"4YJ5gYtRAAE","sceNpUtilJsonUnescape"},
        {"KyB1IAY2BiU","sceNpUtilNpIdToJid"},
        {"c+ssxRf1Si0","sceNpUtilNumChars"},
        {"oz2SlXNAnuI","sceNpUtilParseJid"},
        {"EfnfZtjjyR0","sceNpUtilParseTitleId"},
        {"okX7IjW0QsI","sceNpUtilSerializeJid"},
        {"HlJPUgz3lgc","sceNpUtilUtf8GetOneChar"},
        {"5bBPLZV49kY","sceNpUtilXmlEscape"},
        {"Ls4eWDrbNmg","sceNpUtilXmlGetOneChar"},
        {"+0rj9KhmYb0","sceNpUtilXmlUnescape"},
        {"W6iWw8aUQtA","sceNpUtilityInit"},
        {"M5Jyo9TKYPI","sceNpUtilityTerm"},
        {"jyi5p9XWUSs","sceNpWaitAsync"},
        {"ZbdPHUm7jOY","sceNpWaitEventFlag"},
        {"6adrFGe2cpU","sceNpWaitSema"},
        {"zpiPsH7dbFQ","sceNpWebApi2AbortRequest"},
        {"egOOvrnF6mI","sceNpWebApi2AddHttpRequestHeader"},
        {"Io7kh1LHDoM","sceNpWebApi2AddMultipartPart"},
        {"MgsTa76wlEk","sceNpWebApi2AddWebTraceTag"},
        {"3Tt9zL3tkoc","sceNpWebApi2CheckTimeout"},
        {"+nz1Vq-NrDA","sceNpWebApi2CreateMultipartRequest"},
        {"3EI-OSJ65Xc","sceNpWebApi2CreateRequest"},
        {"sk54bi6FtYM","sceNpWebApi2CreateUserContext"},
        {"vvzWO-DvG1s","sceNpWebApi2DeleteRequest"},
        {"9X9+cneTGUU","sceNpWebApi2DeleteUserContext"},
        {"hksbskNToEA","sceNpWebApi2GetHttpResponseHeaderValue"},
        {"HwP3aM+c85c","sceNpWebApi2GetHttpResponseHeaderValueLength"},
        {"Xweb+naPZ8Y","sceNpWebApi2GetMemoryPoolStats"},
        {"+o9816YQhqQ","sceNpWebApi2Initialize"},
        {"dowMWFgowXY","sceNpWebApi2InitializeForPresence"},
        {"qmINYLuqzaA","sceNpWebApi2IntCreateRequest"},
        {"zXaFo7euxsQ","sceNpWebApi2IntInitialize"},
        {"9KSGFMRnp3k","sceNpWebApi2IntInitialize2"},
        {"2hlBNB96saE","sceNpWebApi2IntPushEventCreateCtxIndFilter"},
        {"81DkaQt6J30","sceNpWebApi2IntPushEventCreateDestPs4CtxIndFilter"},
        {"1OLgvahaSco","sceNpWebApi2PushEventAbortHandle"},
        {"MsaFhR+lPE4","sceNpWebApi2PushEventCreateFilter"},
        {"WV1GwM32NgY","sceNpWebApi2PushEventCreateHandle"},
        {"NNVf18SlbT8","sceNpWebApi2PushEventCreatePushContext"},
        {"KJdPcOGmK58","sceNpWebApi2PushEventDeleteFilter"},
        {"fIATVMo4Y1w","sceNpWebApi2PushEventDeleteHandle"},
        {"QafxeZM3WK4","sceNpWebApi2PushEventDeletePushContext"},
        {"fY3QqeNkF8k","sceNpWebApi2PushEventRegisterCallback"},
        {"lxtHJMwBsaU","sceNpWebApi2PushEventRegisterPushContextCallback"},
        {"KWkc6Q3tjXc","sceNpWebApi2PushEventSetHandleTimeout"},
        {"AAj9X+4aGYA","sceNpWebApi2PushEventStartPushContextCallback"},
        {"hOnIlcGrO6g","sceNpWebApi2PushEventUnregisterCallback"},
        {"PmyrbbJSFz0","sceNpWebApi2PushEventUnregisterPushContextCallback"},
        {"OOY9+ObfKec","sceNpWebApi2ReadData"},
        {"NKCwS8+5Fx8","sceNpWebApi2SendMultipartRequest"},
        {"lQOCF84lvzw","sceNpWebApi2SendRequest"},
        {"bltDCAskmfE","sceNpWebApi2SetMultipartContentType"},
        {"TjAutbrkr60","sceNpWebApi2SetRequestTimeout"},
        {"bEvXpcEk200","sceNpWebApi2Terminate"},
        {"WKcm4PeyJww","sceNpWebApiAbortHandle"},
        {"JzhYTP2fG18","sceNpWebApiAbortRequest"},
        {"joRjtRXTFoc","sceNpWebApiAddHttpRequestHeader"},
        {"19KgfJXgM+U","sceNpWebApiAddMultipartPart"},
        {"gVNNyxf-1Sg","sceNpWebApiCheckTimeout"},
        {"KQIkDGf80PQ","sceNpWebApiClearAllUnusedConnection"},
        {"f-pgaNSd1zc","sceNpWebApiClearUnusedConnection"},
        {"x1Y7yiYSk7c","sceNpWebApiCreateContext"},
        {"zk6c65xoyO0","sceNpWebApiCreateContextA"},
        {"IMzgZ3nDArM","sceNpWebApiCreateContextForContactsApp"},
        {"M2BUB+DNEGE","sceNpWebApiCreateExtdPushEventFilter"},
        {"79M-JqvvGo0","sceNpWebApiCreateHandle"},
        {"KBxgeNpoRIQ","sceNpWebApiCreateMultipartRequest"},
        {"y5Ta5JCzQHY","sceNpWebApiCreatePushEventFilter"},
        {"rdgs5Z1MyFw","sceNpWebApiCreateRequest"},
        {"sIFx734+xys","sceNpWebApiCreateServicePushEventFilter"},
        {"XUjdsSTTZ3U","sceNpWebApiDeleteContext"},
        {"pfaJtb7SQ80","sceNpWebApiDeleteExtdPushEventFilter"},
        {"5Mn7TYwpl30","sceNpWebApiDeleteHandle"},
        {"zE+R6Rcx3W0","sceNpWebApiDeletePushEventFilter"},
        {"noQgleu+KLE","sceNpWebApiDeleteRequest"},
        {"PfQ+f6ws764","sceNpWebApiDeleteServicePushEventFilter"},
        {"UJ8H+7kVQUE","sceNpWebApiGetConnectionStats"},
        {"2qSZ0DgwTsc","sceNpWebApiGetErrorCode"},
        {"VwJ5L0Higg0","sceNpWebApiGetHttpResponseHeaderValue"},
        {"743ZzEBzlV8","sceNpWebApiGetHttpResponseHeaderValueLength"},
        {"k210oKgP80Y","sceNpWebApiGetHttpStatusCode"},
        {"3OnubUs02UM","sceNpWebApiGetMemoryPoolStats"},
        {"G3AnLNdRBjE","sceNpWebApiInitialize"},
        {"FkuwsD64zoQ","sceNpWebApiInitializeForPresence"},
        {"c1pKoztonB8","sceNpWebApiIntCreateCtxIndExtdPushEventFilter"},
        {"N2Jbx4tIaQ4","sceNpWebApiIntCreateRequest"},
        {"TZSep4xB4EY","sceNpWebApiIntCreateServicePushEventFilter"},
        {"8Vjplhyyc44","sceNpWebApiIntInitialize"},
        {"VjVukb2EWPc","sceNpWebApiIntRegisterServicePushEventCallback"},
        {"sfq23ZVHVEw","sceNpWebApiIntRegisterServicePushEventCallbackA"},
        {"CQtPRSF6Ds8","sceNpWebApiReadData"},
        {"vrM02A5Gy1M","sceNpWebApiRegisterExtdPushEventCallback"},
        {"jhXKGQJ4egI","sceNpWebApiRegisterExtdPushEventCallbackA"},
        {"HVgWmGIOKdk","sceNpWebApiRegisterNotificationCallback"},
        {"PfSTDCgNMgc","sceNpWebApiRegisterPushEventCallback"},
        {"kJQJE0uKm5w","sceNpWebApiRegisterServicePushEventCallback"},
        {"KCItz6QkeGs","sceNpWebApiSendMultipartRequest"},
        {"DsPOTEvSe7M","sceNpWebApiSendMultipartRequest2"},
        {"kVbL4hL3K7w","sceNpWebApiSendRequest"},
        {"KjNeZ-29ysQ","sceNpWebApiSendRequest2"},
        {"6g6q-g1i4XU","sceNpWebApiSetHandleTimeout"},
        {"gRiilVCvfAI","sceNpWebApiSetMaxConnection"},
        {"i0dr6grIZyc","sceNpWebApiSetMultipartContentType"},
        {"qWcbJkBj1Lg","sceNpWebApiSetRequestTimeout"},
        {"asz3TtIqGF8","sceNpWebApiTerminate"},
        {"PqCY25FMzPs","sceNpWebApiUnregisterExtdPushEventCallback"},
        {"wjYEvo4xbcA","sceNpWebApiUnregisterNotificationCallback"},
        {"qK4o2656W4w","sceNpWebApiUnregisterPushEventCallback"},
        {"2edrkr0c-wg","sceNpWebApiUnregisterServicePushEventCallback"},
        {"or0e885BlXo","sceNpWebApiUtilityParseNpId"},
        {"uRsskUhAfnM","sceNpWebApiVshInitialize"},
        {"rAOOqDAxBIk","sceNpWordFilterAbortRequest"},
        {"1dMndqL-QgE","sceNpWordFilterCensorComment"},
        {"IEB+vgVoQbw","sceNpWordFilterCreateAsyncRequest"},
        {"iCq5xW5KQW4","sceNpWordFilterCreateRequest"},
        {"r9BgI0PfJZg","sceNpWordFilterCreateTitleCtx"},
        {"6p9jvljuvsw","sceNpWordFilterCreateTitleCtxA"},
        {"PYFS1H70bDs","sceNpWordFilterDeleteRequest"},
        {"t0P5z5yuFPA","sceNpWordFilterDeleteTitleCtx"},
        {"ur5SShyG0dk","sceNpWordFilterPollAsync"},
        {"Jj4mkpFO2gE","sceNpWordFilterSanitizeComment"},
        {"Fa4dVWgmffk","sceNpWordFilterSetTimeout"},
        {"87ivWj5yKzg","sceNpWordFilterWaitAsync"},
        {"fEcrs9UPPyo","sceNpXmlParse"},
        {"MCLGkfBmw4c","sceNpXmlParseInit"},
        {"z8N+d7DLC4E","sceOpusCeltDecCreate"},
        {"z6eJnrUEaVY","sceOpusCeltDecCreateEx"},
        {"jCeqFWeN9HA","sceOpusCeltDecCtl"},
        {"6fxZHeuNhIA","sceOpusCeltDecDecode"},
        {"zKQEeM0cBVs","sceOpusCeltDecDecodeFloat"},
        {"GF5cVgFKg4g","sceOpusCeltDecDecodeFloatWithPriority"},
        {"q76RU0c+L+4","sceOpusCeltDecDecodeWithPriority"},
        {"Sn-MpfGTN9w","sceOpusCeltDecDestroy"},
        {"xUp4-mftj5I","sceOpusCeltDecGetSize"},
        {"VMOyIG83Jtg","sceOpusCeltDecInitialize"},
        {"pkri5OAPsJk","sceOpusCeltDecTerminate"},
        {"CdMxiPm8PRc","sceOpusCeltEncCreate"},
        {"bm4L4sT8wsU","sceOpusCeltEncCreateEx"},
        {"XW1+EtPFPAM","sceOpusCeltEncCtl"},
        {"fNSqFBHAETU","sceOpusCeltEncDestroy"},
        {"tpKYaXK-zVs","sceOpusCeltEncEncode"},
        {"-TpTQG4cqr4","sceOpusCeltEncEncodeFloat"},
        {"UWCrWQtUc5w","sceOpusCeltEncEncodeFloatWithPriority"},
        {"Am+ONet261k","sceOpusCeltEncEncodeWithPriority"},
        {"WYwgHnzZDzc","sceOpusCeltEncGetSize"},
        {"TKiWvcaXe-g","sceOpusCeltEncInitialize"},
        {"ssRp1pDeUB0","sceOpusCeltEncTerminate"},
        {"RQFEW7ZfQJc","sceOpusDecCancel"},
        {"a5zvjYkJu0s","sceOpusDecCreate"},
        {"KAIGiqYrtI4","sceOpusDecCreateEx"},
        {"m4ohLv1Fdes","sceOpusDecCtl"},
        {"+CSUx-budSk","sceOpusDecDecode"},
        {"ysPB2G+jd14","sceOpusDecDecodeCancelForTimeout"},
        {"2U9KB5G-W2w","sceOpusDecDecodeFloat"},
        {"DjibZOK00TU","sceOpusDecDecodeFloatWithPriority"},
        {"x2nJkPwKx04","sceOpusDecDecodeFloatWithPriorityAndTimeout"},
        {"vkBmwJuOKgY","sceOpusDecDecodeWithPriority"},
        {"eFhsGSf+Hbw","sceOpusDecDecodeWithPriorityAndTimeout"},
        {"290AWkA-lck","sceOpusDecDestroy"},
        {"knmEFpLg-Rk","sceOpusDecGetSize"},
        {"2dA75YfXNrQ","sceOpusDecInitialize"},
        {"qOpZPAFEvIs","sceOpusDecTerminate"},
        {"S2yTg8ZqUtw","sceOpusSilkEncCancel"},
        {"du4P08Wq144","sceOpusSilkEncCreate"},
        {"RTRzcT0eBrY","sceOpusSilkEncCreateEx"},
        {"5nl86m-O6zg","sceOpusSilkEncCtl"},
        {"Vq8Y0nLGy74","sceOpusSilkEncDestroy"},
        {"ukkAU3uqfqc","sceOpusSilkEncEncode"},
        {"ahbRpQs2q1Q","sceOpusSilkEncEncodeCancelForTimeout"},
        {"DsPrCZ82v3g","sceOpusSilkEncEncodeFloat"},
        {"hFTzgblpaSg","sceOpusSilkEncEncodeFloatWithPriority"},
        {"emNQgrM1-M8","sceOpusSilkEncEncodeFloatWithPriorityAndTimeout"},
        {"36SxclBwsFs","sceOpusSilkEncEncodeWithPriority"},
        {"vytOYzDyTq0","sceOpusSilkEncEncodeWithPriorityAndTimeout"},
        {"gpdlKz0w448","sceOpusSilkEncGetSize"},
        {"uBN2pO1YkOM","sceOpusSilkEncInitialize"},
        {"q-89AuIWC3s","sceOpusSilkEncTerminate"},
        {"6ncge5+l5Qs","scePadClose"},
        {"kazv1NzSB8c","scePadConnectPort"},
        {"AcslpN1jHR8","scePadDeviceClassGetExtendedInformation"},
        {"IHPqcbc0zCA","scePadDeviceClassParseData"},
        {"d7bXuEBycDI","scePadDeviceOpen"},
        {"OjTEJo7cfRE","scePadDisableTriggerEffect"},
        {"0aziJjRZxqQ","scePadDisableVibration"},
        {"pnZXireDoeI","scePadDisconnectDevice"},
        {"9ez71nWSvD0","scePadDisconnectPort"},
        {"77ooWxGOIVs","scePadEnableAutoDetect"},
        {"+cE4Jx431wc","scePadEnableExtensionPort"},
        {"E1KEw5XMGQQ","scePadEnableSpecificDeviceClass"},
        {"DD-KiRLBqkQ","scePadEnableUsbConnection"},
        {"k0RJXTO3SbQ","scePadGetActiveTime"},
        {"Q66U8FdrMaw","scePadGetBluetoothAddress"},
        {"qtasqbvwgV4","scePadGetCapability"},
        {"gjP9-KQzoUk","scePadGetControllerInformation"},
        {"Uq6LgTJEmQs","scePadGetDataInternal"},
        {"hDgisSGkOgw","scePadGetDeviceId"},
        {"4rS5zG7RFaM","scePadGetDeviceInfo"},
        {"hGbf2QTBmqc","scePadGetExtControllerInformation"},
        {"1DmZjZAuzEM","scePadGetExtensionUnitInfo"},
        {"PZSoY8j0Pko","scePadGetFeatureReport"},
        {"B36fgKhpfUE","scePadGetFeatureReport2"},
        {"u1GRHp+oWoY","scePadGetHandle"},
        {"kiA9bZhbnAg","scePadGetIdleCount"},
        {"1Odcw19nADw","scePadGetInfo"},
        {"4x5Im8pr0-4","scePadGetInfoByPortType"},
        {"vegw8qax5MI","scePadGetLicenseControllerInformation"},
        {"WPIB7zBWxVE","scePadGetMotionSensorPosition"},
        {"k4+nDV9vbT0","scePadGetMotionTimerUnit"},
        {"do-JDWX+zRs","scePadGetSphereRadius"},
        {"znaWI0gpuo8","scePadGetTriggerEffectState"},
        {"QuOaoOcSOw0","scePadGetVersionInfo"},
        {"hv1luiJrqQM","scePadInit"},
        {"bi0WNvZ1nug","scePadIsBlasterConnected"},
        {"mEC+xJKyIjQ","scePadIsDS4Connected"},
        {"d2Qk-i8wGak","scePadIsLightBarBaseBrightnessControllable"},
        {"4y9RNPSBsqg","scePadIsMoveConnected"},
        {"9e56uLgk5y0","scePadIsMoveReproductionModel"},
        {"pFTi-yOrVeQ","scePadIsValidHandle"},
        {"F9iDGS9ddCM","scePadLastLotusButtonData"},
        {"CfwUlQtCFi4","scePadMbusInit"},
        {"s7CvzS+9ZIs","scePadMbusTerm"},
        {"xk0AcarP3V4","scePadOpen"},
        {"WFIiSfXGUq8","scePadOpenExt"},
        {"71E9e6n+2R8","scePadOpenExt2"},
        {"DrUu8cPrje8","scePadOutputReport"},
        {"q1cHNfGycLI","scePadRead"},
        {"fm1r2vv5+OU","scePadReadBlasterForTracker"},
        {"QjwkT2Ycmew","scePadReadExt"},
        {"2NhkFTRnXHk","scePadReadForTracker"},
        {"3u4M8ck9vJM","scePadReadHistory"},
        {"YndgXqQVV7c","scePadReadState"},
        {"5Wf4q349s+Q","scePadReadStateExt"},
        {"D6ovvSecedE","scePadRemoteControlInsertData"},
        {"DscD1i9HX1w","scePadResetLightBar"},
        {"+4c9xRLmiXQ","scePadResetLightBarAll"},
        {"+Yp6+orqf1M","scePadResetLightBarAllByPortType"},
        {"rIZnR6eSpvk","scePadResetOrientation"},
        {"jbAqAvLEP4A","scePadResetOrientationForTracker"},
        {"KLmYx9ij2h0","scePadSetAngularVelocityBiasCorrectionState"},
        {"r44mAxdSG+U","scePadSetAngularVelocityDeadbandState"},
        {"ew647HuKi2Y","scePadSetAutoPowerOffCount"},
        {"MbTt1EHYCTg","scePadSetButtonRemappingInfo"},
        {"MLA06oNfF+4","scePadSetConnection"},
        {"bsbHFI0bl5s","scePadSetExtensionReport"},
        {"xqgVCEflEDY","scePadSetFeatureReport"},
        {"PNceMgBgrIQ","scePadSetFeatureReport2"},
        {"lrjFx4xWnY8","scePadSetForceIntercepted"},
        {"RR4novUEENY","scePadSetLightBar"},
        {"dhQXEvmrVNQ","scePadSetLightBarBaseBrightness"},
        {"etaQhgPHDRY","scePadSetLightBarBlinking"},
        {"iHuOWdvQVpg","scePadSetLightBarForTracker"},
        {"o-6Y99a8dKU","scePadSetLoginUserNumber"},
        {"clVvL4ZDntw","scePadSetMotionSensorState"},
        {"flYYxek1wy8","scePadSetProcessFocus"},
        {"DmBx8K+jDWw","scePadSetProcessPrivilege"},
        {"FbxEpTRDou8","scePadSetProcessPrivilegeOfButtonRemapping"},
        {"yah8Bk4TcYY","scePadSetShareButtonMaskForRemotePlay"},
        {"vDLMoJLde8I","scePadSetTiltCorrectionState"},
        {"2JgFB2n9oUM","scePadSetTriggerEffect"},
        {"z+GEemoTxOo","scePadSetUserColor"},
        {"iOqpYvGEo6A","scePadSetUserNumber"},
        {"yFVnOdGxvZY","scePadSetVibration"},
        {"8BOObG94-tc","scePadSetVibrationForce"},
        {"W2G-yoyMF5U","scePadSetVibrationMode"},
        {"Yq0zOH7YNOM","scePadSetVibrationTriggerEffectWeakWhileEmbeddedMicInUse"},
        {"--jrY4SHfm8","scePadSetVrTrackingMode"},
        {"zFJ35q3RVnY","scePadShareOutputData"},
        {"80XdmVYsNPA","scePadStartRecording"},
        {"gAHvg6JPIic","scePadStopRecording"},
        {"Oi7FzRWFr0Y","scePadSwitchConnection"},
        {"FN4UuY2CUz0","scePadTrackerCalibrate"},
        {"8bK-4Vxjr8E","scePadTrackerGetWorkingMemorySize"},
        {"G1-RyPlIrIY","scePadTrackerInit"},
        {"PqlxOq+k02o","scePadTrackerReadState"},
        {"Ci0PqEOATeQ","scePadTrackerTerm"},
        {"cri6g3qvCtc","scePadTrackerUpdate"},
        {"0MB5x-ieRGI","scePadVertualDeviceAddDevice"},
        {"N7tpsjWQ87s","scePadVirtualDeviceAddDevice"},
        {"PFec14-UhEQ","scePadVirtualDeviceDeleteDevice"},
        {"pjPCronWdxI","scePadVirtualDeviceDisableButtonRemapping"},
        {"LKXfw7VJYqg","scePadVirtualDeviceGetRemoteSetting"},
        {"IWOyO5jKuZg","scePadVirtualDeviceInsertData"},
        {"mbJHDdjhVeY","scePadVrControllerGetDeviceInformation"},
        {"OL2CJ2idmhk","scePadVrControllerGetTriggerEffectState"},
        {"AVr6AKXGc0M","scePadVrControllerGetTriggerEffectStates"},
        {"306mCg0ibh8","scePadVrControllerRead"},
        {"TABucyiW6AQ","scePadVrControllerReadCombinedState"},
        {"iA-DdobUen8","scePadVrControllerReadState"},
        {"6Cdc9bbjrRY","scePadVrControllerSetTriggerEffect"},
        {"v8P+9PRqg10","scePadVrControllerSetTriggerEffects"},
        {"DGCwN1Lmmys","scePadVrControllerSetVibration"},
        {"Wf6-PNCyY20","scePadVrControllerSetVibrationMode"},
        {"xTJYIk5zjF8","scePatchCheckerCancel"},
        {"Bm9eE0veFss","scePatchCheckerCheckPatch"},
        {"Iqz2w4IZfqk","scePatchCheckerClearCache"},
        {"MHUY7dC9vrM","scePatchCheckerCreateHandler"},
        {"9s6ZwdTXAmc","scePatchCheckerDestroyHandler"},
        {"b4t2jOPTxts","scePatchCheckerDisableAutoDownload"},
        {"Ls3rKzckGXQ","scePatchCheckerEnableAutoDownload"},
        {"+hLkT-vIyQE","scePatchCheckerGetApplicableTick"},
        {"B6TZJJ+mf9Y","scePatchCheckerGetPackageInfo"},
        {"m8oc1t4Rp28","scePatchCheckerInitialize"},
        {"TlbTYydth54","scePatchCheckerRequestCheckPatch"},
        {"Kru1Y4HvomI","scePatchCheckerRequestCheckPatchByType"},
        {"+Ck0P+3Uw2A","scePatchCheckerSetCache"},
        {"+yCldgPbdIU","scePatchCheckerSetFakeCache"},
        {"rjXFQQQrE+k","scePatchCheckerTerminate"},
        {"21cLLwe2AnE","scePatchCheckerUpdateAppdbForEap"},
        {"lVsw3kdsgAk","scePerfPmcAperfGetCounter"},
        {"A3z26deg9VQ","scePerfPmcClose"},
        {"e7RAPAr4QpU","scePerfPmcGetCounter"},
        {"Y9soJc90skA","scePerfPmcGetCounterSelf"},
        {"mTbfxl-F9qo","scePerfPmcL2iGetCounter"},
        {"1HRhAE4HYjg","scePerfPmcL2iGetCounterSelf"},
        {"ir4B5HLcYF0","scePerfPmcL2iSelectEvent"},
        {"0bBxiebZeYM","scePerfPmcL2iSetCounter"},
        {"923EmVF1ojk","scePerfPmcL2iStart"},
        {"-KQ7XkCNW2U","scePerfPmcL2iStop"},
        {"eBWlMuS-0MA","scePerfPmcL3GetCounter"},
        {"L7qBonxwhiI","scePerfPmcL3GetCounterSelf"},
        {"FPN86biiXCg","scePerfPmcL3SelectEvent"},
        {"imlxgVJc+lE","scePerfPmcL3SetCounter"},
        {"UdkvoRZbg4M","scePerfPmcL3Start"},
        {"ai2UFvUWMs0","scePerfPmcL3Stop"},
        {"eQPL0pfnPdw","scePerfPmcMcSeqGetCounter"},
        {"ND+7k58SVFE","scePerfPmcMcSeqSetCounter"},
        {"g1f+Gd4iWBw","scePerfPmcMcSeqStart"},
        {"7rQdA99onWU","scePerfPmcMcSeqStop"},
        {"aqpZ3UxXfcw","scePerfPmcMperfGetCounter"},
        {"H06KcilGIfI","scePerfPmcNbGetCounter"},
        {"sJ7v8HSsn-E","scePerfPmcNbSelectEvent"},
        {"kxw+42XLqFU","scePerfPmcNbSetCounter"},
        {"ScEhE4Irdo8","scePerfPmcNbStart"},
        {"A2Q-gC8MxII","scePerfPmcNbStop"},
        {"zezfYI2+DWA","scePerfPmcOpen"},
        {"Pw6DvB9u7vA","scePerfPmcReset"},
        {"qWhyDl-dhSk","scePerfPmcResetProc"},
        {"37ZdK-DvAJI","scePerfPmcSdfGetCounter"},
        {"V-dofRUSIAs","scePerfPmcSdfSelectEvent"},
        {"S9IH+kvDNU8","scePerfPmcSdfSetCounter"},
        {"3RJZH7EwHdg","scePerfPmcSdfStart"},
        {"Tg8wM8zlz3I","scePerfPmcSdfStop"},
        {"7OlZkMu6Nbg","scePerfPmcSelectEvent"},
        {"RaqOVaWNQJc","scePerfPmcSelectEventProc"},
        {"MdSI82hHt0E","scePerfPmcSetCounter"},
        {"fAfi5-11dKg","scePerfPmcStart"},
        {"0iR9z16pj28","scePerfPmcStartProc"},
        {"EIc0PIXVccE","scePerfPmcStop"},
        {"6DmsnKqhilg","scePerfPmcStopProc"},
        {"slT42meZHBo","scePerfPmcUmcGetCounter"},
        {"NW+Hxkmylr4","scePerfPmcUmcSetCounter"},
        {"2h037DNaRPU","scePerfPmcUmcStart"},
        {"iWwcsTjXh78","scePerfPmcUmcStop"},
        {"qNWrWWaNFVw","scePerfSetUevt"},
        {"Z0a+sohjGTQ","scePerfTraceAddBufferNotifyEvent"},
        {"VFfDN9+bjC4","scePerfTraceAmmAddBufferNotifyEvent"},
        {"id0JiM1+i5I","scePerfTraceAmmCreate"},
        {"3VJmLpukTAc","scePerfTraceAmmDelete"},
        {"Jt7LPd8LVCU","scePerfTraceAmmDeleteBufferNotifyEvent"},
        {"NbafDOCadvM","scePerfTraceAmmEnable"},
        {"aY-lm9NK8zU","scePerfTraceAmmGetInfo"},
        {"ZvPKqTJPzd4","scePerfTraceAmmStart"},
        {"oeCZSK8StuQ","scePerfTraceAmmStop"},
        {"mzu52lea-vk","scePerfTraceAmmUpdate"},
        {"SqfaljiIMTM","scePerfTraceAprNameAddBufferNotifyEvent"},
        {"MV8Ydp9MSdU","scePerfTraceAprNameCreate"},
        {"nZoXleE24-w","scePerfTraceAprNameDelete"},
        {"ccL8qtt32N0","scePerfTraceAprNameDeleteBufferNotifyEvent"},
        {"nWigKuh+U8Y","scePerfTraceAprNameEnable"},
        {"ruR8rglNPvE","scePerfTraceAprNameGetInfo"},
        {"Rztm+4l7XEM","scePerfTraceAprNameStart"},
        {"fNhrkYpXz0o","scePerfTraceAprNameStop"},
        {"cYNmzCqlzIA","scePerfTraceAprNameUpdate"},
        {"+bMkbKRF6Bo","scePerfTraceCreate"},
        {"AlogKJrMsco","scePerfTraceDelete"},
        {"VgsWDKLc6v4","scePerfTraceDeleteBufferNotifyEvent"},
        {"HBEICuPh5r4","scePerfTraceEnable"},
        {"OKLpKlnQmCM","scePerfTraceGetInfo"},
        {"HIO82JX-Ki4","scePerfTraceGetMemoryStats"},
        {"njAb3txIO8k","scePerfTraceIoControllerAddBufferNotifyEvent"},
        {"FnQzqm0V3lU","scePerfTraceIoControllerCreate"},
        {"XZmo+u-eLBg","scePerfTraceIoControllerDelete"},
        {"GHuASZVVDBA","scePerfTraceIoControllerDeleteBufferNotifyEvent"},
        {"+AX8QoImHeQ","scePerfTraceIoControllerEnable"},
        {"pAbZ-KnYusQ","scePerfTraceIoControllerGetInfo"},
        {"vswjIkOXbuU","scePerfTraceIoControllerStart"},
        {"6d-bWUDuz9U","scePerfTraceIoControllerStop"},
        {"k34J5kyOy8w","scePerfTraceIoControllerUpdate"},
        {"rfjRhTDHEmA","scePerfTraceIoGetEntry"},
        {"lZXGcqe2Ulc","scePerfTraceIoGetPosition"},
        {"ma2OmJRhSPM","scePerfTracePmAddBufferNotifyEvent"},
        {"OAVwxuKdkFE","scePerfTracePmCreate"},
        {"i9+nYhSntBI","scePerfTracePmDelete"},
        {"EYSKE8otTSs","scePerfTracePmDeleteBufferNotifyEvent"},
        {"9d0PDAM9g1Q","scePerfTracePmEnable"},
        {"6Mo6+u0BZeA","scePerfTracePmGetInfo"},
        {"Q6rtQMOR-UA","scePerfTracePmStart"},
        {"2H1RlsV3ioM","scePerfTracePmStop"},
        {"IAf1M-HM55c","scePerfTracePmUpdate"},
        {"cbShhWbs07A","scePerfTraceSpmCreate"},
        {"zS-D-ttUS5I","scePerfTraceSpmDelete"},
        {"E7Bz0ePVC+E","scePerfTraceSpmEnable"},
        {"m7CluO-xmkQ","scePerfTraceSpmGetNclk"},
        {"6XyZfSDBsKs","scePerfTraceSpmRead"},
        {"Uf3h6DPcBvg","scePerfTraceSpmStart"},
        {"11ZG5FOPbAM","scePerfTraceSpmStop"},
        {"n-pzjs6rl48","scePerfTraceStart"},
        {"n0nvCnrzJI0","scePerfTraceStop"},
        {"wLvhNHWWJTU","scePerfTraceUpdate"},
        {"FpmVtvy8tYo","scePfsGetBlockTableReadCommand"},
        {"qFujOxHUDSs","scePfsGetHeaderReadCommand"},
        {"smQl0Bi1Ick","scePfsGetPreadBlockRange"},
        {"-yzonNNSV8E","scePfsGetSingleBlockReadCommand"},
        {"QiJFZRyM1dE","scePfsGetUncompressedSize"},
        {"V7BQGxc2Ll0","scePfsGetWorkBufferSize"},
        {"LJTtb7xKzkY","scePfsPread"},
        {"P6Yiba6u7cc","scePfsPreadDecompressBlock"},
        {"YyWt34TCzw4","scePfsValidate"},
        {"x8H4hnt+k78","scePigletAllocateSystemMemory"},
        {"oXkQEVitkCs","scePigletAllocateSystemMemoryEx"},
        {"H3Uc4VqAD90","scePigletAllocateVideoMemory"},
        {"sDotUt1uEhA","scePigletAllocateVideoMemoryEx"},
        {"3gtNzvkq-XY","scePigletGetConfigurationVSH"},
        {"oWhbxCJiBMM","scePigletGetInteger"},
        {"cYSjErZW5gE","scePigletGetShaderCacheConfiguration"},
        {"6u98-pOEZ7A","scePigletGetUsageVSH"},
        {"BHBgaf-ZEy4","scePigletHeapDump"},
        {"PNO0IUA8nwc","scePigletHeapGetInfo"},
        {"ds8nxxKNdk0","scePigletReleaseSystemMemory"},
        {"T-+xooU3VvQ","scePigletReleaseSystemMemoryEx"},
        {"u2REGRW7HV0","scePigletReleaseVideoMemory"},
        {"AcruVcmKz78","scePigletReleaseVideoMemoryEx"},
        {"SL6AQAnM5WU","scePigletSetConfiguration"},
        {"M9RtXpjSYtE","scePigletSetConfigurationVSH"},
        {"nXwKrwF-wUM","scePigletSetShaderCacheConfiguration"},
        {"mVDzAtQrtls","scePktMgrGetDeciHeader"},
        {"nywQVbztKlA","scePktMgrGetDeciPayload"},
        {"cpshdfkAJIs","scePktMgrGetPacketSize"},
        {"xhLHHsgt39w","scePktMgrGetProtocolNumber"},
        {"1NQg5a5nE2I","scePktMgrGetSeqNum"},
        {"4TK7DRrXC5c","scePktMgrGetUlpCmdHdr"},
        {"GOafsLorJmg","scePktMgrGetUlpCmdPayload"},
        {"6EVXSBewBXs","scePktMgrIsRecvDataReady"},
        {"1ADfldNB9aQ","scePktMgrPrepareUlpNtfPacket"},
        {"KXhNUtFALj4","scePktMgrPrepareUlpResPacket"},
        {"+235EcrmaJc","scePktMgrRecvDeciPacket"},
        {"lxkF5aDz8Vg","scePktMgrRecvDeciPacketBySocket"},
        {"c6U0zoB6FxM","scePktMgrSendDeciPacket"},
        {"oBjlHsifNmk","scePktMgrSetDeciHeader"},
        {"1Tb7p2kCYw8","scePktMgrSetPacketSize"},
        {"CSCliE0CoAg","scePktMgrSetUlpNtfHdr"},
        {"vbEbCa9rwVA","scePktMgrSetUlpNtfPayload"},
        {"VXphZwa1OVc","scePktMgrSetUlpNtfPayloadCommonNotification"},
        {"vaMxz9+R1Q4","scePktMgrSetUlpResHdr"},
        {"wQ5dN1p4tcE","scePktMgrSetUlpResPayload"},
        {"Uco1I0dlDi8","scePlayGoClose"},
        {"fbigNQiZpm0","scePlayGoDialogClose"},
        {"wx9TDplJKB4","scePlayGoDialogGetResult"},
        {"NOAMxY2EGS0","scePlayGoDialogGetStatus"},
        {"fECamTJKpsM","scePlayGoDialogInitialize"},
        {"kHd72ukqbxw","scePlayGoDialogOpen"},
        {"okgIGdr5Iz0","scePlayGoDialogTerminate"},
        {"Yb60K7BST48","scePlayGoDialogUpdateStatus"},
        {"73fF1MFU8hA","scePlayGoGetChunkId"},
        {"v6EZ-YWRdMs","scePlayGoGetEta"},
        {"8-e7E989rCU","scePlayGoGetInstallChunkId"},
        {"rvBSfTimejE","scePlayGoGetInstallSpeed"},
        {"3OMbYZBaa50","scePlayGoGetLanguageMask"},
        {"uWIYLFkkwqk","scePlayGoGetLocus"},
        {"g4AZyxpSAlA","scePlayGoGetOptionalChunk"},
        {"-RJWNMK3fC8","scePlayGoGetProgress"},
        {"IfiN+-oeVWI","scePlayGoGetSupportedOptionalChunk"},
        {"Nn7zKwnA5q0","scePlayGoGetToDoList"},
        {"ts6GlZOKRrE","scePlayGoInitialize"},
        {"M1Gma1ocrGE","scePlayGoOpen"},
        {"-Q1-u1a7p0g","scePlayGoPrefetch"},
        {"HVAa744ecdw","scePlayGoPrefetchOptionalChunk"},
        {"RHXYK0iDICM","scePlayGoRequestNextChunk"},
        {"4AAcTU9R3XM","scePlayGoSetInstallSpeed"},
        {"LosLlHOpNqQ","scePlayGoSetLanguageMask"},
        {"gUPGiOQ1tmQ","scePlayGoSetToDoList"},
        {"D6HEAnaC9zQ","scePlayGoSnapshot"},
        {"MPe0EeBGM-E","scePlayGoTerminate"},
        {"Y1upNpVk2bU","scePlayReadyApiInitializeInitParams"},
        {"sKLOdgu+I7c","scePlayReadyApiIsStarted"},
        {"jHUHTcQ+MlA","scePlayReadyApiPlatform"},
        {"-hOylkSV7qY","scePlayReadyApiStart"},
        {"79siTMMdXfs","scePlayReadyApiStop"},
        {"LyopcaFAuYE","scePlayReadyApiVersion"},
        {"qIx30tyaz6c","scePlayReadyApiVersionString"},
        {"OXhWQp2ZA9s","scePlayReadyBufferFree"},
        {"6Lw60o5T9Ms","scePlayReadyBufferInit"},
        {"QN1i7GqlP7g","scePlayReadyBufferInitWithData"},
        {"yigBLNiYtOg","scePlayReadyBufferMalloc"},
        {"ILl7f+knBmk","scePlayReadyBufferRealloc"},
        {"JhBOQYY6iu0","scePlayReadyCdmiClose"},
        {"e7nwve2CgyQ","scePlayReadyCdmiCreateMediaKeySession"},
        {"Mgzn4F-H1A0","scePlayReadyCdmiCreateMediaKeySystemAccess"},
        {"Cm8AZ5YHBTk","scePlayReadyCdmiCreateMediaKeys"},
        {"44FL0PIYP80","scePlayReadyCdmiDecryptMultipleOpaque"},
        {"fDkwGrQqqYY","scePlayReadyCdmiDecryptOpaque"},
        {"iT+wzBrHq50","scePlayReadyCdmiDecryptOpaque2"},
        {"eyB4oc96HwI","scePlayReadyCdmiDestroyMediaKeySession"},
        {"yOQ8dQ41tvs","scePlayReadyCdmiDestroyMediaKeySystemAccess"},
        {"Q2S-VY3-ppo","scePlayReadyCdmiDestroyMediaKeys"},
        {"-Z8FvBnu6yQ","scePlayReadyCdmiFreeOpaqueDecryptedContent"},
        {"T204st1S50Q","scePlayReadyCdmiGenerateRequest"},
        {"TAcqIuI0JjY","scePlayReadyCdmiGetConfiguration"},
        {"3L-gCf-E4zk","scePlayReadyCdmiGetExpiration"},
        {"HdL8UX2RHxA","scePlayReadyCdmiGetKeySystem"},
        {"O91VRI218wU","scePlayReadyCdmiGetMediaKeyCount"},
        {"9faEv99wVjc","scePlayReadyCdmiGetMediaKeyStatus"},
        {"176q2+O2+VQ","scePlayReadyCdmiGetSessionAppContext"},
        {"XGcNn1LamZk","scePlayReadyCdmiGetSessionId"},
        {"r370kbA+D2A","scePlayReadyCdmiIsLicenseAckRequired"},
        {"aEIBFI8Dy9E","scePlayReadyCdmiLoad"},
        {"5OOpQ9aHmb8","scePlayReadyCdmiRemove"},
        {"sgp3WWz043s","scePlayReadyCdmiRetrieveOpaqueDecryptedContent"},
        {"YdWuo5eSCXo","scePlayReadyCdmiSetServerCertificate"},
        {"8z3zK1NQgQY","scePlayReadyCdmiSetSessionCallbacks"},
        {"rJWslrzgww8","scePlayReadyCdmiUpdate"},
        {"fpI46m0Nc9o","scePlayReadyCloneDecryptContext"},
        {"BLo--aicQXs","scePlayReadyContentGetProperty"},
        {"ZEZYgGsc4q0","scePlayReadyContentSetProperty"},
        {"bZqlswX9xv4","scePlayReadyDebugPrintf"},
        {"jWvPL6uPnWk","scePlayReadyDebugSetLevel"},
        {"QFJCN+emlOs","scePlayReadyDomainCertEnumFini"},
        {"3yA8V7dy8Cc","scePlayReadyDomainCertEnumInit"},
        {"bDBa3CzyDko","scePlayReadyDomainCertEnumNext"},
        {"l3AOURv-MWU","scePlayReadyDomainCertFind"},
        {"1c8o7fQHtME","scePlayReadyDomainJoinGenerateChallenge"},
        {"632HibKgIsU","scePlayReadyDomainJoinProcessResponse"},
        {"WBPErtBvp0M","scePlayReadyDomainLeaveGenerateChallenge"},
        {"W5tL-FE60Sw","scePlayReadyDomainLeaveProcessResponse"},
        {"+tPsvYO70II","scePlayReadyEnvelopeClose"},
        {"azsWRjrskRA","scePlayReadyEnvelopeGetSize"},
        {"frqq5Tky-zI","scePlayReadyEnvelopeInitializeRead"},
        {"h0qUZQn20ww","scePlayReadyEnvelopeOpen"},
        {"oeI5GwWRS3U","scePlayReadyEnvelopeRead"},
        {"s23Q07skOlc","scePlayReadyEnvelopeSeek"},
        {"6EKG2A33Gtk","scePlayReadyFinalize"},
        {"VrWK7GksARg","scePlayReadyFreeDecryptContext"},
        {"kLERpSLEraQ","scePlayReadyInitialize"},
        {"inhtz+Vuc1k","scePlayReadyInitializeInitParams"},
        {"y+eBtrEElvs","scePlayReadyLicenseAcqGenerateAck"},
        {"A3YKyP3MwAI","scePlayReadyLicenseAcqGenerateChallenge"},
        {"3lzrNhmEuCg","scePlayReadyLicenseAcqGetAdditionalResponseData"},
        {"7QDrajf3MxI","scePlayReadyLicenseAcqProcessAckResponse"},
        {"OdutVIwsfoc","scePlayReadyLicenseAcqProcessResponse"},
        {"SMXKRrPDjFQ","scePlayReadyLicenseCount"},
        {"Wf+VUrny3Fk","scePlayReadyLicenseDelete"},
        {"C4i9a6cVRWM","scePlayReadyLicenseDeleteInMemory"},
        {"PqYIuqUdMMU","scePlayReadyLicenseGetExpirationTime"},
        {"qkidjMT42sQ","scePlayReadyLicenseGetProperty"},
        {"pvGklMDOeSk","scePlayReadyMemAlloc"},
        {"Q9PafwAucU0","scePlayReadyMemFree"},
        {"iktpef6dl3k","scePlayReadyMemGetStats"},
        {"P38mNmonvHs","scePlayReadyMemRealloc"},
        {"VB4SH73Kf5E","scePlayReadyNewDecryptContext"},
        {"rlM6QokMGkY","scePlayReadyProfileClear"},
        {"0ovCuqnttco","scePlayReadyProfileEnter"},
        {"1-Xmz3cBpkE","scePlayReadyProfileLeave"},
        {"T8A8MZcrjS4","scePlayReadyProfilePause"},
        {"uYjA59lYaH8","scePlayReadyProfileResume"},
        {"7GuAkdz0C9A","scePlayReadyProfileStart"},
        {"yGBvL9qLxNI","scePlayReadyProfileStop"},
        {"q24aRzI78Sk","scePlayReadyReaderBind"},
        {"zxs+Flq6LEY","scePlayReadyReaderClose"},
        {"RdHocm64Qfs","scePlayReadyReaderCommit"},
        {"Y+-YGNm6Gas","scePlayReadyReaderDecrypt"},
        {"---AJBmrMQc","scePlayReadyReaderDecryptMultiple"},
        {"IQsOlh8f-sw","scePlayReadyReaderDecryptMultipleOpaque"},
        {"rWxYHhhR4h4","scePlayReadyReaderDecryptOpaque"},
        {"G2+JJ+BamfE","scePlayReadyReaderDecrypt_Legacy"},
        {"bxmwxo3mcBw","scePlayReadyReaderFreeOpaqueContent"},
        {"Wgptd+IJcp0","scePlayReadyReaderRetrieveOpaqueContent"},
        {"u75oEC-8rTg","scePlayReadyReinitialize"},
        {"PDu2PNjfb1M","scePlayReadyReset"},
        {"o-Z4rChSsSE","scePlayReadyStoreCleanup"},
        {"Zo52g0A1XDw","scePlayerInvitationDialogClose"},
        {"AhqlQ8cngrk","scePlayerInvitationDialogGetResult"},
        {"1m4CKJxzsW0","scePlayerInvitationDialogGetStatus"},
        {"JDwx3Bl4bB4","scePlayerInvitationDialogInitialize"},
        {"rKPTlHwGa4k","scePlayerInvitationDialogOpen"},
        {"gDm5a6GSE94","scePlayerInvitationDialogTerminate"},
        {"kFhuwHrIUqs","scePlayerInvitationDialogUpdateStatus"},
        {"HDMHJ9zsCFg","scePlayerReviewDialogClose"},
        {"VuKbx6zlEG4","scePlayerReviewDialogGetResult"},
        {"UYw6RlK7bcQ","scePlayerReviewDialogGetStatus"},
        {"UtXl-tmi7iw","scePlayerReviewDialogInitialize"},
        {"CtygVRCL+bA","scePlayerReviewDialogOpen"},
        {"RmJKkzZFNFA","scePlayerReviewDialogTerminate"},
        {"4J5F23VgTjY","scePlayerReviewDialogUpdateStatus"},
        {"0fyTCPOHGX4","scePlayerSelectionDialogClose"},
        {"GtF-2gJqsts","scePlayerSelectionDialogGetResult"},
        {"l7oQ33rm9TI","scePlayerSelectionDialogGetStatus"},
        {"DrDfu7uq6JY","scePlayerSelectionDialogInitialize"},
        {"9Oj3MIJ+Zjk","scePlayerSelectionDialogOpen"},
        {"CgdJ1PkIsE4","scePlayerSelectionDialogTerminate"},
        {"PBmrW72wbPQ","scePlayerSelectionDialogUpdateStatus"},
        {"m0uW+8pFyaw","scePngDecCreate"},
        {"WC216DD3El4","scePngDecDecode"},
        {"cJ--1xAbj-I","scePngDecDecodeWithInputControl"},
        {"QbD+eENEwo8","scePngDecDelete"},
        {"U6h4e5JRPaQ","scePngDecParseHeader"},
        {"-6srIGbLTIU","scePngDecQueryMemorySize"},
        {"7aGTPfrqT9s","scePngEncCreate"},
        {"RUrWdwTWZy8","scePngEncDelete"},
        {"xgDjJKpcyHo","scePngEncEncode"},
        {"9030RnBDoh4","scePngEncQueryMemorySize"},
        {"Q-JroQdKRfM","scePrecompiledShaderEntries"},
        {"TzRmKAkOwBw","scePrintDeciHeader"},
        {"bDqj8t808Uo","scePrintUlpCmdHdr"},
        {"pGiyEASBQ-4","scePrintUlpNtfHdr"},
        {"7mNFRHtNsx4","scePrintUlpResHdr"},
        {"RY+HIZ+rrdo","sceProfileCacheGetAvatar"},
        {"DsKIPXZX4uU","sceProfileCacheGetProfilePicture"},
        {"26K6KWi+gy4","sceProfileCacheGetTrueName"},
        {"Asuucx2vvaE","sceProprietaryVoiceChatHelperGetVoiceChatUsageState"},
        {"LDjk9ULlN34","sceProprietaryVoiceChatHelperInitialize"},
        {"QJy6V9QAXXE","sceProprietaryVoiceChatHelperSetVoiceChatState"},
        {"lrswogWNZyM","sceProprietaryVoiceChatHelperTerminate"},
        {"zTnim89xUWY","scePs2EmuMenuDialogClose"},
        {"eVkl4XZTS6M","scePs2EmuMenuDialogGetResult"},
        {"45M67FoqnUo","scePs2EmuMenuDialogGetStatus"},
        {"F70KBaPW924","scePs2EmuMenuDialogInitialize"},
        {"coiMIPkR+Ro","scePs2EmuMenuDialogOpen"},
        {"s1zGYYF-xC0","scePs2EmuMenuDialogTerminate"},
        {"KVDCpwJXoxw","scePs2EmuMenuDialogUpdateStatus"},
        {"2vK13TtDpLI","scePsmCoreClrCallback"},
        {"JMADh-6iSWc","scePsmExecute"},
        {"SSDEc8k0zOs","scePsmGetConfiguration"},
        {"WXxadnoOV08","scePsmInitialize"},
        {"jfYfik4AEMc","scePsmKitFontConfigGetAttr"},
        {"2eHZuGzujZI","scePsmKitFontConfigGetFont"},
        {"AACRJJP3Ntk","scePsmKitFontConfigGetFontName"},
        {"Rgi0wr6wpDI","scePsmKitFontConfigGetFontPath"},
        {"O1+7tMw8oIo","scePsmMountDirectory"},
        {"yvcX0NDFdJ4","scePsmMountDirectoryEx"},
        {"M1EJrOWnLuk","scePsmReadConfigurationFile"},
        {"vl8QdnxNxq4","scePsmRegisterInternalCall"},
        {"34V2Umd+mwM","scePsmRegisterPInvokeCallTable"},
        {"dMDksJtEt1E","scePsmResourceCallback"},
        {"8UHip7L+b80","scePsmTerminate"},
        {"imZUVWK3ngM","scePsmThreadCallback"},
        {"5U6NRSMS9QU","scePsmUtilFinalize"},
        {"BS1S-3Gn6Ic","scePsmUtilGetDebugAssetManagerSize"},
        {"wBEOCxJbzQw","scePsmUtilGetEmojiAssetManagerSize"},
        {"J2JPTUBlAyQ","scePsmUtilGetHighResoImageAssetManagerSize"},
        {"IIEZ8A31pFo","scePsmUtilGetLabelAssetManagerSize"},
        {"hsVWg5E98vg","scePsmUtilGetOffscreenAssetManagerSize"},
        {"6gapC-97PpU","scePsmUtilGetPsmIniFile"},
        {"eHZ5DsEGZPg","scePsmUtilGetSystemAssetManagerSize"},
        {"psLU09dc2Vc","scePsmUtilInitialize"},
        {"+arkFfg6uxw","scePsmUtilRegisterCallbacks"},
        {"KuzCRxc5mVI","scePssAudGetSurroundPan"},
        {"nqHJ9X3L3zI","scePssAudIsStopped"},
        {"nTYiRmnd7zI","scePssAudSetSurroundPan"},
        {"lkPny2sBZ7Q","scePssAudSetSurroundPanSpeakerConfig"},
        {"atsO3WGZqZA","scePssCAudGetSurroundPan"},
        {"XIPPPwj5i9A","scePssCAudIsStopped"},
        {"-HH5Om7MHIQ","scePssCAudSetSurroundPan"},
        {"P+bTZBk3z08","scePssCameraGetCameraConnection"},
        {"FIDyevLVMHA","scePssCameraGetConfigType"},
        {"5J-HJDElPnM","scePssCameraSetConfigType"},
        {"nwX0xDpLzR4","scePssInternalKeyboardGetKeyCode"},
        {"MnBopnIaDzQ","scePssInternalKeyboardGetUTF8Chars"},
        {"nMLyjnpy2hc","scePssInternalOrbisControllerScan"},
        {"iKaWKC4Q-vQ","scePssKeyboardGetKeyCode"},
        {"VEiOkNOlgew","scePssKeyboardGetUTF8Chars"},
        {"3HaJqtrvQqg","scePssKeyboardInitialize"},
        {"mkuqaH2p26Y","scePssKeyboardPushState"},
        {"we7HVzurlQM","scePssKeyboardReadState"},
        {"dKp8nyVReZI","scePssKeyboardTerminate"},
        {"JwbpaAM4dfs","scePssMousePushState"},
        {"2ULUb+GapIM","scePssMouseReadState"},
        {"mbMZ7F+s8oM","scePssMusicPlayerGetLoopFramePos"},
        {"vAy6j+Avg34","scePssMusicPlayerGetLoopTimePosition"},
        {"3YsMdm5Ci44","scePssMusicPlayerGetPlayState"},
        {"uZq9X7FZfOk","scePssMusicPlayerGetSurroundPan"},
        {"HOgeYd40G5E","scePssMusicPlayerSetLoopFramePos"},
        {"vGCjFnHz92U","scePssMusicPlayerSetLoopTimePosition"},
        {"rOghwK6XnUo","scePssMusicPlayerSetSurroundPan"},
        {"1miJAwDtxRs","scePssMusicPlayerStopEx"},
        {"uXR5stkS+W4","scePssMusicPlayerUserCreate"},
        {"YlWUOR7xruE","scePssPadrGetOutputIsRunning"},
        {"MXRQZvQVjK0","scePssPadrGetOutputPortCount"},
        {"tmcEKba0ilI","scePssPadrGetOutputPortDescription"},
        {"9+7ISLVZk2c","scePssSoundPlayerGetPlayState"},
        {"F-iMNHd4L7I","scePssSoundPlayerGetSurroundPan"},
        {"3Nm6tcgPCgQ","scePssSoundPlayerSetSurroundPan"},
        {"mBrOTtvKHU0","scePssSoundPlayerStopEx"},
        {"YKu2Eub+j94","scePssSoundPlayerUserCreate"},
        {"lEIjSr7+QME","scePssSoundSetSurroundPanSpeakerConfig"},
        {"7kXCiz3D0OU","scePssThreadIsActive"},
        {"i1kREW2pchs","scePthreadAtfork"},
        {"62KCwEMmzcM","scePthreadAttrDestroy"},
        {"x1X76arYMxU","scePthreadAttrGet"},
        {"8+s5BzZjxSg","scePthreadAttrGetaffinity"},
        {"JaRMy+QcpeU","scePthreadAttrGetdetachstate"},
        {"txHtngJ+eyc","scePthreadAttrGetguardsize"},
        {"lpMP8HhkBbg","scePthreadAttrGetinheritsched"},
        {"FXPWHNk8Of0","scePthreadAttrGetschedparam"},
        {"NMyIQ9WgWbU","scePthreadAttrGetschedpolicy"},
        {"+7B2AEKKns8","scePthreadAttrGetscope"},
        {"9RnL-m0+diQ","scePthreadAttrGetsolosched"},
        {"-quPa4SEJUw","scePthreadAttrGetstack"},
        {"Ru36fiTtJzA","scePthreadAttrGetstackaddr"},
        {"-fA+7ZlGDQs","scePthreadAttrGetstacksize"},
        {"nsYoNRywwNg","scePthreadAttrInit"},
        {"3qxgM4ezETA","scePthreadAttrSetaffinity"},
        {"GZSR0Ooae9Q","scePthreadAttrSetcreatesuspend"},
        {"-Wreprtu0Qs","scePthreadAttrSetdetachstate"},
        {"El+cQ20DynU","scePthreadAttrSetguardsize"},
        {"eXbUSpEaTsA","scePthreadAttrSetinheritsched"},
        {"DzES9hQF4f4","scePthreadAttrSetschedparam"},
        {"4+h9EzwKF4I","scePthreadAttrSetschedpolicy"},
        {"YdZfEZfRnPk","scePthreadAttrSetscope"},
        {"Dk6FC-TI+7Q","scePthreadAttrSetsolosched"},
        {"Bvn74vj6oLo","scePthreadAttrSetstack"},
        {"F+yfmduIBB8","scePthreadAttrSetstackaddr"},
        {"UTXzJbWhhTE","scePthreadAttrSetstacksize"},
        {"HudB2Jv2MPY","scePthreadBarrierDestroy"},
        {"5dgOEPsEGqw","scePthreadBarrierInit"},
        {"t9vVyTglqHQ","scePthreadBarrierWait"},
        {"oT-j4DqJHY8","scePthreadBarrierattrDestroy"},
        {"SkutDtgqJ9g","scePthreadBarrierattrGetpshared"},
        {"SDkV9xhINKI","scePthreadBarrierattrInit"},
        {"NpfpcLf5PYM","scePthreadBarrierattrSetpshared"},
        {"qBDmpCyGssE","scePthreadCancel"},
        {"JGgj7Uvrl+A","scePthreadCondBroadcast"},
        {"g+PZd2hiacg","scePthreadCondDestroy"},
        {"2Tb92quprl0","scePthreadCondInit"},
        {"kDh-NfxgMtE","scePthreadCondSignal"},
        {"o69RpYO-Mu0","scePthreadCondSignalto"},
        {"BmMjYxmew1w","scePthreadCondTimedwait"},
        {"WKAXJ4XBPQ4","scePthreadCondWait"},
        {"waPcxYiR3WA","scePthreadCondattrDestroy"},
        {"6qM3kO5S3Oo","scePthreadCondattrGetclock"},
        {"Dn-DRWi9t54","scePthreadCondattrGetpshared"},
        {"m5-2bsNfv7s","scePthreadCondattrInit"},
        {"c-bxj027czs","scePthreadCondattrSetclock"},
        {"6xMew9+rZwI","scePthreadCondattrSetpshared"},
        {"6UgtwV+0zb4","scePthreadCreate"},
        {"4qGrR6eoP9Y","scePthreadDetach"},
        {"3PtV6p3QNX4","scePthreadEqual"},
        {"3kg7rT0NQIs","scePthreadExit"},
        {"rcrVFJsQWRY","scePthreadGetaffinity"},
        {"zLlLc3h2Prk","scePthreadGetconcurrency"},
        {"tWFPPuAJxks","scePthreadGetcpuclockid"},
        {"How7B8Oet6k","scePthreadGetname"},
        {"1tKyG7RlMJo","scePthreadGetprio"},
        {"P41kTWUS3EI","scePthreadGetschedparam"},
        {"eoht7mQOCmo","scePthreadGetspecific"},
        {"EI-5-jlq2dE","scePthreadGetthreadid"},
        {"onNY9Byn-W8","scePthreadJoin"},
        {"geDaqgH9lTg","scePthreadKeyCreate"},
        {"PrdHuuDekhY","scePthreadKeyDelete"},
        {"55aShElDfY4","scePthreadMain"},
        {"JVc71p0lpFs","scePthreadMulti"},
        {"2Of0f+3mhhE","scePthreadMutexDestroy"},
        {"5mO+cXIAaRI","scePthreadMutexGetprioceiling"},
        {"pOmNmyRKlIE","scePthreadMutexGetspinloops"},
        {"AWS3NyViL9o","scePthreadMutexGetyieldloops"},
        {"cmo1RIYva9o","scePthreadMutexInit"},
        {"qH1gXoq71RY","scePthreadMutexInitForInternalLibc"},
        {"W6OrTBO95UY","scePthreadMutexIsowned"},
        {"9UK1vLZQft4","scePthreadMutexLock"},
        {"XAzZo12sbN8","scePthreadMutexSetprioceiling"},
        {"42YkUouoMI0","scePthreadMutexSetspinloops"},
        {"bP+cqFmBW+A","scePthreadMutexSetyieldloops"},
        {"IafI2PxcPnQ","scePthreadMutexTimedlock"},
        {"upoVrzMHFeE","scePthreadMutexTrylock"},
        {"tn3VlD0hG60","scePthreadMutexUnlock"},
        {"smWEktiyyG0","scePthreadMutexattrDestroy"},
        {"euJ98YIIE8w","scePthreadMutexattrGetgen"},
        {"rH2mWEndluc","scePthreadMutexattrGetkind"},
        {"SgjMpyH9Z9I","scePthreadMutexattrGetprioceiling"},
        {"GoTmFeui+hQ","scePthreadMutexattrGetprotocol"},
        {"losEubHc64c","scePthreadMutexattrGetpshared"},
        {"gquEhBrS2iw","scePthreadMutexattrGettype"},
        {"F8bUHwAG284","scePthreadMutexattrInit"},
        {"n2MMpvU8igI","scePthreadMutexattrInitForInternalLibc"},
        {"T5Vs1D2PClU","scePthreadMutexattrSetgen"},
        {"UWZbVSFze24","scePthreadMutexattrSetkind"},
        {"532IaQguwMg","scePthreadMutexattrSetprioceiling"},
        {"1FGvU0i9saQ","scePthreadMutexattrSetprotocol"},
        {"mxKx9bxXF2I","scePthreadMutexattrSetpshared"},
        {"iMp8QpE+XO4","scePthreadMutexattrSettype"},
        {"14bOACANTBo","scePthreadOnce"},
        {"DlCg0QhcgYQ","scePthreadRegisterThreadDeathHook"},
        {"GBUY7ywdULE","scePthreadRename"},
        {"DB7Mkm+Pqzw","scePthreadResume"},
        {"te+MBYMzDhY","scePthreadResumeAll"},
        {"BB+kb08Tl9A","scePthreadRwlockDestroy"},
        {"6ULAa0fq4jA","scePthreadRwlockInit"},
        {"Ox9i0c7L5w0","scePthreadRwlockRdlock"},
        {"iPtZRWICjrM","scePthreadRwlockTimedrdlock"},
        {"adh--6nIqTk","scePthreadRwlockTimedwrlock"},
        {"XD3mDeybCnk","scePthreadRwlockTryrdlock"},
        {"bIHoZCTomsI","scePthreadRwlockTrywrlock"},
        {"+L98PIbGttk","scePthreadRwlockUnlock"},
        {"mqdNorrB+gI","scePthreadRwlockWrlock"},
        {"i2ifZ3fS2fo","scePthreadRwlockattrDestroy"},
        {"LcOZBHGqbFk","scePthreadRwlockattrGetpshared"},
        {"Kyls1ChFyrc","scePthreadRwlockattrGettype"},
        {"yOfGg-I1ZII","scePthreadRwlockattrInit"},
        {"-ZvQH18j10c","scePthreadRwlockattrSetpshared"},
        {"h-OifiouBd8","scePthreadRwlockattrSettype"},
        {"aI+OeCz8xrQ","scePthreadSelf"},
        {"Vwc+L05e6oE","scePthreadSemDestroy"},
        {"DjpBvGlaWbQ","scePthreadSemGetvalue"},
        {"GEnUkDZoUwY","scePthreadSemInit"},
        {"aishVAiFaYM","scePthreadSemPost"},
        {"fjN6NQHhK8k","scePthreadSemTimedwait"},
        {"H2a+IN9TP0E","scePthreadSemTrywait"},
        {"C36iRE0F5sE","scePthreadSemWait"},
        {"i3tB6CuvHb4","scePthreadSetBesteffort"},
        {"oVZ+-KgZJGo","scePthreadSetDefaultstacksize"},
        {"XeTqw+0Zl10","scePthreadSetName"},
        {"bt3CTBKmGyI","scePthreadSetaffinity"},
        {"OAmWq+OHSjw","scePthreadSetcancelstate"},
        {"sCJd99Phct0","scePthreadSetcanceltype"},
        {"gdnv6wF6hwI","scePthreadSetconcurrency"},
        {"W0Hpm2X0uPE","scePthreadSetprio"},
        {"oIRFTjoILbg","scePthreadSetschedparam"},
        {"+BzXYkqYeLE","scePthreadSetspecific"},
        {"OTb0kHrf1pE","scePthreadSingle"},
        {"ywmONkF81ok","scePthreadSuspend"},
        {"HlzHlgqiBo8","scePthreadSuspendAll"},
        {"LapIb799SSE","scePthreadTestcancel"},
        {"HLUSF4Oi7Pc","scePthreadTimedjoin"},
        {"T72hz6ffq08","scePthreadYield"},
        {"PI7jIZj4pcE","sceRandomGetRandomNumber"},
        {"xeTLfxVIQO4","sceRazorCaptureCommandBuffersOnlyImmediate"},
        {"9thMn+uB1is","sceRazorCaptureCommandBuffersOnlySinceLastFlip"},
        {"u9YKpRRHe-M","sceRazorCaptureImmediate"},
        {"4UFagYlfuAM","sceRazorCaptureSinceLastFlip"},
        {"F2w5pQ+lv0o","sceRazorCpuBeginArchiveFileAccess"},
        {"JFzLJBlYIJE","sceRazorCpuBeginLogicalFileAccess"},
        {"SfRTRZ1Sh+U","sceRazorCpuDisableFiberUserMarkers"},
        {"UtpVXG+RzTc","sceRazorCpuEndArchiveFileAccess"},
        {"gVioM9cbiDs","sceRazorCpuEndLogicalFileAccess"},
        {"G90IIOtgFQ0","sceRazorCpuFiberLogNameChange"},
        {"PAytDtFGpqY","sceRazorCpuFiberSwitch"},
        {"sPhrQD31ClM","sceRazorCpuFlushOccurred"},
        {"B782NptkGUc","sceRazorCpuGetDataTagStorageSize"},
        {"EH9Au2RlSrE","sceRazorCpuGpuMarkerSync"},
        {"kgOk-kzW+8M","sceRazorCpuInit"},
        {"A7oRMdaOJP8","sceRazorCpuInitDataTags"},
        {"NFwh-J-BrI0","sceRazorCpuInitializeGpuMarkerContext"},
        {"ElNyedXaa4o","sceRazorCpuInitializeInternal"},
        {"EboejOQvLL4","sceRazorCpuIsCapturing"},
        {"dnEdyY4+klQ","sceRazorCpuJobManagerDispatch"},
        {"KP+TBWGHlgs","sceRazorCpuJobManagerJob"},
        {"9FowWFMEIM8","sceRazorCpuJobManagerSequence"},
        {"XCuZoBSVFG8","sceRazorCpuNamedSync"},
        {"njGikRrxkC0","sceRazorCpuPlotValue"},
        {"YpkGsMXP3ew","sceRazorCpuPopMarker"},
        {"zw+celG7zSI","sceRazorCpuPushMarker"},
        {"uZrOwuNJX-M","sceRazorCpuPushMarkerStatic"},
        {"D0yUjM33QqU","sceRazorCpuResizeTaggedBuffer"},
        {"q4EyfhLHc0Q","sceRazorCpuSetLiveServerThreadSettings"},
        {"jqYWaTfgZs0","sceRazorCpuSetPopMarkerCallback"},
        {"DJsHcEb94n0","sceRazorCpuSetPushMarkerCallback"},
        {"EZtqozPTS4M","sceRazorCpuSetPushMarkerStaticCallback"},
        {"aI9opH6+2L4","sceRazorCpuShutdown"},
        {"emklx7RK-LY","sceRazorCpuShutdownDataTags"},
        {"1zHP7BQXxr4","sceRazorCpuStartCapture"},
        {"TIytAjYeaik","sceRazorCpuStartCaptureInternal"},
        {"mdUPwgHRqss","sceRazorCpuStopCapture"},
        {"jWpkVWdMrsM","sceRazorCpuStopCaptureInternal"},
        {"Ax7NjOzctIM","sceRazorCpuSync"},
        {"we3oTKSPSTw","sceRazorCpuTagArray"},
        {"vyjdThnQfQQ","sceRazorCpuTagBuffer"},
        {"0yNHPIkVTmw","sceRazorCpuUnTagBuffer"},
        {"9qdtVVdPT-0","sceRazorCpuUserSignalPost"},
        {"cKl+d8u8mbk","sceRazorCpuUserSignalPostEx"},
        {"7y2mIfBZO+I","sceRazorCpuUserSignalWaitBegin"},
        {"lC8-7cVnkHA","sceRazorCpuUserSignalWaitBeginEx"},
        {"C0QNDdQW+8M","sceRazorCpuUserSignalWaitEnd"},
        {"eRn6vlfK6ac","sceRazorCpuWorkloadRunBegin"},
        {"Crha9LvwvJM","sceRazorCpuWorkloadRunBeginEx"},
        {"q1GxBfGHO0s","sceRazorCpuWorkloadRunEnd"},
        {"6rUvx-6QmYc","sceRazorCpuWorkloadSubmit"},
        {"G3brhegfyNg","sceRazorCpuWriteBookmark"},
        {"bSWMLIlnQrg","sceRazorGpuInit"},
        {"f33OrruQYbM","sceRazorIsLoaded"},
        {"9BhoVC0q85k","sceRegMgrBackupNeedMem"},
        {"K2XscH2j2Hk","sceRegMgrBackupNeedMemForPS4"},
        {"f-qy0soAkfA","sceRegMgrBackupPullData"},
        {"TjURD46vx-k","sceRegMgrBackupPullDataForPS4"},
        {"gqPjTzsu9vU","sceRegMgrBackupPushData"},
        {"rducUH7Y62g","sceRegMgrBackupPushDataForPS4"},
        {"LZBANaFbPqM","sceRegMgrCheckError"},
        {"HuVpMjidh7c","sceRegMgrCntSetInitReinst"},
        {"BJi3VSFP+8s","sceRegMgrCntlDeleteReg"},
        {"18ZCDYD5xjI","sceRegMgrCntlGetFileName"},
        {"Ena7T6bVG5s","sceRegMgrCntlGetFilesCount"},
        {"tqHQdMPde4E","sceRegMgrCntlStart"},
        {"Pj8CwRqcOIk","sceRegMgrCntlStopHdd"},
        {"Ds-BHoPDTHY","sceRegMgrDrvDataCheckGet"},
        {"HCUhvdmryuQ","sceRegMgrDrvDataClose"},
        {"okzABktskwU","sceRegMgrDrvDataOpen"},
        {"lwQpbDXKpbg","sceRegMgrDrvGetEntCnt"},
        {"NwwkHSVFYBA","sceRegMgrDrvGetUpdateCnt"},
        {"grCFSFvMxgU","sceRegMgrEvtGetCnt"},
        {"qIB-HHTKOCs","sceRegMgrEvtGetCntForPS4"},
        {"djHSzoTfixE","sceRegMgrEvtGetRegId"},
        {"mXTBaSe0p6E","sceRegMgrEvtGetRegIdForPS4"},
        {"NqxMleeTiLs","sceRegMgrGetBin"},
        {"dhuH8HjNhUY","sceRegMgrGetBinInitVal"},
        {"nfAfS7f2gR0","sceRegMgrGetInitError"},
        {"mPYKD12UDQI","sceRegMgrGetInt"},
        {"i64ig3BF6f8","sceRegMgrGetIntInitVal"},
        {"CTplLrrndUg","sceRegMgrGetStr"},
        {"jqyhb1oMgHw","sceRegMgrGetStrInitVal"},
        {"q+lPgqZniW4","sceRegMgrGetVersion"},
        {"7yIpFl9KknY","sceRegMgrGetVersionForPS4"},
        {"xhrI4zhlBuA","sceRegMgrIsChange"},
        {"rebo0q4yREE","sceRegMgrIsInitOK"},
        {"yfNwXqOshk0","sceRegMgrLogPull"},
        {"HGxgXwGSAzQ","sceRegMgrLogStart"},
        {"7WBGJ8aph1M","sceRegMgrMemset"},
        {"Eq+fDFaK3i0","sceRegMgrNonSysCheckError"},
        {"k9LC1z8kh-E","sceRegMgrNonSysGetBin"},
        {"dKeshzt29G4","sceRegMgrNonSysGetInt"},
        {"DKWSr89zMsI","sceRegMgrNonSysGetStr"},
        {"6yU1KEvOl14","sceRegMgrNonSysSetBin"},
        {"PPRCIaNpJJY","sceRegMgrNonSysSetInt"},
        {"AxUlf9UUxCg","sceRegMgrNonSysSetStr"},
        {"hApQ4NmZ0IU","sceRegMgrPrintInfo"},
        {"9ZAbQPFO7Ss","sceRegMgrPrivateStorageCount"},
        {"hHFrV5mugnU","sceRegMgrPrivateStorageDirCount"},
        {"EYInZQm5t88","sceRegMgrPrivateStorageDirName"},
        {"pQayMXYQa+M","sceRegMgrPrivateStorageDirPermit"},
        {"qJzHA1ugk-M","sceRegMgrPrivateStorageFileName"},
        {"hd+2cp4M7X4","sceRegMgrPrivateStorageInject"},
        {"NlYNCN-SYps","sceRegMgrPrivateStorageIsNvsChange"},
        {"pTTcO+0cxvY","sceRegMgrPrivateStorageMeasure"},
        {"MH1gKTVEziY","sceRegMgrPrivateStorageRead"},
        {"QwGtVR91vl8","sceRegMgrPrivateStorageStart"},
        {"Xf2JqV9Xj2w","sceRegMgrRecoverRegNvs"},
        {"eL7sMZaIdac","sceRegMgrResetVal"},
        {"eXxrXkrLXa4","sceRegMgrSetBin"},
        {"YRPHqS8TcnI","sceRegMgrSetInitLevel"},
        {"khaYelw1Ytc","sceRegMgrSetInt"},
        {"ffInidSqRss","sceRegMgrSetStr"},
        {"LhiUdPKY2qo","sceRegMgrSetbin"},
        {"CUSk0qEDj7s","sceRegMgrSrvCnvRegionInt"},
        {"PwmjM-dGut4","sceRegMgrSrvCnvRegionStr"},
        {"04zv+0zNJkg","sceRegMgrSrvGetMachineType"},
        {"wQlp94zzrWg","sceRegMgrSrvGetQAFforReg"},
        {"x0oTVOySvTU","sceRegMgrSrvGetRealMachineType"},
        {"sywg-RnhZMA","sceRegMgrSrvGetRegion"},
        {"xCxMQ7Efh4k","sceRegMgrSrvGetRegionStr"},
        {"BnSHkcDlM+8","sceRegMgrStrncpy"},
        {"eMim-baluxU","sceRegMgrSyncHdd"},
        {"VmQkpRjBp3s","sceRegMgrToolDataCheckGet"},
        {"voOYmhF1vsQ","sceRegMgrToolGetEntryCnt"},
        {"0QcqLS+gFiQ","sceRegMgrToolGetInfo"},
        {"jQ0656do1V4","sceRegMgrToolGetUpdateCnt"},
        {"gezFjY7iHbk","sceRemotePlayClientAddEventListener"},
        {"nQ9t43vahAE","sceRemotePlayClientAttachVirtualMicrophone"},
        {"nePk3oFOMXA","sceRemotePlayClientDetachVirtualMicrophone"},
        {"ux9VESJUgh4","sceRemotePlayClientGetClientStatus"},
        {"R0TfhbZMHm4","sceRemotePlayClientInitialize"},
        {"tDjU6UN7meM","sceRemotePlayClientRemoveController"},
        {"T589M5rT9iw","sceRemotePlayClientShowHomeScreen"},
        {"r9MlfKcu6N4","sceRemotePlayClientStartMicCapture"},
        {"jLpO843jV50","sceRemotePlayClientStopMicCapture"},
        {"N1dFmppU9j0","sceRemotePlayClientTerminateStreaming"},
        {"xQeIryTX7dY","sceRemoteplayApprove"},
        {"IYZ+Mu+8tPo","sceRemoteplayChangeEnterKey"},
        {"ZYUsJtcAnqA","sceRemoteplayClearAllRegistData"},
        {"cCheyCbF7qw","sceRemoteplayClearConnectHistory"},
        {"tPYT-kGbZh8","sceRemoteplayConfirmDeviceRegist"},
        {"6Lg4BNleJWc","sceRemoteplayDisconnect"},
        {"j98LdSGy4eY","sceRemoteplayGeneratePinCode"},
        {"L+cL-M-DP3w","sceRemoteplayGetApMode"},
        {"g4K51cY+PEw","sceRemoteplayGetConnectHistory"},
        {"3eBNV9A0BUM","sceRemoteplayGetConnectUserId"},
        {"g3PNjYKWqnQ","sceRemoteplayGetConnectionStatus"},
        {"ufesWMVX6iU","sceRemoteplayGetMbusDeviceInfo"},
        {"DxU4JGh4S2k","sceRemoteplayGetOperationStatus"},
        {"pHzEzRZw3AE","sceRemoteplayGetPrimaryUserId"},
        {"n5OxFJEvPlc","sceRemoteplayGetRemoteplayStatus"},
        {"Cekhs6LSHC0","sceRemoteplayGetRpMode"},
        {"g0N8k8D9J44","sceRemoteplayGiveApproval"},
        {"ig1ocbR7Ptw","sceRemoteplayImeClose"},
        {"gV9-8cJPM3I","sceRemoteplayImeFilterResult"},
        {"cMk57DZXe6c","sceRemoteplayImeGetEvent"},
        {"-gwkQpOCl68","sceRemoteplayImeNotify"},
        {"58v9tSlRxc8","sceRemoteplayImeNotifyEventResult"},
        {"C3r2zT5ebMg","sceRemoteplayImeOpen"},
        {"oB730zwoz0s","sceRemoteplayImeSetCaret"},
        {"rOTg1Nljp8w","sceRemoteplayImeSetText"},
        {"k1SwgkMSOM8","sceRemoteplayInitialize"},
        {"R8RZC1ZIkzU","sceRemoteplayIsRemoteOskReady"},
        {"uYhiELUtLgA","sceRemoteplayIsRemotePlaying"},
        {"d-BBSEq1nfc","sceRemoteplayNotifyMbusDeviceRegistComplete"},
        {"Yytq7NE38R8","sceRemoteplayNotifyNpPushWakeup"},
        {"i69T0TU539Q","sceRemoteplayNotifyOskStatus"},
        {"Wg-w8xjMZA4","sceRemoteplayNotifyPinCodeError"},
        {"Y1kxYyW+dIk","sceRemoteplayNotifySubmitCode"},
        {"yheulqylKwI","sceRemoteplayNotifyUserDelete"},
        {"t5ZvUiZ1hpE","sceRemoteplayPrintAllRegistData"},
        {"mrNh78tBpmg","sceRemoteplayProhibit"},
        {"7QLrixwVHcU","sceRemoteplayProhibitStreaming"},
        {"-ThIlThsN80","sceRemoteplayServerLock"},
        {"0Z-Pm5rZJOI","sceRemoteplayServerUnLock"},
        {"xSrhtSLIjOc","sceRemoteplaySetApMode"},
        {"5-2agAeaE+c","sceRemoteplaySetLogLevel"},
        {"Rf0XMVR7xPw","sceRemoteplaySetProhibition"},
        {"n4l3FTZtNQM","sceRemoteplaySetProhibitionForVsh"},
        {"-BPcEQ1w8xc","sceRemoteplaySetRpMode"},
        {"BOwybKVa3Do","sceRemoteplayTerminate"},
        {"6UbbC7GA9MI","sceRnpsAppMgrBlockAppInstall"},
        {"pw7u7WgTeJs","sceRnpsAppMgrCreateUpdateRequest"},
        {"SeoDV-N8yBY","sceRnpsAppMgrCreateUrlRequest"},
        {"rvxc2gSxsRA","sceRnpsAppMgrDestroyBundle"},
        {"xlZothImIe4","sceRnpsAppMgrDestroyUpdateRequest"},
        {"MPq-Z-M4Xa4","sceRnpsAppMgrFinishUrlRequest"},
        {"JgBgvkAFMwc","sceRnpsAppMgrGetAppInfo"},
        {"BgaEJWAV0Fk","sceRnpsAppMgrGetAppInfoDebugString"},
        {"Z55AwNbGHB0","sceRnpsAppMgrGetAppInfoList"},
        {"yqj2bpN3gcU","sceRnpsAppMgrGetEventForShellUI"},
        {"4gMowNrTFnQ","sceRnpsAppMgrGetUpdateProgress"},
        {"+jXJrpWKok8","sceRnpsAppMgrHasEventForShellUI"},
        {"FOoPyT5K+Ro","sceRnpsAppMgrInitialize"},
        {"HpjkTSPG-LQ","sceRnpsAppMgrPushEventForShellUI"},
        {"T4UQhpiNn4E","sceRnpsAppMgrRecoverUfsImage"},
        {"Pfb83SkQ0gQ","sceRnpsAppMgrRegisterShellUI"},
        {"Yrht530r9FI","sceRnpsAppMgrRemoveApp"},
        {"jex0a4BzZiM","sceRnpsAppMgrRemoveAppOnSystemShutdown"},
        {"jsI+ycl8YLI","sceRnpsAppMgrRemoveUfsImageOnSystemShutdown"},
        {"e3BGBzl-Xx0","sceRnpsAppMgrRequestUpdateCheck"},
        {"kLeJhwuG-q4","sceRnpsAppMgrSetCrlUrl"},
        {"sJD4BrPh7pA","sceRnpsAppMgrSetEventFlagForClients"},
        {"YSNcXEI3HrQ","sceRnpsAppMgrSetUpdateUrl"},
        {"J7bWqy7TiBY","sceRnpsAppMgrStartService"},
        {"xRScmxStBzg","sceRnpsAppMgrTerminate"},
        {"nfsELpNQ0fo","sceRnpsAppMgrUnblockAppInstall"},
        {"J-GYJvLMUoE","sceRnpsAppMgrUnregisterShellUI"},
        {"lPEBYdVX0XQ","sceRtcCheckValid"},
        {"fNaZ4DbzHAE","sceRtcCompareTick"},
        {"8Yr143yEnRo","sceRtcConvertLocalTimeToUtc"},
        {"M1TvFst-jrM","sceRtcConvertUtcToLocalTime"},
        {"8SljQx6pDP8","sceRtcEnd"},
        {"eiuobaF-hK4","sceRtcFormatRFC2822"},
        {"AxHBk3eat04","sceRtcFormatRFC2822LocalTime"},
        {"WJ3rqFwymew","sceRtcFormatRFC3339"},
        {"DwuHIlLGW8I","sceRtcFormatRFC3339LocalTime"},
        {"lja0nNPWojg","sceRtcFormatRFC3339Precise"},
        {"tOZ6fwwHZOA","sceRtcFormatRFC3339PreciseLocalTime"},
        {"LN3Zcb72Q0c","sceRtcGetCurrentAdNetworkTick"},
        {"8lfvnRMqwEM","sceRtcGetCurrentClock"},
        {"ZPD1YOKI+Kw","sceRtcGetCurrentClockLocalTime"},
        {"Ot1DE3gif84","sceRtcGetCurrentDebugNetworkTick"},
        {"zO9UL3qIINQ","sceRtcGetCurrentNetworkTick"},
        {"HWxHOdbM-Pg","sceRtcGetCurrentRawNetworkTick"},
        {"18B2NS1y9UU","sceRtcGetCurrentTick"},
        {"CyIK-i4XdgQ","sceRtcGetDayOfWeek"},
        {"3O7Ln8AqJ1o","sceRtcGetDaysInMonth"},
        {"E7AR4o7Ny7E","sceRtcGetDosTime"},
        {"8w-H19ip48I","sceRtcGetTick"},
        {"jMNwqYr4R-k","sceRtcGetTickResolution"},
        {"BtqmpTRXHgk","sceRtcGetTime_t"},
        {"jfRO0uTjtzA","sceRtcGetWin32FileTime"},
        {"LlodCMDbk3o","sceRtcInit"},
        {"Ug8pCwQvh0c","sceRtcIsLeapYear"},
        {"NxEI1KByvCI","sceRtcParseDateTime"},
        {"99bMGglFW3I","sceRtcParseRFC3339"},
        {"fFLgmNUpChg","sceRtcSetConf"},
        {"sV2tK+yOhBU","sceRtcSetCurrentAdNetworkTick"},
        {"VLDUPKmw5L8","sceRtcSetCurrentDebugNetworkTick"},
        {"qhDBtIo+auw","sceRtcSetCurrentNetworkTick"},
        {"d4fHLCGmY80","sceRtcSetCurrentTick"},
        {"aYPCd1cChyg","sceRtcSetDosTime"},
        {"ueega6v3GUw","sceRtcSetTick"},
        {"bDEVVP4bTjQ","sceRtcSetTime_t"},
        {"n5JiAJXsbcs","sceRtcSetWin32FileTime"},
        {"NR1J0N7L2xY","sceRtcTickAddDays"},
        {"MDc5cd8HfCA","sceRtcTickAddHours"},
        {"XPIiw58C+GM","sceRtcTickAddMicroseconds"},
        {"mn-tf4QiFzk","sceRtcTickAddMinutes"},
        {"CL6y9q-XbuQ","sceRtcTickAddMonths"},
        {"07O525HgICs","sceRtcTickAddSeconds"},
        {"AqVMssr52Rc","sceRtcTickAddTicks"},
        {"gI4t194c2W8","sceRtcTickAddWeeks"},
        {"-5y2uJ62qS8","sceRtcTickAddYears"},
        {"uQiK7fjU6y8","sceRudpAccept"},
        {"J-6d0WTjzMc","sceRudpActivate"},
        {"l4SLBpKUDK4","sceRudpBind"},
        {"CAbbX6BuQZ0","sceRudpCreateContext"},
        {"6PBNpsgyaxw","sceRudpEnableInternalIOThread"},
        {"fJ51weR1WAI","sceRudpEnableInternalIOThread2"},
        {"3hBvwqEwqj8","sceRudpEnd"},
        {"Ms0cLK8sTtE","sceRudpFlush"},
        {"wIJsiqY+BMk","sceRudpGetContextStatus"},
        {"2G7-vVz9SIg","sceRudpGetLocalInfo"},
        {"vfrL8gPlm2Y","sceRudpGetMaxSegmentSize"},
        {"Px0miD2LuW0","sceRudpGetNumberOfPacketsToRead"},
        {"mCQIhSmCP6o","sceRudpGetOption"},
        {"Qignjmfgha0","sceRudpGetRemoteInfo"},
        {"sAZqO2+5Qqo","sceRudpGetSizeReadable"},
        {"fRc1ahQppR4","sceRudpGetSizeWritable"},
        {"i3STzxuwPx0","sceRudpGetStatus"},
        {"amuBfI-AQc4","sceRudpInit"},
        {"szEVu+edXV4","sceRudpInitiate"},
        {"tYVWcWDnctE","sceRudpListen"},
        {"+BJ9svDmjYs","sceRudpNetFlush"},
        {"vPzJldDSxXc","sceRudpNetReceived"},
        {"yzeXuww-UWg","sceRudpPollCancel"},
        {"haMpc7TFx0A","sceRudpPollControl"},
        {"MVbmLASjn5M","sceRudpPollCreate"},
        {"LjwbHpEeW0A","sceRudpPollDestroy"},
        {"M6ggviwXpLs","sceRudpPollWait"},
        {"9U9m1YH0ScQ","sceRudpProcessEvents"},
        {"rZqWV3eXgOA","sceRudpRead"},
        {"SUEVes8gvmw","sceRudpSetEventHandler"},
        {"beAsSTVWVPQ","sceRudpSetMaxSegmentSize"},
        {"0yzYdZf0IwE","sceRudpSetOption"},
        {"OMYRTU0uc4w","sceRudpTerminate"},
        {"KaPL3fbTLCA","sceRudpWrite"},
        {"V4c2fjAX9fQ","sceS3dConversionClose"},
        {"06dizTpJ-kw","sceS3dConversionExec"},
        {"PuDr2i2SilM","sceS3dConversionOpen"},
        {"5yFpvHAL1qM","sceS3dConversionQueryAttr"},
        {"W0SsxHQUhGs","sceS3daClose"},
        {"2vcPzfCr49Q","sceS3daGetInfo"},
        {"lE4k3hlQbZk","sceS3daOpen"},
        {"ViGl7v+BjKc","sceS3daSendData"},
        {"dQ2GohUHXzk","sceSaveDataAbort"},
        {"z1JA8-iJt3k","sceSaveDataBackup"},
        {"kLJQ3XioYiU","sceSaveDataBindPsnAccount"},
        {"hHHCPRqA3+g","sceSaveDataBindPsnAccountForSystemBackup"},
        {"e6y3WMBYbiM","sceSaveDataCancel"},
        {"ykwIZfVD08s","sceSaveDataChangeDatabase"},
        {"G0hFeOdRCUs","sceSaveDataChangeInternal"},
        {"RQOqDbk3bSU","sceSaveDataCheckBackupData"},
        {"rYvLW1z2poM","sceSaveDataCheckBackupDataForCdlg"},
        {"v1TrX+3ZB10","sceSaveDataCheckBackupDataInternal"},
        {"+6wXHxR7laM","sceSaveDataCheckBackupDataLight"},
        {"-eczr5e4dsI","sceSaveDataCheckCloudData"},
        {"4OPOZxfVkHA","sceSaveDataCheckIpmiIfSize"},
        {"1i0rfc+mfa8","sceSaveDataCheckSaveDataBroken"},
        {"p6A1adyQi3E","sceSaveDataCheckSaveDataVersion"},
        {"S49B+I96kpk","sceSaveDataCheckSaveDataVersionLatest"},
        {"Wz-4JZfeO9g","sceSaveDataClearProgress"},
        {"ie7qhZ4X0Cc","sceSaveDataCommit"},
        {"YbCO38BOOl4","sceSaveDataCopy5"},
        {"gjRZNnw0JPE","sceSaveDataCreateTransactionResource"},
        {"kbIIP9aXK9A","sceSaveDataCreateUploadData"},
        {"gW6G4HxBBXA","sceSaveDataDebug"},
        {"J23ENpIFoRc","sceSaveDataDebugCheckBackupData"},
        {"bYCnxLexU7M","sceSaveDataDebugCleanMount"},
        {"hVDqYB8+jkk","sceSaveDataDebugCompiledSdkVersion"},
        {"K9gXXlrVLNI","sceSaveDataDebugCreateSaveDataRoot"},
        {"ecALPUFrVv0","sceSaveDataDebugEditDB"},
        {"dZgVsuPetJY","sceSaveDataDebugFile"},
        {"5yHFvMwZX2o","sceSaveDataDebugGetThreadId"},
        {"ZIao0n0x1-w","sceSaveDataDebugProspero"},
        {"UGTldPVEdB4","sceSaveDataDebugRemoveSaveDataRoot"},
        {"AYBQmnRplrg","sceSaveDataDebugTarget"},
        {"S1GkePI17zQ","sceSaveDataDelete"},
        {"SQWusLoK8Pw","sceSaveDataDelete5"},
        {"pJrlpCgR8h4","sceSaveDataDeleteAllUser"},
        {"QGovXLECroc","sceSaveDataDeleteBackupData"},
        {"fU43mJUgKcM","sceSaveDataDeleteCloudData"},
        {"VpRmC6zo1wQ","sceSaveDataDeleteProspero"},
        {"RQ9gZWKQwH0","sceSaveDataDeleteTitle"},
        {"lJUQuaKqoKY","sceSaveDataDeleteTransactionResource"},
        {"uZqc4JpFdeY","sceSaveDataDeleteUser"},
        {"fH46Lag88XY","sceSaveDataDialogClose"},
        {"yEiJ-qqr6Cg","sceSaveDataDialogGetResult"},
        {"ERKzksauAJA","sceSaveDataDialogGetStatus"},
        {"s9e3+YpRnzw","sceSaveDataDialogInitialize"},
        {"en7gNVnh878","sceSaveDataDialogIsReadyToDisplay"},
        {"4tPhsP6FpDI","sceSaveDataDialogOpen"},
        {"V-uEeFKARJU","sceSaveDataDialogProgressBarInc"},
        {"hay1CfTmLyA","sceSaveDataDialogProgressBarSetValue"},
        {"YuH2FA7azqQ","sceSaveDataDialogTerminate"},
        {"KK3Bdg1RWK0","sceSaveDataDialogUpdateStatus"},
        {"dyIhnXq-0SM","sceSaveDataDirNameSearch"},
        {"PHnuI4LhuRk","sceSaveDataDirNameSearch2"},
        {"xJ5NFWC3m+k","sceSaveDataDirNameSearchInternal"},
        {"X4MYzukPc3g","sceSaveDataDirNameSearchPs4"},
        {"h1nP9EYv3uc","sceSaveDataDownload"},
        {"A1ThglSGUwA","sceSaveDataGetAllSize"},
        {"KuXcrMAQIMQ","sceSaveDataGetAppLaunchedUser"},
        {"itZ46iH14Vs","sceSaveDataGetAutoUploadConditions"},
        {"PL20kjAXZZ4","sceSaveDataGetAutoUploadRequestInfo"},
        {"G12foE0S77E","sceSaveDataGetAutoUploadSetting"},
        {"PzDtD6eBXIM","sceSaveDataGetBoundPsnAccountCount"},
        {"tu0SDPl+h88","sceSaveDataGetClientThreadPriority"},
        {"6lZYZqQPfkY","sceSaveDataGetCloudQuotaInfo"},
        {"CWlBd2Ay1M4","sceSaveDataGetDataBaseFilePath"},
        {"eBSSNIG6hMk","sceSaveDataGetEventInfo"},
        {"j8xKtiFj0SY","sceSaveDataGetEventResult"},
        {"UMpxor4AlKQ","sceSaveDataGetFormat"},
        {"65VH0Qaaz6s","sceSaveDataGetMountInfo"},
        {"pc4guaUPVqA","sceSaveDataGetMountedSaveDataCount"},
        {"XgvSuIdnMlw","sceSaveDataGetParam"},
        {"ANmSWUiyyGQ","sceSaveDataGetProgress"},
        {"SN7rTPHS+Cg","sceSaveDataGetSaveDataCount"},
        {"7Bt5pBC-Aco","sceSaveDataGetSaveDataMemory"},
        {"QwOO7vegnV8","sceSaveDataGetSaveDataMemory2"},
        {"+bRDRotfj0Y","sceSaveDataGetSaveDataRootDir"},
        {"3luF0xq0DkQ","sceSaveDataGetSaveDataRootPath"},
        {"DwAvlQGvf1o","sceSaveDataGetSaveDataRootUsbPath"},
        {"kb24-4DLyNo","sceSaveDataGetSavePoint"},
        {"OYmnApJ9q+U","sceSaveDataGetUpdatedDataCount"},
        {"ZkZhskCPXFw","sceSaveDataInitialize"},
        {"l1NmDeDpNGU","sceSaveDataInitialize2"},
        {"TywrFKCoLGY","sceSaveDataInitialize3"},
        {"g9uwUI3BlQ8","sceSaveDataInitializeForCdlg"},
        {"voAQW45oKuo","sceSaveDataIsDeletingUsbDb"},
        {"ieP6jP138Qo","sceSaveDataIsMounted"},
        {"cGjO3wM3V28","sceSaveDataLoadIcon"},
        {"PNb0xz446Ns","sceSaveDataManualDelete"},
        {"SPvSFDZ2WV4","sceSaveDataManualDownload"},
        {"sGMdV+y-sI8","sceSaveDataManualUpload"},
        {"32HQAQdwM2o","sceSaveDataMount"},
        {"0z45PIH+SNI","sceSaveDataMount2"},
        {"ZP4e7rlzOUk","sceSaveDataMount3"},
        {"xz0YMi6BfNk","sceSaveDataMount5"},
        {"msCER7Iibm8","sceSaveDataMountInternal"},
        {"-XYmdxjOqyA","sceSaveDataMountSys"},
        {"sDCBrmc61XU","sceSaveDataPrepare"},
        {"uNu7j3pL2mQ","sceSaveDataPromote5"},
        {"SgIY-XYA2Xg","sceSaveDataRebuildDatabase"},
        {"hsKd5c21sQc","sceSaveDataRegisterEventCallback"},
        {"lU9YRFsgwSU","sceSaveDataRestoreBackupData"},
        {"HuToUt1GQ8w","sceSaveDataRestoreBackupDataForCdlg"},
        {"aoZKKNjlq3Y","sceSaveDataRestoreLoadSaveDataMemory"},
        {"c88Yy54Mx0w","sceSaveDataSaveIcon"},
        {"Z7z6HXWORJY","sceSaveDataSaveIconByPath"},
        {"0VFHv-Fa4w8","sceSaveDataSetAutoUploadSetting"},
        {"52pL2GKkdjA","sceSaveDataSetEventInfo"},
        {"85zul--eGXs","sceSaveDataSetParam"},
        {"v3vg2+cooYw","sceSaveDataSetSaveDataLibraryUser"},
        {"h3YURzXGSVQ","sceSaveDataSetSaveDataMemory"},
        {"cduy9v4YmT4","sceSaveDataSetSaveDataMemory2"},
        {"v7AAAMo0Lz4","sceSaveDataSetupSaveDataMemory"},
        {"oQySEUfgXRA","sceSaveDataSetupSaveDataMemory2"},
        {"zMgXM79jRhw","sceSaveDataShutdownStart"},
        {"+orZm32HB1s","sceSaveDataSupportedFakeBrokenStatus"},
        {"LMSQUTxmGVg","sceSaveDataSyncCloudList"},
        {"wiT9jeC7xPw","sceSaveDataSyncSaveDataMemory"},
        {"yKDy8S5yLA0","sceSaveDataTerminate"},
        {"WAzWTZm1H+I","sceSaveDataTransferringMount"},
        {"RjMlsR8EXrw","sceSaveDataTransferringMountPs4"},
        {"BMR4F-Uek3E","sceSaveDataUmount"},
        {"uW4vfTwMQVo","sceSaveDataUmount2"},
        {"2-8NWLS8QSA","sceSaveDataUmountSys"},
        {"VwadwBBBJ80","sceSaveDataUmountWithBackup"},
        {"v-AK1AxQhS0","sceSaveDataUnregisterEventCallback"},
        {"COwz3WBj+5s","sceSaveDataUpload"},
        {"504MPu5OUbg","sceSblACMgrCheckPlatformDLL"},
        {"k+dk+pYjIac","sceSblACMgrIsPlatformDLL"},
        {"yfn+OUTExgM","sceSblRcMgrIsAllowLimitedUiInspector"},
        {"bkz3jG-RlGA","sceSblRcMgrIsIntdevForPSM"},
        {"JuMLLmmvRgk","sceScreenShotCapture"},
        {"tIYf0W5VTi8","sceScreenShotDisable"},
        {"ysfza71rm9M","sceScreenShotDisableNotification"},
        {"2xxUtuC-RzE","sceScreenShotEnable"},
        {"BDUaqlVdSAY","sceScreenShotEnableNotification"},
        {"hNmK4SdhPT0","sceScreenShotGetAppInfo"},
        {"VlAQIgXa2R0","sceScreenShotGetDrcParam"},
        {"-SV-oTNGFQk","sceScreenShotIsDisabled"},
        {"ICNJ-1POs84","sceScreenShotIsVshScreenCaptureDisabled"},
        {"itlWFWV3Tzc","sceScreenShotSetDrcParam"},
        {"ahHhOf+QNkQ","sceScreenShotSetOverlayImage"},
        {"73WQ4Jj0nJI","sceScreenShotSetOverlayImageWithOrigin"},
        {"G7KlmIYFIZc","sceScreenShotSetParam"},
        {"czjZfpELYZs","sceSdecCreateSw"},
        {"NNDEWeeM7yM","sceSdecCreateSw2"},
        {"fFoSsp6H+LA","sceSdecCreateSwHevc"},
        {"p6Wz7W1Vu9k","sceSdecDestroySw"},
        {"MKcYQKdqZFg","sceSdecDestroySw2"},
        {"WKFvkCZNYOo","sceSdecDestroySwHevc"},
        {"JEG+WDtNkKw","sceSdecExecuteSwHevc"},
        {"yOBcAzeyqJY","sceSdecGetFrameSwHevc"},
        {"TSZzWjvbJGE","sceSdecGetVersionSw"},
        {"4NQp4ipWbxA","sceSdecGetVersionSw2"},
        {"pqkwFXiIzQc","sceSdecGetVersionSwHevc"},
        {"zid2aggMils","sceSdecQueryMemorySw"},
        {"DtvB12rj81E","sceSdecQueryMemorySw2"},
        {"Zz5jZ8qvJ78","sceSdecQueryMemorySwHevc"},
        {"NoTstVRO3qE","sceSdecResetSwHevc"},
        {"aTRyTzcMwbA","sceSdmaBeginQueueMode"},
        {"2DZKLRza9tQ","sceSdmaCancelQueue"},
        {"ADzErLRX1EY","sceSdmaClose"},
        {"9aCk9jZ00-w","sceSdmaConstantFill"},
        {"zDeGymmw1lg","sceSdmaConstantFillNonBlocking"},
        {"ZYg4MopBVCM","sceSdmaCopyLinear"},
        {"FS4QDTBsbvA","sceSdmaCopyLinearNonBlocking"},
        {"BP2pKoCEwgs","sceSdmaCopyTiled"},
        {"xZDG33ZHAOc","sceSdmaCopyTiledNonBlocking"},
        {"v1lXY+9IGYg","sceSdmaCopyWindowL2L"},
        {"uvzX0EMoQwA","sceSdmaCopyWindowL2LNonBlocking"},
        {"dd8jmd0it24","sceSdmaCopyWindowT2T"},
        {"R1s4ue5cubY","sceSdmaCopyWindowT2TNonBlocking"},
        {"mUgTynRdg-s","sceSdmaCopyWindowTiled"},
        {"t4plRC4G6ms","sceSdmaCopyWindowTiledNonBlocking"},
        {"ShFvx9095CY","sceSdmaEndQueueMode"},
        {"5VuCHqv7kmw","sceSdmaFenceNonBlocking"},
        {"mNFbFFiI-7A","sceSdmaFinalize"},
        {"S2pJMf00-sk","sceSdmaFlushAll"},
        {"Krket2SyCfk","sceSdmaFlushAllCb"},
        {"uHobIZSa1dI","sceSdmaFlushAllWithEvent"},
        {"Xc+bwbBPK00","sceSdmaInitialize"},
        {"LSXECOKlQN8","sceSdmaKickQueue"},
        {"Kk0eIncAb40","sceSdmaMapUserVAddress"},
        {"rMaiuPQsNoM","sceSdmaOpen"},
        {"1FH-82oV3PY","sceSdmaQueryWorkingBufferSize"},
        {"+kg7++G48bw","sceSdmaTryFlush"},
        {"g-o1zr0I7NU","sceSdmaUnmapUserVAddress"},
        {"rzfOSPn1w7k","sceSdmaWaitForEvent"},
        {"ErH6tKS7fzE","sceShareCaptureScreenshot"},
        {"GQTObcITIXI","sceShareCaptureScreenshotExtended"},
        {"4jt8pMDudgk","sceShareCaptureVideoClip"},
        {"AcDNpEpoT9U","sceShareCaptureVideoClipExtended"},
        {"Pogmt0dlTkU","sceShareFactoryUtilBackToGameFromShareFactory"},
        {"DgE6sgTBCqU","sceShareFactoryUtilGetLaunchStatus"},
        {"+OYjjaRc8Xs","sceShareFactoryUtilGetLaunchStatusOfShareFactory"},
        {"X0R99DXhScw","sceShareFactoryUtilInitialize"},
        {"5K54SEOf8Gk","sceShareFactoryUtilLaunchShareFactory"},
        {"69-5c5Th-o8","sceShareFactoryUtilTerminate"},
        {"YBiIdcDPrxs","sceShareFeaturePermit"},
        {"5wjxESwX68I","sceShareFeatureProhibit"},
        {"QNop2YAtIDE","sceShareGetCurrentStatus"},
        {"crFxyW3HdK0","sceShareGetRunningStatus"},
        {"nBDD66kiFW8","sceShareInitialize"},
        {"8qAJ0Jd58-Q","sceShareOpenMenuForContent"},
        {"ggnCfalLU-8","sceSharePlayCrashDaemon"},
        {"OOrLKB0bSDs","sceSharePlayGetCurrentConnectionInfo"},
        {"+MCXJlWdi+s","sceSharePlayGetCurrentConnectionInfoA"},
        {"vUMkWXQff3w","sceSharePlayGetCurrentInfo"},
        {"Md7Mdkr8LBc","sceSharePlayGetEvent"},
        {"isruqthpYcw","sceSharePlayInitialize"},
        {"9zwJpai7jGc","sceSharePlayNotifyDialogOpen"},
        {"VUW2V9cUTP4","sceSharePlayNotifyForceCloseForCdlg"},
        {"XL0WwUJoQPg","sceSharePlayNotifyOpenQuickMenu"},
        {"FzQS6DREDfk","sceSharePlayProhibitController"},
        {"6-1fKaa5HlY","sceSharePlayResumeScreenForCdlg"},
        {"U28jAuLHj6c","sceSharePlayServerLock"},
        {"3Oaux9ITEtY","sceSharePlayServerUnLock"},
        {"QZy+KmyqKPU","sceSharePlaySetMode"},
        {"co2NCj--pnc","sceSharePlaySetProhibition"},
        {"KADsbjNCgPo","sceSharePlaySetProhibitionModeWithAppId"},
        {"-F6NddfUsa4","sceSharePlayStartStandby"},
        {"rWVNHNnEx6g","sceSharePlayStartStreaming"},
        {"zEDkUWLVwFI","sceSharePlayStopStandby"},
        {"aGlema+JxUU","sceSharePlayStopStreaming"},
        {"UaLjloJinow","sceSharePlayTerminate"},
        {"Sygnk9dr5WQ","sceShareRegisterContentEventCallback"},
        {"kCurUZVFqcI","sceShareSetCaptureSource"},
        {"7QZtURYnXG4","sceShareSetContentParam"},
        {"ORspsWDXPps","sceShareSetContentParamForApplicationTitle"},
        {"T64o-315wbg","sceShareSetScreenshotOverlayImage"},
        {"0IL1keINExQ","sceShareTerminate"},
        {"KnsfHKmZqFA","sceShareUnregisterContentEventCallback"},
        {"6hlAoEaRNmI","sceShareUtilityAdvanceFromFileWithContentIdList"},
        {"4Yu-wQ-xrNs","sceShareUtilityAdvanceFromFileWithTitleIdList"},
        {"BgnrThNspOQ","sceShareUtilityAdvanceGetServiceInfo"},
        {"u4bCGkqhOB4","sceShareUtilityAdvanceInitialize"},
        {"wVsAb+Zyr1Y","sceShareUtilityAdvanceQueryServiceInfo"},
        {"r8dfx9oS3us","sceShareUtilityAdvanceQueryServiceInfoA"},
        {"sr095NLKaAc","sceShareUtilityAdvanceResetPlayingContent"},
        {"7J9IYIejSDs","sceShareUtilityAdvanceSetPlayingContent"},
        {"karnJhakdKg","sceShareUtilityAdvanceSetUploadContentData"},
        {"xfB04bSjrZY","sceShareUtilityAdvanceTerminate"},
        {"xuLuaJ4Ywlg","sceShareUtilityAdvanceValidateContents"},
        {"1TFyHtLzdvg","sceShareUtilityAdvanceWakeUpShareMenu"},
        {"tyYRZwL4rog","sceShareUtilityAdvanceWakeUpShareMenuBroadcast"},
        {"wcxz4F94s6k","sceShareUtilityAdvanceWakeUpShareMenuDefault"},
        {"PtFg1zs3XQA","sceShareUtilityAdvanceWakeUpShareMenuForShareContent"},
        {"Jlv-lYxEnvM","sceShareUtilityInitialize"},
        {"j7DlalBzHh8","sceShareUtilityInitializeEx2"},
        {"Lqp4EDIRXSo","sceShareUtilityOpenShareMenu"},
        {"-4kr-v21vjc","sceShareUtilityOpenShareMenuBroadcast"},
        {"8hZ2EEl2Tto","sceShareUtilityOpenShareMenuDefault"},
        {"qG-Qrqsc5Uk","sceShareUtilityOpenShareMenuForShareContent"},
        {"DUWhxkyVPj4","sceShareUtilityTerminate"},
        {"5SfMtsW8h7A","sceShellCoreUtilAccessibilityZoomLock"},
        {"Uku2JpZmoqc","sceShellCoreUtilAccessibilityZoomUnlock"},
        {"qVBNhnqUz-4","sceShellCoreUtilAcquireBgmCpuBudget"},
        {"TfVHoRVX2HM","sceShellCoreUtilAcquireRemotePlayCpuBudget"},
        {"fBuukeGZ2FE","sceShellCoreUtilAcquireSharePlayCpuBudget"},
        {"mpkohyVqCRM","sceShellCoreUtilActivateAbort"},
        {"fkcM5YcqjV8","sceShellCoreUtilActivateGetStatus"},
        {"x5hqKRKziYU","sceShellCoreUtilActivateInit"},
        {"jktCMQNgyFc","sceShellCoreUtilActivateIsActivated"},
        {"xIMClZZz50k","sceShellCoreUtilActivateRecordActivation"},
        {"MRVnLsn-GRI","sceShellCoreUtilActivateStart"},
        {"CZrOHqt6oCY","sceShellCoreUtilActivateStartAsync"},
        {"ibXh+Mc4wbs","sceShellCoreUtilActivateTerm"},
        {"wtNEh1E9ALA","sceShellCoreUtilChangeRunLevel"},
        {"v81dfnaMfUY","sceShellCoreUtilChangeToStaffModeForIDU"},
        {"9VDzY7m1NN8","sceShellCoreUtilCheckerAbort"},
        {"AgYSGAQGtXs","sceShellCoreUtilCleanupCrashReport"},
        {"l5bdg4tUTGc","sceShellCoreUtilClearAppData"},
        {"CrJAqHAld9M","sceShellCoreUtilClearPs4AppCategoryDefaultsListUpdate"},
        {"RnY2HTwqz3A","sceShellCoreUtilClearPsnAccountInfo"},
        {"SYSL4KtzcAU","sceShellCoreUtilCrashReportRequestCancel"},
        {"KTCPKqvFTok","sceShellCoreUtilDeclareBeginOfExternalStorageAppMove"},
        {"F20xA1NsG9s","sceShellCoreUtilDeclareEndOfExternalStorageAppMove"},
        {"XlcBqhyaJyI","sceShellCoreUtilDeleteDiscInstalledTitleWorkaroundFile"},
        {"yO7OIU45UnQ","sceShellCoreUtilDeleteDownloadedHidConfigFile"},
        {"4SgLbJPUxNw","sceShellCoreUtilDeleteDownloadedNetEvConfigFile"},
        {"ctTYL9lomv8","sceShellCoreUtilDeleteDownloadedTitleWorkaroundFile"},
        {"gYXxtLzFU8Y","sceShellCoreUtilDeleteSmrHddDummyData"},
        {"0QN4BUnzF14","sceShellCoreUtilDoFsck"},
        {"WN1v3xYoGDw","sceShellCoreUtilDownloadHidConfigFileFromServer"},
        {"A3wbbLmrQV4","sceShellCoreUtilDownloadNetEvConfigFileFromServer"},
        {"5YNnX5Pfquo","sceShellCoreUtilDownloadTitleWorkaroundFileFromServer"},
        {"ikmkeez8ATk","sceShellCoreUtilEndUmmDictation"},
        {"9plZCCRm9x4","sceShellCoreUtilEnterPowerLockSection"},
        {"SOmyRqRpKIM","sceShellCoreUtilExecuteCrashReport"},
        {"+jVaKSG0nHk","sceShellCoreUtilExfatFormatExternalHdd"},
        {"hnvi3LgVeDM","sceShellCoreUtilExitApp"},
        {"0g6-uh4JTP8","sceShellCoreUtilExitMiniApp"},
        {"dtx5tcGFVII","sceShellCoreUtilExitMiniAppWithValue"},
        {"s4PtLnp9yw4","sceShellCoreUtilExtendShutdownTimer"},
        {"F-g-G0oJegs","sceShellCoreUtilFillUpSpaceOnSmrHdd"},
        {"CIXA8WUeAls","sceShellCoreUtilFireCrashReport"},
        {"UG9I-iHI-ME","sceShellCoreUtilFormatExternalHdd"},
        {"QcJ5pqrC-Q8","sceShellCoreUtilFormatHdd"},
        {"LlFmfrkpjW0","sceShellCoreUtilFormatHddForRestore"},
        {"FmjFl9Nvwcw","sceShellCoreUtilFreeUpSpaceOnSmrHdd"},
        {"WISL-JH-6Ic","sceShellCoreUtilGetAppData"},
        {"XGxXS135WR8","sceShellCoreUtilGetAppEnableTTS"},
        {"V9b3HfN19vM","sceShellCoreUtilGetAppEnterButtonAssign"},
        {"ZIKGk+35UDU","sceShellCoreUtilGetAppLaunchTypeInfo"},
        {"u474-bA7ul0","sceShellCoreUtilGetAppLaunchedParamInt"},
        {"kyFOaxSaP0A","sceShellCoreUtilGetAppLaunchedParamIntByBudgetType"},
        {"f5Z7FIeoHdw","sceShellCoreUtilGetAppLaunchedParamString"},
        {"dZ3RfDzgmCY","sceShellCoreUtilGetAppLaunchedParamStringByBudgetType"},
        {"5gIVIzipgsw","sceShellCoreUtilGetAutoPowerDownRemainingSeconds"},
        {"lAvSrKAjxCA","sceShellCoreUtilGetBasicProductShape"},
        {"EwfSRaPlCE4","sceShellCoreUtilGetCheckerString"},
        {"gAyT42nwElM","sceShellCoreUtilGetCheckerStringEx"},
        {"Mg3P1Z4Xavs","sceShellCoreUtilGetCloudClientStatus"},
        {"FcAheKO8u7c","sceShellCoreUtilGetCrashReportCoreFileSetSize"},
        {"jCJ+gks483A","sceShellCoreUtilGetCrashReportFilterInfoStart"},
        {"-ROAAenn4Xg","sceShellCoreUtilGetCrashReportInfoForBoot"},
        {"V9LadIvu5Ko","sceShellCoreUtilGetCrashReportInfoForBootStart"},
        {"J5OPALFNdFE","sceShellCoreUtilGetCrashReportInfoStart"},
        {"NTttBlD2Xbk","sceShellCoreUtilGetCrashReportResult"},
        {"4YQ-w9Xwn7s","sceShellCoreUtilGetCrashReportStatus"},
        {"L6R0jU7yTTQ","sceShellCoreUtilGetCrashReportUploadStatus"},
        {"oINHTqU1qvY","sceShellCoreUtilGetDeviceIndexBehavior"},
        {"vPxKoc5MyxQ","sceShellCoreUtilGetDeviceIndexBehaviorWithTimeout"},
        {"tHE2mqrhR4c","sceShellCoreUtilGetDeviceStatus"},
        {"rkV5b-p490g","sceShellCoreUtilGetEffectiveTotalSizeOfUserPartition"},
        {"7FpTaZpBUh0","sceShellCoreUtilGetEntitlementIdFromNpEntitlementMgr"},
        {"guf+xcMoCas","sceShellCoreUtilGetFreeSizeOfAvContentsTmp"},
        {"ZbY5LxmH6uA","sceShellCoreUtilGetFreeSizeOfUserPartition"},
        {"1qbUFXlBXFw","sceShellCoreUtilGetFsckProgress"},
        {"-g0pBZ2JdAc","sceShellCoreUtilGetGameLiveStreamingStatus"},
        {"g8T4x0GD9Wo","sceShellCoreUtilGetGnmCompositorOnScreenProfilerFlag"},
        {"beQ90Sx6c8g","sceShellCoreUtilGetGpuLoadEmulationMode"},
        {"ns8HVzVqaNo","sceShellCoreUtilGetGpuLoadEmulationModeByAppId"},
        {"kn3vBOTg-ok","sceShellCoreUtilGetHidConfigFileInfoString"},
        {"97L0D3+iBDE","sceShellCoreUtilGetHidConfigFileString"},
        {"NZWLG-imDlU","sceShellCoreUtilGetHidConfigName"},
        {"RM1Xb5Hcq4w","sceShellCoreUtilGetHidConfigNum"},
        {"93trbeNjx7c","sceShellCoreUtilGetIDUMode"},
        {"Ac3I81u9ky4","sceShellCoreUtilGetImposeMenuFlagForPs2Emu"},
        {"39lewWn5+G0","sceShellCoreUtilGetManifestFileStatus"},
        {"kuErIHXWIpc","sceShellCoreUtilGetNeedSizeOfAppContent"},
        {"wFvgq-KXT0Q","sceShellCoreUtilGetNetEvConfigFileInfoString"},
        {"m5OsHQx9Ni4","sceShellCoreUtilGetOptimizationStatus"},
        {"qEUJBsB7yMk","sceShellCoreUtilGetOutOfVrPlayZoneWarning"},
        {"lgbdvT36kTE","sceShellCoreUtilGetPapcGamePcl"},
        {"bTmtBchzFps","sceShellCoreUtilGetPbtcUserInfoList"},
        {"lXlP+jhO8QI","sceShellCoreUtilGetPlatformPrivacyDefinitionEventData"},
        {"CKTyfq2tb7k","sceShellCoreUtilGetPlatformPrivacySetting"},
        {"VxWJ7DUrEIQ","sceShellCoreUtilGetProgressOfFormatExternalHdd"},
        {"3M1tCF9VfoE","sceShellCoreUtilGetProgressOfFsck"},
        {"CbUYbKgLtJM","sceShellCoreUtilGetPs4AppCategoryDefaultsListId"},
        {"FSivH9XPeho","sceShellCoreUtilGetPs4AppCategoryForTitleId"},
        {"1G3xnMBZpYI","sceShellCoreUtilGetPsStoreIconLayout"},
        {"zS6ZPLgQJcA","sceShellCoreUtilGetPsStoreIconState"},
        {"x6STXhIEG0M","sceShellCoreUtilGetPsnAccountInfo"},
        {"9coQ7gTfwhA","sceShellCoreUtilGetRegion"},
        {"ai7LcBcf6Rs","sceShellCoreUtilGetRemotePlayStatus"},
        {"HeZzL2xbRJY","sceShellCoreUtilGetRunLevel"},
        {"L5mESo+Iq+k","sceShellCoreUtilGetSharePlayStatus"},
        {"hQClZK9mdkk","sceShellCoreUtilGetShellUIVMStats"},
        {"fRurGDbUulc","sceShellCoreUtilGetSmrHddInfoString"},
        {"nG+HNBwQ4sw","sceShellCoreUtilGetSocialScreenStatus"},
        {"WH6O4hriE-0","sceShellCoreUtilGetSplashScreenState"},
        {"PPQxiE4lbyY","sceShellCoreUtilGetSupportSiteURL"},
        {"9i+R1rj6Trk","sceShellCoreUtilGetSuspendConfirmationDialogFlag"},
        {"WKxOVIkISxA","sceShellCoreUtilGetSystemBGState"},
        {"W5HtGRCZ1iE","sceShellCoreUtilGetSystemBGWaveColor"},
        {"D-6S9JHI6A0","sceShellCoreUtilGetSystemBGWaveState"},
        {"oThn-THyKOc","sceShellCoreUtilGetTelemetryToken"},
        {"ZGbkd2hWhJU","sceShellCoreUtilGetTitleWorkaroundFileInfoString"},
        {"vq8ubGb2XjQ","sceShellCoreUtilGetTitleWorkaroundFileString"},
        {"fORZmlh1TQo","sceShellCoreUtilGetUIStatus"},
        {"B1kel3gTRSg","sceShellCoreUtilGetUmmStatus"},
        {"E4I7uCoWbkM","sceShellCoreUtilGetUserFocus"},
        {"plK52OfeEIc","sceShellCoreUtilGetUserIdOfMorpheusUser"},
        {"ESxtLvQZO5Y","sceShellCoreUtilGetVMStatsForTelemetry"},
        {"VbEHW7RrJ+w","sceShellCoreUtilGetVersionNumberOfCameraCalibrationData"},
        {"0y01ndm0BA8","sceShellCoreUtilGoBackToKratosCurrentSessionGame"},
        {"oh68H-4hEAE","sceShellCoreUtilHideBlocksFromUser"},
        {"DviyPC-JJ1k","sceShellCoreUtilIncrementVersionNumberOfCameraCalibrationData"},
        {"2b-b5AouLv4","sceShellCoreUtilIsAccessibilityZoomLocked"},
        {"M+BfgdgsOd0","sceShellCoreUtilIsAppLaunched"},
        {"soq7GTbVMkw","sceShellCoreUtilIsBgmCpuBudgetAcquired"},
        {"vYHJtZyhhEI","sceShellCoreUtilIsBgmCpuBudgetAvailable"},
        {"-Lpr5gHkHkc","sceShellCoreUtilIsBgmPlaying"},
        {"mpeGML7ulA8","sceShellCoreUtilIsExternalStorageAppMoveInProgress"},
        {"h7C1w1jlG6c","sceShellCoreUtilIsEyeDistanceAdjusted"},
        {"PGsAGnnRstY","sceShellCoreUtilIsEyeToEyeDistanceAdjusted"},
        {"KyQY2KfMxKw","sceShellCoreUtilIsGameLiveStreamingOnAir"},
        {"fBjY1lY7sbs","sceShellCoreUtilIsIDUState"},
        {"izo3BrmWZDM","sceShellCoreUtilIsImposeScreenOverlaid"},
        {"wCbG33VsbqQ","sceShellCoreUtilIsInSystemSuspendBlackList"},
        {"mTZxVC3pebc","sceShellCoreUtilIsInternalKratosUser"},
        {"44PCVgTBBCw","sceShellCoreUtilIsKilledOrSuspendedByLogout"},
        {"KH0InA0uStg","sceShellCoreUtilIsNeededCrashReport"},
        {"3JNHzrEDnrk","sceShellCoreUtilIsPowerSaveAlertRequested"},
        {"CWcxjT6X+1c","sceShellCoreUtilIsRemotePlayCpuBudgetAcquired"},
        {"WIEUJ61AwvU","sceShellCoreUtilIsScreenSaverOn"},
        {"gWMlFq4N9Lw","sceShellCoreUtilIsSharePlayCpuBudgetAcquired"},
        {"GEZ9sIz3wuM","sceShellCoreUtilIsShowCrashReport"},
        {"vzWoetyaUuA","sceShellCoreUtilIsTemperatureDanger"},
        {"4dsNPwVODKM","sceShellCoreUtilIsTitleWorkaroundEnabled"},
        {"IHHSdVBTwBc","sceShellCoreUtilIsUsbMassStorageMounted"},
        {"GYUk4t27Myw","sceShellCoreUtilLaunchByUri"},
        {"nENvUAsAKdY","sceShellCoreUtilLeavePowerLockSection"},
        {"2rOYe6lVCVQ","sceShellCoreUtilLog"},
        {"-Sp1aaqI1SQ","sceShellCoreUtilMakeManifestFile"},
        {"aCkM+OaGv3g","sceShellCoreUtilMountAppRight"},
        {"juqlPZWkJGc","sceShellCoreUtilMountDownloadDataForShellUI"},
        {"qNe8uNe3EpQ","sceShellCoreUtilMountHddForBackup"},
        {"bRCLw49N4hE","sceShellCoreUtilMountHddForRestore"},
        {"1e7CmFlJveU","sceShellCoreUtilNavigateToAnotherApp"},
        {"n9xRQPtUP0g","sceShellCoreUtilNavigateToGoHome"},
        {"Mi9-CweviUo","sceShellCoreUtilNavigateToLaunchedApp"},
        {"V-5cjs+9kI0","sceShellCoreUtilNotificationCancelForIDU"},
        {"VQRWOxYGays","sceShellCoreUtilNotificationRequestedForIDU"},
        {"F6Y46kLqXEQ","sceShellCoreUtilNotificatonRequestedForIDU"},
        {"roUQwCYYegE","sceShellCoreUtilNotifyBgmCoreTermination"},
        {"4CzZUVleMcE","sceShellCoreUtilNotifyFarsightUIDone"},
        {"awBTm0vNaos","sceShellCoreUtilNotifyFsReadError"},
        {"1jwAtAP7KyU","sceShellCoreUtilNotifyImeStatusChanged"},
        {"dk-PIxWMp8k","sceShellCoreUtilNotifyPsnAccountInfoReceived"},
        {"vbEqgeYEbBQ","sceShellCoreUtilNotifySystemSuspendTelemetryInfo"},
        {"IldAc7Eq5-c","sceShellCoreUtilNotifyYouTubeAccountLinkStatusChanged"},
        {"Tgs5zOUfQSc","sceShellCoreUtilPfAuthClientConsoleTokenClearCache"},
        {"pb2XPMV5beI","sceShellCoreUtilPostActivityForPsNow"},
        {"-hrMXdpZuDU","sceShellCoreUtilPostErrorLog"},
        {"fCeSFo0IM-w","sceShellCoreUtilPostLaunchConfirmResult"},
        {"cZCJTMamDOE","sceShellCoreUtilPostPsmEventToShellUI"},
        {"PGHjjtZxKvs","sceShellCoreUtilPreNotifyOfGameLiveStreaming"},
        {"K-QFvDXYSbg","sceShellCoreUtilPreNotifyOfRemotePlay"},
        {"HBA-tCWUXP8","sceShellCoreUtilPreNotifyOfSharePlay"},
        {"EFhM9SF2aSQ","sceShellCoreUtilReleaseBgmCpuBudget"},
        {"cfJZThTSxQ0","sceShellCoreUtilReleaseRemotePlayCpuBudget"},
        {"jKnwOdgck5g","sceShellCoreUtilReleaseSharePlayCpuBudget"},
        {"yO-ekZ5toaQ","sceShellCoreUtilReportSessionErrorToGaikaiController"},
        {"lF96Sr8Jf0s","sceShellCoreUtilReportUnexpectedFatalErrorToSystemTelemetry"},
        {"-yYPJb0ejO8","sceShellCoreUtilRequestCameraCalibration"},
        {"8+CmlQdq7u8","sceShellCoreUtilRequestEjectDevice"},
        {"+2paAsKqXOQ","sceShellCoreUtilRequestRebootApp"},
        {"7JgSJnaByIs","sceShellCoreUtilRequestShutdown"},
        {"IzQN+F5q3wg","sceShellCoreUtilResetAutoPowerDownTimer"},
        {"7yUQmZWoqVg","sceShellCoreUtilResetBgdcConfig"},
        {"xKSgaSVX1io","sceShellCoreUtilSetAppData"},
        {"dS1+1D1LRHs","sceShellCoreUtilSetBgmProhibition"},
        {"l96YlUEtMPk","sceShellCoreUtilSetDeviceIndexBehavior"},
        {"bC8vo608P2E","sceShellCoreUtilSetGameLiveStreamingOnAirFlag"},
        {"K33+EwitWlo","sceShellCoreUtilSetGameLiveStreamingStatus"},
        {"m65uKv7IAkI","sceShellCoreUtilSetGnmCompositorOnScreenProfilerFlag"},
        {"MeboioVomns","sceShellCoreUtilSetGpuLoadEmulationMode"},
        {"zd4oVXWGD2Y","sceShellCoreUtilSetGpuLoadEmulationModeByAppId"},
        {"4Pd0g-lGEM0","sceShellCoreUtilSetIDUMode"},
        {"TJp3kdSGsIw","sceShellCoreUtilSetImposeStatusFlag"},
        {"qtjjorW1V94","sceShellCoreUtilSetPsStoreIconLayout"},
        {"g787tMBA1TE","sceShellCoreUtilSetPsStoreIconState"},
        {"jqj5vbglbZU","sceShellCoreUtilSetRemotePlayStatus"},
        {"l22TAIbbtFw","sceShellCoreUtilSetSharePlayStatus"},
        {"IWSCO20RwIY","sceShellCoreUtilSetSkipUpdateCheck"},
        {"nA5rRwLrgIU","sceShellCoreUtilSetSocialScreenStatus"},
        {"2Pms7iCE-Fo","sceShellCoreUtilSetSplashScreenState"},
        {"kfyuElAEnis","sceShellCoreUtilSetSystemBGState"},
        {"Ujz25JX-jPM","sceShellCoreUtilSetSystemBGWaveColor"},
        {"GB19cfR-Tis","sceShellCoreUtilSetSystemBGWaveState"},
        {"atiUTsTFJ3k","sceShellCoreUtilSetUIStatus"},
        {"-9djWj1NU4E","sceShellCoreUtilSetUserFocus"},
        {"lW+8pdTQMmg","sceShellCoreUtilShowCriticalErrorDialog"},
        {"0ptZiu0jBJs","sceShellCoreUtilShowErrorDialog"},
        {"chZFHnGa9x4","sceShellCoreUtilShowErrorDialogWithFormatArgs"},
        {"yxiUUPJoyYI","sceShellCoreUtilShowErrorDialogWithParam"},
        {"GjOxjIVZA1Y","sceShellCoreUtilShowPsUnderLockIndicator"},
        {"R013D1VIETQ","sceShellCoreUtilSignalUserInput"},
        {"nu542EmGFD4","sceShellCoreUtilStartOptimization"},
        {"HhBo--ix7Lg","sceShellCoreUtilStartPsNowGame"},
        {"6dUxyl-M50g","sceShellCoreUtilStartRebootTimer"},
        {"m+yord8iazk","sceShellCoreUtilStartShutdownTimer"},
        {"kozqEeuRwrk","sceShellCoreUtilStopOptimization"},
        {"9dvVBukqOsw","sceShellCoreUtilStopPsNowGame"},
        {"0JuS3zkDXdc","sceShellCoreUtilTalkKeyEventReceived"},
        {"dbwyzALlKOQ","sceShellCoreUtilTestBusTransferSpeed"},
        {"DWVv0MlE1sw","sceShellCoreUtilTickHeartBeat"},
        {"VxRZE4CZQw8","sceShellCoreUtilTriggerPapcRecalculation"},
        {"CSl1MAdUbYs","sceShellCoreUtilTriggerPapcUpdate"},
        {"lcp9E77DAB4","sceShellCoreUtilTurnOffScreenSaver"},
        {"T9xeifEUF3w","sceShellCoreUtilUnmountAppRight"},
        {"qqL5VYwFLgo","sceShellCoreUtilUnmountDownloadDataForShellUI"},
        {"YvCj4cb1-jU","sceShellCoreUtilUnmountHddForBackup"},
        {"oeyHRt5PP+Q","sceShellCoreUtilUnmountHddForRestore"},
        {"JTctYix8NXU","sceShellCoreUtilWriteSmrHddDummyData"},
        {"368es-zmQuc","sceShellCoreutilGetCrashReportProcessInformation"},
        {"jaf5nhLNbU4","sceShellUIUtilCreateTaskToken"},
        {"EcvEiAbDsyk","sceShellUIUtilGetAppUrl"},
        {"gJGHdW0bQmw","sceShellUIUtilGetDefaultQueryParameter"},
        {"-htpXyfaKlM","sceShellUIUtilInitialize"},
        {"Ni6j+eh9Hlk","sceShellUIUtilLaunchByUri"},
        {"1lACBrvq6Vg","sceShellUIUtilLaunchTask"},
        {"yrHudi97Mfw","sceShellUIUtilTerminate"},
        {"M3OkENHcyiU","sceSigninDialogClose"},
        {"nqG7rqnYw1U","sceSigninDialogGetResult"},
        {"2m077aeC+PA","sceSigninDialogGetStatus"},
        {"mlYGfmqE3fQ","sceSigninDialogInitialize"},
        {"JlpJVoRWv7U","sceSigninDialogOpen"},
        {"LXlmS6PvJdU","sceSigninDialogTerminate"},
        {"Bw31liTFT3A","sceSigninDialogUpdateStatus"},
        {"hVDiK6tofnQ","sceSlimglClientLiveTimeout"},
        {"PgAf0Wwv4ZQ","sceSlimglClientMonitorServerEnd"},
        {"7O6DI5IiOxQ","sceSlimglClientMonitorServerStart"},
        {"X16Vec2WnqI","sceSlimglClientPulse"},
        {"QvXbiLqpn6c","sceSlimglClientStartIPC"},
        {"mgKTS0PIvd8","sceSlimglCompositorAllocateIndex"},
        {"RP5cXUjm48U","sceSlimglCompositorCreateIndirectRenderTarget"},
        {"srJHx3p48v0","sceSlimglCompositorDeleteIndirectRenderTarget"},
        {"6ZQXcSKKjyo","sceSlimglCompositorFlush"},
        {"wdRBDMIxI7I","sceSlimglCompositorFlushWithRepeat"},
        {"CzmA-OALrH8","sceSlimglCompositorGetCanvasHandle"},
        {"aRqvgeH+oe0","sceSlimglCompositorGetError"},
        {"gI+XEd5mWPU","sceSlimglCompositorReleaseIndex"},
        {"1TFdFqQBGqY","sceSlimglCompositorSetEndOfFrameCommand"},
        {"7Mp6qE235Qc","sceSlimglCompositorSetIndirectCanvasCommand"},
        {"BrNgn7z6A40","sceSlimglCompositorSetIndirectCompositionCommand"},
        {"iyTnezpw1jE","sceSlimglCompositorSetIndirectRenderTargetConfigCommand"},
        {"DN8v2xNOyjg","sceSlimglCompositorSetInvisibleCanvasCommand"},
        {"aswH9c+RN0E","sceSlimglCompositorSetMemoryCommand"},
        {"WvuRaahcTfA","sceSlimglCompositorSetPostEventCommand"},
        {"lcaik1AxwEY","sceSlimglCompositorWaitEndOfRendering"},
        {"HwBlC8TLKHQ","sceSlimglCompositorWaitPostEvent"},
        {"Fa0atOcWPaI","sceSlimglIPCEnd"},
        {"F4pQ5tsDo74","sceSlimglIPCSetup"},
        {"iWmFU6WXUk4","sceSlimglRenderServerThreadStart"},
        {"KI8Q41MvSKo","sceSlimglServerEndClient"},
        {"hCpDkNf8I7s","sceSlimglServerRegisterShaderBinary"},
        {"c10oqsj0YKM","sceSlimglServerRegisterShaderFile"},
        {"+DCLUa7lUR8","sceSlimglServerSetPolicy"},
        {"AT0TAY74nQw","sceSlimglServerSetupGetDomainSocket"},
        {"MyQ65g12NMo","sceSlimglServerSetupSocketPairingBy"},
        {"i3EY9pCdNEc","sceSlimglServerSetupSocketPairingTransport"},
        {"oRXI2Mzcgkw","sceSlimglServerStartClient"},
        {"m7z1nnVU3D8","sceSlimglServerStartWithSocket"},
        {"eTYHVlWb7Gs","sceSlimglServerWaitRenderThread"},
        {"Sf-l+WFQRTo","sceSlimglStartServer"},
        {"tYlc1DAuIOE","sceSlimglSupportServerProcess"},
        {"vtZIn9HtYbs","sceSocialScreenCloseSeparateMode"},
        {"IEzqdjIueps","sceSocialScreenConfigureSeparateMode"},
        {"GIHvC8x7LPo","sceSocialScreenCrashDaemon"},
        {"4ej3RtYH320","sceSocialScreenDialogClose"},
        {"WjHT5TmV0TQ","sceSocialScreenDialogGetResult"},
        {"3foHkmhq6ak","sceSocialScreenDialogGetStatus"},
        {"PEe0R7gBHbc","sceSocialScreenDialogInitialize"},
        {"eL54zY-B+-Y","sceSocialScreenDialogOpen"},
        {"A4KPdcTIVuc","sceSocialScreenDialogTerminate"},
        {"BEhMn+TyoGA","sceSocialScreenDialogUpdateStatus"},
        {"8t+XNSyIXus","sceSocialScreenGetIgnoreSeparateMode"},
        {"pI7oFSPP65A","sceSocialScreenInitialize"},
        {"VMM7wQBZoBk","sceSocialScreenInitializeSeparateModeParameter"},
        {"SvdXHHt2LLE","sceSocialScreenOpenSeparateMode"},
        {"pfTzSIZFIwQ","sceSocialScreenReserveHighFrameRateVideoCaptureRequest"},
        {"Kct67JaDmkY","sceSocialScreenSetIgnoreSeparateMode"},
        {"6Me4hYsy3Kc","sceSocialScreenSetMode"},
        {"OVNpYTRqN74","sceSocialScreenTerminate"},
        {"jWd9FwvNv4E","sceSpGetPid"},
        {"SGSNz6luI2s","sceSpKernelGettimeofday"},
        {"Bs3QDmfuh4w","sceSpKernelNanosleep"},
        {"GNfPC72c3fs","sceSpNetConnect"},
        {"7pl2UBkJIRk","sceSpNetEpollAbort"},
        {"loIvEsvUejI","sceSpNetEpollControl"},
        {"L25oH9QaTaQ","sceSpNetEpollCreate"},
        {"EGt+sFM8+WI","sceSpNetEpollDestroy"},
        {"uaXURZ5NMGw","sceSpNetEpollWait"},
        {"Uv+1RNg62iU","sceSpNetErrnoLoc"},
        {"sTqVHpVwnyE","sceSpNetPoolCreate"},
        {"yrOv0czHCp4","sceSpNetPoolDestroy"},
        {"p8VOOvRtBwI","sceSpNetRecv"},
        {"81ZjjD6MqDk","sceSpNetResolverAbort"},
        {"y6AEzLH6ZXk","sceSpNetResolverCreate"},
        {"2mcSJjH5VLc","sceSpNetResolverDestroy"},
        {"DVAUSbVTZnU","sceSpNetResolverGetError"},
        {"WwtboQmJ37U","sceSpNetResolverStartNtoa"},
        {"k1OoMsQ7tQ8","sceSpNetSend"},
        {"akGUA-sxyYk","sceSpNetSetsockopt"},
        {"kyKiXG-dCyc","sceSpNetSocket"},
        {"2-bYnN1qoQM","sceSpNetSocketClose"},
        {"dVY7nLRddBM","sceSpPthreadAttrDestroy"},
        {"WwzNbMVtOJA","sceSpPthreadAttrInit"},
        {"xS43U4VgIXE","sceSpPthreadAttrSetinheritsched"},
        {"NwWU0vvhPTc","sceSpPthreadAttrSetschedparam"},
        {"-p2Gvg7QqFo","sceSpPthreadAttrSetstacksize"},
        {"Jaa16wSEA9U","sceSpPthreadCondDestroy"},
        {"INOiD5QWHNg","sceSpPthreadCondInit"},
        {"aODvnvMj8vs","sceSpPthreadCondSignal"},
        {"4hl78F9jMCM","sceSpPthreadCondWait"},
        {"Fql-di-dWu0","sceSpPthreadCondattrDestroy"},
        {"537ZOR325ZI","sceSpPthreadCondattrInit"},
        {"-7ovXt8hp6g","sceSpPthreadCreate"},
        {"Mlo+OHFpOeY","sceSpPthreadDetach"},
        {"B59oMLpCo6s","sceSpPthreadExit"},
        {"rP40jSNZ-6Y","sceSpPthreadJoin"},
        {"gMlHVhsO9lk","sceSpPthreadMutexDestroy"},
        {"S3qFxKMTgKQ","sceSpPthreadMutexInit"},
        {"cukQjzNcSFw","sceSpPthreadMutexLock"},
        {"OecFSm0BxdI","sceSpPthreadMutexUnlock"},
        {"59JzpduJC-k","sceSpPthreadMutexattrDestroy"},
        {"a6yeQI2uXGk","sceSpPthreadMutexattrInit"},
        {"l29UO6Oj0ds","sceSpPthreadMutexattrSetprioceiling"},
        {"4jZLf+MFU8U","sceSpPthreadMutexattrSetprotocol"},
        {"0aJMoN6KBpg","sceSpPthreadMutexattrSettype"},
        {"zsVbNbWPYzg","sceSpPthreadSetprio"},
        {"YsLBZ7qPu20","sceSpSelect"},
        {"uM3tl64pJNU","sceSrcUtilityFinalize"},
        {"qCL0KDAv1Os","sceSrcUtilityFlush"},
        {"Lw8wfmCaxlQ","sceSrcUtilityGetDelaySamples"},
        {"wTO4cMkVNaM","sceSrcUtilityGetHandleSize"},
        {"UFLN-KNhzX0","sceSrcUtilityGetPriority"},
        {"Y0LiSp+hb38","sceSrcUtilityInitialize"},
        {"gf9WnZyyHwE","sceSrcUtilityInitializeEx"},
        {"M9Zur3ydU6g","sceSrcUtilityResample"},
        {"scvqkMgVNz8","sceSrcUtilitySetPriority"},
        {"1VM0h1JrUfA","sceSslCheckRecvPending"},
        {"viRXSHZYd0c","sceSslClose"},
        {"zXvd6iNyfgc","sceSslConnect"},
        {"tuscfitnhEo","sceSslCreateConnection"},
        {"P14ATpXc4J8","sceSslCreateSslConnection"},
        {"HJ1n138CQ2g","sceSslDeleteConnection"},
        {"hwrHV6Pprk4","sceSslDeleteSslConnection"},
        {"iLKz4+ukLqk","sceSslDisableOption"},
        {"-WqxBRAUVM4","sceSslDisableOptionInternal"},
        {"w1+L-27nYas","sceSslDisableOptionInternalInsecure"},
        {"PwsHbErG+e8","sceSslDisableVerifyOption"},
        {"m-zPyAsIpco","sceSslEnableOption"},
        {"g-zCwUKstEQ","sceSslEnableOptionInternal"},
        {"po1X86mgHDU","sceSslEnableVerifyOption"},
        {"qIvLs0gYxi0","sceSslFreeCaCerts"},
        {"+DzXseDVkeI","sceSslFreeCaList"},
        {"RwXD8grHZHM","sceSslFreeSslCertName"},
        {"4O7+bRkRUe8","sceSslGetAlpnSelected"},
        {"TDfQqO-gMbY","sceSslGetCaCerts"},
        {"qOn+wm28wmA","sceSslGetCaList"},
        {"brRtwGBu4A8","sceSslGetFingerprint"},
        {"7whYpYfHP74","sceSslGetIssuerName"},
        {"-PoIzr3PEk0","sceSslGetMemoryPoolStats"},
        {"R1ePzopYPYM","sceSslGetNameEntryCount"},
        {"7RBSTKGrmDA","sceSslGetNameEntryInfo"},
        {"AzUipl-DpIw","sceSslGetNanoSSLModuleId"},
        {"xHpt6+2pGYk","sceSslGetNotAfter"},
        {"Eo0S65Jy28Q","sceSslGetNotBefore"},
        {"-TbZc8pwPNc","sceSslGetPeerCert"},
        {"kLB5aGoUJXg","sceSslGetPem"},
        {"DOwXL+FQMEY","sceSslGetSerialNumber"},
        {"0XcZknp7-Wc","sceSslGetSslError"},
        {"dQReuBX9sD8","sceSslGetSubjectName"},
        {"hdpVEUDFW3s","sceSslInit"},
        {"Ab7+DH+gYyM","sceSslLoadCert"},
        {"3-643mGVFJo","sceSslLoadRootCACert"},
        {"jltWpVKtetg","sceSslRead"},
        {"hi0veU3L2pU","sceSslRecv"},
        {"50R2xYaYZwE","sceSslReuseConnection"},
        {"p5bM5PPufFY","sceSslSend"},
        {"TL86glUrmUw","sceSslSetAlpn"},
        {"QWSxBzf6lAg","sceSslSetMinSslVersion"},
        {"bKaEtQnoUuQ","sceSslSetSslVersion"},
        {"E4a-ahM57QQ","sceSslSetVerifyCallback"},
        {"lnHFrZV5zAY","sceSslShowMemoryStat"},
        {"0K1yQ6Lv-Yc","sceSslTerm"},
        {"UQ+3Qu7v3cA","sceSslUnloadCert"},
        {"iNjkt9Poblw","sceSslWrite"},
        {"aYkLspDSybs","sceSulphaGetClientInfo"},
        {"mPdonXVe31M","sceSulphaGetConnectedClientCount"},
        {"SqfL0YjlBiA","sceSulphaGetDefaultConfig"},
        {"6x06HaJWiDQ","sceSulphaGetNeededMemory"},
        {"fpFCQLbTB1w","sceSulphaInit"},
        {"1ZWN9dK5-Sc","sceSulphaMessage"},
        {"miCg4z-c1Gc","sceSulphaSetBookmark"},
        {"gLjLCP6tKuw","sceSulphaShutdown"},
        {"SI++DtNK+-M","sceSysCoreGetEventCount"},
        {"0YmjfSJ8X98","sceSysCoreReceiveEvent"},
        {"TnvxGzkFmbo","sceSysUtilSendAddressingSystemNotification"},
        {"yKfATNkQZdc","sceSysUtilSendAddressingSystemNotificationWithDeviceId"},
        {"BgOJY0UvOQ4","sceSysUtilSendAddressingSystemNotificationWithUserId"},
        {"VHGBWkTe0Jg","sceSysUtilSendAddressingSystemNotificationWithUserName"},
        {"AAk6w60xP3A","sceSysUtilSendNotificationRequest"},
        {"Eu7QNB9x1r0","sceSysUtilSendNpDebugNotificationRequest"},
        {"jTNAhVZ-5Nc","sceSysUtilSendSystemNotification"},
        {"f21DEbadT98","sceSysUtilSendSystemNotification2"},
        {"-+7YODtoVLM","sceSysUtilSendSystemNotificationParamInit"},
        {"KQxuDpbldZs","sceSysUtilSendSystemNotificationWithAppId"},
        {"3vHcGnZpiN8","sceSysUtilSendSystemNotificationWithAppInfo"},
        {"N4AToF3po08","sceSysUtilSendSystemNotificationWithAppName"},
        {"+RZFlwV4k3I","sceSysUtilSendSystemNotificationWithAppNameRelatedToUser"},
        {"SxYUo6o6mjo","sceSysUtilSendSystemNotificationWithDeviceId"},
        {"ISeIA7PBwyc","sceSysUtilSendSystemNotificationWithDeviceIdRelatedToUser"},
        {"iSlI1LKy7Bg","sceSysUtilSendSystemNotificationWithErrorCode"},
        {"AodT6gE5Qpk","sceSysUtilSendSystemNotificationWithParams"},
        {"Btgtlzfk9EQ","sceSysUtilSendSystemNotificationWithText"},
        {"HJyZ8CZGVoY","sceSysUtilSendSystemNotificationWithTextRelatedToUser"},
        {"YbAfwT8fO7Q","sceSysUtilSendSystemNotificationWithUserId"},
        {"DC2NSz1IDyk","sceSysUtilSendSystemNotificationWithUserName"},
        {"Kl9aRhwtXBM","sceSysUtilSendSystemNotificationWithUserNameInfo"},
        {"-0FdPC78x7U","sceSysUtilSendTrcCheckNotificationRequest"},
        {"V+TVN7J5JbA","sceSysUtilSendWebDebugNotificationRequest"},
        {"D8cuU4d72xM","sceSysmoduleGetModuleHandleInternal"},
        {"4fU5yvOkVG4","sceSysmoduleGetModuleInfoForUnwind"},
        {"ctfO7dQ7geg","sceSysmoduleIsCalledFromSysModule"},
        {"no6T3EfiS3E","sceSysmoduleIsCameraPreloaded"},
        {"fMP5NHUOaMk","sceSysmoduleIsLoaded"},
        {"ynFKQ5bfGks","sceSysmoduleIsLoadedInternal"},
        {"g8cM39EUZ6o","sceSysmoduleLoadModule"},
        {"CU8m+Qs+HN4","sceSysmoduleLoadModuleByNameInternal"},
        {"39iV5E1HoCk","sceSysmoduleLoadModuleInternal"},
        {"hHrGoGoNf+s","sceSysmoduleLoadModuleInternalWithArg"},
        {"lZ6RvVl0vo0","sceSysmoduleMapLibcForLibkernel"},
        {"DOO+zuW1lrE","sceSysmodulePreloadModuleForLibkernel"},
        {"eR2bZFAAU0Q","sceSysmoduleUnloadModule"},
        {"vpTHmA6Knvg","sceSysmoduleUnloadModuleByNameInternal"},
        {"vXZhrtJxkGc","sceSysmoduleUnloadModuleInternal"},
        {"aKa6YfBKZs4","sceSysmoduleUnloadModuleInternalWithArg"},
        {"1MMK0W-kMgA","sceSystemGestureAppendTouchRecognizer"},
        {"j4yXIA2jJ68","sceSystemGestureClose"},
        {"FWF8zkhr854","sceSystemGestureCreateTouchRecognizer"},
        {"-Caws0X3+bY","sceSystemGestureDebugGetVersion"},
        {"3QYCmMlOlCY","sceSystemGestureFinalizePrimitiveTouchRecognizer"},
        {"KAeP0+cQPVU","sceSystemGestureGetPrimitiveTouchEventByIndex"},
        {"yBaQ0h9m1NM","sceSystemGestureGetPrimitiveTouchEventByPrimitiveID"},
        {"L8YmemOeSNY","sceSystemGestureGetPrimitiveTouchEvents"},
        {"JhwByySf9FY","sceSystemGestureGetPrimitiveTouchEventsCount"},
        {"lpsXm7tzeoc","sceSystemGestureGetTouchEventByEventID"},
        {"TSKvgSz5ChU","sceSystemGestureGetTouchEventByIndex"},
        {"fLTseA7XiWY","sceSystemGestureGetTouchEvents"},
        {"h8uongcBNVs","sceSystemGestureGetTouchEventsCount"},
        {"0KrW5eMnrwY","sceSystemGestureGetTouchRecognizerInformation"},
        {"3pcAvmwKCvM","sceSystemGestureInitializePrimitiveTouchRecognizer"},
        {"qpo-mEOwje0","sceSystemGestureOpen"},
        {"ELvBVG-LKT0","sceSystemGestureRemoveTouchRecognizer"},
        {"o11J529VaAE","sceSystemGestureResetPrimitiveTouchRecognizer"},
        {"oBuH3zFWYIg","sceSystemGestureResetTouchRecognizer"},
        {"wPJGwI2RM2I","sceSystemGestureUpdateAllTouchRecognizer"},
        {"GgFMb22sbbI","sceSystemGestureUpdatePrimitiveTouchRecognizer"},
        {"j4h82CQWENo","sceSystemGestureUpdateTouchRecognizer"},
        {"4WOA1eTx3V8","sceSystemGestureUpdateTouchRecognizerRectangle"},
        {"CTKW9UibxEA","sceSystemLogger2DeliveryGetBatchResult"},
        {"qb4NgfYbH90","sceSystemLogger2DeliveryGetResult"},
        {"rgrhz3d6cx8","sceSystemLogger2DeliverySetBatchDeliveryEvent"},
        {"tV3N4LyIutE","sceSystemLogger2DeliveryTerminate"},
        {"cwLEmQa8OFg","sceSystemLogger2GetTimestamp"},
        {"1-1uDZ4tiFA","sceSystemLogger2Initialize"},
        {"libpnl6UIGg","sceSystemLogger2NativeQueueClientCheckAndMaskData"},
        {"q8a6R8SJHms","sceSystemLogger2NativeQueueClientGetEvent"},
        {"FJyVzN8qkOo","sceSystemLogger2NativeQueueClientSetDeliveryEnable"},
        {"52wOUjm4hZA","sceSystemLogger2NativeQueueClientSetDeliveryResult"},
        {"obQpnx50kEk","sceSystemLogger2NativeQueueClientSetNativeQueueConfig"},
        {"dZ-zZ+N9aAo","sceSystemLogger2SetAsyncPeripheralConnectionLog"},
        {"hX5OlI45fC4","sceSystemLogger2SetEventAsync"},
        {"FCD1HduAwWQ","sceSystemLogger2SetEventAsyncEx"},
        {"XP7S05gKWoM","sceSystemLogger2SetLog"},
        {"e-TjHAkKilQ","sceSystemLogger2SetLogAsync"},
        {"lRL0zzmbcU0","sceSystemLogger2SetPeripheralConnectionLog"},
        {"bfDcj2PJL6g","sceSystemLogger2Terminate"},
        {"EwC6IQrXGoY","sceSystemLoggerInitialize"},
        {"AYbQS0FkE3c","sceSystemLoggerSetLogData"},
        {"j-Fnm8OaiKc","sceSystemLoggerTerminate"},
        {"WhIdEVFHHSo","sceSystemModalDialogClose"},
        {"aTtay82qJM8","sceSystemModalDialogOpen"},
        {"M-7b4noXQUE","sceSystemServiceAcquireBgmCpuBudget"},
        {"0z7srulNt7U","sceSystemServiceAcquireFb0"},
        {"+2uXfrrQCyk","sceSystemServiceActivateHevc"},
        {"VXA8STT529w","sceSystemServiceActivateHevcAbort"},
        {"-9LzYPdangA","sceSystemServiceActivateHevcGetStatus"},
        {"BgjPgbXKYjE","sceSystemServiceActivateHevcInit"},
        {"2HHfdrT+rnQ","sceSystemServiceActivateHevcIsActivated"},
        {"f-WtMqIKo20","sceSystemServiceActivateHevcSoft"},
        {"s6ucQ90BW3g","sceSystemServiceActivateHevcSoftAbort"},
        {"MyDvxh8+ckI","sceSystemServiceActivateHevcSoftGetStatus"},
        {"ytMU6x1nlmU","sceSystemServiceActivateHevcSoftInit"},
        {"djVe06YjzkI","sceSystemServiceActivateHevcSoftIsActivated"},
        {"PNO2xlDVdzg","sceSystemServiceActivateHevcSoftStart"},
        {"P-awBIrXrTQ","sceSystemServiceActivateHevcSoftTerm"},
        {"E9FdusyklCA","sceSystemServiceActivateHevcStart"},
        {"tImUgGSSHpc","sceSystemServiceActivateHevcTerm"},
        {"F-nn3DvNKww","sceSystemServiceActivateMpeg2Abort"},
        {"W-U8F5o2SHg","sceSystemServiceActivateMpeg2GetStatus"},
        {"PkRTWNBI4IQ","sceSystemServiceActivateMpeg2Init"},
        {"aVZb961bWBU","sceSystemServiceActivateMpeg2IsActivated"},
        {"-7zMNJ1Ap1c","sceSystemServiceActivateMpeg2Start"},
        {"JjIspXDbL6o","sceSystemServiceActivateMpeg2Term"},
        {"0cl8SuwosPQ","sceSystemServiceAddLocalProcess"},
        {"jPKapVQLX70","sceSystemServiceAddLocalProcessForJvm"},
        {"tIdXUhSLyOU","sceSystemServiceAddLocalProcessForPs2Emu"},
        {"cltshBrDLC0","sceSystemServiceAddLocalProcessForPsmKit"},
        {"HOSnwjsiZMk","sceSystemServiceAppGetAppInstallStatus"},
        {"FI+VqGdttvI","sceSystemServiceChangeAcpClock"},
        {"mbOc0mgE4GI","sceSystemServiceChangeClock"},
        {"ec72vt3WEQo","sceSystemServiceChangeCpuClock"},
        {"YwrLa0Mekjw","sceSystemServiceChangeCpuPstate"},
        {"Z5RgV4Chwxg","sceSystemServiceChangeGpuClock"},
        {"1OcQaIYrTnY","sceSystemServiceChangeMemPstate"},
        {"LFo00RWzqRU","sceSystemServiceChangeMemoryClock"},
        {"MyBXslDE+2o","sceSystemServiceChangeMemoryClockToBaseMode"},
        {"qv+X8gozqF4","sceSystemServiceChangeMemoryClockToDefault"},
        {"fOsE5pTieqY","sceSystemServiceChangeMemoryClockToMultiMediaMode"},
        {"5MLppFJZyX4","sceSystemServiceChangeNumberOfGpuCu"},
        {"lgTlIAEJ33M","sceSystemServiceChangeSamuClock"},
        {"BQUi7AW+2tQ","sceSystemServiceChangeUvdClock"},
        {"fzguXBQzNvI","sceSystemServiceChangeVceClock"},
        {"EqcPA3ugRP8","sceSystemServiceDeclareReadyForSuspend"},
        {"64nkF7LGk8w","sceSystemServiceDisableMediaPlay"},
        {"x1UB9bwDSOw","sceSystemServiceDisableMusicPlayer"},
        {"8Lo6Zv94aho","sceSystemServiceDisableNoticeScreenSkipFlagAutoSet"},
        {"45QrFvUkrjg","sceSystemServiceDisablePartyVoice"},
        {"Mr1IgQaRff0","sceSystemServiceDisablePersonalEyeToEyeDistanceSetting"},
        {"PQ+SjXAg3EM","sceSystemServiceDisableSuspendConfirmationDialog"},
        {"Mi0qwCb+rvo","sceSystemServiceDisableSuspendNotification"},
        {"d3OnoKtNjGg","sceSystemServiceDisableVoiceRecognition"},
        {"O3irWUQ2s-g","sceSystemServiceEnablePersonalEyeToEyeDistanceSetting"},
        {"Rn32O5PDlmo","sceSystemServiceEnableSuspendConfirmationDialog"},
        {"a5Kjjq6HgcU","sceSystemServiceEnableSuspendNotification"},
        {"QtfJhsE1x-M","sceSystemServiceGetAppCategoryType"},
        {"xjE7xLfrLUk","sceSystemServiceGetAppFocusedAppStatus"},
        {"TtItikWwBgs","sceSystemServiceGetAppId"},
        {"nvpU78k-5Kc","sceSystemServiceGetAppIdListOfBigApp"},
        {"f4oDTxAJCHE","sceSystemServiceGetAppIdOfBigApp"},
        {"BBSmGrxok5o","sceSystemServiceGetAppIdOfMiniApp"},
        {"NwT2R5lo8P8","sceSystemServiceGetAppIdOfRunningBigApp"},
        {"BZGAf+F0blI","sceSystemServiceGetAppLaunchedUser"},
        {"t5ShV0jWEFE","sceSystemServiceGetAppStatus"},
        {"0YmI09jOP-g","sceSystemServiceGetAppTitleId"},
        {"YLbhAXS20C0","sceSystemServiceGetAppType"},
        {"0TDfP7R4fiQ","sceSystemServiceGetDbgExecutablePath"},
        {"1n37q1Bvc5Y","sceSystemServiceGetDisplaySafeAreaInfo"},
        {"JFg3az5ITN4","sceSystemServiceGetEventForDaemon"},
        {"4imyVMxX5-8","sceSystemServiceGetGpuLoadEmulationMode"},
        {"mPpPxv5CZt4","sceSystemServiceGetHdrToneMapLuminance"},
        {"ZNIuJjqdtgI","sceSystemServiceGetLocalProcessStatusList"},
        {"4veE0XiIugA","sceSystemServiceGetMainAppTitleId"},
        {"3RQ5aQfnstU","sceSystemServiceGetNoticeScreenSkipFlag"},
        {"gbUBqHCEgAI","sceSystemServiceGetPSButtonEvent"},
        {"UMIlrOlGNQU","sceSystemServiceGetParentSocket"},
        {"zqjkZ5VKFSg","sceSystemServiceGetParentSocketForJvm"},
        {"qhPJ1EfqLjQ","sceSystemServiceGetParentSocketForPs2Emu"},
        {"4ZYuSI8i2aM","sceSystemServiceGetParentSocketForPsmKit"},
        {"5u2WeL-PR2w","sceSystemServiceGetPlatformPrivacyDefinitionData"},
        {"t5K+IeMVD1Q","sceSystemServiceGetPlatformPrivacyDefinitionVersion"},
        {"hvoLYhc4cq0","sceSystemServiceGetPlatformPrivacySetting"},
        {"NKbUhZWU1Fc","sceSystemServiceGetRecentLotusPushedButton"},
        {"Getl+RqEhVQ","sceSystemServiceGetRemoteplayStatus"},
        {"jA629PcMCKU","sceSystemServiceGetRenderingMode"},
        {"rPo6tV8D9bM","sceSystemServiceGetStatus"},
        {"Ewjywv3W4QA","sceSystemServiceGetSubAppTitleId"},
        {"Kc8KQ-sG2uA","sceSystemServiceGetSubAppTitleIdForSP"},
        {"VrvpoJEoSSU","sceSystemServiceGetTitleWorkaroundInfo"},
        {"J8t8t3eVoMg","sceSystemServiceGetUIStatus"},
        {"s4OcLqLsKn0","sceSystemServiceGetVersionNumberOfCameraCalibrationData"},
        {"Vo5V8KAwCmk","sceSystemServiceHideSplashScreen"},
        {"gD4wh2+nuuU","sceSystemServiceInitializeForShellCore"},
        {"m5CYKX20wfg","sceSystemServiceInitializePlayerDialogParam"},
        {"rTa0Vp-4nKA","sceSystemServiceInvokeAppLaunchLink"},
        {"d-15YTCUMVU","sceSystemServiceIsAppSuspended"},
        {"1eoAje5ctyA","sceSystemServiceIsBgmCpuBudgetAvailable"},
        {"SYqaqLuQU6w","sceSystemServiceIsBgmPlaying"},
        {"O4x1B7aXRYE","sceSystemServiceIsEyeToEyeDistanceAdjusted"},
        {"HGA2SV-Gkq8","sceSystemServiceIsGameLiveStreamingOnAir"},
        {"bMDbofWFNfQ","sceSystemServiceIsScreenSaverOn"},
        {"KQFyDkgAjVs","sceSystemServiceIsShellUiFgAndGameBgCpuMode"},
        {"N4RkyJh7FtA","sceSystemServiceKillApp"},
        {"6jpZY0WUwLM","sceSystemServiceKillLocalProcess"},
        {"2TJ5KzC73gY","sceSystemServiceKillLocalProcessForJvm"},
        {"fKqJTnoZ8C8","sceSystemServiceKillLocalProcessForPs2Emu"},
        {"7cTc7seJLfQ","sceSystemServiceKillLocalProcessForPsmKit"},
        {"l4FB3wNa-Ac","sceSystemServiceLaunchApp"},
        {"b-PXKlXtMyU","sceSystemServiceLaunchByName2"},
        {"wX9wVFaegaM","sceSystemServiceLaunchEventDetails"},
        {"uaieF+glFPs","sceSystemServiceLaunchPlayerDialog"},
        {"Zj5FGJQPFxs","sceSystemServiceLaunchStore"},
        {"G5AwzWnHxks","sceSystemServiceLaunchTournamentList"},
        {"wIc92b0x6hk","sceSystemServiceLaunchTournamentsTeamProfile"},
        {"YNoDjc1BPJI","sceSystemServiceLaunchUdsApp"},
        {"f34qn7XA3QE","sceSystemServiceLaunchWebApp"},
        {"-+3hY+y8bNo","sceSystemServiceLaunchWebBrowser"},
        {"JoBqSQt1yyA","sceSystemServiceLoadExec"},
        {"AmTvo3RT5ss","sceSystemServiceLoadExecVideoServiceWebApp"},
        {"9ScDVErRRgw","sceSystemServiceNavigateToAnotherApp"},
        {"e4E3MIEAS2A","sceSystemServiceNavigateToGoBack"},
        {"ZeubLhPDitw","sceSystemServiceNavigateToGoBackWithValue"},
        {"x2-o9eBw3ZU","sceSystemServiceNavigateToGoHome"},
        {"r8QyPRbTAAk","sceSystemServiceNotifyBgmCoreTermination"},
        {"sPuK5ic3GD4","sceSystemServiceOpenChallengeActivity"},
        {"gELp9ue2ccQ","sceSystemServiceOpenTournamentOccurrence"},
        {"fZo48un7LK4","sceSystemServiceParamGetInt"},
        {"SsC-m-S9JTA","sceSystemServiceParamGetString"},
        {"XbbJC3E+L5M","sceSystemServicePowerTick"},
        {"2xenlv7M-UU","sceSystemServiceRaiseExceptionLocalProcess"},
        {"656LMQSrg6U","sceSystemServiceReceiveEvent"},
        {"uInYhy7xa+U","sceSystemServiceReenableMediaPlay"},
        {"9kPCz7Or+1Y","sceSystemServiceReenableMusicPlayer"},
        {"hU3bSlF2OKs","sceSystemServiceReenablePartyVoice"},
        {"c-aFKhn74h0","sceSystemServiceReenableVoiceRecognition"},
        {"Pi3K47Xw0ss","sceSystemServiceRegisterDaemon"},
        {"MX9WiAJ36BU","sceSystemServiceReleaseBgmCpuBudget"},
        {"Oms065qIClY","sceSystemServiceReleaseFb0"},
        {"3s8cHiCBKBE","sceSystemServiceReportAbnormalTermination"},
        {"3ZFpzcRqYsk","sceSystemServiceRequestCameraCalibration"},
        {"d4imyunHryo","sceSystemServiceRequestPowerOff"},
        {"oEJqGsNtFIw","sceSystemServiceRequestReboot"},
        {"P71fvnHyFTQ","sceSystemServiceRequestToChangeRenderingMode"},
        {"tMuzuZcUIcA","sceSystemServiceResumeLocalProcess"},
        {"DILuzcvXjGQ","sceSystemServiceSaveVideoToken"},
        {"DNE77sfNw5Y","sceSystemServiceSetControllerFocusPermission"},
        {"eLWnPuja+Y8","sceSystemServiceSetGpuLoadEmulationMode"},
        {"Q3utJvma4Mo","sceSystemServiceSetNoticeScreenSkipFlag"},
        {"Xn-eH9-Fu60","sceSystemServiceSetOutOfVrPlayAreaFlag"},
        {"sgRPNJjrWjg","sceSystemServiceSetOutOfVrPlayZoneWarning"},
        {"nT-7-iG55M8","sceSystemServiceSetPowerSaveLevel"},
        {"uhD7g7zXIQo","sceSystemServiceShowClosedCaptionAdvancedSettings"},
        {"5W6LurzMZaY","sceSystemServiceShowClosedCaptionSettings"},
        {"w9wlKcHrmm8","sceSystemServiceShowControllerSettings"},
        {"tPfQU2pD4-M","sceSystemServiceShowDisplaySafeAreaSettings"},
        {"8QQxOZQP9lc","sceSystemServiceShowErrorDialog"},
        {"f8eZvJ8hV6o","sceSystemServiceShowEyeToEyeDistanceSetting"},
        {"YtDk7X3FF08","sceSystemServiceShowImposeMenuForPs2Emu"},
        {"vY1-RZtvvbk","sceSystemServiceSuspendBackgroundApp"},
        {"kTiAx7e2zU4","sceSystemServiceSuspendLocalProcess"},
        {"3nn7rnOdt1g","sceSystemServiceTelemetrySetData"},
        {"83leZmsmmT4","sceSystemServiceTelemetrySetData2"},
        {"zlXqkzPY-ds","sceSystemServiceTickVideoPlayback"},
        {"vOhqz-IMiW4","sceSystemServiceTurnOffScreenSaver"},
        {"LUgpodNR61M","sceSystemServiceUsbStorageGetDeviceInfo"},
        {"p-79ZEd8qW0","sceSystemServiceUsbStorageGetDeviceList"},
        {"eVpETZzMRn0","sceSystemServiceUsbStorageGetdentsClose"},
        {"cFrUvCaU5KE","sceSystemServiceUsbStorageGetdentsOpen"},
        {"L7Xg6xdBniQ","sceSystemServiceUsbStorageGetdentsRead"},
        {"vv9n14vQtmo","sceSystemServiceUsbStorageInit"},
        {"C+P5nUw7FYE","sceSystemServiceUsbStorageIsExist"},
        {"rnvDWnAiM2M","sceSystemServiceUsbStorageRegisterCallback"},
        {"lt7eNuXpw8Q","sceSystemServiceUsbStorageRegisterCallbackForMapAvailable"},
        {"M0CpWNzV-1o","sceSystemServiceUsbStorageRegisterCallbackForMapUnavailable"},
        {"XTV1xv3H4qw","sceSystemServiceUsbStorageRequestMap"},
        {"pHH5hyfxX9Y","sceSystemServiceUsbStorageRequestMapWSB"},
        {"s8vuHbvbtis","sceSystemServiceUsbStorageRequestUnmap"},
        {"jQcQgA0GJ6k","sceSystemServiceUsbStorageTerm"},
        {"cvTnVQBmRZA","sceSystemServiceUsbStorageUnregisterCallback"},
        {"4wFdhvGOlHk","sceSystemServiceUsbStorageUnregisterCallbackForMapAvailable"},
        {"jUYKhvT0-lg","sceSystemServiceUsbStorageUnregisterCallbackForMapUnavailable"},
        {"eBFzDYThras","sceSystemStateMgrCancelShutdownTimer"},
        {"Ap5dJ0zHRVY","sceSystemStateMgrEnterMediaPlaybackMode"},
        {"Laac0S4FuhE","sceSystemStateMgrEnterStandby"},
        {"rSquvOtwQmk","sceSystemStateMgrExtendShutdownTimer"},
        {"FzjISMWw5Xg","sceSystemStateMgrExtendShutdownTimerForPostAutoUpdateProcess"},
        {"ze0ky5Q1yE8","sceSystemStateMgrGetCurrentState"},
        {"wlxvESTUplk","sceSystemStateMgrGetTriggerCode"},
        {"cmjuYpVujQs","sceSystemStateMgrIsBdDriveReady"},
        {"texLPLDXDso","sceSystemStateMgrIsGpuPerformanceNormal"},
        {"asLBe0esmIY","sceSystemStateMgrIsShellUIShutdownInProgress"},
        {"j3IrOCL+DmM","sceSystemStateMgrIsStandbyModeEnabled"},
        {"88y5DztlXBE","sceSystemStateMgrLeaveMediaPlaybackMode"},
        {"H2f6ZwIqLJg","sceSystemStateMgrNotifySystemSuspendResumeProgress"},
        {"uR1wFHXX1XQ","sceSystemStateMgrReboot"},
        {"9WRHk1wQT08","sceSystemStateMgrRequestToKeepMainOnStandby"},
        {"gPx1b36zyMY","sceSystemStateMgrSendCecOneTouchPlayCommand"},
        {"PcJ5DLzZXSs","sceSystemStateMgrStartRebootTimer"},
        {"7qf7mhzOQPo","sceSystemStateMgrStartShutdownTimer"},
        {"ZwhQSHTqGpE","sceSystemStateMgrStartStadbyTimer"},
        {"YWftBq50hcA","sceSystemStateMgrStartVshAutoUpdateTimer"},
        {"ypl-BoZZKOM","sceSystemStateMgrTickMusicPlayback"},
        {"GvqPsPX4EUI","sceSystemStateMgrTickPartyChat"},
        {"gK3EX6ZKtKc","sceSystemStateMgrTurnOff"},
        {"U1dZXAjkBVo","sceSystemStateMgrVshAutoUpdate"},
        {"geg26leOsvw","sceSystemStateMgrWaitVshAutoUpdateVerifyDone"},
        {"6gtqLPVTdJY","sceSystemStateMgrWakeUp"},
        {"ptEq8HFfa58","sceSystemTtsCancel"},
        {"COqIT6fJpzc","sceSystemTtsIsAccessibilityAvailable"},
        {"up9Z19akYXM","sceSystemTtsRegisterCallback"},
        {"GecDKH8ag3M","sceSystemTtsSpeakRequest"},
        {"a05rlp573ow","sceSystemTtsUnregisterCallback"},
        {"2jiIxUmcsGo","sceTextToSpeech2Cancel"},
        {"t4e879M-cSw","sceTextToSpeech2Close"},
        {"08JSg9p6bgQ","sceTextToSpeech2GetSpeechStatus"},
        {"+352WTlGCQI","sceTextToSpeech2GetSystemStatus"},
        {"UOjiprYwVNw","sceTextToSpeech2Initialize"},
        {"X0HZNbSiqyg","sceTextToSpeech2Open"},
        {"LazJT1ZrQys","sceTextToSpeech2RegisterTextConversionItem"},
        {"8ntsRd07EQA","sceTextToSpeech2Speak"},
        {"SoWHuVW0gpU","sceTextToSpeech2Terminate"},
        {"Fz+01Q4GjpM","sceTextToSpeechCancelImpl"},
        {"yn2loAZJRfk","sceTextToSpeechCloseImpl"},
        {"RqBl+ySY4vo","sceTextToSpeechGetAudioDataImpl"},
        {"q6yAtHbMlyk","sceTextToSpeechGetStatusImpl"},
        {"KXBnxqAeTuo","sceTextToSpeechInitImpl"},
        {"HFM-KkVMVps","sceTextToSpeechOpenImpl"},
        {"m8KLvqm+xF4","sceTextToSpeechPauseImpl"},
        {"AceRR9y6-ss","sceTextToSpeechResumeImpl"},
        {"0iJvHDhBxtA","sceTextToSpeechSpeakContinuousImpl"},
        {"wapB9dMovnk","sceTextToSpeechSpeakImpl"},
        {"rjU70FGcXDw","sceTextToSpeechTermImpl"},
        {"MZbcWoK2x6s","sceTsCloseFile"},
        {"x5crCoykxlM","sceTsDisableRepresentation"},
        {"pyoZ0o2qhgE","sceTsEnableRepresentation"},
        {"mD3OeD3UdZk","sceTsEnableStream"},
        {"Q5py3m4I8SA","sceTsGetAvailableBW"},
        {"eKxoV8TKYy4","sceTsGetLiveStatus"},
        {"tgPoC4+mOy4","sceTsGetNextAuInfo"},
        {"5d1ETCfqFnA","sceTsGetNextUnitData"},
        {"rnjsFB0Fqps","sceTsGetRepresentationCount"},
        {"CBX4+UX-tG4","sceTsGetRepresentationInfo"},
        {"OEzZq+ThEio","sceTsGetSeekWindow"},
        {"HTQKxIObCrs","sceTsGetStreamInfo"},
        {"pXYlucRhimU","sceTsGetUrlEncryptionType"},
        {"jyGoZLZlG-M","sceTsJumpPTS"},
        {"j2in3S4xf+0","sceTsOpenFile"},
        {"I4Dpeom1P6Y","sceTsOpenFileEx"},
        {"6gT5JU72smg","sceTsReleaseBuffer"},
        {"nNCXg4kNpuc","sceTsRepresentationIsEnabled"},
        {"ARai7ZRDpHs","sceTsSetAvailableBW"},
        {"amNUtF1PF-w","sceTsSetStartingBW"},
        {"aQwNhI19JpE","sceTsStartFileStreaming"},
        {"buBHKGLpYr4","sceTsStopFileStreaming"},
        {"hs-OARoWdxo","sceUlpMgrCloseAllConnectedClients"},
        {"1+6sx9A7XeE","sceUlpMgrGetDecidState"},
        {"SFut4SyB1cY","sceUlpMgrGetNetmpListenSock"},
        {"ISoryBJKvl4","sceUlpMgrInit"},
        {"k8d54j+HQn4","sceUlpMgrInitDecidState"},
        {"thJiv7AgGXY","sceUlpMgrQueuePush"},
        {"OdTS2QXIVos","sceUlpMgrQueueTryPop"},
        {"rn7ot06ElIs","sceUlpMgrRecv"},
        {"mH-YHAtaP7I","sceUlpMgrRecvData"},
        {"OvsK57sLpQE","sceUlpMgrRegisterProtocol"},
        {"K8SZy3MsiaY","sceUlpMgrReqClose"},
        {"pBiaquuxxw8","sceUlpMgrReqOpen"},
        {"zuW6UxRHTxQ","sceUlpMgrReqSuspend"},
        {"-4xfEZanOFg","sceUlpMgrSaveConnectionInfoList"},
        {"0HyIe5JPZYE","sceUlpMgrSend"},
        {"fDGYYXcby1w","sceUlpMgrSendData"},
        {"FjDPATY4YZw","sceUlpMgrSetDecidState"},
        {"4UsFAtbEpzI","sceUlpMgrSetNetmpListenSock"},
        {"4M7UYhGTlqk","sceUlpMgrUnregisterProtocol"},
        {"T4WqXTOe+A4","sceUlpMgrVshFinalize"},
        {"zngUTKZc6FQ","sceUlpMgrVshGetStatCmd"},
        {"w62wXXsQx5E","sceUlpMgrVshInitialize"},
        {"IK1XJgSEKSc","sceUlpMgrVshInstallCmd"},
        {"cVRZlC-iNk4","sceUlpMgrVshMountCmd"},
        {"Wfr3Ss7wSPg","sceUlpMgrVshNextChunkCmd"},
        {"M7+3rTaF1Bk","sceUlpMgrVshReadEvent"},
        {"VyxKS1qRxDk","sceUlpMgrVshUninstallCmd"},
        {"40IZ5L7mLQo","sceUlpMgrVshUnmountCmd"},
        {"xrmmI832R4U","sceUltConditionVariableDestroy"},
        {"JTw1cAVkuc0","sceUltConditionVariableSignal"},
        {"byiceqcMvV0","sceUltConditionVariableSignalAll"},
        {"5xGAHCxA8M0","sceUltConditionVariableWait"},
        {"d-kSG2fLrvI","sceUltFinalize"},
        {"wps6M1FgHE4","sceUltGetConditionVariableInfo"},
        {"xBd3WoSt2PA","sceUltGetMutexInfo"},
        {"-aVO3GCDUAs","sceUltGetQueueDataResourcePoolInfo"},
        {"g9FncxNrnmw","sceUltGetQueueInfo"},
        {"SB7YXgR8WSE","sceUltGetReaderWriterLockInfo"},
        {"E5Koh2tNPtY","sceUltGetSemaphoreInfo"},
        {"jNMdItooJzc","sceUltGetUlthreadInfo"},
        {"dfVvFVZgr68","sceUltGetUlthreadRuntimeInfo"},
        {"XSjr+FjsU4s","sceUltGetWaitingQueueResourcePoolInfo"},
        {"hZIg1EWGsHM","sceUltInitialize"},
        {"jW+HnafeS3Y","sceUltMutexDestroy"},
        {"8hEGkR1pfr8","sceUltMutexLock"},
        {"jOsUG0BJI-Y","sceUltMutexTryLock"},
        {"h0XebKiMBtk","sceUltMutexUnlock"},
        {"dh11uAUWNyM","sceUltQueueDataResourcePoolDestroy"},
        {"evj9YPkS8s4","sceUltQueueDataResourcePoolGetWorkAreaSize"},
        {"PP9nZxpSKLY","sceUltQueueDestroy"},
        {"RVSq2tsm2yw","sceUltQueuePop"},
        {"dUwpX3e5NDE","sceUltQueuePush"},
        {"uZz3ci7XYqc","sceUltQueueTryPop"},
        {"6Mc2Xs7pI1I","sceUltQueueTryPush"},
        {"gCA-D2wiiD0","sceUltReaderWriterLockDestroy"},
        {"Hb9HWFKo9F4","sceUltReaderWriterLockLockRead"},
        {"RgKmNey20Ns","sceUltReaderWriterLockLockWrite"},
        {"J7Xs-UluzGk","sceUltReaderWriterLockTryLockRead"},
        {"9Sh0Kk7Xf4w","sceUltReaderWriterLockTryLockWrite"},
        {"8Ssk4OU38vw","sceUltReaderWriterLockUnlockRead"},
        {"gcFCn5J5DXY","sceUltReaderWriterLockUnlockWrite"},
        {"QAH1ofI97vU","sceUltSemaphoreAcquire"},
        {"izXyehpoZGo","sceUltSemaphoreDestroy"},
        {"lbtk5X1mecw","sceUltSemaphoreRelease"},
        {"HA1Ldbi3lPY","sceUltSemaphoreTryAcquire"},
        {"kF--s3xZjco","sceUltUlthreadExit"},
        {"xOQ9oACobA4","sceUltUlthreadGetSelf"},
        {"gCeAI57LGgI","sceUltUlthreadJoin"},
        {"-gxcs521SvA","sceUltUlthreadRuntimeDestroy"},
        {"grs2pbc2awM","sceUltUlthreadRuntimeGetWorkAreaSize"},
        {"DsW+3FTXL0Q","sceUltUlthreadTryJoin"},
        {"HFd-lpjGxJA","sceUltUlthreadYield"},
        {"or55417wcDk","sceUltWaitingQueueResourcePoolDestroy"},
        {"WIWV1Qd7PFU","sceUltWaitingQueueResourcePoolGetWorkAreaSize"},
        {"TvLOxBx5J-Q","sceUpsrvGetCompletedTaskId"},
        {"Wc3c-XGj0cg","sceUpsrvGetNextUpdateCheckDateTime"},
        {"rb+XR5iVTV0","sceUpsrvGetRebootFlag"},
        {"TIr3rnF-1RA","sceUpsrvGetSystemExUpdateTaskState"},
        {"IOC0zyNzTM0","sceUpsrvInitialize"},
        {"1wMKF3L2PXU","sceUpsrvPostErrorLog"},
        {"oVgyCJCrGcY","sceUpsrvResumePausedTask"},
        {"lOitg3BrGSw","sceUpsrvSetFakeVersion"},
        {"Bh-+3oc6euE","sceUpsrvStartUpdateSession"},
        {"p9bBXbQwjqY","sceUpsrvSwitchSystemExBank"},
        {"jPd1vzuldfM","sceUpsrvSwitchSystemExBankWithoutVerify"},
        {"z6eXJFh2VAE","sceUpsrvTerminate"},
        {"t7ZnM1gdYv4","sceUpsrvUpdateAppdbForEap"},
        {"7krELEpl+Y0","sceUpsrvUpdateCancelBDUpdate"},
        {"Ayjio+cfSFA","sceUpsrvUpdateCheckCancel"},
        {"H+3rEYCIICE","sceUpsrvUpdateCheckCreateHandler"},
        {"CweVdHVfxDQ","sceUpsrvUpdateCheckDestroyHandler"},
        {"FcoLzecMfmQ","sceUpsrvUpdateCheckDoCheckGame"},
        {"aosLBGaeOtw","sceUpsrvUpdateCheckDoCheckSystem"},
        {"TUmlsjCjEQA","sceUpsrvUpdateCheckDoCheckSystemBeta"},
        {"UYWBwps1yD4","sceUpsrvUpdateCheckDoCheckSystemExpBeta"},
        {"CoTbY7roruU","sceUpsrvUpdateCheckDoCheckSystemForDevKit"},
        {"fh09rY0ltb8","sceUpsrvUpdateCheckDoCheckSystemForSettings"},
        {"y6sRnKP+WLc","sceUpsrvUpdateCheckDoCheckSystemVersionDown"},
        {"NqCD8n5dq+Y","sceUpsrvUpdateCheckDoCheckSystemWithPupInfo"},
        {"upKNCUpJ018","sceUpsrvUpdateCheckGetPackageInfo"},
        {"AaVc2ZX5wCI","sceUpsrvUpdateCheckGetUpdatelistURL"},
        {"v20c4Nmpmn8","sceUpsrvUpdateCheckIsSystemBetaClosed"},
        {"JCqpB7AGLQg","sceUpsrvUpdateCheckRequestCheckGame"},
        {"glX67PWaF-g","sceUpsrvUpdateCreateUpdateTask"},
        {"aYBAAH7Gfws","sceUpsrvUpdateDestroyUpdateTask"},
        {"dsC4xos42zM","sceUpsrvUpdateDoCheckBootUpdate"},
        {"0YZj+ZnhLy4","sceUpsrvUpdateDoExternalDeviceUpdate"},
        {"yCN5HUwLaVU","sceUpsrvUpdateDoUpdate"},
        {"fUKhVPe60cg","sceUpsrvUpdateDoUpdateAsync"},
        {"Hr-OkmQ25GM","sceUpsrvUpdateDoUpdateBeta"},
        {"mJPaK-5KhUs","sceUpsrvUpdateDoUpdateExpBeta"},
        {"sYSfAewkXkU","sceUpsrvUpdateDoUpdateSystemEx"},
        {"pMqmEivov4M","sceUpsrvUpdateDoUpdateWithEntitlement"},
        {"TTMT4FFg3zI","sceUpsrvUpdateDoUpdateWithHandler"},
        {"z3HMx6djzdM","sceUpsrvUpdateDoUpdateWithPupInfo"},
        {"qVFutWcNYZ8","sceUpsrvUpdateDoUpdateWithPupPath"},
        {"dtV1Zqx4jU0","sceUpsrvUpdateDoUpdateWithPupPath2"},
        {"WhilT63upyA","sceUpsrvUpdateGetBetaAgreementUrl"},
        {"8M64VSmc8-A","sceUpsrvUpdateGetBetaAgreementUrlForUpdate"},
        {"EtEs+C-L3FY","sceUpsrvUpdateGetBetaFeatureListUrlForUpdate"},
        {"a2iXMbcH7Xc","sceUpsrvUpdateGetDownloadProgress"},
        {"2CeEvU+2VzY","sceUpsrvUpdateGetEulaDisplay"},
        {"gW9NKRTJrvE","sceUpsrvUpdateGetEulaStr"},
        {"M7FIVsvMulQ","sceUpsrvUpdateGetEulaStrLen"},
        {"73cbQgoCuB4","sceUpsrvUpdateGetFeatureList"},
        {"d1dupKoGH1Q","sceUpsrvUpdateGetFeatureListUrl"},
        {"8gps121HPSU","sceUpsrvUpdateGetFeatureListUrlForSystemExUpdate"},
        {"EZqxQRb1foc","sceUpsrvUpdateGetFeatureListUrlForUpdate"},
        {"eU-ln60CLMs","sceUpsrvUpdateGetImageWritingProgress"},
        {"ZOCrQPsxrj4","sceUpsrvUpdateGetObfuscatedString"},
        {"IVd2CCSrXzY","sceUpsrvUpdateGetProgress"},
        {"b-w9zKxBi7E","sceUpsrvUpdateGetUpdateTaskInfo"},
        {"UrN6mFAbgbA","sceUpsrvUpdateGetUpdateTaskMgrInfo"},
        {"08EzCX5QN0w","sceUpsrvUpdateGetUrlForBetaAgreement"},
        {"IgguX1ZMXMM","sceUpsrvUpdateGetUrlForFeatureList"},
        {"3upe0x3ZdiY","sceUpsrvUpdateGetUrlForFeatureListBeta"},
        {"h3jCAr5wSM4","sceUpsrvUpdateRequestDownloadPup"},
        {"2sUoEjXwIps","sceUpsrvUpdateRequestDownloadPupCancel"},
        {"Ycun7TYB2+Q","sceUpsrvUpdateSetEulaAccept"},
        {"kfrIiNR8AV4","sceUpsrvUpdateSetUpdateMode"},
        {"W+-F1p6av2g","sceUpsrvUpdateStartUpdateTask"},
        {"-3KN5+5cUf8","sceUpsrvVerifySystemExBank"},
        {"MTEBJdi3YNQ","sceUrlConfigResolverGetAppConfig"},
        {"7wCjXDc2cjI","sceUrlConfigResolverGetDefaultQueryParameter"},
        {"Y00mcdiTiOA","sceUrlConfigResolverGetDeviceId"},
        {"kBo7ItYgSPo","sceUrlConfigResolverGetJscHeapSizeSoftLimit"},
        {"RN02UVCL9kU","sceUsbStorageClearFakeWriteProtection"},
        {"K7Vb-7JGXVc","sceUsbStorageDialogClose"},
        {"ul-kdmwPExY","sceUsbStorageDialogGetResult"},
        {"zI+X8+h6dL8","sceUsbStorageDialogGetStatus"},
        {"IX49aL2rOGU","sceUsbStorageDialogInitialize"},
        {"ClBMa8CWKkM","sceUsbStorageDialogOpen"},
        {"O2rgVi8YyOg","sceUsbStorageDialogTerminate"},
        {"MpXK+QLRpwU","sceUsbStorageDialogUpdateStatus"},
        {"-GvBqz54ssU","sceUsbStorageGetDeviceInfo"},
        {"mryrNITeYvI","sceUsbStorageGetDeviceList"},
        {"1RGfzjJj4VE","sceUsbStorageGetMountPointOfShellCore"},
        {"w1mZOJCxvhQ","sceUsbStorageGetdentsClose"},
        {"2LrlpFmBTC8","sceUsbStorageGetdentsOpen"},
        {"OeJdPEmLYX4","sceUsbStorageGetdentsRead"},
        {"BDDZwF5kuTc","sceUsbStorageInit"},
        {"tO8DvyElInw","sceUsbStorageIsExist"},
        {"vFkdkzJgSpw","sceUsbStorageRegisterCallback"},
        {"0rG6xtn7N5Q","sceUsbStorageRegisterCallbackForMapAvailable"},
        {"8mpZuu7xfbM","sceUsbStorageRegisterCallbackForMapUnavailable"},
        {"IDYJZSeBgDs","sceUsbStorageRequestMap"},
        {"rx7EcAS2ARk","sceUsbStorageRequestMapWSB"},
        {"fl3roYs7F9U","sceUsbStorageRequestUnmap"},
        {"dkOLeMUuEwA","sceUsbStorageSetFakeMapLockForDebug"},
        {"e9esEJLGY0o","sceUsbStorageSetFakeWriteProtection"},
        {"Wp8zHTocS5E","sceUsbStorageTerm"},
        {"+Ib-MHNUf80","sceUsbStorageUnregisterCallback"},
        {"C3ETNYXsht4","sceUsbStorageUnregisterCallbackForMapAvailable"},
        {"4YMBk1lfUm0","sceUsbStorageUnregisterCallbackForMapUnavailable"},
        {"0ktE1PhzGFU","sceUsbdAllocTransfer"},
        {"BKMEGvfCPyU","sceUsbdAttachKernelDriver"},
        {"fotb7DzeHYw","sceUsbdBulkTransfer"},
        {"-KNh1VFIzlM","sceUsbdCancelTransfer"},
        {"MlW6deWfPp0","sceUsbdCheckConnected"},
        {"AE+mHBHneyk","sceUsbdClaimInterface"},
        {"3tPPMo4QRdY","sceUsbdClearHalt"},
        {"HarYYlaFGJY","sceUsbdClose"},
        {"RRKFcKQ1Ka4","sceUsbdControlTransfer"},
        {"XUWtxI31YEY","sceUsbdControlTransferGetData"},
        {"SEdQo8CFmus","sceUsbdControlTransferGetSetup"},
        {"Y5go+ha6eDs","sceUsbdDetachKernelDriver"},
        {"Vw8Hg1CN028","sceUsbdEventHandlerActive"},
        {"e7gp1xhu6RI","sceUsbdEventHandlingOk"},
        {"Fq6+0Fm55xU","sceUsbdExit"},
        {"oHCade-0qQ0","sceUsbdFillBulkTransfer"},
        {"8KrqbaaPkE0","sceUsbdFillControlSetup"},
        {"7VGfMerK6m0","sceUsbdFillControlTransfer"},
        {"t3J5pXxhJlI","sceUsbdFillInterruptTransfer"},
        {"xqmkjHCEOSY","sceUsbdFillIsoTransfer"},
        {"Hvd3S--n25w","sceUsbdFreeConfigDescriptor"},
        {"EQ6SCLMqzkM","sceUsbdFreeDeviceList"},
        {"-sgi7EeLSO8","sceUsbdFreeTransfer"},
        {"S1o1C6yOt5g","sceUsbdGetActiveConfigDescriptor"},
        {"t7WE9mb1TB8","sceUsbdGetBusNumber"},
        {"Dkm5qe8j3XE","sceUsbdGetConfigDescriptor"},
        {"GQsAVJuy8gM","sceUsbdGetConfigDescriptorByValue"},
        {"L7FoTZp3bZs","sceUsbdGetConfiguration"},
        {"-JBoEtvTxvA","sceUsbdGetDescriptor"},
        {"rsl9KQ-agyA","sceUsbdGetDevice"},
        {"GjlCrU4GcIY","sceUsbdGetDeviceAddress"},
        {"bhomgbiQgeo","sceUsbdGetDeviceDescriptor"},
        {"8qB9Ar4P5nc","sceUsbdGetDeviceList"},
        {"e1UWb8cWPJM","sceUsbdGetDeviceSpeed"},
        {"vokkJ0aDf54","sceUsbdGetIsoPacketBuffer"},
        {"nuIRlpbxauM","sceUsbdGetMaxIsoPacketSize"},
        {"YJ0cMAlLuxQ","sceUsbdGetMaxPacketSize"},
        {"g2oYm1DitDg","sceUsbdGetStringDescriptor"},
        {"t4gUfGsjk+g","sceUsbdGetStringDescriptorAscii"},
        {"EkqGLxWC-S0","sceUsbdHandleEvents"},
        {"rt-WeUGibfg","sceUsbdHandleEventsLocked"},
        {"+wU6CGuZcWk","sceUsbdHandleEventsTimeout"},
        {"TOhg7P6kTH4","sceUsbdInit"},
        {"rxi1nCOKWc8","sceUsbdInterruptTransfer"},
        {"RLf56F-WjKQ","sceUsbdKernelDriverActive"},
        {"AeGaY8JrAV4","sceUsbdLockEventWaiters"},
        {"u9yKks02-rA","sceUsbdLockEvents"},
        {"VJ6oMq-Di2U","sceUsbdOpen"},
        {"vrQXYRo1Gwk","sceUsbdOpenDeviceWithVidPid"},
        {"U1t1SoJvV-A","sceUsbdRefDevice"},
        {"REfUTmTchMw","sceUsbdReleaseInterface"},
        {"hvMn0QJXj5g","sceUsbdResetDevice"},
        {"FhU9oYrbXoA","sceUsbdSetConfiguration"},
        {"DVCQW9o+ki0","sceUsbdSetInterfaceAltSetting"},
        {"dJxro8Nzcjk","sceUsbdSetIsoPacketLengths"},
        {"L0EHgZZNVas","sceUsbdSubmitTransfer"},
        {"TcXVGc-LPbQ","sceUsbdTryLockEvents"},
        {"1DkGvUQYFKI","sceUsbdUnlockEventWaiters"},
        {"RA2D9rFH-Uw","sceUsbdUnlockEvents"},
        {"OULgIo1zAsA","sceUsbdUnrefDevice"},
        {"ys2e9VRBPrY","sceUsbdWaitForEvent"},
        {"5cgHNZaLnH0","sceUserServiceCreateGuestUser"},
        {"CiQbpUqMc90","sceUserServiceCreateKratosUser"},
        {"F4aEZgffle0","sceUserServiceCreateSharePlayClientUser"},
        {"UQpexYwe6as","sceUserServiceCreateUser"},
        {"GC18r56Bp7Y","sceUserServiceDestroyUser"},
        {"rnEhHqG-4xo","sceUserServiceGetAccessibilityChatTranscription"},
        {"g6ojqW3c8Z4","sceUserServiceGetAccessibilityKeyremapData"},
        {"xrtki9sUopg","sceUserServiceGetAccessibilityKeyremapEnable"},
        {"ZKJtxdgvzwg","sceUserServiceGetAccessibilityPressAndHoldDelay"},
        {"-3Y5GO+-i78","sceUserServiceGetAccessibilityTriggerEffect"},
        {"qWYHOFwqCxY","sceUserServiceGetAccessibilityVibration"},
        {"1zDEFUmBdoo","sceUserServiceGetAccessibilityZoom"},
        {"hD-H81EN9Vg","sceUserServiceGetAccessibilityZoomEnabled"},
        {"O6IW1-Dwm-w","sceUserServiceGetAccessibilityZoomFollowFocus"},
        {"7zu3F7ykVeo","sceUserServiceGetAccountRemarks"},
        {"woNpu+45RLk","sceUserServiceGetAgeLevel"},
        {"oJzfZxZchX4","sceUserServiceGetAgeVerified"},
        {"PhXZbj4wVhE","sceUserServiceGetAppSortOrder"},
        {"6r4hDyrRUGg","sceUserServiceGetAppearOfflineSetting"},
        {"nqDEnj7M0QE","sceUserServiceGetAutoLoginEnabled"},
        {"y5JnCLW7ccU","sceUserServiceGetCaptureStatus"},
        {"CQpIkZ7FVbs","sceUserServiceGetChatStatus"},
        {"1z7XMEnjelI","sceUserServiceGetControlCenterFunctionControlSettings"},
        {"WGXOvoUwrOs","sceUserServiceGetCreatedVersion"},
        {"5G-MA1x5utw","sceUserServiceGetCurrentUserGroupIndex"},
        {"1U5cFdTdso0","sceUserServiceGetDefaultNewUserGroupName"},
        {"NiTGNLkBc-Q","sceUserServiceGetDeletedUserInfo"},
        {"RdpmnHZ3Q9M","sceUserServiceGetDiscPlayerFlag"},
        {"yH17Q6NWtVg","sceUserServiceGetEvent"},
        {"zs60MvClEkc","sceUserServiceGetEventCalendarType"},
        {"TwELPoqW8tA","sceUserServiceGetEventFilterTeamEvent"},
        {"ygVuZ1Hb-nc","sceUserServiceGetEventSortEvent"},
        {"aaC3005VtY4","sceUserServiceGetEventSortTitle"},
        {"kUaJUV1b+PM","sceUserServiceGetEventUiFlag"},
        {"3wTtZ3c2+0A","sceUserServiceGetEventVsh"},
        {"uRU0lQe+9xY","sceUserServiceGetFaceRecognitionDeleteCount"},
        {"fbCC0yo2pVQ","sceUserServiceGetFaceRecognitionRegisterCount"},
        {"k-7kxXGr+r0","sceUserServiceGetFileBrowserFilter"},
        {"fCBpPJbELDk","sceUserServiceGetFileBrowserSortContent"},
        {"UYR9fcPXDUE","sceUserServiceGetFileBrowserSortTitle"},
        {"FsOBy3JfbrM","sceUserServiceGetFileSelectorFilter"},
        {"IAB7wscPwio","sceUserServiceGetFileSelectorSortContent"},
        {"6Et3d4p1u8c","sceUserServiceGetFileSelectorSortTitle"},
        {"eNb53LQJmIM","sceUserServiceGetForegroundUser"},
        {"eMGF77hKF6U","sceUserServiceGetFriendCustomListLastFocus"},
        {"wBGmrRTUC14","sceUserServiceGetFriendFlag"},
        {"-sD02mFDBh4","sceUserServiceGetGamePresets"},
        {"64PEUYPuK98","sceUserServiceGetGlsAccessTokenNiconicoLive"},
        {"8Y+aDvVGLiw","sceUserServiceGetGlsAccessTokenTwitch"},
        {"V7ZG7V+dd08","sceUserServiceGetGlsAccessTokenUstream"},
        {"QqZ1A3vukFM","sceUserServiceGetGlsAnonymousUserId"},
        {"FP4TKrdRXXM","sceUserServiceGetGlsBcTags"},
        {"yX-TpbFAYxo","sceUserServiceGetGlsBcTitle"},
        {"Mm4+PSflHbM","sceUserServiceGetGlsBroadcastChannel"},
        {"HxNRiCWfVFw","sceUserServiceGetGlsBroadcastService"},
        {"6ZQ4kfhM37c","sceUserServiceGetGlsBroadcastUiLayout"},
        {"NpEYVDOyjRk","sceUserServiceGetGlsBroadcastersComment"},
        {"WvM21J1SI0U","sceUserServiceGetGlsBroadcastersCommentColor"},
        {"YmmFiEoegko","sceUserServiceGetGlsCamCrop"},
        {"Y5U66nk0bUc","sceUserServiceGetGlsCameraBgFilter"},
        {"LbQ-jU9jOsk","sceUserServiceGetGlsCameraBrightness"},
        {"91kOKRnkrhE","sceUserServiceGetGlsCameraChromaKeyLevel"},
        {"1ppzHkQhiNs","sceUserServiceGetGlsCameraContrast"},
        {"jIe8ZED06XI","sceUserServiceGetGlsCameraDepthLevel"},
        {"0H51EFxR3mc","sceUserServiceGetGlsCameraEdgeLevel"},
        {"rLEw4n5yI40","sceUserServiceGetGlsCameraEffect"},
        {"+Prbx5iagl0","sceUserServiceGetGlsCameraEliminationLevel"},
        {"F0wuEvioQd4","sceUserServiceGetGlsCameraPosition"},
        {"GkcHilidQHk","sceUserServiceGetGlsCameraReflection"},
        {"zBLxX8JRMoo","sceUserServiceGetGlsCameraSize"},
        {"O1nURsxyYmk","sceUserServiceGetGlsCameraTransparency"},
        {"4TOEFdmFVcI","sceUserServiceGetGlsCommunityId"},
        {"+29DSndZ9Oc","sceUserServiceGetGlsFloatingMessage"},
        {"ki81gh1yZDM","sceUserServiceGetGlsHintFlag"},
        {"zR+J2PPJgSU","sceUserServiceGetGlsInitSpectating"},
        {"8IqdtMmc5Uc","sceUserServiceGetGlsIsCameraHidden"},
        {"f5lAVp0sFNo","sceUserServiceGetGlsIsFacebookEnabled"},
        {"W3neFYAvZss","sceUserServiceGetGlsIsMuteEnabled"},
        {"4IXuUaBxzEg","sceUserServiceGetGlsIsRecDisabled"},
        {"hyW5w855fk4","sceUserServiceGetGlsIsRecievedMessageHidden"},
        {"Xp9Px0V0tas","sceUserServiceGetGlsIsTwitterEnabled"},
        {"uMkqgm70thg","sceUserServiceGetGlsLanguageFilter"},
        {"LyXzCtzleAQ","sceUserServiceGetGlsLfpsSortOrder"},
        {"CvwCMJtzp1I","sceUserServiceGetGlsLiveQuality"},
        {"Z+dzNaClq7w","sceUserServiceGetGlsLiveQuality2"},
        {"X5On-7hVCs0","sceUserServiceGetGlsLiveQuality3"},
        {"+qAE4tRMrXk","sceUserServiceGetGlsLiveQuality4"},
        {"4ys00CRU6V8","sceUserServiceGetGlsLiveQuality5"},
        {"75cwn1y2ffk","sceUserServiceGetGlsMessageFilterLevel"},
        {"2-MkHLDkFP4","sceUserServiceGetGlsOverlayPosition"},
        {"pAcXoWY-JV8","sceUserServiceGetGlsSortOrder"},
        {"EeVJ6rikwss","sceUserServiceGetGlsSortOrderGame"},
        {"FjbOtABSsKU","sceUserServiceGetGlsStreamingMode"},
        {"+NVJMeISrM4","sceUserServiceGetGlsTtsFlags"},
        {"eQrBbMmZ1Ss","sceUserServiceGetGlsTtsPitch"},
        {"BCDA6jn4HVY","sceUserServiceGetGlsTtsSpeed"},
        {"SBurFYk7M74","sceUserServiceGetGlsTtsVolume"},
        {"YVzw4T1fnS4","sceUserServiceGetHmuBrightness"},
        {"O8ONJV3b8jg","sceUserServiceGetHmuZoom"},
        {"VjLkKY0CQew","sceUserServiceGetHoldAudioOutDevice"},
        {"J-KEr4gUEvQ","sceUserServiceGetHomeDirectory"},
        {"5+u4Z6FmQsc","sceUserServiceGetHrtf"},
        {"PQlF4cjUz9U","sceUserServiceGetIPDLeft"},
        {"UDx67PTzB20","sceUserServiceGetIPDRight"},
        {"yLNm3n7fgpw","sceUserServiceGetImeAutoCapitalEnabled"},
        {"gnViUj0ab8U","sceUserServiceGetImeInitFlag"},
        {"zru8Zhuy1UY","sceUserServiceGetImeInputType"},
        {"2-b8QbU+HNc","sceUserServiceGetImeLastUnit"},
        {"NNblpSGxrY8","sceUserServiceGetImePointerMode"},
        {"YUhBM-ASEcA","sceUserServiceGetImePredictiveTextEnabled"},
        {"IWEla-izyTs","sceUserServiceGetImeRunCount"},
        {"CdWp0oHWGr0","sceUserServiceGetInitialUser"},
        {"IKk3EGj+xRI","sceUserServiceGetIsFakePlus"},
        {"MzVmbq2IVCo","sceUserServiceGetIsQuickSignup"},
        {"Lgi5A4fQwHc","sceUserServiceGetIsRemotePlayAllowed"},
        {"u-dCVE6fQAU","sceUserServiceGetJapaneseInputType"},
        {"XUT7ad-BUMc","sceUserServiceGetKeyRepeatSpeed"},
        {"iWpzXixD0UE","sceUserServiceGetKeyRepeatStartingTime"},
        {"Ta52bXx5Tek","sceUserServiceGetKeyboardType"},
        {"uAPBw-7641s","sceUserServiceGetKratosPrimaryUser"},
        {"4nUbGGBcGco","sceUserServiceGetLastLoginOrder"},
        {"q+7UTGELzj4","sceUserServiceGetLightBarBaseBrightness"},
        {"QNk7qD4dlD4","sceUserServiceGetLoginFlag"},
        {"fPhymKNvK-A","sceUserServiceGetLoginUserIdList"},
        {"YfDgKz5SolU","sceUserServiceGetMicLevel"},
        {"sukPd-xBDjM","sceUserServiceGetMouseHandType"},
        {"Y5zgw69ndoE","sceUserServiceGetMousePointerSpeed"},
        {"3oqgIFPVkV8","sceUserServiceGetNotificationBehavior"},
        {"5iqtUryI-hI","sceUserServiceGetNotificationSettings"},
        {"3MKNQM3CJw8","sceUserServiceGetNotificationSettings2"},
        {"kGML0n2oG8Y","sceUserServiceGetNotificationSettings_1"},
        {"52xo6EJ+8O8","sceUserServiceGetNotificationSettings_2"},
        {"NfpZWHee0EA","sceUserServiceGetNotificationSettings_3"},
        {"6dfDreosXGY","sceUserServiceGetNpAccountId"},
        {"Veo1PbQZzG4","sceUserServiceGetNpAccountUpgradeFlag"},
        {"OySMIASmH0Y","sceUserServiceGetNpAge"},
        {"nlOWAiRyxkA","sceUserServiceGetNpAuthErrorFlag"},
        {"8vhI2SwEfes","sceUserServiceGetNpCountryCode"},
        {"YyC7QCLoSxY","sceUserServiceGetNpDateOfBirth"},
        {"-YcNkLzNGmY","sceUserServiceGetNpEnv"},
        {"J4ten1IOe5w","sceUserServiceGetNpLanguageCode"},
        {"ruF+U6DexT4","sceUserServiceGetNpLanguageCode2"},
        {"W5RgPUuv35Y","sceUserServiceGetNpLoginId"},
        {"j-CnRJn3K+Q","sceUserServiceGetNpMAccountId"},
        {"5Ds-y6A1nAI","sceUserServiceGetNpNpId"},
        {"auc64RJAcus","sceUserServiceGetNpOfflineAccountAdult"},
        {"fEy0EW0AR18","sceUserServiceGetNpOfflineAccountId"},
        {"if-BeWwY0aU","sceUserServiceGetNpOnlineId"},
        {"wCGnkXhpRL4","sceUserServiceGetNpSubAccount"},
        {"zNvCnHpkPmM","sceUserServiceGetPadSpeakerVolume"},
        {"lXKtAHMrwig","sceUserServiceGetParentalBdAge"},
        {"t04S4aC0LCM","sceUserServiceGetParentalBrowser"},
        {"QBLzc0izFLc","sceUserServiceGetParentalContentControl"},
        {"5vtFYXFJ7OU","sceUserServiceGetParentalDvd"},
        {"d9DOmIk9-y4","sceUserServiceGetParentalDvdRegion"},
        {"OdiXSuoIK7c","sceUserServiceGetParentalGame"},
        {"oXARzvLAiyc","sceUserServiceGetParentalGameAgeLevel"},
        {"5ZJPtZf6EaY","sceUserServiceGetParentalGameWhiteList"},
        {"yXvfR+AcgaY","sceUserServiceGetParentalMorpheus"},
        {"UeIv6aNXlOw","sceUserServiceGetPartyMuteList"},
        {"aq1jwlgyOV4","sceUserServiceGetPartyMuteListA"},
        {"yARnQeWzhdM","sceUserServiceGetPartySettingFlags"},
        {"X5rJZNDZ2Ss","sceUserServiceGetPasscode"},
        {"m1h-E6BU6CA","sceUserServiceGetPbtcAdditionalTime"},
        {"HsOlaoGngDc","sceUserServiceGetPbtcFlag"},
        {"3DuTkVXaj9Y","sceUserServiceGetPbtcFridayDuration"},
        {"5dM-i0Ox2d8","sceUserServiceGetPbtcFridayHoursEnd"},
        {"vcd5Kfs1QeA","sceUserServiceGetPbtcFridayHoursStart"},
        {"Q5Um9Yri-VA","sceUserServiceGetPbtcMode"},
        {"NnvYm9PFJiw","sceUserServiceGetPbtcMondayDuration"},
        {"42K0F17ml9c","sceUserServiceGetPbtcMondayHoursEnd"},
        {"WunW7G5bHYo","sceUserServiceGetPbtcMondayHoursStart"},
        {"JrFGcFUL0lg","sceUserServiceGetPbtcPlayTime"},
        {"R6ldE-2ON1w","sceUserServiceGetPbtcPlayTimeLastUpdated"},
        {"DembpCGx9DU","sceUserServiceGetPbtcSaturdayDuration"},
        {"Cf8NftzheE4","sceUserServiceGetPbtcSaturdayHoursEnd"},
        {"+1qj-S-k6m0","sceUserServiceGetPbtcSaturdayHoursStart"},
        {"JVMIyR8vDec","sceUserServiceGetPbtcSundayDuration"},
        {"J+bKHRzY4nw","sceUserServiceGetPbtcSundayHoursEnd"},
        {"J+cECJ7CBFM","sceUserServiceGetPbtcSundayHoursStart"},
        {"z-hJNdfLRN0","sceUserServiceGetPbtcThursdayDuration"},
        {"BkOBCo0sdLM","sceUserServiceGetPbtcThursdayHoursEnd"},
        {"T70Qyzo51uw","sceUserServiceGetPbtcThursdayHoursStart"},
        {"UPDgXiV1Zp0","sceUserServiceGetPbtcTuesdayDuration"},
        {"Kpds+6CpTus","sceUserServiceGetPbtcTuesdayHoursEnd"},
        {"azCh0Ibz8ls","sceUserServiceGetPbtcTuesdayHoursStart"},
        {"NjEMsEjXlTY","sceUserServiceGetPbtcTzOffset"},
        {"VwF4r--aouQ","sceUserServiceGetPbtcWednesdayDuration"},
        {"nxGZSi5FEwc","sceUserServiceGetPbtcWednesdayHoursEnd"},
        {"7Wes8MVwuoM","sceUserServiceGetPbtcWednesdayHoursStart"},
        {"yAWUqugjPvE","sceUserServiceGetPlayTogetherFlags"},
        {"VSQR9qYpaCM","sceUserServiceGetPsnPasswordForDebug"},
        {"OVdVBcejvmQ","sceUserServiceGetRegisteredHomeUserIdList"},
        {"5EiQCnL2G1Y","sceUserServiceGetRegisteredUserIdList"},
        {"HM2shAIRvv4","sceUserServiceGetSaveDataAutoSync"},
        {"UxrSdH6jA3E","sceUserServiceGetSaveDataAutoUpload"},
        {"pVsEKLk5bIA","sceUserServiceGetSaveDataSort"},
        {"88+nqBN-SQM","sceUserServiceGetSaveDataTutorialFlag"},
        {"xzQVBcKYoI8","sceUserServiceGetSecureHomeDirectory"},
        {"zsJcWtE81Rk","sceUserServiceGetShareButtonAssign"},
        {"NjhK36GfEGQ","sceUserServiceGetShareDailymotionAccessToken"},
        {"t-I2Lbj8a+0","sceUserServiceGetShareDailymotionRefreshToken"},
        {"lrPF-kNBPro","sceUserServiceGetSharePlayFlags"},
        {"eC88db1i-f8","sceUserServiceGetSharePlayFramerateHost"},
        {"ttiSviAPLXI","sceUserServiceGetSharePlayResolutionHost"},
        {"YnXM2saZkl4","sceUserServiceGetShareStatus"},
        {"wMtSHLNAVj0","sceUserServiceGetShareStatus2"},
        {"hgOVdozquU0","sceUserServiceGetShareStatus3"},
        {"8no2rlDjl7o","sceUserServiceGetSystemLoggerHashedAccountId"},
        {"vW2qWKYmlvw","sceUserServiceGetSystemLoggerHashedAccountIdClockType"},
        {"Zr4h+Bbx0do","sceUserServiceGetSystemLoggerHashedAccountIdParam"},
        {"cf9BIMy4muY","sceUserServiceGetSystemLoggerHashedAccountIdTtl"},
        {"AGDKupLjTZM","sceUserServiceGetTeamShowAboutTeam"},
        {"EZJecX+WvJc","sceUserServiceGetThemeBgImageDimmer"},
        {"POVfvCDcVUw","sceUserServiceGetThemeBgImageWaveColor"},
        {"qI2HG1pV+OA","sceUserServiceGetThemeBgImageZoom"},
        {"x6m8P9DBPSc","sceUserServiceGetThemeEntitlementId"},
        {"K8Nh6fhmYkc","sceUserServiceGetThemeHomeShareOwner"},
        {"EgEPXDie5XQ","sceUserServiceGetThemeTextShadow"},
        {"WaHZGp0Vn2k","sceUserServiceGetThemeWaveColor"},
        {"IxCpDYsiTX0","sceUserServiceGetTopMenuLimitItem"},
        {"SykFcJEGvz4","sceUserServiceGetTopMenuNotificationFlag"},
        {"MG+ObGDYePw","sceUserServiceGetTopMenuTutorialFlag"},
        {"oXVAQutr3Ns","sceUserServiceGetTraditionalChineseInputType"},
        {"lUoqwTQu4Go","sceUserServiceGetUserColor"},
        {"1+nxJ4awLH8","sceUserServiceGetUserGroupName"},
        {"ga2z3AAn8XI","sceUserServiceGetUserGroupNameList"},
        {"xzdhJrL3Hns","sceUserServiceGetUserGroupNum"},
        {"3hmcpOw2tsE","sceUserServiceGetUserIdByNpAccountId"},
        {"1xxcMiGu2fo","sceUserServiceGetUserName"},
        {"qbwy0Ub8b3M","sceUserServiceGetUserNumber"},
        {"RJX7T4sjNgI","sceUserServiceGetUserStatus"},
        {"O0mtfoE5Cek","sceUserServiceGetVibrationEnabled"},
        {"WhQDXYtcw18","sceUserServiceGetVoiceAgentEnable"},
        {"YbAWzqWWsRo","sceUserServiceGetVoiceAgentEnableByButton"},
        {"9W40oT315tY","sceUserServiceGetVoiceAgentEnableWup"},
        {"JEvAQvdvR1A","sceUserServiceGetVoiceAgentSessionTimeout"},
        {"C403YJqJNus","sceUserServiceGetVoiceAgentStatusBitFactory"},
        {"MtQVEn55dv8","sceUserServiceGetVoiceAgentTtsSpeed"},
        {"T4L2vVa0zuA","sceUserServiceGetVoiceRecognitionLastUsedOsk"},
        {"-jRGLt2Dbe4","sceUserServiceGetVoiceRecognitionTutorialState"},
        {"ld396XJQPgM","sceUserServiceGetVolumeForController"},
        {"wMmr-E7JTRA","sceUserServiceGetVolumeForDs4Speaker"},
        {"TEsQ0HWJ8R4","sceUserServiceGetVolumeForGenericUSB"},
        {"r2QuHIT8u9I","sceUserServiceGetVolumeForMorpheusSidetone"},
        {"0Ye4aR9kvuA","sceUserServiceGetVolumeForOtherDevices"},
        {"3UZADLBXpiA","sceUserServiceGetVolumeForSidetone"},
        {"j3YMu1MVNNo","sceUserServiceInitialize"},
        {"az-0R6eviZ0","sceUserServiceInitialize2"},
        {"Psl9mfs3duM","sceUserServiceInitializeForShellCore"},
        {"FnWkLNOmJXw","sceUserServiceIsGuestUser"},
        {"mNnB2PWMSgw","sceUserServiceIsKratosPrimaryUser"},
        {"pZL154KvMjU","sceUserServiceIsKratosUser"},
        {"MZxH8029+Wg","sceUserServiceIsLoggedIn"},
        {"hTdcWcUUcrk","sceUserServiceIsLoggedInWithoutLock"},
        {"-7XgCmEwKrs","sceUserServiceIsSharePlayClientUser"},
        {"TLrDgrPYTDo","sceUserServiceIsUserStorageAccountBound"},
        {"uvVR70ZxFrQ","sceUserServiceLogin"},
        {"3T9y5xDcfOk","sceUserServiceLogout"},
        {"wuI7c7UNk0A","sceUserServiceRegisterEventCallback"},
        {"SfGVfyEN8iw","sceUserServiceSetAccessibilityKeyremapData"},
        {"ZP0ti1CRxNA","sceUserServiceSetAccessibilityKeyremapEnable"},
        {"HKu68cVzctg","sceUserServiceSetAccessibilityZoom"},
        {"vC-uSETCFUY","sceUserServiceSetAccountRemarks"},
        {"gBLMGhB6B9E","sceUserServiceSetAgeVerified"},
        {"b5-tnLcyUQE","sceUserServiceSetAppSortOrder"},
        {"7IiUdURpH0k","sceUserServiceSetAppearOfflineSetting"},
        {"u-E+6d9PiP8","sceUserServiceSetAutoLoginEnabled"},
        {"K4W0ovmeJVw","sceUserServiceSetCaptureStatus"},
        {"nuTGXi-mQ88","sceUserServiceSetChatStatus"},
        {"feqktbQD1eo","sceUserServiceSetCreatedVersion"},
        {"m8VtSd5I5og","sceUserServiceSetDiscPlayerFlag"},
        {"wV3jlvsT5jA","sceUserServiceSetEventCalendarType"},
        {"rez819wV7AU","sceUserServiceSetEventFilterTeamEvent"},
        {"uhwssTtt3yo","sceUserServiceSetEventSortEvent"},
        {"XEgdhGfqRpI","sceUserServiceSetEventSortTitle"},
        {"Ty9wanVDC9k","sceUserServiceSetEventUiFlag"},
        {"snOzH0NQyO0","sceUserServiceSetFaceRecognitionDeleteCount"},
        {"jiMNYgxzT-4","sceUserServiceSetFaceRecognitionRegisterCount"},
        {"M9noOXMhlGo","sceUserServiceSetFileBrowserFilter"},
        {"Xy4rq8gpYHU","sceUserServiceSetFileBrowserSortContent"},
        {"wN5zRLw4J6A","sceUserServiceSetFileBrowserSortTitle"},
        {"hP2q9Eb5hf0","sceUserServiceSetFileSelectorFilter"},
        {"Fl52JeSLPyw","sceUserServiceSetFileSelectorSortContent"},
        {"Llv693Nx+nU","sceUserServiceSetFileSelectorSortTitle"},
        {"MgBIXUkGtpE","sceUserServiceSetForegroundUser"},
        {"fK4AIM0knFQ","sceUserServiceSetFriendCustomListLastFocus"},
        {"5cK+UC54Oz4","sceUserServiceSetFriendFlag"},
        {"HqBmVIFhqAo","sceUserServiceSetGamePresets"},
        {"VEUKQumI5B8","sceUserServiceSetGlsAccessTokenNiconicoLive"},
        {"0D2xtHQYxII","sceUserServiceSetGlsAccessTokenTwitch"},
        {"vdBd3PMBFp4","sceUserServiceSetGlsAccessTokenUstream"},
        {"TerdSx+FXrc","sceUserServiceSetGlsAnonymousUserId"},
        {"UdZhN1nVYfw","sceUserServiceSetGlsBcTags"},
        {"hJ5gj+Pv3-M","sceUserServiceSetGlsBcTitle"},
        {"OALd6SmF220","sceUserServiceSetGlsBroadcastChannel"},
        {"LIBEeNNfeQo","sceUserServiceSetGlsBroadcastService"},
        {"RdAvEmks-ZE","sceUserServiceSetGlsBroadcastUiLayout"},
        {"ZopdvNlYFHc","sceUserServiceSetGlsBroadcastersComment"},
        {"f5DDIXCTxww","sceUserServiceSetGlsBroadcastersCommentColor"},
        {"HYMgE5B62QY","sceUserServiceSetGlsCamCrop"},
        {"N-xzO5-livc","sceUserServiceSetGlsCameraBgFilter"},
        {"GxqMYA60BII","sceUserServiceSetGlsCameraBrightness"},
        {"Di05lHWmCLU","sceUserServiceSetGlsCameraChromaKeyLevel"},
        {"gGbu3TZiXeU","sceUserServiceSetGlsCameraContrast"},
        {"8PXQIdRsZIE","sceUserServiceSetGlsCameraDepthLevel"},
        {"56bliV+tc0Y","sceUserServiceSetGlsCameraEdgeLevel"},
        {"ghjrbwjC0VE","sceUserServiceSetGlsCameraEffect"},
        {"YnBnZpr3UJg","sceUserServiceSetGlsCameraEliminationLevel"},
        {"wWZzH-BwWuA","sceUserServiceSetGlsCameraPosition"},
        {"pnHR-aj9edo","sceUserServiceSetGlsCameraReflection"},
        {"rriXMS0a7BM","sceUserServiceSetGlsCameraSize"},
        {"0e0wzFADy0I","sceUserServiceSetGlsCameraTransparency"},
        {"wQDizdO49CA","sceUserServiceSetGlsCommunityId"},
        {"t1oU0+93b+s","sceUserServiceSetGlsFloatingMessage"},
        {"bdJdX2bKo2E","sceUserServiceSetGlsHintFlag"},
        {"vRgpAhKJJ+M","sceUserServiceSetGlsInitSpectating"},
        {"EjxE+-VvuJ4","sceUserServiceSetGlsIsCameraHidden"},
        {"HfQTiMSCHJk","sceUserServiceSetGlsIsFacebookEnabled"},
        {"63t6w0MgG8I","sceUserServiceSetGlsIsMuteEnabled"},
        {"6oZ3DZGzjIE","sceUserServiceSetGlsIsRecDisabled"},
        {"AmJ3FJxT7r8","sceUserServiceSetGlsIsRecievedMessageHidden"},
        {"lsdxBeRnEes","sceUserServiceSetGlsIsTwitterEnabled"},
        {"wgVAwa31l0E","sceUserServiceSetGlsLanguageFilter"},
        {"rDkflpHzrRE","sceUserServiceSetGlsLfpsSortOrder"},
        {"qT8-eJKe+rI","sceUserServiceSetGlsLiveQuality"},
        {"hQ72M-YRb8g","sceUserServiceSetGlsLiveQuality2"},
        {"ZWAUCzgSQ2Q","sceUserServiceSetGlsLiveQuality3"},
        {"HwFpasG4+kM","sceUserServiceSetGlsLiveQuality4"},
        {"Ov8hs+c1GNY","sceUserServiceSetGlsLiveQuality5"},
        {"fm7XpsO++lk","sceUserServiceSetGlsMessageFilterLevel"},
        {"YDGzScNx5qc","sceUserServiceSetGlsOverlayPosition"},
        {"F7geI3o4PzI","sceUserServiceSetGlsSortOrder"},
        {"xJtkTRMQhEA","sceUserServiceSetGlsSortOrderGame"},
        {"p8Z1uz9Ocjw","sceUserServiceSetGlsStreamingMode"},
        {"Lge4s3h8BFA","sceUserServiceSetGlsTtsFlags"},
        {"NB9-D-o3hN0","sceUserServiceSetGlsTtsPitch"},
        {"2EWfAroUQE4","sceUserServiceSetGlsTtsSpeed"},
        {"QzeIQXyavtU","sceUserServiceSetGlsTtsVolume"},
        {"WU5s+cPzO8Y","sceUserServiceSetHmuBrightness"},
        {"gQh8NaCbRqo","sceUserServiceSetHmuZoom"},
        {"7pif5RySi+s","sceUserServiceSetHoldAudioOutDevice"},
        {"8h-YslMIj1o","sceUserServiceSetHrtf"},
        {"Izy+4XmTBB8","sceUserServiceSetIPDLeft"},
        {"z-lbCrpteB4","sceUserServiceSetIPDRight"},
        {"8TGeI5PAabg","sceUserServiceSetImeAutoCapitalEnabled"},
        {"3fcBoTACkWY","sceUserServiceSetImeInitFlag"},
        {"Ghu0khDguq8","sceUserServiceSetImeInputType"},
        {"hjlUn9UCgXg","sceUserServiceSetImeLastUnit"},
        {"19uCF96mfos","sceUserServiceSetImePointerMode"},
        {"NiwMhCbg764","sceUserServiceSetImePredictiveTextEnabled"},
        {"AZFXXpZJEPI","sceUserServiceSetImeRunCount"},
        {"7SE4sjhlOCI","sceUserServiceSetIsFakePlus"},
        {"nNn8Gnn+E6Y","sceUserServiceSetIsQuickSignup"},
        {"AQ680L4Sr74","sceUserServiceSetIsRemotePlayAllowed"},
        {"lAR1nkEoMBo","sceUserServiceSetJapaneseInputType"},
        {"zs4i9SEHy0g","sceUserServiceSetKeyRepeatSpeed"},
        {"FfXgMSmZLfk","sceUserServiceSetKeyRepeatStartingTime"},
        {"dCdhOJIOtR4","sceUserServiceSetKeyboardType"},
        {"dlBQfiDOklQ","sceUserServiceSetLightBarBaseBrightness"},
        {"Zdd5gybtsi0","sceUserServiceSetLoginFlag"},
        {"c9U2pk4Ao9w","sceUserServiceSetMicLevel"},
        {"lg2I8bETiZo","sceUserServiceSetMouseHandType"},
        {"omf6BE2-FPo","sceUserServiceSetMousePointerSpeed"},
        {"uisYUWMn-+U","sceUserServiceSetNotificationBehavior"},
        {"X9Jgur0QtLE","sceUserServiceSetNotificationSettings"},
        {"AqGfBZu4uCA","sceUserServiceSetNotificationSettings2"},
        {"g9YCEM72+bc","sceUserServiceSetNotificationSettings_1"},
        {"RyH9AbKq4z8","sceUserServiceSetNotificationSettings_2"},
        {"CerqkWrBq-A","sceUserServiceSetNotificationSettings_3"},
        {"xod2jO9Gs4s","sceUserServiceSetNpAccountId"},
        {"SkE5SnCFjQk","sceUserServiceSetNpAccountUpgradeFlag"},
        {"nGacpiUONQ0","sceUserServiceSetNpAge"},
        {"om4jx+pJlQo","sceUserServiceSetNpAuthErrorFlag"},
        {"Z5t2LiajkAQ","sceUserServiceSetNpCountryCode"},
        {"cGvpAO63abg","sceUserServiceSetNpDateOfBirth"},
        {"JifncjTlXV8","sceUserServiceSetNpEnv"},
        {"D7lbcn6Uxho","sceUserServiceSetNpLanguageCode"},
        {"oHRrt1cfbBI","sceUserServiceSetNpLanguageCode2"},
        {"Zgq19lM+u2U","sceUserServiceSetNpLoginId"},
        {"8W+8vFlIPuA","sceUserServiceSetNpMAccountId"},
        {"0Xsfib8bq3M","sceUserServiceSetNpNpId"},
        {"j6FgkXhxp1Y","sceUserServiceSetNpOfflineAccountAdult"},
        {"ESHbhJnEg1M","sceUserServiceSetNpOfflineAccountId"},
        {"pubVXAG+Juc","sceUserServiceSetNpOnlineId"},
        {"ng4XlNFMiCo","sceUserServiceSetNpSubAccount"},
        {"41kc2YhzZoU","sceUserServiceSetPadSpeakerVolume"},
        {"KJw6rahYNdQ","sceUserServiceSetParentalBdAge"},
        {"6jPYBCGQgiQ","sceUserServiceSetParentalBrowser"},
        {"VOclFUxMNQ0","sceUserServiceSetParentalContentControl"},
        {"UT8+lb5fypc","sceUserServiceSetParentalDvd"},
        {"NJpUvo+rezg","sceUserServiceSetParentalDvdRegion"},
        {"gRI+BnPA6UI","sceUserServiceSetParentalGame"},
        {"BPFs-TiU+8Q","sceUserServiceSetParentalGameAgeLevel"},
        {"hQAhxWNHwvM","sceUserServiceSetParentalGameWhiteList"},
        {"mmFgyjXMQBs","sceUserServiceSetParentalMorpheus"},
        {"ZsyQjvVFHnk","sceUserServiceSetPartyMuteList"},
        {"97ZkWubtMk0","sceUserServiceSetPartyMuteListA"},
        {"IiwhRynrDnQ","sceUserServiceSetPartySettingFlags"},
        {"7LCq4lSlmw4","sceUserServiceSetPasscode"},
        {"dukLb11bY9c","sceUserServiceSetPbtcAdditionalTime"},
        {"JK0fCuBEWJM","sceUserServiceSetPbtcFlag"},
        {"RUrfnne6Dds","sceUserServiceSetPbtcFridayDuration"},
        {"YWmKJ8pWEkw","sceUserServiceSetPbtcFridayHoursEnd"},
        {"GMLAWOO7I2Y","sceUserServiceSetPbtcFridayHoursStart"},
        {"94ZcZmcnXK4","sceUserServiceSetPbtcMode"},
        {"SoxZWGb3l0U","sceUserServiceSetPbtcMondayDuration"},
        {"uBDKFasVr2c","sceUserServiceSetPbtcMondayHoursEnd"},
        {"7XIlJQQZ2fg","sceUserServiceSetPbtcMondayHoursStart"},
        {"ABoN0o46u8E","sceUserServiceSetPbtcPlayTime"},
        {"VXdkxm-AaIg","sceUserServiceSetPbtcPlayTimeLastUpdated"},
        {"RTrsbjUnFNo","sceUserServiceSetPbtcSaturdayDuration"},
        {"8wVUn7AO8mA","sceUserServiceSetPbtcSaturdayHoursEnd"},
        {"p2NKAA3BS6k","sceUserServiceSetPbtcSaturdayHoursStart"},
        {"hGnwgvLREHM","sceUserServiceSetPbtcSundayDuration"},
        {"rp4DB+ICfcg","sceUserServiceSetPbtcSundayHoursEnd"},
        {"cTpHiHGMWpk","sceUserServiceSetPbtcSundayHoursStart"},
        {"R9vnyf-B1pU","sceUserServiceSetPbtcThursdayDuration"},
        {"W3oNrewI7bc","sceUserServiceSetPbtcThursdayHoursEnd"},
        {"JO5QXiyBcjQ","sceUserServiceSetPbtcThursdayHoursStart"},
        {"YX-64Vjk5oM","sceUserServiceSetPbtcTuesdayDuration"},
        {"MtE3Me0UJKc","sceUserServiceSetPbtcTuesdayHoursEnd"},
        {"bLfjqFmN4s4","sceUserServiceSetPbtcTuesdayHoursStart"},
        {"HsjvaxD7veE","sceUserServiceSetPbtcTzOffset"},
        {"EqfGtRCryNg","sceUserServiceSetPbtcWednesdayDuration"},
        {"uZG5rmROeg4","sceUserServiceSetPbtcWednesdayHoursEnd"},
        {"dDaO7svUM8w","sceUserServiceSetPbtcWednesdayHoursStart"},
        {"pmW5v9hORos","sceUserServiceSetPlayTogetherFlags"},
        {"nCfhbtuZbk8","sceUserServiceSetPsnPasswordForDebug"},
        {"+r1o-CUtFxE","sceUserServiceSetSaveDataAutoSync"},
        {"ksUJCL0Hq20","sceUserServiceSetSaveDataAutoUpload"},
        {"pfz4rzKJc6g","sceUserServiceSetSaveDataSort"},
        {"zq45SROKj9Q","sceUserServiceSetSaveDataTutorialFlag"},
        {"bFzA3t6muvU","sceUserServiceSetShareButtonAssign"},
        {"B-WW6mNtp2s","sceUserServiceSetShareDailymotionAccessToken"},
        {"OANH5P9lV4I","sceUserServiceSetShareDailymotionRefreshToken"},
        {"CMl8mUJvSf8","sceUserServiceSetSharePlayFlags"},
        {"rB70KuquYxs","sceUserServiceSetSharePlayFramerateHost"},
        {"BhRxR+R0NFA","sceUserServiceSetSharePlayResolutionHost"},
        {"EYvRF1VUpUU","sceUserServiceSetShareStatus"},
        {"II+V6wXKS-E","sceUserServiceSetShareStatus2"},
        {"JS6H7Kwm37s","sceUserServiceSetShareStatus3"},
        {"5jL7UM+AdbQ","sceUserServiceSetSystemLoggerHashedAccountId"},
        {"tNZY3tIIo0M","sceUserServiceSetSystemLoggerHashedAccountIdClockType"},
        {"U07X36vgbA0","sceUserServiceSetSystemLoggerHashedAccountIdParam"},
        {"qSgs-wwrlLU","sceUserServiceSetSystemLoggerHashedAccountIdTtl"},
        {"b6+TytWccPE","sceUserServiceSetTeamShowAboutTeam"},
        {"JZ5NzN-TGIQ","sceUserServiceSetThemeBgImageDimmer"},
        {"N4qrFLcXLpY","sceUserServiceSetThemeBgImageWaveColor"},
        {"a41mGTpWvY4","sceUserServiceSetThemeBgImageZoom"},
        {"ALyjUuyowuI","sceUserServiceSetThemeEntitlementId"},
        {"jhy6fa5a4k4","sceUserServiceSetThemeHomeShareOwner"},
        {"HkuBuYhYaPg","sceUserServiceSetThemeTextShadow"},
        {"PKHZK960qZE","sceUserServiceSetThemeWaveColor"},
        {"f7VSHQHB6Ys","sceUserServiceSetTopMenuLimitItem"},
        {"Tib8zgDd+V0","sceUserServiceSetTopMenuNotificationFlag"},
        {"8Q71i3u9lN0","sceUserServiceSetTopMenuTutorialFlag"},
        {"ZfUouUx2h8w","sceUserServiceSetTraditionalChineseInputType"},
        {"IcM2f5EoRRA","sceUserServiceSetUserGroupIndex"},
        {"QfYasZZPvoQ","sceUserServiceSetUserGroupName"},
        {"Jqu2XFr5UvA","sceUserServiceSetUserName"},
        {"cBgv9pnmunI","sceUserServiceSetUserStatus"},
        {"CokWh8qGANk","sceUserServiceSetVibrationEnabled"},
        {"z1Uh28yzDzI","sceUserServiceSetVoiceRecognitionLastUsedOsk"},
        {"1JNYgwRcANI","sceUserServiceSetVoiceRecognitionTutorialState"},
        {"4nEjiZH1LKM","sceUserServiceSetVolumeForController"},
        {"JS5Jdf00tcU","sceUserServiceSetVolumeForDs4Speaker"},
        {"bkQ7aNx62Qg","sceUserServiceSetVolumeForGenericUSB"},
        {"7EnjUtnAN+o","sceUserServiceSetVolumeForMorpheusSidetone"},
        {"KPTOmlI7BKY","sceUserServiceSetVolumeForOtherDevices"},
        {"WQ-l-i2gJko","sceUserServiceSetVolumeForSidetone"},
        {"bwFjS+bX9mA","sceUserServiceTerminate"},
        {"CydP+QtA0KI","sceUserServiceTerminateForShellCore"},
        {"spW--yoLQ9o","sceUserServiceUnregisterEventCallback"},
        {"UE7jmEIbuzY","sceValidationGetVersion"},
        {"fgMwgvfURDA","sceValidationGpuClearState"},
        {"Qq7QVI4+x7I","sceValidationGpuDisableDiagnostics"},
        {"caJfXlnEM4M","sceValidationGpuGetDiagnosticInfo"},
        {"8+qs9Lh1Mug","sceValidationGpuGetDiagnostics"},
        {"EvKaSXRNt9o","sceValidationGpuGetErrorInfo"},
        {"yC8lFao8mY4","sceValidationGpuGetErrors"},
        {"NI51esCzmIs","sceValidationGpuGetVersion"},
        {"Xg9M+lx4LcY","sceValidationGpuInit"},
        {"OO3V65nvIVw","sceValidationGpuInitContext"},
        {"2xU8m24KpiA","sceValidationGpuOnSubmit"},
        {"hoHjsHnwfHM","sceValidationGpuOnValidate"},
        {"hZfdAMk7bQw","sceValidationGpuRegisterInitContext"},
        {"0SL55KrcbfY","sceValidationGpuRegisterMemoryCheckCallback"},
        {"CDlgfsy4Rhw","sceValidationGpuValidate"},
        {"bWPuW6TnMjk","sceVdecCoreAnalyzeStream"},
        {"wnWMkCYv0m4","sceVdecCoreCreateDecoder"},
        {"ZZnvlKc8nfg","sceVdecCoreCreateDecoderBid"},
        {"xI8avtVkGWw","sceVdecCoreCreateDecoderSvp"},
        {"D0RWslNmK9s","sceVdecCoreDeleteDecoder"},
        {"DHQXNKiY-Dw","sceVdecCoreFinalizeComputeResource"},
        {"b0xbD0x+02M","sceVdecCoreFlushDecodeOutput"},
        {"K4sH-0WUfuc","sceVdecCoreGetDecodeOutput"},
        {"HPpz-oyX4vM","sceVdecCoreInitializeComputeResource"},
        {"hUza-a0hX2c","sceVdecCoreMapMemory"},
        {"7YW9rloMLYo","sceVdecCoreMapMemoryBlock"},
        {"zwcpjJ7WUgQ","sceVdecCoreQueryComputeResourceInfo"},
        {"UxV5adxfBFg","sceVdecCoreQueryFrameBufferInfo"},
        {"Zsh1K8YTD1E","sceVdecCoreQueryInstanceSize"},
        {"nFn-3CWQEyo","sceVdecCoreResetDecoder"},
        {"F4nrEfi-M84","sceVdecCoreSetDecodeInput"},
        {"cPn3fXO-J5M","sceVdecCoreSetDecodeInputSvp"},
        {"hF8Pz0rtPLU","sceVdecCoreSetDecodeOutputSw"},
        {"OyxRC7GT4Es","sceVdecCoreSyncDecode"},
        {"1hE5Sdn4U3U","sceVdecCoreSyncDecodeOutputSw"},
        {"JFcSDC6AD+k","sceVdecCoreSyncDecodeWptr"},
        {"iQRVLJQ+OYs","sceVdecCoreTrySyncDecode"},
        {"WMhw0IVNNC8","sceVdecCoreTrySyncDecodeOutputSw"},
        {"T9yCBYaGDew","sceVdecCoreTrySyncDecodeWptr"},
        {"hIgrg5h4V6s","sceVdecswAllocateComputeQueue"},
        {"+L5ArV1tPGA","sceVdecswCreateDecoder"},
        {"ecUtPX+dBYk","sceVdecswDeleteDecoder"},
        {"5Y6nZqIZvBg","sceVdecswFinalizeDecodeSequence"},
        {"gePTTfK5iP8","sceVdecswFlushDecodeOutput"},
        {"ihNT-uuEAr4","sceVdecswGetAvcPictureInfo"},
        {"W+TGgcnH-Kk","sceVdecswGetDecodeOutput"},
        {"PzF+L5zXoyg","sceVdecswGetHevcPictureInfo"},
        {"FzECy3Wxxas","sceVdecswGetPictureInfo"},
        {"LEqH+dkMszo","sceVdecswGetVp9PictureInfo"},
        {"0moTubWCsTM","sceVdecswQueryComputeMemoryInfo"},
        {"A+2M7EivuOU","sceVdecswQueryDecoderMemoryInfo"},
        {"fX-zOOefbbs","sceVdecswReleaseComputeQueue"},
        {"veb-YBrOqo0","sceVdecswResetDecoder"},
        {"aqMiF0AgUYI","sceVdecswSetDecodeInput"},
        {"rgtMCOpyBSc","sceVdecswSetDecodeOutput"},
        {"AAMM-Q1X0g0","sceVdecswSyncDecodeInput"},
        {"tWiSgXov8GM","sceVdecswSyncDecodeOutput"},
        {"3J7Qlmn5Qvs","sceVdecswTryGetDecodeOutput"},
        {"l4sQYy5wPkc","sceVdecswTrySyncDecodeInput"},
        {"kMBw37oH8nI","sceVdecswTrySyncDecodeOutput"},
        {"bRfRiFTZ-ls","sceVdecwrapCreateDecoder"},
        {"xn9aIpe+XQQ","sceVdecwrapDeleteDecoder"},
        {"0vV0lazrIlE","sceVdecwrapFlushDecodeOutput"},
        {"r5see1jyEsU","sceVdecwrapGetDecodeOutput"},
        {"aukH7OdPsjo","sceVdecwrapMapDirectMemory"},
        {"GjTLuu76SmM","sceVdecwrapMapMemory"},
        {"YC595317HbM","sceVdecwrapQueryDecoderMemoryInfo"},
        {"-60wFf6p8c0","sceVdecwrapQueryFrameBufferInfo"},
        {"N9LD0odT-kI","sceVdecwrapResetDecoder"},
        {"w67APvj+zAM","sceVdecwrapSetDecodeInput"},
        {"NjgVxHRHAQA","sceVdecwrapSyncDecode"},
        {"RF1wYlwx+e8","sceVencCoreCreateEncoder"},
        {"UzEiHUpYCHM","sceVencCoreDeleteEncoder"},
        {"tOEgO3XNm+o","sceVencCoreGetAuData"},
        {"GQMZ6uHq5-o","sceVencCoreGetPicParams"},
        {"yRkAXdREMgo","sceVencCoreMapTargetMemory"},
        {"UvBKtxGZG2M","sceVencCoreMapTargetMemoryByPid"},
        {"7tcEaueZLEw","sceVencCoreQueryHeader"},
        {"sudDy2ctXmc","sceVencCoreQueryMemorySize"},
        {"HK42UWvTsRE","sceVencCoreQueryMemorySizeEx"},
        {"sOmFDbGKe+I","sceVencCoreQueryPreset"},
        {"bM2FsV3L4sI","sceVencCoreQueryPresetEx"},
        {"eMzIhkNXXnE","sceVencCoreSetBitRate"},
        {"2fCvoTO7EUU","sceVencCoreSetInputFrame"},
        {"VLcfvEQBrj4","sceVencCoreSetInputFrameByPid"},
        {"oNgkhqfe4Xw","sceVencCoreSetInvalidFrame"},
        {"JDz+XAlWY30","sceVencCoreSetPasteImage"},
        {"RWaFrTQryGs","sceVencCoreSetPicParams"},
        {"XxehMXhiJoQ","sceVencCoreSetPictureType"},
        {"kLtEklLY7Z4","sceVencCoreSetPrivacyGuard"},
        {"FzVPLU4R+Rg","sceVencCoreStartSequence"},
        {"JlBLet3nzqw","sceVencCoreStopSequence"},
        {"Fuy39y9QJdE","sceVencCoreSyncEncode"},
        {"NMD61i-MF2g","sceVencCoreUnmapTargetMemory"},
        {"ukPVyxONIH8","sceVencCoreUnmapTargetMemoryByPid"},
        {"irD6EyOPBZE","sceVencCreateEncoder"},
        {"4eX4H3CtEfk","sceVencDeleteEncoder"},
        {"ePTrUSMxnmg","sceVencGetConfig"},
        {"eh2hLMp3zDU","sceVencMapMemory"},
        {"2cfdqkF20ZI","sceVencQueryHeader"},
        {"N4NG9j8mdzo","sceVencQueryMemorySize"},
        {"aNlHqxTvPTE","sceVencQueryPreset"},
        {"hLz3SP0zVF4","sceVencSetConfig"},
        {"M-mpR475+UY","sceVencSetDecodedFrame"},
        {"l2u7IHkNheg","sceVencSetPictureConfig"},
        {"cHss3kYujzc","sceVencSetRateControlConfig"},
        {"QNO1olxrfBU","sceVencSetReferenceFrameInvalidationConfig"},
        {"6ExR0HScaLc","sceVencStartEncode"},
        {"edT5HwLDgTI","sceVencStopEncode"},
        {"NhFkj3B10qM","sceVideoArbitrationAcceptEvent"},
        {"qDrqs9Dv+Bw","sceVideoArbitrationEnable"},
        {"iVFRt4Ip+f8","sceVideoArbitrationInitialize"},
        {"NDNujUEAyS4","sceVideoCoreAbortRequest"},
        {"9eP06So7cfY","sceVideoCoreAcquireDecoderResource"},
        {"vDenqj6dzGk","sceVideoCoreAcquireDecoderResourceForBeWrapper"},
        {"wYVuhWth0do","sceVideoCoreAddStream"},
        {"VU7sCzkG5po","sceVideoCoreAsyncAddStream"},
        {"P5e53dTYzI0","sceVideoCoreAsyncSendRequest"},
        {"h6RcAAgqqT8","sceVideoCoreCancelThumbnail"},
        {"rY2Mw7TEOhc","sceVideoCoreChangeActiveStatus"},
        {"3PKDRmrOlts","sceVideoCoreChangeAudioStream"},
        {"WqV-TtAY0Fc","sceVideoCoreChangeDisplaySize"},
        {"tfhHT4x-jEI","sceVideoCoreChangeDisplayStatus"},
        {"7lkxCYpD+xk","sceVideoCoreChangeHdcpSetting"},
        {"xDHPARrk3wM","sceVideoCoreChangeSubtitle"},
        {"njTTET86Ag8","sceVideoCoreDeleteStream"},
        {"c6kw+A6XbvY","sceVideoCoreGenerateThumbnail"},
        {"Y0LmeEc0f7E","sceVideoCoreGenerateThumbnail2"},
        {"OMbBieZ6emQ","sceVideoCoreGetCanvasHandle"},
        {"PcP1nxOoL+4","sceVideoCoreGetPlayStatus"},
        {"LviQNhT7V9I","sceVideoCoreGetPlayStatus2"},
        {"kqBstEK8Nn8","sceVideoCoreGetStreamUid"},
        {"6n-iPMM7ImM","sceVideoCoreGetThumbnail"},
        {"wdGk4zfCt70","sceVideoCoreGetThumbnail2"},
        {"tXNLLCUCfOE","sceVideoCoreIfSetFunctionTableUnlimited"},
        {"Ik5TMINZINo","sceVideoCoreInterfaceAddVblankEvent"},
        {"izssDkN7IAU","sceVideoCoreInterfaceCloseCanvas"},
        {"4IsRgjK5hsU","sceVideoCoreInterfaceCloseVideoOut"},
        {"DdJvHNduw2M","sceVideoCoreInterfaceCreateCanvasContext"},
        {"FyvlwTMC2TI","sceVideoCoreInterfaceCreateFrameBufferContext"},
        {"LvLdnjxdEVQ","sceVideoCoreInterfaceDestroyCanvasContext"},
        {"+2Ed65+55ZI","sceVideoCoreInterfaceDestroyFrameBufferContext"},
        {"-yexw2HJTr4","sceVideoCoreInterfaceFinishRendering"},
        {"cBl8O2bQwos","sceVideoCoreInterfaceFlushVideoOutBuffer"},
        {"AJ3xhNOXs-A","sceVideoCoreInterfaceGetCanvasVideoBufferAddress"},
        {"Sgi+fOhrWUQ","sceVideoCoreInterfaceGetCanvasVideoBufferSize"},
        {"IHhl7z1-uFI","sceVideoCoreInterfaceGetRenderFrameBuffer"},
        {"WNIV7+VKQaA","sceVideoCoreInterfaceInitializeInterface"},
        {"C9E1TPtMAjg","sceVideoCoreInterfaceLoadModule"},
        {"Aj2Ds5L9tmU","sceVideoCoreInterfaceMainLoop"},
        {"GV6hye4Lsjc","sceVideoCoreInterfaceOpenCanvas"},
        {"4g5vWZV5goU","sceVideoCoreInterfaceOpenVideoOut"},
        {"SEU9eYrQFsA","sceVideoCoreInterfaceSetCanvasId"},
        {"uGnFTTL5rzg","sceVideoCoreInterfaceSetFunctionTable"},
        {"H9VH6VZBsSY","sceVideoCoreInterfaceSetFunctionTableExt"},
        {"FdbMnFUqVN0","sceVideoCoreInterfaceSetVideoOutBufferInfo"},
        {"fUDokJvA7l0","sceVideoCoreInterfaceSubmitCanvases"},
        {"CZRLO-gAmpk","sceVideoCoreInterfaceUnloadModule"},
        {"PfoKAY2M0QE","sceVideoCoreInterfaceWaitCanvasFlip"},
        {"pc6PxOmaeMg","sceVideoCoreLaunchVideoCore"},
        {"o+F26Wk4JtI","sceVideoCoreMediaSourceAbortSourceBuffer"},
        {"nBTx0OTc+R0","sceVideoCoreMediaSourceAddSourceBuffer"},
        {"gylHiQ56F10","sceVideoCoreMediaSourceAppendData"},
        {"dCmNvuQjLIY","sceVideoCoreMediaSourceEndOfStream"},
        {"mpddtF9pKRc","sceVideoCoreMediaSourceGetBufferedTimeRanges"},
        {"6gVoKmSa+Gw","sceVideoCoreMediaSourceGetInputBufferEmptySize"},
        {"XRHBB0qMkvs","sceVideoCoreMediaSourceGetPlaybackQuality"},
        {"hxLqZDMmldk","sceVideoCoreMediaSourceGetSourceBufferEvent"},
        {"ZgOgSWy1ba4","sceVideoCoreMediaSourceRemoveSourceBuffer"},
        {"aLifbmFk4tg","sceVideoCoreMediaSourceSetDuration"},
        {"o27qlxiacL8","sceVideoCoreMediaSourceSetTimestampOffset"},
        {"-U6ujqBRGGg","sceVideoCorePlayControl"},
        {"ukqI0fEBLSs","sceVideoCoreRegistEventCallback"},
        {"k2ZyhP7QdaA","sceVideoCoreReleaseDecoderResource"},
        {"dlG8cpQGq64","sceVideoCoreReleaseDecoderResourceForBeWrapper"},
        {"LqvNn+dsaI0","sceVideoCoreSetAudioMute"},
        {"sHnpJtSIfyY","sceVideoCoreSetAudioVolume"},
        {"u8d8odfTl2M","sceVideoCoreSetFullScreen"},
        {"-LzHP72LYUo","sceVideoCoreSetInitialInfo"},
        {"HZ91VeepRC4","sceVideoCoreSetInitializeInfo"},
        {"L7g5s0YFGc4","sceVideoCoreSetPlaybackRange"},
        {"JMNwMECvR4U","sceVideoCoreSetThumbnailInfo"},
        {"PW2MMvr+fKM","sceVideoCoreSyncAddStream"},
        {"LYATPVwT1+c","sceVideoCoreSyncSendRequest"},
        {"gksKAYUf0CM","sceVideoCoreUnregistEventCallback"},
        {"XEUrIeCJiVs","sceVideoDecoderArbitrationAcceptEvent"},
        {"jnvPWZ140Sw","sceVideoDecoderArbitrationEnable"},
        {"lV5XniySQD8","sceVideoDecoderArbitrationEnableSuspendMode"},
        {"PO9tOKyviYI","sceVideoDecoderArbitrationInitialize"},
        {"GHib0Wf+ny0","sceVideoNativeExtEssential_CreateDecInstance"},
        {"NBK1rc2pqGg","sceVideoNativeExtEssential_DestroyDecInstance"},
        {"fbgiBYu6Q44","sceVideoNativeExtEssential_Finalize"},
        {"6Jy-q6ADWrg","sceVideoNativeExtEssential_Initialize"},
        {"4g9JiF+D2cE","sceVideoNativeExtEssential_IsInit"},
        {"4iy9hG9Du1s","sceVideoOutAddBuffer"},
        {"twrSaoZ9cJs","sceVideoOutAddBuffer4k2kPrivilege"},
        {"lm+1oyWKwy0","sceVideoOutAddBufferAnisoPrivilege"},
        {"MBlv8YWoyOk","sceVideoOutAddBufferAttributeOption"},
        {"VAlir52gpQI","sceVideoOutAddBufferHdrPrivilege"},
        {"D3s8DoEnuR4","sceVideoOutAddBufferYccPrivilege"},
        {"Cxb2w82t7lw","sceVideoOutAddDisplayPositionEvent"},
        {"HtwSd4H2Tws","sceVideoOutAddDriver"},
        {"HXzjK9yI30k","sceVideoOutAddFlipEvent"},
        {"kmSe30JTs+E","sceVideoOutAddOutputModeEvent"},
        {"keipklF0pMY","sceVideoOutAddPreVblankStartEvent"},
        {"iT+aFczA7ak","sceVideoOutAddS3dHmdPrivilege"},
        {"AjtlFa2HRws","sceVideoOutAddSetModeEvent"},
        {"Ax1Qs3Cm95Q","sceVideoOutAddStereoBuffer"},
        {"Xru92wHJRmg","sceVideoOutAddVblankEvent"},
        {"8Lf4Fp1TxA0","sceVideoOutAdjustColor2_"},
        {"dYDAfB+cJEU","sceVideoOutAdjustColorSpaceConversion_"},
        {"pv9CI5VC+R0","sceVideoOutAdjustColor_"},
        {"w7Ipp9Xl7hg","sceVideoOutAllowOutputResolutionWqhdDetection"},
        {"T0ynQY3mH-0","sceVideoOutClearFlipMaster"},
        {"uquVH4-Du78","sceVideoOutClose"},
        {"DYhhWbJSeRg","sceVideoOutColorSettingsSetGamma_"},
        {"JpAYkddCFjk","sceVideoOutColorSpaceConversionSettingsSetDefaultSdrToHdrConversion_"},
        {"Yn8KT+VTZaE","sceVideoOutColorSpaceConversionSettingsSetSdrToHdrConversion_"},
        {"PeUUCAS9Kso","sceVideoOutConfigureLayout"},
        {"ktP9j1fN-zE","sceVideoOutConfigureOptionsInitialize_"},
        {"w0hLuNarQxY","sceVideoOutConfigureOutput"},
        {"2CxY28ewv8g","sceVideoOutConfigureOutputEx"},
        {"-gYpMonpw2M","sceVideoOutConfigureOutputModeExSubmitDoneUnsafe_"},
        {"lQh55Q8DUAg","sceVideoOutConfigureOutputModeEx_"},
        {"N1bEoJ4SRw4","sceVideoOutConfigureOutputMode_"},
        {"M-JkRj7X+No","sceVideoOutControlHdcpEncryption"},
        {"fEPEwROdCwM","sceVideoOutCursorDisable"},
        {"UPZWCH8qTM4","sceVideoOutCursorEnable"},
        {"HibOtezzT6M","sceVideoOutCursorIsUpdatePending"},
        {"Se-Zs6koGzk","sceVideoOutCursorSet2xMagnify"},
        {"jr52f45OlWg","sceVideoOutCursorSetHotSpot"},
        {"u-9bhWQApq8","sceVideoOutCursorSetImageAddress"},
        {"N17AK88NdD0","sceVideoOutCursorSetPosition"},
        {"735GfVO9v2s","sceVideoOutCursorSetPositionStereo"},
        {"kazBRXPqR7c","sceVideoOutCurveSamplePointsCalc_"},
        {"BTawastvk7s","sceVideoOutDebugLatencyMeasureGetLatestLatency"},
        {"gbJ8QxXOR6g","sceVideoOutDeleteDisplayPositionEvent"},
        {"KA515kD5rAY","sceVideoOutDeleteDriver"},
        {"-Ozn0F1AFRg","sceVideoOutDeleteFlipEvent"},
        {"vwtVpHQKelI","sceVideoOutDeleteOutputModeEvent"},
        {"elWQ9vERF-Q","sceVideoOutDeletePreVblankStartEvent"},
        {"fXCSkDTpJFg","sceVideoOutDeleteSetModeEvent"},
        {"oNOQn3knW6s","sceVideoOutDeleteVblankEvent"},
        {"oeNtdmvV4II","sceVideoOutDriverAddEvent"},
        {"0jGJbNTpSV4","sceVideoOutDriverDecrementBufferLabel"},
        {"lOR+Nos+Je8","sceVideoOutDriverDeleteEvent"},
        {"NGyEl5aT4fc","sceVideoOutDriverGetBufferLabelAddress"},
        {"P1bIHoga4jE","sceVideoOutDriverGetEopHandle"},
        {"G6peSSDP4iA","sceVideoOutDriverGetFinishedEopHandle"},
        {"GL8+3RHW5vk","sceVideoOutDriverGetLatestEopHandle"},
        {"Ztx4b2LhRDk","sceVideoOutDriverIncrementBufferLabel"},
        {"soAIjspgdt8","sceVideoOutDriverResetBufferLabel"},
        {"OHnnkrUcShM","sceVideoOutDriverTriggerEvent"},
        {"5V8YGx9g0UA","sceVideoOutGetBufferInformation"},
        {"OcQybQejHEY","sceVideoOutGetBufferLabelAddress"},
        {"IZw2TINic+0","sceVideoOutGetCoredumpOutputMode"},
        {"W0iQAbGaTBg","sceVideoOutGetCurrentOutputMode_"},
        {"kGVLc3htQE8","sceVideoOutGetDeviceCapabilityInfo_"},
        {"p7FV-mU6EM0","sceVideoOutGetDeviceInfoExOts_"},
        {"k6JLQGuPEYA","sceVideoOutGetDeviceInfoEx_"},
        {"Mt4QHHkxkOc","sceVideoOutGetEventCount"},
        {"rWUTcKdkUzQ","sceVideoOutGetEventData"},
        {"U2JJtSqNKZI","sceVideoOutGetEventId"},
        {"SbU3dwp80lQ","sceVideoOutGetFlipStatus"},
        {"hZvzQy2VLKY","sceVideoOutGetHdmiKsvList_"},
        {"421cr+-5Mus","sceVideoOutGetHdmiMonitorInfoNoMask_"},
        {"+XlDnumvLVA","sceVideoOutGetHdmiMonitorInfo_"},
        {"+sXvR1JH9Aw","sceVideoOutGetHdmiRawEdid_"},
        {"lafoiUl5-5U","sceVideoOutGetMonitorInfo"},
        {"utPrVdxio-8","sceVideoOutGetOutputStatus"},
        {"y4l-VBLsNio","sceVideoOutGetPortStatusInfo"},
        {"4TPW3H2f-lM","sceVideoOutGetPortStatusInfoByBusSpecifier_"},
        {"SDoPm73tOyI","sceVideoOutGetPortStatusInfo_"},
        {"6kPnj51T62Y","sceVideoOutGetResolutionStatus"},
        {"+tB28CUr9W0","sceVideoOutGetStatusForWebcore"},
        {"1FZBKy8HeNU","sceVideoOutGetVblankStatus"},
        {"UazrNFzZPRU","sceVideoOutGetVideoOutModeByBusSpecifier_"},
        {"XNtZ16LIhf0","sceVideoOutHdmiMonitorInfoIsSupportedHdcpVersion"},
        {"KCijjig3lGo","sceVideoOutHdmiMonitorInfoIsSupportedHdcpVersion_"},
        {"WBZrUaQY+EU","sceVideoOutHdmiMonitorInfoIsSupportedVideoOutMode_"},
        {"+I4K03i3EL0","sceVideoOutInitializeOutputOptions"},
        {"zgXifHT9ErY","sceVideoOutIsFlipPending"},
        {"Nv8c-Kb+DUM","sceVideoOutIsOutputSupported"},
        {"eb-gvTYQcoY","sceVideoOutLatencyControlWaitBeforeInput"},
        {"MCJ8SkzsQxY","sceVideoOutLatencyMeasureSetStartPoint"},
        {"7ifZFxWJ9Q4","sceVideoOutLockBuffer"},
        {"pjkDsgxli6c","sceVideoOutModeSetAny_"},
        {"Up36PTk687E","sceVideoOutOpen"},
        {"ZX7C79uOujU","sceVideoOutRazorAddCallback"},
        {"hGcTks-qqIU","sceVideoOutRazorRecallCallbacks"},
        {"zUDW7kIFclI","sceVideoOutRazorRemoveCallback"},
        {"EJQifjOp8s4","sceVideoOutRegisterBufferAttribute"},
        {"w3BY+tAEiQY","sceVideoOutRegisterBuffers"},
        {"rKBUtgRrtbk","sceVideoOutRegisterBuffers2"},
        {"lCTCOogRbk0","sceVideoOutRegisterStereoBuffers"},
        {"H8teLntGkWs","sceVideoOutRemoveBuffer"},
        {"k4Ak+e2D1Hg","sceVideoOutRemoveBufferAttributeOption"},
        {"-zRnJ7WoWSY","sceVideoOutSetAlphaControl"},
        {"zILy8t+5bPo","sceVideoOutSetBlankAfterResume"},
        {"i6-sR91Wt-4","sceVideoOutSetBufferAttribute"},
        {"PjS5uASwcV8","sceVideoOutSetBufferAttribute2"},
        {"KHBNAkJhT64","sceVideoOutSetContentType"},
        {"18NPivA-byc","sceVideoOutSetDisplayEventPosition"},
        {"WkYtyOg30do","sceVideoOutSetFlipMaster"},
        {"CBiu4mCE1DA","sceVideoOutSetFlipRate"},
        {"emayD9LHYsc","sceVideoOutSetGamutMetadata_"},
        {"pA8xxaySl7A","sceVideoOutSetGlobalBlendSpace"},
        {"CxUz3nU06NE","sceVideoOutSetToneMap_"},
        {"MTxxrOCeSig","sceVideoOutSetWindowModeMargins"},
        {"IOdgHlCGU-k","sceVideoOutSubmitChangeBufferAttribute"},
        {"HuViW4HnrOw","sceVideoOutSubmitChangeBufferAttribute2"},
        {"j8xl+92A0q4","sceVideoOutSubmitEopFlip"},
        {"U46NwOiJpys","sceVideoOutSubmitFlip"},
        {"X8FN-5Nk-yE","sceVideoOutSysAddSetModeEvent"},
        {"fYWVVDKZOCk","sceVideoOutSysAddSetModeEvent2"},
        {"Ek+VR4lcJQI","sceVideoOutSysAddVblankEvent"},
        {"Am8Hlr7tlxA","sceVideoOutSysAddVblankEvent2"},
        {"dIb9LsrpkQM","sceVideoOutSysClose"},
        {"FDTOhhPHtps","sceVideoOutSysConfigureLayout"},
        {"ofkhJRiQua0","sceVideoOutSysConfigureOutput"},
        {"ox3wD142jZQ","sceVideoOutSysConfigureOutputMode"},
        {"rBDEhJgMruY","sceVideoOutSysConfigureOutputMode_"},
        {"6L0-A5piudQ","sceVideoOutSysCursorDisable"},
        {"xwhyGPZkW6w","sceVideoOutSysCursorEnable"},
        {"ekwMB-Ftq18","sceVideoOutSysCursorIsUpdatePending"},
        {"+epU+rgObyw","sceVideoOutSysCursorObtain"},
        {"QSmT3attiVg","sceVideoOutSysCursorRelease"},
        {"fZgBeiGqE+c","sceVideoOutSysCursorSetPosition"},
        {"iwsJdAZCg34","sceVideoOutSysDeleteVblankEvent"},
        {"2EBuouuYKgM","sceVideoOutSysDeleteVblankEvent2"},
        {"7VSZJxxcTL8","sceVideoOutSysGetBus"},
        {"IpMhRnVgJUU","sceVideoOutSysGetColorConversionStatus"},
        {"IysRiVOGIVM","sceVideoOutSysGetCurrentOutputMode"},
        {"lXHMAc9Xjzo","sceVideoOutSysGetCurrentOutputMode_"},
        {"PYcZNLAIBnU","sceVideoOutSysGetDeviceCapabilityInfoByBusSpecifier_"},
        {"2sgenMqwczM","sceVideoOutSysGetDeviceInfo"},
        {"21sS8EU45cw","sceVideoOutSysGetFlipStatus"},
        {"vMLWuJckGv0","sceVideoOutSysGetMonitorInfo_"},
        {"hmBBh-IJSzk","sceVideoOutSysGetPortStatusInfoByBusSpecifier_"},
        {"1OUW163iM+4","sceVideoOutSysGetPortStatusInfo_"},
        {"8XGijEoThE0","sceVideoOutSysGetResolutionStatus"},
        {"qLDCAl8ygCw","sceVideoOutSysGetResolutionStatus2"},
        {"d1AjT2uZJn0","sceVideoOutSysGetVblankStatus"},
        {"iYrCszX93AM","sceVideoOutSysGetVblankStatus2"},
        {"AAELy8Yc3Mc","sceVideoOutSysGetVideoOutModeByBusSpecifier"},
        {"3-9DXFGVg0M","sceVideoOutSysHdmiMonitorInfoIsMorpheus"},
        {"iUigHJ2op4M","sceVideoOutSysIsModeS3d"},
        {"mfxElr79O7Q","sceVideoOutSysIsSupportedByMonitorInfo_"},
        {"O57F5ikhGxo","sceVideoOutSysIsUserStatusSystemDefault"},
        {"4XsQdhiOaAc","sceVideoOutSysIsUserStatusVr"},
        {"5Y8uUbGMio0","sceVideoOutSysModeIsSystemDefault"},
        {"QEiuHxjungc","sceVideoOutSysModeIsVr"},
        {"kP4l+nyBjRA","sceVideoOutSysOpenInternal"},
        {"E8C608-pFng","sceVideoOutSysReadCrc"},
        {"eBvoaLwfBBQ","sceVideoOutSysReadCrc64"},
        {"9mI9zDF5KPk","sceVideoOutSysRemovePrivilege"},
        {"djc8fOzOXxk","sceVideoOutSysResetAtGpuReset"},
        {"H9FTtSJuK3Y","sceVideoOutSysResetZoomBuffers"},
        {"2KW9VnPMWDQ","sceVideoOutSysSetBlackLevel"},
        {"jvPer4hz+UU","sceVideoOutSysSetDcePipeMode"},
        {"OOF0YO73GTA","sceVideoOutSysSetDimmer"},
        {"X7tWmHNtoKg","sceVideoOutSysSetDimmer2"},
        {"FZoCQTL8R04","sceVideoOutSysSetDisplayParameters"},
        {"-ka14VvHSX0","sceVideoOutSysSetHdrMetadata"},
        {"-2WA7vdSzbI","sceVideoOutSysSetHdrScopeCallbacks"},
        {"w4inP0fKuDI","sceVideoOutSysSetInvertedColors"},
        {"+lbk8RnyvmE","sceVideoOutSysSetOutputCsc"},
        {"nMbAqI1ty8w","sceVideoOutSysSetOverscanRatio"},
        {"e7pSAhCNrro","sceVideoOutSysSetRedirectFlip"},
        {"fX9k++TzuQk","sceVideoOutSysSetZoomBuffers"},
        {"dJo43e1jVoM","sceVideoOutSysSubmitSubWindowLayout"},
        {"UFDoqv4XXC0","sceVideoOutSysUpdateDisplayParameter"},
        {"dtmPxxVErK0","sceVideoOutSysUpdateDisplayParameter_"},
        {"Jl91AhxKc0w","sceVideoOutSysUpdatePrivilege"},
        {"4G37EIMMD+Q","sceVideoOutSysUpdateRenderingMode"},
        {"XjqmNLGyLOg","sceVideoOutSysUpdateScalerParameters"},
        {"amghnA-Ev5s","sceVideoOutUnlockBuffer"},
        {"SRQSpP4QK5U","sceVideoOutUnregisterBufferAttribute"},
        {"N5KDtkIjjJ4","sceVideoOutUnregisterBuffers"},
        {"5tRaBjtdTzY","sceVideoOutVrrPegToFixedRate"},
        {"T4ucGB8CsnM","sceVideoOutVrrUnpegFromFixedRate"},
        {"j6RaAUlaLv0","sceVideoOutWaitVblank"},
        {"KHvkPQJDMLk","sceVideoRecordingClose"},
        {"FDAvHQuI70c","sceVideoRecordingCloseByHandle"},
        {"QNg8KGixrzg","sceVideoRecordingCopyBGRAtoNV12"},
        {"sA6+5XdbqMA","sceVideoRecordingGetInfo"},
        {"YGRDoLmH2tk","sceVideoRecordingGetInfoByHandle"},
        {"fZJQzFK4Gv4","sceVideoRecordingGetStatus"},
        {"496OAXH9THg","sceVideoRecordingGetSupportInfo"},
        {"XulaVOa6IwA","sceVideoRecordingGetVideoOutMode"},
        {"RXXBl6-iimo","sceVideoRecordingInit"},
        {"ZbyfYeyVajk","sceVideoRecordingInitialize"},
        {"7QoTYzVuzto","sceVideoRecordingOpen"},
        {"s28dalBwp2g","sceVideoRecordingOpen2"},
        {"qOmh6HvHhSs","sceVideoRecordingQueryHddSize2"},
        {"ZvWzS2wTIMc","sceVideoRecordingQueryMemSize"},
        {"bGYkY6q3bIw","sceVideoRecordingQueryMemSize2"},
        {"4cS74wnODLM","sceVideoRecordingRestModeProcessGetStatus"},
        {"pVxEtvHOtXc","sceVideoRecordingRestModeProcessStart"},
        {"mEy7di8MT30","sceVideoRecordingSendCommand"},
        {"Fc8qxlKINYQ","sceVideoRecordingSetInfo"},
        {"tWoe9IlGAhs","sceVideoRecordingStart"},
        {"OOFxrMY+mfI","sceVideoRecordingStop"},
        {"gWZikoR+g9g","sceVideoRecordingTerm"},
        {"NuTNdlvrugI","sceVideoStreamingEngineDestroyMediaKeySystemAccess"},
        {"9rLooB4jRvY","sceVideoStreamingEngineMediaKeySessionGenerateRequest"},
        {"ntQlwZUs6N4","sceVideoStreamingEngineMediaKeySessionGetExpiration"},
        {"05Uv55TkoHc","sceVideoStreamingEngineMediaKeySessionGetKeyStatuses"},
        {"l8vw5ia8Wac","sceVideoStreamingEngineMediaKeySessionGetSessionId"},
        {"sJbzLdIr3Ks","sceVideoStreamingEngineMediaKeySessionLoad"},
        {"mvDN856KXI8","sceVideoStreamingEngineMediaKeySessionSetEventHandler"},
        {"MSWZmqyr3eM","sceVideoStreamingEngineMediaKeySystemAccessCreateMediaKeys"},
        {"A33uDRt2rQM","sceVideoStreamingEngineMediaKeySystemAccessDestroyMediaKeys"},
        {"ATdq3mGwqqU","sceVideoStreamingEngineMediaKeySystemAccessGetKeySystem"},
        {"LQ9g9lYxgmc","sceVideoStreamingEngineMediaKeySystemAccessSetCdmStorageConfig"},
        {"405M9x9WM80","sceVideoStreamingEngineMediaKeysCreateSession"},
        {"eD+X2SmxUt4","sceVideodec2AllocateComputeQueue"},
        {"CNNRoRYd8XI","sceVideodec2CreateDecoder"},
        {"hjoVB02yu0U","sceVideodec2CreateDecoderBid"},
        {"pu4kxXkYz3E","sceVideodec2CreateHevcDecoder"},
        {"852F5+q6+iM","sceVideodec2Decode"},
        {"jwImxXRGSKA","sceVideodec2DeleteDecoder"},
        {"l1hXwscLuCY","sceVideodec2Flush"},
        {"kjrLbcyhEiw","sceVideodec2GetAvcPictureInfo"},
        {"7M+1UFqWOAI","sceVideodec2GetHevcPictureInfo"},
        {"NtXRa3dRzU0","sceVideodec2GetPictureInfo"},
        {"69fVNDtk2Zk","sceVideodec2GetVp9PictureInfo"},
        {"DXlobplVYj0","sceVideodec2InitLibrary"},
        {"hIIZXUsMeI8","sceVideodec2MapDirectMemory"},
        {"2C6StOEz+nM","sceVideodec2MapMemory"},
        {"RnDibcGCPKw","sceVideodec2QueryComputeMemoryInfo"},
        {"EQtFad2c1T8","sceVideodec2QueryDecoderInfo"},
        {"qqMCwlULR+E","sceVideodec2QueryDecoderMemoryInfo"},
        {"krChT8KBUDU","sceVideodec2QueryHevcDecoderMemoryInfo"},
        {"mhKZJqhGnXg","sceVideodec2QueryLibraryInfo"},
        {"UvtA3FAiF4Y","sceVideodec2ReleaseComputeQueue"},
        {"wJXikG6QFN8","sceVideodec2Reset"},
        {"q0gN8e4VLZo","sceVideodec2TermLibrary"},
        {"qkgRiwHyheU","sceVideodecCreateDecoder"},
        {"q0W5GJMovMs","sceVideodecDecode"},
        {"U0kpGF1cl90","sceVideodecDeleteDecoder"},
        {"jeigLlKdp5I","sceVideodecFlush"},
        {"kg+lH0V61hM","sceVideodecMapMemory"},
        {"leCAscipfFY","sceVideodecQueryResourceInfo"},
        {"f8AgDv-1X8A","sceVideodecReset"},
        {"NWCnYpBxYZw","sceVisionManagerApplyCalibrateHmdResult"},
        {"KBP2JpAEacI","sceVisionManagerCancelRequest"},
        {"P9+90HStC44","sceVisionManagerClose"},
        {"KHsev0YxuXs","sceVisionManagerFinalize"},
        {"3DXOsPHy9FQ","sceVisionManagerGenerateRegisterUserData"},
        {"zrWaWV6ltmE","sceVisionManagerGenerateRegisterUserDataFinalize"},
        {"59yDtw0EuFI","sceVisionManagerGenerateRegisterUserDataInitialize"},
        {"Y4y2+Wmu5xk","sceVisionManagerGetCalibrateTrackingLedInfo"},
        {"LCZQkq-Nq-k","sceVisionManagerGetCalibrateTrackingLedNecessity"},
        {"PHZWPDcDRdM","sceVisionManagerGetHitCountOfRegisterUserData"},
        {"DphIqi0q48w","sceVisionManagerGetLibraryVersion"},
        {"kDHvQLi0PM4","sceVisionManagerGetNumOfRegisterUserDataSlot"},
        {"6vmrNgzv924","sceVisionManagerGetRegisterUserDataSize"},
        {"3OLHl6cAPjQ","sceVisionManagerGetRegisterUserDataVersion"},
        {"qyhQZ35WxX4","sceVisionManagerGetResultOfCalibrateHmd"},
        {"5Lx1PHXzL6Y","sceVisionManagerGetResultOfCalibrateStereoCamera"},
        {"brHQxy45WoE","sceVisionManagerGetResultOfCalibrateTrackingLed"},
        {"O3HjB2izk9o","sceVisionManagerGetResultOfFindFace"},
        {"Qc8kyzCZj+M","sceVisionManagerGetResultOfFindPad"},
        {"dZqlWxQ1p+U","sceVisionManagerGetResultOfFindPadCorrespondRegion"},
        {"Nuhv71YjC+g","sceVisionManagerGetResultOfFindUser"},
        {"Gop3lku7E+Q","sceVisionManagerGetResultOfFindUserInRegion"},
        {"ES+vLK-z0+U","sceVisionManagerGetResultOfFindUserWithoutIdentify"},
        {"GYamKe-3LbY","sceVisionManagerGetResultOfRegisterUserInRegion"},
        {"qL-FqHcH2uw","sceVisionManagerGetStoreCameraImgYPtr"},
        {"UezlBvGQZUI","sceVisionManagerGetWorkingMemorySize"},
        {"9I4TdP3A9-g","sceVisionManagerInitialize"},
        {"l9zev-ybPNs","sceVisionManagerLoadSettings"},
        {"wzr6GTOo9Dw","sceVisionManagerOpen"},
        {"GHrctgvI0SQ","sceVisionManagerRegistryClear"},
        {"dEW3xn7DNFs","sceVisionManagerRequestCalibrateHmd"},
        {"+lZ1yHWEViw","sceVisionManagerRequestCalibrateStereoCamera"},
        {"qWFV6ZnNsRI","sceVisionManagerRequestCalibrateTrackingLed"},
        {"ACdU2QH82O4","sceVisionManagerRequestClose"},
        {"ZZYNA4dAAIE","sceVisionManagerRequestFindFace"},
        {"10NAQUqyOpw","sceVisionManagerRequestFindPad"},
        {"MXGGDS9QbsQ","sceVisionManagerRequestFindPadCorrespondRegion"},
        {"F8aomqtpD98","sceVisionManagerRequestFindUser"},
        {"iBbwD8vxSEk","sceVisionManagerRequestFindUserInRegion"},
        {"CZgPsIdPqSk","sceVisionManagerRequestFindUserWithoutIdentify"},
        {"PaHMZnyoHwg","sceVisionManagerRequestHeadDetection"},
        {"0NSzVSTy9tk","sceVisionManagerRequestInitializeRegisterUserData"},
        {"JeAOV3YYkBU","sceVisionManagerRequestOpen"},
        {"bwcOfqZLksI","sceVisionManagerRequestPadTracking"},
        {"BFzmWeUd7kA","sceVisionManagerRequestRecogUtility"},
        {"-RJmkkuBhaY","sceVisionManagerRequestRegisterUserInRegion"},
        {"HIImy8uMSUg","sceVisionManagerRequestStoreCameraImgY"},
        {"0rSeEhh-HKA","sceVisionManagerSetCallbackForUpdateCalibrateHmdResult"},
        {"OHjgoIInnmU","sceVisionManagerSetCallbackForUpdateCalibrateStereoCameraResult"},
        {"j-GWi2OpAEc","sceVisionManagerSetCallbackForUpdateCalibrateTrackingLedResult"},
        {"aE4wRKDjrgw","sceVisionManagerSetCallbackForUpdateCameraFrame"},
        {"YSa0McV-ZIU","sceVisionManagerSetCallbackForUpdateCtrlCore"},
        {"LeXBTikMUko","sceVisionManagerSetCallbackForUpdateRecog"},
        {"fz3oxzTvcvI","sceVisionManagerSetCallbackForUpdateRunningStatus"},
        {"JejsXQ++gvU","sceVisionManagerSetCallbackForUpdateStoreFrame"},
        {"q9iRVgGbrL0","sceVisionManagerWaitResponse"},
        {"UUwnVHwsEzc","sceVnaCancelDownloadTts"},
        {"8PF0W+Q47rM","sceVnaCancelTts"},
        {"KFez0hNxLvY","sceVnaCheckCallback"},
        {"np2cGvsjqvY","sceVnaCloseTtsStream"},
        {"kcGxOSOGqMI","sceVnaDevideAnalyze"},
        {"MHK8HDxQ164","sceVnaDisableAgentGui"},
        {"mAZPRnqh048","sceVnaGenerateTelemetrySessionId"},
        {"JjEU9VLDyzM","sceVnaGetAgentAvailabilityInfo"},
        {"26BOSNNJS7g","sceVnaGetAgentSettings"},
        {"GmrTCACYzkE","sceVnaGetEventData"},
        {"QI6ArERn7Tk","sceVnaGetFeedbackStatus"},
        {"p79B7qNeKWk","sceVnaGetKeyPhraseInfo"},
        {"-R7CpLCLHe8","sceVnaGetMicStatus"},
        {"QGN8eGq6hbs","sceVnaGetSupportedLanguageInfo"},
        {"nD58JS2vOU8","sceVnaGetTtsVolume"},
        {"a8lad-APGOY","sceVnaGetVadState"},
        {"M9WTdcmeIOU","sceVnaGetVoiceDataCollectionSettingsAsync"},
        {"Rrweo0oucwA","sceVnaGetVoiceOskOptInStatus"},
        {"Yjkpnrnkgpw","sceVnaGetWakeupPhraseInfo"},
        {"TA4NTYpt0uU","sceVnaGetWakeupPhraseInfoCount"},
        {"XCD6zBOkiIM","sceVnaInitialize"},
        {"Xgsi0nAQvNU","sceVnaInitializeForParty"},
        {"LSt2Pfp9GRw","sceVnaNotify"},
        {"PKW7W-yst78","sceVnaNotifyStatus"},
        {"z-Vz1l8rYNg","sceVnaOpenTtsStream"},
        {"agTSp935qVQ","sceVnaPlaySound"},
        {"JKxPw1ZBtNM","sceVnaPlayTts"},
        {"pR2Ae3d5-6s","sceVnaReadTtsStream"},
        {"eMerT8QXYeM","sceVnaRegisterCallback"},
        {"Vcc3cGhXO2U","sceVnaRequestDialogTts"},
        {"gUSHu1AoCgk","sceVnaRequestDownloadCahcedTts"},
        {"aCIECfxBuBY","sceVnaRequestDownloadTts"},
        {"kZBRiX2f1No","sceVnaRequestPlayCachedTts"},
        {"6b8nZuvZxpQ","sceVnaRequestTts"},
        {"cX8tQHDkvH0","sceVnaSendAgentEvent"},
        {"Jg2SEqpgHZ4","sceVnaSetAgentIntentSessionTelemetry"},
        {"scJOf8iFCf0","sceVnaSetClientStatus"},
        {"CenzYgIUIIw","sceVnaSetDucking"},
        {"8zbVe50ACas","sceVnaSetEnableAssistantLegalCheckStatus"},
        {"ejzUyLHgMug","sceVnaSetEnableAssistantSettings"},
        {"LxfVKLcwdtE","sceVnaSetInputDevice"},
        {"UzBy6NOpz74","sceVnaSetKeyPhraseCategoryEnable"},
        {"QE94oD7E9b4","sceVnaSetLanguageSettings"},
        {"clRcvYOUFC8","sceVnaSetLocation"},
        {"cxU4JdRt7So","sceVnaSetSessionInfo"},
        {"5jwhYRmIpTE","sceVnaSetSessionTimeoutSettings"},
        {"dpayEeZ4WG0","sceVnaSetTtsDuckingLevel"},
        {"kPmyrOL6c3I","sceVnaSetUmmStatus"},
        {"RP8Vs1FD1w4","sceVnaSetVoiceDataCollectionSettingsAsync"},
        {"KchFGsYSOX4","sceVnaSetVoiceOskOptInStatus"},
        {"ImQzZdQP6Lk","sceVnaSetWakeUpPhraseTelemetry"},
        {"FT07o-hAwrw","sceVnaSetWakeupPhrase"},
        {"kJyoJpWuj1o","sceVnaSetupKeyPhraseDetection"},
        {"P02oAVAxens","sceVnaStartAnalyze"},
        {"WAqrNQdt5qM","sceVnaStartKeyPhraseDetection"},
        {"wV04-VveLpE","sceVnaStartKeywordDetection"},
        {"OqICoewmNZA","sceVnaStopAnalyze"},
        {"xgGebSiuK70","sceVnaStopKeyPhraseDetection"},
        {"d3aALUluqfs","sceVnaStopKeywordDetection"},
        {"qLIzHK7b8ow","sceVnaTerminate"},
        {"A3TNKhREamw","sceVnaUnregisterCallback"},
        {"QFx6geRbV5Q","sceVnaUtilGetSupportedLanguageList"},
        {"Bj2oUqp84J0","sceVnaUtilGetVoiceInputStatus"},
        {"T4BiNWsLHtQ","sceVnaUtilInitialize"},
        {"jJwavlmTirk","sceVnaUtilIsLanguageSupported"},
        {"VM3ElRGJqT0","sceVnaWaitReady"},
        {"07Dax1oKoV8","sceVoiceChatAbortRequest"},
        {"hR8-CKMl2JQ","sceVoiceChatCreateRequest"},
        {"eEMpsX1fGHU","sceVoiceChatDeleteRequest"},
        {"wOgJGhjCAmw","sceVoiceChatGetChannelMemberActiveChannelMatchingState"},
        {"iEEU+O+wPfM","sceVoiceChatGetChannelMemberVoiceConnectionState"},
        {"FNzy4vvhlPY","sceVoiceChatGetChatChannelMemberInfoList"},
        {"g3CyiTf6nMY","sceVoiceChatGetChatGroupMemberInfoList"},
        {"ai3eCxzTopg","sceVoiceChatGetMicState"},
        {"spdS-hedavE","sceVoiceChatInitialize"},
        {"CscDZAFA5+c","sceVoiceChatProcessEvent"},
        {"Ptmkf9UnWBg","sceVoiceChatRegisterHandlers"},
        {"ajXKK3BOVc8","sceVoiceChatRegisterMicEventHandler"},
        {"y7MgGX889Mo","sceVoiceChatRequestCreateGameSessionVoiceChatChannel"},
        {"sW3km27c12M","sceVoiceChatRequestCreatePlayerSessionVoiceChatChannel"},
        {"8jiB8eq+BkM","sceVoiceChatRequestCreateVoiceChatGroup"},
        {"7bu++dneYUU","sceVoiceChatRequestDeleteGameSessionVoiceChatChannel"},
        {"zbKF-ejbR0Q","sceVoiceChatRequestDeletePlayerSessionVoiceChatChannel"},
        {"ZpO7G7+nd2E","sceVoiceChatRequestDeleteVoiceChatGroup"},
        {"hpG+mR4EbpE","sceVoiceChatRequestJoinGameSessionVoiceChatChannel"},
        {"X3BWlTuErbk","sceVoiceChatRequestJoinPlayerSessionVoiceChatChannel"},
        {"aT9KhNAu0RY","sceVoiceChatRequestJoinVoiceChatGroup"},
        {"S+mOdmysfhw","sceVoiceChatRequestLeaveGameSessionVoiceChatChannel"},
        {"0rKMjtnMATU","sceVoiceChatRequestLeavePlayerSessionVoiceChatChannel"},
        {"uWNeRp70BRw","sceVoiceChatRequestLeaveVoiceChatGroup"},
        {"po9eImAEhY4","sceVoiceChatRequestRegisterSession"},
        {"q75YGaxUT3s","sceVoiceChatRequestUnregisterSession"},
        {"hcB56mjq-i4","sceVoiceChatRequestUpdateGameSessionVoiceChatChannelName"},
        {"iaiPHdqpfdk","sceVoiceChatRequestUpdatePlayerSessionVoiceChatChannelName"},
        {"j43P62s5SX4","sceVoiceChatTerminate"},
        {"X8PFsyb2UTk","sceVoiceChatUnregisterMicEventHandler"},
        {"oV9GAdJ23Gw","sceVoiceConnectIPortToOPort"},
        {"nXpje5yNpaE","sceVoiceCreatePort"},
        {"b7kJI+nx2hg","sceVoiceDeletePort"},
        {"xHSNCLrQq3A","sceVoiceDisableChat"},
        {"ajVj3QG2um4","sceVoiceDisconnectIPortFromOPort"},
        {"lLkJVewQK68","sceVoiceEnableChat"},
        {"Oo0S5PH7FIQ","sceVoiceEnd"},
        {"cJLufzou6bc","sceVoiceGetBitRate"},
        {"4s3lpDzi0as","sceVoiceGetMemorySize"},
        {"Pc4z1QjForU","sceVoiceGetMuteFlag"},
        {"elcxZTEfHZM","sceVoiceGetPortAttr"},
        {"CrLqDwWLoXM","sceVoiceGetPortInfo"},
        {"Z6QV6j7igvE","sceVoiceGetResourceInfo"},
        {"jjkCjneOYSs","sceVoiceGetVolume"},
        {"9TrhuGzberQ","sceVoiceInit"},
        {"IPHvnM5+g04","sceVoiceInitHQ"},
        {"x0slGBQW+wY","sceVoicePausePort"},
        {"Dinob0yMRl8","sceVoicePausePortAll"},
        {"kLU6hhXsa2A","sceVoiceQoSConnect"},
        {"lvNClhNHzxI","sceVoiceQoSCreateLocalEndpoint"},
        {"iqQQW2cBmWU","sceVoiceQoSCreateRemoteEndpoint"},
        {"D7P8dL0ZKsI","sceVoiceQoSDebugGetStatus"},
        {"kE0kdvcHTiY","sceVoiceQoSDeleteLocalEndpoint"},
        {"H4zqFaDhHW4","sceVoiceQoSDeleteRemoteEndpoint"},
        {"8-voJZab+0E","sceVoiceQoSDisableChat"},
        {"j9Xt85krooc","sceVoiceQoSDisconnect"},
        {"2lOJJzw1t5o","sceVoiceQoSEnableChat"},
        {"ATRGkmbolVM","sceVoiceQoSEnd"},
        {"XmvdN3atbXY","sceVoiceQoSGetConnectionAttribute"},
        {"XPC8EyEuvyk","sceVoiceQoSGetLocalEndpoint"},
        {"eZu2RP0Ma3w","sceVoiceQoSGetLocalEndpointAttribute"},
        {"9tfy4+aDxrM","sceVoiceQoSGetRemoteEndpoint"},
        {"3vmrvQ4rvgs","sceVoiceQoSGetRemoteEndpointAttribute"},
        {"Trpt2QBZHCI","sceVoiceQoSGetStatus"},
        {"U8IfNl6-Css","sceVoiceQoSInit"},
        {"RY0c7tYVBiw","sceVoiceQoSInitHQ"},
        {"PWokFqab5q4","sceVoiceQoSReadPacket"},
        {"KCGOxg8iX7s","sceVoiceQoSSetConnectionAttribute"},
        {"F7wS7FbfumQ","sceVoiceQoSSetLocalEndpointAttribute"},
        {"cpC-zyHoMik","sceVoiceQoSSetRemoteEndpointAttribute"},
        {"SpxLratrO1Q","sceVoiceQoSWritePacket"},
        {"cQ6DGsQEjV4","sceVoiceReadFromOPort"},
        {"udAxvCePkUs","sceVoiceResetPort"},
        {"gAgN+HkiEzY","sceVoiceResumePort"},
        {"jbkJFmOZ9U0","sceVoiceResumePortAll"},
        {"TexwmOHQsDg","sceVoiceSetBitRate"},
        {"gwUynkEgNFY","sceVoiceSetMuteFlag"},
        {"oUha0S-Ij9Q","sceVoiceSetMuteFlagAll"},
        {"clyKUyi3RYU","sceVoiceSetThreadsParams"},
        {"QBFoAIjJoXQ","sceVoiceSetVolume"},
        {"54phPH2LZls","sceVoiceStart"},
        {"Ao2YNSA7-Qo","sceVoiceStop"},
        {"jSZNP7xJrcw","sceVoiceUpdatePort"},
        {"hg9T73LlRiU","sceVoiceVADAdjustment"},
        {"wXCMy4EwaLE","sceVoiceVADPVTAdjustment"},
        {"wFeAxEeEi-8","sceVoiceVADSetVersion"},
        {"YeJl6yDlhW0","sceVoiceWriteToIPort"},
        {"H1VDOoibLBg","sceVorbisDecBitrate"},
        {"I5jQit5Q78Q","sceVorbisDecBitrateInstant"},
        {"UJvFjRAnQ2k","sceVorbisDecClear"},
        {"M+ZTsbhxKpM","sceVorbisDecComment"},
        {"gzjhKWIF5Gs","sceVorbisDecCrossLap"},
        {"9kZc-37F7es","sceVorbisDecGetDecodePriority"},
        {"bASEQctTGhI","sceVorbisDecGetLastDecodeError"},
        {"rVNVc74vUAY","sceVorbisDecHalfrate"},
        {"DxdfhwB4GdM","sceVorbisDecHalfrateP"},
        {"YzIPMpnHJzU","sceVorbisDecInfo"},
        {"s6a5LF1NG4g","sceVorbisDecOpenCallbacks"},
        {"pZ1ctWkAU9Y","sceVorbisDecPcmSeek"},
        {"oZZwcwzugfI","sceVorbisDecPcmSeekLap"},
        {"PdwTVolubW4","sceVorbisDecPcmSeekPage"},
        {"Tyzq3UGlllM","sceVorbisDecPcmSeekPageLap"},
        {"MPhCP85gRP4","sceVorbisDecPcmTell"},
        {"v6LjiH858Sc","sceVorbisDecPcmTotal"},
        {"CSFNyhqnD5k","sceVorbisDecRawSeek"},
        {"cu5DLZM7-k8","sceVorbisDecRawSeekLap"},
        {"k9meG9QXtn4","sceVorbisDecRawTell"},
        {"DEogcVYTvm8","sceVorbisDecRawTotal"},
        {"ItJTxCCvT4A","sceVorbisDecRead"},
        {"wHbu4oz+z0I","sceVorbisDecReadFilter"},
        {"+A20uE3spLQ","sceVorbisDecReadFloat"},
        {"pVLe+5PkfMY","sceVorbisDecSeekable"},
        {"OZBKii+KboY","sceVorbisDecSerialNumber"},
        {"ORxxAa6qnAA","sceVorbisDecSetDecodePriority"},
        {"uNBguxxOcgI","sceVorbisDecStreams"},
        {"6yXA1cZyFz4","sceVorbisDecTimeSeek"},
        {"rfYTE+X39pY","sceVorbisDecTimeSeekLap"},
        {"0GAn6zZgyfA","sceVorbisDecTimeSeekPage"},
        {"rTNZW2LJz+E","sceVorbisDecTimeSeekPageLap"},
        {"iNtnapy4KGA","sceVorbisDecTimeTell"},
        {"jpdtTcaVXpI","sceVorbisDecTimeTotal"},
        {"hBH2ABP7IeY","sceVrServiceDialogClose"},
        {"cYnBkgm8I0c","sceVrServiceDialogGetResult"},
        {"kUavKmsczkY","sceVrServiceDialogGetStatus"},
        {"hYFXG8FWThI","sceVrServiceDialogInitialize"},
        {"60-cjn5Dn0Q","sceVrServiceDialogOpen"},
        {"M4xKWUytNMo","sceVrServiceDialogTerminate"},
        {"RmRtBJpoHlA","sceVrServiceDialogUpdateStatus"},
        {"ZeYpKhsLfG0","sceVrSetupDialogClose"},
        {"-umGRHNUiZU","sceVrSetupDialogGetResult"},
        {"qRUACYyUNFA","sceVrSetupDialogGetStatus"},
        {"sTFqbfXJGG4","sceVrSetupDialogInitialize"},
        {"loE6cNuCUtk","sceVrSetupDialogOpen"},
        {"zdgiIPRqET4","sceVrSetupDialogTerminate"},
        {"KHfpjj9Pucg","sceVrSetupDialogUpdateStatus"},
        {"DSTergmOvvE","sceVrTracker2CheckDeviceIsInsidePlayAreaBoundary"},
        {"IGdE6nsMTAY","sceVrTracker2CheckPointIsInsidePlayAreaBoundary"},
        {"IQ3UD6SZbXo","sceVrTracker2Finalize"},
        {"sYBNLrMxjAM","sceVrTracker2GetControllerImage"},
        {"Y-3JCiU9bbU","sceVrTracker2GetCoordinateSystem"},
        {"SCph4ZbkqzU","sceVrTracker2GetPlayAreaBoundaryGeometry"},
        {"snYs7Nf-RKk","sceVrTracker2GetPlayAreaOrientedBoundingBox"},
        {"J4Vh3VVX0iU","sceVrTracker2GetResult"},
        {"6Jy73SRfG-o","sceVrTracker2Initialize"},
        {"3gQncidodmw","sceVrTracker2IrGetDebugRawImage"},
        {"f7G97dWnEis","sceVrTracker2LocateCoordinateSystem"},
        {"TwqZnaIjWv4","sceVrTracker2QueryMemory"},
        {"Dog+g25QYjw","sceVrTracker2RegisterDevice"},
        {"IdI2f+xHIeA","sceVrTracker2ResetLocalCoordinate"},
        {"HDlD-xE1Xuk","sceVrTracker2ResetLocalCoordinateWithPose"},
        {"UVCMLmS-Eas","sceVrTracker2SetCoordinateSystem"},
        {"kFt4MB3SUEk","sceVrTracker2UnregisterDevice"},
        {"sBkAqyF5Gns","sceVrTrackerCpuPopMarker"},
        {"5IFOAYv-62g","sceVrTrackerCpuProcess"},
        {"rvCywCbc7Pk","sceVrTrackerCpuPushMarker"},
        {"paE4W44wWtU","sceVrTrackerDeregisterDevice"},
        {"lm6T1Ur6JRk","sceVrTrackerGetLiveCaptureId"},
        {"zvyKP0Z3UvU","sceVrTrackerGetPlayAreaWarningInfo"},
        {"HCX2n+I6XnI","sceVrTrackerGetResourceInfo"},
        {"76OBvrrQXUc","sceVrTrackerGetResult"},
        {"ixTq0u9X6h0","sceVrTrackerGetState"},
        {"qVxzDsyHBWY","sceVrTrackerGetStateRelative"},
        {"XoeWzXlrnMw","sceVrTrackerGetTime"},
        {"TVegDMLaBB8","sceVrTrackerGpuSubmit"},
        {"gkGuO9dd57M","sceVrTrackerGpuWait"},
        {"ARhgpXvwoR0","sceVrTrackerGpuWaitAndCpuProcess"},
        {"QkRl7pART9M","sceVrTrackerInit"},
        {"VItTwN8DmS8","sceVrTrackerNotifyEndOfCpuProcess"},
        {"K7yhYrsIBPc","sceVrTrackerQueryMemory"},
        {"EUCaQtXXYNI","sceVrTrackerRecalibrate"},
        {"sIh8GwcevaQ","sceVrTrackerRegisterDevice"},
        {"24kDA+A0Ox0","sceVrTrackerRegisterDevice2"},
        {"ufexf4aNiwg","sceVrTrackerRegisterDeviceInternal"},
        {"CtWUbFgmq+I","sceVrTrackerResetAll"},
        {"E0P0sN-wy+4","sceVrTrackerResetOrientationRelative"},
        {"bDGZVTwwZ1A","sceVrTrackerSaveInternalBuffers"},
        {"jGqEkPy0iLU","sceVrTrackerSetDeviceRejection"},
        {"1Lckz4hOWxw","sceVrTrackerSetDurationForStatusNotTracking"},
        {"qBjnR0HtMYI","sceVrTrackerSetDurationUntilStatusNotTracking"},
        {"NhPkY3V8E+8","sceVrTrackerSetExtendedMode"},
        {"almKa6+CwG8","sceVrTrackerSetHookFunction"},
        {"vpsLLotiSUg","sceVrTrackerSetLEDBrightness"},
        {"lgWSHQ8p4i4","sceVrTrackerSetRestingMode"},
        {"qa1+CeXKDPc","sceVrTrackerStartLiveCapture"},
        {"3YCwwpHkHIg","sceVrTrackerStopLiveCapture"},
        {"IgOXtx50ZWM","sceVrTrackerSubmitCompute"},
        {"IBv4P3q1pQ0","sceVrTrackerTerm"},
        {"Q8skQqEwn5c","sceVrTrackerUnregisterDevice"},
        {"9fvHMUbsom4","sceVrTrackerUpdateMotionSensorData"},
        {"f1CLT4QGcSU","sceVshAvcapClose"},
        {"RwTMau4aDsc","sceVshAvcapCreateSyncer"},
        {"+1bHLOuow28","sceVshAvcapDeleteSyncer"},
        {"HedUSy9swaw","sceVshAvcapGetInfo"},
        {"Q-nfTbHkYNQ","sceVshAvcapGetStaticInfo"},
        {"7wORfQWfnM0","sceVshAvcapInit"},
        {"OpuQOnIqZHw","sceVshAvcapOpenAudio"},
        {"KNfo101eszA","sceVshAvcapOpenAudioEx"},
        {"WuwbH5nNVmA","sceVshAvcapOpenUserdata"},
        {"G-w5-0Oy+Pc","sceVshAvcapOpenVideo"},
        {"CApAj-v1kVs","sceVshAvcapOpenVideoEx"},
        {"8spY5jF1aig","sceVshAvcapReadAudio"},
        {"N0b-Kky0vyc","sceVshAvcapReadUserdata"},
        {"Axq72jlliZk","sceVshAvcapReadVideo"},
        {"w02zjBeV+n4","sceVshAvcapSelect"},
        {"iErIFNXEVDM","sceVshAvcapSetInfo"},
        {"AfY2Uq3R494","sceVshAvcapSetStaticInfo"},
        {"n7fxSSTwbQo","sceVshAvcapStart"},
        {"qgt6cIuingk","sceVshAvcapStop"},
        {"hgEbCUX22UM","sceVshAvcapTerm"},
        {"XSHcHCXC1iE","sceVshAvcapUpdateSyncer"},
        {"7wniYnHArVU","sceVshctlSetPartyStatus"},
        {"y2LOMMK1Uyw","sceVshctlSetProprietaryChatStatus"},
        {"PSK+Eik919Q","sceWebBrowserDialogClose"},
        {"Wit4LjeoeX4","sceWebBrowserDialogGetEvent"},
        {"vCaW0fgVQmc","sceWebBrowserDialogGetResult"},
        {"CFTG6a8TjOU","sceWebBrowserDialogGetStatus"},
        {"jqb7HntFQFc","sceWebBrowserDialogInitialize"},
        {"uYELOMVnmNQ","sceWebBrowserDialogNavigate"},
        {"FraP7debcdg","sceWebBrowserDialogOpen"},
        {"O7dIZQrwVFY","sceWebBrowserDialogOpenForPredeterminedContent"},
        {"Cya+jvTtPqg","sceWebBrowserDialogResetCookie"},
        {"TZnDVkP91Rg","sceWebBrowserDialogSetCookie"},
        {"RLhKBOoNyXY","sceWebBrowserDialogSetZoom"},
        {"ocHtyBwHfys","sceWebBrowserDialogTerminate"},
        {"h1dR-t5ISgg","sceWebBrowserDialogUpdateStatus"},
        {"GE9UpqJPdFs","sceWebInitialize"},
        {"uA2V1TG78p0","sceWebTerminate"},
        {"xfw0+A2aiWE","sceWkFontConfigGetAttr"},
        {"uBjfcMAhIJs","sceWkFontConfigGetFont"},
        {"n3MYEpevnMo","sceWkFontConfigGetFontFromFontName"},
        {"8jNGivweX70","sceWkFontConfigGetFontName"},
        {"HlPrXSZTbS0","sceWkFontConfigGetFontPath"},
        {"WPBiUIzH4z4","sceWorkspaceApplyUpdate"},
        {"GKMjPmDls-w","sceWorkspaceApplyUpdateForAllFiles"},
        {"hqY8PDT4oqU","sceWorkspaceApplyUpdateForDirectory"},
        {"FLTTgSdkoOc","sceWorkspaceApplyUpdateForFiles"},
        {"d9XUi2-zgWw","sceWorkspaceGetName"},
        {"JvThkOI0jjE","sceWorkspaceGetNumberOfPendingUpdates"},
        {"wvc0E5cTehw","sceWorkspaceGetPendingUpdateEntries"},
        {"GgrAun5x5Eg","sceWorkspaceIsBlockedByDataTransfer"},
        {"t0z87PlggWI","sceWorkspaceIsUpdatePending"},
        {"HcbIPAn1o3g","sceWorkspaceMirrorBarrier"},
        {"6na+Sa-B83w","sceZlibFinalize"},
        {"2eDcGHC0YaM","sceZlibGetResult"},
        {"TLar1HULv1Q","sceZlibInflate"},
        {"m1YErdIXCp4","sceZlibInitialize"},
        {"uB8VlDD4e0s","sceZlibWaitForDone"},
        {"b-Qiqugeo5U","sce_libc_tls_heap"},
        
        //libc
        {"P330P3dFF68", "Need_sceLibc"},
        {"bzQExy189ZI", "_init_env"},
        {"8G2LB+A3rzg", "atexit"},
        {"XKRegsFpEpk", "catchReturnFromMain"},
        {"uMei1W9uyNo", "exit"},
        {"3GPpjQdAMTw", "__cxa_guard_acquire"},
        {"9rAeANT2tyE", "__cxa_guard_release"},
        {"DfivPArhucg", "memcmp"},
        {"Q3VBxCXhUHs", "memcpy"},
        //libkernel
        {"Ou3iL1abvng", "__stack_chk_fail"},
        {"f7uOxY9mM1U", "__stack_chk_guard"}
        };
};